/* A Bison parser, made by GNU Bison 3.3.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2019 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Undocumented macros, especially those whose name start with YY_,
   are private implementation details.  Do not rely on them.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.3.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* First part of user prologue.  */
#line 1 "gram.y" /* yacc.c:337  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2020, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node *limitOffset;
	Node *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 277 "gram.c" /* yacc.c:337  */
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSOLUTE_P = 276,
    ACCESS = 277,
    ACTION = 278,
    ADD_P = 279,
    ADMIN = 280,
    AFTER = 281,
    AGGREGATE = 282,
    ALL = 283,
    ALSO = 284,
    ALTER = 285,
    ALWAYS = 286,
    ANALYSE = 287,
    ANALYZE = 288,
    AND = 289,
    ANY = 290,
    ARRAY = 291,
    AS = 292,
    ASC = 293,
    ASSERTION = 294,
    ASSIGNMENT = 295,
    ASYMMETRIC = 296,
    AT = 297,
    ATTACH = 298,
    ATTRIBUTE = 299,
    AUTHORIZATION = 300,
    BACKWARD = 301,
    BEFORE = 302,
    BEGIN_P = 303,
    BETWEEN = 304,
    BIGINT = 305,
    BINARY = 306,
    BIT = 307,
    BOOLEAN_P = 308,
    BOTH = 309,
    BY = 310,
    CACHE = 311,
    CALL = 312,
    CALLED = 313,
    CASCADE = 314,
    CASCADED = 315,
    CASE = 316,
    CAST = 317,
    CATALOG_P = 318,
    CHAIN = 319,
    CHAR_P = 320,
    CHARACTER = 321,
    CHARACTERISTICS = 322,
    CHECK = 323,
    CHECKPOINT = 324,
    CLASS = 325,
    CLOSE = 326,
    CLUSTER = 327,
    COALESCE = 328,
    COLLATE = 329,
    COLLATION = 330,
    COLUMN = 331,
    COLUMNS = 332,
    COMMENT = 333,
    COMMENTS = 334,
    COMMIT = 335,
    COMMITTED = 336,
    CONCURRENTLY = 337,
    CONFIGURATION = 338,
    CONFLICT = 339,
    CONNECTION = 340,
    CONSTRAINT = 341,
    CONSTRAINTS = 342,
    CONTENT_P = 343,
    CONTINUE_P = 344,
    CONVERSION_P = 345,
    COPY = 346,
    COST = 347,
    CREATE = 348,
    CROSS = 349,
    CSV = 350,
    CUBE = 351,
    CURRENT_P = 352,
    CURRENT_CATALOG = 353,
    CURRENT_DATE = 354,
    CURRENT_ROLE = 355,
    CURRENT_SCHEMA = 356,
    CURRENT_TIME = 357,
    CURRENT_TIMESTAMP = 358,
    CURRENT_USER = 359,
    CURSOR = 360,
    CYCLE = 361,
    DATA_P = 362,
    DATABASE = 363,
    DAY_P = 364,
    DEALLOCATE = 365,
    DEC = 366,
    DECIMAL_P = 367,
    DECLARE = 368,
    DEFAULT = 369,
    DEFAULTS = 370,
    DEFERRABLE = 371,
    DEFERRED = 372,
    DEFINER = 373,
    DELETE_P = 374,
    DELIMITER = 375,
    DELIMITERS = 376,
    DEPENDS = 377,
    DESC = 378,
    DETACH = 379,
    DICTIONARY = 380,
    DISABLE_P = 381,
    DISCARD = 382,
    DISTINCT = 383,
    DO = 384,
    DOCUMENT_P = 385,
    DOMAIN_P = 386,
    DOUBLE_P = 387,
    DROP = 388,
    EACH = 389,
    ELSE = 390,
    ENABLE_P = 391,
    ENCODING = 392,
    ENCRYPTED = 393,
    END_P = 394,
    ENUM_P = 395,
    ESCAPE = 396,
    EVENT = 397,
    EXCEPT = 398,
    EXCLUDE = 399,
    EXCLUDING = 400,
    EXCLUSIVE = 401,
    EXECUTE = 402,
    EXISTS = 403,
    EXPLAIN = 404,
    EXPRESSION = 405,
    EXTENSION = 406,
    EXTERNAL = 407,
    EXTRACT = 408,
    FALSE_P = 409,
    FAMILY = 410,
    FETCH = 411,
    FILTER = 412,
    FIRST_P = 413,
    FLOAT_P = 414,
    FOLLOWING = 415,
    FOR = 416,
    FORCE = 417,
    FOREIGN = 418,
    FORWARD = 419,
    FREEZE = 420,
    FROM = 421,
    FULL = 422,
    FUNCTION = 423,
    FUNCTIONS = 424,
    GENERATED = 425,
    GLOBAL = 426,
    GRANT = 427,
    GRANTED = 428,
    GREATEST = 429,
    GROUP_P = 430,
    GROUPING = 431,
    GROUPS = 432,
    HANDLER = 433,
    HAVING = 434,
    HEADER_P = 435,
    HOLD = 436,
    HOUR_P = 437,
    IDENTITY_P = 438,
    IF_P = 439,
    ILIKE = 440,
    IMMEDIATE = 441,
    IMMUTABLE = 442,
    IMPLICIT_P = 443,
    IMPORT_P = 444,
    IN_P = 445,
    INCLUDE = 446,
    INCLUDING = 447,
    INCREMENT = 448,
    INDEX = 449,
    INDEXES = 450,
    INHERIT = 451,
    INHERITS = 452,
    INITIALLY = 453,
    INLINE_P = 454,
    INNER_P = 455,
    INOUT = 456,
    INPUT_P = 457,
    INSENSITIVE = 458,
    INSERT = 459,
    INSTEAD = 460,
    INT_P = 461,
    INTEGER = 462,
    INTERSECT = 463,
    INTERVAL = 464,
    INTO = 465,
    INVOKER = 466,
    IS = 467,
    ISNULL = 468,
    ISOLATION = 469,
    JOIN = 470,
    KEY = 471,
    LABEL = 472,
    LANGUAGE = 473,
    LARGE_P = 474,
    LAST_P = 475,
    LATERAL_P = 476,
    LEADING = 477,
    LEAKPROOF = 478,
    LEAST = 479,
    LEFT = 480,
    LEVEL = 481,
    LIKE = 482,
    LIMIT = 483,
    LISTEN = 484,
    LOAD = 485,
    LOCAL = 486,
    LOCALTIME = 487,
    LOCALTIMESTAMP = 488,
    LOCATION = 489,
    LOCK_P = 490,
    LOCKED = 491,
    LOGGED = 492,
    MAPPING = 493,
    MATCH = 494,
    MATERIALIZED = 495,
    MAXVALUE = 496,
    METHOD = 497,
    MINUTE_P = 498,
    MINVALUE = 499,
    MODE = 500,
    MONTH_P = 501,
    MOVE = 502,
    NAME_P = 503,
    NAMES = 504,
    NATIONAL = 505,
    NATURAL = 506,
    NCHAR = 507,
    NEW = 508,
    NEXT = 509,
    NFC = 510,
    NFD = 511,
    NFKC = 512,
    NFKD = 513,
    NO = 514,
    NONE = 515,
    NORMALIZE = 516,
    NORMALIZED = 517,
    NOT = 518,
    NOTHING = 519,
    NOTIFY = 520,
    NOTNULL = 521,
    NOWAIT = 522,
    NULL_P = 523,
    NULLIF = 524,
    NULLS_P = 525,
    NUMERIC = 526,
    OBJECT_P = 527,
    OF = 528,
    OFF = 529,
    OFFSET = 530,
    OIDS = 531,
    OLD = 532,
    ON = 533,
    ONLY = 534,
    OPERATOR = 535,
    OPTION = 536,
    OPTIONS = 537,
    OR = 538,
    ORDER = 539,
    ORDINALITY = 540,
    OTHERS = 541,
    OUT_P = 542,
    OUTER_P = 543,
    OVER = 544,
    OVERLAPS = 545,
    OVERLAY = 546,
    OVERRIDING = 547,
    OWNED = 548,
    OWNER = 549,
    PARALLEL = 550,
    PARSER = 551,
    PARTIAL = 552,
    PARTITION = 553,
    PASSING = 554,
    PASSWORD = 555,
    PLACING = 556,
    PLANS = 557,
    POLICY = 558,
    POSITION = 559,
    PRECEDING = 560,
    PRECISION = 561,
    PRESERVE = 562,
    PREPARE = 563,
    PREPARED = 564,
    PRIMARY = 565,
    PRIOR = 566,
    PRIVILEGES = 567,
    PROCEDURAL = 568,
    PROCEDURE = 569,
    PROCEDURES = 570,
    PROGRAM = 571,
    PUBLICATION = 572,
    QUOTE = 573,
    RANGE = 574,
    READ = 575,
    REAL = 576,
    REASSIGN = 577,
    RECHECK = 578,
    RECURSIVE = 579,
    REF = 580,
    REFERENCES = 581,
    REFERENCING = 582,
    REFRESH = 583,
    REINDEX = 584,
    RELATIVE_P = 585,
    RELEASE = 586,
    RENAME = 587,
    REPEATABLE = 588,
    REPLACE = 589,
    REPLICA = 590,
    RESET = 591,
    RESTART = 592,
    RESTRICT = 593,
    RETURNING = 594,
    RETURNS = 595,
    REVOKE = 596,
    RIGHT = 597,
    ROLE = 598,
    ROLLBACK = 599,
    ROLLUP = 600,
    ROUTINE = 601,
    ROUTINES = 602,
    ROW = 603,
    ROWS = 604,
    RULE = 605,
    SAVEPOINT = 606,
    SCHEMA = 607,
    SCHEMAS = 608,
    SCROLL = 609,
    SEARCH = 610,
    SECOND_P = 611,
    SECURITY = 612,
    SELECT = 613,
    SEQUENCE = 614,
    SEQUENCES = 615,
    SERIALIZABLE = 616,
    SERVER = 617,
    SESSION = 618,
    SESSION_USER = 619,
    SET = 620,
    SETS = 621,
    SETOF = 622,
    SHARE = 623,
    SHOW = 624,
    SIMILAR = 625,
    SIMPLE = 626,
    SKIP = 627,
    SMALLINT = 628,
    SNAPSHOT = 629,
    SOME = 630,
    SQL_P = 631,
    STABLE = 632,
    STANDALONE_P = 633,
    START = 634,
    STATEMENT = 635,
    STATISTICS = 636,
    STDIN = 637,
    STDOUT = 638,
    STORAGE = 639,
    STORED = 640,
    STRICT_P = 641,
    STRIP_P = 642,
    SUBSCRIPTION = 643,
    SUBSTRING = 644,
    SUPPORT = 645,
    SYMMETRIC = 646,
    SYSID = 647,
    SYSTEM_P = 648,
    TABLE = 649,
    TABLES = 650,
    TABLESAMPLE = 651,
    TABLESPACE = 652,
    TEMP = 653,
    TEMPLATE = 654,
    TEMPORARY = 655,
    TEXT_P = 656,
    THEN = 657,
    TIES = 658,
    TIME = 659,
    TIMESTAMP = 660,
    TO = 661,
    TRAILING = 662,
    TRANSACTION = 663,
    TRANSFORM = 664,
    TREAT = 665,
    TRIGGER = 666,
    TRIM = 667,
    TRUE_P = 668,
    TRUNCATE = 669,
    TRUSTED = 670,
    TYPE_P = 671,
    TYPES_P = 672,
    UESCAPE = 673,
    UNBOUNDED = 674,
    UNCOMMITTED = 675,
    UNENCRYPTED = 676,
    UNION = 677,
    UNIQUE = 678,
    UNKNOWN = 679,
    UNLISTEN = 680,
    UNLOGGED = 681,
    UNTIL = 682,
    UPDATE = 683,
    USER = 684,
    USING = 685,
    VACUUM = 686,
    VALID = 687,
    VALIDATE = 688,
    VALIDATOR = 689,
    VALUE_P = 690,
    VALUES = 691,
    VARCHAR = 692,
    VARIADIC = 693,
    VARYING = 694,
    VERBOSE = 695,
    VERSION_P = 696,
    VIEW = 697,
    VIEWS = 698,
    VOLATILE = 699,
    WHEN = 700,
    WHERE = 701,
    WHITESPACE_P = 702,
    WINDOW = 703,
    WITH = 704,
    WITHIN = 705,
    WITHOUT = 706,
    WORK = 707,
    WRAPPER = 708,
    WRITE = 709,
    XML_P = 710,
    XMLATTRIBUTES = 711,
    XMLCONCAT = 712,
    XMLELEMENT = 713,
    XMLEXISTS = 714,
    XMLFOREST = 715,
    XMLNAMESPACES = 716,
    XMLPARSE = 717,
    XMLPI = 718,
    XMLROOT = 719,
    XMLSERIALIZE = 720,
    XMLTABLE = 721,
    YEAR_P = 722,
    YES_P = 723,
    ZONE = 724,
    NOT_LA = 725,
    NULLS_LA = 726,
    WITH_LA = 727,
    POSTFIXOP = 728,
    UMINUS = 729
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 211 "gram.y" /* yacc.c:352  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;
	struct SelectLimit	*selectlimit;

#line 840 "gram.c" /* yacc.c:352  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */



#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  835
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   102784

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  492
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  665
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2704
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5459

#define YYUNDEFTOK  2
#define YYMAXUTOK   729

/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                                \
  ((unsigned) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   481,     2,     2,
     486,   487,   479,   477,   490,   478,   488,   480,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   491,   489,
     473,   475,   474,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   484,     2,   485,   482,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   476,   483
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   803,   803,   819,   831,   841,   842,   843,   844,   845,
     846,   847,   848,   849,   850,   851,   852,   853,   854,   855,
     856,   857,   858,   859,   860,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
     886,   887,   888,   889,   890,   891,   892,   893,   894,   895,
     896,   897,   898,   899,   900,   901,   902,   903,   904,   905,
     906,   907,   908,   909,   910,   911,   912,   913,   914,   915,
     916,   917,   918,   919,   920,   921,   922,   923,   924,   925,
     926,   927,   928,   929,   930,   931,   932,   933,   934,   935,
     936,   937,   938,   939,   940,   941,   942,   943,   944,   945,
     946,   947,   948,   949,   950,   951,   952,   953,   954,   955,
     956,   957,   958,   959,   960,   961,   962,   963,   965,   974,
     989,  1000,  1001,  1002,  1011,  1012,  1016,  1017,  1021,  1026,
    1030,  1040,  1048,  1052,  1056,  1061,  1065,  1113,  1115,  1119,
    1123,  1127,  1131,  1145,  1163,  1171,  1182,  1183,  1187,  1195,
    1203,  1211,  1232,  1239,  1246,  1253,  1260,  1267,  1284,  1302,
    1313,  1314,  1325,  1335,  1345,  1360,  1378,  1379,  1383,  1390,
    1398,  1399,  1400,  1401,  1402,  1403,  1417,  1423,  1429,  1438,
    1446,  1454,  1458,  1466,  1474,  1481,  1491,  1492,  1500,  1511,
    1519,  1527,  1538,  1546,  1554,  1561,  1570,  1580,  1581,  1585,
    1586,  1589,  1591,  1595,  1596,  1597,  1598,  1602,  1603,  1604,
    1610,  1622,  1626,  1630,  1645,  1652,  1653,  1654,  1658,  1659,
    1660,  1664,  1665,  1669,  1673,  1674,  1681,  1688,  1698,  1705,
    1715,  1716,  1721,  1722,  1727,  1733,  1739,  1745,  1751,  1761,
    1771,  1772,  1776,  1777,  1785,  1800,  1806,  1812,  1818,  1824,
    1843,  1852,  1861,  1870,  1879,  1890,  1901,  1910,  1919,  1928,
    1939,  1950,  1959,  1968,  1977,  1986,  1995,  2004,  2015,  2026,
    2035,  2047,  2048,  2053,  2066,  2082,  2098,  2107,  2116,  2125,
    2134,  2143,  2151,  2159,  2167,  2176,  2185,  2201,  2210,  2219,
    2228,  2245,  2254,  2263,  2272,  2282,  2295,  2310,  2319,  2327,
    2342,  2350,  2360,  2370,  2377,  2385,  2393,  2400,  2407,  2415,
    2423,  2431,  2438,  2445,  2453,  2460,  2467,  2475,  2483,  2491,
    2499,  2507,  2515,  2525,  2532,  2540,  2548,  2556,  2564,  2572,
    2579,  2586,  2593,  2599,  2609,  2610,  2614,  2615,  2616,  2620,
    2628,  2632,  2633,  2637,  2644,  2651,  2658,  2668,  2671,  2672,
    2676,  2677,  2682,  2686,  2690,  2695,  2702,  2704,  2709,  2713,
    2717,  2728,  2736,  2789,  2802,  2816,  2828,  2835,  2839,  2853,
    2866,  2867,  2872,  2881,  2891,  2901,  2927,  2933,  2966,  3001,
    3023,  3024,  3028,  3029,  3038,  3039,  3040,  3043,  3044,  3049,
    3050,  3054,  3058,  3062,  3066,  3070,  3074,  3078,  3082,  3086,
    3090,  3094,  3098,  3102,  3111,  3115,  3119,  3123,  3127,  3128,
    3133,  3137,  3144,  3151,  3152,  3153,  3154,  3155,  3159,  3163,
    3171,  3182,  3201,  3220,  3240,  3260,  3280,  3313,  3314,  3315,
    3316,  3317,  3324,  3331,  3332,  3336,  3337,  3341,  3342,  3346,
    3350,  3357,  3361,  3368,  3369,  3370,  3374,  3375,  3378,  3399,
    3417,  3438,  3439,  3443,  3450,  3451,  3452,  3483,  3490,  3497,
    3508,  3519,  3531,  3540,  3549,  3572,  3590,  3591,  3610,  3617,
    3624,  3631,  3642,  3652,  3653,  3654,  3658,  3659,  3660,  3661,
    3662,  3663,  3664,  3665,  3666,  3675,  3682,  3686,  3699,  3715,
    3730,  3746,  3761,  3780,  3801,  3802,  3806,  3807,  3811,  3812,
    3815,  3821,  3822,  3825,  3829,  3837,  3842,  3848,  3849,  3853,
    3858,  3865,  3866,  3876,  3878,  3880,  3882,  3885,  3888,  3891,
    3895,  3896,  3897,  3898,  3899,  3902,  3903,  3907,  3908,  3911,
    3923,  3924,  3927,  3938,  3949,  3963,  3964,  3969,  3970,  3971,
    3974,  3975,  3976,  3977,  3980,  3981,  3984,  3985,  3988,  4006,
    4018,  4042,  4050,  4071,  4084,  4100,  4116,  4117,  4118,  4130,
    4143,  4159,  4173,  4174,  4186,  4206,  4216,  4229,  4237,  4248,
    4249,  4252,  4253,  4256,  4257,  4260,  4264,  4268,  4272,  4276,
    4280,  4284,  4288,  4292,  4296,  4300,  4305,  4309,  4313,  4319,
    4320,  4324,  4325,  4326,  4331,  4334,  4335,  4347,  4362,  4377,
    4378,  4386,  4387,  4391,  4392,  4396,  4397,  4401,  4402,  4406,
    4407,  4417,  4428,  4429,  4442,  4449,  4466,  4474,  4485,  4488,
    4492,  4496,  4500,  4507,  4519,  4529,  4532,  4536,  4549,  4558,
    4567,  4576,  4585,  4594,  4603,  4612,  4621,  4630,  4639,  4648,
    4657,  4675,  4686,  4687,  4688,  4689,  4693,  4694,  4698,  4699,
    4709,  4717,  4729,  4730,  4734,  4738,  4746,  4750,  4754,  4761,
    4765,  4770,  4775,  4782,  4789,  4794,  4804,  4816,  4831,  4832,
    4837,  4838,  4842,  4843,  4853,  4862,  4870,  4887,  4907,  4927,
    4948,  4981,  4996,  4997,  5001,  5009,  5024,  5033,  5045,  5046,
    5058,  5066,  5083,  5107,  5124,  5138,  5139,  5143,  5144,  5148,
    5149,  5153,  5154,  5158,  5172,  5176,  5177,  5181,  5182,  5183,
    5184,  5185,  5195,  5206,  5207,  5218,  5239,  5265,  5266,  5267,
    5271,  5273,  5295,  5297,  5299,  5301,  5303,  5308,  5309,  5313,
    5314,  5318,  5329,  5330,  5334,  5343,  5347,  5351,  5356,  5366,
    5367,  5371,  5372,  5376,  5377,  5381,  5382,  5386,  5387,  5388,
    5392,  5396,  5397,  5398,  5402,  5403,  5408,  5409,  5436,  5437,
    5438,  5439,  5440,  5441,  5454,  5464,  5478,  5480,  5485,  5490,
    5492,  5497,  5507,  5508,  5509,  5510,  5521,  5540,  5551,  5563,
    5573,  5583,  5594,  5603,  5610,  5617,  5626,  5635,  5644,  5653,
    5662,  5672,  5681,  5693,  5696,  5697,  5700,  5704,  5711,  5712,
    5713,  5714,  5715,  5716,  5719,  5722,  5723,  5731,  5738,  5739,
    5742,  5744,  5755,  5766,  5777,  5788,  5801,  5802,  5818,  5833,
    5834,  5838,  5850,  5860,  5868,  5877,  5886,  5887,  5890,  5891,
    5894,  5895,  5896,  5899,  5913,  5918,  5928,  5937,  5949,  5950,
    5954,  5962,  5974,  5984,  5997,  6007,  6029,  6039,  6057,  6067,
    6077,  6087,  6097,  6107,  6117,  6127,  6137,  6147,  6157,  6167,
    6181,  6182,  6183,  6184,  6185,  6186,  6187,  6188,  6189,  6190,
    6191,  6192,  6193,  6203,  6204,  6205,  6206,  6207,  6211,  6212,
    6213,  6214,  6215,  6216,  6217,  6218,  6223,  6224,  6225,  6229,
    6230,  6233,  6234,  6237,  6239,  6244,  6245,  6256,  6267,  6268,
    6269,  6279,  6287,  6295,  6303,  6311,  6319,  6327,  6335,  6343,
    6351,  6364,  6372,  6380,  6388,  6396,  6404,  6412,  6420,  6431,
    6432,  6446,  6456,  6466,  6476,  6486,  6496,  6506,  6516,  6526,
    6536,  6548,  6549,  6552,  6553,  6563,  6569,  6577,  6585,  6593,
    6601,  6609,  6617,  6625,  6633,  6641,  6649,  6657,  6665,  6673,
    6681,  6689,  6697,  6707,  6708,  6711,  6712,  6722,  6738,  6752,
    6778,  6780,  6782,  6784,  6791,  6800,  6801,  6804,  6811,  6818,
    6825,  6839,  6847,  6855,  6863,  6871,  6879,  6887,  6895,  6903,
    6911,  6919,  6927,  6935,  6943,  6951,  6959,  6967,  6975,  6983,
    6991,  7003,  7004,  7008,  7009,  7014,  7015,  7025,  7038,  7048,
    7060,  7061,  7064,  7065,  7075,  7085,  7086,  7090,  7094,  7098,
    7109,  7122,  7136,  7153,  7154,  7155,  7156,  7157,  7158,  7170,
    7200,  7233,  7234,  7238,  7239,  7243,  7244,  7248,  7249,  7252,
    7253,  7258,  7270,  7289,  7294,  7299,  7306,  7307,  7310,  7311,
    7314,  7315,  7318,  7319,  7322,  7323,  7324,  7327,  7328,  7329,
    7345,  7357,  7370,  7382,  7397,  7398,  7401,  7402,  7406,  7407,
    7411,  7412,  7417,  7429,  7436,  7443,  7458,  7459,  7463,  7464,
    7479,  7488,  7497,  7506,  7515,  7527,  7528,  7529,  7530,  7531,
    7537,  7541,  7556,  7557,  7563,  7573,  7577,  7582,  7590,  7631,
    7635,  7639,  7643,  7651,  7652,  7656,  7666,  7667,  7673,  7674,
    7681,  7685,  7689,  7693,  7697,  7701,  7705,  7709,  7713,  7717,
    7721,  7725,  7729,  7733,  7737,  7741,  7746,  7753,  7757,  7761,
    7765,  7769,  7775,  7776,  7783,  7784,  7788,  7789,  7792,  7804,
    7808,  7823,  7831,  7839,  7851,  7852,  7857,  7858,  7875,  7885,
    7895,  7905,  7915,  7925,  7938,  7948,  7961,  7971,  7984,  7992,
    7994,  7996,  8001,  8003,  8008,  8009,  8014,  8032,  8041,  8042,
    8046,  8050,  8062,  8073,  8084,  8097,  8098,  8099,  8103,  8115,
    8116,  8126,  8138,  8142,  8146,  8150,  8157,  8177,  8187,  8197,
    8207,  8219,  8220,  8223,  8224,  8225,  8228,  8229,  8232,  8242,
    8251,  8268,  8277,  8286,  8295,  8304,  8313,  8322,  8331,  8340,
    8349,  8358,  8367,  8376,  8386,  8396,  8405,  8414,  8423,  8432,
    8441,  8450,  8460,  8470,  8480,  8490,  8500,  8510,  8520,  8530,
    8540,  8550,  8560,  8570,  8581,  8592,  8603,  8614,  8625,  8636,
    8646,  8656,  8667,  8678,  8688,  8698,  8706,  8715,  8724,  8733,
    8742,  8751,  8760,  8769,  8778,  8787,  8801,  8802,  8805,  8806,
    8816,  8825,  8834,  8843,  8853,  8862,  8873,  8874,  8884,  8893,
    8902,  8911,  8920,  8929,  8938,  8947,  8956,  8965,  8974,  8983,
    8992,  9001,  9010,  9019,  9028,  9037,  9046,  9055,  9064,  9073,
    9082,  9091,  9100,  9109,  9118,  9136,  9145,  9146,  9149,  9151,
    9157,  9158,  9159,  9160,  9161,  9173,  9188,  9196,  9204,  9212,
    9220,  9228,  9236,  9244,  9252,  9260,  9268,  9276,  9284,  9292,
    9300,  9308,  9316,  9324,  9332,  9340,  9348,  9356,  9364,  9372,
    9390,  9409,  9410,  9414,  9418,  9438,  9445,  9453,  9461,  9478,
    9491,  9495,  9502,  9511,  9520,  9529,  9538,  9548,  9558,  9576,
    9584,  9600,  9617,  9618,  9619,  9624,  9630,  9639,  9640,  9641,
    9642,  9643,  9647,  9648,  9651,  9652,  9653,  9654,  9658,  9659,
    9660,  9672,  9682,  9683,  9686,  9695,  9701,  9720,  9728,  9735,
    9742,  9750,  9758,  9766,  9773,  9780,  9787,  9794,  9801,  9808,
    9815,  9824,  9825,  9826,  9830,  9833,  9836,  9839,  9842,  9849,
    9851,  9853,  9858,  9860,  9864,  9865,  9866,  9878,  9891,  9904,
    9922,  9943,  9944,  9945,  9946,  9956,  9972,  9982,  9983,  9987,
    9988,  9992,  9996, 10000, 10018, 10019, 10020, 10021, 10022, 10023,
   10024, 10031, 10032, 10043, 10050, 10057, 10068, 10085, 10093, 10101,
   10109, 10120, 10124, 10135, 10147, 10164, 10170, 10186, 10199, 10208,
   10216, 10224, 10233, 10244, 10255, 10265, 10266, 10277, 10287, 10298,
   10309, 10320, 10331, 10340, 10352, 10353, 10367, 10390, 10400, 10411,
   10424, 10425, 10437, 10457, 10467, 10478, 10489, 10493, 10500, 10501,
   10505, 10512, 10513, 10517, 10518, 10519, 10523, 10524, 10528, 10529,
   10532, 10533, 10536, 10537, 10541, 10542, 10546, 10553, 10555, 10560,
   10561, 10574, 10581, 10591, 10598, 10608, 10609, 10610, 10611, 10612,
   10613, 10614, 10615, 10616, 10620, 10624, 10631, 10638, 10639, 10643,
   10644, 10645, 10655, 10665, 10666, 10670, 10671, 10672, 10673, 10683,
   10690, 10707, 10726, 10727, 10737, 10743, 10749, 10755, 10771, 10789,
   10793, 10801, 10807, 10814, 10820, 10827, 10836, 10837, 10841, 10843,
   10848, 10859, 10869, 10879, 10885, 10894, 10903, 10909, 10910, 10921,
   10935, 10936, 10947, 10958, 10959, 10962, 10963, 10964, 10965, 10966,
   10967, 10968, 10969, 10972, 10973, 10977, 10978, 10979, 10990, 11008,
   11009, 11013, 11018, 11042, 11053, 11054, 11064, 11075, 11078, 11079,
   11080, 11081, 11082, 11085, 11086, 11087, 11135, 11136, 11140, 11141,
   11156, 11157, 11164, 11172, 11180, 11188, 11196, 11204, 11215, 11216,
   11243, 11257, 11272, 11273, 11292, 11296, 11300, 11317, 11324, 11331,
   11341, 11342, 11345, 11358, 11359, 11360, 11364, 11365, 11369, 11381,
   11389, 11394, 11399, 11404, 11409, 11417, 11425, 11430, 11435, 11442,
   11443, 11447, 11448, 11449, 11456, 11457, 11461, 11462, 11466, 11467,
   11471, 11475, 11476, 11479, 11488, 11501, 11506, 11511, 11515, 11526,
   11527, 11531, 11539, 11555, 11563, 11571, 11579, 11590, 11593, 11598,
   11599, 11607, 11627, 11628, 11630, 11635, 11636, 11640, 11641, 11644,
   11645, 11670, 11671, 11675, 11676, 11680, 11681, 11682, 11683, 11684,
   11688, 11701, 11708, 11715, 11722, 11723, 11727, 11728, 11732, 11733,
   11737, 11738, 11742, 11753, 11754, 11755, 11756, 11760, 11761, 11771,
   11777, 11795, 11796, 11800, 11801, 11807, 11812, 11820, 11827, 11835,
   11841, 11848, 11883, 11908, 11912, 11938, 11942, 11954, 11967, 11981,
   11992, 12007, 12013, 12018, 12024, 12031, 12032, 12040, 12044, 12048,
   12054, 12061, 12066, 12067, 12068, 12069, 12073, 12074, 12086, 12087,
   12092, 12099, 12106, 12113, 12124, 12125, 12138, 12142, 12149, 12162,
   12175, 12176, 12191, 12201, 12213, 12218, 12219, 12222, 12223, 12226,
   12227, 12232, 12233, 12238, 12239, 12247, 12252, 12253, 12257, 12261,
   12267, 12291, 12301, 12314, 12315, 12319, 12333, 12390, 12404, 12406,
   12411, 12413, 12415, 12417, 12422, 12424, 12429, 12437, 12457, 12462,
   12469, 12474, 12480, 12485, 12494, 12496, 12499, 12503, 12504, 12505,
   12506, 12507, 12508, 12513, 12533, 12534, 12535, 12536, 12547, 12553,
   12561, 12562, 12568, 12573, 12578, 12583, 12588, 12593, 12598, 12603,
   12609, 12615, 12621, 12628, 12650, 12659, 12663, 12671, 12675, 12683,
   12695, 12716, 12720, 12726, 12730, 12743, 12751, 12761, 12763, 12765,
   12767, 12769, 12771, 12776, 12777, 12784, 12793, 12801, 12810, 12821,
   12829, 12830, 12831, 12835, 12837, 12839, 12841, 12843, 12845, 12847,
   12852, 12857, 12863, 12871, 12876, 12883, 12890, 12894, 12898, 12934,
   12935, 12937, 12945, 12960, 12962, 12964, 12966, 12968, 12970, 12972,
   12974, 12976, 12978, 12980, 12982, 12984, 12986, 12989, 12991, 12993,
   12996, 12998, 13000, 13002, 13005, 13010, 13018, 13023, 13031, 13036,
   13044, 13049, 13058, 13066, 13074, 13082, 13100, 13108, 13116, 13124,
   13132, 13148, 13156, 13164, 13172, 13180, 13188, 13196, 13200, 13204,
   13208, 13212, 13220, 13228, 13236, 13244, 13264, 13286, 13297, 13304,
   13320, 13325, 13331, 13335, 13339, 13343, 13347, 13372, 13374, 13376,
   13378, 13380, 13382, 13384, 13386, 13388, 13390, 13392, 13394, 13396,
   13398, 13400, 13402, 13404, 13406, 13408, 13410, 13414, 13418, 13422,
   13426, 13431, 13447, 13448, 13449, 13464, 13498, 13500, 13502, 13513,
   13537, 13548, 13559, 13566, 13576, 13586, 13595, 13599, 13605, 13612,
   13619, 13629, 13636, 13664, 13699, 13710, 13711, 13718, 13724, 13728,
   13732, 13736, 13740, 13744, 13748, 13752, 13756, 13760, 13764, 13768,
   13772, 13776, 13780, 13784, 13786, 13790, 13794, 13798, 13807, 13812,
   13819, 13834, 13841, 13845, 13849, 13853, 13857, 13864, 13872, 13880,
   13884, 13888, 13892, 13896, 13900, 13906, 13910, 13919, 13923, 13927,
   13932, 13946, 13948, 13952, 13954, 13956, 13959, 13962, 13965, 13966,
   13969, 13977, 13987, 13988, 13991, 13992, 13993, 13998, 14002, 14006,
   14010, 14017, 14018, 14026, 14027, 14031, 14032, 14040, 14041, 14045,
   14046, 14051, 14059, 14061, 14075, 14078, 14105, 14106, 14109, 14110,
   14118, 14125, 14132, 14140, 14149, 14166, 14211, 14219, 14227, 14235,
   14243, 14254, 14255, 14256, 14257, 14258, 14272, 14273, 14274, 14277,
   14278, 14281, 14284, 14285, 14286, 14289, 14290, 14293, 14294, 14295,
   14296, 14297, 14298, 14299, 14300, 14301, 14302, 14303, 14304, 14307,
   14309, 14314, 14316, 14321, 14323, 14325, 14327, 14329, 14331, 14343,
   14347, 14354, 14358, 14364, 14368, 14377, 14388, 14389, 14392, 14396,
   14400, 14406, 14407, 14412, 14416, 14423, 14424, 14425, 14426, 14427,
   14428, 14429, 14430, 14434, 14435, 14436, 14437, 14447, 14451, 14458,
   14465, 14466, 14482, 14486, 14491, 14495, 14510, 14515, 14519, 14522,
   14525, 14526, 14527, 14530, 14537, 14547, 14561, 14562, 14566, 14577,
   14578, 14581, 14582, 14585, 14589, 14596, 14600, 14604, 14612, 14623,
   14624, 14628, 14629, 14633, 14634, 14637, 14638, 14648, 14649, 14653,
   14654, 14657, 14673, 14681, 14689, 14711, 14712, 14723, 14727, 14754,
   14756, 14761, 14763, 14765, 14775, 14777, 14788, 14792, 14796, 14800,
   14804, 14813, 14820, 14852, 14856, 14862, 14869, 14873, 14877, 14883,
   14884, 14886, 14887, 14888, 14892, 14925, 14952, 14956, 14962, 14964,
   14981, 14982, 14983, 14988, 14989, 14990, 14995, 14996, 14997, 14998,
   15004, 15005, 15006, 15007, 15008, 15028, 15029, 15030, 15031, 15032,
   15033, 15034, 15035, 15036, 15037, 15038, 15039, 15040, 15041, 15042,
   15043, 15044, 15045, 15046, 15047, 15048, 15049, 15050, 15051, 15052,
   15053, 15054, 15055, 15056, 15057, 15058, 15059, 15060, 15061, 15062,
   15063, 15064, 15065, 15066, 15067, 15068, 15069, 15070, 15071, 15072,
   15073, 15074, 15075, 15076, 15077, 15078, 15079, 15080, 15081, 15082,
   15083, 15084, 15085, 15086, 15087, 15088, 15089, 15090, 15091, 15092,
   15093, 15094, 15095, 15096, 15097, 15098, 15099, 15100, 15101, 15102,
   15103, 15104, 15105, 15106, 15107, 15108, 15109, 15110, 15111, 15112,
   15113, 15114, 15115, 15116, 15117, 15118, 15119, 15120, 15121, 15122,
   15123, 15124, 15125, 15126, 15127, 15128, 15129, 15130, 15131, 15132,
   15133, 15134, 15135, 15136, 15137, 15138, 15139, 15140, 15141, 15142,
   15143, 15144, 15145, 15146, 15147, 15148, 15149, 15150, 15151, 15152,
   15153, 15154, 15155, 15156, 15157, 15158, 15159, 15160, 15161, 15162,
   15163, 15164, 15165, 15166, 15167, 15168, 15169, 15170, 15171, 15172,
   15173, 15174, 15175, 15176, 15177, 15178, 15179, 15180, 15181, 15182,
   15183, 15184, 15185, 15186, 15187, 15188, 15189, 15190, 15191, 15192,
   15193, 15194, 15195, 15196, 15197, 15198, 15199, 15200, 15201, 15202,
   15203, 15204, 15205, 15206, 15207, 15208, 15209, 15210, 15211, 15212,
   15213, 15214, 15215, 15216, 15217, 15218, 15219, 15220, 15221, 15222,
   15223, 15224, 15225, 15226, 15227, 15228, 15229, 15230, 15231, 15232,
   15233, 15234, 15235, 15236, 15237, 15238, 15239, 15240, 15241, 15242,
   15243, 15244, 15245, 15246, 15247, 15248, 15249, 15250, 15251, 15252,
   15253, 15254, 15255, 15256, 15257, 15258, 15259, 15260, 15261, 15262,
   15263, 15264, 15265, 15266, 15267, 15268, 15269, 15270, 15271, 15272,
   15273, 15274, 15275, 15276, 15277, 15278, 15279, 15280, 15281, 15282,
   15283, 15284, 15285, 15286, 15287, 15288, 15289, 15290, 15291, 15292,
   15293, 15294, 15295, 15296, 15297, 15298, 15299, 15300, 15301, 15302,
   15303, 15304, 15305, 15306, 15307, 15308, 15309, 15310, 15311, 15312,
   15313, 15314, 15315, 15316, 15317, 15318, 15319, 15320, 15321, 15322,
   15323, 15324, 15325, 15326, 15340, 15341, 15342, 15343, 15344, 15345,
   15346, 15347, 15348, 15349, 15350, 15351, 15352, 15353, 15354, 15355,
   15356, 15357, 15358, 15359, 15360, 15361, 15362, 15363, 15364, 15365,
   15366, 15367, 15368, 15369, 15370, 15371, 15372, 15373, 15374, 15375,
   15376, 15377, 15378, 15379, 15380, 15381, 15382, 15383, 15384, 15385,
   15386, 15387, 15388, 15389, 15390, 15404, 15405, 15406, 15407, 15408,
   15409, 15410, 15411, 15412, 15413, 15414, 15415, 15416, 15417, 15418,
   15419, 15420, 15421, 15422, 15423, 15424, 15425, 15426, 15436, 15437,
   15438, 15439, 15440, 15441, 15442, 15443, 15444, 15445, 15446, 15447,
   15448, 15449, 15450, 15451, 15452, 15453, 15454, 15455, 15456, 15457,
   15458, 15459, 15460, 15461, 15462, 15463, 15464, 15465, 15466, 15467,
   15468, 15469, 15470, 15471, 15472, 15473, 15474, 15475, 15476, 15477,
   15478, 15479, 15480, 15481, 15482, 15483, 15484, 15485, 15486, 15487,
   15488, 15489, 15490, 15491, 15492, 15493, 15494, 15495, 15496, 15497,
   15498, 15499, 15500, 15501, 15502, 15503, 15504, 15505, 15506, 15507,
   15508, 15509, 15510, 15511, 15512
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS",
  "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER",
  "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC",
  "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE",
  "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT",
  "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALL", "CALLED",
  "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P",
  "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE",
  "CLUSTER", "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS",
  "COMMENT", "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DESC", "DETACH", "DICTIONARY", "DISABLE_P",
  "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P",
  "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P",
  "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS", "HANDLER",
  "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE",
  "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE",
  "INCLUDING", "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS",
  "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE",
  "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED",
  "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P",
  "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL",
  "NATURAL", "NCHAR", "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO",
  "NONE", "NORMALIZE", "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION",
  "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION",
  "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES",
  "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM", "PUBLICATION",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STORED", "STRICT_P", "STRIP_P", "SUBSCRIPTION",
  "SUBSTRING", "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='", "POSTFIXOP", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'",
  "'.'", "';'", "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "ColQualList", "ColConstraint",
  "ColConstraintElem", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_params", "part_elem", "table_access_method_clause", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateStatsStmt", "AlterStatsStmt", "CreateAsStmt", "create_as_target",
  "opt_with_data", "CreateMatViewStmt", "create_mv_target", "OptNoLog",
  "RefreshMatViewStmt", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "OptParenthesizedSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "AlterFdwStmt", "create_generic_options", "generic_option_list",
  "alter_generic_options", "alter_generic_option_list",
  "alter_generic_option_elem", "generic_option_elem",
  "generic_option_name", "generic_option_arg", "CreateForeignServerStmt",
  "opt_type", "foreign_server_version", "opt_foreign_server_version",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "am_type", "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertionStmt",
  "DefineStmt", "definition", "def_list", "def_elem", "def_arg",
  "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "GrantRoleStmt", "RevokeRoleStmt", "opt_grant_admin_option",
  "opt_granted_by", "AlterDefaultPrivilegesStmt", "DefACLOptionList",
  "DefACLOption", "DefACLAction", "defacl_privilege_target", "IndexStmt",
  "opt_unique", "opt_concurrently", "opt_index_name",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_class", "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "opt_no", "AlterObjectSchemaStmt", "AlterOperatorStmt",
  "operator_def_list", "operator_def_elem", "operator_def_arg",
  "AlterTypeStmt", "AlterOwnerStmt", "CreatePublicationStmt",
  "opt_publication_for_tables", "publication_for_tables",
  "AlterPublicationStmt", "CreateSubscriptionStmt",
  "publication_name_list", "publication_name_item",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "opt_transaction_chain", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "vac_analyze_option_list",
  "analyze_keyword", "vac_analyze_option_elem", "vac_analyze_option_name",
  "vac_analyze_option_arg", "opt_analyze", "opt_verbose", "opt_full",
  "opt_freeze", "opt_name_list", "vacuum_relation", "vacuum_relation_list",
  "opt_vacuum_relation_list", "ExplainStmt", "ExplainableStmt",
  "explain_option_list", "explain_option_elem", "explain_option_name",
  "explain_option_arg", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_materialized", "opt_with_clause",
  "into_clause", "OptTempTableName", "opt_table", "all_or_distinct",
  "distinct_clause", "opt_all_clause", "opt_sort_clause", "sort_clause",
  "sortby_list", "sortby", "select_limit", "opt_select_limit",
  "limit_clause", "offset_clause", "select_limit_value",
  "select_offset_value", "select_fetch_first_value", "I_or_F_const",
  "row_or_rows", "first_or_next", "group_clause", "group_by_list",
  "group_by_item", "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "xml_passing_mech", "within_group_clause",
  "filter_clause", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "opt_window_exclusion_clause", "row",
  "explicit_row", "implicit_row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,    60,    62,    61,   728,    43,    45,    42,
      47,    37,    94,   729,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -4696

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4696)))

#define YYTABLE_NINF -2611

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2611)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    9728,    21, 18844, -4696, -4696,    21, 60892, -4696, 68831,   548,
    1172,  1174,   212, 18646, 69298, 76770,   654,   352,  5638,    21,
   76770,  1295, 52485, 66029,  1298, 76770,  1464,  1162, 52485, 76770,
   77237,  1272,  1456,   159, 77704, 69765, 64628,  1285, 76770,  1452,
     382, 78171, 70232,  1440, 70699,  1162, 48759,   430,  1378, 78638,
   76770,  2342,  1957,  1478, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,  1403, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,  1408,
   -4696,  1052,  2123,  1296,   851,  1525, -4696, -4696,  2067, 60892,
   76770, 76770, 76770,  1869, 76770,  1805, 76770,   207, 60892, 57156,
   71166,  1970,  1787, 44987, 79105, -4696, 60892, 76770, 55288, 60892,
   76770, 76770, 79572, 76770, 80039, 76770,  1730, 67430, 76770,  1899,
   76770, 76770, 55755, 80506,  2032,  1164,   259, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696,  1779,  1391, -4696,   271, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, 76770, 17957,  1464,  2067, -4696,  2342,
   76770,  2027, 76770,  1794, 80973,  1876, 76770, -4696, 76770,  1904,
   81440,   210,  1875, 57156,  1900, 45460,  1977, 76770, 76770, 57156,
   81907, 82374, 82841, 76770, 76770, -4696, -4696,  1968, 76770, 76770,
   -4696,  2108, 57623,    87,  2126,  2283,  2220,   803, -4696, 71633,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, 60425,   352,
   -4696, -4696,  2194, 61359,  2242, -4696, -4696, 83308,100050,  2077,
   -4696,   815, 61826, 58090,  2444,  2068, 45933,  2481, -4696, 62293,
   -4696, 58557, 62760, -4696, -4696, -4696, -4696, -4696, 83775, -4696,
   84242,  2199,  2242, -4696,100503, 59024, -4696,  2346, 84709, 85176,
   85643,  2067,  2074,  1646,  1905, 40762, -4696, -4696, -4696,   548,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,   219,  1793,
     253,   231,   257, -4696, -4696,   236,   247,   261,   219,  2557,
    2557, -4696, 76770, -4696, -4696,  1793,    63,  2104,  2104,  2104,
    2316,  1013, -4696,  2104,  2243, -4696, -4696, -4696, -4696, 70699,
   -4696,  2133,  1464,  2152,  2598,  2186, -4696, -4696, -4696, -4696,
   -4696,  2238,  2572,  2572, 76770, -4696, -4696,  2621,  2225,  2467,
    2213, -4696, -4696, -4696,  2408,  2426,  2437,   133,  1464,   250,
   -4696,  2558, -4696,  2454, 27476, 27476,  1464, 72100, 86110,   289,
   60425,  1464, 72567,  2264,  1128,  2460, -4696, -4696, -4696,   909,
   -4696,  2708,  2289,  2551,  2213,  1164, 42163, -4696,  2304,  1391,
   70699, -4696, -4696, -4696, 59491,  2625, 29392, 76770,  2317, -4696,
    2308,  2317,  2306,  2321,  1296, -4696,  9728, 59491, 76770,  1513,
    1513,  2754,  1513,  1676,  1772, -4696,  2254, -4696,  2670,  2634,
   70699,  2345,   859, -4696,  1489,  2359,  1544,  2363,  1573,  1074,
   -4696,   578, 76770,   273,  2402, 73034,  7478,  2383,  1391,  2388,
   -4696, -4696, -4696,  2543,  1445, -4696, -4696, -4696, -4696,  2686,
    2734,  4834,   255, 73501, -4696, -4696, -4696, -4696, 76770, 76770,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,  2400,
     749, -4696, -4696,  2404,  2777,  2645,  7971,  1136,  2740,  2605,
    1254,  8139,  2663,  1553,  2798, 15214,  1430,  2799,  1775,  2303,
   73968, 76770,  2770,  2803,  5482,  1700,   825,  2688,   916,  2740,
    2807,  2632,  1254,  2822,  4489, 76770, -4696,  2755,  2870,    91,
   -4696,   910, -4696, 22252, 29392, 48292, -4696,  1391,  2563,  2743,
     976, 60892,  2537, 76770, 76770, -4696,100956, 60892, -4696,  2756,
   46406, 60892, -4696, 60892, -4696, -4696,  2865,100956, 76770, 76770,
   -4696, 76770, -4696, -4696,  2542, -4696, -4696, -4696, -4696,  2104,
   76770,  2963,100956,  2771,   172, 76770,  1095,  2998, 76770,  2774,
    1095,  2585, 86577, -4696, -4696,  1095, -4696, -4696, -4696, 76770,
   76770,  2554,  1967,  2763,  2881,  1095,  2783,  3002,  3006,  2789,
    2639,  2795,  2308,  2976,  2768,  1004,  1565,   214,  1510,  1095,
    2622, 87044, 87511, 76770,  2623, 76770,  2572, 60892, 60892, 60892,
   76770,  2902, -4696,  2757, -4696, -4696,   878, -4696, -4696, -4696,
   -4696, -4696,  2920, -4696,   275,  2923,  2589,  2934,  1562, -4696,
   -4696,  2648, -4696,  2648,  2648,  2613,  2613,  2800,  2619,  2959,
   -4696, -4696, -4696,  2239,  2648,  2613, -4696,101862, -4696,  1610,
    1622, -4696,   313, -4696,  3074, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696,  2627, -4696,   826,  1852, -4696, -4696,  2662,
   -4696,  2970,   325, -4696,  2972, -4696,  2636, 87978, -4696, 88445,
   88912,  2974,   327, -4696, 57156,  2982,   325,  2983,  2636,  2984,
     325,  2985,   861,  2987, -4696,  1033,  2977,  2989,   313,  2991,
    1961,  2636, -4696,  2992,   346, -4696,  2995,   365, -4696,  2997,
    2869, -4696, 29392, -4696,  2758, -4696,  1378, -4696,  1654, -4696,
   51549, -4696,  1905,  1793, -4696, 76770,  1793, 76770,  1793, 76770,
    1793, 76770,  1793, 76770, 76770, 76770,  1793, -4696, -4696, -4696,
   76770,  2668, 76770, 76770, -4696, -4696, -4696, 66496, 57156, 66963,
   -4696, 76770, -4696,   368,  1464, -4696, -4696,100956,  3114, 57156,
    2572, -4696,  1774, -4696, -4696, 76770, 76770, -4696, -4696, -4696,
    2930, 76770,  2996,  3000, 66496, 57156, -4696, 89379, -4696, 60425,
    2880,  2673, -4696, -4696, -4696, -4696, -4696,  1895,  3157,   242,
    3158, 29392,  2679,   242,   242,  2681,  3008, -4696, -4696, -4696,
     276,  2684,  2685, -4696,   243,   243, -4696,  2689,  2693, -4696,
     283,  2695,  2701,  3168,  3170,   290,  2702,  2703,  2704,  2239,
     242,  2706, 29392, -4696,  2707,   243,  2709,  2710,  2711,  3188,
    2712, -4696,  3196,  2717,   287,   307,  2718,  2722, -4696,  2689,
   -4696,   292,  2725,  2726,  2727,  2728,  2729,  2739,  2742,  2744,
   29392, 29392, 29392, -4696, 26034,  1391,  1464, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696,   294,  5446, -4696,  2779, -4696,
   -4696,  2941, -4696, -4696, 29392, -4696, -4696,   106, -4696,   296,
   -4696, -4696, -4696,  1391,  3010,  2745, -4696, -4696,   308,  2746,
   -4696,   407, -4696, -4696, -4696, -4696, -4696, -4696, 59958,  3195,
   -4696,   330,  1464,   910,   361,  3137, 50613, 51081, -4696, -4696,
    3012, -4696, 76770, -4696, -4696,  1391,   226,  1842, -4696, -4696,
   51549, -4696, -4696,   548, 17989,  1846,  2317, 76770, 76770,  3202,
   -4696, -4696, -4696,  1847, -4696,  2752, -4696,  2308, -4696, -4696,
    1296,  1296, 29392,  1296,   270,  1317, 27955, 29871,  3082,  2969,
    1187,   251,  3085, -4696,  2978,  1676,  1772, 70699, 76770, 89846,
    2882, 29392, -4696,  3193,  2856,  2858,  2916, 49693, -4696,  2867,
    2835,  2872,  2927, 53420,  2792,  2875,  2878,  2933, -4696,  3058,
   -4696, -4696,  2883,  2884, 90313, -4696, -4696,  1083, -4696, -4696,
   -4696,  1083, -4696,  2812,  1450,  1064,  1424,  2885,   441,   819,
    3206, -4696,  1512, -4696, -4696,  2936, -4696,  6357, 76770,  3145,
    6404,  3016,   255,  2938, -4696, -4696, -4696,  3075,  2906, 76770,
    2908,  3047,   255,   928, 90780, -4696, -4696, 76770, -4696, -4696,
   -4696, -4696,  8829,  3198, 25128, -4696,  1802,  2912,  2893,  2926,
   76770, 63694,   386,  3027,  3048,  1446,  1086,   785,  2979, 76770,
    1879,  3055, 76770,  2843,  2924,  2925,  3149,  2847,  1025,  3248,
    2845, -4696, -4696, -4696,  3215, -4696,  2048,  2212,  3046, -4696,
    3152,  3197,  7206,  2913,  2914, 98691, -4696,  2940,    56, 46879,
   76770, 76770,  2942,  2943, 91247,  8829,  3225,  2958,  2960,  2947,
    2949,    20,  3249,  1738,  2950, -4696, -4696, -4696,  1738,  2954,
    2955, 91714,  8829,  3240, 76770,  2957,  2961, 76770,101862,   255,
   -4696,  3309,   255,   255,  1744,  3310,  2962,   349,  3118,  1773,
    1095,  2845,  2690, -4696,  2964,  2965,   331, -4696,  3091, 76770,
    2968,  2971,  1725,  1464, -4696, -4696,  2973,  3059,  2975,   730,
   -4696, -4696,    14,  2981, 70699,  3084,  3086,  1879,   233,  1817,
    2845, -4696,  2986,  2988,  2847,  2847, 76770, 76770, 76770, 76770,
   76770,   211,  3336,  3339,  2990,   484,    65,  2897, -4696,  1738,
   56222,  2993, -4696,  1738, 76770,   281,  1892,  2845,  1642,  1718,
   -4696, -4696, -4696,  1164, -4696, 29392, 29392, 29392,  2903, -4696,
    2341, 17989,    94, -4696,   299, 14341,  2898, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, 76770, -4696, 76770,  3181,100956,  3183,  3119,
    3186,  3189,   255, 76770, 76770,  3190,  3191,  3192,100956,  3194,
    3200,  3201,  3122,  2999,   182,  2994,  2922,  3372,  3266, 76770,
   53420, -4696,  3389,  1083, -4696,100956,  3139,  3270, -4696, 76770,
    3156,   627, -4696,  3306,  3001, -4696, -4696,   817, 76770,   241,
    3003, -4696, -4696,  3273, 57156,  1584,  3274,  1464,  3014,  3275,
    3147,  1464, 57156,  3199, 76770, 76770, 76770, 76770, -4696, -4696,
    3154,   805,   164, -4696, 56222,  3165, -4696, 76770,  3167,  2690,
    3169,  3401,    93,  2104, 92181,  3278, 92648,  2980,  3004,  3004,
    3414,100956,  3238, -4696,  1938, -4696,  3103, -4696, 60892, -4696,
   -4696, 60892, -4696, -4696,100956, 76770,  3005, -4696,  3007, -4696,
   -4696, 29392, -4696, -4696, -4696,  2557, -4696,100956,  2648,  2648,
   -4696, -4696,  3422,  3056,  3057,  2557, -4696,  2557, -4696,100956,
   -4696,  3011,  3013,  2557,  3053,  3064,  3066, -4696,  3017,  3067,
    2557, -4696, -4696,  1918, -4696, -4696, 60892, 60892, -4696, 57156,
   57156,  3314,   346,  3316,  3035,  3326,  3050, 46879, 46879, -4696,
     383, 60892, -4696, 57156, 60892, -4696, 76770, -4696, 76770, -4696,
   -4696, -4696, -4696,100956,100956, -4696, 57156, 56222,  3328, 76770,
   76770, -4696, 76770, 76770, -4696, 76770, 76770,  1859, 93115,  1905,
   59491, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, 76770,
   -4696, 76770, -4696, 76770, -4696, 76770, -4696, 76770, -4696, -4696,
   -4696, 76770, -4696, 76770,  1865, -4696, -4696,  1874,   183, 76770,
   76770,   238, 60892, 76770,  3205, 60892, 60892, 76770, 76770, 76770,
   76770, 76770,  3072,  2746,   599, -4696,   884,   284, 70699,  3216,
   -4696, -4696,  1884,  2342,  1246, 76770,  1281,  2238, -4696, -4696,
   -4696, -4696, 66963, 66029,  3320,   137, 76770, -4696, -4696, 16457,
   29392,  1391, 26992, -4696, -4696, 17989,  3043, 29392, 29392,  3020,
    2557,  2557, -4696,   958, 29392, 29392, 29392,  2557,  2557, 29392,
   10013, 29392, 46879, 29392, 34661, 23222, 29392, 29392, 26513, -4696,
   29392,  3241, 36092, 29392,   361,  3244, 29392,   361, 10013,  3481,
    3481,  2428,  7037,  3018,  1391, -4696,  2557,   192, -4696,   449,
  100956, 29392, 29392, 29392, 29392, 53420,  3094,   249, 76770, 29392,
    3026,  2699, -4696, 29392, -4696,  3028, 29392,  3107,   900, 29392,
   29392, 29392, 29392, 29392, 29392, 29392, 29392, 29392, -4696, 37493,
     488,  3340,  3359,   901,   419, 74435, 27476,  3356, 22252, -4696,
     220,  3356, -4696, -4696, -4696, 76770,  3195, -4696, -4696,  3120,
   -4696, -4696, -4696, -4696, -4696,   301, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696,  3036, -4696, -4696, -4696, -4696,  3036, -4696,
    3040,  3354,  3355,   861, 76770, 59491, -4696, -4696, -4696,  2362,
   -4696, 29392, -4696,  1885,  1894, 76770, 76770, -4696,  3331, -4696,
    3060, -4696, 14464,  3331, -4696, -4696, 35137,  3172,  3330,  3268,
   -4696, -4696, -4696,  3061, 17989, 30350, 30350, -4696,  2094, 17989,
    2102, -4696, -4696, -4696, -4696, -4696, -4696,  1193, -4696, 76770,
    1283,  3082,   251,  3125,  1255,  3511, 76770, -4696, 42630,  1909,
   -4696, 57156, 76770, 76770,  3262, -4696,  3497, -4696,101862, -4696,
    3069, -4696,101409, 97318, -4696, -4696,    79, -4696,   906, 57156,
   -4696, 76770, 76770, -4696, 53420, 57156, 76770, 76770, -4696, 57156,
   76770, 76770, -4696, -4696, -4696, -4696, -4696, 52017,    57, 66029,
    3207, 65095, -4696, -4696,  3081, 76770,  3130,  3345,  3352,  1401,
   -4696, -4696, 93582, -4696,  3302, 57156, 76770, 76770, 29392,  3303,
   76770, 76770, -4696,   280,  3166,  3171, -4696, 76770,  3173, 60892,
    3087,100956, 60892, 47352, 60892, 60892,  3413,100956, 76770, 76770,
    1111, 70699,   437,  2030,  2845,  3307, -4696,  1305, -4696, 57156,
   -4696, 76770,  3304, -4696, -4696, -4696, 74902,  3538,  3210, -4696,
   -4696, -4696, 94049, -4696, -4696,  3308, -4696,  1915, -4696, 57156,
   57156, 76770,  7757, 94516,  1429,  3322, -4696, -4696,100956, -4696,
   76770, 75369, 76770, 76770,  3361, 76770, 67897, 94983, 95450,  1457,
    1520,  3368, 76770, 68364,  3369, -4696,  3251, 76770, -4696, -4696,
   53887, 57156, 76770,  1185, 53420, -4696, -4696, 76770, -4696,   858,
   -4696, 76770,  3493,  3324, -4696, -4696,  3208,  3209, 76770,   446,
    2175,  2845,  3482, 76770, 76770,  3113,  1921, 57156, 76770, 53420,
   -4696,  3327,   764, 57156, 76770, 74902, -4696,  3329, 70699, 70699,
   57156, 76770, 70699, -4696, 76770, 86110, -4696, 57156,   846, -4696,
   57156, 76770, 74902, -4696,  3337,  3284, 57156, 76770, 19037, -4696,
   -4696, -4696,   255, -4696, -4696, -4696, -4696, -4696, 76770, 76770,
     255, 76770, 76770,   255,  1293, -4696, 57156, 76770, -4696, -4696,
   -4696,  3252, 57156, 76770, 76770,   219, -4696, 57156,  3003, 76770,
   53420, -4696, 76770,  6039, 76770, 76770, 76770, 76770, 76770, 76770,
   57156, 76770, -4696, -4696,   929,   736,  1341,  1703,  1406, 76770,
    3434, 76770, 95917, 57156, 76770, 76770,  1464, 76770, 53420,  1416,
   -4696, -4696,  3258, -4696, 57156,   846, -4696,  8554, 76770, 76770,
   76770,  3217,  3218,   222,  3301, -4696, -4696, -4696,   674,   674,
    3338, -4696, 29392, 29392, 28434,  3138, -4696, -4696, 29392, -4696,
   -4696,   337,  3590,   337, 96384,   337,   337,  3416,  3203,  3204,
     337,   337,   337,  3412,   337,   337,   337, 76770,  3315, -4696,
   -4696,  3315,   844, 29392,100956, 76770, -4696,  1934, -4696,  3162,
     805, -4696, -4696, 53420, 76770,   203,  1155,  3484,  3366, 64161,
    2080,  3479, 76770,  3211, 76770,  3604,  3247, 70699,  2554, -4696,
    2080, 76770, -4696,  2573, 66029, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, 76770, -4696, -4696,  3480, 76770, 29392,  3332, -4696,
    1464,  2554,  2554,  2554,  2554, -4696, -4696, -4696, -4696,  3371,
    1076, -4696,  3159,  2554, 76770,  3285,  3500,  2080,  3174,  3508,
   -4696,  2690,  3509,  1248, 76770,  3385, 64161,  3229,  3212,  3402,
    3627,  2104,  1464,  3403,  3391, -4696, 50153, -4696,  2554, 25581,
    5223,  6212,  3392,  3449, 76770,  3490,  3491,  3514, -4696,   275,
   -4696,  3639,  1562,  3515, 29392,  1943,  3213,   313, -4696, -4696,
    3214,  3013,  3219,  3226,  3220,  3222, -4696,  2557,   269,  3224,
    1091,   144,  3325,  2557,  3432,  3227, -4696,   325, -4696,  2636,
   -4696, 76770, -4696, 76770, 76770, 76770, 76770,   327, -4696, -4696,
     325,  2636,   325,   861, -4696,  3462,   313,  2636,  3321,  3524,
     346, -4696,   365, -4696,  3418,   861, -4696,  3431,  2104, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696,  1944, -4696, 76770,
   -4696,  3512,  3513,  3516,  3522,  3523,  3228,  3230,  3246, 76770,
    3231,  3228,   255,  3231,  3231,  3228,  2746,  2746,  3228,  3230,
   56689,  3676,  3532, -4696,  3311,  3233,  3550,   209, -4696,   230,
      68,  3483, -4696, -4696, -4696, -4696,100956, -4696, 57156,  3276,
    2572,  2572, -4696,   176,  3446,  3236, 56689,  3672,   861, -4696,
   60892, 76770,100956, 60892,  3457, 60892, 60892,100956, 76770, 76770,
    1948, -4696, -4696,   566, -4696,  1481, 29392,   246, -4696, 15062,
    1965, 29392,  3243,  3245, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696,  3250,  3565, -4696,  1980,  1986,  1990,  3253,  3254,  5492,
    5811,  3255, 15184,  3256,  3259, 34661, 34661, 26034,  2307, -4696,
   34661,  3257,  3444,  1996, 14750,  3264,  3260, 15710, 28913, 29392,
   28913, 28913, 15806,  3264,  3277,  2012, 53420,  3439, 16738,  2035,
   -4696, 29392, 53420,  6449, 29392, -4696, 29392,  3280, -4696, -4696,
    2829,  2829,  2829, 10013, -4696,  3286, -4696, 34661, 34661, -4696,
    3131, 26034, -4696, -4696,  3580, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696,  2846, -4696,  3263, -4696, -4696,  3498,  3807, 46879,
    9452, 29392,   332, 29392,  3026, 29392,  3357,  2829,  2829,  2829,
     423,   423,   266,   266,   266,  1820,   419, -4696, -4696, -4696,
    3279,  3282,  3283,  3472,  3287, 29392, -4696,  2059,  2089, 76770,
    2761,  3507,  3646, -4696, -4696, -4696, 38427,  3333,    94,  3333,
   -4696,  1164,  2557,   192, 51549, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, 76770, 17989, -4696, -4696,  3530,  3290, -4696, -4696,
   29392, -4696, -4696,  1418,  3291,    86,   698,  2214,  2214,  2094,
     700, -4696, -4696,  3343, -4696, 29392,  2157, -4696,  2193, -4696,
   -4696, -4696, -4696,  2746, -4696,  3536, -4696, -4696, -4696, 38427,
    3334,  3341,  1616, 41696,  3503, -4696, 76770, -4696, 76770,   381,
   -4696,  3317, -4696, -4696, -4696, -4696, -4696, -4696, 97318,  1852,
   -4696,101409, -4696,101409, -4696,  1852,  3723, -4696, 97318,  1569,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, 57156, 57156,  3505, 76770,  3517,  3518, 29392,
     205, 76770,  3300,  3318,  1448,  3599, 76770, -4696,  3647,   861,
   -4696, -4696,  3388, -4696, 17989, -4696, -4696, -4696, -4696, -4696,
   57156, 76770, -4696, 60425, -4696, -4696,100956, -4696, -4696, 76770,
   76770, -4696, -4696, -4696,100956, -4696, -4696, -4696, 76770,   147,
    3394,  3397, 76770, -4696,   140,  3091,  9059, 76770, 76770, 76770,
    3603, -4696, -4696, -4696, -4696,  3541, -4696,  3655, -4696, 97318,
   -4696,  2636,  1053,  3404,  2845,  3548, -4696,  3665,  3533, -4696,
    3451,  1163, -4696, -4696,  3465, -4696, -4696, -4696, -4696,  3671,
     861,  3675,   861, 76770, 76770, 76770, 76770,  3469, -4696, -4696,
   -4696, -4696,  3470,  3605, -4696, 53420, 53420, 53420,  2044, -4696,
   -4696,  1464, -4696, -4696, -4696, -4696, -4696, -4696,  3636, -4696,
    2056, -4696,   -19, -4696, -4696, -4696, -4696, -4696,  3681, 57156,
   76770,  9418, 76770, 76770, 76770,  3555,  1799,  1197,100956, -4696,
   99144, -4696, -4696,  2060, -4696,  3360, 76770,  3428, 57156,  3406,
   -4696, -4696, -4696,  3686,  3348,  3348, -4696, -4696,  3348, -4696,
   -4696, -4696,  3612,  3542, -4696,   966,  3544, 57156,  3420, -4696,
   -4696, -4696, -4696,  3690,  3442, -4696, -4696,  3445,  2211,  2845,
    2690, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
    3464, -4696, -4696, -4696, -4696, -4696, -4696, -4696,  1393, -4696,
   -4696,  1314,   433,  2278,  2845, -4696,   326, -4696,  3453, -4696,
    3454, -4696, -4696, -4696,  3614,  3617,  3619,  3460,  3463,  3519,
    3467,  3473,  3526, -4696,  3476,  3539,  3486,  3545,  3487,  3728,
     861,100956,  3600,  1464,  3510,  3720,   861, -4696,  3488, -4696,
    3499, -4696,  2065,  3826, -4696, 76770, -4696,   460,  2440,  2845,
   -4696,  3501, -4696, 57156, 76770, -4696, -4696, -4696, 29392,  3417,
    3419,  3421, 17989, 17989, 29392, -4696, -4696, 17989,  3405, -4696,
   -4696, -4696,100956, -4696, 76770,  3664, -4696, -4696,   337, 76770,
   76770, -4696, -4696, -4696, 76770, -4696, -4696, -4696,  3687, -4696,
     288,   288, -4696, -4696,  3710,  7082,  3423,   405, -4696, 53420,
   44034,  1911,  2276,   165,  1095, -4696, 60425, 76770, 60425, -4696,
    1155,  3533, 76770, 76770, 76770,  3425,  3426, -4696, -4696, -4696,
   -4696, 57156,   933, 57156,  2557, -4696, -4696,  3502, -4696, 76770,
    2104,  3900,  3748, -4696,  3348, -4696,  3868,  3006,  1584,  3583,
    1697,  2639,  3812,  2308,   394, 53420,  3212, -4696, -4696, -4696,
   -4696, 76770, 76770,   805,  1464, -4696,  3433,  3435, -4696, 76770,
    3770, 76770, 76770, 76770, 76770,  3276,  3447, 76770,  3448,100956,
   76770,  2049,  2847,  3895,  3788,  2342,  3229,  3531,  3794, 70699,
    3468,  2069, -4696, -4696, -4696,  2071,   344, -4696,  1464, 60425,
   98238,  3783, -4696,  6212, -4696, -4696,  6212,   849, 76770,  3771,
   -4696, -4696,  2342, -4696,100956,  3471, -4696,  2075, -4696,  2079,
   -4696, -4696, -4696,  2557, -4696, -4696,  1592,  1592,  3466, -4696,
    3475, -4696, -4696, -4696, -4696, -4696, -4696, -4696,  3474, -4696,
   -4696, -4696,   346,  3520,   861,  3534,   861, -4696, -4696, -4696,
   -4696, 76770, -4696, 76770, 56222, -4696, -4696, 76770, -4696,  3814,
   -4696, -4696,  3611,  3615,  3620,  3621,  3622, 76770,  3228, -4696,
    3485, 57156,  1514, -4696, -4696,  3685, -4696, -4696, 70699,  3607,
   -4696, -4696, -4696, -4696,  3825,  3830, -4696, -4696, -4696,  1023,
   -4696, 76770, 76770, 57156, 66496,   417, 57156, -4696,  3765,  3766,
    3767,  3768,   255,  3769,  3772,  3775,  3776,  3777, -4696, -4696,
   -4696,  3521, 17056, 29392, -4696,  3843,100956, -4696,  7567, -4696,
   -4696, -4696, 29392, -4696, -4696, -4696, -4696, -4696, -4696,  2039,
   29392, -4696, 29392,  3817, -4696, 23707,  3980,  3980,  3525,100956,
   34661, 34661, 34661, 34661,  1680,  2709, 34661, 34661, 34661, 34661,
   34661, 34661, 34661, 34661, 34661, 35616,   555, -4696,  3708, 29392,
   29392,  3838,  3817, -4696,100956,  3527,  3264,  3529,  3535, 29392,
   -4696, -4696,  2083, 36559,  3537, 53420, -4696, 29392,  8784,  2091,
    3560, 17475,  1391,  7944,  1464, 29392,  1273,  2599, 29392,  2117,
   29392,  3836, -4696, -4696, -4696, -4696,  3549, -4696, -4696,  3742,
  100956, -4696, 29392,  3543,  3885, 34661, 34661,  4071, -4696,  4162,
   29392, 26034, -4696,  3338,  3561, 43097, -4696, 24192,  3546,  1162,
    1162,  1162,  1162, -4696, 76770, 76770, 76770, 38894,  3840,  3553,
   37960, 75836,  3551,  1289, -4696, 75836, 76303, 75836, -4696,  3556,
   -4696,  1391, 29392,  3833,  3562,  3833,   910,  3563, -4696, -4696,
   -4696, -4696,  2342, -4696,  3568, -4696,  3291,  1462, -4696, -4696,
   -4696,   702, -4696,  3606, -4696, -4696, -4696,  3551, 30829,  3678,
   -4696, -4696, -4696,  3575,  2124, -4696, -4696,  3929,  3678, -4696,
   -4696,  2134, 42630,  3334, 29392,  1391,  2135,  1705, -4696, -4696,
   97318, -4696,  3609,  2636,  2636,  1766,  3228,  3860,  1766,  8128,
   -4696, -4696, 39361, 76770, 76770, -4696, 76770,  2142,  1527, 76770,
   -4696, 76770, -4696, -4696, -4696,  3994,  3618,  3628,  3824, -4696,
    2363, -4696, -4696, 57156, 76770, -4696, -4696, -4696,   461,  2691,
    2845, -4696,  3651, -4696, -4696,  3858, 76770, -4696,  4006,  3667,
   76770,  3914, 76770,  3579, -4696,  1527,  3688,  3896,  1536,  2847,
     349,  2347, -4696,   113, -4696, -4696,  3656, -4696, 76770, -4696,
   76770, -4696, -4696, -4696, -4696, -4696, -4696, -4696,  3714, -4696,
   -4696, -4696, -4696, 53887, -4696, -4696, 76770, -4696, 53420, 44034,
   53420, 76770, -4696,  1422,   480,  2775,  2845, -4696,  3668, -4696,
    3925,  3679,  3680,  3725,   191,  1199,  3683,  3684,  3726,  3593,
    3595,  3613, -4696, 53420, 44514,  3759, 76770,  2636,  3610,  3644,
   76770,   219,  1464, -4696, -4696,  1464,  2636,  1464, 76770, 76770,
   76770, 76770,   219, 53420, -4696,  4043,  3705, 76770, 76770, 76770,
   76770, -4696,  3689, -4696, 76770, 76770,  3942,   216,  1988, 57156,
   76770, 76770, 57156, 76770, 76770, 76770, 76770, 76770, 76770, 76770,
    3829, -4696,  4034,  3962,  2154,  4004,  3698, 76770, -4696, 76770,
    1464, -4696,  3091, 76770, 76770, 76770, 76770, -4696, -4696, -4696,
   -4696, -4696,  3338, -4696,  3629,  3903,   337, -4696,  3907,  3910,
    3911,   337, -4696, -4696,  1095, -4696,   218, 76770, -4696,  2081,
   76770, -4696, -4696, -4696,  3568,  2048,  2212, -4696, -4696, -4696,
   -4696, -4696, -4696, 76770,  3640, 76770, 76770, 34661, -4696,  1910,
    1599,   264, -4696,  3912, 76770,  3003, -4696, -4696, -4696,  1234,
   76770, -4696, -4696, -4696, -4696, -4696,   830,  3447, -4696,  3930,
   64161,  2636, 57156, 57156,  2636, -4696,100956,  3643,  3212, -4696,
     857,  3730, 57156,  1584,  1413, 96851,  3014,  3691,  3853, 38427,
    1393, -4696,  3649,  3810, -4696,  3654,  3652, -4696, -4696, 76770,
    3533, 56222,  2155,  2690,  4106,   772,  2074, -4696, 65562,  3848,
    3447,  3930, -4696,  2847,  3874,  3881, -4696,  2342, 76770,  3276,
    3212,  1464, 76770,  3130, 44034, -4696,  4157, -4696, 97318, 29392,
   29392, -4696,  3673, -4696,  3682,  6212, -4696,  3745,  3692, -4696,
   -4696, -4696, -4696, -4696,  3756,  3694, 76770, -4696,  3677,  3515,
   -4696,  3515, -4696,  3696, -4696, -4696, -4696, -4696, -4696, -4696,
   76770, -4696, 76770, -4696,   861, -4696,  3804,   861, 76770, 76770,
   76770, 76770, 76770, 76770,  3228,   255, -4696,  3997, 56689, -4696,
   -4696,  2156, 76770, -4696, -4696, -4696,  4063, -4696, -4696,   137,
    4005, -4696, -4696,   985,   985,   985,   985,  3972,   985,   985,
     985,   985,   985, -4696, 29392, 17989, -4696,  3699, -4696, 17989,
    3700,  8540, 17989,  3838, -4696,  2160, 29392, -4696,  1345,  1345,
    1345,  4583,  4008, -4696,  1337,  3702,  1345,  1345,  1345,   399,
     399,   319,   319,   319,  3980,   555, 17989, 17989, -4696, -4696,
    3704, -4696, -4696, -4696,  3264, -4696, 31308,    69,  4130, 36092,
   -4696, -4696, -4696,  3746,  3747,  3709, -4696, 29392, 31787,  3707,
  101862,  3902, -4696,  1850, 29392, 29392,  3111, -4696, 10522, 29392,
  100956, -4696,  2161,  3111,   490, 29392,  3674,  3740, 29392, 29392,
    4724,  9978,  3711, 29392, 97771, -4696, -4696, -4696,  2165, 29392,
   76770, 76770, 76770, 76770, -4696, -4696, -4696, 75836, 76303, 75836,
    3715, 37026, 24660,  1289,  3713, 76770, -4696, -4696,  3719, 38427,
    3991,  3919, -4696, 38427,  3919,  1451,  3919,  3995,  3799, 43564,
   -4696, -4696,  3738, -4696,  3924, -4696,  1802, 17989,  4161,  4046,
    1464,  4046,  1464,  3739, 46879, -4696, -4696, -4696, -4696,  3827,
   -4696,  3955, 17989, 27476, -4696,  2342,  2833, 76770,  1391,   120,
   -4696,  3757, 76770, -4696,  3678, 17989, -4696,  3815,  2173, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696,  3828, 66029,  4072, -4696,
   29392,  2192, -4696,  3790,  4163,   341,  2200,  2201,  1527, -4696,
    4049, -4696,  1660,  4045,   215, -4696,   861, -4696,100956, 76770,
   76770, 76770,  2792, -4696, -4696, 76770, 76770, 76770, 76770, -4696,
   -4696, 57156, 76770, -4696, 76770, -4696, 53420,  2276,   219,  1910,
    4058,  4059,  3976, -4696,   255, -4696,  1910,  3977,   219, 76770,
   -4696, -4696,  2665, -4696,100956,   861,   861, -4696, -4696, -4696,
   -4696, -4696,  3774, -4696,  4191,  3850, 76770, 76770, 76770, 76770,
   76770, 57156, 76770, 76770,  2557,  2557,100956,  3760, -4696,  2557,
    2557,  3761, -4696, 57156, 76770, 76770, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696,  3846, -4696, 29392,
    4185, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
   -4696, -4696, -4696, 57156, 76770,  3851, -4696,  3852, -4696,   873,
   -4696, -4696, 76770, 76770, 76770, 76770,  4111, -4696, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,  4103, 76770,
   -4696, -4696,  1464,  1464,100956,   861,   861, -4696, -4696, -4696,
    3854, -4696, -4696,  3778,  4050,   337, -4696,   337,   337,   337,
   -4696,  3780, -4696,  1095,  4143, -4696,  1527,   298,  4099, -4696,
    4102, 29392, -4696,  2169,  4583, -4696,  4155,  4233, -4696, -4696,
   -4696, -4696,  3003,  2104,  3841, -4696, -4696, 60892,   931, -4696,
    4082,   203,  4000, 64161,   326,  1588,  3789,  3916, -4696,  2636,
    2636,  3849, 76770,  4239, -4696, -4696, -4696, -4696, -4696, -4696,
   57156,  3406, -4696,  4017,   801,  4118, 76770, 29392,  3551, -4696,
    1844,  4121, -4696,  1464, -4696, -4696,  3921,  3212, -4696,  1741,
   76770,  4018, 64161,  3276,  2206, -4696, -4696, -4696,  3844,  4235,
    3229, -4696,   326,  3848, -4696, -4696,  4212,  3897,  3847,  4260,
   -4696,  3897,  4133,  4022,  3816, -4696,  3468, -4696, -4696, 17989,
   17989,  1464,102315,  6212,100956,  4140, 76770,   185,  4105,   861,
    2208, -4696, -4696,   861,   861, -4696, 76770, -4696,  3228,  3228,
    3228,  3228,  3228, -4696,  4024, -4696, -4696,  4096, -4696,   861,
   56689, -4696, -4696, -4696, -4696, -4696, -4696,   985, -4696, -4696,
   -4696, -4696, -4696, 17989, -4696, -4696, -4696, -4696, -4696, 10346,
   34661,  4141, -4696,  3822,100956, -4696,  3823,  2218,  2226, -4696,
   -4696,    69, -4696,  4130, -4696, -4696, -4696, 11219,  3875, 17989,
    3934,  3831,  3832,  3111,  3111, 10522,  2230, -4696,  3111, 29392,
   29392,  3111,  3111, 29392, -4696, -4696, 11366,  4015, -4696, -4696,
   11498, -4696, -4696, -4696, -4696, -4696, -4696, -4696, 54354,  3834,
    3439, 75836,  3835, 76770,  1289, 38427, -4696, -4696,   977, -4696,
   38427,  4100, -4696, 38427, 60892, -4696, 76770,  3837, 76770, -4696,
   32266, 29392,  3866, -4696,  3866, -4696, -4696,  3842, -4696, 76770,
    2745, -4696,  1616, -4696, -4696,  4230, 39361,  4193, 29392, -4696,
   -4696, -4696, -4696, 56689,  4047, 56689,  1527, 11869,  4049, 39361,
   47825, 76770, -4696, 76770, -4696,  3998,  4049,  3845,  3003, -4696,
   -4696, -4696, -4696, -4696, -4696,  3855, -4696, -4696, -4696, -4696,
    3922, -4696, -4696,    24,  3216, -4696,  2247, -4696, -4696,  4293,
    4184,  4186, -4696, -4696, -4696, -4696, -4696, -4696,  4034, -4696,
   -4696, 44034, 57156, 76770, -4696,  3927, -4696, -4696, -4696, -4696,
   -4696, -4696, 41229, 46879, -4696,   191,  3857,  3859,  1199, -4696,
   -4696, -4696, 76770, 12262,  3863,   773,  3216, 76770, 76770,  3867,
    3871,  3872,  1412,  1294,  1704,  3228,  4174, 76770, -4696, -4696,
   -4696,  4034, -4696, -4696, 76770, -4696,   337, -4696, -4696, -4696,
   -4696, 53420, -4696,  2868,  3780,  1464, 60892,  4299,  4299, 76770,
   -4696, 12381,  4069, -4696, -4696,   756,  3841,  4101,  4144, -4696,
    3873, 76770,  1234,  3882, 76770,  3886,  3999,  1686,  1686, 76770,
   76770, 76770,  2252,  2342,  2636,  3644,  1584,  4221, 64161,  4232,
    3533,   398, -4696, -4696,  1844, -4696,  1517,  4226,  3931, -4696,
   76770,  4335, 76770,  3276,  3447, 76770,  3888, -4696, -4696, 65562,
    4098,  2276, 76770,  2049,  3848,  3229,   260, 76770, -4696,  1356,
   -4696,  2342, -4696, 76770, 70699, 39361, -4696,101409, -4696,  2258,
   -4696, -4696,  3966,  3333,  4002,  4007,  3898, 76770,   123, -4696,
   -4696, -4696, -4696, -4696, -4696, 76770, -4696,   417, -4696, -4696,
    4677, 34661,100956,  2260, 29392, -4696, 29392, -4696, -4696, -4696,
   -4696,    97, -4696, -4696, -4696,  3111,  3111,  3111, -4696,  4329,
    3338, -4696, -4696,  2267,  4349, 33703,  4311, -4696, 76770,  2272,
   -4696, 29392,  3905, -4696, -4696, 38427,   977,  3906,  2273, 76770,
    2310,100956,  3909,   788,  3918, 22737,  3923, -4696, -4696, -4696,
   -4696, -4696, 17989, 17989, 76770, -4696, -4696, -4696, -4696,  3958,
   76770,  2315, -4696,   714, 17989,  1514,  1766,   417,  4163,  3003,
   -4696,  3926, -4696, -4696,  2847,  1306, 76770,  3003, 76770,  3841,
   -4696, 76770,  4003, -4696, -4696, 53420,  4213, -4696, -4696,  3967,
   -4696,   967,  3216, 76770,100956, -4696,   347,  4250, -4696,100956,
  100956, -4696, -4696, -4696, 29392,  4019, -4696, -4696, -4696, 29392,
   29392, 63227, -4696, -4696, 76770, 76770, 76770, 76770, 76770, -4696,
     861, -4696, -4696,  2326, -4696, 40295, -4696, -4696,  2998,  1464,
    2998,  1674, -4696, -4696,  2998,  2998, -4696,  3333, -4696,  4299,
     356, -4696, -4696, -4696,  1541,  4156,  3935, 29392, -4696,  1212,
    4136,  4023,  3937, -4696, 60892,  4416,  3447,  3930, 76770, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
    2330,  3533,  4270,  3212,  3847, -4696, 76770,  3973, -4696, 38427,
   -4696, -4696, -4696,  2998, -4696,   100,  3943,  4283,  3533,  2342,
    2074, -4696,  3848,  3447,  3930, -4696, -4696,  3945,  3881,  3229,
    2049,  4083, -4696,  4084, -4696,  4368,  4158,  4375,  3276, -4696,
    3130,  2331, -4696,  6212,102315,100956,  4315,  3996,  4001, -4696,
   -4696,  4012, 76770, -4696, -4696,  3533, -4696,  4677,  2332, -4696,
    2351,  2353,  4013, -4696, 29392,   796,  3556, 54354,  3961, -4696,
   34661,  2370, -4696,  3928, 76770,  2372, -4696, 17989, 76770, -4696,
   -4696, 29392, -4696,  2374, -4696, 29392,  3963, 29392, -4696, 32266,
    3964, -4696,  4415,  2342, -4696,  3333, 39361, -4696,  4093, -4696,
    4296, -4696, -4696,  3841, 46879,  1306,  3291,  2104,  3841,  2378,
   -4696, -4696, 76770, -4696,  3935, 29392, -4696,  4062, -4696, -4696,
    2394,  1480,  4142,  4142,  2420,  2424, 12504, 76770,  2431,  2442,
   -4696,  2448,  2557,  3230,  1704,  3230, -4696,  3228, -4696, -4696,
   53420, -4696, 54821, -4696, -4696, -4696,  1464, -4696,  1464,  4198,
   76770, 49226,  1464,  1464, -4696, -4696, -4696, -4696,  4334,  4273,
   -4696,  2690, -4696, 13171, -4696, -4696, -4696,   464, -4696,  4192,
    4194, 76770, -4696,  3985, -4696,  2452,   326,  4112,  3533, -4696,
   -4696, 76770,  4436,  4438, -4696,  1022, 76770,  3551, 76770, -4696,
   -4696, -4696, 29392,  1234, -4696,  3847,  3276,  3229,   326,  3848,
    2276, 39828,  3897,  2049,  3881, -4696, -4696,  4195, -4696,  4196,
   -4696,  3992,  4288,  6212, -4696, -4696,   354,  4312,  4313, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696,  3264, 32745, 32745, 32745,
    4009, -4696, -4696, 76770,  4583,  3993, 33703, 53420,  2458, -4696,
   99597, -4696,  2488,  2490, -4696,  2495, 32266,  2500, -4696, 76770,
    4020, -4696, -4696, -4696, 42630, 56689,  4040,  4014,  3291, -4696,
    4101, -4696, -4696,  1527,  3216, -4696, 17989, 76770, 60892,  4432,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696,  3216,  4085, -4696,
   -4696, 63227, -4696, 76770, -4696, -4696,  2504, -4696, -4696, -4696,
   76770,  3649, -4696,  3649, -4696, -4696,  4145, -4696,   348,  4107,
    1167,  1167,  4369, -4696,  4067, -4696, -4696,  4016, -4696,  4484,
    4137, 76770, -4696, -4696,   191,  2342, 64161,  3533, -4696, -4696,
   13263, 60892, -4696, -4696,  2049,  3848,  3229, 29392,  2505, -4696,
    4163,   341, -4696,  3881,  3897, -4696, -4696, 39361,  4021,  3212,
   -4696, -4696,  2864, 60892, 60892, 34182,  4160,   235, 14823,  4365,
   -4696,  4365,  4365, -4696,  2511, 36092, -4696, -4696, -4696, 76770,
    4225,   317, -4696,  4178, -4696,  2516, -4696, -4696, -4696,  1326,
     417,  4026, -4696, -4696, -4696,  4136,  1527, -4696,  3216, -4696,
   76770, -4696,  4028, -4696, -4696, -4696, 54821,  3649,  3931, -4696,
   -4696, -4696,  4492, -4696,   278, -4696, -4696, -4696, -4696, 76770,
    3533,  3760,  3847, -4696, -4696,  4031,  3881,  3229,  2049, 13613,
   -4696, 39828, 76770, 76770,  3897, -4696,  2517, 39361,  3897, -4696,
    2788, -4696, -4696, -4696, -4696, -4696, -4696, -4696,  4033,  4036,
    4487, -4696, -4696, -4696, -4696, -4696,   947, -4696, -4696, -4696,
   -4696,  3439, -4696, -4696, 34661, 34661,  4259, -4696,   317, -4696,
    4032, -4696, -4696, -4696, -4696, 29392,  1527, -4696, -4696, -4696,
   29392, -4696,  4381, -4696, -4696, -4696,  3533, -4696, -4696, 52953,
    3897,  2049,  3881,  4163, -4696, -4696, -4696, -4696, -4696,  4288,
   -4696,  2521,  3333,  2087, -4696, -4696,  2184,  2321,  4123,  4364,
   33224,  4190, -4696,  4254, -4696,  4465,  4583,  4583, -4696, -4696,
   29392, 13762,  1527,  2523,  1234, -4696, -4696,  2528, -4696, -4696,
   -4696, -4696, -4696,  3881,  3897, 76770,  3212, -4696, 39361, -4696,
   -4696,  2788,  4168,  4169, -4696, -4696, -4696, 76770, 13835, -4696,
   -4696, 60892, -4696, 52953,  3897, -4696, -4696,  3897, -4696, -4696,
    4097,  4108,  2530, -4696,  4061, -4696, -4696,  3333,  4386,  4387,
   -4696, 52953, -4696, 60892, 60892,  2535, -4696, -4696, -4696
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1627,  1393,   620,  1479,  1478,  1393,     0,   254,     0,  1489,
       0,  1393,   415,  1065,     0,     0,     0,     0,   620,  1393,
       0,  1627,     0,     0,     0,     0,     0,  1640,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1393,     0,     0,
    1647,     0,     0,     0,     0,  1640,     0,  1491,     0,     0,
       0,     0,     0,     2,     4,    38,    73,    74,    31,    30,
      91,    56,    17,    64,   125,   124,   126,    43,    39,    81,
      26,    28,    40,    44,    66,    68,    33,    46,    57,   103,
      65,    24,    63,    69,    89,    51,    12,    13,    52,    14,
      53,    15,    54,    99,    75,    92,    36,    62,    23,    45,
      71,    72,     5,    47,    79,    11,    58,    59,    61,    84,
      85,    86,   108,    87,   120,    42,   117,    96,    97,   114,
      98,   115,     9,   100,    55,    16,   111,   110,   112,    82,
      48,    83,    70,    90,   109,    27,   113,    18,    19,    21,
      22,    20,    60,    29,    67,    32,    88,   116,   106,   102,
     121,   119,   127,   104,    76,     7,     8,    93,     6,    25,
      50,    10,    35,    34,    49,    41,   123,    37,  1489,    95,
     107,    94,    77,   101,    80,   105,   122,    78,   118,  1597,
    1596,  1649,  1600,  1626,     0,  1612,  1392,  1391,  1406,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   619,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1403,  2240,  2255,  2256,  2257,
    2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,
    2268,  2269,  2270,  2605,  2271,  2272,  2273,  2554,  2555,  2606,
    2556,  2557,  2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,
    2558,  2559,  2282,  2283,  2284,  2285,  2286,  2560,  2607,  2287,
    2288,  2289,  2290,  2291,  2608,  2292,  2293,  2294,  2295,  2296,
    2297,  2298,  2299,  2300,  2609,  2301,  2302,  2303,  2610,  2304,
    2305,  2306,  2307,  2308,  2309,  2561,  2562,  2310,  2311,  2312,
    2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,
    2323,  2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,
    2333,  2334,  2335,  2336,  2563,  2337,  2338,  2339,  2340,  2564,
    2341,  2342,  2343,  2565,  2344,  2345,  2346,  2611,  2612,  2347,
    2348,  2349,  2350,  2351,  2566,  2567,  2352,  2353,  2354,  2355,
    2356,  2357,  2358,  2613,  2359,  2360,  2361,  2362,  2363,  2364,
    2365,  2366,  2367,  2368,  2369,  2370,  2614,  2568,  2371,  2372,
    2373,  2374,  2569,  2570,  2571,  2375,  2615,  2616,  2376,  2617,
    2377,  2378,  2379,  2380,  2381,  2382,  2572,  2618,  2383,  2619,
    2384,  2385,  2386,  2387,  2388,  2389,  2390,  2391,  2392,  2393,
    2394,  2395,  2396,  2397,  2398,  2399,  2400,  2401,  2402,  2573,
    2620,  2574,  2403,  2404,  2405,  2406,  2407,  2408,  2409,  2575,
    2576,  2410,  2411,  2412,  2621,  2413,  2577,  2414,  2578,  2415,
    2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2579,
    2622,  2425,  2623,  2580,  2426,  2427,  2428,  2429,  2430,  2431,
    2432,  2433,  2434,  2435,  2436,  2581,  2437,  2582,  2440,  2438,
    2439,  2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,
    2450,  2583,  2451,  2452,  2453,  2454,  2455,  2456,  2457,  2458,
    2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,
    2624,  2469,  2470,  2471,  2472,  2473,  2584,  2474,  2475,  2476,
    2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,
    2487,  2488,  2489,  2585,  2490,  2491,  2625,  2492,  2493,  2586,
    2494,  2495,  2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,
    2504,  2505,  2506,  2507,  2587,  2508,  2509,  2510,  2511,  2626,
    2512,  2513,  2514,  2515,  2516,  2517,  2588,  2589,  2518,  2519,
    2590,  2520,  2591,  2521,  2522,  2523,  2524,  2525,  2526,  2527,
    2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,  2536,  2537,
    2538,  2592,  2593,  2539,  2627,  2540,  2541,  2542,  2543,  2544,
    2545,  2546,  2547,  2548,  2549,  2550,  2594,  2595,  2596,  2597,
    2598,  2599,  2600,  2601,  2602,  2603,  2604,  2551,  2552,  2553,
     129,     0,     0,  2214,  2241,  2242,  2245,  2240,   387,   386,
    1587,  2211,  2241,  1488,  1468,   620,     0,  1406,   414,  1627,
       0,     0,     0,     0,     0,     0,     0,   836,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     177,     0,     0,     0,     0,   438,   437,     0,     0,     0,
    1031,   443,     0,     0,     0,     0,     0,   610,  1536,  2438,
    1534,  1588,   255,   258,   259,   256,   257,  2230,     0,  1167,
    1168,  1170,     0,     0,  1180,   876,   877,     0,     0,     0,
     890,     0,     0,     0,   874,     0,     0,     0,   896,     0,
     893,     0,     0,   897,   894,   871,   895,   878,     0,   870,
       0,     0,  1180,   898,     0,     0,   872,     0,     0,     0,
       0,  1406,  1533,   444,  1627,     0,  1510,  1511,  1512,  1489,
    1501,  1513,  1506,  1508,  1507,  1509,  1505,  2229,  2256,   966,
     966,   966,   966,   963,   964,   966,   966,   966,  2458,     0,
       0,   945,     0,   947,  2231,   966,   971,   507,   507,   507,
       0,   970,   975,   507,     0,  1374,  1415,  2213,  1639,     0,
     946,  1373,  2518,  1524,     0,     0,  1195,  1191,  1193,  1194,
    1192,     0,  1034,  1034,  2476,  1385,   239,  2487,  2588,  2518,
     238,   233,   234,   207,  2260,     0,     0,   970,     0,  1406,
    1383,   942,  1646,  1644,     0,  2198,  2280,  2295,  2386,   230,
    2469,  2477,  2487,  2588,  2518,  2550,   186,   196,   191,     0,
     248,  2487,  2588,  2518,   244,  1403,     0,  1613,  1750,  2207,
       0,  1376,  1375,  1490,     0,  1493,     0,  2453,  1617,  1620,
    1495,  1618,  1609,     0,     0,     1,  1627,     0,  1500,  1643,
    1643,     0,  1643,     0,  1601,  1609,  1604,  1608,     0,     0,
       0,     0,     0,  1377,     0,     0,     0,   901,     0,  1418,
    1016,     0,     0,     0,     0,     0,  1267,     0,  1074,  1073,
    2246,  2236,  2237,     0,  2234,  2235,  2247,  2248,  2249,     0,
    2358,  1267,     0,     0,  2105,  2116,  2117,  2118,  2284,  2341,
    2113,  2114,  2115,  2107,  2108,  2109,  2110,  2111,  2112,     0,
       0,  1162,  2106,     0,  2358,     0,  1267,     0,   156,     0,
     133,  1267,     0,     0,  2358,     0,     0,  2358,     0,     0,
       0,     0,     0,  2358,     0,     0,     0,     0,     0,   156,
    2391,     0,   133,  2358,     0,     0,  1397,     0,     0,     0,
    1399,  1402,  1378,     0,  2190,     0,  2191,  2215,  1471,     0,
    2207,     0,     0,     0,     0,   884,     0,     0,   874,     0,
       0,     0,   885,     0,   886,   887,     0,     0,     0,     0,
     883,     0,  1389,  1380,     0,  1526,  1528,  1527,  1525,   507,
       0,     0,     0,  2358,     0,     0,   133,  1456,     0,  2358,
     133,     0,     0,   442,   441,   133,  2234,   440,   439,  2284,
    2341,     0,  1064,     0,  1332,   133,  2358,     0,   179,  2358,
     679,  2358,  1495,     0,   623,     0,     0,   791,  2391,   133,
       0,     0,     0,     0,     0,     0,  1034,     0,     0,     0,
       0,     0,   609,   620,  1537,  1535,     0,  1171,   232,   231,
    1169,   888,  2358,  1106,   348,     0,     0,  2358,  1437,  2243,
    1825,  1854,  1832,  1854,  1854,  1821,  1821,  2324,  1834,  2358,
    1822,  1823,  1859,     0,  1854,  1821,  1826,     0,  1824,  1862,
    1862,  1849,   348,   905,  1806,  1807,  1808,  1809,  1835,  1836,
    1810,  1841,  1842,  1846,  1811,  1876,  1821,  2244,   889,     0,
     875,  2358,   348,  1070,  2358,  2238,   166,     0,   873,  2284,
    2341,  2358,   348,  1164,     0,  2358,   348,  2358,   162,  2358,
     348,  2358,   348,  2358,   624,     0,     0,  2358,   348,  2358,
    2391,   164,   892,  2358,   348,   899,  2358,   348,  2209,  2358,
       0,  1381,     0,  1529,     0,  1503,  2592,  1518,     0,  1514,
    1521,  1517,  1627,   966,   965,     0,   966,     0,   966,     0,
     966,     0,   966,     0,     0,     0,   966,  2232,  2233,   948,
       0,   972,     0,     0,   979,   978,   977,     0,     0,     0,
     980,     0,  1754,  1564,     0,  1371,  1388,     0,     0,     0,
    1034,  1198,     0,  1196,  1033,     0,     0,  1384,   237,   235,
       0,     0,     0,     0,     0,     0,  1390,     0,  1382,     0,
       0,     0,  2217,  2219,  2220,  2119,  2193,     0,  2555,  2556,
    2557,  2182,     0,  2558,  2559,  2560,  2607,  2011,  1998,  2007,
    2012,  1999,  2001,  2008,  2561,  2562,  1946,  2563,  2564,  2227,
    2565,  2566,  2567,  2569,  2570,  2571,  2572,  2003,  2005,  2573,
    2574,  2576,     0,  2228,  2577,  2578,  2420,  2580,  2581,  2583,
    2584,  2009,  2586,  2587,  2588,  2589,  2590,  2591,  2226,     0,
    2010,  2593,  2595,  2596,  2597,  2598,  2600,  2601,  2602,  2603,
       0,     0,     0,  2204,     0,  1978,     0,  1814,  1815,  1837,
    1838,  1816,  1843,  1844,  1817,     0,  2203,  1879,  2064,  1977,
    1994,     0,  1983,  1984,     0,  1976,  1972,  1629,  2199,     0,
    1973,  2216,  2218,  2183,  1629,  2197,   199,   250,     0,   251,
    2205,  2487,   187,   229,   201,   228,   202,   200,     0,  2282,
     188,     0,     0,   189,     0,     0,     0,     0,   247,   245,
       0,  1379,     0,  1752,  1751,  2208,   910,     0,  1482,  1476,
    1485,  1481,  1492,  1489,  2129,     0,  1619,     0,     0,     0,
    1599,  1598,     3,     0,  1497,  1499,  1474,  1495,  1641,  1642,
       0,     0,     0,     0,     0,     0,     0,     0,  1699,  1657,
    1658,  1660,  1696,  1700,  1708,     0,  1605,     0,     0,  1756,
       0,     0,  1404,     0,     0,     0,     0,     0,  1105,     0,
       0,     0,     0,     0,   902,     0,     0,     0,  1424,     0,
    1426,  1427,  1428,     0,     0,  1429,  1430,  1418,   241,  1436,
    1434,  1417,  1419,  1432,     0,     0,     0,     0,     0,     0,
       0,  1448,     0,   170,   171,     0,   636,   620,     0,  2358,
       0,     0,     0,     0,  1113,  1120,  1266,     0,     0,     0,
       0,     0,     0,     0,     0,  1114,  1112,     0,  1115,   243,
    1125,  1144,  1147,     0,     0,  1072,  1075,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,  1257,     0,     0,     0,
    1266,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     266,   268,   281,   343,     0,   601,     0,     0,     0,   604,
       0,  2358,  1267,     0,     0,     0,  1166,     0,     0,     0,
       0,     0,     0,     0,     0,  1147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   131,   132,   137,     0,     0,
       0,     0,  1147,     0,     0,     0,     0,     0,     0,     0,
     587,   600,     0,     0,     0,     0,     0,   597,     0,     0,
     133,   271,   577,   583,     0,     0,     0,   686,   685,     0,
       0,     0,     0,     0,  1348,  1347,     0,     0,     0,     0,
    1446,  1445,     0,     0,     0,     0,     0,     0,  1257,     0,
     260,   262,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   379,   380,     0,
       0,     0,   137,     0,     0,  1257,     0,   273,     0,     0,
    1398,  1395,  1396,     0,  1401,     0,     0,     0,     0,  1986,
       0,  2133,  1649,  2131,  1090,  2189,     0,  2250,  2628,  2629,
    2630,  2631,  2632,  2633,  2634,  2635,  2636,  2637,  2638,  2639,
    2640,  2641,  2642,  2643,  2644,  2645,  2646,  2647,  2648,  2649,
    2650,  2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,
    2660,  2661,  2662,  2663,  2664,  2665,  2666,  2667,  2668,  2669,
    2670,  2671,  2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,
    2680,  2681,  2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,
    2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,  2699,
    2700,  2701,  2702,  2703,  2704,  2186,  2185,  2212,  2251,  2252,
    2253,  2254,  2192,     0,  1467,     0,     0,     0,     0,     0,
       0,     0,     0,  2284,  2341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   799,     0,  1418,  1455,     0,     0,     0,   629,     0,
    2358,     0,   135,   837,     0,   789,   443,     0,     0,     0,
    1137,  1331,   135,     0,     0,   173,     0,     0,   683,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   728,   727,
       0,     0,     0,   790,     0,     0,   135,     0,  2358,   580,
    2358,     0,   507,   507,     0,     0,  1036,     0,     0,     0,
       0,     0,     0,  1591,  1593,  1592,     0,  1590,     0,   346,
     347,     0,  1154,  1179,     0,     0,     0,  1853,  1840,  1848,
    1847,     0,  1830,  1829,  1828,     0,  1827,     0,  1854,  1854,
    1852,  1831,  1806,     0,     0,     0,  1858,     0,  1856,     0,
     866,  1802,  1798,     0,  1865,  1866,  1867,  1864,  1877,  1863,
       0,  1812,  1868,  1821,  1818,   891,     0,     0,  1148,     0,
       0,  2358,   348,  2358,     0,  2358,     0,     0,     0,  1156,
     348,     0,  1150,     0,     0,  1152,     0,  1349,     0,   882,
     880,   879,   881,     0,     0,   864,     0,     0,     0,     0,
       0,   859,     0,     0,   861,     0,     0,     0,     0,  1627,
       0,   218,   219,   217,  1519,   220,  1520,  1516,  1502,     0,
     956,     0,   960,     0,   951,     0,   957,     0,   952,   949,
     950,     0,   955,     0,     0,   508,   510,     0,     0,  2307,
    2323,     0,  2347,  2379,  2380,  2444,  2472,  2477,  2483,     0,
    2512,  2523,     0,   981,  1011,   976,   695,     0,     0,  1574,
    1372,  2136,     0,  1627,     0,     0,     0,     0,  1187,  1188,
     236,   208,     0,     0,     0,  1013,  2476,  1387,   941,   620,
       0,  1974,     0,  1981,  1982,  2181,     0,     0,     0,     0,
       0,     0,  1980,  2144,     0,     0,     0,     0,     0,     0,
    1902,     0,     0,     0,  2161,     0,  2167,     0,     0,  1939,
       0,     0,     0,     0,     0,     0,     0,     0,  1903,  1883,
    1884,  1978,  2129,     0,  1979,  2223,     0,  1876,  2202,  2119,
       0,  2116,  2117,  2118,     0,     0,     0,  2196,     0,  2127,
       0,     0,  1917,  2125,  1919,     0,     0,     0,     0,  2113,
    2114,  2115,  2107,  2108,  2109,  2110,  2111,  2112,  2123,  1899,
       0,     0,  2066,     0,  1898,     0,     0,  1712,     0,  2221,
    2184,  1712,   252,   253,   249,     0,     0,   204,   203,     0,
     222,   226,   227,   198,   225,     0,   221,   206,  2053,  2052,
     205,   197,   194,   192,   209,   211,   212,   195,   193,   246,
       0,     0,     0,   348,  1500,     0,  1483,  1484,  1480,  1487,
    1709,     0,  1621,     0,  1625,  1500,     0,  1496,  1616,  1615,
    1650,  1651,  1056,  1614,  1679,  1680,     0,     0,     0,     0,
    1705,  1703,  1670,  1661,  1669,     0,     0,  1667,     0,  1671,
    1879,  1698,  1603,  1655,  1656,  1659,  1602,     0,  1701,     0,
    1577,  1699,  1660,  1561,     0,  1539,     0,  1757,     0,     0,
    1405,     0,     0,     0,  1085,  1087,     0,  1086,     0,  1089,
       0,  1098,     0,     0,  1084,  1103,     0,  1092,  1090,     0,
    1444,     0,     0,   903,     0,     0,     0,     0,  1425,     0,
       0,  2512,   240,  1428,  1433,  1420,  1431,     0,     0,     0,
       0,     0,  1015,  1014,     0,     0,  1038,     0,     0,     0,
    1451,   496,     0,   345,     0,     0,     0,     0,     0,     0,
       0,     0,   785,   782,     0,     0,   781,     0,   634,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     659,     0,  1257,     0,   279,     0,  1122,     0,  1121,     0,
    1126,     0,     0,  1123,  1118,  1119,  2477,  2487,  2518,   242,
    1124,  1146,     0,  1145,  1141,     0,  1067,     0,  1068,     0,
       0,     0,     0,     0,  2333,  2358,   286,   308,     0,  1256,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   330,     0,     0,   333,   332,
       0,     0,     0,     0,     0,   337,   316,     0,   317,     0,
     336,     0,     0,     0,   602,   603,     0,     0,     0,  1257,
       0,   275,     0,     0,     0,     0,     0,     0,     0,     0,
    1163,     0,   712,     0,     0,  2477,  1142,     0,     0,     0,
       0,     0,     0,  1335,     0,     0,   159,     0,   154,   158,
       0,     0,  2477,  1143,     0,     0,     0,     0,     0,   585,
     586,   599,     0,   590,   591,   588,   592,   593,     0,     0,
       0,     0,     0,     0,     0,   584,     0,     0,   681,   680,
     684,     0,     0,     0,     0,     0,  1344,     0,  1137,     0,
       0,  1343,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1200,  1199,     0,     0,     0,     0,  1267,     0,
     827,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,   699,     0,   698,     0,   155,   160,     0,     0,     0,
       0,     0,     0,     0,     0,   216,  1394,  1400,  1649,  1649,
    1649,  1992,     0,     0,     0,     0,  1648,  2187,  2190,  1470,
    1469,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   393,   390,
     391,   393,     0,     0,     0,     0,   801,     0,   804,   807,
       0,  1416,   462,     0,     0,   626,   659,     0,     0,   446,
     168,     0,     0,     0,     0,   714,     0,     0,     0,  1330,
     130,   177,   179,   444,     0,   178,   180,   182,   183,   184,
     181,   185,     0,   678,   682,     0,     0,     0,     0,   622,
       0,     0,     0,     0,     0,   729,   733,   732,   736,   734,
       0,   730,     0,     0,  1777,     0,     0,   153,     0,     0,
     575,   579,     0,     0,     0,     0,   446,   546,   359,  2358,
       0,   507,     0,  2358,     0,  1035,     0,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,   348,
    1107,     0,  1438,     0,     0,     0,     0,   348,  1851,  1850,
    1803,  1799,     0,     0,     0,     0,   906,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1819,   348,  1071,   167,
    2239,     0,   868,     0,     0,     0,     0,   348,  1165,   856,
     348,   163,   348,   348,   625,     0,   348,   165,     0,     0,
     348,   900,   348,  2210,     0,   348,  1532,  2358,   507,  1504,
    1515,   953,   962,   961,   959,   958,   954,     0,   973,     0,
     506,     0,     0,     0,     0,     0,   989,   990,     0,     0,
     986,   991,     0,   987,   988,   993,   983,   982,   994,   995,
       0,     0,  1013,   693,     0,     0,     0,     0,  1571,     0,
    1569,     0,  1755,  1573,  1562,  1523,     0,  1522,     0,   568,
    1034,  1034,  1197,     0,     0,   970,     0,     0,   348,  1386,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2194,  2140,     0,  2141,     0,     0,  2180,  2176,     0,
       0,     0,     0,     0,  2145,  2148,  2149,  2150,  2147,  2151,
    2146,     0,     0,  2152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2584,     0,     0,     0,     0,  1947,
       0,     0,  2100,     0,  2129,  2166,     0,     0,     0,     0,
       0,     0,  2129,  2172,     0,     0,     0,     0,  2051,     0,
    2048,     0,     0,     0,     0,  2193,     0,     0,  2224,  1880,
    1894,  1895,  1896,  1900,  2201,     0,  2195,     0,     0,  1881,
    1908,     0,  2173,  1935,     0,  1940,  1923,  2153,  2154,  2155,
    2156,  1942,     0,  1916,     0,  1921,  1925,     0,  1904,     0,
    1901,     0,  2196,  2128,     0,  2126,     0,  1891,  1892,  1893,
    1885,  1886,  1887,  1888,  1889,  1890,  1897,  2104,  2102,  2103,
       0,     0,     0,  2074,     0,     0,  1920,  2350,  2386,     0,
    1640,  1640,  1640,  1628,  1638,  2200,     0,  1772,  1649,  1772,
    2206,     0,     0,  1876,     0,  1753,   908,   909,   907,  1473,
    1477,  1486,  1500,  2130,  1494,  1623,     0,     0,  1475,  1498,
       0,  1054,  1055,     0,  1059,  2584,  2474,     0,     0,     0,
       0,  1672,  1706,     0,  1697,     0,  2217,  1673,  2216,  1674,
    1677,  1678,  1668,  1707,  1575,     0,  1702,  1607,  1606,     0,
    1775,     0,     0,     0,  1553,  1541,     0,  1758,     0,  1712,
    1579,     0,  2193,  1710,  1306,  1201,  1268,  1088,     0,  1821,
    1099,     0,  1083,     0,  1082,  1821,     0,  1100,     0,  1821,
    1307,  1202,  1269,   904,  1308,  1203,  1270,  1309,  1204,  1435,
    1423,  1422,  1421,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   766,  2358,   348,
    1449,  1310,     0,  1205,   344,  1450,  1271,  1454,   784,   783,
       0,     0,  1272,     0,   635,   640,     0,   642,   643,  2284,
    2341,   644,   647,   648,     0,   650,   639,   638,     0,     0,
       0,     0,     0,   656,   661,     0,     0,     0,     0,     0,
       0,  1116,  1117,  1311,  1208,     0,  1273,     0,  1066,     0,
    1209,   169,     0,     0,   267,  2358,   288,     0,   663,   766,
       0,  1259,   285,   314,     0,   329,   324,   325,   323,  2358,
     348,  2358,   348,     0,     0,     0,     0,     0,   326,   321,
     322,   318,     0,     0,   331,  2259,  2325,  2488,     0,   667,
     669,     0,   674,   334,  1229,   355,   354,   353,     0,   338,
       0,   360,   363,   335,   315,   313,   310,   282,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1158,
       0,  1314,  1274,     0,  1296,     0,     0,     0,     0,   706,
    1317,  1215,  1277,     0,  1336,  1338,  1328,  1216,  1337,   157,
    1246,   146,     0,     0,   142,     0,     0,     0,     0,   136,
    1318,  1217,  1278,     0,     0,  1319,  1218,     0,     0,   272,
     578,   589,   594,  1223,   598,   595,  1286,   596,  1326,  1219,
       0,  1322,  1249,  1281,   561,  1329,  1345,  1220,  1137,  1340,
    1342,     0,  1257,     0,   261,   263,     0,   284,     0,  1221,
       0,  1279,  1321,  1248,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1457,     0,     0,     0,     0,     0,     0,
     348,     0,     0,     0,  1259,  2358,   348,  1320,     0,  1254,
       0,  1294,     0,     0,   381,     0,  1247,  1257,     0,   274,
    1225,     0,  1288,     0,     0,   214,   213,   215,     0,     0,
       0,     0,  2134,  2135,     0,  2132,  1987,  2189,     0,   930,
     916,   929,     0,   912,  2323,     0,   915,   917,     0,     0,
       0,   918,   922,   923,     0,   914,   911,   913,     0,   392,
       0,     0,   723,   724,     0,     0,     0,     0,   803,     0,
       0,     0,  1447,     0,   133,   633,     0,     0,     0,   628,
     658,   663,     0,     0,     0,     0,   445,   449,   453,   454,
     455,     0,     0,     0,     0,   147,   134,     0,   845,     0,
     507,     0,   716,  1334,  1333,  1136,     0,   179,   172,     0,
       0,   679,     0,  1495,     0,     0,   359,   798,   796,   795,
     797,     0,     0,     0,   819,   794,     0,  1776,  1778,     0,
       0,     0,     0,     0,     0,   568,   448,     0,     0,   510,
       0,   549,     0,     0,     0,     0,   546,     0,     0,     0,
    2243,     0,   815,   787,  1077,     0,  1095,  1078,     0,     0,
       0,     0,  1130,  1062,  1131,  1108,  1063,     0,     0,   607,
    1594,  1595,     0,  1155,     0,     0,  1443,     0,  1441,     0,
    1820,  1833,   867,     0,  1861,  1860,  1862,  1862,     0,  1804,
       0,  1845,  1870,  1871,  1872,  1873,  1874,  1875,     0,  1869,
    1813,  1149,   348,     0,   348,     0,   348,  1157,  1151,  1153,
    1350,     0,   865,     0,     0,   858,   860,     0,   862,     0,
     974,   509,     0,     0,     0,     0,     0,     0,   985,   605,
     992,     0,  1006,  1001,  1003,     0,  1007,   692,     0,     0,
    1572,  1565,  1567,  1566,     0,     0,  1563,  2137,   857,     0,
     574,     0,     0,     0,     0,   348,     0,  1008,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1645,  2138,
    2139,     0,     0,     0,  2177,     0,     0,  2026,     0,  2000,
    2002,  2014,     0,  2027,  1985,  2028,  2004,  2006,  2015,     0,
       0,  2120,     0,     0,  2017,     0,  1949,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1965,  1964,  2018,  2099,     0,
       0,  2164,  2165,  2019,     0,     0,  2171,     0,     0,     0,
    2024,  2029,     0,     0,     0,     0,  2035,     0,  2056,     0,
       0,     0,  1975,  2130,     0,     0,     0,     0,     0,     0,
       0,     0,  1941,  1924,  1944,  1918,     0,  1922,  1926,     0,
       0,  1943,     0,     0,  1912,     0,     0,  1910,  1936,  1906,
       0,     0,  1937,     0,     0,     0,  1993,     0,     0,  1640,
    1640,  1640,  1640,  1637,     0,     0,     0,     0,  2474,  2604,
       0,  1736,  1711,  1713,  1723,  1736,  1741,  1736,  1995,  1770,
    1996,  2207,     0,  1682,     0,  1682,   190,     0,   223,   210,
    1472,  1624,  1627,  1652,     0,  2121,  1059,     0,  1654,  1676,
    1675,     0,  1665,     0,  1704,  1662,  1576,  1560,     0,  1558,
    1545,  1547,  1546,     0,     0,  1548,  2193,     0,  1558,  1540,
    1584,     0,     0,  1775,     0,  1583,     0,  1821,  1080,  1081,
       0,  1104,     0,  1018,  1019,     0,  1017,     0,     0,     0,
     495,  1037,     0,     0,     0,   766,     0,     0,   499,     0,
    1452,     0,  1327,  1245,   637,     0,     0,     0,     0,   652,
     611,   653,   655,     0,     0,   654,   657,   660,  1257,     0,
     280,  1231,     0,  1292,  1110,     0,     0,  1069,     0,     0,
       0,     0,     0,     0,   462,   309,     0,     0,     0,     0,
     368,     0,   290,   301,   366,   307,     0,   340,     0,   312,
       0,   305,   327,   319,   328,   320,   339,   341,     0,   671,
     672,   670,   666,     0,   673,   675,     0,   357,     0,     0,
       0,     0,  1313,     0,  1257,     0,   276,  1227,     0,  1290,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1295,     0,     0,     0,     0,   711,     0,   708,
       0,     0,     0,   139,   138,     0,   145,     0,     0,     0,
       0,     0,     0,     0,  1346,     0,     0,     0,     0,     0,
       0,   375,     0,   283,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   382,   350,     0,   822,     0,     0,     0,   384,     0,
       0,  1305,     0,     0,     0,     0,     0,  1312,  1210,  1990,
    1991,  1988,  1649,  2188,     0,     0,     0,   927,     0,     0,
       0,     0,   395,   396,   133,   394,   417,     0,   766,     0,
       0,   800,   805,   813,  2420,  2107,  2108,   811,   806,   808,
     810,   812,   809,     0,     0,     0,     0,     0,   478,     0,
       0,     0,   468,     0,     0,  1137,   461,   464,   465,     0,
       0,   629,   632,   630,   631,   651,     0,   448,   485,   536,
       0,   149,     0,     0,   150,   148,     0,     0,   359,   713,
       0,   710,     0,   175,   444,     0,   683,     0,     0,     0,
    1137,   621,   735,   738,   731,     0,   818,   820,   792,     0,
     663,     0,     0,   580,     0,   507,  1533,   563,     0,   538,
     448,   536,   545,     0,     0,   553,   358,     0,     0,   568,
     359,     0,     0,  1038,     0,   814,     0,  1076,     0,     0,
       0,  1127,  1132,  1128,     0,     0,  1091,     0,  1129,  1109,
    1366,  1367,  1364,  1365,     0,     0,     0,  1586,     0,     0,
    1439,     0,  1839,     0,  1857,  1855,  1800,  1805,  1878,   869,
       0,   852,     0,   854,   348,   700,     0,   348,     0,     0,
       0,     0,     0,     0,   984,     0,  1004,     0,     0,   967,
    1010,     0,     0,  1570,  1568,   566,     0,  1189,  1190,  1013,
       0,   968,  1012,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2142,     0,  2179,  2175,     0,  1997,  2143,
       0,     0,  2159,  2158,  2100,     0,     0,  1948,  1960,  1961,
    1962,  2160,     0,  1970,     0,     0,  1957,  1958,  1959,  1951,
    1952,  1953,  1954,  1955,  1956,  1963,  2169,  2168,  2162,  2163,
       0,  2021,  2022,  2023,  2170,  2030,     0,  2274,  2057,     0,
    2034,  2050,  2049,     0,     0,     0,  2037,     0,     0,  2046,
       0,  2101,  2225,  1882,     0,     0,  1909,  2174,  1927,     0,
       0,  1945,     0,  1905,  2120,     0,     0,     0,     0,     0,
    1914,     0,     0,     0,  2077,  2072,  2073,  2097,     0,     0,
       0,     0,     0,     0,  1631,  1630,  1636,  1736,  1741,  1736,
       0,     0,  1609,     0,  1723,     0,  1735,  1721,  1734,     0,
       0,  1747,  1745,     0,  1747,     0,  1747,     0,  1715,     0,
    1737,  1717,  1734,  1719,     0,  1762,  2208,  1771,     0,  1695,
    1987,  1695,     0,     0,     0,  1653,  1057,  1058,  1663,     0,
    1666,  2303,  1773,     0,  1559,     0,     0,     0,  1550,  1556,
    1538,     0,     0,  1580,  1558,  1581,  1101,     0,     0,  1093,
    1024,  1025,  1028,  1026,  1023,  1027,     0,     0,     0,   766,
       0,     0,   517,     0,  1051,  1051,     0,     0,   501,   558,
     512,   769,     0,     0,     0,   767,   348,  1206,     0,     0,
       0,     0,   612,  1325,  1207,     0,     0,     0,     0,  1111,
    1260,     0,     0,  1230,     0,   287,     0,   458,     0,     0,
     293,   302,     0,   298,     0,  1258,     0,     0,     0,     0,
     297,   370,     0,   367,     0,   348,   348,   342,   668,   356,
     361,   362,   365,  1265,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   846,   829,     0,
       0,   847,   848,     0,     0,     0,  1160,  1161,  1159,  1297,
    1298,  1303,  1300,  1299,  1302,  1304,  1301,     0,  1213,     0,
       0,   704,  1261,   143,   140,   141,   144,  1262,  1243,  1224,
    1287,   562,  1341,     0,     0,     0,  1222,     0,  1280,     0,
    1239,  1233,     0,     0,     0,     0,     0,  1324,  1253,  1285,
    1323,  1251,  1283,  1250,  1282,  1252,  1284,  1244,     0,     0,
    1780,   826,     0,     0,     0,   348,   348,   825,   702,  1226,
       0,  1289,  1235,     0,     0,     0,   919,     0,     0,     0,
     921,   400,   418,   133,     0,   722,   786,     0,     0,   802,
     765,     0,   466,     0,   472,   476,     0,     0,   480,   481,
     479,   467,  1137,   507,   557,   755,   756,     0,     0,   776,
       0,   627,     0,   446,     0,   482,     0,     0,   450,   152,
     151,     0,     0,     0,   717,   721,   719,   718,   720,   715,
       0,   706,   179,  2358,     0,     0,     0,     0,   559,  1339,
       0,   748,   793,     0,  1779,   696,     0,   359,   576,     0,
       0,     0,   446,   568,     0,   451,   456,   457,   462,     0,
     546,   537,     0,   538,   547,   548,     0,   555,  1414,     0,
     569,   555,     0,     0,     0,   817,     0,   816,  1079,  1096,
    1097,     0,     0,  1060,     0,     0,     0,     0,   614,   348,
       0,  1442,  1801,   348,   348,  1186,     0,   863,   998,   999,
    1000,   997,   996,   606,     0,  1002,   694,     0,   567,   348,
       0,   944,   936,   943,   932,   935,   937,     0,   939,   940,
     934,   931,   933,  2178,  2013,  2016,  2025,  2157,  2099,  2130,
       0,     0,  1971,     0,     0,  2020,  2594,     0,     0,  2061,
    2062,     0,  2058,  2059,  2054,  2055,  2036,     0,  2409,  2041,
       0,     0,     0,  1933,  1931,  1928,     0,  1929,  1913,     0,
       0,  1911,  1907,     0,  1938,  2063,     0,  2079,  2076,  2096,
    2130,  1635,  1634,  1633,  1632,  1722,  1718,  1720,     0,  2599,
       0,  1725,  1732,     0,  1714,     0,  1746,  1742,     0,  1743,
       0,     0,  1744,     0,     0,  1716,     0,  1732,     0,  1769,
       0,     0,  2068,  2222,  2068,   224,  1622,     0,  1664,     0,
    1557,  1542,     0,  1543,  1549,     0,     0,     0,     0,  1585,
    1578,  1094,  1102,     0,     0,     0,   497,     0,   512,     0,
       0,     0,  1044,  1053,  1043,     0,   512,     0,  1137,   771,
     770,   773,   768,   772,  1453,     0,   645,   646,   649,  1232,
       0,  1293,  1241,     0,  1574,   289,     0,   664,   296,     0,
       0,     0,   291,   369,   371,   292,   295,   299,   350,   311,
     304,     0,     0,     0,  1228,     0,  1291,  1237,  1264,  1315,
    1211,  1275,     0,     0,   835,     0,     0,     0,     0,  1316,
    1212,  1276,     0,     0,     0,     0,  1574,     0,     0,     0,
       0,     0,     0,     0,     0,  1462,     0,     0,   349,   824,
     823,   350,   383,  1255,     0,  1989,     0,   920,   925,   926,
     924,     0,   389,   397,   400,     0,     0,  1177,  1177,     0,
     766,     0,     0,   463,   477,     0,   557,   516,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   709,   708,   174,     0,   446,     0,
     663,     0,   742,   743,   737,   739,     0,   750,   754,   821,
       0,     0,     0,   568,   448,     0,     0,  1530,   447,     0,
       0,   459,     0,   549,   538,   546,     0,     0,   565,     0,
    1407,     0,   571,     0,     0,     0,  1133,     0,  1139,     0,
    1090,  1134,     0,  1772,     0,     0,     0,     0,   618,  1178,
    1440,   853,   855,   701,  1005,     0,  1009,   348,   938,  2101,
    1966,     0,     0,     0,     0,  2031,     0,  2032,  2060,  2038,
    2042,     0,  2039,  2040,  1930,  1934,  1932,  1915,  2065,     0,
    1649,  2098,  1765,     0,  1768,     0,     0,  1724,     0,     0,
    1726,     0,     0,  1728,  1730,     0,     0,     0,     0,     0,
       0,  2211,  2302,  2567,  2471,     0,  1681,  1683,  1686,  1688,
    1687,  1689,  1685,  1694,     0,  1611,  1610,  2122,  1774,     0,
       0,     0,  1039,     0,  1582,  1006,     0,   348,  1051,  1137,
     518,  2420,   519,  1050,  1052,  1056,     0,  1137,     0,   557,
     641,     0,     0,   269,   662,     0,     0,   294,   303,   352,
     364,     0,  1574,     0,     0,   833,   842,   842,   830,     0,
       0,   849,  1214,   705,     0,     0,   264,  1240,  1234,     0,
       0,     0,  1464,  1465,     0,     0,     0,     0,     0,  1263,
     348,  1236,   928,     0,   420,   427,   401,   405,  1456,     0,
    1456,     0,   402,   406,  1456,  1456,   399,  1772,   416,  1177,
       0,  1174,  1173,   764,     0,   505,   582,     0,   470,     0,
     527,     0,     0,   777,     0,     0,   448,   536,     0,   494,
     486,   487,   488,   490,   489,   491,   492,   493,   484,   483,
       0,   663,   839,   359,  1414,   703,     0,     0,   676,     0,
     740,   745,   744,  1456,   749,     0,     0,     0,   663,     0,
    1533,   564,   538,   448,   536,   452,   462,     0,   553,   546,
     549,     0,   550,     0,   554,     0,     0,     0,   568,  1466,
    1038,     0,  1138,     0,     0,     0,     0,     0,     0,  1181,
     613,     0,     0,   617,   608,   663,   969,  1967,     0,  1968,
       0,     0,  2044,  2043,     0,  2083,  1770,     0,     0,  1764,
       0,     0,  1794,     0,     0,     0,  1733,  1749,     0,  1729,
    1727,     0,  1738,     0,  1740,     0,     0,     0,  1690,     0,
    2067,  2069,     0,     0,  1555,  1772,     0,  1552,     0,  1020,
       0,  1021,  1045,   557,     0,  1056,  1059,   507,   557,     0,
     766,  1242,     0,   665,   582,     0,   306,     0,   277,  1238,
       0,     0,   844,   844,     0,     0,     0,     0,     0,     0,
     377,     0,     0,  1458,     0,  1459,  1460,  1463,   385,   398,
       0,   425,     0,   423,   422,   424,     0,   413,     0,     0,
       0,     0,     0,     0,   388,  1172,  1176,  1175,     0,     0,
     471,     0,   473,     0,   513,   514,   515,     0,   475,   523,
     524,     0,   774,     0,   779,     0,     0,     0,   663,   535,
     687,     0,     0,     0,  1408,     0,     0,   560,     0,   751,
     752,   747,     0,     0,   697,  1414,   568,   546,     0,   538,
     460,     0,   555,   549,   553,   551,   552,     0,  1411,     0,
     570,     0,  1047,  1061,  1140,  1135,  1370,     0,     0,   616,
     615,   691,  1969,  2047,  2033,  2045,  2078,     0,     0,     0,
       0,  1763,  1766,     0,  1797,     0,     0,     0,     0,  1783,
       0,  1731,     0,     0,  1739,     0,     0,     0,  1684,     0,
       0,  1544,  1554,  1040,     0,     0,   522,     0,  1059,  1041,
     516,   766,   511,   498,  1574,   300,   351,     0,     0,     0,
     840,   843,   831,   832,   851,   850,   707,  1574,     0,   373,
     372,     0,   376,     0,   421,   430,     0,   428,   403,   408,
       0,   412,   410,   409,   404,   407,     0,   504,     0,     0,
       0,     0,     0,   525,     0,   526,   556,     0,   778,     0,
       0,     0,   689,   838,     0,     0,   446,   663,   741,   746,
       0,     0,  1409,  1531,   549,   538,   546,     0,     0,   540,
    1051,  1051,   433,   553,   555,  1412,  1413,     0,     0,   359,
    1369,  1368,  1627,     0,     0,  2554,  2303,  2526,     0,  2095,
    2084,  2095,  2095,  2075,     0,     0,  1795,  1796,  1781,     0,
       0,  1785,  1748,  1761,  1692,     0,  1691,  2070,  2071,  1772,
     348,     0,   766,   520,  1042,   527,   500,   270,  1574,   834,
       0,   265,     0,   378,  1461,   426,     0,   411,   754,   581,
     474,   532,     0,   531,     0,   529,   528,   775,   780,     0,
     663,   828,  1414,   677,   753,     0,   553,   546,   549,     0,
     539,     0,  1053,  1053,   555,   431,     0,     0,   555,  1352,
    1627,  1351,  1353,  1361,  1358,  1360,  1359,  1357,  1184,  1185,
       0,  2088,  2087,  2086,  2090,  2089,     0,  2082,  2080,  2081,
    1767,     0,  1784,  1787,     0,     0,     0,  1793,  1786,  1788,
       0,  1759,  1693,  1551,  1022,     0,   502,   766,   278,   841,
       0,   429,     0,   530,   534,   533,   663,   688,  1410,   759,
     555,   549,   553,  1051,   541,  1052,   543,   542,   435,  1047,
    1048,     0,  1772,     0,  1362,  1356,  1609,  1596,     0,     0,
       0,     0,  2092,     0,  2093,     0,  1790,  1791,  1792,  1789,
       0,     0,   503,     0,     0,   690,   761,     0,   757,   760,
     762,   763,   434,   553,   555,  1053,   359,  1046,     0,  1029,
    1354,  1627,     0,     0,  2085,  2091,  2094,     0,     0,   521,
     374,     0,   725,     0,   555,   432,   544,   555,  1049,  1355,
       0,     0,     0,  1760,     0,   758,   436,  1772,     0,     0,
    1782,   759,  1030,     0,     0,     0,  1182,  1183,   726
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4696, -4696, -4696,  3722, -4696, -4696,  -907,   390,  2967,  -648,
   -4696, -4696, -4696,  1268, -4696, -4696, -4696, -4696,  3693, -4696,
    2082, -2378, -4696, -4696,   134,  3635, -1279,   108,  3237,  1736,
   -4696, -1119, -4696, -4696,  -613,   116, -4696,  3645,   256, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696, -4696,  -706,  2195, -4696,
    2274,  1578,  6043, -4133, -4696, -4696, -1429, -3181, -4696,   892,
   -4696,   918, -4150,  -609, -4696, -4696, -4696,  2174, -4696, -4696,
   -4696,  2125,  1373,   -57, -4696, -4696, -4696, -4696, -4696, -4696,
    -462, -4696, -4696,  -707,   153,    50, -2410, -3672, -4696, -4696,
     750,  -108, -1408, -4696, -3522, -4696,   279, -3706, -4696, -4696,
   -4696,   -75, -1372,  1664, -4696,  -733, -1111,  1966, -2391,  -572,
   -4696,    52, -4696,  -686,  -478,  -475,  -606, -3735, -4212, -4696,
   -4696,  -714, -3189, -4477, -4695, -4234, -3920,  1679, -4696, -4696,
     154, -3077, -3170,   156,   720, -4696,   160,   162, -4696,   741,
    -409,  -904, -1524, -4696,  -672, -4696, -4696, -4696, -2881, -4696,
   -4696, -4696,   136, -4696, -4696, -4696, -4696,   786, -4696, -4696,
   -4696, -4696, -4696, -4696, -2053,  2140,  2143, -4696, -3089, -4696,
    -854, -4696,   937, -2894,  1596, -4696, -4696,  1363,  3701,   770,
   -4696, -4696, -4696, -4696, -4696, -4696, -1682, -4696, -4696, -4696,
   -4696,   277,   -46, -4696, -4696, -4696, -4696, -4696, -4696, -4696,
     163, -4696,  2163,  1357, -4696, -4696,   -48, -4696, -4696, -4696,
   -4696, -4696, -4696,  -664, -4476,  -824,  -805, -4696, -2912, -4696,
   -4696, -4696,   -22, -4696, -4696, -4696, -4696, -4696,  -899, -4696,
    1425, -3540, -4696, -4696,   745, -4696, -4696, -4696, -4696, -4696,
    -579,    41,  2894, -4696,  -189,  -377, -4696, -4696, -4696,    49,
   -4696, -4696, -4696, -4696, -4696,  -506, -1222,  4631,  4035, -1056,
   10484,  -808,  -577, -4696, -4696, -4696, -2201, -4696, -4696, -3632,
   -4696,  4624,  2204,   374,   166, -4696,   -23,    70,  3489, -1120,
   -2606,   717,  -141, -4696, -4696, -4696, -2532, -4696, -4696, -4696,
   -4696, -3478,   167, -4696,  -659, -4696, -3746, -4486, -3936, -3515,
    -723, -4696, -3584, -3652, -3707, -3470, -4696, -4696, -4696, -4696,
    -540,  -152,  2871, -4696, -1384,  2506,  -917, -4696, -2087,   769,
    1763,  2876, -2697,  -133,  2866, -2474,  -652, -3195, -4696, -4696,
   -2296,  -279, -4696, -4696,  1347,   716, -4696, -4696, -4696, -4696,
    -625,  2809,  -199, -4696, -4696,  4011, -4696, -4274, -4696,  3968,
   -4696, -4696, -4696, -4696,  2723,  2730, -4696,  2721, -4696, -4696,
   -1382,  1528, -4696,  -780, -4696, -4696,  2275,   968, -4696, -4696,
   -4696, -4696, -4696, -4696, -4696, -4696,  1419,   954, -4696, -4696,
   -4696, -4696, -4696,  -564,  -740, -4696, -4696,   168, -4696, -4696,
   -4696, -4696,  2191,  -889,  -719,  3869,   841,   169, -4628, -4696,
   -4696, -1124, -4696,  3271, -4696, -4696, -4696, -4696, -4696,   779,
     778, -4696, -4696, -4696, -4696, -2400, -4696, -4696, -4267, -4696,
   -4696, -4696, -4696, -4696,  3856,    82,  2606, -4696, -4696, -4696,
     -40, -4696, -4696,  -939,  2596, -4696, -1905, -4696,  -580, -4696,
    2810, -4696, -4696, -4696, -4696, -1852,   170, -3737, -4696,     2,
   -4696, -4696,   180, -4696,   596, -4696, -4696, -3374,     5, -4696,
   -4696, -4696, -4696, -4383, -4696,     6,  -450,  1123, -2761, -4696,
     171,    92, -4696, -4696,    12,   350,   -43,   -59,   -50,     1,
     114,  3363, -4696, -4696,  3407, -4696,    13,  1926, -4696, -4696,
    -822,  -154, -4696,  1866,  -623,  2575,  3342,  3346, -4696,  1853,
    2608, -1939, -1936, -4696,  1171,  -429,  -271, -4696, -4696, -4696,
   -4696,   628,  -619,  2590, -4696,  3350, -4696, -4696, -4696, -1894,
   -2789, -3400,  1190, -3394, -3285,   666,   651, -1300,   -39,   -37,
    -759,  3358, -4696, -4696,  1202,  -236, -4696, -4696,  -233, -2755,
    1153, -4696, -4279, -2274,  1211,  -688,  -519, -4696,  -605, -4696,
    -394,  6370,  2928, -1023, -4696, -4696,  -987, 13617, -4696, -4696,
   -4696, 14422, 14911, -4696, -4696, 15267, 15625, -4696,  -852, 15756,
   13164,  -999, -1849,  -456, 12424,  -553,  -357,    36, -4696, -3508,
   -2352, -4696, -4696, -4696,    10,  1269,  -218, -4696, -4346, -3736,
   -4696, -4696,   237, -4696,  -404, -4696,  -403, -4696, -4696, -4696,
   -2709, -4311, -2669,  2713, -4696, -4696, -4696,  -194, -4696, 16843,
   -2703, -4696,  -637, -1335, -1512, -3352, -1843, -4696, -4696, -4696,
   -2579, -4696, -4696, -4696, -4696, -1329, -3254, -2271,  1969, -4696,
   -4696,  2070, -4696, -4696, -4696,  -902,  2333,  -772, -2594,  1972,
   -4696,  -764,  2714,  -763,  8943,  -388,  8894, -1220, -4696,   384,
   -4696,  6103,  4582,    11,  -132,  5033,  -592,    -6, 12463,  -665,
    -908,  4229, 10947,  9083, -3085
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    52,    53,    54,    55,    56,  1517,  2470,  2328,  3235,
    3236,    57,    58,  1513,    59,    60,    61,    62,  1427,    63,
    1007,  1755,  2485,    64,  2172,   807,   808,   809,  2073,  2074,
    2416,  2075,  2063,  1314,  1895,  1449,   781,   782,  1409,  1450,
      66,    67,  1308,  2054,    68,    69,    70,  1480,  1571,  1481,
    1482,  1421,  1802,  4270,  5016,  3029,  2290,  3283,  3030,  3031,
    3653,  3654,  3733,  5030,  5031,    71,  1587,  1588,    72,    73,
    2451,  3200,  3784,  4632,  4633,  4866,   620,  4293,  4294,  4853,
    4854,  5044,  5186,  5187,  2486,  1747,  3278,  3869,  3226,  4364,
    3227,  4365,  3228,  4366,  3212,  3816,  3817,  4307,  3818,  3229,
    4325,  4898,  3230,  2191,  5060,  2527,  1917,  1915,  4548,  4880,
    4131,  4132,  5272,  5068,  5069,  5070,  5295,  4327,  4370,  4371,
    5228,  5229,  3281,  3875,  4377,  4698,  4649,  2927,    75,    76,
     716,  1781,  3390,   717,  2530,   654,   718,  2487,    81,  2520,
    5062,  2521,  1543,  2342,  3797,  3370,    82,  1033,  3619,  4718,
    4953,  4954,   707,    83,  1763,    84,    85,  2465,  3219,    86,
    2208,  2944,    87,    88,  2963,  2964,  2965,    89,  3644,  4566,
    1483,  3018,  3019,  3020,  3021,  3674,    90,  1758,  2494,  2495,
      91,    92,    93,  2645,  2646,    94,  2402,    95,    96,    97,
      98,  3709,  4231,  4341,  3059,  3242,  3841,  4339,    99,  3204,
    2488,  1771,  2510,  2511,  4351,  4674,  4675,  4676,  4913,  5218,
    4678,  4915,  5091,  4917,  4317,  5407,  5408,  4640,  3608,  4145,
     101,  4318,  4319,  5075,   102,  2206,   103,   104,  1731,  2457,
    2458,  3798,  2537,  3291,  3292,  3855,  3856,   105,  3143,   106,
    4207,  4208,   655,  5082,  5022,  5172,   107,   108,  4211,  4212,
     109,   110,   111,   112,   113,   708,   969,   970,   710,  1124,
    1125,  2899,  1072,   114,  2083,   115,  3180,   116,  1200,  4422,
     117,   741,  1144,  1145,  2489,   119,   750,  2665,   752,  1932,
    3372,  3373,  3939,   120,   121,  2642,  2668,   122,  1414,  2182,
    2183,  4126,  2490,   656,  1185,  2534,  2922,  4791,  4542,  4792,
    5239,  5381,  4543,  4805,  2844,  3558,   124,   657,  1455,  2247,
    1092,  1093,  2540,  3295,  2151,  2152,  2153,  3895,  2154,  3297,
    2155,  1388,  2156,  1043,  1044,  3303,  3304,  3305,  3891,  3898,
    2479,  4708,  4709,   125,  1452,  2244,   126,   127,   128,  1496,
     899,  1102,  1103,   129,   669,   670,   130,  4871,   131,  1046,
     132,  4716,   133,   134,   772,   773,  1182,  1183,   135,   136,
    2261,  3656,   137,  1453,   138,   139,  3053,  3054,  4223,   140,
     141,   142,  1750,  1751,   143,   144,  3108,  3109,   145,   146,
     147,  5321,  5383,  5384,  5385,  3904,  5242,  5323,  1175,   149,
     150,   151,   188,   940,   941,   942,   853,  2491,  4700,   153,
     154,  1410,  1411,  1412,  1413,  2177,   155,   156,   157,  3317,
    3318,   158,   159,   160,   161,  1735,   162,   163,  4844,   164,
     165,  1704,   166,   167,  1337,  1338,  1339,  1340,  2088,  2832,
     614,   825,  1343,  1349,  1354,  1355,  1356,   169,   720,  1138,
    1139,  1140,  1897,   170,  1178,   974,   721,  1133,   172,   722,
    2134,  2874,  3573,  3574,  3575,  3578,  4527,  4104,   723,  2870,
     175,  1939,  2651,  2654,  2866,   724,  2879,  2880,  2881,  3581,
     725,   743,  1036,  2547,   726,  1275,   180,   181,   182,   834,
     828,   829,  2837,   184,  2047,  2813,   759,  1360,   794,   795,
     843,  2426,  2100,  2101,  2125,  2126,  1369,  1370,  2113,  2117,
    2118,  2857,  2850,  2106,  4089,  4776,  4777,  4778,  4779,  4780,
    4781,  4512,  2121,  2122,  1372,  1373,  1374,  2130,   185,  2817,
    3532,  3533,  3534,  4066,  4067,  4081,  4077,  4497,  4763,  3535,
    1173,  1380,  4505,  5351,  3536,  4752,  4753,  4969,  4085,  3543,
    3569,  3266,  3267,  3268,  3537,  5138,  5139,  5348,  5349,  4971,
    4972,  2157,  1832,  1074,  1276,  1075,  1844,  1277,  1816,  1077,
    1278,  1279,  1280,  1080,  1281,  1282,  1283,  1083,  1808,  1284,
    1285,  1826,  1841,  1842,  1344,  4973,  1287,  1288,  1289,  3539,
    1290,  4019,  4461,  4447,  2739,  2740,  2070,  4015,  3474,  4009,
    2042,  2803,  4785,  4990,  4991,  3516,  4045,  4477,  4750,  5130,
    5249,  5250,  5337,  1291,  1292,  1293,  2800,  2038,   902,  1294,
    3800,  2040,  2733,  1612,  1613,  1942,  1964,  2685,  2701,  2702,
    2777,  2713,  3433,  2721,  2726,  3461,  3462,  2734,  2763,  1295,
    2687,  2688,  3415,  1966,  1296,   946,  1616,   947,  1961,  2758,
    1304,  1297,  1298,  1933,   818,  4759,  1128,  1696,   756,  1299,
    1300,  1301,  1302,  1489,   873,  1095,  1096,   611,   603,   875,
    3022,   612,   605,   606,  1701
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     602,   183,   173,  1039,   900,   174,   176,   817,   833,   901,
    1001,  1542,   178,   786,  1164,  1165,  1166,   753,  2355,   755,
    1170,  1894,   183,   761,  1375,  1592,  1610,   844,   775,   783,
     753,  1305,   790,   745,  1309,   783,   783,  1697,   819,   745,
     822,  1852,   600,  2190,  1822,  1702,   866,  1335,  2285,  1394,
    1141,  1914,  1604,  2256,   906,  1037,   854,   911,   820,  3225,
    3395,  1336,  1547,   653,  3545,  2892,  2894,  3306,  1812,  1813,
    2248,  1828,  3106,  1760,  1954,  3851,   909,  3645,  1821,  1733,
    3567,  3625,   168,  1738,  2268,  1323,  4095,  4133,  1742,  2257,
     931,  2657,  2515,   751,  4134,  2420,  1456,  3880,  1752,  1108,
     609,  1484,  1745,   719,  3248,  3867,   787,   661,  3899,   968,
    3376,  3899,  1776,  1121,  1186,  3140,    65,  3580,  1773,  2684,
    4128,  3669,  4167,  3671,   846,  3802,  1506,  1118,   838,  4363,
    4063,  1523,  3825,   847,  1135,  1039,  4373,  4384,   224,  4191,
    3556,  1806,  4080,   780,  4756,  2382,  2383,  4702,  4032,  1106,
     814,  3482,  1110,    74,    77,  4324,    78,  2819,  2748,  1341,
      79,  4695,    80,   100,   831,  2239,   118,   123,   148,   152,
     171,   177,  1341,  2163,  4656,   806,  4884,  2859,  1335,  2829,
     924,  4813,  2862,   602,   857,   857,  2378,  1316,   857,  1345,
    2838,  3586,   868,  3499,   819,  2598,  3864,   903,  4372,  4544,
     868,  1809,  1810,   868,  4110,  2219,   819,  3998,   857,  1541,
    1488,   819,  1820,  2409,  1451,   857,  4928,   819,  1570,  4941,
    1368,  2086,  4694,  4836,  1371,  2239, -2215,  4768,  1597,  4770,
     727, -2343,  3183,  5102,  3186,  3187, -2381,  1812,  1813,  3191,
    3192,  3193,  2239,  3195,  3196,  3197,  1724, -2404, -1854, -1821,
    4078,  1772,  4083, -2271,  1451,  2389,  1828, -2346,  1821,  1451,
    1485, -2441,  3215,   618,   727, -2243,   727,   766,   727,  2476,
    2418,  2419,  4452,  2184, -2243, -2243,  5084, -2244,  1843,  2010,
     727,  1146, -2610,  2174,   852,  1150, -2244, -2244,  3585, -1834,
    2756, -2610, -2610, -1862,   667,   667, -1859,  1423, -1849,  1195,
     667,  1834,   667,  3165,  2512, -2214,  2647,   667,  2016,  2259,
    2667,  2938,  3819, -1862,   864,  2081,  2045,   991,  2958,  2376,
    5344,  1127,  4424,  4425,  4426,  3621,  4428,  4429,  4430,  4431,
    4432,  4552,  3439,  2060,  1799,  1485,   667,   667,  1729,  -419,
    2018,   727,  3393,   667,  4385,  2628,  4846,  4847,  2449,  2186,
     179,  4714,  2621,   767,  -133,  3380,  4962,  2259,   667,  4204,
    -133,  1809,  1810,  2896,  4872, -1677,  2524,  1786,  2187,  3216,
    1601,   179,  1799,  2756,  1835,  1161,  3382,  4253,   841,  4931,
    4310,  3413,  4951,  5240,  1799,  1528,  1799,  3335,  1820,  4812,
     601,  2525,  5364,  4932,  4449,  5332,  5056,   733,  4525,  2959,
    2913,   832,   733,  1313,  1529,  1799,  1424,  1364,  2308,  5234,
     792,  1020,  3439,   733,  2322,  4541,  3384,  2397,  2097,   733,
    1326,   734,  -658,   733,  1799,  2052,   734,   733,  2104,   186,
    2648,  5345,  2010,  1702,  1604,  1836,  2010,   734,  1837,  5018,
    3731,   901,  1799,   734,  2061,  4819,  1021,   734,  5089,  2068,
    3650,   734,  1318,  5104,  1530, -2402,  3679,  3465,  3889,  3467,
    3468,  2016,  2259,  4569,  3540,  2016,  4636,  5222,  1896,  3680,
    4574,  4205,  2260,   187,  2056,  1039,  1799, -2105,  4182,  1366,
    5090,  1022,  4929,  2513, -2105,  1697,  2914,  3732,  4850,  1327,
    4983,  2069,   901,  2018,  2053,  1887,  3385,  2018,  2622,  4637,
    1838,   995,  1191,  2004,  4450,  2339,  1730,  1005,  5021,  2259,
     793,   768,  1860,  2259,  1850,  2188,  2797,  3540, -2124,  3727,
    1019,  1945,  2259,  2798,  2105, -2124,  1367,  2196,  2394,  1023,
    2623,  2050,  4311,   845,  1039, -1677,  2259,  2259,  5314,  1062,
    5333,  1531,  2309,  2624,  5057,  1602,  5365,  2816,  1838,  1162,
    4254,  2398,   769,   770,  1702,  3217,  2259,  4952,  1937,  5241,
    3849,  2062,  1898,  2082,  4909,  4963,  2897,  4933,  3439,  2898,
     668,  3790,  3435,   855,  2962,  4206,  1934,  3381,  2625,  2526,
    5346,  3622,   867,  5200,  2424,  5347,  1958,  1944,  2450,  1532,
     867,  4715,  1533,   867,  3802,  5055,  2046,   823,  3383,  2358,
    2629,   865,  1415,  1955,   992,  3179,  4526,  2354,   950,  2461,
    3820,  5370,  2323,  1800,   819,  2939,   857,  5221,   857,  4226,
     183,   975,   857,  1169,   976,   977,  5233,  1850,  2189,   903,
    2350,   978,  2649,  2353,  1008,  2477,   857,  2003,  1425,  2377,
    2757,  1535,  3166,   857,  3218,   771,  2390,  4553,  4292,  2064,
    2514,  1800,  2650,  1039,  2076,  2076,  1197,  4333,  1730,  1839,
    2371,  1039,  1039,  1800,  4080,  1800,  1169,   602,  2087,  4494,
    3782,  3783,   833,  4498,  5368,  1039,   868,  5414,  4466,  1142,
     903,  1807,   662,   868,  1800,  1537,   868,  2408,  1610,  1610,
    1610,  2686,  1376,  4138,  2360, -2402,   739,   740,   619,  4381,
    1730,  1426,   857,  1800,   944,  2058, -2215,  1538,   945,  4380,
    5097,  1416,  2302,  2818,  2417,   183,  1938,  4738,  5434,  4437,
   -2343,  1800,  1172,  3505,  2224, -2381,  4878,  1540, -1854,  1811,
     739,   740,  1486,  1487,   739,   740, -2404,  2679,  1823,  1143,
    4530,  1148, -2271,  1152,  2139, -2243, -2346,  5306,  2037,  1156,
   -2441,  5316,  2131,   819,  3329,  1800,  2132, -2244,  1823,  1824,
    2226,  1715, -2610,  1134, -2402,  1801,   901,  5183,  1187,  1815,
    2233,  4355,  4485,  1825,  4487,   846, -1859, -2402, -1849,  1824,
    2006,  5277,  2048,  1172,   847, -2214,  2301,  2822,  1303,  1303,
    2425,   819,   783,  1827,  5281,  4728,   783,  1137,  1515,  3802,
    2243,  3454,  2617,  1829,  3588,  1711,  3589,  1486,  1487,  1716,
     819,  1717,  3724,  1379,   819,  1847,  2269,  1858,  1706,  3890,
    1303,  1516,  2459,  2600, -2105,   944,  -133,  -133,  1430,   945,
    1027,  5372,   819,  1495,  1159,  5289,  1880,   183,   173,  3728,
    2968,   174,   176,  2967,   819,  2986,  4691,  2197,   178,  3071,
    3970,  3864,  3042,  2243,  5254,  1883,  2576,  2340,  1938,   819,
    2343,  2344,  5002,  2799,  2627, -2124,  3763,  4155,  5232,  3843,
    2243,  3582,  1417,  1850,  2310,  2639,  4296,   819,  3451,  3452,
    3453,  3454,   857,   857,  2091,  4334,  4196,  5226,  2091,  5010,
    2395,  1730,  5201,  4118,  5413,  5358,  2032,  2033,  2034,  2035,
    2036,  2037,  2034,  2035,  2036,  2037,  4295,  3938,  1576,  2859,
    1418,  3626,  3175,  3561,   783,   783,   824,  3043,   168,  2396,
    1799,  2218,  1089,  1382,  2506,  2468,  5210,  3550,  5431,  1793,
    3034,  3072,  1312,  2198,  5330,  1834,  1320,  1303,  1303,  4876,
    1581,  1346, -1821,  1419,  2903,   602,  1582,   857,  5225,  2782,
    1577,   868,    65,  3124,   903,   868,   663,   868,   841,  3125,
    2093,  2694,   857,  2239,   667,  4651,  2558,  2559,  3900,   179,
     848,  1028,   667,  5127,  3548,  1408,  4335, -1678,  4997,  3562,
    4754,  4098,  4108,  1794,  3073,  3583,   819,  3777,   613,    74,
      77,   667,    78,   857,   857,  5395,    79,  2355,    80,   100,
    5315,  4224,   118,   123,   148,   152,   171,   177,  1835,  2507,
    2120,  1420,  4922,  5307,   664,   819,   819,   819,  4134,   857,
   -1821,   602,   602,   602,  4133,  4398,   936,  2643,   780,  1562,
    3130,  4134,  3449,  3450,  3451,  3452,  3453,  3454,  3202,  4609,
    2437,  4820,  3074,  1497,  5391,  4360,  2234,  2370,  2641,  1583,
    2528,  3409,   665,  3901,   666,   849,  2091,   855,  2911,  2681,
    4348,  4336,  3126,  4610,   179,   832,   867,  2695,  3131,  1836,
    4361,  4070,  1837,   867,  2524,  1325,   867,  1398,  4652,  5424,
    5378,  1795,  2199,  5156,  5382,  2783,  1398,  1764,  5161,  1850,
    2784,   857,  4733,   857,   857,  4760,  3057,  4757,  5006,  2525,
    4764,  3132,  1702,  4766,  1147,  1149,  1151,  2754,  3832,  1153,
    1154,  1155,  2644,  2469,  1498,  5128,  1869,  1029,  1383,  1160,
    2270,  1578,  5392,  3799,   937,  1822,  1303,  2785,  4322,  1765,
    3945,  1610,  2184,  2271,  3035,  2272,  5412,  1796,  4835,  2235,
    2696,  2473,  4998,   183,  4071,  5129,  3075, -1678,  1702,  3563,
    2185,  4099,  5077,  1030,  4986,  3296,  1916,  1916,  1870,  1399,
    1507,   819,  2259,   753,  3168,  2636,  2637,  3626,  1399,  1792,
    3058,  2200,  2267,   938,  2555,  3540,  4681,  4072,  3540,   819,
    5435,  4693,  1838,  5096,   845,  1951,   179,  3647,   819,  5099,
   -1821,  1957,  4073,  4687,  5111,   839,  2273,  4134,  3899,  1800,
    5446,  2697,  4074,  5447,  2698,  1303,  5393,  3902,  2186,  1090,
    1584,  1400,  1031,  3896,  5076,  4337,  1730,  4536,  1032,  2508,
    1400,  3694,  1730,  3127,  1579,  1141,  5291,  2187,  4075,  2004,
     939,   833,  1797,  2509,  3713,  2891,  1303,  1900,  3203,  1902,
    2557,  1904,  4877,  1906,   936,  1908,  1909,  1910,  1585,  2804,
    3540,  5098,  1912,  4421, -2211,  4761,  1697,  2579,  4362,  2474,
     840,  3128,  2286,  1850,  1303,  1303,  1303,  3076,  1303,  1508,
    2786,  2591,  4567,  3332,  1975,  3077,  3833,  3903,  3078,   850,
     936,  1586,  3946,  1205,  2597,  4338,  3439,  4668,  1303,  2958,
    3440,  3441,  3442,  1839,  3129,  4360,  3648,  2596,  5158,  3025,
    1766,  2098,  2099,  2089,  2103,   901,  2577,  4024,  1401,  2609,
     847,   847,  1840,   847,  2699,  1326,  4323,  1401,  5000,  4076,
    4361,  2590,  4611,  2680,  2592,  2683,   819,     3,     4,  1871,
    3695,  2690,  5017,  2958,  3333,   855,   841,  2704,  2705,  2706,
    1379,   867,   937,  1364,  2841,   867,  3638,   867,  2723,  2725,
    5394,  4529,  3026,  2735,  3262,  1205,  1303,  2711,  3439,  3263,
    1303,  1303, -2611, -2611, -2611,  4979,  2863,  4209,  1402,  2871,
    2959,   819,   819,  2137,  2188,  1303,  3032,  2173,   937,  5064,
    4958, -1821,  2630,  4070,  1327,  2633,  2634,  2805,   713,   766,
   -1821,   938,  1811, -1821,  1393,  3274, -1821,  1191,   783,  2345,
    1603,  3055,  4315,  1767,  5100,  2960,  1403,  4762,    15,  2107,
      35,  1787,  1788,  1789,  2959,  1366,  4935,  4419,  3639,  1168,
    1341,  4393,  2287,  2971,  4936,  2700,  5292,   938,   884,  2842,
    1509,  2718,  1872,  2230,  3090,   885,   886,   887,   783,  1404,
    3153,   857,    20,  2961,  1512,  1473,  1582,  1838,   939,  3027,
     615,  2288,  2108,  2678,   819,  2258,  4071,  1850,   973,  4754,
     944,   754,  3110,   819,   945,  4441,   857,  4442,  1510,  1423,
     667,  1405,  5020,  1406,   842,   767,  2289,  5024,  5025,  4210,
    1405,  5153,  1406,   616,   939,  3444,  3133,  2189,  4134,  4072,
    3055,  3696,   179,   903,  2602,   819,  3802,  3540,   783,  3649,
    3650,  1511,  1322,  1169,  4073,  5293,  4930,  1610,  5216,  5065,
    2192,  2284,  1039,  4921,  4074,   783,  2972,  1899,   819,  4314,
    1901,   819,  1903,  1407,  1905,  3342,  1907,  2373,  3651,  3697,
    1911,  2626,  5294,  2107,  2346,  2631,  5159,  2347,  2193,  2635,
    4075,  1358,  2638,   857,  1515,  2962,  2984,  2872,  4316,  1583,
    2864, -1609,  1131,  3445,  4349,  3213,   758,  1963,   819,  3064,
    3065,  2110,  3698,  3068, -1609,   764,  2355,  1516,  3963, -1609,
     857,   857,   857,   857,   819,  4286,  2108,  1972,  1424,  3245,
    4290,  4908,   186,  5066,   632,  4354, -2234,  4937,   819,  2962,
    -156,  1768,  3799,  5230,   788,  3637,  3169,  3170,  3171,  1303,
    1303,  1303,  3257,  3258,  3259,  3260,    40,  3725,  3139,  1989,
    4443,  2178,  1769,    40,  3265,  3028, -1609,  4222,  4071,  -156,
    4096,  2111,  2179,    32,  2001,  3445,   187,  2719,  4845,  1408,
    1198,  4076,  3089,   768,  1408,  2737, -1609,  2109,  2202,  3293,
    2180,  1359,    44,  4141,   634,  3315,  5312,  5313,  2203,    44,
    2193,  4072,  2658,    40,    40,  2865,  3175,  4141,  2981,  2588,
    5376,  5377,  3772,   901,   901,  1436,  4500,  3114,  2550,   791,
    3091,  1774,  3926,  3134,   769,   770,  4074,  2483,  3094,  3726,
    3079,  3097,  4097, -1609,    48,  2110,  4170,  2194,  5274,    44,
      44,    48, -1609,   186,  1775,  2578,   765,    49,  3554,   819,
    4093,  3159,  5058,  1515,    49,  1408,  3135,   857,   857,  1408,
     845,   845,  1473,   845,  4889,  4194,  4308,  3540,  3244,  4171,
      50,  3540,  5083,   857,  1544,  4142,  1516,    50,  4874,  4134,
    3729,    48,    48,  4657,    51,   714,  1850,   187,  3138,  4142,
    5103,  2873,   819,  4842,    49,  2111,  3446,  3447,  3448,  2851,
    3449,  3450,  3451,  3452,  3453,  3454,  2484,  3079,   857,   857,
     857,   857,  1545,  5436,  5169,  4890,  4843,    50,  5110,  2326,
    1770,   819,  3542,  4891,  2329,  3764,  2741,  4549,   819,  2744,
    4658,   715,    51,  1384,  1883,  4309,  4143,  4195,   901,  5415,
    4144,  2181,   602,  4076,  2264,   602,  2265,  3799,  3286,  4172,
    4143,  4892,  5380,  5230,  4144,  1303,  2204,  3003,  3982,  4134,
    3983,   645,  5080,   646,  4727,  3607,  3582,   632, -2611, -2611,
   -2611,  1385,  3449,  3450,  3451,  3452,  3453,  3454,  3472,  5094,
   -1609,  2925,  1364,  2010,  3479,  5170,  4950,  1365,  1389,  1746,
     868,   868,  2478,   613,  2205,  2400,  4550,  1525,   815,  2406,
    2345,   903,   903,  3876,  1386,   868,  4893,  2266,   868,  2921,
    3254,  4842,  2016,  2010,   826,  4911,  5121,  1395,  3004,  4894,
    3005,  1546,  1390,   857,   857,   944,  1391,   634,  2925,   945,
     857,  4895,   819,  3723,  4843,  1526,  -573,  2926,  4682,   837,
     183,   890,   891,   892,  2018,   893,   894,   895,   896,   897,
     898,  2652,  1883,  5438,  1366,  1396,  2276,  1916,  5224,  1392,
    4134,  4912,  2576,  4655,   857, -1038,   868,  3319,  3899,   868,
     868,  5013,   819,   819,  2018,   857,  5223,  4795, -1648,  4797,
    2664,  3006,   819, -1648,  3604,  4120,  2411,  5049,  1397,   819,
    2277,  4305,  5050,  3984,   183,   975,   753,   753,   976,   977,
    2669,  1367,  4686,  3985,  1303,   978,  1303,   835,  4946,   733,
    3369,  1303,  1303,  3937,  4666,  4306,  3410,   836,  1303,  1303,
    1303,  3411,  1137,  1303,  2412,  1303,   903,  1303,  1303,  1303,
    1303,  1303,  1303,   734,  1303,  2346,  1303,  1303,  2347,  5212,
    1303,  2611,  5051,  2612,  1572,  2613,  3544,  2614,   713,  2615,
   -1648,  3391,  3392,  2616,  3938,  1303,  1303,  1303,  1303,  3571,
    2286,  1515,   857,  1303,  2951,   851,  4646,  1303,    15,   901,
    1303,  1020,  2663,  1303,  1303,  1303,  1303,  1303,  1303,  1303,
    1303,  1303,  1573,  1303,  1516,  3136,  1574,  5308,  2413,   819,
    1303,  2276,  1303,  1823,   645,  3572,   646, -1648,  -133,   819,
    3592,  2414,    20,  2294,  2286,  1811,  1021,  2164,  5318,   727,
    2948,  1823,  2952,  2953,  1824,  1575,   920,  4896,  3137,  1550,
    4897,  5120,   651,  1823,    35,  2277,  2945,  2364,   819,  2415,
    3438,  3587,  1824,  3071,  4627,  1303,  4628,  4629,  4630,   819,
     819,  3845,  3466,  3691,  1824,   921,  1825,  4672,  5163,    40,
    1303,   852,  3546,  2325,  3973,  3231,  2365,  1551,  1827,  1303,
    1303,  3627,  5054,  4121,  3334,  3336,  3337,  2980,  5371,  4122,
    5087,  4673,  1877,   819,  3489,  2352,  4123,  4181,  5303,  2286,
    2877,  3692,  2882,  3999,  2835,    44,  3540,  3655,   632,  1023,
    1552,  1889,  2480,  3540,  1890,  1878,  2875,  4799,  3540,  4255,
    3852,  3540,  2076,  4842,  3503,  4807,  2915,  2836,  2918,  1039,
    3862,  4124,  3436,  3437,  3693,  3072,  2517,  3456,  3518,  2379,
    2287,  2831,  4256,   753,  3540,   753,  4843,    48,  1518,  4356,
    4272,   860,   855,  4125,  2966,   855,  4117,  3540,  2912,  3803,
      49,  1811,  1303,  2164,  3263,  3070,   225,  1589,   634,  2288,
    1593,  4273,   617,   602,  3486,  3487,   868,   903,   868,   868,
     711,  5367,   857,    50,  2287,   819,   862,  2295,  3073,  3559,
    4173,  2316,  4180,   727,  2289,   727,   742,    51,   789,   883,
     867,   867,   742,    32,  4165,  5437,   783,  3804,  2333,   179,
    5152,  3368,   882,  2288,  2410,   867,  4156,  2258,   867,  5276,
     935,  1610,  4809,  1505,   926,  2991,   819,  1610,  1522,  2284,
    3630,  1946,  3002,    40,  1947,   943, -1608,  2286,  2289,   980,
    3232,   819,  3156,   993,  3950,   994,  3074,  5405,  1039, -1608,
     982,  1172,  1172,  3807, -1608,  1172,   944,   985, -2215,  2287,
     945,  -444,   819,   179,  2767,  2768,  2769,  2770,   997,    44,
     998,  2459,  4197,  2284,  1818,  1819,   867,  3821,  3791,   867,
     867,  1002,   819,   819,  3848,   988,   819,  1205,  2288,   783,
    3439,  3593,  3594,  1015,  3440,  3441,  3442,  3914,  3915,  2084,
    3614, -1608,  2085,  2090,  2095,  3686,  2091,  2085,  1811,  3809,
    1393,    48,   857,  2289,  3804,   857,  2606,  3110,  -572,  2091,
    3805, -1608,  2618,  3540,    49,  2619,  2422,  2423,  2719,  2719,
    5356,  2620,  3806,  2719,  2619,   645,  1024,   646,   819,   819,
    2762,  2655,  2834,  1025,  2656,  1883,  3104,    50,  2284,  1962,
    3075,    51,  2969,  3141,  1528,  3144,  3146,  2545,  1553,  2546,
    3807,    51,  3808,  1746,     3,     4,  2883,   839, -1608,  2091,
    2719,  2719,  2978,  1529,  1811,  2979,  2164, -1608,  3049,  -444,
   -1649,  3050,  2286,  3540,  1026, -1649,  1303,  1303,  1303,  5251,
    5252,  3208,  1303,  3233,  3209,  4852,  1045,  2287,   857,  1554,
    3320,  3360,  4642,  2091,  2619,  3408,  1041,  3812,  2091,  1555,
    1172,   857,  2860,  2861,  4374,  5402,  3809,  1303,  2286,   857,
   -1672, -1672,  3417,  1530,  4175,  2091,  2288,  3519,  5046,  3520,
    5048,  2198,   840,  2258,  5052,  5053,  3707,  3423,   819,  5113,
    2091,   819,  3234,  3424,  3810,  3247,  2091,  3425,   753,  3813,
    2091,  2289, -1649,  3458,   179,  3716,  2091,  3521,  1088,  3522,
     857,  1303,  4136,  4137,  3799,  3814,  4367,  3443,  3873,  3471,
    3874,  3076,  2091,  5003,  3296, -1676, -1676,  3838,  3141,  3077,
    1098,  5008,  3078,  5088,  5353,  2286,  2284,  4176,   857,  3444,
    3279,  3401,  3476,  3403,  3404,  3477,  1097,  3044,  3596, -1649,
    4297,  3672,  4298,  3250,  3673,  3275,  1104,  3398,   841,  3811,
    1531, -1675, -1675,  3677,  3812, -1608,  3678,  3702,  1303,  5270,
    3703,  1039,  3761,  1039,  1115,  3703,  3885,  3540,  3887,  3886,
    1132,  3888,  3910,  3721,  1122,  3911,  3912,  4011,   727,  2091,
    4005, -1609,  2287,  4006,  5420,   857,  5421,   857,  4016,   857,
    2681,  4017,  5338,  5339, -1609,   901,  3813,  3445,  1532, -1609,
    1163,  1533,  3815,   855,  1167,  1171,   867,  1556,   867,   867,
    2576,  2288,  3814,  3822,  4027,  3824,  2354,  2091,  2287,  1205,
    4177,  4106,  3439,  1916,  4107,  3540,  3440,  3441,  3442,  3941,
    4942,  4111,  4116,  1174,  4112,  2898,  2289,  5419,  1180,  4140,
    3730,  1557,  2619,  4025,  1039,  1558, -1609,  2288,  1177,  3831,
    1535,  3834,  4357,  4416,  3540,  2619,  1938,  4438,  4467,  3555,
    2091,  2656,  4479,  1179,  1184,  2091, -1609,  1604,  4181,   625,
    4532,  2284,  2289,  2898,   602,   857,  1188,   868,  1559,   868,
     868,  1350,   857, -1597,   833,  2287,   842,  2286,  1181,  4538,
    1303,  1190,  4539,  2681,  1537,  1303,  3893,  4545,  4546,  1192,
    2619,  2619,  5452,  4688,  1189,  4720,  4689,  2284,  3911,  3815,
      40,  1191,  1528, -1609,  2288,  4735,  1538,  1193,  4736,  1303,
    1303,  1303, -1609,  4737,  1303,  1194,  2091,  4744,   833,  1199,
    2656,  1529,  1303,  1303,  1303,  1303,  1540,  1528,  4178,  2289,
    3957,  4179,  1201,  1321,  4814,  1303,    44,  4815,  1303,  4903,
    1303,  1324,  2619,  4174,   632,  4943,  1529,  4959,  4944,  3540,
    2656,  1303,  1303,  1328,  4966,  1303,  4565,  4967,  1329,  4976,
    4982, -2513,  1883,  3859,  2284,  1330,  1361, -1032,  1363,  4086,
    3032,  1530,  4192,   903,  4499,  1303,  4502,  1303,    48,  1303,
    3446,  3447,  3448,  1334,  3449,  3450,  3451,  3452,  3453,  3454,
    1342,    49,  3765,  1350,  1348,  3055,  1530,  4984,  3975,  1303,
    3859,  3949,  4995,   819,   634,  4996,  4686,  1347,  1351,  1362,
    3541,  3444,  4152,  5039,    50,  3110,  5040,  5079,  5112,  5122,
    2055,  4996,  2656,  3524,  3525,  3526,   819,  2764,    51,  2765,
     833,  1381,  4004,  2284,  1303,  4176,  1377,  2287,  5123,  2009,
    5124,  3477,  2010,  2091,  1378,  1387, -2611, -2611, -2611,  1303,
   -1609,  1393,  3538,  2766, -2513,  1428,  3249,  5135,  1531,  5141,
    5136,  5144,  1883,  3541,  3859,  5162,  2288,  3576,  2619,  1454,
    3579,  2016,  2882,   179, -2245,  1457,  1459,  4291,  2017,  3445,
    4048,  5168,  1460,  1531,  2656,  3540,  1495,  3978,  3979,  3980,
    3981,  2289,  1499,  3986,  3987,  3988,  3989,  3990,  3991,  3992,
    3993,  3994,  3995,  2018, -2513,  3538,  1532,  5174,  4278,  1533,
    2656,  5175,   944,  1303,  2656,  1350,   945, -2513,  5178,  4856,
    1916,  2091, -2513,  1501,  2354,  1500,  2284, -2513,  2286,  5179,
    1512,  1532,  2091, -2513,  1533,  5180, -2513,  1514,  5181,  5208,
   -2513,  1524,  5209,   857,   857,  5258,  1527,  1549,  5259,  2354,
    4283,  1564,  4036,  4037,  2767,  2768,  2769,  2770,  1535,  3540,
    1563,  2771,  2772,  4857,  1591,  3540,  1580,  2773,  1590, -2513,
    1594,   645,  2774,   646,  3491,  5262,  3492,  5263,  1883,  3934,
    2091,  1599,  5264,  1535,   648,  2091,  1600,  5266,  4858, -2513,
    2091,  5285,  5310,  1703,  5286,  5311,   650,  4462,  5340,  1746,
    3493,  3859,  1537,  5352,  5379,  4859,  4989,  4996,  5417,  4860,
    5430,  5418,  2286,  2091,  2019,  5432,  3555,  5450,  5433,  2020,
    5259,  1705,  5458,  1707,  1538,  5433,  1718,  1537,  1712,  1723,
    4861,  1726,  4221,  4862,  1728,  1734, -2513,  1737,  1739, -2513,
    1730,  1748,  1749,  4157,  1540, -2513,  1753,  1754,  4863,  1538,
     819,  -176,  1756,    29,   855,  1757,  2023,   867,  1759,   867,
     867,  1761,  1762,  1791,  1777,  1784,  3540,  2001,  1798,  1540,
     205,  1803,  3446,  3447,  3448,  1804,  3449,  3450,  3451,  3452,
    3453,  3454,  1805,  2719,  2719,  2719,  2719,  1807,  2287,  2719,
    2719,  2719,  2719,  2719,  2719,  2719,  2719,  2719,  2719,  1811,
   -2513,  2767,  2768,  2769,  2770,  1815,  1814,  1817,  3494,  2025,
    1831,  2001,  2775,  1833,  3495,  1845,  4008,  2288,  1846,  3496,
    1849,  2009,  1857,  2776,  2010,  4522,  1850,  4198,  5319,    29,
    1861,  1863,  1864,  1866,  2762,  1868,  4864,  1874,  1873,  1876,
    1879,  2009,  2289,  1882,  2010,  1885,    40,  1886,  2719,  2719,
    3512,  1943,  1888,  2016,  1913,   758,  1950,  1952,  1959,  1960,
   -2611,  1953,  1303, -1825, -1832,  1967,  3531,  1968,  1303,  1969,
    1970,  1971,  2287,  2016, -1822,    51, -1823,  2284,   857,  1973,
   -2611,  1974,    44, -2513,  1702,  2018,  4865,  1975,  1976,  1977,
    1978,    40,  1979,  1981, -1826,  1982,  1983,  1984,  1985,  2027,
     601,  2288, -1824,  1986,  1987,  2018,  2681, -2513,  1988, -2513,
   -2513,  1990,  1991,  1992,  1993,  1994,   819,   819,   819,  3531,
    2045,  4662,    40,   832,    48,  1995,  2289,    44,  1996,  2041,
    1997,  2043,  2059,   819,  2071,  2046,  2055,    49,  2079,  2094,
    4329,  4330,  2096,  1365,  1367, -2513,  2127,  2138, -2513, -2513,
   -2513,  2129,  3883,   601,  4304,  1916,   819,  2140,    44,  3497,
      50,  2284,  2141,  4413,  2142,  1916,   819,   819,  2143,    48,
    3498,   819,  3488,  2159,    51, -1363,  2160, -1363,  2161,  2162,
    2164,  2165,    49,   819,  2166,  2167,  2168,  2176,  2207,  2169,
    2170,  2195,  2201,  2221,  2225,  2227, -2611,  3879,  2228,  2028,
      48, -2611, -2611, -2611, -2611,    50,  2032,  2033,  2034,  2035,
    2036,  2037,  2229,    49,  2231,  2232, -2611,  4367,  2249,    51,
    2245, -2611,  2250,  2251,  3907,  2262,  2263,  2274,  2278,  2280,
    2281,  2282,  2283,  2284,  2291,  2292,    50,  2293, -2611,  4520,
    2296,  1172,  2297,  2303,  2304,  2298,  2307,  2317,  2313,  2314,
    5320,   857,  2318,  2320,  2319,  2321,  2327,  2324, -2611,  4042,
    2330,  2331,  2334,  2336,  2341,  2348,  2351,  2337,  2349,  4448,
    2356,  2357,   819,  1473,  2362,  5005,  2368,  2363,  2372,  2367,
    2391,  2369,  2374,  2392,  2375,   819,  4634,  2399,   819,  2428,
    2421,  2025,  2380,  2431,  2381,  2433,  2393,  2434,  2435,  2404,
    2447,  2436,  2440,  2441,  2442,  2448,  2444,  1303,  2453,  2454,
    2452,  2025,  2445,  2446,  2455,  2460,  1303,  2463,  2464,  2467,
     627,  2481,  2492,  2496,  1303,  2497,  1303,  2505,  2516,  1303,
    2519,  2472,  2522,  2500,  1303,  1303,  1303,  1303,  2523,  2532,
    1303,  1303,  1303,  1303,  1303,  1303,  1303,  1303,  1303,  1303,
    2719,  2542,  2478,  1303,  1303,  1546,  2544,  2548,  2560,  2570,
    2562,  2563,  2581,  1303,  2583,  2584,  2536,  1303,   833,  4517,
    2571,  1303,  2572,  2574,  2585,  4707,  2599,  2632,  2640,  1303,
    2586, -2611,  1303,  2653,  1303,  3555,  2666,   833,  2686,  2736,
    2539,  2553,  2742,  2554,  2010,  2567,  1303,  2568,  2755,  1303,
    1303, -2611,  4573,  2573,  1303,  1303,  2691, -2515,  2746,  4046,
    3555,  1303,  2761,  2781,  2779,  2801,  2802,  1461,   819,   819,
     819,   602,  2816,  1462,  3541,  4068,  2824,  2825,  2821,  4068,
    4082,  4068,  4050,  4051,  4052,  4053,  1303,  2826,  2827,   840,
    2852,  4408,  4409,  4410,  4411,  4412,  2853,  2854,  2876,  2887,
    2840,  2855,  2888,   183,   975,  2869,  2890,   976,   977,  2916,
    2921,  2923,  1303,  3538,   978,  1464,  3538,  2919,  2924,  4563,
    2930,  2935,  2940,  2946,  2954,  2970,  2882,  2941,  1303,  2943,
    4647, -2611,  2975,  1318,  1322,  2987,  2977,  2994,  2032,  2033,
    2034,  2035,  2036,  2037,  3007,  3012,  4135,  1916,  1916,  3013,
   -2515, -2611,  3038,  3048,  3045,  3056,  3040,  3063,  2032,  2033,
    2034,  2035,  2036,  2037,  3039,  3083,  3084,  3100,  3142,  1465,
    3155,  3167,   841,  3163,  3164,  3176,  1466,  3182,  3188,  1467,
    3194,  3199,  3222,  3189,  3190,   179,  2258,  3210,  3538,  3223,
    3237,  3241,  3243,  3252,  3261,  3264, -2531,  3269,  3270,  3255,
   -2515,  4605,  4453,  3239,  4186,  1468,  3272,  3273,  3277,  3280,
    3271,  3282,   179, -2515,  3285,  3284,  3288,  3308, -2515,  3289,
    3307,  3310,  3311, -2515,  2355,  3312,  3314,  3316,  3339, -2515,
    3351,  1838, -2515,  3353,  1205,  3354, -2515,  3439,  3324,  1469,
    3555,  3440,  3441,  3442,  3359,  3325,  3357,  5009,  3323,  3367,
    3321,  3375,  3362,  3363,  4490,  2667,  3364,  3326,  4469,  3327,
    4671,  3331,  3365,  3366,  3340, -2515,  3379,  3377,  1883,  3378,
    1880,  1847,  4233,  4855,  3394,  3389,  1169,  3396,  3386,  3402,
    3419,  3422,  3420,  4241, -2097, -2515,  5043,  3421,  3473, -2531,
    3426,  3427,  3431,  3434,  3457,  3435,  3490,  3463,  4664,  3500,
    1205,  4275,  1567,  3439,  2091,  3485,  1471,  3440,  3441,  3442,
    3501,  3515,  3557,  3510,  3470,  3511,  1472,  3484,  3513,  3514,
    3551,  3564,  3566,  3517,  4470,  1473,  3552,  3570,  3590,  3542,
    3568,  3577, -2515,  3595,   857, -2515,  3602,  1474,  5033, -2531,
    5035, -2515,  3584,  3606,  3611,  3609,  3598,   819,  3597,   857,
    3623,  1303, -2531,  3624,  3603,  3634,  3636, -2531,   819,  3635,
    3640,  3641, -2531,  3642,  4320,  3643,  3646,  2009, -2531,  3658,
    2010, -2531,  3657,  3660,  2258, -2531,  3666,  3667,  1476,  1477,
    3676,  3668,  3681,  3690,  3706,  3704,  3708,  3710,  1938,   819,
    3711,  3718,  3712,  3541,  3715,  3722, -2515,  3717,  3719,  2016,
    3750,  3720,  3736,  3141, -2531,  3737, -2611,  3738,  1478,  3734,
    3735,  2001,  4368,  3753,  4612,  4613,  3739,  4615,  3757,  3740,
    2389,  3741,   819,  3742, -2531,  3755,  3776,  4057,  3744,  3743,
    4062,  2018,  3745,  1303,  1303,  3538,  3444,  4730,  3787,  4378,
    3773,  3746,  3747,  3749,  3759,  2009,  4900,  3748,  2010,  3781,
     901,   758,   179,  3839,  3769,  3760,  3770,  3766,  3771,  3840,
    3789,   601,  3829,  3842,   601,  4802,  3830,  3844,  3836,  3847,
    3858, -2531,   819,  5185, -2531,  3859,  1479,  2016,  4965, -2515,
   -2531,  3861,  3877,  3868, -2611,  3871,  3878,  3881,  1205,  5191,
    5193,  3439,  3882,  3884,  3897,  3440,  3441,  3442,  3502,  3906,
    3920,  3916,  3444, -2515,  3445, -2515, -2515,  3909,  1303,  2018,
    3917,  3918,  3928,  3929,  3922,  5137,  3940,  3930,  4826,  3942,
    1303,  3943,  3931,  3932,  3933,  3935,  3944,  3953,  3954,  3955,
    3956,  3958,  3966,  3460,  3959, -2531,   601,  3960,  3961,  3962,
    4821, -2515, -2611,  3439, -2515, -2515, -2515, -2611, -2096,  3459,
    1303,  4018,  4029,  1303,  4031,  1962,  4060,  4043,  4088,  4100,
    4105,  1303,  1303,  4109,  4001,  3976,  4002,  4103,  1303,  1303,
    3445,  4127,  4003,  1303,  4010,  4119,  4035,  4707,  4084,  1303,
    4034,  4148,  1303,  1303, -2611,  4030,  4049,  1303,  4478,  4061,
     758,  4069,  4151,  1303,   819,   819,   819,   819,  4149,  4090,
    4092,  4068,  4082,  4068,  4094,  1303,  4068,  4158,  4150,  4492,
    4159,  4161,  4164,  3541,  4162,  4166,  4169,  3541, -2531,  4168,
   -2611,  4187,  4184,  4507,  4199, -2611,  4200,  4203,  4215,  5287,
    4216,  2009,  4217,  2719,  2010,  4201,  4202,  2025,   903,  4213,
    4214,  4227, -2531,  4230, -2531, -2531,  4229,  1303,  4243,  4961,
    4218,  3576,  4244,  4252,  4534,  3538,  2882,  4268,  4269,  3538,
    4271,  4175, -2611,  2016,  4274,  4285,  4284,  4521,  4523,  4287,
   -2611,   753,  4288,  4289,  1303,  4249,  4301,  4326,  4312,  4332,
   -2531,  4347,  4855, -2531, -2531, -2531,  4340,  4350,  2003,  2619,
    3444,  4352,  4353,  4359,  4346,  2018,  4369,  3446,  3447,  3448,
    4375,  3449,  3450,  3451,  3452,  3453,  3454,  5198,  2258,  4376,
    4386,  4394,  4396,  4391,  4399,  2025,  4406,  5185,  4392,  4414,
    4418,  4420,  2009,  4577,  4440,  2010,  5032, -2611,  4957,  4568,
    4397,  4402,  4395,  5045,  4427,  4451,  4434,  4435,  4444,  4576,
    1039,  4445, -2098,  4454,  4455,  4504,  4456,  4460,  4475,  3531,
    4491,  4488,  5028,  5029,  2016,  4493,  4495,  4496,  3445,  4509,
    4503, -2611,  4038,  3446,  3447,  3448,  4510,  3449,  3450,  3451,
    3452,  3453,  3454,  1303,  4508,  4511,  4516,   179,  4519,  5257,
    4518,  4531,  4528,   601,  4533,   604,  2018,  4541,  4535,  4540,
    4547,  4551,  4570,  4571,  4572,  4575,  4582,  4583,   857,  4581,
    4595,  4598,  4602,  4604,  4617, -2611, -2611,  4607,  4608,  4616,
    4624, -2611,  4626,   857,  4635,  4625,  4631,  4638,  4639,  4644,
    4645,  4648,  4653,  4654,  5160,  4659,  4663, -2611,  4660,  4661,
    4667,  4669,  4677,  4680,  2032,  2033,  2034,  2035,  2036,  2037,
    4692,  4685,  4696,  4690,  4697,  1303,  4699,  4701, -2611,  4703,
    4704,  4712,  4705,  4039,  4717,  4724,  4725,  4731,  4732,  4734,
    4740,   602,  4741,  4749,  4784,  4765,  4790,  2258,  4742,  4743,
    4755,  4758,  4793,  4769,  4806,  4796,  1916,  5126,  4811,  4787,
    4816,  4808,  4817,  4823,  4818,  4848,  4870,  4311,  4881,  4907,
    4879,  1303,  4810,  4829,  5143,  4830,   901, -2611,  5145,  4834,
    5147,  2025, -2611,  4839,   857, -2611,  3279,  4840,  4841,  4882,
    4914,  4888,  2032,  2033,  2034,  2035,  2036,  2037,  4885,  4906,
    4975,  4683,  4919,  4887,  2719,  4924,  4916,  1039,  4947,  5157,
    4926,  4975,  4945,  4948,  4964,  4949,  4968,  3555,  4974, -2611,
     819,  4978,  4981,  4993,  4827,  4985,  5014,  5015,  2719,   901,
    5012,  3446,  3447,  3448,  4987,  3449,  3450,  3451,  3452,  3453,
    3454,  5021,  5004,  4989,  5067,  5059,  5027,  5134,   604,  3531,
    5071,  5061,  5074,  3531,  5072,  5081,  5086,   604,   876,  5092,
    5093,  5101,  5105,  5106,  1303,   604,  5107,   876,   604,  5108,
    4825, -2611,  2025,  5109,  5116,  5117,  5119,  5133,  5125,  5146,
    5118,   876,  5150,   601,  5149,   179,   179,   601,  5154,  5167,
    5037,  5411,  5155,  1303,  1303,  5171,  5190,  1303,  5196,  5197,
    5202,  5207,  5204,  5214,  5211,  5215,  5235,  5236,  5237,  5238,
    5243,  5244,   602,  5255,  4869,  4068,  5271,  5280,  5200,  3541,
    5298,  5282,  5290,  5288,  3541,  5201,  5253,  3541,   602,  5299,
    3141,  5273,  4771,  5297,  1303,  1303,  4044,  5317,  5331,  5336,
    5343,  5350,  5355,  1461,  5360,  5363,  5032,  5369,  5400,  1462,
    4135,  5390,  1303,  5388,  3538,  5411,  5389,  5398,  5404,  5422,
    5423,  3538, -2611,  4135,   903,   857,  3538,   857,  5425,  3538,
    5426, -2611,  5427,  5411,  5440,  5441,  5448,  5451,  2032,  2033,
    2034,  2035,  2036,  2037,  5453,  5454,  1561,  5449,  1352,  2405,
    3549,  1464,  3538,  3246,  2078,  1560,  3037,  1458,  3115,  3652,
    4190,  4183,  5283,  3154,  3786,  3538,  3201,  4867,  5184,  5361,
    4328,  4925,  4643,  4899,  3600,  3361,   868,   903,  5275,  5357,
    5142,  4800,  5205,  1205,  5203,  5296,  3439,  5374,  4379,   671,
    3440,  3441,  3442,  3605,  4358,  5165,  3220,  4321,   757,  3221,
    4188,  4788,  3670,  2719,  3846,  1465,  4345,  1548,  4665,  4905,
    3854,  1039,  1466,  3211,  5362,  1467,  4910,  5455,  5445,  4883,
     868,  4387, -2611,   819,  3792,  5301,  4828,  2471,  5023,  2032,
    2033,  2034,  2035,  2036,  2037,  4320,  5173,  4831,   819,   709,
     971,  1468,   760,   819,  4999,  4415,  5416,  4388,  1935,  2893,
    2541,  3591,  2258,  2538,  2549,  5114,  2587,  4940,  2662,  2660,
    1116,  4219,  3756,  3152,  3850,  4904,  2661,  4242,  5322,   819,
    1040,  5439,  2175,  4368,  1331,  1469,  4927,  1205,  4400,  4401,
    3439,  2830,  2839,  1353,  3440,  3441,  3442,   857,   819,  4135,
    2610,  4650,  4789,  4524,  5269,  4113,  3553,  2868,  3565,   179,
    2092,  2051,  2124,  4938,  2849,  2123,  4091,  5265,  5148,  4514,
    4064,  2867,  2128,  5403,  4486,  1303,  4501,  4980,  1303,  4058,
    1303,  5132,   833,  5131,  2009,  2133,  4114,  2010,  4059,  5442,
    5342,  3538,  5256,  5399,  4960,  5267,  4012,  5268,  1567,  1303,
    2561,  4786,  1471,  3508,  3506,  1303,  2806,  3414,     0,  3541,
    2815,  3178,  1472,  4771,     0,     0,  2016,     0,     0,  1303,
       0,  1473,     0, -2611,     0,     0,     0,     0,  4992,  2719,
       0,     0,     0,  1474,     0,     0,     0,     0,     0,     0,
       0,  5396,  5397,     0,     0,  3444,     0,     0,  2018,     0,
     819,  3538,  1916,     0,     0,     0,     0,     0,     0,     0,
     901,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1595,     0,     0,  1476,  1477,     0,     0,  1303,     0,
       0,     0,     0,  1303,  1303,     0,     0,     0,   857,   857,
     857,   857,     0,     0,     0,  3531,     0,     0,     0,     0,
    3531,     0,     0,  3531,  1596,     0,     0,     0,  1461,     0,
       0,     0,   876,  3445,  1462,  4473,     0,     0,   876,     0,
       0,  1303,   601,     0,     0,     0,     0,  1463,   602,   601,
       0,   876,     0,     0,   601,     0,     0,   601,  4767, -2611,
       0,     0,     0,     0,     0,     0,     0,   876,  5341,     0,
     819,     0,   604,  3541,     0,     0,  1464,  1087,     0, -2611,
     601,   604,   876,     0, -2611,     0,     0,     0,   604,     0,
     876,   604,  1479,   601,     0,     0,     0,     0,     0,     0,
       0,  5095,     0,  1087,   876,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   876,  3538,     0,     0,     0,     0,
       0, -2611,     0,     0,     0,     0,     0,  3445,  1303,     0,
    1465,   602,     0,     0,  1303,     0,     0,  1466,  5140,     0,
    1467,     0,     0,     0,     0,  1303,   867,     0,     0,  1303,
       0,  1303,     0,  1303,     0,     0,     0,  2719,  2719,     0,
    4135,     0,     0,     0,     0,     0,  1468,     0,   903,     0,
       0,     0,     0,  3538,  2025,  5151,     0,     0,     0,  1303,
       0,     0,     0,   179,     0,     0,  5279,     0,     0,     0,
     867,     0,     0,   604,   604,     0,     0,     0,     0,   876,
    1469,     0,  3538,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1916,  1916,     0,     0,     0,     0,
       0,   179,     0,   876,     0,   604,  3446,  3447,  3448,     0,
    3449,  3450,  3451,  3452,  3453,  3454,   876,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,     0,     0,     0,
       0,     0,  5219,     0,     0,     0,  1303,     0,     0,   601,
       0,  5328,  5329,  1470, -2611,  5231,     0,  1471,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1472,     0,     0,
       0,     0,     0,     0,     0,  3531,  1473,     0,     0,     0,
       0,  1303,  1303,  1303,     0,  2001,     0,  3141,  1474,     0,
    1303,     0,     0,     0,     0,     0,     0,  3538,     0,     0,
    1303,     0,     0,  4992,     0,     0,     0,     0,  2882,   601,
    3446,  3447,  3448,     0,  3449,  3450,  3451,  3452,  3453,  3454,
       0,     0,   868,     0,     0,     0,  1475,     0,     0,  1476,
    1477,     0,   604,   604,  1698,     0,     0,   857,     0,     0,
     604,     0,     0,     0,  1916,  1087,   604,     0,     0,     0,
     604,     0,   604,     0, -2611,     0,  1087,     0,   972,  1478,
       0,  2032,  2033,  2034,  2035,  2036,  2037,     0,     0,     0,
    2258,  1087,     0,     0,     0,   602,     0,     0,     0,     0,
       0,  1303,     0,     0,     0,     0,     0,  5302,     0,     0,
       0,  4135,   874,     0,     0,     0,     0,   868,   868,  1303,
       0,   910,     0,   183,  5324,     0,     0,  5325,  5326,  1303,
    1038,   671,     0,  5140,  5327,   932,   604,   604,   604,  3531,
    3298,     0,     0,     0,     0,     0,     0,  1479,  5073,   179,
       0,     0,     0,  3538,   857,     0,     0,  5387,     0,     0,
       0,  1431,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   601,     0,     0,  1087,     0,     0,     0,
       0,  5456,  5457,     0,     0,  5231,   857,   857,     0,     0,
       0,  4135,     0,     0,     0,  1432,     0,     0,     0,     0,
       0,   183,  5324,     0,     0,  5325,  5326,     0,     0,     0,
       0,     0,  5327,   876,     0,     0,     0,     0,  1303,  1303,
       0,     0,     0,   179,  1176,     0,     0,  3538,     0,  1303,
       0,   601,     0,  3538,  1303,     0,     0,     0,     0,     0,
       0,   604,     0,     0,     0,     0,     0,     0,     0,   876,
    1196,     0,     0,     0,     0,  1433,     0,     0,  1306,     0,
     601,  1315,  1038,  1317,  1303,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1303,     0,     0,   876,     0,     0,
       0,     0,     0,     0,     0,     0,  1087,     0,   876,   857,
    1434,     0,  4135,     0,     0,     0,     0,     0,     0,     0,
       0,  5140,   183,  5324,   876,   602,  5325,  5326,   876,     0,
       0,     0,     0,  5327,     0,     0,     0,     0,     0,     0,
     604,  3299,     0,     0,     0,     0,  1435,   868,   868,  2008,
       0,     0,     0,     0,  3538,     0,  2009,     0,     0,  2010,
       0,     0,     0,  2011,  2012,  2013,     0,     0,     0,     0,
       0,   604,     0,     0,     0,     0,     0,     0,     0,     0,
    2014,     0,     0,  2015,     0,   601,  1437,     0,  2016,     0,
       0,     0,     0,     0,     0,  2017,     0,     0,     0,   604,
     604,   604,  2009,   604,     0,  2010,  1461,     0,     0,  2011,
    2012,  2013,  1462,     0,     0,     0,     0,     0,  1439,     0,
    2018,     0,     0,   604,     0,  1565,  2014,     0,     0,     0,
       0,     0,     0,     0,  2016,     0,     0,     0,     0,     0,
       0,  2017,     0,     0,     0,     0,     0,   876,     0,     0,
       0,     0,   867,     0,  1464,   876,   876,     0,     0,    35,
       0,     0,     0,  3300,     0,   179,  2018,     0,     0,   876,
       0,     0,  1442,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,  2242,     0,
       0,   604,   179,     0,     0,   604,   604,     0,     0,     0,
    1445,     0,     0,     0,     0,  5305,  1566,     0,  1465,  1446,
     604,     0,     0,  1447,     0,  1466,  1087,     0,  1467,     0,
       0,   601,  1698,     0,     0,     0,     0,   867,   867,     0,
       0,  2019,  3301,     0,     0,     0,  2020,     0,     0,     0,
       0,     0,     0,     0,  1468,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2021,  2022,
     672,     0,     0,     0,     0,   673,   996,  1448,     0,     0,
    5386,  3302,   996,  2023,     0,     0,     0,  2019,  1469,     0,
       0,     0,  2020,  1087,     0,   996,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   601,     0,     0,     0,     0,
     674,   601,     0,     0,  2021,  2022,     0,     0,     0,     0,
       0,     0,  2024,   675,     0,     0,     0,     0,     0,  2023,
       0,     0,  1038,     0,  1087,     0,  2025,     0,   676,  2026,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1567,     0,     0,     0,  1471,   677,     0,     0,     0,
       0,     0,     0,     0,     0,  1472,  1940,  1087,  2024,     0,
       0,     0,     0,     0,  1473,     0,     0,     0,     0,   678,
       0,   179,  2025,     0,     0,  2026,  1474,     0,     0,     0,
     679,  1038,     0,     0,     0,     0,     0,     0,     0,   680,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   681,   601,     0,     0,     0,   682,     0,     0,     0,
       0,     0,     0,   683,  1568,  5444,  2027,  1476,  1477,   876,
       0,  2009,     0,     0,  2010,     0,     0,     0,  2011,  2012,
    2013,     0,   684,     0,   604,   604,   604,   867,   867,     0,
       0,     0,     0,     0,     0,  2014,     0,  1569,     0,     0,
       0,     0,     0,  2016,     0,     0,     0,     0,  2005,     0,
    2017,     0,  2027,     0,     0,     0,     0,  2007,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   685,     0,
       0,  2049,     0,     0,     0,  2018,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1038,     0,     0,  2066,  2067,     0,     0,     0,  1038,  1038,
       0,     0,     0,     0,     0,  1479,  2028,     0,   686,  2029,
    2030,  2031,  1038,  2032,  2033,  2034,  2035,  2036,  2037,     0,
       0,   687,     0,     0,     0,     0,  1087,     0,     0,     0,
       0,   688,     0,     0,     0,     0,     0,  1087,     0,     0,
       0,   205,   689,     0,     0,   690,     0,     0,     0,  1698,
       0,     0,  2028,     0,  1087,  2029,  2030,  2031,     0,  2032,
    2033,  2034,  2035,  2036,  2037,     0,     0,     0,     0,  3428,
       0,   691,  3429,   876,   692,     0,     0,     0,   693,     0,
     694,   876,     0,     0,     0,     0,  2019,   695,     0,     0,
     696,  2020,     0,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   697,
    1087,     0,     0,  2021,  2022,     0,   698,   604,     0,     0,
     604,     0,   699,  1087,     0,   700,     0,     0,  2023,   701,
     604,     0,     0,     0,     0,     0,  1087,   702,     0,   703,
       0,     0,     0,     0,   704,     0,     0,     0,  1087,     0,
       0,     0,     0,  1461,     0,     0,     0,   705,     0,  1462,
       0,     0,     0,     0,     0,   604,   604,  2024,   876,   876,
     706,     0,  1565,     0,     0,     0,     0,     0,     0,     0,
     604,  2025,   876,   604,  2026,     0,     0,     0,     0,     0,
       0,     0,  1087,  1087,     0,   876,   876,     0,     0,     0,
       0,  1464,     0,     0,     0,     0,     0,     0,     0,   876,
       0,     0,     0,     0,     0,   744,     0,     0,  2359,     0,
       0,   744,     0,     0,     0,  2366,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   604,     0,     0,   604,   604,     0,     0,     0,     0,
       0,     0,     0,  1566,     0,  1465,     0,     0,     0,     0,
       0,     0,  1466,     0,     0,  1467,     0,     0,     0,     0,
       0,  2027,     0,     0,     0,     0,     0,     0,     0,   604,
       0,   604,     0,     0,     0,     0,   604,   604,     0,     0,
       0,  1468,     0,   604,   604,   604,     0,     0,   604,     0,
     604,     0,   604,   604,   604,   604,   604,   604,     0,   604,
       0,   604,   604,     0,     0,   604,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1469,     0,     0,     0,  1087,
     604,   604,   604,   604,  1698,     0,     0,     0,   604,  3298,
       0,     0,   604,     0,     0,   604,     0,     0,   604,   604,
     604,   604,   604,   604,   604,   604,   604,     0,   604,     0,
    1431,     0,     0,     0,     0,   604,     0,   604,     0,     0,
       0,  2028,     0,     0,  2029,  2030,  2031,     0,  2032,  2033,
    2034,  2035,  2036,  2037,     0,     0,     0,     0,  1567,     0,
       0,  3430,  1471,     0,  1432,     0,     0,     0,     0,     0,
       0,     0,  1472,     0,   876,     0,     0,     0,     0,     0,
     604,  1473,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1474,     0,   604,     0,     0,     0,  2493,
       0,     0,     0,  2498,   604,   604,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1433,     0,     0,     0,     0,     0,
     876,  3112,     0,     0,  1476,  1477,     0,  1087,     0,   672,
       0,  1087,  1087,     0,  2209,     0,     0,     0,   876,     0,
       0,     0,     0,  1698,   876,     0,     0,     0,   876,  1434,
       0,     0,     0,     0,  3113,     0,   876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2210,
       0,     0,     0,     0,   876,     0,     0,   604,  1461,     0,
    3299,     0,   675,     0,  1462,  1435,     0,     0,   604,     0,
    1087,   604,     0,   604,   604,     0,  1087,   676,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   876,  2009,
       0,     0,  2010,     0,     0,   955,  2011,  2012,  2013,     0,
       0,     0,  1479,     0,     0,  1437,  1464,     0,   876,   876,
       0,     0,     0,  2014,     0,     0,     0,  1087,  2211,     0,
       0,  2016,     0,     0,     0,     0,     0,     0,  2017,   679,
       0,     0,     0,     0,     0,     0,     0,  1439,   680,  1698,
     876,     0,     0,  1698,     0,     0,     0,     0,     0,     0,
     681,     0,     0,  2018,     0,  2212,     0,     0,     0,     0,
    1465,     0,     0,     0,     0,     0,   876,  1466,  1698,     0,
    1467,     0,   876,     0,     0,     0,     0,     0,    35,   876,
       0,   958,  1441,     0,     0,  2703,   876,     0,     0,   876,
       0,  1442,     0,     0,     0,   876,  1468,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,  2242,     0,     0,
       0,     0,     0,     0,     0,   876,     0,     0,     0,  1445,
       0,   876,     0,     0,     0,     0,   876,   685,  1446,  1698,
    1469,     0,  1447,     0,     0,     0,     0,     0,     0,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3301,   876,  2403,     0,     0,     0,  1698,     0,     0,
       0,     0,     0,   876,  2019,     0,     0,  2213,     0,  2020,
       0,     0,     0,     0,     0,     0,     0,  2823,     0,     0,
       0,   604,   604,   604,     0,     0,  1448,   604,     0,     0,
    3302,  2021,  2022,  1567,     0,     0,     0,  1471,     0,     0,
     205,  2214,     0,     0,   690,     0,  2023,  1472,     0,     0,
       0,     0,   604,  1087,     0,     0,  1473,     0,     0,     0,
       0,     0,  1698,     0,     0,     0,     0,     0,  1474,     0,
     962,     0,     0,  2215,     0,     0,     0,     0,     0,   694,
       0,     0,     0,     0,     0,  2024,   695,     0,     0,   696,
       0,     0,     0,     0,     0,     0,   604,     0,     0,  2025,
       0,     0,  2026,     0,     0,     0,  2222,     0,   697,  1476,
    1477,     0,     0,     0,     0,   964,     0,     0,     0,     0,
       0,   699,     0,     0,   965,     0,     0,     0,   701,  1038,
       0,     0,     0,     0,     0,  1087,  2216,     0,  1087,  2223,
       0,     0,     0,  2217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   604,     0,     0,     0,  2482,     0,     0,
       0,     0,     0,     0,     0,  2499,     0,     0,     0,   706,
       0,     0,     0,     0,     0,     0,     0,  2403,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1317,  2027,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   744,     0,   744,     0,  1479,     0,     0,
       0,   744,  1157,  1158,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2580,     0,  1087,     0,   876,     0,     0,
       0,     0,     0,     0,     0,   876,     0,  1317,     0,   604,
       0,  1087,   604,     0,   604,   604,  1087,     0,     0,     0,
    2403,     0,     0,     0,  1317,   604,     0,     0,     0,  2028,
     604,     0,  2029,  2030,  2031,     0,  2032,  2033,  2034,  2035,
    2036,  2037,     0,     0,     0,     0,     0,     0,     0,  3480,
       0,     0,     0,     0,   604,   604,   604,     0,     0,   604,
       0,     0,     0,     0,     0,     0,     0,   604,   604,   604,
     604,     0,     0,     0,     0,  1698,     0,     0,     0,     0,
     604,  1698,     0,   604,     0,   604,     0,     0,  3150,     0,
       0,     0,     0,     0,     0,   744,   604,   604,     0,     0,
     604,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     604,     0,   604,  3181,   604,  3181,     0,  3181,  3181,     0,
       0,     0,  3181,  3181,  3181,     0,  3181,  3181,  3181,     0,
       0,     0,     0,     0,   604,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   604,     0,  2009,  1073,     0,
    2010,     0,     0,   876,  2011,  2012,  2013,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   604,
       0,  2014,     0,     0,  1073,     0,     0,     0,     0,  2016,
       0,     0,  3256,     0,   604,     0,  2017,     0,     0,     0,
       0,     0,  2009,     0,     0,  2010,     0,     0,   604,  2011,
    2012,  2013,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2018,     0,     0,  3287,  1830,  2014,  1087,     0,     0,
    1087,     0,  1087,     0,  2016,     0,     0,  1087,     0,     0,
       0,  2017,     0,     0,     0,  1848,     0,     0,     0,     0,
       0,     0,   876,   876,     0,  1859,     0,     0,   604,  1862,
       0,     0,     0,  1865,     0,  1867,  2018,     0,     0,     0,
       0,  1875,     0,     0,     0,     0,     0,  1881,     0,   876,
    1884,     0,   876,     0,  2884,  1087,     0,     0,     0,     0,
       0,     0,     0,  1087,     0,     0,     0,     0,     0,     0,
       0,     0,  2900,     0,     0,     0,     0,     0,  2904,     0,
       0,     0,  2907,     0,     0,     0,     0,     0,  1087,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2019,     0,     0,     0,     0,  2020,  2931,     0,
    1461,     0,     0,     0,     0,     0,  1462,     0,     0,     0,
       0,     0,     0,   744,  1698,  1698,  1698,     0,     0,  2021,
    2022,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2973,     0,  2023,     0,     0,  2019,   876,     0,
       0,     0,  2020,     0,     0,     0,     0,  1087,  1464,  1087,
       0,     0,   996,     0,     0,     0,     0,   876,     0,     0,
       0,     0,     0,     0,  2021,  2022,     0,     0,     0,     0,
       0,     0,     0,  2024,     0,     0,   876,     0,     0,  2023,
       0,     0,     0,     0,  3023,     0,     0,  2025,     0,     0,
    2026,     0,     0,     0,     0,     0,  1710,     0,     0,     0,
       0,     0,  1465,     0,     0,     0,     0,  1719,     0,  1466,
    3051,     0,  1467,     0,     0,     0,  3060,     0,  2024,     0,
       0,     0,  1727,  3066,     0,     0,     0,     0,     0,     0,
     996,     0,  2025,  3080,     0,  2026,     0,     0,  1468,  3085,
    1087,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3098,
       0,     0,   876,     0,     0,  3101,     0,   604,     0,     0,
    3105,     0,  1469,   604,     0,     0,  1038,  2027,     0,     0,
       0,  1087,     0,  3122,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   744,     0,  3147,     0,     0,   744,
     744,     0,     0,     0,     0,     0,     0,   996,  1698,  1087,
       0,     0,     0,   744,     0,   876,     0,   876,     0,     0,
       0,     0,  2027,     0,     0,     0,     0,     0,     0,     0,
     876,     0,   876,     0,     0,  1470,     0,     0,     0,  1471,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1472,
       0,     0,     0,     0,  1698,     0,     0,     0,  1473,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1474,     0,     0,     0,     0,     0,     0,  2028,  1087,     0,
    2029,  2030,  2031,     0,  2032,  2033,  2034,  2035,  2036,  2037,
       0,     0,     0,     0,  2745,  1038,     0,     0,   876,  1087,
       0,     0,     0,     0,     0,   744,  1431,     0,  2299,     0,
       0,  1476,  1477,  1087,     0,   744,     0,  1941,     0,     0,
       0,     0,  2028,     0,     0,  2029,  2030,  2031,     0,  2032,
    2033,  2034,  2035,  2036,  2037,     0,     0,     0,     0,  3788,
    1432,  2300,     0,     0,     0,     0,     0,  2009,     0,     0,
    2010,     0,     0,   876,  2011,  2012,  2013,     0,     0,  1157,
    1158,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     876,  2014,     0,  3675,     0,     0,     0,     0,     0,  2016,
       0,     0,     0,     0,     0,     0,  2017,     0,     0,     0,
       0,     0,   876,     0,     0,   876,     0,     0,     0,     0,
    1433,     0,   744,     0,     0,   744,   744,     0,     0,  1479,
       0,  2018,   604,     0,     0,  1087,     0,     0,     0,     0,
       0,   604,     0,     0,     0,     0,     0,  3714,     0,   604,
       0,   604,     0,     0,   604,  1434,     0,     0,  1087,   604,
     604,   604,   604,  3374,     0,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,     0,     0,     0,   604,   604,
       0,  3388,     0,  1087,     0,     0,     0,     0,   604,  3374,
       0,  1435,   604,     0,  1698,     0,   604,     0,     0,     0,
       0,     0,     0,     0,   604,     0,     0,   604,     0,   604,
       0,     0,     0,     0,     0,  3754,     0,     0,     0,  1087,
       0,   604,     0,     0,   604,   604,     0,  1436,     0,   604,
     604,  1437,     0,     0,     0,     0,   604,     0,     0,     0,
       0,     0,  2019,     0,     0,     0,   604,  2020,     0,   604,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3181,   604,  1438,  1439,     0,     0,     0,     0,     0,  2021,
    2022,  1461,  3785,  3785,     0,     0,     0,  1462,     0,     0,
       0,     0,  3801,     0,  2023,     0,     0,   604,  1038,     0,
    1038,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,   604,    35,   744,     0,     0,  1441,  1087,
       0,     0,     0,     0,     0,     0,     0,  1442,     0,  1464,
       0,   604,     0,  2024,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,  3857,  2025,     0,     0,
    2026,     0,   876,     0,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,  2306,     0,     0,  1447,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3892,  1038,     0,  1465,     0,     0,     0,     0,     0,     0,
    1466,     0,     0,  1467,     0,  2582,     0,     0,     0,     0,
       0,     0,  1698,  2589,     0,     0,     0,  1698,  1087,  1698,
       0,     0,     0,     0,     0,     0,     0,     0,  2556,  1468,
       0,     0,  1448,     0,     0,     0,     0,     0,  2564,     0,
    2565,     0,  1698,  1087,     0,     0,  2569,  2027,     0,     0,
       0,     0,     0,  2575,     0,     0,     0,     0,     0,     0,
       0,     0,  1698,  1469,  2009,     0,     0,  2010,     0,     0,
       0,  2011,  2012,  2013,     0,     0,     0,     0,   876,     0,
       0,   876,     0,  3612,     0,     0,     0,     0,  2014,     0,
       0,     0,     0,     0,     0,     0,  2016,     0,     0,     0,
       0,     0,     0,  2017,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1567,     0,  2018,     0,
    1471,     0,     0,     0,     0,     0,     0,     0,     0,  1431,
    1472,     0,     0,     0,     0,     0,   604,  2028,     0,  1473,
    2029,  2030,  2031,     0,  2032,  2033,  2034,  2035,  2036,  2037,
       0,  1474,     0,     0,  3968,     0,     0,     0,     0,     0,
       0,   876,   876,  1432,     0,  1087,  4022,     0,     0,     0,
       0,   876,  3682,  2692,  2693,     0,     0,  2432,   604,     0,
    2707,  2708,     0,     0,     0,     0,     0,     0,  2443,  2983,
     876,     0,  1476,  1477,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2462,     0,     0,     0,  2747,
       0,     0,     0,  1087,     0,     0,     0,  1087,   604,   604,
       0,     0,  1478,  1433,     0,     0,  2828,     0,     0,  2019,
       0,     0,     0,     0,  2020,     0,     0,     0,  2009,     0,
       0,  2010,     0,     0,     0,  2011,  2012,  2013,     0,     0,
       0,     0,     0,     0,     0,     0,  2021,  2022,  1434,     0,
       0,  2543,  2014,     0,     0,     0,     0,   876,     0,     0,
    2016,  2023,     0,     0,  2551,     0,     0,  2017,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1073,     0,     0,
    1479,     0,     0,   604,  1435,     0,  3767,  1431,     0,  2566,
       0,     0,  2018,     0,     0,   604,     0,     0,     0,     0,
    2024,     0,     0,     0,     0,     0,     0,     0,  2858,  2858,
       0,     0,     0,     0,  2025,     0,     0,  2026,     0,     0,
    1436,  1432,     0,     0,  1437,   604,     0,     0,   604,     0,
       0,     0,     0,  2595,  1073,     0,   604,   604,     0,  1087,
       0,     0,     0,   604,   604,     0,     0,     0,   604,  1087,
       0,  3801,     0,     0,   604,  1502,  1439,   604,   604,     0,
       0,     0,   604,     0,     0,     0,     0,     0,   604,     0,
     744,     0,     0,     0,     0,     0,  4225,     0,     0,     0,
     604,  1433,     0,     0,  4234,     0,     0,  4235,   604,  4236,
       0,     0,   604,  1503,     0,     0,     0,    35,     0,     0,
       0,  1441,     0,  2019,  2027,     0,     0,     0,  2020,     0,
    1442,     0,     0,     0,     0,     0,  1434,     0,  1443,     0,
       0,     0,   604,     0,     0,     0,  1504,     0,     0,     0,
    2021,  2022,  4277,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,  2023,     0,  1446,  3181,   604,
       0,  1447,  1435,  3181,  2990,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1087,     0,     0,
    2749,     0,     0,     0,     0,     0,     0,  2403,     0,     0,
     876,     0,     0,     0,  2024,  1698,     0,     0,  1436,     0,
       0,     0,  1437,     0,  3936,     0,     0,     0,  2025,     0,
       0,  2026,     0,  1087,  2028,  1448,     0,  2029,  2030,  2031,
       0,  2032,  2033,  2034,  2035,  2036,  2037,     0,     0,  3952,
     876,  4021,     0,  1519,  1439,  1087,     0,     0,     0,     0,
       0,     0,   876,     0,     0,   744,     0,     0,     0,     0,
       0,     0,     0,   744,     0,     0,   744,     0,   604,     0,
       0,     0,     0,  4382,     0,     0,  3801,     0,   744,     0,
       0,  1520,   876,     0,     0,    35,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,  1443,     0,  2027,     0,
       0,     0,     0,  1087,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,  1446,     0,     0,     0,  1447,
     604,     0,     0,     0,     0,  4423,  4423,  4423,  4423,     0,
    4423,  4423,  4423,  4423,  4423,     0,   604,     0,     0,     0,
    2009,     0,     0,  2010,     0,     0,     0,  2011,  2012,  2013,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   876,
       0,     0,     0,     0,  2014,     0,   604,     0,  1461,     0,
       0,  2947,  2016,  1448,  1462,     0,     0,  2955,     0,  2017,
       0,     0,  3313,     0,     0,     0,     0,     0,  2028,     0,
    3322,  2029,  2030,  2031,     0,  2032,  2033,  2034,  2035,  2036,
    2037,     0,     0,     0,  2018,  4129,     0,     0,     0,     0,
    3341,  1087,     0,  1087,     0,     0,  1464,     0,  2988,     0,
    3347,     0,     0,  3348,     0,  3349,  3350,     0,     0,  3352,
       0,     0,     0,  3355,     0,  3356,     0,     0,  3358,   876,
       0,     0,     0,     0,     0,     0,  4153,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   604,
    3328,  3330,  4513,  1087,  4515,     0,  3338,     0,     0,     0,
    1465,     0,     0,     0,     0,     0,     0,  1466,     0,     0,
    1467,     0,     0,     0,     0,     0,     0,     0,   604,   604,
       0,     0,   604,     0,     0,     0,     0,     0,     0,     0,
       0,  3397,     0,     0,     0,     0,  1468,   604,     0,     0,
       0,     0,     0,     0,   604,  2019,     0,     0,     0,   604,
    2020,     0,   604,   604,     0,   744,     0,     0,     0,   604,
     604,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1469,     0,  2021,  2022,     0,   604,     0,   604,     0,     0,
       0,     0,   876,     0,   876,     0,     0,  2023,   604,     0,
       0,     0,  4257,     0,     0,  4260,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2009,     0,     0,  2010,     0,     0,
       0,  2011,  2012,  2013,     0,     0,  2024,     0,     0,     0,
    1087,   876,     0,  1567,     0,     0,     0,  1471,  2014,     0,
    2025,   604,     0,  2026,  3206,     0,  2016,  1472,     0,     0,
       0,     0,     0,  2017,     0,     0,  1473,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1474,     0,
       0,     0,     0,     0,  4619,  4620,     0,     0,  2018,     0,
    1698,     0,     0,     0,     0,   604,     0,  3181,     0,  3181,
    3181,  3181,     0,     0,     0,  4342,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3157,  1431,     0,  1476,
    1477,     0,     0,     0,  2403,     0,     0,     0,     0,     0,
       0,     0,   610,     0,     0,     0,     0,     0,   660,   610,
    2027,     0,     0,     0,   712,     0,   610,     0,     0,  3158,
       0,  1432,   610,     0,   763,  3547,     0,   744,     0,     0,
       0,     0,     0,     0,   604,  4679,  1087,     0,     0,     0,
       0,     0,     0,   830,   830,     0,     0,     0,     0,     0,
    3560,  3560,     0,     0,     0,     0,     0,     0,     0,     0,
     604,  1087,     0,   604,     0,   604,     0,     0,     0,  2019,
       0,  3374,  3610,  4706,  2020,     0,     0,     0,     0,     0,
       0,  1433,     0,     0,   604,     0,     0,  1479,     0,     0,
     604,     0,     0,     0,   604,     0,  2021,  2022,     0,     0,
    1087,     0,     0,     0,   604,     0,     0,     0,     0,  4423,
    2028,  2023,     0,  2029,  2030,  2031,  1434,  2032,  2033,  2034,
    2035,  2036,  2037,     0,     0,     0,  3387,  4436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3400,  3659,  1698,  3661,     0,  3405,     0,     0,
    2024,     0,  1435,  1087,     0,     0,     0,     0,  1087,  1087,
       0,     0,     0,   604,  2025,     0,     0,  2026,   604,   604,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1461,   876,     0,   859,     0,     0,  1462,
     863,  4013,  1437,     0,     0,     0,     0,     0,   905,     0,
       0,   907,     0,     0,   912,   913,   604,   916,     0,   919,
       0,     0,   925,   604,   927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1439,     0,     0,     0,     0,     0,
       0,  1464,     0,     0,     0,     0,     0,     0,   604,     0,
       0,     0,     0,   881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2027,   915,     0,     0,     0,     0,
       0,     0,     0,  3801,     0,    35,   934,  2241,     0,  1441,
       0,  4014,     0,  1087,  1087,     0,     0,     0,  1442,     0,
       0,     0,     0,  3751,     0,  1465,  1443,     0,     0,  3758,
       0,     0,  1466,   604,  2242,  1467,   604,     0,     0,   604,
       0,     0,     0,     0,     0,     0,  1445,     0,  3181,     0,
     604,     0,     0,     0,   604,  1446,   604,  4868,   604,  1447,
       0,  1468,     0,     0,     0,   604,     0,     0,     0,     0,
       0,     0,     0,     0,  4589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   604,     0,  4599,     0,     0,     0,
       0,     0,     0,     0,  2028,  1469,     0,  2029,  2030,  2031,
       0,  2032,  2033,  2034,  2035,  2036,  2037,     0,     0,  1698,
       0,   876,     0,  1448,     0,     0,     0,     0,     0,     0,
       0,   869,   878,     0,     0,     0,     0,     0,     0,   869,
       0,   878,   869,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   878,     0,     0,     0,     0,
       0,     0,     0,   744,     0,     0,  3615,     0,  1567,     0,
       0,   604,  1471,     0,  3618,     0,     0,     0,     0,     0,
     604,     0,  1472,     0,     0,     0,     0,  3835,     0,     0,
       0,  1473,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1474,     0,     0,   604,   604,   604,     0,
       0,     0,     0,     0,     0,   604,  1698,     0,     0,  1087,
       0,     0,     0,     0,     0,   604,     0,     0,     0,     0,
       0,     0,     0,     0,   876,  3919,     0,  3921,     0,  3923,
       0,  3628,     0,     0,  1476,  1477,     0,   604,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     876,     0,     0,     0,     0,     0,     0,     0,  3699,     0,
    3701,     0,     0,     0,  3629,     0,  3913,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1038,  3951,     0,
       0,  5047,  1461,     0,     0,     0,     0,     0,  1462,     0,
     604,     0,     0,  3374,     0,     0,   604,     0,     0,     0,
       0,     0,  2009,     0,     0,  2010,   604,     0,     0,  2011,
    2012,  2013,   604,   604,   604,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   604,     0,  2014,     0,     0,     0,
    1464,     0,  1479,     0,  2016,     0,     0,     0,     0,     0,
       0,  2017,     0,     0,     0,   744,     0,     0,   949,     0,
       0,  3752,     0,     0,     0,   876,     0,     0,     0,     0,
     986,     0,     0,     0,   990,     0,  2018,     0,     0,     0,
       0,  1003,  1004,     0,     0,  1010,     0,  1013,  1014,     0,
     604,     0,  1016,     0,  1465,     0,   604,     0,     0,     0,
       0,  1466,  3774,  1035,  1467,     0,     0,   948,     0,     0,
       0,     0,     0,   979,     0,     0,  3374,     0,  3374,     0,
       0,  1048,     0,   604,   604,     0,     0,     0,     0,     0,
    1468,     0,     0,     0,   604,     0,     0,     0,     0,   604,
       0,     0,  1112,     0,  1114,     0,     0,     0,  1698,     0,
       0,     0,     0,     0,  1130,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1469,     0,     0,     0,     0,   604,
       0,     0,     0,     0,  1038,     0,     0,     0,  5188,   604,
    5189,     0,     0,     0,  5194,  5195,   610,  2019,     0,     0,
       0,     0,  2020,     0,     0,     0,     0,   604,     0,  2988,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     604,     0,  1698,     0,  2021,  2022,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1567,     0,  2023,
    1698,  1471,   604,   604,  3908,     0,     0,     0,     0,     0,
       0,  1472,     0,     0,     0,     0,     0,     0,     0,     0,
    1473,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1474,     0,     0,     0,   878,     0,  2024,     0,
       0,   830,   878,     0,     0,     0,     0,     0,  -128,     0,
       0,     0,  2025,     0,     0,   878,     0,     0,     0,     0,
    1310,     0,     0,     0,     0,     0,     0,     0,     1,     0,
    3684,   878,     0,  1476,  1477,     0,  1422,     0,     2,  1333,
       3,     4,     0,     0,     0,   869,   878,     0,     0,     0,
       0,     0,   869,     0,   878,   869,     5,     0,     0,     0,
       0,  1357,   744,  3685,     0,     6,  3967,     0,   878,     0,
       0,     0,     0,     0,     0,     0,     0,     7,   878,     8,
       9,     0,     0,     0,     0,     0,    10,   744,    11,  3977,
       0,     0,     0,     0,   744,     0,     0,     0,     0,    12,
       0,    13,  2027,     0,     0,   744,  1492,     0,     0,  1598,
       0,     0,     0,     0,  4000,     0,     0,     0,    14,     0,
       0,    15,     0,     0,     0,     0,     0,     0,  1709,     0,
       0,  1479,     0,     0,     0,    16,     0,    17,     0,     0,
       0,    18,     0,  1721,     0,  1722,     0,    19,  1038,     0,
    1941,     0,     0,     0,  1725,    20,     0,    21,     0,  1732,
       0,     0,  1736,   878,    22,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,  1158,
      23,     0,     0,     0,     0,     0,     0,   878,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    24,     0,     0,
     878,     0,  2028,     0,  1790,  2029,  2030,  2031,     0,  2032,
    2033,  2034,  2035,  2036,  2037,  1741,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5410,     0,     0,     0,     0,     0,    25,    26,     0,
       0,     0,     0,    27,  1779,  1782,  1783,  4405,     0,     0,
    4407,     0,     0,     0,     0,    28,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   744,  2009,     0,
       0,  2010,     0,    29,     0,  2011,  2012,  2013,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2014,     0,     0,  5410,     0,     0,     0,     0,
    2016,     0,     0,  2009,     0,     0,  2010,  2017,  1700,     0,
    2011,  2012,  2013,  5410,     0,     0,    30,     0,   744,   610,
     869,   610,     0,   610,   869,   610,   869,   610,   610,   610,
      31,     0,  2018,     0,   610,  2016,    32,    33,     0,    34,
       0,     0,  2017,     0,    35,  1936,     0,     0,     0,    36,
       0,     0,    37,     0,     0,     0,     0,     0,     0,    38,
    1949,     0,     0,     0,     0,    39,    40,  2018,     0,     0,
       0,     0,     0,    41,     0,     0,     0,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    43,     0,     0,
    1310,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    44,     0,     0,     0,     0,     0,  1948,     0,
       0,     0,     0,     0,     0,     0,     0,  1310,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,     0,     0,     0,     0,     0,    47,
       0,     0,     0,  2019,    48,     0,     0,     0,  2020,     0,
       0,     0,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   878,  3374,  4554,
    2021,  2022,     0,     0,     0,     0,     0,     0,  2019,     0,
      50,     0,     0,  2020,     0,  2023,  4331,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,  -128,     0,     0,
       0,     0,     0,   878,     0,  2021,  2022,     0,  4579,  4580,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2023,   830,     0,     0,  2024,     0,     0,     0,     0,     0,
       0,   878,     0,     0,     0,     0,     0,     0,  2025,     0,
       0,  2026,   878,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,     0,     0,  2080,     0,   744,   878,  2024,
       0,   744,   878,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4592,  4593,     0,
       0,     0,  4596,  4597,     0,     0,     0,     0,  4622,  4623,
       0,  2135,  2220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2027,     0,
       0,     0,     0,     0,     0,     0,  2009,     0,     0,  2010,
       0,     0,     0,  2011,  2012,  2013,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2014,     0,     0,  2027,     0,     0,     0,     0,  2016,     0,
       0,     0,     0,     0,  2311,  2017,     0,     0,     0,     0,
    1941,   878,     0,  2252,     0,     0,     0,     0,     0,   878,
     878,     0,  2275,     0,     0,     0,     0,     0,     0,     0,
    2018,     0,     0,   878,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4719,     0,  2312,     0,  4721,  4722,  2028,     0,
       0,  2029,  2030,  2031,     0,  2032,  2033,  2034,  2035,  2036,
    2037,     0,  4726,     0,     0,  4474,     0,  2335,     0,     0,
    2338,     0,     0,     0,     0,     0,  1700,     0,     0,     0,
       0,     0,     0,  2028,     0,     0,  2029,  2030,  2031,     0,
    2032,  2033,  2034,  2035,  2036,  2037,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4555,     0,
       0,     0,     0,  2388,     0,     0,     0,     0,     0,     0,
       0,  2019,  2009,     0,     0,  2010,  2020,  2407,     0,  2011,
    2012,  2013,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4578,     0,     0,     0,  2021,  2022,
       0,     0,     0,     0,  2016,     0,     0,     0,     0,     0,
       0,  2017,     0,  2023,     0,     0,  4594,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2018,  2429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2024,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2025,     0,     0,  2026,
       0,     0,     0,  2466,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4621,     0,     0,     0,  2430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   878,   856,   858,     0,     0,   861,     0,
    2535,     0,     0,     0,   744,     0,     0,     0,     0,     0,
       0,  2475,     0,     0,     0,     0,     0,     0,   918,  2552,
       0,     0,     0,     0,     0,   928,     0,  2019,     0,     0,
       0,     0,  2020,     0,     0,     0,  2027,     0,     0,     0,
    2518,     0,     0,     0,     0,     0,     0,  2531,     0,     0,
       0,     0,     0,     0, -2611, -2611,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2023,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2593,     0,  2594,     0,  4711,     0,     0,     0,     0,     0,
    4956,     0,     0,     0,     0,     0,     0,  2603,     0,  2604,
       0,     0,     0,     0,     0,     0,     0,     0, -2611,     0,
       0,     0,     0,   610,     0,   610,     0,   610,     0,   610,
       0,   610,  2025,     0,     0,   610,     0,     0,     0,     0,
       0,     0,     0,  1700,  1941,     0,  2028,     0,     0,  2029,
    2030,  2031,     0,  2032,  2033,  2034,  2035,  2036,  2037,     0,
       0,  2608,     0,  4729,     0,     0,     0,   878,     0,     0,
    5001,     0,     0,     0,     0,   878,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   878,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1310,  1310,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2659,     0,
       0,     0,  2027,  5038,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   869,
     869,     0,   878,   878,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   869,     0,   878,   869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   744,   878,
     878,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   878,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2814,     0,
       0,     0,  2028,     0,     0,  2029,  2030,  2031,  2820,  2032,
    2033,  2034,  2035,  2036,  2037,   869,     0,     0,   869,   869,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1357,     0,     0,
       0,     0,     0,     0,     0,     0,  2885,  2886,  1357,  1357,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2901,  2902,     0,     0,     0,
    2905,  2906,     0,     0,  2908,  2909,     0,     0,     0,     0,
       0,     0,  1310,     0,     0,     0,     0,     0,     0,  2920,
       0,     0,     0,     0,     0,     0,  2929,     0,     0,     0,
    2932,  2933,     0,     0,  2936,  2937,     0,     0,  1700,     0,
       0,  2942,  1941,     0,     0,     0,   981,     0,   984,     0,
       0,     0,   987,  2957,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2974,  1012,     0,     0,     0,
    2976,     0,     0,  1017,     0,  5182,     0,     0,     0,     0,
       0,  3752,     0,     0,     0,  2982,   877,     0,     0,     0,
       0,     0,     0,     0,  2989,   877,     0,  2993,     0,  2995,
    2998,  3000,     0,     0,     0,     0,  3008,  3011,   878,   877,
       0,     0,     0,     0,     0,     0,  3024,     0,     0,     0,
       0,  3033,     0,     0,     0,  3036,     0,     0,     0,     0,
       0,     0,     0,     0,  1941,     0,     0,  3046,  3047,  1941,
    1941,     0,  3052,     0,     0,  2992,     0,     0,  3061,  3062,
       0,     0,     0,     0,     0,  3067,     0,     0,  3069,     0,
    3014,     0,     0,     0,   878,  3081,  3082,     0,     0,  2009,
       0,  3086,  2010,     0,     0,     0,  2011,  2012,  2013,     0,
       0,  3041,   878,  3093,     0,     0,  3096,  1700,   878,     0,
       0,  3099,   878,  2014,     0,     0,     0,  3102,  3103,     0,
     878,  2016,     0,  3107,     0,     0,  3111,     0,  2017,     0,
    3118,  3119,  3120,  3121,     0,  3123,     0,     0,   878,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3148,  3149,
       0,  3151,     0,  2018,     0,   869,     0,   869,   869,     0,
       0,     0,  3160,  3161,  3162,     0,     0,     0,     0,     0,
       0,     0,   878,  5354,     0,  5115,     0,  3116,  3117,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   878,   878,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3214,     0,
       0,     0,     0,  1700,   878,     0,  3238,  1700,     0,     0,
       0,     0,  1493,  1494,     0,     0,  2009,     0,     0,  2010,
       0,     0,     0,  2011,  2012,  2013,  3251,     0,     0,     0,
     878,     0,  1700,     0,     0,     0,   878,     0,     0,     0,
    2014,     0,     0,   878,  2019,     0,     0,     0,  2016,  2020,
     878,     0,     0,   878,     0,  2017,     0,  3240,     0,   878,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2021,  2022,     0,     0,     0,     0,  1708,  3309,   878,
    2018,     0,     0,     0,     0,   878,  2023,     0,     0,     0,
     878,     0,  1720,  1700,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   878,     0,     0,     0,     0,     0,     0,
       0,     0,  5409,     0,     0,     0,   878,     0,  3344,     0,
    3346,  1700,     0,  1743,  1744,  2024,     0,   878,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2025,
       0,     0,  2026,     0,     0,     0,     0,     0,  2009,  1785,
    5261,  2010,     0,     0,     0,  2011,  2012,  2013,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2014,     0,     0,     0,  5409,     0,     0,     0,
    2016,     0,     0,     0,     0,     0,  1700,  2017,     0,     0,
       0,  2019,     0,     0,  5409,     0,  2020,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2018,  3407,     0,     0,     0,     0,  2021,  2022,
     877,     0,     0,  1854,  1856,     0,   877,     0,     0,  2027,
       0,     0,     0,  2023,     0,     0,     0,     0,     0,   877,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   877,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     877,     0,  2024,     0,     0,     0,     0,     0,   877,     0,
       0,     0,     0,     0,     0,     0,  2025,     0,     0,  2026,
       0,     0,   877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2019,     0,     0,     0,     0,  2020,  2028,
       0,     0,  2029,  2030,  2031,     0,  2032,  2033,  2034,  2035,
    2036,  2037,     0,     0,     0,     0,  4739,     0,     0,     0,
    2021,  2022,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   878,     0,  2023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2027,     0,     0,     0,
       0,   878,     0,     0,     0,     0,     0,   877,     0,   878,
       0,     0,  3523,     0,     0,     0,   869,     0,   869,   869,
       0,     0,     0,     0,  2024,     0,     0,     0,     0,     0,
       0,   877,     0,     0,     0,  1357,     0,     0,  2025,     0,
       0,  2026,     0,     0,   877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3601,     0,     0,     0,  1700,
       0,     0,     0,     0,     0,  1700,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3613,  2028,     0,     0,  2029,
    2030,  2031,     0,  2032,  2033,  2034,  2035,  2036,  2037,     0,
       0,     0,  3620,  4748,     0,     0,  3620,     0,     0,     0,
       0,  3631,  3632,  3633,     0,     0,     0,     0,  2027,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2009,
       0,     0,  2010,     0,     0,     0,  2011,  2012,  2013,     0,
       0,     0,  1699,     0,     0,     0,     0,  3662,  3663,  3664,
    3665,     0,     0,  2014,     0,     0,     0,   878,     0,     0,
       0,  2016,     0,     0,     0,     0,     0,     0,  2017,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2240,     0,     0,  3683,     0,  3687,  3688,  3689,     0,
       0,     0,     0,  2018,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2279,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2028,     0,
       0,  2029,  2030,  2031,     0,  2032,  2033,  2034,  2035,  2036,
    2037,     0,     0,     0,     0,  4751,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   878,   878,     0,  3705,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   878,     0,     0,   878,     0,     0,     0,
       0,     0,     0,  2361,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3762,
       0,   877,     0,     0,  2019,     0,     0,     0,  3768,  2020,
    2384,  2385,  2386,  2387,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2021,  2022,  3778,  3779,     0,     0,   877,  3780,     0,
       0,     0,     0,     0,     0,     0,  2023,     0,  1700,  1700,
    1700,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3823,     0,     0,     0,   877,     0,     0,     0,     0,
       0,     0,   878,     0,     0,     0,   877,     0,     0,     0,
       0,     0,     0,     0,     0,  2024,     0,     0,     0,     0,
       0,   878,   877,     0,     0,     0,   877,     0,     0,  2025,
       0,     0,  2026,     0,     0,     0,     0,     0,     0,     0,
     878,     0,     0,  3860,     0,  3826,  3827,  3828,  3866,     0,
       0,     0,     0,     0,  3872,     0,     0,     0,     0,     0,
       0,     0,  3837,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2438,  2439,     0,
       0,     0,  3905,     0,     0,  3853,     0,     0,     0,     0,
       0,     0,     0,  2456,     0,  3863,  3865,     0,     0,     0,
    3870,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2027,
       0,     0,     0,     0,     0,  3924,   878,  3925,  2501,  2502,
    2503,  2504,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   877,     0,     0,     0,     0,
       0,     0,  2009,   877,   877,  2010,     0,     0,     0,  2011,
    2012,  2013,     0,     0,     0,     0,  3948,   877,     0,     0,
       0,     0,  1700,     0,     0,     0,  2014,     0,     0,   878,
       0,   878,     0,     0,  2016,     0,     0,     0,     0,     0,
       0,  2017,     0,     0,   878,     0,   878,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3947,     0,  2018,  1310,  1700,  2028,
    1699,     0,  2029,  2030,  2031,     0,  2032,  2033,  2034,  2035,
    2036,  2037,     0,     0,     0,     0,  4798,     0,     0,     0,
       0,     0,     0,     0,  2601,     0,     0,     0,     0,     0,
    2605,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   878,     0,     0,     0,     0,     0,     0,     0,
       0,  2009,     0,     0,  2010,     0,     0,     0,  2011,  2012,
    2013,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2014,     0,     0,     0,     0,
       0,     0,     0,  2016,     0,     0,     0,     0,     0,     0,
    2017,     0,     0,     0,     0,     0,     0,   878,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2019,     0,     0,
       0,     0,  2020,     0,   878,  2018,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4054,  4055,  4056,
       0,     0,     0,     0,  2021,  2022,   878,     0,     0,   878,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2023,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4139,     0,  2759,  4146,     0,  4147,     0,     0,     0,     0,
       0,     0,     0,     0,  2009,     0,     0,  2010,  4154,     0,
       0,  2011,  2012,  2013,     0,     0,     0,     0,  2024,     0,
    4160,     0,     0,     0,  4163,     0,     0,   877,  2014,     0,
       0,     0,  2025,     0,     0,  2026,  2016,     0,     0,     0,
       0,     0,  4185,  2017,     0,     0,     0,     0,  1700,     0,
       0,     0,     0,     0,     0,     0,  2019,     0,     0,     0,
    4189,  2020,     0,     0,     0,  4193,     0,     0,  2018,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2021,  2022,     0,     0,     0,     0,     0,
    4228,     0,     0,     0,  4232,     0,     0,     0,  2023,     0,
       0,     0,  4237,  4238,  4239,  4240,     0,     0,     0,     0,
       0,  4245,  4246,  4247,  4248,     0,     0,     0,  4250,  4251,
       0,     0,  2027,     0,  4258,  4259,     0,  4261,  4262,  4263,
    4264,  4265,  4266,  4267,     0,     0,     0,  2024,     0,     0,
       0,     0,     0,  4276,     0,     0,     0,  4279,  4280,  4281,
    4282,  2025,     0,     0,  2026,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1699,     0,     0,
       0,  3620,     0,     0,     0,     0,     0,     0,     0,  2019,
       0,     0,     0,     0,  2020,     0,     0,     0,     0,     0,
    4303,   877,  2956,     0,     0,     0,   878,     0,     0,   877,
       0,     0,     0,     0,     0,     0,  2021,  2022,     0,     0,
       0,   877,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2023,  2028,     0,     0,  2029,  2030,  2031,     0,  2032,
    2033,  2034,  2035,  2036,  2037,     0,  4300,     0,     0,  4833,
       0,  2027,     0,     0,     0,     0,  1700,  4313,     0,     0,
       0,  1700,     0,  1700,     0,     0,     0,     0,     0,     0,
    2024,     0,     0,     0,     0,     0,  4383,     0,     0,     0,
       0,     0,     0,     0,  2025,     0,  1700,  2026,  4344,     0,
       0,     0,     0,     0,     0,     0,   877,   877,     0,     0,
    3620,     0,     0,     0,     0,     0,  1700,     0,     0,     0,
     877,     0,     0,     0,  4403,     0,  4404,     0,     0,     0,
       0,  2531,   878,   877,   877,   878,     0,     0,     0,     0,
       0,     0,  3092,     0,     0,  3095,  4417,   877,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2028,     0,     0,  2029,  2030,  2031,     0,  2032,  2033,
    2034,  2035,  2036,  2037,     0,     0,     0,     0,  4875,     0,
       0,  2608,     0,     0,  2027,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   878,   878,     0,  3185,     0,
       0,     0,     0,     0,     0,   878,     0,     0,     0,     0,
       0,  3198,     0,     0,     0,     0,     0,     0,     0,  3207,
       0,     0,     0,     0,   878,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1699,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2028,     0,     0,  2029,  2030,  2031,
    3253,  2032,  2033,  2034,  2035,  2036,  2037,     0,     0,     0,
       0,  5176,     0,  4481,  4482,  4483,  4484,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3276,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   878,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4556,  4557,  4558,     0,     0,     0,  4559,
    4560,  4561,  4562,     0,     0,     0,  4564,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3343,     0,  3345,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   877,     0,
    4584,  4585,  4586,  4587,  4588,     0,  4590,  4591,     0,     0,
       0,     0,     0,     0,     0,     0,   877,     0,  4600,  4601,
       0,  1699,   877,     0,     0,     0,   877,     0,     0,     0,
       0,     0,     0,     0,   877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4606,     0,
       0,  1086,   877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3399,     0,     0,     0,     0,
       0,     0,  3406,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,     0,   877,     0,     0,     0,
       0,  2009,     0,     0,  2010,     0,     0,     0,  2011,  2012,
    2013,     0,     0,     0,     0,     0,   877,   877,     0,     0,
       0,     0,     0,     0,     0,  2014,     0,     0,     0,     0,
       0,     0,     0,  2016,     0,     0,     0,     0,  1286,  1286,
    2017,     0,     0,     0,     0,     0,     0,  1699,   877,     0,
       0,  1699,     0,     0,     0,     0,     0,     0,     0,     0,
    4670,     0,     0,     0,   878,  2018,     0,     0,     0,  1700,
       0,     0,     0,     0,   877,     0,  1699,     0,     0,     0,
     877,     0,     0,     0,     0,     0,     0,   877,     0,     0,
       0,     0,     0,  2009,   877,     0,  2010,   877,     0,     0,
    2011,  2012,  2013,   877,   878,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   878,  2014,     0,     0,
    4723,     0,     0,   877,     0,  2016,     0,     0,     0,   877,
       0,     0,  2017,     0,   877,     0,     0,  1699,     0,     0,
       0,     0,     0,     0,     0,     0,   878,   877,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2018,     0,  4713,
     877,     0,     0,     0,     0,  1699,     0,     0,     0,     0,
       0,   877,     0,     0,     0,     0,  2019,     0,     0,     0,
       0,  2020,     0,     0,     0,     0,     0,  1611,  1615,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2021,  2022,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2023,     0,
       0,     0,     0,     0,     0,     0,  1614,     0,     0,     0,
    1699,     0,     0,   610,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,   878,     0,     0,     0,     0,     0,     0,
    1086,     0,     0,  3616,  3617,     0,     0,  2024,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,  2019,     0,
       0,  2025,     0,  2020,  2026,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2021,  2022,  4822,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2023,     0,     0,     0,     0,     0,  4832,     0,     0,     0,
       0,  4837,  4838,   878,     0,     0,     0,     0,     0,     0,
       0,  4849,     0,     0,     0,     0,     0,     0,  4851,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2024,
    1086,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2027,     0,  2025,     0,     0,  2026,     0,     0,     0,
       0,     0,     0,     0,  4901,  4902,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4918,     0,  4920,     0,     0,     0,
       0,     0,  4873,     0,     0,     0,     0,   877,     0,     0,
       0,  4934,     0,     0,     0,     0,     0,  4886,     0,     0,
       0,     0,  1310,     0,     0,   877,     0,     0,     0,     0,
       0,  3620,     0,   877,     0,     0,   878,     0,   878,  4955,
       0,     0,     0,  2009,     0,     0,  2010,     0,  4923,     0,
    2011,  2012,  2013,  2027,     0,  1965,     0,     0,     0,     0,
    1086,  2028,     0,     0,  2029,  2030,  2031,  2014,  2032,  2033,
    2034,  2035,  2036,  2037,     0,  2016,     0,     0,  5199,     0,
       0,     0,  2017,     0,     0,   878,  1980,     0,  3775,     0,
       0,     0,     0,     0,     0,   869,     0,     0,     0,     0,
       0,     0,     0,  1699,  4994,     0,     0,  2018,     0,  1699,
       0,     0,     0,     0,  1998,  1999,  2000,     0,  2002,     0,
       0,     0,     0,     0,     0,  5011,     0,     0,     0,     0,
       0,     0,     0,     0,  1700,     0,     0,  5019,  2044,   869,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2028,     0,     0,  2029,  2030,  2031,     0,
    2032,  2033,  2034,  2035,  2036,  2037,     0,     0,     0,  5007,
    5304,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   877,  2009,     0,     0,  2010,     0,     0,     0,  2011,
    2012,  2013,  5078,     0,     0,     0,  2102,     0,     0,     0,
    2114,  2119,     0,     0,     0,     0,  2014,     0,  2019,     0,
       0,     0,     0,  2020,  2016,     0,     0,     0,     0,     0,
       0,  2017,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2021,  2022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2018,     0,     0,     0,
    2023,  3927,  1085,     0,     0,  2009,  3620,     0,  2010,  5085,
    2158,     0,  2011,  2012,  2013,     0,     0,     0,     0,     0,
     877,   877,     0,     0,     0,     0,     0,     0,  1085,  2014,
       0,     0,     0,     0,     0,     0,     0,  2016,     0,  2024,
       0,     0,     0,     0,  2017,     0,     0,   877,     0,     0,
     877,     0,     0,  2025,     0,     0,  2026,     0,  1700,     0,
       0,     0,     0,     0,     0,     0,  5164,     0,     0,  2018,
       0,     0,     0,     0,     0,     0,     0,  2158,     0,     0,
       0,  5177,     0,     0,   878,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   878,     0,
       0,     0,     0,     0,     0,     0,     0,  2019,     0,     0,
       0,     0,  2020,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,  1699,  1699,  1699,  5206,     0,     0,     0,     0,
       0,     0,     0,     0,  2021,  2022,     0,     0,     0,     0,
    5217,     0,     0,  2027,     0,     0,   877,     0,     0,  2023,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   877,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2019,     0,     0,     0,   877,  2020,     0,     0,  2024,  1611,
    1611,  1611,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2025,     0,     0,  2026,     0,  2021,  2022,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5278,  2023,     0,     0,     0,     0,     0,  1614,  1614,
    1614,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2028,     0,     0,  2029,  2030,  2031,     0,
    2032,  2033,  2034,  2035,  2036,  2037,     0,     0,     0,     0,
    5373,  2024,     0,     0,     0,  5300,     0,     0,     0,     0,
     877,     0,     0,     0,     0,  2025,     0,     0,  2026,     0,
    1085,     0,     0,  1700,     0,   878,     0,     0,     0,     0,
       0,  1085,  2027,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1085,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1699,     0,     0,     0,
       0,     0,     0,   877,     0,   877,     0,     0,     0,     0,
    1086,     0,     0,     0,     0,     0,     0,     0,   877,     0,
     877,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5366,     0,     0,     0,     0,  1086,     0,
       0,     0,  1699,     0,     0,  2027,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1700,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1085,  2028,     0,     0,  2029,  2030,  2031,   878,  2032,
    2033,  2034,  2035,  2036,  2037,     0,   877,     0,     0,  5429,
       0,   869,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   878,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,  4299,     0,     0,     0,     0,     0,
    1086,     0,     0,     0,     0,     0,     0,     0,     0,  4302,
       0,     0,  1086,     0,     0,  1076,     0,     0,     0,     0,
       0,   877,     0,     0,     0,  2028,     0,     0,  2029,  2030,
    2031,     0,  2032,  2033,  2034,  2035,  2036,  2037,   877,     0,
       0,  1076,  5443,     0,     0,     0,   869,   869,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,  1086,     0,     0,
     877,  1085,     0,   877,     0,     0,     0,     0,     0,     0,
       0,  2009,     0,     0,  2010,     0,     0,     0,  2011,  2012,
    2013,     0,     0,     0,     0,     0,     0,     0,     0,   878,
       0,     0,     0,     0,     0,  2014,     0,     0,     0,     0,
       0,     0,     0,  2016,     0,     0,     0,     0,     0,     0,
    2017,  2689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2709,     0,  2710,     0,  2712,     0,     0,
    2724,  2727,  2732,     0,     0,  2018,     0,  2738,     0,     0,
    2743,     0,  1699,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2750,  2751,  2752,  2753,     0,
       0,     0,     0,  2760,     0,     0,     0,  2778,     0,     0,
    2780,     0,  1700,  2787,  2788,  2789,  2790,  2791,  2792,  2793,
    2794,  2795,     0,  2796,     0,     0,     0,     0,     0,     0,
    1286,     0,  1611,  1086,  2009,     0,     0,  2010,     0,     0,
       0,  2011,  2012,  2013,     0,  2065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2014,     0,
       0,     0,  2841,     0,     0,     0,  2016,     0,     0,     0,
       0,  1614,     0,  2017,     0,  2833,  1700,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2019,     0,     0,     0,
       0,  2020,     0,     0,  1700,     0,   869,   869,  2018,  1999,
    2000,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1085,     0,  2021,  2022,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2023,     0,
     877,     0,     0,  1076,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1076,     0,     0,  2842,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1076,
       0,     0,     0,     0,     0,     0,     0,  2024,     0,     0,
       0,  2889,     0,     0,     0,  2158,  2895,     0,  1085,     0,
    1699,  2025,  2934,     0,  2026,  1699,     0,  1699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2019,
    1699,     0,     0,     0,  2020,     0,     0,     0,     0,  1085,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1699,     0,     0,     0,  1086,     0,  2021,  2022,     0,     0,
    1086,     0,     0,     0,  1076,     0,   877,     0,     0,   877,
       0,  2023,  1085,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2027,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
    2024,     0,     0,     0,     0,     0,     0,     0,  4614,     0,
       0,     0,     0,     0,  2025,     0,     0,  2026,     0,     0,
       0,     0,     0,  4618,     0,     0,     0,     0,     0,     0,
    2009,     0,     0,  2010,     0,     0,     0,  2011,  2012,  2013,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   877,
     877,     0,     0,     0,  2014,     0,     0,     0,     0,   877,
       0,     0,  2016,     0,  1076,     0,     0,     0,     0,  2017,
       0,     0,     0,     0,     0,     0,     0,     0,   877,     0,
       0,  2028,     0,     0,  2029,  2030,  2031,     0,  2032,  2033,
    2034,  2035,  2036,  2037,  2018,     0,  2427,     0,     0,     0,
       0,     0,     0,  2009,  2027,     0,  2010,     0,     0,     0,
    2011,  2012,  2013,     0,  4684,     0,  3172,  3173,  1611,     0,
       0,     0,  3177,     0,     0,     0,     0,  2014,     0,     0,
       0,     0,     0,     0,     0,  2016,     0,     0,     0,     0,
       0,  1085,  2017,     0,     0,     0,     0,  3205,     0,     0,
       0,     0,  1085,     0,     0,   877,     0,  1614,     0,     0,
       0,     0,     0,     0,  2843,     0,     0,  2018,     0,  1085,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3459,     0,     0,     0,     0,  3460,  1086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2028,  2019,     0,  2029,  2030,  2031,
    2020,  2032,  2033,  2034,  2035,  2036,  2037,     0,     0,     0,
       0,     0,     0,     0,     0,  1085,     0,     0,     0,     0,
       0,     0,  2021,  2022,     0,     0,     0,     0,  1085,     0,
       0,     0,     0,     0,     0,     0,     0,  2023,     0,     0,
       0,  1085,     0,  5334,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1085,     0,     0,     0,     0,     0,  2158,
       0,     0,  2158,     0,  1076,     0,     0,     0,  2019,     0,
       0,     0,     0,  2020,     0,     0,  2024,     0,     0,     0,
       0,     0,     0,     0,     0,  4803,     0,  4804,     0,     0,
    2025,     0,     0,  2026,     0,  2021,  2022,  1085,  1085,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2023,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1076,  2009,     0,     0,  2010,     0,     0,     0,  2011,
    2012,  2013,     0,     0,     0,     0,     0,     0,     0,  2024,
       0,     0,     0,     0,     0,     0,  2014,     0,     0,  3416,
    1078,     0,     0,  2025,  2016,     0,  2026,     0,   877,     0,
    3412,  2017,  1076,  1699,     0,  3418,     0,     0,     0,  1086,
    2027,     0,     0,     0,     0,     0,  1078,     0,  5335,     0,
       0,     0,     0,     0,     0,  1086,  2018,     0,     0,     0,
    1086,  2002,     0,     0,     0,  1076,     0,     0,   877,     0,
       0,     0,  2732,     0,  2732,  2732,     0,     0,     0,     0,
     877,     0,     0,     0,     0,  3478,     0,     0,  3481,     0,
    3483,     0,     0,     0,  1085,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4939,     0,     0,
     877,     0,     0,  2027,  2009,     0,     0,  2010,     0,     0,
       0,  2011,  2012,  2013,     0,  3504,     0,  3507,     0,  3509,
       0,     0,     0,     0,     0,     0,     0,     0,  2014,     0,
    2028,     0,     0,  2029,  2030,  2031,  2016,  2032,  2033,  2034,
    2035,  2036,  2037,  2017,     0,     0,     0,     0,  1461,     0,
       0,     0,     0,     0,  1462,     0,     0,  2019,     0,     0,
       0,  1528,  2020,     0,     0,     0,     0,     0,  2018,     0,
       0,     0,     0,     0,  2102,     0,     0,     0,     0,     0,
    1529,     0,     0,     0,  2021,  2022,     0,     0,     0,  2119,
       0,     0,     0,     0,     0,     0,  1464,   877,     0,  2023,
       0,     0,     0,  2028,     0,     0,  2029,  2030,  2031,     0,
    2032,  2033,  2034,  2035,  2036,  2037,     0,     0,     0,     0,
       0,     0,  1085,     0,     0,     0,  1085,  1085,     0,     0,
    1530,     0,     0,     0,  1076,     0,     0,     0,  2024,  5034,
       0,  5036,     0,     0,     0,  1076,     0,     0,     0,     0,
    1465,     0,  2025,  3599,     0,  2026,     0,  1466,     0,     0,
    1467,  2158,  1076,     0,  2895,     0,  2895,     0,     0,     0,
       0,  2158,     0,     0,     0,     0,     0,   877,     0,  2019,
       0,     0,     0,     0,  2020,  1085,  1468,     0,  1078,     0,
       0,  1085,     0,     0,     0,     0,     0,     0,     0,  1078,
       0,     0,     0,     0,     0,     0,  2021,  2022,     0,     0,
       0,     0,     0,     0,  1078,     0,     0,  1531,  1076,  1086,
    1469,  2023,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,  1076,  1085,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2027,     0,  1076,     0,     0,     0,     0,     0,
       0,     0,  2158,     0,     0,     0,  1076,     0,     0,     0,
    2024,     0,     0,     0,     0,  1532,     0,     0,  1533,     0,
       0,     0,     0,     0,  2025,     0,     0,  2026,     0,     0,
       0,     0,     0,  1534,     0,     0,     0,  1471,     0,     0,
     877,     0,   877,     0,     0,  3432,     0,  1472,     0,  1078,
    1076,  1076,     0,     0,     0,     0,  1473,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1535,  1474,     0,
       0,  1086,     0,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   877,
       0,     0,  2028,     0,     0,  2029,  2030,  2031,     0,  2032,
    2033,  2034,  2035,  2036,  2037,     0,  1536,     0,     0,  1476,
    1477,  1537,     0,     0,  2027,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5213,     0,     0,     0,     0,
       0,     0,     0,  1538,     0,     0,     0,     0,  1699,  1539,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1079,
       0,     0,  1611,  1540,     0,     0,     0,     0,  1611,  1078,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1079,     0,     0,  1085,     0,
       0,     0,     0,     0,     0,     0,     0,  1076,     0,     0,
       0,  1614,     0,     0,     0,     0,     0,  1614,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,  1479,     0,     0,
       0,     0,     0,     0,  2028,     0,     0,  2029,  2030,  2031,
       0,  2032,  2033,  2034,  2035,  2036,  2037,  5284,     0,     0,
       0,     0,     0,  2895,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1085,     0,     0,  1085,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2009,     0,     0,  2010,     0,     0,     0,  2011,  2012,  2013,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,  2014,     0,     0,  3464,     0,     0,
       0,     0,  2016,     0,     0,     0,     0,     0,     0,  2017,
       0,     0,  1699,  2895,  5359,  1076,     0,     0,     0,  1076,
    1076,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,  2018,     0,     0,     0,   877,     0,
       0,     0,     0,     0,     0,     0,  5375,  5375,     0,     0,
       0,     0,   877,     0,     0,     0,     0,     0,     0,  1078,
       0,     0,     0,     0,     0,     0,  2009,     0,     0,  2010,
    1085,     0,     0,  2011,  2012,  2013,     0,     0,  1076,     0,
       0,     0,     0,     0,  1076,     0,  1085,  3965,     0,     0,
    2014,  1085,     0,     0,     0,     0,  3969,     0,  2016,     0,
       0,     0,     0,     0,  3971,  2017,  3972,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1079,     0,     0,
       0,     0,     0,     0,     0,  1076,  1078,     0,  1079,  1086,
    2018,     0,     0,  3996,  3997,     0,     0,     0,     0,     0,
       0,     0,     0,  1079,     0,  2019,     0,     0,     0,  5375,
    2020,  2738,  1086,     0,     0,     0,     0,     0,     0,  4023,
       0,     0,  4026,     0,  4028,     0,     0,  1078,     0,     0,
       0,     0,  2021,  2022,     0,     0,  4033,  1086,     0,     0,
       0,     0,     0,     0,  4040,  4041,     0,  2023,     0,     0,
       0,     0,     0,     0,     0,  1081,     0,     0,     0,     0,
    1078,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,  4087,     0,     0,     0,
       0,  1081,  3469,     0,     0,     0,  2024,     0,  1079,     0,
       0,     0,     0,     0,     0,     0,     0,  1699,     0,   877,
    2025,  2019,  4102,  2026,     0,     0,  2020,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4115,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2021,  2022,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2023,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1085,  2158,     0,  1085,     0,  1085,     0,     0,
       0,     0,  1085,     0,     0,     0,     0,     0,     0,     0,
       0,  1076,  2024,     0,     0,     0,     0,     0,     0,     0,
    2027,     0,     0,     0,  1699,     0,  2025,     0,  1079,  2026,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   877,     0,     0,     0,     0,     0,     0,     0,
    1085,     0,     0,     0,     0,     0,     0,     0,  1085,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   877,  1078,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1078,     0,  2895,  1085,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1076,     0,     0,  1076,  1078,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2895,     0,     0,
       0,     0,     0,     0,     0,     0,  2027,     0,     0,     0,
    2028,     0,     0,  2029,  2030,  2031,     0,  2032,  2033,  2034,
    2035,  2036,  2037,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1085,  1078,  1085,     0,     0,     0,     0,     0,
       0,     0,     0,  1081,     0,     0,  1078,     0,     0,     0,
       0,     0,     0,   877,  1081,     0,     0,     0,     0,  1078,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1081,
       0,  1078,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1076,     0,     0,  2028,     0,     0,  2029,
    2030,  2031,     0,  2032,  2033,  2034,  2035,  2036,  2037,  1076,
       0,     0,     0,     0,  1076,  1078,  1078,     0,  1079,  1086,
       0,     0,     0,  1082,     0,  1085,     0,     0,     0,     0,
       0,     0,     0,  4389,  4390,     0,  1699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1082,
       0,     0,     0,     0,  1081,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1085,  2895,     0,     0,
       0,  2158,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1079,     0,     0,     0,     0,
       0,     0,     0,     0,  1085,     0,     0,     0,     0,     0,
    1699,     0,     0,     0,     0,     0,     0,     0,  4433,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1699,     0,
    4439,     0,     0,     0,     0,     0,  1079,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1078,     0,  1084,     0,     0,     0,     0,  1079,
       0,  4457,  4459,  1085,  1081,     0,     0,     0,  4463,  4464,
       0,     0,     0,  4465,     0,     0,     0,     0,     0,  4468,
    1084,     0,  4471,  4472,  1085,     0,     0,  4476,     0,     0,
       0,     0,     0,  4480,     0,     0,     0,     0,  1085,   672,
       0,     0,     0,  1086,  2670,     0,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1076,     0,     0,  1076,     0,
    1076,     0,     0,     0,     0,  1076,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1286,     0,     0,
       0,     0,   675,  2671,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   676,     0,     0,
       0,     0,     0,     0,  4537,     0,     0,     0,     0,     0,
       0,     0,     0,  1076,     0,   955,     0,     0,     0,     0,
    1078,  1076,     0,     0,  1078,  1078,     0,     0,     0,     0,
    1085,  1082,     0,     0,     0,     0,     0,     0,  2672,     0,
       0,     0,  1082,     0,     0,     0,  1076,     0,     0,   679,
       0,     0,     0,  1085,     0,     0,     0,  1082,   680,     0,
       0,  1086,     0,     0,     0,     0,     0,     0,  1079,     0,
     681,     0,     0,     0,     0,  2673,     0,     0,  1085,  1079,
       0,     0,     0,  1078,     0,     0,     0,     0,     0,  1078,
       0,     0,     0,     0,     0,     0,  1079,  1086,     0,     0,
       0,   958,     0,  4603,  1081,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1085,  1076,     0,  1076,     0,  1086,
       0,     0,     0,     0,     0,     0,  2674,     0,     0,     0,
    1078,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1082,     0,     0,     0,     0,   685,     0,     0,
       0,     0,  1079,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1084,     0,     0,  1079,     0,     0,     0,     0,
       0,  1081,     0,  1084,     0,  4641,     0,     0,  1079,     0,
       0,     0,     0,     0,     0,     0,     0,  1086,  1084,     0,
    1079,     0,     0,     0,     0,     0,     0,     0,  2009,     0,
       0,  2010,     0,     0,  1085,  2011,  2012,  2013,  1076,     0,
       0,     0,  1081,     0,     0,     0,     0,     0,     0,     0,
     205,  2675,  2014,     0,   690,  3475,     0,     0,     0,     0,
    2016,     0,     0,     0,  1079,  1079,     0,  2017,     0,     0,
       0,     0,     0,     0,     0,  1081,     0,     0,     0,  1076,
     962,     0,  1082,  2676,     0,     0,     0,     0,     0,   694,
       0,     0,  2018,     0,     0,     0,   695,     0,     0,   696,
       0,     0,     0,  1084,     0,     0,     0,  1076,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   697,     0,
       0,     0,     0,  1085,     0,   964,     0,     0,     0,     0,
       0,   699,     0,     0,   965,  4710,     0,  1086,   701,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1085,     0,
       0,     0,     0,  2677,     0,     0,  1078,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4745,  4746,     0,  1076,  4747,     0,   706,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1076,     0,     0,
       0,  1079,     0,  2019,     0,     0,     0,     0,  2020,     0,
       0,  1076,     0,  1084,  4782,  4783,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2021,  2022,  4794,     0,     0,     0,     0,     0,  1078,     0,
       0,  1078,     0,     0,     0,  2023,     0,     0,     0,     0,
       0,     0,     0,     0,  1081,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1081,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1085,     0,  1081,     0,  2024,     0,     0,     0,     0,     0,
       0,     0,  1082,     0,     0,     0,     0,     0,  2025,     0,
       0,  2026,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1076,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2895,     0,     0,     0,  1085,     0,
       0,     0,  1085,     0,     0,     0,  1076,     0,  1081,  1079,
       0,     0,     0,  1079,  1079,     0,  2009,     0,     0,  2010,
       0,  1081,     0,  2011,  2012,  2013,     0,     0,  1078,  1082,
       0,  1076,     0,     0,  1081,     0,     0,     0,     0,     0,
    2014,     0,     0,     0,  1078,     0,  1081,     0,  2016,  1078,
       0,     0,     0,     0,     0,  2017,     0,     0,  2027,     0,
       0,     0,     0,     0,     0,     0,     0,  1076,     0,     0,
    1082,     0,  1079,     0,     0,     0,     0,     0,  1079,     0,
    2018,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1081,  1081,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1082,     0,     0,     0,     0,  2738,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1079,
    2895,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1085,  4977,     0,     0,     0,     0,
       0,     0,     0,     0,  1085,  1086,     0,     0,     0,  2002,
       0,     0,     0,     0,     0,     0,     0,  1076,  2028,     0,
    1084,  2029,  2030,  2031,     0,  2032,  2033,  2034,  2035,  2036,
    2037,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,  2019,     0,     0,     0,     0,  2020,     0,     0,     0,
       0,  1084,     0,     0,     0,     0,     0,     0,  5026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2021,  2022,
       0,     0,     0,     0,     0,     0,     0,  1081,     0,     0,
       0,     0,     0,  2023,  1084,     0,     0,  1086,     0,     0,
       0,     0,  1086,  1086,     0,     0,  1076,     0,     0,     0,
       0,  5063,     0,     0,     0,     0,     0,     0,     0,     0,
    1078,     0,  1085,  1078,     0,  1078,     0,     0,     0,     0,
    1078,  1076,  2024,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1082,     0,     0,     0,  2025,     0,     0,  2026,
       0,     0,     0,  1082,     0,     0,     0,     0,  1085,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1082,     0,     0,     0,     0,  1079,     0,     0,  1078,     0,
    1085,     0,     0,     0,     0,     0,  1078,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1078,     0,     0,     0,     0,     0,  4710,  1086,     0,
       0,     0,     0,  4782,     0,  1081,  1082,     0,     0,  1081,
    1081,     0,     0,     0,     0,     0,  2027,     0,     0,  1082,
       0,     0,     0,     0,     0,     0,     0,     0,  1085,  5166,
       0,     0,  1082,     0,     0,     0,     0,  1079,     0,     0,
    1079,     0,     0,  1076,  1082,     0,     0,     0,  3964,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
    1078,     0,  1078,     0,  1084,     0,     0,     0,  1081,     0,
       0,     0,     0,     0,  1081,  2009,     0,     0,  2010,     0,
       0,  1084,  2011,  2012,  2013,     0,     0,     0,  1082,  1082,
       0,  1076,     0,     0,     0,  1076,     0,     0,     0,  2014,
       0,     0,  4020,     0,     0,     0,  5220,  2016,     0,     0,
       0,     0,     0,     0,  2017,  1081,  2028,     0,     0,  2029,
    2030,  2031,     0,  2032,  2033,  2034,  2035,  2036,  2037,     0,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,  2018,
       0,  5248,  5248,  5248,     0,     0,     0,     0,  1085,     0,
    1084,     0,     0,  1078,     0,     0,     0,  1079,     0,     0,
    4782,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1079,     0,  1084,     0,     0,  1079,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1086,  1078,     0,     0,     0,  1085,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1084,
    1084,     0,  1078,     0,     0,  1082,     0,  1076,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1076,     0,     0,
       0,  5309,     0,     0,     0,     0,     0,     0,     0,     0,
    2019,     0,     0,     0,     0,  2020,     0,     0,     0,  5248,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2021,  2022,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1078,  2023,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1081,  1078,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1078,     0,     0,     0,
       0,  2024,     0,     0,     0,  1085,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2025,     0,     0,  2026,     0,
       0,     0,     0,     0,     0,  1076,  1084,     0,     0,     0,
       0,     0,     0,  1082,     0,     0,     0,  1082,  1082,  5401,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1079,
       0,  1076,  1079,  1081,  1079,     0,  1081,     0,     0,  1079,
       0,     0,     0,     0,  5248,     0,     0,     0,     0,     0,
       0,     0,     0,  1076,  5428,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1082,     0,  1078,     0,
       0,     0,  1082,     0,     0,  2027,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1079,     0,     0,
       0,  1078,     0,     0,     0,  1079,     0,     0,     0,     0,
       0,  1085,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1082,     0,     0,  1078,     0,     0,     0,
    1079,  1076,     0,     0,     0,     0,  1085,     0,     0,     0,
       0,     0,     0,     0,  1084,     0,     0,     0,  1084,  1084,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1078,  1081,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1085,     0,     0,     0,  1081,
       0,     0,     0,     0,  1081,  2028,     0,     0,  2029,  2030,
    2031,     0,  2032,  2033,  2034,  2035,  2036,  2037,     0,  1079,
       0,  1079,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,   951,     0,     0,     0,  1085,     0,
       0,     0,     0,  1085,  1085,     0,     0,     0,     0,  2009,
       0,     0,  2010,     0,     0,     0,  2011,  2012,  2013,     0,
       0,  1076,  1078,     0,  1084,     0,     0,     0,     0,   952,
       0,     0,     0,  2014,     0,     0,     0,     0,     0,     0,
       0,  2016,   675,   953,     0,     0,     0,     0,  2017,     0,
       0,     0,     0,   954,     0,     0,     0,   676,     0,     0,
       0,     0,  1079,     0,     0,     0,     0,     0,     0,     0,
       0,  1076,     0,  2018,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1082,
       0,     0,     0,     0,     0,     0,     0,     0,   956,     0,
       0,     0,     0,  1079,     0,     0,     0,     0,     0,   679,
       0,  1078,     0,     0,     0,     0,     0,     0,   680,  1085,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     681,  1079,     0,     0,     0,   957,  1078,     0,     0,  2039,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   958,     0,     0,     0,  1081,     0,     0,  1081,     0,
    1081,  1082,     0,     0,  1082,  1081,     0,     0,     0,     0,
       0,     0,     0,     0,  2019,     0,   959,     0,     0,  2020,
       0,     0,     0,     0,     0,     0,     0,  2039,     0,     0,
    1079,     0,     0,     0,     0,     0,     0,   685,  1076,     0,
       0,  2021,  2022,     0,     0,     0,     0,     0,     0,     0,
    1084,  1079,     0,  1081,     0,     0,  2023,     0,     0,     0,
       0,  1081,     0,     0,     0,  1079,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   960,     0,     0,
       0,     0,     0,     0,     0,     0,  1081,     0,     0,     0,
       0,     0,     0,     0,     0,  2024,     0,     0,  1078,     0,
     688,     0,     0,     0,     0,     0,     0,     0,     0,  2025,
     205,   961,  2026,     0,   690,     0,     0,     0,     0,     0,
       0,  1082,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1084,     0,     0,  1084,     0,  1082,     0,     0,
     962,     0,  1082,   963,  1085,     0,  1078,   693,     0,   694,
    1078,     0,     0,     0,     0,  1081,   695,  1081,     0,   696,
       0,     0,     0,     0,  1076,     0,     0,  1079,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   697,     0,
       0,     0,     0,     0,     0,   964,     0,     0,     0,  1076,
    1079,   699,     0,     0,   965,     0,     0,     0,   701,  2027,
       0,     0,     0,     0,     0,     0,   966,     0,   703,     0,
       0,     0,     0,   967,     0,  1079,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1076,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   706,
       0,     0,     0,     0,     0,     0,     0,     0,  1081,     0,
       0,  1079,  1084,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,  1076,  1078,     0,     0,     0,  1076,  1076,     0,  1081,
       0,     0,  1078,     0,  2039,     0,     0,     0,  2039,  2028,
       0,     0,  2029,  2030,  2031,     0,  2032,  2033,  2034,  2035,
    2036,  2037,     0,     0,     0,     0,     0,  1081,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1079,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1082,     0,     0,  1082,     0,  1082,     0,
       0,     0,     0,  1082,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1081,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1076,     0,     0,     0,     0,  1081,     0,     0,
    1078,  1082,     0,     0,     0,     0,     0,     0,     0,  1082,
       0,  1081,     0,     0,     0,     0,     0,     0,     0,     0,
    1079,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1082,     0,  1078,     0,     0,     0,
       0,     0,     0,     0,     0,  1079,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1078,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1084,     0,     0,  1084,     0,  1084,
       0,     0,     0,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   621,     0,
       0,     0,     0,  1082,     0,  1082,     0,     0,     0,     0,
       0,     0,     0,  1081,     0,   622,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1078,     0,     0,     0,
       0,     0,  1084,     0,     0,     0,  1081,     0,   623,     0,
    1084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   624,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1081,   625,     0,     0,  1084,  -837,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1079,     0,     0,
       0,     0,     0,     0,   626,     0,     0,  1076,     0,     0,
     627,     0,     0,     0,     0,     0,  1082,  1081,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   628,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   629,     0,
       0,     0,     0,     0,     0,  1079,     0,   630,     0,  1079,
       0,     0,     0,     0,  1084,     0,  1084,  1082,  2039,   631,
       0,     0,     0,     0,     0,     0,  1078,   632,     0,     0,
       0,   633,     0,  2039,     0,     0,     0,  2720,     0,     0,
       0,     0,     0,     0,     0,  1082,     0,     0,     0,     0,
   -1032,  2039,  2039,  2039,     0,  2039,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1081,     0,     0,
       0,     0,     0,     0,     0,     0,  1078,     0,     0,     0,
       0,   189,     0,     0,     0,     0,     0,   634,     0,     0,
       0,     0,     0,     0,     0,     0,  -573,  2039,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,  1082,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   190,
       0,     0,     0,     0,     0,  1082,   635,     0,     0,   636,
       0,  1079,     0,     0,   191,     0,     0,     0,  1084,  1082,
       0,  1079,     0,     0,     0,  2039,  1081,     0,     0,   637,
       0,     0,   192,     0,     0,     0,     0,  2039,   193,     0,
       0,     0,  2039,   638,     0,     0,  1084,     0,     0,     0,
    -444,  1081,     0,     0,     0,   194,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   195,     0,     0,   639,
       0,     0,     0,     0,     0,   196,     0,     0,   640,     0,
       0,     0,     0,  1078,     0,  -444,     0,   197,   641,     0,
       0,     0,   198,     0,     0,     0,     0,     0,     0,   199,
       0,     0,     0,     0,     0,     0,     0,   642,     0,     0,
       0,     0,     0,     0,   643,  1084,     0,     0,   200,     0,
    -444,  1082,     0,   644,   645,     0,   646,   647,     0,     0,
       0,     0,     0,     0,     0,     0,  1084,   648,     0,  1079,
       0,  1461,   649,   201,  1082,     0,     0,  1462,     0,   650,
    1084,     0,   651,     0,  1528,   652,     0,     0,     0,     0,
       0,     0,     0,     0,   202,     0,     0,     0,  -444,  1082,
       0,     0,     0,  1529,     0,  1079,     0,     0,     0,     0,
       0,     0,     0,  1081,     0,     0,     0,     0,     0,  1464,
       0,     0,     0,     0,     0,     0,     0,  1079,     0,     0,
       0,     0,     0,     0,   203,  1082,     0,     0,     0,  1078,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1530,     0,     0,     0,   204,     0,     0,
       0,  1081,     0,     0,  1078,  1081,     0,   205,   206,     0,
       0,   207,     0,  1465,     0,     0,     0,     0,     0,     0,
    1466,     0,  1084,  1467,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1079,     0,   208,     0,     0,
     209,     0,     0,  1078,   210,  1084,   211,     0,     0,  1468,
       0,     0,     0,   212,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,  1082,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,   214,     0,     0,     0,     0,
    1531,     0,   215,  1469,     0,     0,     0,   216,   217,     0,
       0,   218,     0,     0,     0,   219,  1078,     0,     0,     0,
       0,  1078,  1078,     0,     0,   220,  1084,     0,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,  1532,     0,
       0,  1533,     0,     0,     0,     0,   223,  1081,     0,     0,
       0,     0,     0,     0,     0,     0,  1534,  1081,     0,     0,
    1471,     0,     0,     0,  1082,  1079,     0,     0,     0,     0,
    1472,     0,     0,     0,     0,     0,     0,     0,     0,  1473,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1082,
    1535,  1474,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,  1079,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1078,     0,  3087,
       0,     0,  1476,  1477,  1537,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1538,     0,     0,     0,
       0,     0,  3088,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1081,  1540,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1084,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1081,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,  1082,     0,     0,     0,     0,     0,     0,     0,     0,
    1479,     0,     0,  1081,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1079,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1082,
       0,     0,     0,  1082,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2039,     0,     0,     0,     0,     0,     0,     0,
       0,  1081,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2039,  2039,     0,  2039,     0,     0,  2720,  2720,
       0,  3455,  1078,  2720,     0,     0,     0,  2039,     0,     0,
    2039,     0,     0,     0,     0,  2039,     0,     0,     0,     0,
       0,  2039,     0,     0,     0,     0,  2039,     0,     0,     0,
       0,     0,  1084,  2039,  2039,  2039,  2039,     0,     0,     0,
    2720,  2720,     0,  2039,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1079,     0,
       0,  2039,     0,  2039,     0,     0,     0,     0,     0,     0,
    2039,  2039,  2039,  2039,  2039,  2039,  2039,  2039,  2039,  2039,
    1084,     0,     0,  1079,  1084,  1082,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1082,     0,     0,     0,     0,
       0,  1081,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,     0,
       0,     0,  1079,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1081,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1079,     0,     0,     0,     0,
    1079,  1079,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1082,     0,     0,  1084,  2039,     0,     0,
       0,     0,     0,     0,     0,     0,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1082,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1082,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1081,     0,
       0,     0,     0,     0,     0,     0,  1079,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1082,
       0,     0,     0,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1084,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1081,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1081,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2039,  2039,     0,     0,  1082,
    2039,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,     0,     0,     0,  1081,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2039,     0,
       0,  1079,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1082,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1081,     0,     0,     0,     0,  1081,  1081,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,     0,  1082,     0,     0,     0,
       0,     0,  1081,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2039,     0,     0,     0,     0,
       0,  2039,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3455,
    3455,     0,     0,  2720,  2720,  2720,  2720,     0,     0,  2720,
    2720,  2720,  2720,  2720,  2720,  2720,  2720,  2720,  2720,  3455,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2039,     0,     0,  2039,     0,  2039,     0,     0,  3455,
    3455,     0,  1082,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2039,  2720,  2720,
    2039,     0,  2039,     0,     0,     0,     0,  1082,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1082,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1081,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2039,     0,     0,     0,     0,     0,     0,  1082,
       0,     0,     0,     0,  1082,  1082,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1082,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,  1084,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2720,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1082,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2039,     0,
       0,     0,  2039,     0,  2039,  2039,     0,     0,     0,     0,
       0,  3455,  3455,  3455,  3455,     0,     0,     0,     0,  3455,
    3455,  3455,  3455,  3455,  3455,  3455,  3455,  3455,  3455,  2039,
    2039,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,  2039,
       0,  2039,     0,     0,     0,     0,  2039,     0,     0,  3455,
    3455,     0,     0,  2039,  2039,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2039,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2039,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2039,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3455,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2039,  2039,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,     0,
       0,     0,  2039,  2720,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2039,     0,  2039,     0,     0,     0,  2039,  2039,  2039,     0,
       0,  2039,     0,     0,  2039,  2039,     0,     0,     0,  2039,
       0,     0,     0,  2039,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2039,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2039,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3455,  2720,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2039,  2039,
    2039,     0,     0,     0,     0,     0,     0,     0,  2720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2039,  2039,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2039,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3455,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2720,     0,     0,  3455,     0,     0,     0,
    2039,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2039,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3455,     0,  2720,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2039,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2039,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2039,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2039,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2720,  2720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3455,
    3455,     0,     0,     0,  2039,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   226,     0,  1202,   667,     0,
    1203,  1204,  1205,   727,  1206,     0,     0,     0,     0,     0,
       0,  2039,   227,   228,   229,   230,   231,   232,   233,   234,
    1605,   235,   236,   237,     0,     0,     0,     0,  1207,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246,   247,  1208,   249,  1209,  1210,     0,   252,   253,   254,
     255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,   262,
       0,   263,   264,   265,   266,  1215,     0,  1216,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,   287,
    1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,   291,
     292,   293,   294,  1224,  1225,   297,  1226,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
    1606,     0,   309,   310,  1057,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
    1227,   325,   326,   327,   328,  1228,  1229,   330,     0,   331,
     332,  1230,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1231,     0,  1232,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1233,  1234,
       0,  1235,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1236,   387,   388,   389,
       0,   390,   391,   392,  1237,  1238,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1239,   410,  1240,   412,   413,   414,   415,   416,
     417,   418,   419,  1241,   421,  1242,   422,   423,   424,   425,
    1243,  1244,   427,  1245,   429,   430,   431,     0,   432,   433,
       0,     0,  1246,   435,   436,     0,     0,   437,   438,   439,
     440,   441,   442,  1247,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,  1248,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,  1249,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
    1250,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,  1251,   511,   512,   513,
     514,   515,   516,   517,   518,  1252,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,  1253,   535,     0,   536,   537,     0,   538,   539,   540,
     541,   542,   543,   544,     0,   545,  1254,  1255,     0,     0,
     548,   549,  1256,   551,  1257,  1258,   553,   554,   555,   556,
     557,   558,   559,   560,     0,  1259,   561,   562,   563,   564,
     565,  1260,     0,   566,   567,   568,   569,   570,   571,  1261,
    1607,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,  1262,
    1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,   597,
     598,   599,  1270,     0,     0,     0,     0,     0,     0,  1271,
    1272,  1608,     0,     0,     0,     0,     0,     0,  1274,  1609,
     226,     0,  1202,   667,     0,  1203,  1204,  1205,   727,  1206,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,  1207,     0,     0,   238,   239,     0,   240,
     241,   242,   243,   244,   245,   246,   247,  1208,   249,  1209,
    1210,     0,   252,   253,   254,   255,   256,   257,  1211,  1212,
     258,   259,  1213,  1214,   262,     0,   263,   264,   265,   266,
    1215,     0,  1216,     0,   269,   270,   271,   272,   273,   274,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,   284,   285,   286,   287,  1217,  1218,  1219,  1220,  1221,
    1222,  1223,   289,   290,   291,   292,   293,   294,  1224,  1225,
     297,  1226,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,  1057,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,  1227,   325,   326,   327,   328,
    1228,  1229,   330,     0,   331,   332,  1230,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1231,     0,  1232,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1233,  1234,     0,  1235,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1236,   387,   388,   389,     0,   390,   391,   392,  1237,
    1238,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1239,   410,  1240,
     412,   413,   414,   415,   416,   417,   418,   419,  1241,   421,
    1242,   422,   423,   424,   425,  1243,  1244,   427,  1245,   429,
     430,   431,     0,   432,   433,     0,     0,  1246,   435,   436,
       0,     0,   437,   438,   439,   440,   441,   442,  1247,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,  1248,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,  1249,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,  1250,   497,   498,   499,   500,
     501,   502,   503,   504,   505,    40,   506,   507,   508,   509,
     510,  1251,   511,   512,   513,   514,   515,   516,   517,   518,
    1252,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,  1253,   535,     0,   536,
     537,    44,   538,   539,   540,   541,   542,   543,   544,     0,
     545,  1254,  1255,     0,     0,   548,   549,  1256,   551,  1257,
    1258,   553,   554,   555,   556,   557,   558,   559,   560,     0,
    1259,   561,   562,   563,   564,   565,  1260,     0,   566,   567,
     568,   569,   570,  1136,  1261,     0,   573,   574,   575,   576,
     577,   578,     0,     0,   579,     0,    49,   580,   581,   582,
     583,   584,   585,   586,  1262,  1263,  1264,  1265,   591,  1266,
    1267,  1268,  1269,   596,   597,   598,   599,  1270,     0,    50,
       0,     0,     0,     0,  1271,  1272,     0,     0,     0,     0,
       0,     0,     0,  1274,  4988,   226,     0,  1202,   667,     0,
    1203,  1204,  1205,   727,  1206,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,  1207,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246,   247,  1208,   249,  1209,  1210,     0,   252,   253,   254,
     255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,   262,
       0,   263,   264,   265,   266,  1215,     0,  1216,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,   287,
    1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,   291,
     292,   293,   294,  1224,  1225,   297,  1226,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,  1057,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
    1227,   325,   326,   327,   328,  1228,  1229,   330,     0,   331,
     332,  1230,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1231,     0,  1232,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1233,  1234,
       0,  1235,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1236,   387,   388,   389,
       0,   390,   391,   392,  1237,  1238,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1239,   410,  1240,   412,   413,   414,   415,   416,
     417,   418,   419,  1241,   421,  1242,   422,   423,   424,   425,
    1243,  1244,   427,  1245,   429,   430,   431,     0,   432,   433,
       0,     0,  1246,   435,   436,     0,     0,   437,   438,   439,
     440,   441,   442,  1247,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,  1248,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,  1249,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
    1250,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,  1251,   511,   512,   513,
     514,   515,   516,   517,   518,  1252,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,  1253,   535,     0,   536,   537,     0,   538,   539,   540,
     541,   542,   543,   544,     0,   545,  1254,  1255,     0,     0,
     548,   549,  1256,   551,  1257,  1258,   553,   554,   555,   556,
     557,   558,   559,   560,     0,  1259,   561,   562,   563,   564,
     565,  1260,     0,   566,   567,   568,   569,   570,   571,  1261,
       0,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,  1262,
    1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,   597,
     598,   599,  1270,     0,     0,     0,     0,     0,     0,  1271,
    1272,     0,     0,     0,     0,     0,     0,     0,  1274,  2722,
     226,     0,  1202,   667,     0,  1203,  1204,  1205,   727,  1206,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,  1207,     0,     0,   238,   239,     0,   240,
     241,   242,   243,   244,   245,   246,   247,  1208,   249,  1209,
    1210,     0,   252,   253,   254,   255,   256,   257,  1211,  1212,
     258,   259,  1213,  1214,   262,     0,   263,   264,   265,   266,
    1215,     0,  1216,     0,   269,   270,   271,   272,   273,   274,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,   284,   285,   286,   287,  1217,  1218,  1219,  1220,  1221,
    1222,  1223,   289,   290,   291,   292,   293,   294,  1224,  1225,
     297,  1226,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,  1057,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,  1227,   325,   326,   327,   328,
    1228,  1229,   330,     0,   331,   332,  1230,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1231,     0,  1232,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1233,  1234,     0,  1235,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1236,   387,   388,   389,     0,   390,   391,   392,  1237,
    1238,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1239,   410,  1240,
     412,   413,   414,   415,   416,   417,   418,   419,  1241,   421,
    1242,   422,   423,   424,   425,  1243,  1244,   427,  1245,   429,
     430,   431,     0,   432,   433,     0,     0,  1246,   435,   436,
       0,     0,   437,   438,   439,   440,   441,   442,  1247,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,  1248,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,  1249,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,  1250,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,  1251,   511,   512,   513,   514,   515,   516,   517,   518,
    1252,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,  1253,   535,     0,   536,
     537,     0,   538,   539,   540,   541,   542,   543,   544,     0,
     545,  1254,  1255,     0,     0,   548,   549,  1256,   551,  1257,
    1258,   553,   554,   555,   556,   557,   558,   559,   560,     0,
    1259,   561,   562,   563,   564,   565,  1260,     0,   566,   567,
     568,   569,   570,   571,  1261,     0,   573,   574,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,  1262,  1263,  1264,  1265,   591,  1266,
    1267,  1268,  1269,   596,   597,   598,   599,  1270,     0,     0,
       0,     0,     0,     0,  1271,  1272,     0,     0,     0,     0,
       0,     0,     0,  1274,  3974,   226,     0,  1202,   667,     0,
    1203,  1204,  1205,   727,  1206,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,  1207,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246,   247,  1208,   249,  1209,  1210,     0,   252,   253,   254,
     255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,   262,
       0,   263,   264,   265,   266,  1215,     0,  1216,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,   287,
    1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,   291,
     292,   293,   294,  1224,  1225,   297,  1226,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,  1057,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
    1227,   325,   326,   327,   328,  1228,  1229,   330,     0,   331,
     332,  1230,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1231,     0,  1232,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1233,  1234,
       0,  1235,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1236,   387,   388,   389,
       0,   390,   391,   392,  1237,  1238,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1239,   410,  1240,   412,   413,   414,   415,   416,
     417,   418,   419,  1241,   421,  1242,   422,   423,   424,   425,
    1243,  1244,   427,  1245,   429,   430,   431,     0,   432,   433,
       0,     0,  1246,   435,   436,     0,     0,   437,   438,   439,
     440,   441,   442,  1247,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,  1248,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,  1249,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
    1250,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,  1251,   511,   512,   513,
     514,   515,   516,   517,   518,  1252,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,  1253,   535,     0,   536,   537,     0,   538,   539,   540,
     541,   542,   543,   544,     0,   545,  1254,  1255,     0,     0,
     548,   549,  1256,   551,  1257,  1258,   553,   554,   555,   556,
     557,   558,   559,   560,     0,  1259,   561,   562,   563,   564,
     565,  1260,     0,   566,   567,   568,   569,   570,   571,  1261,
       0,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,  1262,
    1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,   597,
     598,   599,  1270,   607,     0,     0,     0,     0,     0,  1271,
    1272,     0,     0,     0,     0,     0,     0,     0,  1274,  4047,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,  4065,     0,   238,
     239,     0,   240,   241,   242,     0,   244,   245,   246,   247,
     248,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,     0,     0,   269,   270,   271,
     272,   273,     0,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0, -1736,   285,   286,   287,     0,     0,
       0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0, -1736,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
   -1736,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378, -1736,   380,   381,   382,   383,
     384,     0,     0,   385,   386, -1736,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409, -1736,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,     0,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,     0,   441,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489, -1736,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,     0,   511,   512,   513,   514,   515,
       0,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
       0,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,  1049,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1350,   227,   228,
     229,   230,   231,   232,   233,   234,     0,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,   243,   244,   245,   246,     0,  1050,   249,
    1051,  1052,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,  1053,  1054,   262,     0,   263,   264,   265,
     266,     0,     0,   268,     0,   269,   270,   271,   272,   273,
     274,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,   284,   285,   286,   287,     0,     0,     0,   288,
       0,     0,     0,   289,   290,   291,   292,   293,   294,  1055,
    1056,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
    1057,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,     0,   325,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1058,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,  2144,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,  2145,
     368,   369,   370,   371,  1060,  1061,     0,  1062,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1063,   410,
    1064,   412,   413,   414,   415,   416,   417,   418,     0,     0,
     421,     0,   422,   423,   424,   425,     0,     0,   427,  1065,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,  2147,   440,   441,   442,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,     0,   456,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,  1066,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,     0,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,     0,   511,   512,  2148,   514,   515,   516,   517,
     518,  1068,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,     0,   535,     0,
     536,   537,     0,   538,   539,   540,   541,   542,   543,   544,
       0,   545,  1069,  1070,     0,     0,   548,   549,     0,   551,
       0,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,  1071,  2149,   573,   574,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,  1049,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   597,   598,   599,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,  2246,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,   243,   244,   245,   246,
       0,  1050,   249,  1051,  1052,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,  1053,  1054,   262,     0,
     263,   264,   265,   266,     0,     0,   268,     0,   269,   270,
     271,   272,   273,   274,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,   284,   285,   286,   287,     0,
       0,     0,   288,     0,     0,     0,   289,   290,   291,   292,
     293,   294,  1055,  1056,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,  1057,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,     0,
     325,   326,   327,   328,     0,     0,   330,     0,   331,   332,
    1058,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,     0,     0,     0,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,  2144,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,  2145,   368,   369,   370,   371,  1060,  1061,     0,
    1062,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,     0,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1063,   410,  1064,   412,   413,   414,   415,   416,   417,
     418,     0,     0,   421,     0,   422,   423,   424,   425,     0,
       0,   427,  1065,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,  2147,   440,
     441,   442,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,     0,   456,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,  1066,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,     0,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,  2148,   514,
     515,   516,   517,   518,  1068,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
       0,   535,     0,   536,   537,     0,   538,   539,   540,   541,
     542,   543,   544,     0,   545,  1069,  1070,     0,     0,   548,
     549,     0,   551,     0,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,  1071,  2149,
     573,   574,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   226,     0,  1202,
     667,     0,  1203,  1204,  1205,   727,  1206,     0,   597,   598,
     599,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,  3294,     0,
    1207,     0,     0,   238,   239,     0,   240,   241,   242,   243,
     244,   245,   246,   247,  1208,   249,  1209,  1210,     0,   252,
     253,   254,   255,   256,   257,  1211,  1212,   258,   259,  1213,
    1214,   262,     0,   263,   264,   265,   266,  1215,     0,  1216,
       0,   269,   270,   271,   272,   273,   274,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,   284,   285,
     286,   287,  1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,
     290,   291,   292,   293,   294,  1224,  1225,   297,  1226,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,  1057,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,  1227,   325,   326,   327,   328,  1228,  1229,   330,
       0,   331,   332,  1230,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1231,     0,
    1232,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1233,  1234,     0,  1235,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1236,   387,
     388,   389,     0,   390,   391,   392,  1237,  1238,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1239,   410,  1240,   412,   413,   414,
     415,   416,   417,   418,   419,  1241,   421,  1242,   422,   423,
     424,   425,  1243,  1244,   427,  1245,   429,   430,   431,     0,
     432,   433,     0,     0,  1246,   435,   436,     0,     0,   437,
     438,   439,   440,   441,   442,  1247,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,  1248,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,  1249,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,  1250,   497,   498,   499,   500,   501,   502,   503,
     504,   505,    40,   506,   507,   508,   509,   510,  1251,   511,
     512,   513,   514,   515,   516,   517,   518,  1252,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,  1253,   535,     0,   536,   537,    44,   538,
     539,   540,   541,   542,   543,   544,     0,   545,  1254,  1255,
       0,     0,   548,   549,  1256,   551,  1257,  1258,   553,   554,
     555,   556,   557,   558,   559,   560,     0,  1259,   561,   562,
     563,   564,   565,  1260,     0,   566,   567,   568,   569,   570,
    1136,  1261,     0,   573,   574,   575,   576,   577,   578,     0,
       0,   579,     0,    49,   580,   581,   582,   583,   584,   585,
     586,  1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,
     596,   597,   598,   599,  1270,     0,    50,     0,     0,     0,
       0,  1271,  1272,     0,     0,     0,   226,     0,  1202,   667,
    1274,  1203,  1204,  1205,   727,  1206,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,  1207,
       0,     0,   238,   239,     0,   240,   241,   242,   243,   244,
     245,   246,   247,  1208,   249,  1209,  1210,  2728,   252,   253,
     254,   255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,
     262,     0,   263,   264,   265,   266,  1215,     0,  1216,     0,
     269,   270,   271,   272,   273,   274,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,   284,   285,   286,
     287,  1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,
     291,   292,   293,   294,  1224,  1225,   297,  1226,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,  1057,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,  1227,   325,   326,   327,   328,  1228,  1229,   330,     0,
     331,   332,  1230,   334,     0,   335,     0,   336,   337,  2729,
     338,   339,   340,   341,   342,     0,   343,  1231,     0,  1232,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1233,
    1234,     0,  1235,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,  2730,   385,  1236,   387,   388,
     389,     0,   390,   391,   392,  1237,  1238,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1239,   410,  1240,   412,   413,   414,   415,
     416,   417,   418,   419,  1241,   421,  1242,   422,   423,   424,
     425,  1243,  1244,   427,  1245,   429,   430,   431,     0,   432,
     433,     0,     0,  1246,   435,   436,     0,     0,   437,   438,
     439,   440,   441,   442,  1247,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,  1248,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,  1249,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,  1250,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,  1251,   511,   512,
     513,   514,   515,   516,   517,   518,  1252,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,  1253,   535,     0,   536,   537,     0,   538,   539,
     540,   541,   542,   543,   544,     0,   545,  1254,  1255,     0,
    2731,   548,   549,  1256,   551,  1257,  1258,   553,   554,   555,
     556,   557,   558,   559,   560,     0,  1259,   561,   562,   563,
     564,   565,  1260,     0,   566,   567,   568,   569,   570,   571,
    1261,     0,   573,   574,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
    1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,
     597,   598,   599,  1270,     0,     0,     0,     0,     0,     0,
    1271,  1272,     0,     0,     0,   226,     0,  1202,   667,  1274,
    1203,  1204,  1205,   727,  1206,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,  1207,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246,   247,  1208,   249,  1209,  1210,     0,   252,   253,   254,
     255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,   262,
       0,   263,   264,   265,   266,  1215,     0,  1216,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,   287,
    1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,   291,
     292,   293,   294,  1224,  1225,   297,  1226,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,  1057,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
    1227,   325,   326,   327,   328,  1228,  1229,   330,     0,   331,
     332,  1230,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1231,     0,  1232,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1233,  1234,
       0,  1235,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1236,   387,   388,   389,
       0,   390,   391,   392,  1237,  1238,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1239,   410,  1240,   412,   413,   414,   415,   416,
     417,   418,   419,  1241,   421,  1242,   422,   423,   424,   425,
    1243,  1244,   427,  1245,   429,   430,   431,     0,   432,   433,
       0,     0,  1246,   435,   436,     0,     0,   437,   438,   439,
     440,   441,   442,  1247,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,  1248,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,  1249,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
    1250,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,  1251,   511,   512,   513,
     514,   515,   516,   517,   518,  1252,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,  1253,   535,     0,   536,   537,     0,   538,   539,   540,
     541,   542,   543,   544,     0,   545,  1254,  1255,     0,     0,
     548,   549,  1256,   551,  1257,  1258,   553,   554,   555,   556,
     557,   558,   559,   560,     0,  1259,   561,   562,   563,   564,
     565,  1260,     0,   566,   567,   568,   569,   570,   571,  1261,
       0,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,  1262,
    1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,   597,
     598,   599,  1270,     0,     0,     0,     0,     0,     0,  1271,
    1272,     0,     0,     0,     0,     0,  1962,  2682,  1274,   226,
       0,  1202,   667,     0,  1203,  1204,  1205,   727,  1206,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,  1207,     0,     0,   238,   239,     0,   240,   241,
     242,   243,   244,   245,   246,   247,  1208,   249,  1209,  1210,
       0,   252,   253,   254,   255,   256,   257,  1211,  1212,   258,
     259,  1213,  1214,   262,     0,   263,   264,   265,   266,  1215,
       0,  1216,     0,   269,   270,   271,   272,   273,   274,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
     284,   285,   286,   287,  1217,  1218,  1219,  1220,  1221,  1222,
    1223,   289,   290,   291,   292,   293,   294,  1224,  1225,   297,
    1226,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,  1057,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,  1227,   325,   326,   327,   328,  1228,
    1229,   330,     0,   331,   332,  1230,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1231,     0,  1232,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1233,  1234,     0,  1235,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1236,   387,   388,   389,     0,   390,   391,   392,  1237,  1238,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1239,   410,  1240,   412,
     413,   414,   415,   416,   417,   418,   419,  1241,   421,  1242,
     422,   423,   424,   425,  1243,  1244,   427,  1245,   429,   430,
     431,     0,   432,   433,     0,     0,  1246,   435,   436,     0,
       0,   437,   438,   439,   440,   441,   442,  1247,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
    1248,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,  1249,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,  1250,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
    1251,   511,   512,   513,   514,   515,   516,   517,   518,  1252,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,  1253,   535,     0,   536,   537,
       0,   538,   539,   540,   541,   542,   543,   544,     0,   545,
    1254,  1255,     0,     0,   548,   549,  1256,   551,  1257,  1258,
     553,   554,   555,   556,   557,   558,   559,   560,     0,  1259,
     561,   562,   563,   564,   565,  1260,     0,   566,   567,   568,
     569,   570,   571,  1261,     0,   573,   574,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,  1262,  1263,  1264,  1265,   591,  1266,  1267,
    1268,  1269,   596,   597,   598,   599,  1270,     0,     0,     0,
       0,     0,     0,  1271,  1272,  1273,     0,     0,   226,     0,
    1202,   667,  1274,  1203,  1204,  1205,   727,  1206,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,  2112,   235,   236,   237,     0,     0,     0,
       0,  1207,     0,     0,   238,   239,     0,   240,   241,   242,
     243,   244,   245,   246,   247,  1208,   249,  1209,  1210,     0,
     252,   253,   254,   255,   256,   257,  1211,  1212,   258,   259,
    1213,  1214,   262,     0,   263,   264,   265,   266,  1215,     0,
    1216,     0,   269,   270,   271,   272,   273,   274,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,   284,
     285,   286,   287,  1217,  1218,  1219,  1220,  1221,  1222,  1223,
     289,   290,   291,   292,   293,   294,  1224,  1225,   297,  1226,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,  1057,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,  1227,   325,   326,   327,   328,  1228,  1229,
     330,     0,   331,   332,  1230,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1231,
       0,  1232,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1233,  1234,     0,  1235,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1236,
     387,   388,   389,     0,   390,   391,   392,  1237,  1238,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1239,   410,  1240,   412,   413,
     414,   415,   416,   417,   418,   419,  1241,   421,  1242,   422,
     423,   424,   425,  1243,  1244,   427,  1245,   429,   430,   431,
       0,   432,   433,     0,     0,  1246,   435,   436,     0,     0,
     437,   438,   439,   440,   441,   442,  1247,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,  1248,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,  1249,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,  1250,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,  1251,
     511,   512,   513,   514,   515,   516,   517,   518,  1252,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,  1253,   535,     0,   536,   537,     0,
     538,   539,   540,   541,   542,   543,   544,     0,   545,  1254,
    1255,     0,     0,   548,   549,  1256,   551,  1257,  1258,   553,
     554,   555,   556,   557,   558,   559,   560,     0,  1259,   561,
     562,   563,   564,   565,  1260,     0,   566,   567,   568,   569,
     570,   571,  1261,     0,   573,   574,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,  1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,
    1269,   596,   597,   598,   599,  1270,     0,     0,     0,     0,
       0,     0,  1271,  1272,     0,     0,     0,   226,     0,  1202,
     667,  1274,  1203,  1204,  1205,   727,  1206,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
    1207,     0,     0,   238,   239,     0,   240,   241,   242,   243,
     244,   245,   246,   247,  1208,   249,  1209,  1210,     0,   252,
     253,   254,   255,   256,   257,  1211,  1212,   258,   259,  1213,
    1214,   262,     0,   263,   264,   265,   266,  1215,     0,  1216,
       0,   269,   270,   271,   272,   273,   274,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,   284,   285,
     286,   287,  1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,
     290,   291,   292,   293,   294,  1224,  1225,   297,  1226,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,  1057,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,  1227,   325,   326,   327,   328,  1228,  1229,   330,
       0,   331,   332,  1230,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1231,     0,
    1232,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1233,  1234,     0,  1235,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1236,   387,
     388,   389,     0,   390,   391,   392,  1237,  1238,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1239,   410,  1240,   412,   413,   414,
     415,   416,   417,   418,   419,  1241,   421,  1242,   422,   423,
     424,   425,  1243,  1244,   427,  1245,   429,   430,   431,     0,
     432,   433,     0,     0,  1246,   435,   436,     0,     0,   437,
     438,   439,   440,   441,   442,  1247,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,  1248,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,  1249,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,  1250,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,  1251,   511,
     512,   513,   514,   515,   516,   517,   518,  1252,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,  1253,   535,     0,   536,   537,     0,   538,
     539,   540,   541,   542,   543,   544,     0,   545,  1254,  1255,
       0,     0,   548,   549,  1256,   551,  1257,  1258,   553,   554,
     555,   556,   557,   558,   559,   560,     0,  1259,   561,   562,
     563,   564,   565,  1260,     0,   566,   567,   568,   569,   570,
     571,  1261,  3174,   573,   574,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,  1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,
     596,   597,   598,   599,  1270,     0,     0,     0,     0,     0,
       0,  1271,  1272,     0,     0,     0,   226,     0,  1202,   667,
    1274,  1203,  1204,  1205,   727,  1206,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,  1207,
       0,     0,   238,   239,     0,   240,   241,   242,   243,   244,
     245,   246,   247,  1208,   249,  1209,  1210,     0,   252,   253,
     254,   255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,
     262,     0,   263,   264,   265,   266,  1215,     0,  1216,     0,
     269,   270,   271,   272,   273,   274,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,   284,   285,   286,
     287,  1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,
     291,   292,   293,   294,  1224,  1225,   297,  1226,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,  1057,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,  1227,   325,   326,   327,   328,  1228,  1229,   330,     0,
     331,   332,  1230,   334,     0,   335,     0,   336,   337,  2729,
     338,   339,   340,   341,   342,     0,   343,  1231,     0,  1232,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1233,
    1234,     0,  1235,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1236,   387,   388,
     389,     0,   390,   391,   392,  1237,  1238,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1239,   410,  1240,   412,   413,   414,   415,
     416,   417,   418,   419,  1241,   421,  1242,   422,   423,   424,
     425,  1243,  1244,   427,  1245,   429,   430,   431,     0,   432,
     433,     0,     0,  1246,   435,   436,     0,     0,   437,   438,
     439,   440,   441,   442,  1247,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,  1248,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,  1249,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,  1250,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,  1251,   511,   512,
     513,   514,   515,   516,   517,   518,  1252,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,  1253,   535,     0,   536,   537,     0,   538,   539,
     540,   541,   542,   543,   544,     0,   545,  1254,  1255,     0,
       0,   548,   549,  1256,   551,  1257,  1258,   553,   554,   555,
     556,   557,   558,   559,   560,     0,  1259,   561,   562,   563,
     564,   565,  1260,     0,   566,   567,   568,   569,   570,   571,
    1261,     0,   573,   574,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
    1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,
     597,   598,   599,  1270,     0,     0,     0,     0,     0,     0,
    1271,  1272,     0,     0,     0,   226,     0,  1202,   667,  1274,
    1203,  1204,  1205,   727,  1206,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,  1207,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246,   247,  1208,   249,  1209,  1210,     0,   252,   253,   254,
     255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,   262,
       0,   263,   264,   265,   266,  1215,     0,  1216,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,   287,
    1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,   291,
     292,   293,   294,  1224,  1225,   297,  1226,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,  1057,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
    1227,   325,   326,   327,   328,  1228,  1229,   330,     0,   331,
     332,  1230,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1231,     0,  1232,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1233,  1234,
       0,  1235,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1236,   387,   388,   389,
       0,   390,   391,   392,  1237,  1238,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1239,   410,  1240,   412,   413,   414,   415,   416,
     417,   418,   419,  1241,   421,  1242,   422,   423,   424,   425,
    1243,  1244,   427,  1245,   429,   430,   431,     0,   432,   433,
       0,     0,  1246,   435,   436,     0,     0,   437,   438,   439,
     440,   441,   442,  1247,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,  1248,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,  1249,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
    1250,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,  1251,   511,   512,   513,
     514,   515,   516,   517,   518,  1252,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,  1253,   535,     0,   536,   537,     0,   538,   539,   540,
     541,   542,   543,   544,     0,   545,  1254,  1255,     0,     0,
     548,   549,  1256,   551,  1257,  1258,   553,   554,   555,   556,
     557,   558,   559,   560,     0,  1259,   561,   562,   563,   564,
     565,  1260,     0,   566,   567,   568,   569,   570,   571,  1261,
       0,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,  1262,
    1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,   597,
     598,   599,  1270,     0,     0,     0,     0,     0,     0,  1271,
    1272,     0,     0,     0,   226,     0,  1202,   667,  1274,  1203,
    1204,  1205,   727,  1206,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,  1207,     0,     0,
     238,   239,     0,   240,   241,   242,   243,   244,   245,   246,
     247,  1208,   249,  1209,  1210,     0,   252,   253,   254,   255,
     256,   257,  1211,  1212,   258,   259,  1213,  1214,   262,     0,
     263,   264,   265,   266,  1215,     0,  1216,     0,   269,   270,
     271,   272,   273,   274,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,   284,   285,   286,   287,  1217,
    1218,  1219,  1220,  1221,  1222,  1223,   289,   290,   291,   292,
     293,   294,  1224,  1225,   297,  1226,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,  1057,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,  1227,
     325,   326,   327,   328,  1228,  1229,   330,     0,   331,   332,
    1230,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1231,     0,  1232,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1233,  1234,     0,
    1235,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1236,   387,   388,   389,     0,
     390,   391,   392,  1237,  1238,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1239,   410,  1240,   412,   413,   414,   415,   416,   417,
     418,   419,  1241,   421,  1242,   422,   423,   424,   425,  1243,
    1244,   427,  1245,   429,   430,   431,     0,   432,   433,     0,
       0,  1246,   435,   436,     0,     0,   437,   438,   439,   440,
     441,   442,  1247,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,  1248,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,  1249,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,  1250,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,  1251,   511,   512,   513,   514,
     515,   516,   517,   518,  1252,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
    1253,   535,     0,   536,   537,     0,   538,   539,   540,   541,
     542,   543,   544,     0,   545,  1254,  1255,     0,     0,   548,
     549,  1256,   551,  1257,  1258,   553,   554,   555,   556,   557,
     558,   559,   560,     0,  1259,   561,   562,   563,   564,   565,
    1260,     0,   566,   567,   568,   569,   570,   571,  1261,     0,
     573,   574,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,  1262,  1263,
    1264,  1265,   591,  1266,  1267,  1268,  1269,   596,   597,   598,
     599,  1270,     0,     0,     0,     0,     0,     0,  2115,  2116,
       0,     0,     0,   226,     0,  2856,   667,  1274,  1203,  1204,
    1205,   727,  1206,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,  1207,     0,     0,   238,
     239,     0,   240,   241,   242,   243,   244,   245,   246,   247,
    1208,   249,  1209,  1210,     0,   252,   253,   254,   255,   256,
     257,  1211,  1212,   258,   259,  1213,  1214,   262,     0,   263,
     264,   265,   266,  1215,     0,  1216,     0,   269,   270,   271,
     272,   273,   274,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,   284,   285,   286,   287,  1217,  1218,
    1219,  1220,  1221,  1222,  1223,   289,   290,   291,   292,   293,
     294,  1224,  1225,   297,  1226,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,  1057,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,  1227,   325,
     326,   327,   328,  1228,  1229,   330,     0,   331,   332,  1230,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1231,     0,  1232,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,  1233,  1234,     0,  1235,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1236,   387,   388,   389,     0,   390,
     391,   392,  1237,  1238,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1239,   410,  1240,   412,   413,   414,   415,   416,   417,   418,
     419,  1241,   421,  1242,   422,   423,   424,   425,  1243,  1244,
     427,  1245,   429,   430,   431,     0,   432,   433,     0,     0,
    1246,   435,   436,     0,     0,   437,   438,   439,   440,   441,
     442,  1247,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,  1248,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,  1249,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,  1250,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,  1251,   511,   512,   513,   514,   515,
     516,   517,   518,  1252,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,  1253,
     535,     0,   536,   537,     0,   538,   539,   540,   541,   542,
     543,   544,     0,   545,  1254,  1255,     0,     0,   548,   549,
    1256,   551,  1257,  1258,   553,   554,   555,   556,   557,   558,
     559,   560,     0,  1259,   561,   562,   563,   564,   565,  1260,
       0,   566,   567,   568,   569,   570,   571,  1261,     0,   573,
     574,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,  1262,  1263,  1264,
    1265,   591,  1266,  1267,  1268,  1269,   596,   597,   598,   599,
    1270,     0,     0,     0,     0,     0,     0,  1271,  1272,     0,
       0,     0,   226,     0,  1202,   667,  1274,  1203,  1204,  1205,
     727,  1206,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,  1207,     0,     0,   238,   239,
       0,   240,   241,   242,   243,   244,   245,   246,   247,  1208,
     249,  1209,  1210,     0,   252,   253,   254,   255,   256,   257,
    1211,  1212,   258,   259,  1213,  1214,   262,     0,   263,   264,
     265,   266,  1215,     0,  1216,     0,   269,   270,   271,   272,
     273,   274,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,   284,   285,   286,  4101,  1217,  1218,  1219,
    1220,  1221,  1222,  1223,   289,   290,   291,   292,   293,   294,
    1224,  1225,   297,  1226,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,  1057,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,  1227,   325,   326,
     327,   328,  1228,  1229,   330,     0,   331,   332,  1230,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1231,     0,  1232,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1233,  1234,     0,  1235,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1236,   387,   388,   389,     0,   390,   391,
     392,  1237,  1238,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1239,
     410,  1240,   412,   413,   414,   415,   416,   417,   418,   419,
    1241,   421,  1242,   422,   423,   424,   425,  1243,  1244,   427,
    1245,   429,   430,   431,     0,   432,   433,     0,     0,  1246,
     435,   436,     0,     0,   437,   438,   439,   440,   441,   442,
    1247,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,  1248,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
    1249,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,  1250,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,  1251,   511,   512,   513,   514,   515,   516,
     517,   518,  1252,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,  1253,   535,
       0,   536,   537,     0,   538,   539,   540,   541,   542,   543,
     544,     0,   545,  1254,  1255,     0,     0,   548,   549,  1256,
     551,  1257,  1258,   553,   554,   555,   556,   557,   558,   559,
     560,     0,  1259,   561,   562,   563,   564,   565,  1260,     0,
     566,   567,   568,   569,   570,   571,  1261,     0,   573,   574,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,  1262,  1263,  1264,  1265,
     591,  1266,  1267,  1268,  1269,   596,   597,   598,   599,  1270,
       0,     0,     0,     0,     0,     0,  1271,  1272,     0,     0,
       0,   226,     0,  1202,   667,  1274,  1203,  1204,  1205,   727,
    1206,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,     0,   235,   236,   237,
       0,     0,     0,     0,  1207,     0,     0,   238,   239,     0,
     240,   241,   242,   243,   244,   245,   246,   247,  1208,   249,
    1209,  1210,     0,   252,   253,   254,   255,   256,   257,  1211,
    1212,   258,   259,  1213,  1214,   262,     0,   263,   264,   265,
     266,  1215,     0,  1216,     0,   269,   270,   271,   272,   273,
     274,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,   284,   285,   286,   287,  1217,  1218,  1219,  1220,
    1221,  1222,  1223,   289,   290,   291,   292,   293,   294,  1224,
    1225,   297,  1226,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
    1057,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,  1227,   325,   326,   327,
     328,  1228,  1229,   330,     0,   331,   332,  1230,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1231,     0,  1232,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1233,  1234,     0,  1235,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1236,   387,   388,   389,     0,   390,   391,   392,
    1237,  1238,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1239,   410,
    1240,   412,   413,   414,   415,   416,   417,   418,   419,  1241,
     421,  1242,   422,   423,   424,   425,  1243,  1244,   427,  1245,
     429,   430,   431,     0,   432,   433,     0,     0,  1246,   435,
     436,     0,     0,   437,   438,   439,   440,   441,   442,  1247,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,  1248,   456,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,  1249,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,  1250,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,  1251,   511,   512,   513,   514,   515,   516,   517,
     518,  1252,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,  1253,   535,     0,
     536,   537,     0,   538,   539,   540,   541,   542,   543,   544,
       0,   545,  1254,  1255,     0,     0,   548,   549,  1256,   551,
    1257,  1258,   553,   554,   555,   556,   557,   558,   559,   560,
       0,  1259,   561,   562,   563,   564,   565,  1260,     0,   566,
     567,   568,   569,   570,   571,  1261,     0,   573,   574,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,  4446,  1262,  1263,  1264,  1265,   591,
    1266,  1267,  1268,  1269,   596,   597,   598,   599,  1270,     0,
       0,     0,     0,     0,     0,  1271,  1272,     0,     0,     0,
     226,     0,  1202,   667,  1274,  1203,  1204,  1205,   727,  1206,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,  1207,     0,     0,   238,   239,     0,   240,
     241,   242,   243,   244,   245,   246,   247,  1208,   249,  1209,
    1210,     0,   252,   253,   254,   255,   256,   257,  1211,  1212,
     258,   259,  1213,  1214,   262,     0,   263,   264,   265,   266,
    1215,     0,  1216,     0,   269,   270,   271,   272,   273,   274,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,   284,   285,   286,   287,  1217,  1218,  1219,  1220,  1221,
    1222,  1223,   289,   290,   291,   292,   293,   294,  1224,  1225,
     297,  1226,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,  1057,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,  1227,   325,   326,   327,   328,
    1228,  1229,   330,     0,   331,   332,  1230,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1231,     0,  1232,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1233,  1234,     0,  1235,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1236,   387,   388,   389,     0,   390,   391,   392,  1237,
    1238,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1239,   410,  1240,
     412,   413,   414,   415,   416,   417,  4458,   419,  1241,   421,
    1242,   422,   423,   424,   425,  1243,  1244,   427,  1245,   429,
     430,   431,     0,   432,   433,     0,     0,  1246,   435,   436,
       0,     0,   437,   438,   439,   440,   441,   442,  1247,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,  1248,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,  1249,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,  1250,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,  1251,   511,   512,   513,   514,   515,   516,   517,   518,
    1252,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,  1253,   535,     0,   536,
     537,     0,   538,   539,   540,   541,   542,   543,   544,     0,
     545,  1254,  1255,     0,     0,   548,   549,  1256,   551,  1257,
    1258,   553,   554,   555,   556,   557,   558,   559,   560,     0,
    1259,   561,   562,   563,   564,   565,  1260,     0,   566,   567,
     568,   569,   570,   571,  1261,     0,   573,   574,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,  1262,  1263,  1264,  1265,   591,  1266,
    1267,  1268,  1269,   596,   597,   598,   599,  1270,     0,     0,
       0,     0,     0,     0,  1271,  1272,     0,     0,     0,   226,
       0,  1202,   667,  1274,  1203,  1204,  1205,   727,  1206,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,  1207,     0,     0,   238,   239,     0,   240,   241,
     242,   243,   244,   245,   246,   247,  1208,   249,  1209,  1210,
       0,   252,   253,   254,   255,   256,   257,  1211,  1212,   258,
     259,  1213,  1214,   262,     0,   263,   264,   265,   266,  1215,
       0,  1216,     0,   269,   270,   271,   272,   273,   274,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
     284,   285,  4772,   287,  1217,  1218,  1219,  1220,  1221,  1222,
    1223,   289,   290,   291,   292,   293,   294,  1224,  1225,   297,
    1226,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,  1057,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,  1227,   325,   326,   327,   328,  1228,
    1229,   330,     0,   331,   332,  1230,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1231,     0,  4773,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1233,  1234,     0,  1235,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1236,   387,   388,   389,     0,   390,   391,   392,  1237,  1238,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1239,   410,  1240,   412,
     413,   414,   415,   416,   417,   418,   419,  1241,   421,  1242,
     422,   423,   424,   425,  1243,  1244,   427,  1245,   429,   430,
     431,     0,   432,   433,     0,     0,  1246,   435,   436,     0,
       0,   437,   438,   439,   440,   441,   442,  1247,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
    1248,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,  1249,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,  4774,   494,   495,  1250,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
    1251,   511,   512,   513,   514,   515,   516,   517,   518,  1252,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,  1253,   535,     0,   536,   537,
       0,   538,   539,   540,   541,   542,   543,   544,     0,   545,
    1254,  1255,     0,     0,   548,   549,  1256,   551,  1257,  1258,
     553,   554,   555,   556,   557,   558,   559,   560,     0,  1259,
     561,   562,   563,   564,   565,  1260,     0,   566,   567,   568,
     569,   570,   571,  1261,     0,   573,   574,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,  1262,  1263,  1264,  1265,   591,  1266,  1267,
    1268,  1269,   596,   597,   598,   599,  1270,     0,     0,     0,
       0,     0,     0,  1271,  1272,     0,     0,     0,   226,     0,
    1202,   667,  4775,  1203,  1204,  1205,   727,  1206,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,     0,   235,   236,   237,     0,     0,     0,
       0,  1207,     0,     0,   238,   239,     0,   240,   241,   242,
     243,   244,   245,   246,  5245,  1208,   249,  1209,  1210,     0,
     252,   253,   254,   255,   256,   257,  1211,  1212,   258,   259,
    1213,  1214,   262,     0,   263,   264,   265,   266,  1215,     0,
    1216,     0,   269,   270,   271,   272,   273,   274,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,   284,
     285,   286,  5246,  1217,  1218,  1219,  1220,  1221,  1222,  1223,
     289,   290,   291,   292,   293,   294,  1224,  1225,   297,  1226,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,  1057,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,  1227,   325,   326,   327,   328,  1228,  1229,
     330,     0,   331,   332,  1230,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1231,
       0,  1232,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1233,  1234,     0,  1235,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1236,
     387,   388,   389,     0,   390,   391,   392,  1237,  1238,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1239,   410,  1240,   412,   413,
     414,   415,   416,   417,   418,   419,  1241,   421,  1242,   422,
     423,   424,   425,  1243,  1244,   427,  1245,   429,   430,   431,
       0,   432,   433,     0,     0,  1246,   435,   436,     0,     0,
     437,   438,   439,   440,   441,   442,  1247,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,  1248,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,  1249,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,  1250,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,  1251,
     511,   512,   513,   514,   515,   516,   517,   518,  1252,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,  1253,   535,     0,   536,   537,     0,
     538,   539,   540,   541,   542,   543,   544,     0,   545,  1254,
    1255,     0,     0,   548,   549,  1256,   551,  1257,  1258,   553,
     554,   555,   556,   557,  5247,   559,   560,     0,  1259,   561,
     562,   563,   564,   565,  1260,     0,   566,   567,   568,   569,
     570,   571,  1261,     0,   573,   574,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,  1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,
    1269,   596,   597,   598,   599,  1270,     0,     0,     0,     0,
       0,     0,  1271,  1272,     0,     0,     0,   226,     0,  1202,
     667,  1274,  1203,  1204,  1205,   727,  1206,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
    1207,     0,     0,   238,   239,     0,   240,   241,   242,   243,
     244,   245,   246,   247,  1208,   249,  1209,  1210,     0,   252,
     253,   254,   255,   256,   257,  1211,  1212,   258,   259,  1213,
    1214,   262,     0,   263,   264,   265,   266,  1215,     0,  1216,
       0,   269,   270,   271,   272,   273,   274,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,   284,   285,
     286,  5246,  1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,
     290,   291,   292,   293,   294,  1224,  1225,   297,  1226,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,  1057,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,  1227,   325,   326,   327,   328,  1228,  1229,   330,
       0,   331,   332,  1230,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1231,     0,
    1232,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1233,  1234,     0,  1235,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1236,   387,
     388,   389,     0,   390,   391,   392,  1237,  1238,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1239,   410,  1240,   412,   413,   414,
     415,   416,   417,   418,   419,  1241,   421,  1242,   422,   423,
     424,   425,  1243,  1244,   427,  1245,   429,   430,   431,     0,
     432,   433,     0,     0,  1246,   435,   436,     0,     0,   437,
     438,   439,   440,   441,   442,  1247,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,  1248,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,  1249,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,  1250,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,  1251,   511,
     512,   513,   514,   515,   516,   517,   518,  1252,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,  1253,   535,     0,   536,   537,     0,   538,
     539,   540,   541,   542,   543,   544,     0,   545,  1254,  1255,
       0,     0,   548,   549,  1256,   551,  1257,  1258,   553,   554,
     555,   556,   557,  5247,   559,   560,     0,  1259,   561,   562,
     563,   564,   565,  1260,     0,   566,   567,   568,   569,   570,
     571,  1261,     0,   573,   574,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,  1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,
     596,   597,   598,   599,  1270,     0,     0,     0,     0,     0,
       0,  1271,  1272,     0,     0,     0,   226,     0,  1202,   667,
    1274,  1203,  1204,  1205,   727,  1206,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,  1207,
       0,     0,   238,   239,     0,   240,   241,   242,   243,   244,
     245,   246,   247,  1208,   249,  1209,  1210,     0,   252,   253,
     254,   255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,
     262,     0,   263,   264,   265,   266,  1215,     0,  1216,     0,
     269,   270,   271,   272,   273,   274,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,   284,   285,   286,
     287,  1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,
     291,   292,   293,   294,  1224,  1225,   297,  4970,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,  1057,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,  1227,   325,   326,   327,   328,  1228,  1229,   330,     0,
     331,   332,  1230,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1231,     0,  1232,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1233,
    1234,     0,  1235,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1236,   387,   388,
     389,     0,   390,   391,   392,  1237,  1238,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1239,   410,  1240,   412,   413,   414,   415,
     416,   417,   418,   419,  1241,   421,     0,   422,   423,   424,
     425,  1243,  1244,   427,  1245,   429,   430,   431,     0,   432,
     433,     0,     0,  1246,   435,   436,     0,     0,   437,   438,
     439,   440,   441,   442,  1247,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,  1248,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,  1249,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,  2714,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,  1251,   511,   512,
     513,   514,   515,   516,   517,   518,  1252,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,  1253,   535,     0,   536,   537,     0,   538,   539,
     540,   541,   542,   543,   544,     0,   545,  1254,  1255,     0,
       0,   548,   549,  1256,   551,  1257,  1258,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,  1260,     0,   566,   567,   568,   569,   570,   571,
    1261,     0,   573,   574,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
    1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,
     597,   598,   599,     0,     0,     0,     0,     0,     0,     0,
    2715,  2716,     0,     0,     0,   226,     0,  1202,   667,  2717,
    1203,  1204,  1205,   727,  1206,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,  1207,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246, -2611,  1208,   249,  1209,  1210,     0,   252,   253,   254,
     255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,   262,
       0,   263,   264,   265,   266,  1215,     0,  1216,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,  5246,
    1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,   291,
     292,   293,   294,  1224,  1225,   297,  1226,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,  1057,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
    1227,   325,   326,   327,   328,  1228,  1229,   330,     0,   331,
     332,  1230,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1231,     0,  1232,   346,
     347,     0,   348,   349,   350,   351,   352, -2611,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1233,  1234,
       0,  1235,     0,   375,     0,     0,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1236,   387,   388, -2611,
       0,   390,   391,   392,  1237,  1238,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1239,   410,  1240,   412,   413,   414,   415,   416,
     417,   418,   419,  1241,   421,  1242,   422,   423,     0,   425,
    1243,  1244,   427,  1245,   429,   430,   431,     0,   432,   433,
       0,     0,  1246,   435,   436,     0,     0,   437,   438,   439,
     440,   441,   442,  1247,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,  1248,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,  1249,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
    1250,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,  1251,   511,   512,   513,
     514,   515, -2611,   517,   518,  1252,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,  1253,   535,     0,   536,   537,     0,   538,   539,   540,
     541,   542,   543,   544,     0,   545,  1254,  1255,     0,     0,
     548,   549,  1256,   551,  1257,  1258,   553,   554,   555,   556,
     557,  5247,   559,   560,     0,  1259,   561,   562,   563,   564,
     565,  1260,     0,   566,   567,   568,   569,   570,   571,  1261,
       0,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,  1262,
    1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,   597,
     598,   599, -2611,     0,     0,     0,     0,     0,     0,  1271,
    1272,     0,     0,     0,   226,     0,  1202,   667,  1274,  1203,
    1204,  1205,   727,  1206,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,  1207,     0,     0,
     238,   239,     0,   240,   241,   242,   243,   244,   245,   246,
     247,  1208,   249,  1209,  1210,     0,   252,   253,   254,   255,
     256,   257,  1211,  1212,   258,   259,  1213,  1214,   262,     0,
     263,   264,   265,   266,  1215,     0,  1216,     0,   269,   270,
     271,   272,   273,   274,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,   284,   285,   286,   287,  1217,
    1218,  1219,  1220,  1221,  1222,  1223,   289,   290,   291,   292,
     293,   294,  1224,  1225,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,  1057,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,  1227,
     325,   326,   327,   328,  1228,  1229,   330,     0,   331,   332,
    1230,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1231,     0,  1232,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1233,  1234,     0,
    1235,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1236,   387,   388,   389,     0,
     390,   391,   392,  1237,  1238,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1239,   410,  1240,   412,   413,   414,   415,   416,   417,
     418,   419,  1241,   421,     0,   422,   423,   424,   425,  1243,
    1244,   427,  1245,   429,   430,   431,     0,   432,   433,     0,
       0,  1246,   435,   436,     0,     0,   437,   438,   439,   440,
     441,   442,  1247,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,  1248,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,  1249,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,  2714,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,  1251,   511,   512,   513,   514,
     515,   516,   517,   518,  1252,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
    1253,   535,     0,   536,   537,     0,   538,   539,   540,   541,
     542,   543,   544,     0,   545,  1254,  1255,     0,     0,   548,
     549,  1256,   551,  1257,  1258,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
    1260,     0,   566,   567,   568,   569,   570,   571,  1261,     0,
     573,   574,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,  1262,  1263,
    1264,  1265,   591,  1266,  1267,  1268,  1269,   596,   597,   598,
     599,     0,     0,     0,     0,     0,     0,     0,  2715,  2716,
     226,     0,  1202,   667,     0,  1203,  1204,  2717,   727,  1206,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,  1207,     0,     0,   238,   239,     0,   240,
     241,   242,   243,   244,   245,   246,   247,  1208,   249,  1209,
    1210,     0,   252,   253,   254,   255,   256,   257,  1211,  1212,
     258,   259,  1213,  1214,   262,     0,   263,   264,   265,   266,
    1215,     0,  1216,     0,   269,   270,   271,   272,   273,   274,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,   284,   285,   286,   287,  1217,  1218,  1219,  1220,  1221,
    1222,  1223,   289,   290,   291,   292,   293,   294,  1224,  1225,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,  1057,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,  1227,   325,   326,   327,   328,
    1228,  1229,   330,     0,   331,   332,  1230,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1231,     0,  1232,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1233,  1234,     0,  1235,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1236,   387,   388,   389,     0,   390,   391,   392,  1237,
    1238,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1239,   410,  1240,
     412,   413,   414,   415,   416,   417,   418,   419,  1241,   421,
       0,   422,   423,   424,   425,  1243,  1244,   427,  1245,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,   440,   441,   442,  1247,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,  1248,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,  1249,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,  2845,  2846,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,  1251,   511,   512,   513,   514,   515,   516,   517,   518,
    1252,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,  1253,   535,     0,   536,
     537,     0,   538,   539,   540,   541,   542,   543,   544,     0,
     545,  1254,  1255,     0,     0,   548,   549,  1256,   551,  1257,
    1258,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,  1260,     0,   566,   567,
     568,   569,   570,   571,  1261,     0,   573,   574,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,  1262,  1263,  1264,  1265,   591,  1266,
    1267,  1268,  1269,   596,   597,   598,   599,     0,     0,     0,
       0,     0,     0,     0,  2847,  2848,     0,     0,     0,   226,
       0,  1202,   667,  2717,  1203,  1204,  1205,   727,  1206,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,  1207,     0,     0,   238,   239,     0,   240,   241,
     242,   243,   244,   245,   246,   247,  1208,   249,  1209,  1210,
       0,   252,   253,   254,   255,   256,   257,  1211,  1212,   258,
     259,  1213,  1214,   262,     0,   263,   264,   265,   266,  1215,
       0,  1216,     0,   269,   270,   271,   272,   273,   274,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
     284,   285,   286,   287,  1217,  1218,  1219,  1220,  1221,  1222,
    1223,   289,   290,   291,   292,   293,   294,  1224,  1225,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,  1057,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,  1227,   325,   326,   327,   328,  1228,
    1229,   330,     0,   331,   332,  1230,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1231,     0,  1232,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1233,  1234,     0,  1235,     0,   375,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1236,   387,   388,   389,     0,   390,   391,   392,  1237,  1238,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1239,   410,  1240,   412,
     413,   414,   415,   416,   417,   418,   419,  1241,   421,     0,
     422,   423,   424,   425,  1243,  1244,   427,  1245,   429,   430,
     431,     0,   432,   433,     0,     0,  1246,   435,   436,     0,
       0,   437,   438,   439,   440,   441,   442,  1247,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
    1248,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,  1249,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,  2714,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
    1251,   511,   512,   513,   514,   515,   516,   517,   518,  1252,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,  1253,   535,     0,   536,   537,
       0,   538,   539,   540,   541,   542,   543,   544,     0,   545,
    1254,  1255,     0,     0,   548,   549,  1256,   551,  1257,  1258,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,  1260,     0,   566,   567,   568,
     569,   570,   571,  1261,     0,   573,   574,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,  1262,  1263,  1264,  1265,   591,  1266,  1267,
    1268,  1269,   596,   597,   598,   599,     0,     0,     0,     0,
       0,     0,     0,  2715,  2716,   226,     0,  1202,   667,     0,
    1203,  1204,  2717,   727,  1206,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,  1207,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246,   247,  1208,   249,  1209,  1210,     0,   252,   253,   254,
     255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,   262,
       0,   263,   264,   265,   266,  1215,     0,  1216,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,   287,
    1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,   291,
     292,   293,   294,  1224,  1225,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,  1057,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
    1227,   325,   326,   327,   328,  1228,  1229,   330,     0,   331,
     332,  1230,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1231,     0,  1232,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1233,  1234,
       0,  1235,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1236,   387,   388,   389,
       0,   390,   391,   392,  1237,  1238,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1239,   410,  1240,   412,   413,   414,   415,   416,
     417,   418,   419,  1241,   421,     0,   422,   423,   424,   425,
    1243,  1244,   427,  1245,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
     440,   441,   442,  1247,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,  1248,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,  1249,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
    2714,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,  1251,   511,   512,   513,
     514,   515,   516,   517,   518,  1252,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,  1253,   535,     0,   536,   537,     0,   538,   539,   540,
     541,   542,   543,   544,     0,   545,  1254,  1255,     0,     0,
     548,   549,  1256,   551,  1257,  1258,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,  1260,     0,   566,   567,   568,   569,   570,   571,  1261,
       0,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,  1262,
    1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,   597,
     598,   599,   226,     0,  1202,   667,     0,  1203,  1204,     0,
     727,  1206,     0,     0,     0,     0,     0,     0,  2717,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,  1207,     0,     0,   238,   239,
       0,   240,   241,   242,   243,   244,   245,   246,   247,  1208,
     249,  1209,  1210,     0,  4007,   253,   254,   255,   256,   257,
    1211,  1212,   258,   259,  1213,  1214,   262,     0,   263,   264,
     265,   266,  1215,     0,  1216,     0,   269,   270,   271,   272,
     273,   274,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,   284,   285,   286,   287,  1217,  1218,  1219,
    1220,  1221,  1222,  1223,   289,   290,   291,   292,   293,   294,
    1224,  1225,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,  1057,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,  1227,   325,   326,
     327,   328,  1228,  1229,   330,     0,   331,   332,  1230,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1231,     0,  1232,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1233,  1234,     0,  1235,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1236,   387,   388,   389,     0,   390,   391,
     392,  1237,  1238,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1239,
     410,  1240,   412,   413,   414,   415,   416,   417,   418,   419,
    1241,   421,     0,   422,   423,   424,   425,  1243,  1244,   427,
    1245,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,   440,   441,   442,
    1247,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,  1248,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
    1249,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,  2714,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,  1251,   511,   512,   513,   514,   515,   516,
     517,   518,  1252,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,  1253,   535,
       0,   536,   537,     0,   538,   539,   540,   541,   542,   543,
     544,     0,   545,  1254,  1255,     0,     0,   548,   549,  1256,
     551,  1257,  1258,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,  1260,     0,
     566,   567,   568,   569,   570,   571,  1261,     0,   573,   574,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,  1262,  1263,  1264,  1265,
     591,  1266,  1267,  1268,  1269,   596,   597,   598,   599,   226,
       0,  1202,   667,     0,  1203,  1204,     0,   727,  1206,     0,
       0,     0,     0,     0,     0,  2717,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,  1207,     0,     0,   238,   239,     0,   240,   241,
     242,   243,   244,   245,   246,   247,  1208,   249,  1209,  1210,
       0,   252,   253,   254,   255,   256,   257,  1211,  1212,   258,
     259,  1213,  1214,   262,     0,   263,   264,   265,   266,  1215,
       0,  1216,     0,   269,   270,   271,   272,   273,   274,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
     284,   285,   286,   287,  1217,  1218,  1219,  1220,  1221,  1222,
    1223,   289,   290,   291,   292,   293,   294,  1224,  1225,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,  1057,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,  1227,   325,   326,   327,   328,  1228,
    1229,   330,     0,   331,   332,  1230,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1231,     0,  1232,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,  1233,  1234,     0,  1235,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1236,   387,   388,   389,     0,   390,   391,   392,  1237,  1238,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1239,   410,  1240,   412,
     413,   414,   415,   416,   417,   418,   419,  1241,   421,     0,
     422,   423,   424,   425,  1243,  1244,   427,  1245,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,   440,   441,   442,  1247,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
    1248,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,  1249,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,  2714,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
    1251,   511,   512,   513,   514,   515,   516,   517,   518,  1252,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,  1253,   535,     0,   536,   537,
       0,   538,   539,   540,   541,   542,   543,   544,     0,   545,
    1254,  1255,     0,     0,   548,   549,  1256,   551,  1257,  1258,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,  1260,     0,   566,   567,   568,
     569,   570,   571,  1261,     0,   573,   574,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,  1262,  1263,  1264,  1265,  4489,  1266,  1267,
    1268,  1269,   596,   597,   598,   599,   226,     0,  1202,   667,
       0,  1203,  1204,  1205,   727,  1206,     0,     0,     0,     0,
       0,     0,  2717,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,  1207,
       0,     0,   238,   239,     0,   240,   241,   242,   243,   244,
     245,   246,     0,  1208,   249,  1209,  1210,     0,   252,   253,
     254,   255,   256,   257,  1211,  1212,   258,   259,  1213,  1214,
     262,     0,   263,   264,   265,   266,  1215,     0,  1216,     0,
     269,   270,   271,   272,   273,   274,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,   284,   285,   286,
     287,  1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,   290,
     291,   292,   293,   294,  1224,  1225,   297,  1226,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,  1057,   312,   313,     0,   314,
     315,   316,     0,   317,     0,   319,     0,   320,   321,   322,
     323,  1227,   325,   326,   327,   328,  1228,  1229,   330,     0,
     331,   332,  1230,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1231,     0,  1232,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1233,
    1234,     0,  1235,     0,   375,     0,     0,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1236,   387,   388,
       0,     0,   390,   391,   392,  1237,  1238,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1239,   410,  1240,   412,   413,   414,   415,
     416,   417,   418,   419,  1241,   421,  1242,   422,   423,     0,
     425,  1243,  1244,   427,  1245,   429,   430,   431,     0,   432,
     433,     0,     0,  1246,   435,   436,     0,     0,   437,   438,
     439,   440,   441,   442,  1247,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,  1248,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,  1249,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,  1250,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,  1251,   511,   512,
     513,   514,   515,     0,   517,   518,  1252,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,  1253,   535,     0,   536,   537,     0,   538,   539,
     540,   541,   542,   543,   544,     0,   545,  1254,  1255,     0,
       0,   548,   549,  1256,   551,  1257,  1258,   553,   554,   555,
     556,   557,   558,   559,   560,     0,  1259,   561,   562,   563,
     564,   565,  1260,     0,   566,   567,   568,   569,   570,   571,
    1261,     0,   573,   574,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
    1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,   596,
     597,   598,   599,   226,     0,     0,     0,     0,     0,     0,
    1271,  1272,     0,     0,     0,     0,     0,     0,     0,  1274,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,  1212,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,  1215,     0,  1216,     0,   269,   270,   271,
     272,   273,   274,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,   284,   285,   286,   287,  1217,  1218,
    1219,  1220,  1221,  1222,  1223,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,  1228,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1231,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,  3527,     0,   385,  1236,   387,   388,   389,     0,   390,
     391,   392,  1237,  1238,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,  1241,   421,     0,   422,   423,   424,   425,     0,  1244,
     427,   428,   429,   430,   431,     0,   432,   433,     0,   816,
     434,   435,   436,     0,     0,   437,   438,   439,   440,   441,
     442,  1247,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,  1248,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,  3528,
     498,   499,   500,   501,   502,   503,   504,   505,    40,   506,
     507,   508,   509,   510,  1251,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,  1253,
     535,     0,   536,   537,    44,   538,   539,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
    1256,   551,  1257,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,  1260,
       0,   566,   567,   568,   569,   570,  1136,   572,     0,   573,
     574,   575,   576,   577,   578,     0,     0,   579,     0,    49,
     580,   581,   582,   583,   584,   585,   586,  1262,  1263,  1264,
    1265,   591,  1266,  1267,  1268,  1269,  3529,   597,   598,   599,
     226,     0,    50,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3530,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,  1212,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
    1215,     0,  1216,     0,   269,   270,   271,   272,   273,   274,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,   284,   285,   286,   287,  1217,  1218,  1219,  1220,  1221,
    1222,  1223,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
    1228,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1231,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,  3527,     0,
     385,  1236,   387,   388,   389,     0,   390,   391,   392,  1237,
    1238,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,  1241,   421,
       0,   422,   423,   424,   425,     0,  1244,   427,   428,   429,
     430,   431,     0,   432,   433,     0,   816,   434,   435,   436,
       0,     0,   437,   438,   439,   440,   441,   442,  1247,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,  1248,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  3528,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,  1251,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,  1253,   535,     0,   536,
     537,     0,   538,   539,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   548,   549,  1256,   551,  1257,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,  1260,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,  1262,  1263,  1264,  1265,   591,  1266,
    1267,  1268,  1269,  3529,   597,   598,   599,   226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3530,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,  1212,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,  1215,     0,  1216,
       0,   269,   270,   271,   272,   273,   274,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,   284,   285,
     286,   287,  1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,  1228,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1231,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1236,   387,
     388,   389,     0,   390,   391,   392,  1237,  1238,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,  1241,   421,     0,   422,   423,
     424,   425,     0,  1244,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,   440,   441,   442,  1247,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,  1248,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,  3528,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,  1251,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,  1253,   535,     0,   536,   537,     0,   538,
     539,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,  1256,   551,  1257,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,  1260,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,  1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,
    3529,   597,   598,   599,   226,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      51,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,  1212,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,  1215,     0,  1216,     0,   269,   270,
     271,   272,   273,   274,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,   284,   285,   286,   287,  1217,
    1218,  1219,  1220,  1221,  1222,  1223,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,  1228,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1231,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1236,   387,   388,   389,     0,
     390,   391,   392,  1237,  1238,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,  1241,   421,     0,   422,   423,   424,   425,     0,
    1244,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,   440,
     441,   442,  1247,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,  1248,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,  1251,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
    1253,   535,     0,   536,   537,     0,   538,   539,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,  1256,   551,  1257,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
    1260,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,  1262,  1263,
    1264,  1265,   591,  1266,  1267,  1268,  1269,   596,   597,   598,
     599,   226,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4130,   227,   228,
     229,   230,   231,   232,   233,   234,     0,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
    1212,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,  1215,     0,  1216,     0,   269,   270,   271,   272,   273,
     274,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,   284,   285,   286,   287,  1217,  1218,  1219,  1220,
    1221,  1222,  1223,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
     311,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,  1228,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1231,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1236,   387,   388,   389,     0,   390,   391,   392,
    1237,  1238,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,  1241,
     421,     0,   422,   423,   424,   425,     0,  1244,   427,   428,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,   439,   440,   441,   442,  1247,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,  1248,   456,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,  1251,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,  1253,   535,     0,
     536,   537,     0,   538,   539,   540,   541,   542,   543,   544,
       0,   545,   546,   547,     0,     0,   548,   549,  1256,   551,
    1257,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,  1260,     0,   566,
     567,   568,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,  1262,  1263,  1264,  1265,   591,
    1266,  1267,  1268,  1269,   596,   597,   598,   599,   870,     0,
    1485,   667,     0,     0,     0,     0,   727,     0,     0,     0,
       0,     0,     0,     0,  5227,   227,   228,   229,   230,   231,
     232,   233,   234,     0,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
     268,     0,   269,   270,   271,   272,   273,   274,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,   284,
     285,   286,   287,     0,     0,     0,   288,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,  1891,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,  1892,     0,   434,   435,   436,     0,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,   539,   540,   541,   542,   543,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,  1893,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   870,     0,     0,     0,     0,
       0,     0,  1486,  1487,  5041,     0,     0,     0,     0,     0,
       0,  5042,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     3,     4,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,     0,   268,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,   287,
       0,     0,     0,   288,     0,     0,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
      40,   506,   507,   508,   509,   510,     0,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,    44,   538,   539,   540,
     541,   542,   543,   544,     0,   545,   546,   547,     0,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,  1136,   572,
       0,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,    49,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   226,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    51,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,   268,     0,   269,   270,   271,   272,
     273,   274,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,   284,   285,   286,   287,     0,     0,     0,
     288,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,   386,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,   539,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   607,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4824,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,     0,   244,   245,   246,   247,   248,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,     0,     0,   269,   270,   271,   272,   273,     0,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
       0,   285,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,     0,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,     0,   441,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,    40,   506,   507,   508,   509,   510,
       0,   511,   512,   513,   514,   515,     0,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
      44,   538,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,  1136,   572,     0,   573,     0,   575,   576,   577,
     578,     0,     0,   579,     0,    49,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   607,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    51,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,     0,   244,
     245,   246,   247,   248,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,     0,     0,
     269,   270,   271,   272,   273,     0,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,     0,   285,   286,
     287,     0,     0,     0,     0,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,     0,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,     0,   441,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
     513,   514,   515,     0,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,     0,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1332,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,     0,   244,   245,   246,   247,
     248,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,     0,     0,   269,   270,   271,
     272,   273,     0,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,     0,   285,   286,   287,     0,     0,
       0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,     0,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,     0,   441,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,     0,   511,   512,   513,   514,   515,
       0,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
       0,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2878,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,     0,   244,   245,   246,   247,   248,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,     0,     0,     0,   269,   270,   271,   272,   273,     0,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,     0,   285,   286,   287,     0,     0,     0,     0,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,     0,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,     0,   441,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,     0,   511,   512,   513,   514,   515,     0,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,     0,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4044,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,     0,
     244,   245,   246,   247,   248,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,     0,     0,
       0,   269,   270,   271,   272,   273,     0,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,     0,   285,
     286,   287,     0,     0,     0,     0,     0,     0,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
       0,   425,     0,   426,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,     0,   441,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,     0,   511,
     512,   513,   514,   515,     0,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,     0,   538,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,     0,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,     0,     0,  1049,     0,  1485,
     667,     0,     0,     0,   884,   727,     0,     0,     0,     0,
    4506,   885,   886,   887,   227,   228,   229,   230,   231,   232,
     233,   234,  1618,   235,   236,   237,  1619,  1620,  1621,  1622,
    1623,  1624,  1625,   238,   239,  1626,   240,   241,   242,   243,
     244,   245,   246,     0,  1050,   249,  1051,  1052,  1627,   252,
     253,   254,   255,   256,   257,  1628,  1629,   258,   259,  1053,
    1054,   262,  1630,   263,   264,   265,   266,     0,  1631,   268,
    1632,   269,   270,   271,   272,   273,   274,   275,   276,   277,
    1633,   278,   279,   280,   281,   282,   283,  1634,   284,   285,
     286,   287,  1635,  1636,  1637,   288,  1638,  1639,  1640,   289,
     290,   291,   292,   293,   294,  1055,  1056,   297,  1641,   298,
    1642,   299,   300,   301,   302,   303,   304,  1643,   305,   306,
     307,   308,  1644,  1645,   309,   310,  1057,   312,   313,  1646,
     314,   315,   316,  1647,   317,   318,   319,  1648,   320,   321,
     322,   323,     0,   325,   326,   327,   328,     0,  1649,   330,
    1650,   331,   332,  1058,   334,  1651,   335,  1652,   336,   337,
    1653,   338,   339,   340,   341,   342,  1654,   343,     0,  1655,
       0,   346,   347,  1656,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,  1657,   358,   359,   360,   361,   362,
     363,   364,  1658,   365,   366,     0,   368,   369,   370,   371,
    1060,  1061,  1659,  1062,  1660,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,  1661,  1662,   385,     0,   387,
     388,   389,  1663,   390,   391,   392,  1664,  1665,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1063,   410,  1064,   412,   413,   414,
     415,   416,   417,   418,  3793,     0,   421,  1666,   422,   423,
     424,   425,  1667,     0,   427,  1065,   429,   430,   431,  1668,
     432,   433,  1669,  1670,  3794,   435,   436,  1671,  1672,   437,
     438,     0,   440,   441,   442,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,  1673,   453,   454,     0,   456,
       0,   458,   459,   460,  1674,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,  1066,   472,   473,   474,   475,
    1675,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,  1676,   488,   489,   490,   491,   492,   493,
     494,   495,     0,   497,   498,   499,   500,   501,   502,   503,
     504,   505,  1677,   506,   507,   508,   509,   510,  1678,   511,
     512,  2148,   514,   515,   516,   517,   518,  1068,   520,  1679,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,     0,   535,  1680,   536,   537,  1681,   538,
     539,   540,   541,   542,   543,   544,  1682,   545,  1069,  1070,
    1683,  1684,   548,   549,     0,   551,     0,  1685,   553,   554,
     555,   556,   557,   558,   559,   560,  1686,  1687,   561,   562,
     563,   564,   565,  1688,  1689,   566,   567,   568,   569,   570,
       0,  1071,  1690,   573,   574,   575,   576,   577,   578,  1691,
    1692,   579,  1693,  1694,   580,   581,   582,   583,   584,   585,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   597,   598,   599,     0,     0,     0,   890,   891,   892,
       0,  3795,  3796,   895,   896,   897,   898,  1049,     0,  1485,
     667,     0,     0,     0,   884,   727,     0,     0,     0,     0,
       0,   885,   886,   887,   227,   228,   229,   230,   231,   232,
     233,   234,  1618,   235,   236,   237,  1619,  1620,  1621,  1622,
    1623,  1624,  1625,   238,   239,  1626,   240,   241,   242,   243,
     244,   245,   246,     0,  1050,   249,  1051,  1052,  1627,   252,
     253,   254,   255,   256,   257,  1628,  1629,   258,   259,  1053,
    1054,   262,  1630,   263,   264,   265,   266,     0,  1631,   268,
    1632,   269,   270,   271,   272,   273,   274,   275,   276,   277,
    1633,   278,   279,   280,   281,   282,   283,  1634,   284,   285,
     286,   287,  1635,  1636,  1637,   288,  1638,  1639,  1640,   289,
     290,   291,   292,   293,   294,  1055,  1056,   297,  1641,   298,
    1642,   299,   300,   301,   302,   303,   304,  1643,   305,   306,
     307,   308,  1644,  1645,   309,   310,  1057,   312,   313,  1646,
     314,   315,   316,  1647,   317,   318,   319,  1648,   320,   321,
     322,   323,     0,   325,   326,   327,   328,     0,  1649,   330,
    1650,   331,   332,  1058,   334,  1651,   335,  1652,   336,   337,
    1653,   338,   339,   340,   341,   342,  1654,   343,     0,  1655,
       0,   346,   347,  1656,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,  1657,   358,   359,   360,   361,   362,
     363,   364,  1658,   365,   366,     0,   368,   369,   370,   371,
    1060,  1061,  1659,  1062,  1660,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,  1661,  1662,   385,     0,   387,
     388,   389,  1663,   390,   391,   392,  1664,  1665,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1063,   410,  1064,   412,   413,   414,
     415,   416,   417,   418,  4220,     0,   421,  1666,   422,   423,
     424,   425,  1667,     0,   427,  1065,   429,   430,   431,  1668,
     432,   433,  1669,  1670,  3794,   435,   436,  1671,  1672,   437,
     438,     0,   440,   441,   442,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,  1673,   453,   454,     0,   456,
       0,   458,   459,   460,  1674,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,  1066,   472,   473,   474,   475,
    1675,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,  1676,   488,   489,   490,   491,   492,   493,
     494,   495,     0,   497,   498,   499,   500,   501,   502,   503,
     504,   505,  1677,   506,   507,   508,   509,   510,  1678,   511,
     512,  2148,   514,   515,   516,   517,   518,  1068,   520,  1679,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,     0,   535,  1680,   536,   537,  1681,   538,
     539,   540,   541,   542,   543,   544,  1682,   545,  1069,  1070,
    1683,  1684,   548,   549,     0,   551,     0,  1685,   553,   554,
     555,   556,   557,   558,   559,   560,  1686,  1687,   561,   562,
     563,   564,   565,  1688,  1689,   566,   567,   568,   569,   570,
       0,  1071,  1690,   573,   574,   575,   576,   577,   578,  1691,
    1692,   579,  1693,  1694,   580,   581,   582,   583,   584,   585,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   597,   598,   599,     0,     0,     0,   890,   891,   892,
     607,  3795,  3796,   895,   896,   897,   898,   884,     0,     0,
       0,     0,     0,     0,   885,   886,   887,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,     0,   244,   245,   246,   247,   248,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,   260,   261,   262,     0,   263,   888,   265,   266,
     267,     0,     0,     0,   269,   270,   271,   272,   273,     0,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,     0,   285,   286,   287,     0,     0,     0,     0,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   889,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,     0,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,     0,   441,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,     0,   511,   512,   513,   514,   515,     0,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,     0,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,     0,     0,
     890,   891,   892,   607,   893,   894,   895,   896,   897,   898,
     884,     0,     0,     0,     0,     0,     0,   885,   886,   887,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,     0,   244,   245,   246,   247,
     248,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     999,   265,   266,   267,     0,     0,     0,   269,   270,   271,
     272,   273,     0,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,     0,   285,   286,   287,     0,     0,
       0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,  1000,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,     0,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,     0,   441,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,     0,   511,   512,   513,   514,   515,
       0,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
       0,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,     0,     0,   890,   891,   892,   607,   893,   894,   895,
     896,   897,   898,   884,     0,     0,     0,     0,     0,     0,
     885,   886,   887,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,     0,   244,
     245,   246,   247,   248,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,  1099,   265,   266,   267,     0,     0,     0,
     269,   270,   271,   272,   273,     0,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,     0,   285,   286,
     287,     0,     0,     0,     0,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,  1100,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,  1101,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,     0,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,     0,   441,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
     513,   514,   515,     0,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,     0,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,     0,     0,   890,   891,   892,   607,
     893,   894,   895,   896,   897,   898,   884,     0,     0,     0,
       0,     0,     0,   885,   886,   887,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,     0,   244,   245,   246,   247,   248,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,  1713,   265,   266,   267,
       0,     0,     0,   269,   270,   271,   272,   273,     0,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
       0,   285,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,  1714,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,     0,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,     0,   441,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
       0,   511,   512,   513,   514,   515,     0,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
       0,   538,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,     0,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,     0,     0,   890,
     891,   892,   607,   893,   894,   895,   896,   897,   898,   884,
       0,     0,     0,     0,     0,     0,   885,   886,   887,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,     0,   244,   245,   246,   247,   248,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,     0,     0,   269,   270,   271,   272,
     273,     0,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,     0,   285,   286,   287,     0,     0,     0,
       0,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,     0,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,     0,   441,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,     0,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,     0,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
       0,     0,   890,   891,   892,   607,   893,   894,   895,   896,
     897,   898,   884,     0,     0,     0,     0,     0,     0,   885,
     886,   887,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,     0,   244,   245,
     246,   247,   248,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
       0,   263,  2949,   265,   266,   267,     0,     0,     0,   269,
     270,   271,   272,   273,     0,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,     0,   285,   286,   287,
       0,     0,     0,     0,     0,     0,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,  2950,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,     0,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
       0,   441,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,     0,   511,   512,   513,
     514,   515,     0,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,     0,   538,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,     0,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
       0,   573,     0,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,     0,     0,   890,   891,   892,   607,   893,
     894,   895,   896,   897,   898,   884,     0,     0,     0,     0,
       0,     0,   885,   886,   887,   227,   228,   229,   230,   231,
     232,   233,   234,     0,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
       0,   244,   245,   246,   247,   248,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
       0,     0,   269,   270,   271,   272,   273,     0,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,     0,
     285,   286,   287,     0,     0,     0,     0,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,     0,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,  4801,   435,   436,     0,     0,
     437,   438,   439,     0,   441,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,     0,
     511,   512,   513,   514,   515,     0,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,     0,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,  1617,     0,     0,   890,   891,
     892,     0,   893,   894,   895,   896,   897,   898,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
    1618,   235,   236,   237,  1619,  1620,  1621,  1622,  1623,  1624,
    1625,   238,   239,  1626,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,  1627,   252,   253,   254,
     255,   256,   257,  1628,  1629,   258,   259,   260,   261,   262,
    1630,   263,   264,   265,   266,   267,  1631,   268,  1632,   269,
     270,   271,   272,   273,   274,   275,   276,   277,  1633,   278,
     279,   280,   281,   282,   283,  1634,   284,   285,   286,   287,
    1635,  1636,  1637,   288,  1638,  1639,  1640,   289,   290,   291,
     292,   293,   294,   295,   296,   297,  1641,   298,  1642,   299,
     300,   301,   302,   303,   304,  1643,   305,   306,   307,   308,
    1644,  1645,   309,   310,   311,   312,   313,  1646,   314,   315,
     316,  1647,   317,   318,   319,  1648,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,  1649,   330,  1650,   331,
     332,   333,   334,  1651,   335,  1652,   336,   337,  1653,   338,
     339,   340,   341,   342,  1654,   343,   344,  1655,   345,   346,
     347,  1656,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,  1657,   358,   359,   360,   361,   362,   363,   364,
    1658,   365,   366,   367,   368,   369,   370,   371,   372,   373,
    1659,   374,  1660,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,  1661,  1662,   385,   386,   387,   388,   389,
    1663,   390,   391,   392,  1664,  1665,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,  1666,   422,   423,   424,   425,
    1667,   426,   427,   428,   429,   430,   431,  1668,   432,   433,
    1669,  1670,   434,   435,   436,  1671,  1672,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,  1673,   453,   454,   455,   456,   457,   458,
     459,   460,  1674,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,  1675,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,  1676,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
    1677,   506,   507,   508,   509,   510,  1678,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,  1679,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,  1680,   536,   537,  1681,   538,   539,   540,
     541,   542,   543,   544,  1682,   545,   546,   547,  1683,  1684,
     548,   549,   550,   551,   552,  1685,   553,   554,   555,   556,
     557,   558,   559,   560,  1686,  1687,   561,   562,   563,   564,
     565,  1688,  1689,   566,   567,   568,   569,   570,   571,   572,
    1690,   573,   574,   575,   576,   577,   578,  1691,  1692,   579,
    1693,  1694,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   607,     0,     0,     0,     0,     0,     0,     0,
       0,  1695,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,     0,   244,   245,   246,   247,   248,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,     0,     0,   269,   270,   271,   272,
     273,     0,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,     0,   285,   286,   287,     0,     0,     0,
       0,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,     0,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,     0,   441,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,     0,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,     0,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   607,
       0,     0,     0,     0,     0,     0,     0,     0,   821,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,     0,   244,   245,   246,   247,   248,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,     0,     0,   269,   270,   271,   272,   273,     0,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
       0,   285,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,     0,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,     0,   441,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
       0,   511,   512,   513,   514,   515,     0,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
       0,   538,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,     0,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,  1049,     0,     0,     0,
       0,     0,     0,     0,     0,  5192,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,   243,   244,
     245,   246,     0,  1050,   249,  1051,  1052,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,  1053,  1054,
     262,     0,   263,   264,   265,   266,     0,     0,   268,     0,
     269,   270,   271,   272,   273,   274,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,   284,   285,   286,
     287,     0,     0,     0,   288,     0,     0,     0,   289,   290,
     291,   292,   293,   294,  1055,  1056,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,  1057,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,     0,   325,   326,   327,   328,     0,     0,   330,     0,
     331,   332,  1058,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,     0,     0,     0,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,  2144,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,  2145,   368,   369,   370,   371,  1060,
    1061,     0,  1062,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,     0,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1063,   410,  1064,   412,   413,   414,   415,
     416,   417,   418,     0,     0,   421,     0,   422,   423,   424,
     425,     0,     0,   427,  1065,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,  2146,   437,   438,
    2147,   440,   441,   442,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,     0,   456,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,  1066,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,     0,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
    2148,   514,   515,   516,   517,   518,  1068,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,     0,   535,     0,   536,   537,     0,   538,   539,
     540,   541,   542,   543,   544,     0,   545,  1069,  1070,     0,
       0,   548,   549,     0,   551,     0,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
    1071,  2149,   573,   574,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,     0,
       0,     0,     0,     0,     0,     0,  3290,     0,     0,     0,
     597,   598,   599,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2150,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,   243,   244,
     245,   246,     0,  1050,   249,  1051,  1052,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,  1053,  1054,
     262,     0,   263,   264,   265,   266,     0,     0,   268,     0,
     269,   270,   271,   272,   273,   274,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,   284,   285,   286,
     287,     0,     0,     0,   288,     0,     0,     0,   289,   290,
     291,   292,   293,   294,  1055,  1056,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,  1057,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,     0,   325,   326,   327,   328,     0,     0,   330,     0,
     331,   332,  1058,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,     0,     0,     0,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,  2144,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,  2145,   368,   369,   370,   371,  1060,
    1061,     0,  1062,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,     0,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1063,   410,  1064,   412,   413,   414,   415,
     416,   417,   418,     0,     0,   421,     0,   422,   423,   424,
     425,     0,     0,   427,  1065,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,  2146,   437,   438,
    2147,   440,   441,   442,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,     0,   456,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,  1066,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,     0,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
    2148,   514,   515,   516,   517,   518,  1068,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,     0,   535,     0,   536,   537,     0,   538,   539,
     540,   541,   542,   543,   544,     0,   545,  1069,  1070,     0,
       0,   548,   549,     0,   551,     0,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
    1071,  2149,   573,   574,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,     0,
       0,     0,     0,     0,     0,     0,   870,     0,  1485,   667,
     597,   598,   599,     0,   727,     0,     0,     0,     0,     0,
       0,     0,  2150,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,   268,     0,
     269,   270,   271,   272,   273,   274,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,   284,   285,   286,
     287,     0,     0,     0,   288,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,  2072,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,  1891,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,   386,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,  1892,     0,   434,   435,   436,     0,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,   539,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,  1893,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   870,     0,  1485,   667,     0,     0,
    1486,  1487,   727,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,   268,     0,   269,   270,
     271,   272,   273,   274,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,   284,   285,   286,   287,     0,
       0,     0,   288,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,  2077,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,  1891,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,  1892,
       0,   434,   435,   436,     0,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,   539,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,  1893,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   870,     0,  1485,   667,     0,     0,  1486,  1487,
     727,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,   268,     0,   269,   270,   271,   272,
     273,   274,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,   284,   285,   286,   287,     0,     0,     0,
     288,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,  1891,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,   386,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,  1892,     0,   434,
     435,   436,     0,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,   539,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,  1893,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     870,     0,     0,   667,     0,     0,  1486,  1487,   727,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,     0,   268,     0,   269,   270,   271,   272,   273,   274,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,   284,   285,   286,   287,     0,     0,     0,   288,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,  2910,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,  1891,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,  1892,     0,   434,   435,   436,
       0,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,     0,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,   539,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   548,   549,   550,   551,   552,
    1893,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   607,     0,
       0,     0,     0,     0,   739,   740,   727,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   728,   229,   230,   231,
     232,   233,   234,   729,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
       0,   730,   245,   246,   247,   248,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
       0,     0,   269,   270,   271,   272,   273,     0,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,     0,
     285,   286,   287,     0,     0,     0,     0,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   731,   333,   334,     0,   335,     0,   732,
       0,   733,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,   734,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   735,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   736,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,     0,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,   439,     0,   441,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   737,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   738,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,     0,
     511,   512,   513,   514,   515,     0,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,     0,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,  1617,     0,  5406,   667,
       0,     0,   739,   740,   727,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,  1618,   235,   236,   237,  1619,  1620,  1621,  1622,  1623,
    1624,  1625,   238,   239,  1626,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,  1627,   252,   253,
     254,   255,   256,   257,  1628,  1629,   258,   259,   260,   261,
     262,  1630,   263,   264,   265,   266,   267,  1631,   268,  1632,
     269,   270,   271,   272,   273,   274,   275,   276,   277,  1633,
     278,   279,   280,   281,   282,   283,  1634,   284,   285,   286,
     287,  1635,  1636,  1637,   288,  1638,  1639,  1640,   289,   290,
     291,   292,   293,   294,   295,   296,   297,  1641,   298,  1642,
     299,   300,   301,   302,   303,   304,  1643,   305,   306,   307,
     308,  1644,  1645,   309,   310,   311,   312,   313,  1646,   314,
     315,   316,  1647,   317,   318,   319,  1648,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,  1649,   330,  1650,
     331,   332,   333,   334,  1651,   335,  1652,   336,   337,  1653,
     338,   339,   340,   341,   342,  1654,   343,   344,  1655,   345,
     346,   347,  1656,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,  1657,   358,   359,   360,   361,   362,   363,
     364,  1658,   365,   366,   367,   368,   369,   370,   371,   372,
     373,  1659,   374,  1660,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,  1661,  1662,   385,   386,   387,   388,
     389,  1663,   390,   391,   392,  1664,  1665,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1666,   422,   423,   424,
     425,  1667,   426,   427,   428,   429,   430,   431,  1668,   432,
     433,  1669,  1670,   434,   435,   436,  1671,  1672,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,  1673,   453,   454,   455,   456,   457,
     458,   459,   460,  1674,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,  1675,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,  1676,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,  1677,   506,   507,   508,   509,   510,  1678,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,  1679,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,  1680,   536,   537,  1681,   538,   539,
     540,   541,   542,   543,   544,  1682,   545,   546,   547,  1683,
    1684,   548,   549,   550,   551,   552,  1685,   553,   554,   555,
     556,   557,   558,   559,   560,  1686,  1687,   561,   562,   563,
     564,   565,  1688,  1689,   566,   567,   568,   569,   570,   571,
     572,  1690,   573,   574,   575,   576,   577,   578,  1691,  1692,
     579,  1693,  1694,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,  1617,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,  1618,   235,
     236,   237,  1619,  1620,  1621,  1622,  1623,  1624,  1625,   238,
     239,  1626,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,  1627,   252,   253,   254,   255,   256,
     257,  1628,  1629,   258,   259,   260,   261,   262,  1630,   263,
     264,   265,   266,   267,  1631,   268,  1632,   269,   270,   271,
     272,   273,   274,   275,   276,   277,  1633,   278,   279,   280,
     281,   282,   283,  1634,   284,   285,   286,   287,  1635,  1636,
    1637,   288,  1638,  1639,  1640,   289,   290,   291,   292,   293,
     294,   295,   296,   297,  1641,   298,  1642,   299,   300,   301,
     302,   303,   304,  1643,   305,   306,   307,   308,  1644,  1645,
     309,   310,   311,   312,   313,  1646,   314,   315,   316,  1647,
     317,   318,   319,  1648,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,  1649,   330,  1650,   331,   332,   333,
     334,  1651,   335,  1652,   336,   337,  1653,   338,   339,   340,
     341,   342,  1654,   343,   344,  1655,   345,   346,   347,  1656,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    1657,   358,   359,   360,   361,   362,   363,   364,  1658,   365,
     366,   367,   368,   369,   370,   371,   372,   373,  1659,   374,
    1660,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,  1661,  1662,   385,   386,   387,   388,   389,  1663,   390,
     391,   392,  1664,  1665,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,  1666,   422,   423,   424,   425,  1667,   426,
     427,   428,   429,   430,   431,  1668,   432,   433,  1669,  1670,
     434,   435,   436,  1671,  1672,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,  1673,   453,   454,   455,   456,   457,   458,   459,   460,
    1674,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,  1675,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,  1676,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,  1677,   506,
     507,   508,   509,   510,  1678,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,  1679,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,  1680,   536,   537,  1681,   538,   539,   540,   541,   542,
     543,   544,  1682,   545,   546,   547,  1683,  1684,   548,   549,
     550,   551,   552,  1685,   553,   554,   555,   556,   557,   558,
     559,   560,  1686,  1687,   561,   562,   563,   564,   565,  1688,
    1689,   566,   567,   568,   569,   570,   571,   572,  1690,   573,
     574,   575,   576,   577,   578,  1691,  1692,   579,  1693,  1694,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
    1617,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,  3015,   232,   233,   234,  1618,   235,   236,   237,  1619,
    1620,  1621,  1622,  1623,  1624,  1625,   238,   239,  1626,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,  1627,   252,   253,   254,   255,   256,   257,  1628,  1629,
     258,   259,   260,   261,   262,  1630,   263,   264,   265,   266,
     267,  1631,   268,  1632,   269,   270,   271,   272,   273,   274,
     275,   276,   277,  1633,   278,   279,   280,   281,   282,   283,
    1634,   284,   285,   286,   287,  1635,  1636,  1637,   288,  1638,
    1639,  1640,   289,   290,   291,   292,   293,   294,   295,   296,
     297,  1641,   298,  1642,   299,   300,   301,   302,   303,   304,
    1643,   305,   306,   307,   308,  1644,  1645,   309,   310,   311,
    3016,   313,  1646,   314,   315,   316,  1647,   317,   318,   319,
    1648,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,  1649,   330,  1650,   331,   332,   333,   334,  1651,   335,
    1652,   336,   337,  1653,   338,   339,   340,   341,   342,  1654,
     343,   344,  1655,   345,   346,   347,  1656,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,  1657,   358,   359,
     360,   361,   362,   363,   364,  1658,   365,   366,   367,   368,
     369,   370,   371,   372,   373,  1659,   374,  1660,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,  1661,  1662,
     385,   386,   387,   388,   389,  1663,   390,   391,   392,  1664,
    1665,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
    1666,   422,   423,   424,   425,  1667,   426,   427,   428,   429,
     430,   431,  1668,   432,   433,  1669,  1670,   434,   435,   436,
    1671,  1672,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,  1673,   453,
     454,   455,   456,   457,   458,   459,   460,  1674,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,  1675,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,  1676,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,  1677,   506,   507,   508,   509,
     510,  1678,  3017,   512,   513,   514,   515,   516,   517,   518,
     519,   520,  1679,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,  1680,   536,
     537,  1681,   538,   539,   540,   541,   542,   543,   544,  1682,
     545,   546,   547,  1683,  1684,   548,   549,   550,   551,   552,
    1685,   553,   554,   555,   556,   557,   558,   559,   560,  1686,
    1687,   561,   562,   563,   564,   565,  1688,  1689,   566,   567,
     568,   569,   570,   571,   572,  1690,   573,   574,   575,   576,
     577,   578,  1691,  1692,   579,  1693,  1694,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,  1212,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,  1215,     0,  1216,
       0,   269,   270,   271,   272,   273,   274,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,   284,   285,
     286,   287,  1217,  1218,  1219,  1220,  1221,  1222,  1223,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,  1228,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1231,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1236,   387,
     388,   389,     0,   390,   391,   392,  1237,  1238,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,  1241,   421,     0,   422,   423,
     424,   425,     0,  1244,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,   440,   441,   442,  1247,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,  1248,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,  1251,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,  1253,   535,     0,   536,   537,     0,   538,
     539,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,  1256,   551,  1257,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,  1260,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,  1262,  1263,  1264,  1265,   591,  1266,  1267,  1268,  1269,
     596,   597,   598,   599,   870,     0,     0,   667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,   268,     0,   269,   270,
     271,   272,   273,   274,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,   284,   285,   286,   287,     0,
       0,     0,   288,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,  1891,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,  1892,
       0,   434,   435,   436,     0,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,   539,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,  1893,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   870,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,   908,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,     0,   268,     0,   269,   270,   271,   272,   273,
     274,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,   284,   285,   286,   287,     0,     0,     0,   288,
       0,     0,   871,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
     311,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,   424,   425,     0,   426,   427,   428,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,   872,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,     0,   538,   539,   540,   541,   542,   543,   544,
       0,   545,   546,   547,     0,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   870,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,   929,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
     268,     0,   269,   270,   271,   272,   273,   274,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,   284,
     285,   286,   287,     0,     0,     0,   288,     0,     0,   871,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   930,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,   872,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,   539,   540,   541,   542,   543,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,     0,   268,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,   287,
       0,     0,     0,   288,     0,     0,   871,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,   872,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,     0,   538,   539,   540,
     541,   542,   543,   544,     0,   545,   546,   547,     0,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,  2401,     0,   566,   567,   568,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   870,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,   268,     0,   269,   270,   271,   272,
     273,   274,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,   284,   285,   286,   287,     0,     0,     0,
     288,     0,     0,   871,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,   344,  3371,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,   386,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,   872,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,   539,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,   268,     0,   269,   270,   271,   272,   273,   274,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
     284,   285,   286,   287,     0,     0,     0,   288,     0,     0,
     871,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,   424,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
     872,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
       0,   538,   539,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,   268,     0,
     269,   270,   271,   272,   273,   274,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,   284,   285,   286,
     287,     0,     0,     0,   288,     0,     0,   871,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,   386,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,  1018,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,   872,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,   539,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   870,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,   268,     0,   269,   270,   271,
     272,   273,   274,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,   284,   285,   286,   287,     0,     0,
       0,   288,     0,     0,   871,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1094,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,   872,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,   539,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     870,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,     0,   268,     0,   269,   270,   271,   272,   273,   274,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,   284,   285,   286,   287,     0,     0,     0,   288,     0,
       0,   871,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1107,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,   872,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,   539,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,     0,   268,
       0,   269,   270,   271,   272,   273,   274,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,   284,   285,
     286,   287,     0,     0,     0,   288,     0,     0,   871,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1119,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,  1120,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
     424,   425,     0,   426,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,   872,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,     0,   538,
     539,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,   574,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   870,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     3,     4,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,   268,     0,   269,   270,
     271,   272,   273,   274,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,   284,   285,   286,   287,     0,
       0,     0,   288,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,   386,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,   424,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,   539,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,   574,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   870,     0,     0,   667,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,     0,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,     0,   268,     0,   269,   270,   271,   272,   273,
     274,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,   284,   285,   286,   287,     0,     0,     0,   288,
       0,     0,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,  2057,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
     311,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,   386,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,   424,   425,     0,   426,   427,   428,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,     0,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,     0,   538,   539,   540,   541,   542,   543,   544,
       0,   545,   546,   547,     0,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,     0,   573,   574,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   870,     0,
       0,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,     0,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
     268,     0,   269,   270,   271,   272,   273,   274,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,   284,
     285,   286,   287,     0,     0,     0,   288,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,   424,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,   539,   540,   541,   542,   543,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,   574,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   226,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,     0,   268,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,   287,
       0,     0,     0,   288,     0,     0,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,   424,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,     0,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,     0,   538,   539,   540,
     541,   542,   543,   544,     0,   545,   546,   547,     0,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
       0,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   226,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,   268,     0,   269,   270,   271,   272,
     273,   274,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,   284,   285,   286,   287,     0,     0,     0,
     288,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,  1042,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,   386,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,   424,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,   539,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,   574,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   226,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,   268,     0,   269,   270,   271,   272,   273,   274,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
     284,   285,   286,   287,     0,     0,     0,   288,     0,     0,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1091,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
     386,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,   424,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
       0,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
       0,   538,   539,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,   574,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   226,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,   268,     0,
     269,   270,   271,   272,   273,   274,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,   284,   285,   286,
     287,     0,     0,     0,   288,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,  1105,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,   386,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,   424,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,   539,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,   574,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,   268,     0,   269,   270,   271,
     272,   273,   274,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,   284,   285,   286,   287,     0,     0,
       0,   288,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1109,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,   424,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,     0,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,   539,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
     574,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     870,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,     0,   268,     0,   269,   270,   271,   272,   273,   274,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,   284,   285,   286,   287,     0,     0,     0,   288,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,   424,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,     0,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,   539,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,   574,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,     0,
     244,   245,   246,   247,   248,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,   260,
     261,   262,  2184,   263,   264,   265,   266,   267,     0,     0,
    2253,   269,   270,   271,   272,   273,     0,   275,   276,   277,
    2185,   278,   279,   280,   281,   282,   283,     0,     0,   285,
     286,   287,     0,     0,     0,     0,     0,     0,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,  2254,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,  2187,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  2255,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
       0,   425,     0,   426,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,     0,   441,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,   459,   460,  2188,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,     0,   511,
     512,   513,   514,   515,     0,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,     0,   538,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,  2189,   561,   562,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,     0,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,     0,   244,   245,   246,
     247,   248,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,  2184,
     263,   264,   265,   266,   267,     0,     0,     0,   269,   270,
     271,   272,   273,     0,   275,   276,   277,  2185,   278,   279,
     280,   281,   282,   283,     0,     0,   285,   286,   287,     0,
       0,     0,     0,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,  2254,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,  2187,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,  3224,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,     0,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,     0,
     441,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,  2188,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,     0,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,  2189,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,     0,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   607,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   784,   233,   234,   746,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,     0,   244,   245,   246,   247,   248,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,     0,     0,     0,   269,   270,   271,   272,   273,
       0,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,   747,     0,   285,   286,   287,     0,     0,     0,     0,
       0,     0,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
     311,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
     785,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,     0,   425,     0,   426,   427,   428,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,   439,     0,   441,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   748,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   749,   506,   507,   508,
     509,   510,     0,   511,   512,   513,   514,   515,     0,   517,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,     0,   538,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,     0,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,     0,   573,     0,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,   746,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
       0,   244,   245,   246,   247,   248,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
       0,     0,   269,   270,   271,   272,   273,     0,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,   747,     0,
     285,   286,   287,     0,     0,     0,     0,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,  2917,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,     0,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,   439,     0,   441,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   748,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   749,   506,   507,   508,   509,   510,     0,
     511,   512,   513,   514,   515,     0,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,     0,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   607,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,     0,   244,   245,
     246,   247,   248,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
    2184,   263,   264,   265,   266,   267,     0,     0,     0,   269,
     270,   271,   272,   273,     0,   275,   276,   277,  2185,   278,
     279,   280,   281,   282,   283,     0,     0,   285,   286,   287,
       0,     0,     0,     0,     0,     0,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,  2254,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,  2187,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,     0,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
       0,   441,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,  2188,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,     0,   511,   512,   513,
     514,   515,     0,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,     0,   538,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,     0,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,  2189,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
       0,   573,     0,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   607,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,   746,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,     0,   244,   245,   246,   247,   248,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,     0,     0,   269,   270,   271,   272,
     273,     0,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,   747,     0,   285,   286,   287,     0,     0,     0,
       0,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,     0,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,     0,   441,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   748,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   749,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,     0,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,     0,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   607,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,  1918,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,     0,   244,   245,   246,   247,   248,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,     0,     0,   269,   270,   271,   272,   273,     0,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
       0,   285,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   289,   290,   291,  1919,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,  1920,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,  1921,
     336,     0,     0,     0,  1922,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,  1923,  1924,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,     0,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,     0,   441,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
    1925,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,   491,
     492,   493,  1926,   495,   496,   497,   498,   499,  1927,   501,
     502,   503,   504,   505,     0,  1928,   507,   508,   509,   510,
       0,   511,   512,   513,   514,   515,     0,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
    1929,   538,     0,  1930,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,  1931,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,     0,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,     0,   244,
     245,   246,   247,   248,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,     0,     0,
     269,   270,   271,   272,   273,     0,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,   747,     0,   285,   286,
     287,     0,     0,     0,     0,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,     0,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,     0,   441,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   748,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   749,   506,   507,   508,   509,   510,     0,   511,   512,
     513,   514,   515,     0,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,     0,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,   922,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,     0,   244,   245,   246,   247,
     248,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,     0,     0,   269,   270,   271,
     272,   273,     0,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,     0,   285,   286,   287,     0,     0,
       0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   923,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,     0,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,   816,
     434,   435,   436,     0,     0,   437,   438,   439,     0,   441,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,     0,   511,   512,   513,   514,   515,
       0,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
       0,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,  2996,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,     0,   244,   245,   246,   247,   248,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,     0,     0,     0,   269,   270,   271,   272,   273,     0,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,     0,   285,   286,   287,     0,     0,     0,     0,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,     0,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,     0,   441,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,     0,   511,   512,   513,   514,   515,     0,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,  2997,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,     0,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,  3009,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,     0,
     244,   245,   246,   247,   248,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,     0,     0,
       0,   269,   270,   271,   272,   273,     0,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,     0,   285,
     286,   287,     0,     0,     0,     0,     0,     0,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
       0,   425,     0,   426,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,     0,   441,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,     0,   511,
     512,   513,   514,   515,     0,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,     0,   538,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,  3010,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,     0,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,   608,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,     0,   244,   245,   246,
     247,   248,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,     0,     0,   269,   270,
     271,   272,   273,     0,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,     0,   285,   286,   287,     0,
       0,     0,     0,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,     0,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,     0,
     441,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,     0,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,     0,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   607,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,   658,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,     0,   244,   245,   246,   247,   248,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,     0,     0,     0,   269,   270,   271,   272,   273,
       0,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,     0,   285,   286,   287,     0,     0,     0,     0,
       0,     0,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
     311,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,     0,   425,     0,   426,   427,   428,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,   439,     0,   441,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,   458,   659,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,     0,   511,   512,   513,   514,   515,     0,   517,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,     0,   538,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,     0,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,     0,   573,     0,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,   776,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
       0,   244,   245,   246,   247,   248,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
       0,     0,   269,   270,   271,   272,   273,     0,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,     0,
     285,   286,   287,     0,     0,     0,     0,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,     0,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,   439,     0,   441,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   777,     0,
     511,   512,   513,   514,   515,     0,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,     0,   540,   541,   542,   543,   544,     0,   545,   778,
     547,     0,     0,   779,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,     0,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   607,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
     810,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,     0,   244,   245,
     246,   247,   248,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,     0,     0,     0,   269,
     270,   271,   272,   273,     0,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,     0,   285,   286,   287,
       0,     0,     0,     0,     0,     0,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,     0,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
       0,   441,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   811,     0,   511,   512,   513,
     514,   515,     0,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,     0,   538,     0,   540,
     541,   542,   543,   544,     0,   545,   812,   547,     0,     0,
     813,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
       0,   573,     0,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   607,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,     0,   244,   245,   246,   247,   248,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,     0,     0,   269,   270,   271,   272,
     273,     0,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,     0,   285,   286,   287,     0,     0,     0,
       0,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,     0,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,   816,   434,
     435,   436,     0,     0,   437,   438,   439,     0,   441,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,     0,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,     0,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   607,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,   879,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,     0,   244,   245,   246,   247,   248,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,     0,     0,   269,   270,   271,   272,   273,     0,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
       0,   285,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     880,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,     0,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,     0,   441,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
       0,   511,   512,   513,   514,   515,     0,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
       0,   538,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,     0,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,  1034,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,     0,   244,
     245,   246,   247,   248,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,     0,     0,
     269,   270,   271,   272,   273,     0,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,     0,   285,   286,
     287,     0,     0,     0,     0,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,     0,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,     0,   441,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
     513,   514,   515,     0,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,     0,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,  1307,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,     0,   244,   245,   246,   247,
     248,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,     0,     0,   269,   270,   271,
     272,   273,     0,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,     0,   285,   286,   287,     0,     0,
       0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,     0,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,     0,   441,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,     0,   511,   512,   513,   514,   515,
       0,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
       0,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,  1318,   244,   245,   246,   247,   248,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     796,   259,   260,   261,  1319,     0,   263,   264,   265,   266,
     267,     0,     0,     0,   269,   270,   271,   272,   273,     0,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,     0,   285,   286,   287,     0,     0,     0,     0,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   799,   409,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,     0,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,     0,   441,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
     800,   492,   493,   494,   495,   496,   497,   498,   499,   801,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
    1311,     0,   511,   512,   513,   514,   515,     0,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,     0,   540,   541,   542,   543,   544,     0,
     545,   803,   547,     0,     0,   804,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,     0,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   805,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,     0,
     244,   245,   246,   247,   248,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,     0,     0,
       0,   269,   270,   271,   272,   273,     0,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,     0,   285,
     286,   287,     0,     0,     0,     0,     0,     0,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1429,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
       0,   425,     0,   426,   427,   428,   429,   430,   431,     0,
     432,   433,     0,   816,   434,   435,   436,     0,     0,   437,
     438,   439,     0,   441,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,     0,   511,
     512,   513,   514,   515,     0,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,     0,   538,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,     0,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,  1490,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,     0,   244,   245,   246,
     247,   248,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,     0,     0,   269,   270,
     271,   272,   273,     0,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,     0,   285,   286,   287,     0,
       0,     0,     0,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1491,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,     0,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,     0,
     441,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,     0,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,     0,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   607,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,   776,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,     0,   244,   245,   246,   247,   248,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,     0,     0,     0,   269,   270,   271,   272,   273,
       0,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,     0,   285,   286,   287,     0,     0,     0,     0,
       0,     0,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
     311,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,     0,   425,     0,   426,   427,   428,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,   439,     0,   441,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,     0,   511,   512,   513,   514,   515,     0,   517,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,     0,   538,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,     0,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,     0,   573,     0,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,     0,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
       0,   244,   245,   246,   247,   248,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
       0,     0,   269,   270,   271,   272,   273,     0,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,     0,
     285,   286,   287,     0,     0,     0,     0,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,  2807,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,  2808,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,     0,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,   439,     0,   441,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,     0,
     511,   512,   513,   514,   515,     0,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,  2809,
     538,     0,   540,  2810,   542,  2811,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,  2812,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,     0,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   607,     0,     0,   667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,     0,   244,   245,
     246,   247,   248,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,     0,     0,     0,   269,
     270,   271,   272,   273,     0,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,     0,   285,   286,   287,
       0,     0,     0,     0,     0,     0,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,     0,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
       0,   441,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,     0,   511,   512,   513,
     514,   515,     0,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,     0,   538,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,     0,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
       0,   573,     0,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   607,     0,     0,     0,     0,     0,     0,     0,
     727,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,     0,   244,   245,   246,   247,   248,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,     0,     0,   269,   270,   271,   272,
     273,     0,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,     0,   285,   286,   287,     0,     0,     0,
       0,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,     0,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,     0,   441,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,     0,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,     0,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   607,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,  4065,     0,   238,   239,     0,   240,   241,
     242,     0,   244,   245,   246,   247,   248,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,     0,     0,   269,   270,   271,   272,   273,     0,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
       0,   285,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,     0,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,     0,   441,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
       0,   511,   512,   513,   514,   515,     0,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
       0,   538,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,     0,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
    4079,     0,   238,   239,     0,   240,   241,   242,     0,   244,
     245,   246,   247,   248,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,     0,     0,
     269,   270,   271,   272,   273,     0,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,     0,   285,   286,
     287,     0,     0,     0,     0,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,     0,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,     0,   441,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
     513,   514,   515,     0,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,     0,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,     0,   244,   245,   246,   247,
     248,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,     0,     0,   269,   270,   271,
     272,   273,     0,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,     0,   285,   286,   287,     0,     0,
       0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,     0,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,     0,   441,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,     0,   511,   512,   513,   514,   515,
       0,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
       0,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,     0,   244,   245,   246,   247,   248,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,     0,     0,     0,   269,   270,   271,   272,   273,     0,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,     0,   285,   286,   287,     0,     0,     0,     0,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,     0,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,     0,   441,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,     0,   511,   512,   513,   514,   515,     0,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   762,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,     0,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,     0,
     244,   245,   246,   247,   248,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,     0,     0,
       0,   269,   270,   271,   272,   273,     0,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,     0,   285,
     286,   287,     0,     0,     0,     0,     0,     0,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
       0,   425,     0,   426,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,     0,   441,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   774,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,     0,   511,
     512,   513,   514,   515,     0,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,     0,   538,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,     0,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,     0,   244,   245,   246,
     247,   248,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   796,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,     0,     0,   269,   270,
     271,   272,   273,     0,   275,   276,   277,     0,   797,   279,
     280,   281,   282,   283,     0,     0,   285,   286,   287,     0,
       0,     0,     0,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   798,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     799,   409,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,     0,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,     0,
     441,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,   800,   492,   493,   494,   495,   496,
     497,   498,   499,   801,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   802,     0,   511,   512,   513,   514,
     515,     0,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,     0,   540,   541,
     542,   543,   544,     0,   545,   803,   547,     0,     0,   804,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,     0,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   805,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   607,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,     0,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,     0,   244,   245,   246,   247,   248,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,     0,     0,     0,   269,   270,   271,   272,   273,
       0,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,     0,   285,   286,   287,     0,     0,     0,     0,
       0,     0,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
     311,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,     0,   425,     0,   426,   427,   428,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,   439,     0,   441,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   827,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,     0,   511,   512,   513,   514,   515,     0,   517,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,     0,   538,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,     0,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,     0,   573,     0,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,     0,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
       0,   244,   245,   246,   247,   248,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
       0,     0,   269,   270,   271,   272,   273,     0,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,     0,
     285,   286,   287,     0,     0,     0,     0,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   904,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,     0,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,   439,     0,   441,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,     0,
     511,   512,   513,   514,   515,     0,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,     0,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   607,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,     0,   244,   245,
     246,   247,   248,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,     0,     0,     0,   269,
     270,   271,   272,   273,     0,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,     0,   285,   286,   287,
       0,     0,     0,     0,     0,     0,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   914,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,     0,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
       0,   441,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,     0,   511,   512,   513,
     514,   515,     0,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,     0,   538,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,     0,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
       0,   573,     0,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   607,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,     0,   244,   245,   246,   247,   248,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,     0,     0,   269,   270,   271,   272,
     273,     0,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,     0,   285,   286,   287,     0,     0,     0,
       0,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   917,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,     0,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,     0,   441,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,     0,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,     0,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   607,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,     0,   244,   245,   246,   247,   248,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,     0,     0,   269,   270,   271,   272,   273,     0,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
       0,   285,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     933,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,     0,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,     0,   441,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
       0,   511,   512,   513,   514,   515,     0,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
       0,   538,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,     0,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,     0,   244,
     245,   246,   247,   248,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,     0,     0,
     269,   270,   271,   272,   273,     0,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,     0,   285,   286,
     287,     0,     0,     0,     0,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   983,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,     0,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,     0,   441,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
     513,   514,   515,     0,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,     0,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,     0,   244,   245,   246,   247,
     248,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,     0,     0,   269,   270,   271,
     272,   273,     0,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,     0,   285,   286,   287,     0,     0,
       0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   989,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,     0,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,     0,   441,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,     0,   511,   512,   513,   514,   515,
       0,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
       0,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,     0,   244,   245,   246,   247,   248,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,     0,     0,     0,   269,   270,   271,   272,   273,     0,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,     0,   285,   286,   287,     0,     0,     0,     0,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1006,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,     0,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,     0,   441,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,     0,   511,   512,   513,   514,   515,     0,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,     0,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,     0,
     244,   245,   246,   247,   248,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,     0,     0,
       0,   269,   270,   271,   272,   273,     0,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,     0,   285,
     286,   287,     0,     0,     0,     0,     0,     0,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1009,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
       0,   425,     0,   426,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,     0,   441,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,     0,   511,
     512,   513,   514,   515,     0,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,     0,   538,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,     0,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,     0,   244,   245,   246,
     247,   248,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,     0,     0,   269,   270,
     271,   272,   273,     0,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,     0,   285,   286,   287,     0,
       0,     0,     0,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1011,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,     0,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,     0,
     441,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,     0,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,     0,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   607,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,     0,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,     0,   244,   245,   246,   247,   248,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,     0,     0,     0,   269,   270,   271,   272,   273,
       0,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,     0,   285,   286,   287,     0,     0,     0,     0,
       0,     0,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
     311,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1047,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,     0,   425,     0,   426,   427,   428,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,   439,     0,   441,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,     0,   511,   512,   513,   514,   515,     0,   517,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,     0,   538,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,     0,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,     0,   573,     0,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,     0,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
       0,   244,   245,   246,   247,   248,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
       0,     0,   269,   270,   271,   272,   273,     0,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,     0,
     285,   286,   287,     0,     0,     0,     0,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1111,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,     0,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,   439,     0,   441,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,     0,
     511,   512,   513,   514,   515,     0,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,     0,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   607,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,     0,   244,   245,
     246,   247,   248,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,     0,     0,     0,   269,
     270,   271,   272,   273,     0,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,     0,   285,   286,   287,
       0,     0,     0,     0,     0,     0,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1113,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,     0,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
       0,   441,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,     0,   511,   512,   513,
     514,   515,     0,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,     0,   538,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,     0,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
       0,   573,     0,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   607,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,     0,   244,   245,   246,   247,   248,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,     0,     0,   269,   270,   271,   272,
     273,     0,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,     0,   285,   286,   287,     0,     0,     0,
       0,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,  1123,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,     0,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,     0,   441,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,     0,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,     0,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   607,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,     0,   244,   245,   246,   247,   248,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,     0,     0,   269,   270,   271,   272,   273,     0,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
       0,   285,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    1126,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,     0,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,     0,   441,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
       0,   511,   512,   513,   514,   515,     0,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
       0,   538,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,     0,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,     0,   244,
     245,   246,   247,   248,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,     0,     0,
     269,   270,   271,   272,   273,     0,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,     0,   285,   286,
     287,     0,     0,     0,     0,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,  1129,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,     0,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,     0,   441,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
     513,   514,   515,     0,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,     0,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,     0,   244,   245,   246,   247,
     248,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   796,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,     0,     0,   269,   270,   271,
     272,   273,     0,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,     0,   285,   286,   287,     0,     0,
       0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   799,
     409,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,     0,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,     0,   441,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,   800,   492,   493,   494,   495,   496,   497,
     498,   499,   801,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,  1311,     0,   511,   512,   513,   514,   515,
       0,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,     0,   540,   541,   542,
     543,   544,     0,   545,   803,   547,     0,     0,   804,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
       0,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   805,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,     0,   244,   245,   246,   247,   248,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,     0,     0,     0,   269,   270,   271,   272,   273,     0,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,     0,   285,   286,   287,     0,     0,     0,     0,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  1740,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,     0,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,     0,   441,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,     0,   511,   512,   513,   514,   515,     0,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,     0,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,     0,
     244,   245,   246,   247,   248,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,     0,     0,
       0,   269,   270,   271,   272,   273,     0,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,     0,   285,
     286,   287,     0,     0,     0,     0,     0,     0,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1778,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
       0,   425,     0,   426,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,     0,   441,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,     0,   511,
     512,   513,   514,   515,     0,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,     0,   538,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,     0,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,     0,   244,   245,   246,
     247,   248,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,     0,     0,   269,   270,
     271,   272,   273,     0,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,     0,   285,   286,   287,     0,
       0,     0,     0,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  1780,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,     0,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,     0,
     441,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,     0,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,     0,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   607,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,     0,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,     0,   244,   245,   246,   247,   248,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,     0,     0,     0,   269,   270,   271,   272,   273,
       0,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,     0,   285,   286,   287,     0,     0,     0,     0,
       0,     0,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
     311,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  1851,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,     0,   425,     0,   426,   427,   428,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,   439,     0,   441,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,     0,   511,   512,   513,   514,   515,     0,   517,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,     0,   538,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,     0,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,     0,   573,     0,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,     0,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
       0,   244,   245,   246,   247,   248,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
       0,     0,   269,   270,   271,   272,   273,     0,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,     0,
     285,   286,   287,     0,     0,     0,     0,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1853,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,     0,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,   439,     0,   441,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,     0,
     511,   512,   513,   514,   515,     0,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,     0,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   607,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,     0,   244,   245,
     246,   247,   248,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,     0,     0,     0,   269,
     270,   271,   272,   273,     0,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,     0,   285,   286,   287,
       0,     0,     0,     0,     0,     0,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  1855,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,     0,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
       0,   441,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,     0,   511,   512,   513,
     514,   515,     0,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,     0,   538,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,     0,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
       0,   573,     0,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   607,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,     0,   244,   245,   246,   247,   248,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,     0,     0,   269,   270,   271,   272,
     273,     0,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,     0,   285,   286,   287,     0,     0,     0,
       0,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,     0,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,     0,   441,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
    1956,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,   513,   514,   515,     0,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,     0,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,     0,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   607,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,  2136,     0,   238,   239,     0,   240,   241,
     242,     0,   244,   245,   246,   247,   248,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,     0,     0,   269,   270,   271,   272,   273,     0,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
       0,   285,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,     0,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,     0,   441,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
       0,     0,   512,   513,   514,   515,     0,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
       0,   538,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,     0,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,     0,   244,
     245,   246,   247,   248,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   796,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,     0,     0,
     269,   270,   271,   272,   273,     0,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,     0,   285,   286,
     287,     0,     0,     0,     0,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   799,   409,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,     0,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,     0,   441,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,   800,   492,   493,   494,
     495,   496,   497,   498,   499,   801,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,  1311,     0,   511,   512,
     513,   514,   515,     0,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,     0,
    2171,   541,   542,   543,   544,     0,   545,   803,   547,     0,
       0,   804,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,     0,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   805,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,     0,   244,   245,   246,   247,
     248,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   796,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,     0,     0,   269,   270,   271,
     272,   273,     0,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,     0,   285,   286,   287,     0,     0,
       0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   799,
     409,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,     0,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,     0,   441,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,   800,   492,   493,   494,   495,   496,   497,
     498,   499,  2236,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,  2237,     0,   511,   512,   513,   514,   515,
       0,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,     0,   540,   541,   542,
     543,   544,     0,   545,   803,   547,     0,     0,  2238,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
       0,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   805,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,     0,   244,   245,   246,   247,   248,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     796,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,     0,     0,     0,   269,   270,   271,   272,   273,     0,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,     0,   285,   286,   287,     0,     0,     0,     0,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   799,   409,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,     0,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,     0,   441,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
     800,   492,   493,   494,   495,   496,   497,   498,   499,  2315,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
    2237,     0,   511,   512,   513,   514,   515,     0,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,     0,   540,   541,   542,   543,   544,     0,
     545,   803,   547,     0,     0,  2238,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,     0,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   805,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,     0,
     244,   245,   246,   247,   248,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   796,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,     0,     0,
       0,   269,   270,   271,   272,   273,     0,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,     0,   285,
     286,   287,     0,     0,     0,     0,     0,     0,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   799,   409,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
       0,   425,     0,   426,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,     0,   441,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,   800,   492,   493,
     494,   495,   496,   497,   498,   499,  2332,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,  2237,     0,   511,
     512,   513,   514,   515,     0,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,     0,   538,
       0,   540,   541,   542,   543,   544,     0,   545,   803,   547,
       0,     0,  2238,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,     0,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   805,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,     0,   244,   245,   246,
     247,   248,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,     0,     0,   269,   270,
     271,   272,   273,     0,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,     0,   285,   286,   287,     0,
       0,     0,     0,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  2529,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,     0,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,     0,
     441,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,     0,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,     0,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   607,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,     0,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,     0,   244,   245,   246,   247,   248,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,     0,     0,     0,   269,   270,   271,   272,   273,
       0,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,     0,   285,   286,   287,     0,     0,     0,     0,
       0,     0,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
     311,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,  2533,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,     0,   422,   423,     0,   425,     0,   426,   427,   428,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,   439,     0,   441,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,     0,   511,   512,   513,   514,   515,     0,   517,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     536,   537,     0,   538,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,     0,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,     0,   573,     0,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   607,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,     0,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
       0,   244,   245,   246,   247,   248,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,     0,
       0,     0,   269,   270,   271,   272,   273,     0,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,     0,
     285,   286,   287,     0,     0,     0,     0,     0,     0,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  2607,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,     0,   422,
     423,     0,   425,     0,   426,   427,   428,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,   439,     0,   441,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,     0,
     511,   512,   513,   514,   515,     0,   517,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   536,   537,     0,
     538,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,     0,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,     0,   573,     0,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   607,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,     0,   244,   245,
     246,   247,   248,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,     0,     0,     0,   269,
     270,   271,   272,   273,     0,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,     0,   285,   286,   287,
       0,     0,     0,     0,     0,     0,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,   311,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,  2928,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,     0,   422,   423,     0,   425,
       0,   426,   427,   428,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,   439,
       0,   441,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,     0,   511,   512,   513,
     514,   515,     0,   517,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   536,   537,     0,   538,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,     0,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
       0,   573,     0,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   607,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,     0,   244,   245,   246,   247,   248,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   796,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,     0,     0,     0,   269,   270,   271,   272,
     273,     0,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,     0,   285,   286,   287,     0,     0,     0,
       0,     0,     0,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,   311,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   799,   409,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,     0,   422,   423,     0,   425,     0,   426,   427,
     428,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,   439,     0,   441,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,   800,   492,   493,   494,   495,   496,   497,   498,
     499,   801,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,  2237,     0,   511,   512,   513,   514,   515,     0,
     517,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   536,   537,     0,   538,     0,   540,   541,   542,   543,
     544,     0,   545,   803,   547,     0,     0,  2238,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,     0,   573,     0,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   805,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   607,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,     0,   244,   245,   246,   247,   248,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
       0,     0,     0,   269,   270,   271,   272,   273,     0,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
       0,   285,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,   311,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
    2985,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,     0,
     422,   423,     0,   425,     0,   426,   427,   428,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,   439,     0,   441,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
       0,   511,   512,   513,   514,   515,     0,   517,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   536,   537,
       0,   538,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,     0,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,     0,   573,     0,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,     0,   244,
     245,   246,   247,   248,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,     0,     0,     0,
     269,   270,   271,   272,   273,     0,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,     0,   285,   286,
     287,     0,     0,     0,     0,     0,     0,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,   311,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,  2999,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,     0,   422,   423,     0,
     425,     0,   426,   427,   428,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
     439,     0,   441,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
     513,   514,   515,     0,   517,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   536,   537,     0,   538,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,     0,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,     0,   573,     0,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,     0,   244,   245,   246,   247,
     248,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,     0,     0,     0,   269,   270,   271,
     272,   273,     0,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,     0,   285,   286,   287,     0,     0,
       0,     0,     0,     0,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,   311,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  3001,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,     0,   422,   423,     0,   425,     0,   426,
     427,   428,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,   439,     0,   441,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,     0,   511,   512,   513,   514,   515,
       0,   517,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   536,   537,     0,   538,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,     0,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,     0,   573,
       0,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,     0,   244,   245,   246,   247,   248,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,     0,     0,     0,   269,   270,   271,   272,   273,     0,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,     0,   285,   286,   287,     0,     0,     0,     0,     0,
       0,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,   311,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,  3145,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
       0,   422,   423,     0,   425,     0,   426,   427,   428,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,   439,     0,   441,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,     0,   511,   512,   513,   514,   515,     0,   517,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   536,
     537,     0,   538,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,     0,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,     0,   573,     0,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,     0,
     244,   245,   246,   247,   248,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,     0,     0,
       0,   269,   270,   271,   272,   273,     0,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,     0,   285,
     286,   287,     0,     0,     0,     0,     0,     0,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,  3184,   311,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,     0,   422,   423,
       0,   425,     0,   426,   427,   428,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,   439,     0,   441,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,     0,   511,
     512,   513,   514,   515,     0,   517,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   536,   537,     0,   538,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
       0,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,     0,   573,     0,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,     0,   244,   245,   246,
     247,   248,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,     0,     0,   269,   270,
     271,   272,   273,     0,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,     0,   285,   286,   287,     0,
       0,     0,     0,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,  4343,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,     0,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,     0,
     441,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,     0,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,     0,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,  1049,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,     0,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,   243,   244,   245,   246,     0,  1050,   249,
    1051,  1052,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,  1053,  1054,   262,     0,   263,   264,   265,
     266,     0,     0,   268,     0,   269,   270,   271,   272,   273,
     274,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,   284,   285,   286,   287,     0,     0,     0,   288,
       0,     0,     0,   289,   290,   291,   292,   293,   294,  1055,
    1056,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
    1057,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,     0,   325,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1058,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,  2144,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,  2145,
     368,   369,   370,   371,  1060,  1061,     0,  1062,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1063,   410,
    1064,   412,   413,   414,   415,   416,   417,   418,     0,     0,
     421,     0,   422,   423,   424,   425,     0,     0,   427,  1065,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,  2147,   440,   441,   442,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,     0,   456,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,  1066,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,     0,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,     0,   511,   512,  2148,   514,   515,   516,   517,
     518,  1068,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,     0,   535,     0,
     536,   537,     0,   538,   539,   540,   541,   542,   543,   544,
       0,   545,  1069,  1070,     0,     0,   548,   549,     0,   551,
       0,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,  1071,  2149,   573,   574,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,   607,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   597,   598,   599,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,     0,   244,   245,   246,
     247,   248,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,     0,     0,     0,   269,   270,
     271,   272,   273,     0,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,     0,   285,   286,   287,     0,
       0,     0,     0,     0,     0,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,   311,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,     0,   422,   423,     0,   425,     0,
     426,   427,   428,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,   439,     0,
     441,     0,   443,   444,   445,   446,   447,   448,   449,     0,
     451,   452,     0,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
       0,   470,   471,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,   491,   492,   493,   494,   495,   496,
       0,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,   513,   514,
     515,     0,   517,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   536,   537,     0,   538,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,     0,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,     0,
     573,     0,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,  1049,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,   228,
     229,   230,   231,   232,   233,   234,     0,   235,   236,   237,
       0,     0,     0,     0,     0,     0,     0,   238,   239,     0,
     240,   241,   242,   243,   244,   245,   246,     0,  1050,   249,
    1051,  1052,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,  1053,  1054,   262,     0,   263,   264,   265,
     266,     0,     0,   268,     0,   269,   270,   271,   272,   273,
     274,   275,   276,   277,     0,   278,   279,   280,   281,   282,
     283,     0,   284,   285,   286,   287,     0,     0,     0,   288,
       0,     0,     0,   289,   290,   291,   292,   293,   294,  1055,
    1056,   297,     0,   298,     0,   299,   300,   301,   302,   303,
     304,     0,   305,   306,   307,   308,     0,     0,   309,   310,
    1057,   312,   313,     0,   314,   315,   316,     0,   317,   318,
     319,     0,   320,   321,   322,   323,     0,   325,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1058,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,     0,
     368,   369,   370,   371,  1060,  1061,     0,  1062,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1063,   410,
    1064,   412,   413,   414,   415,   416,   417,   418,     0,     0,
     421,     0,   422,   423,   424,   425,  2232,     0,   427,  1065,
     429,   430,   431,     0,   432,   433,     0,     0,   434,   435,
     436,     0,     0,   437,   438,     0,   440,   441,   442,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,     0,
     453,   454,     0,   456,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,  1066,
     472,   473,   474,   475,     0,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,   492,   493,   494,   495,     0,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     0,   506,   507,   508,
     509,   510,     0,   511,   512,  2148,   514,   515,   516,   517,
     518,  1068,   520,     0,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,     0,   535,     0,
     536,   537,  3894,   538,   539,   540,   541,   542,   543,   544,
       0,   545,  1069,  1070,     0,     0,   548,   549,     0,   551,
       0,     0,   553,   554,   555,   556,   557,   558,   559,   560,
       0,     0,   561,   562,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,     0,  1071,     0,   573,   574,   575,
     576,   577,   578,     0,     0,   579,     0,     0,   580,   581,
     582,   583,   584,   585,  1049,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   597,   598,   599,     0,     0,
       0,   227,   228,   229,   230,   231,   232,   233,   234,     0,
     235,   236,   237,     0,     0,     0,     0,     0,     0,     0,
     238,   239,     0,   240,   241,   242,   243,   244,   245,   246,
       0,  1050,   249,  1051,  1052,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,  1053,  1054,   262,     0,
     263,   264,   265,   266,     0,     0,   268,     0,   269,   270,
     271,   272,   273,   274,   275,   276,   277,     0,   278,   279,
     280,   281,   282,   283,     0,   284,   285,   286,   287,     0,
       0,     0,   288,     0,     0,     0,   289,   290,   291,   292,
     293,   294,  1055,  1056,   297,     0,   298,     0,   299,   300,
     301,   302,   303,   304,     0,   305,   306,   307,   308,     0,
       0,   309,   310,  1057,   312,   313,     0,   314,   315,   316,
       0,   317,   318,   319,     0,   320,   321,   322,   323,     0,
     325,   326,   327,   328,     0,     0,   330,     0,   331,   332,
    1058,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,     0,     0,     0,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,     0,   368,   369,   370,   371,  1060,  1061,     0,
    1062,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,     0,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1063,   410,  1064,   412,   413,   414,   415,   416,   417,
     418,  2305,     0,   421,     0,   422,   423,   424,   425,     0,
       0,   427,  1065,   429,   430,   431,     0,   432,   433,     0,
       0,   434,   435,   436,     0,     0,   437,   438,     0,   440,
     441,   442,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,     0,   453,   454,     0,   456,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,  1066,   472,   473,   474,   475,     0,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,   492,   493,   494,   495,     0,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     0,
     506,   507,   508,   509,   510,     0,   511,   512,  1067,   514,
     515,   516,   517,   518,  1068,   520,     0,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
       0,   535,     0,   536,   537,     0,   538,   539,   540,   541,
     542,   543,   544,     0,   545,  1069,  1070,     0,     0,   548,
     549,     0,   551,     0,     0,   553,   554,   555,   556,   557,
     558,   559,   560,     0,     0,   561,   562,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,     0,  1071,     0,
     573,   574,   575,   576,   577,   578,     0,     0,   579,     0,
       0,   580,   581,   582,   583,   584,   585,  1049,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   597,   598,
     599,     0,     0,     0,   227,   228,   229,   230,   231,   232,
     233,   234,     0,   235,   236,   237,     0,     0,     0,     0,
       0,     0,     0,   238,   239,     0,   240,   241,   242,   243,
     244,   245,   246,     0,  1050,   249,  1051,  1052,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,  1053,
    1054,   262,     0,   263,   264,   265,   266,     0,     0,   268,
       0,   269,   270,   271,   272,   273,   274,   275,   276,   277,
       0,   278,   279,   280,   281,   282,   283,     0,   284,   285,
     286,   287,     0,     0,     0,   288,     0,     0,     0,   289,
     290,   291,   292,   293,   294,  1055,  1056,   297,     0,   298,
       0,   299,   300,   301,   302,   303,   304,     0,   305,   306,
     307,   308,     0,     0,   309,   310,  1057,   312,   313,     0,
     314,   315,   316,     0,   317,   318,   319,     0,   320,   321,
     322,   323,     0,   325,   326,   327,   328,     0,     0,   330,
       0,   331,   332,  1058,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,     0,   368,   369,   370,   371,
    1060,  1061,     0,  1062,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,     0,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1063,   410,  1064,   412,   413,   414,
     415,   416,   417,   418,  3700,     0,   421,     0,   422,   423,
     424,   425,     0,     0,   427,  1065,   429,   430,   431,     0,
     432,   433,     0,     0,   434,   435,   436,     0,     0,   437,
     438,     0,   440,   441,   442,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,     0,   453,   454,     0,   456,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,  1066,   472,   473,   474,   475,
       0,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,   492,   493,
     494,   495,     0,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     0,   506,   507,   508,   509,   510,     0,   511,
     512,  1067,   514,   515,   516,   517,   518,  1068,   520,     0,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,     0,   535,     0,   536,   537,     0,   538,
     539,   540,   541,   542,   543,   544,     0,   545,  1069,  1070,
       0,     0,   548,   549,     0,   551,     0,     0,   553,   554,
     555,   556,   557,   558,   559,   560,     0,     0,   561,   562,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
       0,  1071,     0,   573,   574,   575,   576,   577,   578,     0,
       0,   579,     0,     0,   580,   581,   582,   583,   584,   585,
    1049,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   597,   598,   599,     0,     0,     0,   227,   228,   229,
     230,   231,   232,   233,   234,     0,   235,   236,   237,     0,
       0,     0,     0,     0,     0,     0,   238,   239,     0,   240,
     241,   242,   243,   244,   245,   246,     0,  1050,   249,  1051,
    1052,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,  1053,  1054,   262,     0,   263,   264,   265,   266,
       0,     0,   268,     0,   269,   270,   271,   272,   273,   274,
     275,   276,   277,     0,   278,   279,   280,   281,   282,   283,
       0,   284,   285,   286,   287,     0,     0,     0,   288,     0,
       0,     0,   289,   290,   291,   292,   293,   294,  1055,  1056,
     297,     0,   298,     0,   299,   300,   301,   302,   303,   304,
       0,   305,   306,   307,   308,     0,     0,   309,   310,  1057,
     312,   313,     0,   314,   315,   316,     0,   317,   318,   319,
       0,   320,   321,   322,   323,     0,   325,   326,   327,   328,
       0,     0,   330,     0,   331,   332,  1058,   334,  5260,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,     0,     0,     0,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,     0,   368,
     369,   370,   371,  1060,  1061,     0,  1062,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,     0,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1063,   410,  1064,
     412,   413,   414,   415,   416,   417,   418,     0,     0,   421,
       0,   422,   423,   424,   425,     0,     0,   427,  1065,   429,
     430,   431,     0,   432,   433,     0,     0,   434,   435,   436,
       0,     0,   437,   438,     0,   440,   441,   442,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,     0,   453,
     454,     0,   456,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,  1066,   472,
     473,   474,   475,     0,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,   492,   493,   494,   495,     0,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     0,   506,   507,   508,   509,
     510,     0,   511,   512,  1067,   514,   515,   516,   517,   518,
    1068,   520,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,     0,   535,     0,   536,
     537,     0,   538,   539,   540,   541,   542,   543,   544,     0,
     545,  1069,  1070,     0,     0,   548,   549,     0,   551,     0,
       0,   553,   554,   555,   556,   557,   558,   559,   560,     0,
       0,   561,   562,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,     0,  1071,     0,   573,   574,   575,   576,
     577,   578,     0,     0,   579,     0,     0,   580,   581,   582,
     583,   584,   585,  1049,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   597,   598,   599,     0,     0,     0,
     227,   228,   229,   230,   231,   232,   233,   234,     0,   235,
     236,   237,     0,     0,     0,     0,     0,     0,     0,   238,
     239,     0,   240,   241,   242,   243,   244,   245,   246,     0,
    1050,   249,  1051,  1052,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,  1053,  1054,   262,     0,   263,
     264,   265,   266,     0,     0,   268,     0,   269,   270,   271,
     272,   273,   274,   275,   276,   277,     0,   278,   279,   280,
     281,   282,   283,     0,   284,   285,   286,   287,     0,     0,
       0,   288,     0,     0,     0,   289,   290,   291,   292,   293,
     294,  1055,  1056,   297,     0,   298,     0,   299,   300,   301,
     302,   303,   304,     0,   305,   306,   307,   308,     0,     0,
     309,   310,  1057,   312,   313,     0,   314,   315,   316,     0,
     317,   318,   319,     0,   320,   321,   322,   323,     0,   325,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1058,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,  1059,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,     0,   368,   369,   370,   371,  1060,  1061,     0,  1062,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1063,   410,  1064,   412,   413,   414,   415,   416,   417,   418,
       0,     0,   421,     0,   422,   423,   424,   425,     0,     0,
     427,  1065,   429,   430,   431,     0,   432,   433,     0,     0,
     434,   435,   436,     0,     0,   437,   438,     0,   440,   441,
     442,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,     0,   453,   454,     0,   456,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,  1066,   472,   473,   474,   475,     0,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,   492,   493,   494,   495,     0,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     0,   506,
     507,   508,   509,   510,     0,   511,   512,  1067,   514,   515,
     516,   517,   518,  1068,   520,     0,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,     0,
     535,     0,   536,   537,     0,   538,   539,   540,   541,   542,
     543,   544,     0,   545,  1069,  1070,     0,     0,   548,   549,
       0,   551,     0,     0,   553,   554,   555,   556,   557,   558,
     559,   560,     0,     0,   561,   562,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,     0,  1071,     0,   573,
     574,   575,   576,   577,   578,     0,     0,   579,     0,     0,
     580,   581,   582,   583,   584,   585,  1049,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   597,   598,   599,
       0,     0,     0,   227,   228,   229,   230,   231,   232,   233,
     234,     0,   235,   236,   237,     0,     0,     0,     0,     0,
       0,     0,   238,   239,     0,   240,   241,   242,   243,   244,
     245,   246,     0,  1050,   249,  1051,  1052,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,  1053,  1054,
     262,     0,   263,   264,   265,   266,     0,     0,   268,     0,
     269,   270,   271,   272,   273,   274,   275,   276,   277,     0,
     278,   279,   280,   281,   282,   283,     0,   284,   285,   286,
     287,     0,     0,     0,   288,     0,     0,     0,   289,   290,
     291,   292,   293,   294,  1055,  1056,   297,     0,   298,     0,
     299,   300,   301,   302,   303,   304,     0,   305,   306,   307,
     308,     0,     0,   309,   310,  1057,   312,   313,     0,   314,
     315,   316,     0,   317,   318,   319,     0,   320,   321,   322,
     323,     0,   325,   326,   327,   328,     0,     0,   330,     0,
     331,   332,  1058,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,     0,     0,     0,
     346,   347,     0,   348,   349,   350,   351,  1117,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,     0,   368,   369,   370,   371,  1060,
    1061,     0,  1062,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,     0,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1063,   410,  1064,   412,   413,   414,   415,
     416,   417,   418,     0,     0,   421,     0,   422,   423,   424,
     425,     0,     0,   427,  1065,   429,   430,   431,     0,   432,
     433,     0,     0,   434,   435,   436,     0,     0,   437,   438,
       0,   440,   441,   442,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,     0,   453,   454,     0,   456,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,  1066,   472,   473,   474,   475,     0,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,   492,   493,   494,
     495,     0,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     0,   506,   507,   508,   509,   510,     0,   511,   512,
    1067,   514,   515,   516,   517,   518,  1068,   520,     0,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,     0,   535,     0,   536,   537,     0,   538,   539,
     540,   541,   542,   543,   544,     0,   545,  1069,  1070,     0,
       0,   548,   549,     0,   551,     0,     0,   553,   554,   555,
     556,   557,   558,   559,   560,     0,     0,   561,   562,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,     0,
    1071,     0,   573,   574,   575,   576,   577,   578,     0,     0,
     579,     0,     0,   580,   581,   582,   583,   584,   585,  1049,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     597,   598,   599,     0,     0,     0,   227,   228,   229,   230,
     231,   232,   233,   234,     0,   235,   236,   237,     0,     0,
       0,     0,     0,     0,     0,   238,   239,     0,   240,   241,
     242,   243,   244,   245,   246,     0,  1050,   249,  1051,  1052,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,  1053,  1054,   262,     0,   263,   264,   265,   266,     0,
       0,   268,     0,   269,   270,   271,   272,   273,   274,   275,
     276,   277,     0,   278,   279,   280,   281,   282,   283,     0,
     284,   285,   286,   287,     0,     0,     0,   288,     0,     0,
       0,   289,   290,   291,   292,   293,   294,  1055,  1056,   297,
       0,   298,     0,   299,   300,   301,   302,   303,   304,     0,
     305,   306,   307,   308,     0,     0,   309,   310,  1057,   312,
     313,     0,   314,   315,   316,     0,   317,   318,   319,     0,
     320,   321,   322,   323,     0,   325,   326,   327,   328,     0,
       0,   330,     0,   331,   332,  1058,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,     0,   368,   369,
     370,   371,  1060,  1061,     0,  1062,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
       0,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1063,   410,  1064,   412,
     413,   414,   415,   416,   417,   418,     0,     0,   421,     0,
     422,   423,   424,   425,     0,     0,   427,  1065,   429,   430,
     431,     0,   432,   433,     0,     0,   434,   435,   436,     0,
       0,   437,   438,     0,   440,   441,   442,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,     0,   453,   454,
       0,   456,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,  1066,   472,   473,
     474,   475,     0,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
     492,   493,   494,   495,     0,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     0,   506,   507,   508,   509,   510,
       0,   511,   512,  1067,   514,   515,   516,   517,   518,  1068,
     520,     0,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,     0,   535,     0,   536,   537,
       0,   538,   539,   540,   541,   542,   543,   544,     0,   545,
    1069,  1070,     0,     0,   548,   549,     0,   551,     0,     0,
     553,   554,   555,   556,   557,   558,   559,   560,     0,     0,
     561,   562,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,     0,  1071,     0,   573,   574,   575,   576,   577,
     578,     0,     0,   579,     0,     0,   580,   581,   582,   583,
     584,   585,  1049,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   597,   598,   599,     0,     0,     0,   227,
     228,   229,   230,   231,   232,   233,   234,     0,   235,   236,
     237,     0,     0,     0,     0,     0,     0,     0,   238,   239,
       0,   240,   241,   242,   243,   244,   245,   246,     0,  1050,
     249,  1051,  1052,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,  1053,  1054,   262,     0,   263,   264,
     265,   266,     0,     0,   268,     0,   269,   270,   271,   272,
     273,   274,   275,   276,   277,     0,   278,   279,   280,   281,
     282,   283,     0,   284,   285,   286,   287,     0,     0,     0,
     288,     0,     0,     0,   289,   290,   291,   292,   293,   294,
    1055,  1056,   297,     0,   298,     0,   299,   300,   301,   302,
     303,   304,     0,   305,   306,   307,   308,     0,     0,   309,
     310,  1057,   312,   313,     0,   314,   315,   316,     0,   317,
     318,   319,     0,   320,   321,   322,   323,     0,   325,   326,
     327,   328,     0,     0,   330,     0,   331,   332,  1058,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,     0,     0,     0,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
       0,   368,   369,   370,   371,  1060,  1061,     0,  1062,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,     0,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1063,
     410,  1064,   412,   413,   414,   415,   416,   417,   418,     0,
       0,   421,     0,   422,   423,   424,   425,     0,     0,   427,
    1065,   429,   430,   431,     0,   432,   433,     0,     0,   434,
     435,   436,     0,     0,   437,   438,     0,   440,   441,   442,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
       0,   453,   454,     0,   456,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
    1066,   472,   473,   474,   475,     0,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,   492,   493,   494,   495,     0,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     0,   506,   507,
     508,   509,   510,     0,   511,   512,  2148,   514,   515,   516,
     517,   518,  1068,   520,     0,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,     0,   535,
       0,   536,   537,     0,   538,   539,   540,   541,   542,   543,
     544,     0,   545,  1069,  1070,     0,     0,   548,   549,     0,
     551,     0,     0,   553,   554,   555,   556,   557,   558,   559,
     560,     0,     0,   561,   562,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,     0,  1071,     0,   573,   574,
     575,   576,   577,   578,     0,     0,   579,     0,     0,   580,
     581,   582,   583,   584,   585,  1049,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   597,   598,   599,     0,
       0,     0,   227,   228,   229,   230,   231,   232,   233,   234,
       0,   235,   236,   237,     0,     0,     0,     0,     0,     0,
       0,   238,   239,     0,   240,   241,   242,   243,   244,   245,
     246,     0,  1050,   249,  1051,  1052,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,  1053,  1054,   262,
       0,   263,   264,   265,   266,     0,     0,   268,     0,   269,
     270,   271,   272,   273,   274,   275,   276,   277,     0,   278,
     279,   280,   281,   282,   283,     0,   284,   285,   286,   287,
       0,     0,     0,   288,     0,     0,     0,   289,   290,   291,
     292,   293,   294,  1055,  1056,   297,     0,   298,     0,   299,
     300,   301,   302,   303,   304,     0,   305,   306,   307,   308,
       0,     0,   309,   310,  1057,   312,   313,     0,   314,   315,
     316,     0,   317,   318,   319,     0,   320,   321,   322,   323,
       0,   325,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1058,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,     0,   368,   369,   370,   371,  1060,  1061,
       0,  1062,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1063,   410,  1064,   412,   413,   414,   415,   416,
     417,   418,     0,     0,   421,     0,   422,   423,   424,   425,
       0,     0,   427,  1065,   429,   430,   431,     0,   432,   433,
       0,     0,   434,   435,   436,     0,     0,   437,   438,     0,
     440,   441,   442,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,     0,   453,   454,     0,   456,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,  1066,   472,   473,   474,   475,     0,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,   492,   493,   494,   495,
       0,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       0,   506,   507,   508,   509,   510,     0,   511,   512,     0,
     514,   515,   516,   517,   518,  1068,   520,     0,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,     0,   535,     0,   536,   537,     0,   538,   539,   540,
     541,   542,   543,   544,     0,   545,  1069,  1070,     0,     0,
     548,   549,     0,   551,     0,     0,   553,   554,   555,   556,
     557,   558,   559,   560,     0,     0,   561,   562,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,     0,  1071,
       0,   573,   574,   575,   576,   577,   578,     0,     0,   579,
       0,     0,   580,   581,   582,   583,   584,   585,  1049,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   597,
     598,   599,     0,     0,     0,   227,   228,   229,   230,   231,
     232,   233,   234,     0,   235,   236,   237,     0,     0,     0,
       0,     0,     0,     0,   238,   239,     0,   240,   241,   242,
     243,   244,   245,   246,     0,     0,   249,     0,     0,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,   262,     0,   263,   264,   265,   266,     0,     0,
     268,     0,   269,   270,   271,   272,   273,   274,   275,   276,
     277,     0,   278,   279,   280,   281,   282,   283,     0,   284,
     285,   286,   287,     0,     0,     0,   288,     0,     0,     0,
     289,   290,   291,   292,   293,   294,     0,     0,   297,     0,
     298,     0,   299,   300,   301,   302,   303,   304,     0,   305,
     306,   307,   308,     0,     0,   309,   310,   311,   312,   313,
       0,   314,   315,   316,     0,   317,   318,   319,     0,   320,
     321,   322,   323,     0,   325,   326,   327,   328,     0,     0,
     330,     0,   331,   332,     0,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,     0,
       0,     0,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,     0,   368,   369,   370,
     371,     0,     0,     0,     0,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,     0,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,   410,     0,   412,   413,
     414,   415,   416,   417,   418,     0,     0,   421,     0,   422,
     423,   424,   425,     0,     0,   427,     0,   429,   430,   431,
       0,   432,   433,     0,     0,   434,   435,   436,     0,     0,
     437,   438,     0,   440,   441,   442,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,     0,   453,   454,     0,
     456,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,     0,   472,   473,   474,
     475,     0,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,   492,
     493,   494,   495,     0,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     0,   506,   507,   508,   509,   510,     0,
     511,   512,     0,   514,   515,   516,   517,   518,     0,   520,
       0,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,     0,   535,     0,   536,   537,     0,
     538,   539,   540,   541,   542,   543,   544,     0,   545,     0,
       0,     0,     0,   548,   549,     0,   551,     0,     0,   553,
     554,   555,   556,   557,   558,   559,   560,     0,     0,   561,
     562,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,     0,     0,     0,   573,   574,   575,   576,   577,   578,
       0,     0,   579,     0,     0,   580,   581,   582,   583,   584,
     585,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   597,   598,   599
};

static const yytype_int16 yycheck[] =
{
       6,     0,     0,   668,   203,     0,     0,    44,    51,   203,
     635,   915,     0,    36,   747,   748,   749,    23,  1542,    25,
     753,  1140,    21,    29,   846,   932,   943,   181,    34,    35,
      36,   795,    38,    22,   797,    41,    42,   945,    44,    28,
      46,  1097,     6,  1415,  1067,   947,   198,   819,  1477,   857,
     715,  1162,   941,  1461,   206,   668,   189,   209,    45,  2469,
    2666,   820,   916,    13,  2819,  2152,  2153,  2541,  1055,  1056,
    1454,  1070,  2368,  1012,  1194,  3256,   208,  2989,  1065,   986,
    2869,  2962,     0,   990,  1466,   804,  3556,  3602,   995,  1461,
     222,  1943,  1774,    23,  3602,  1607,   868,  3286,  1005,   691,
       8,   881,  1001,    21,  2482,  3275,    36,    15,  3303,   615,
    2642,  3306,  1019,   705,   773,  2389,     0,  2878,  1017,  1962,
    3598,  3015,  3644,  3017,   183,  3210,   906,   704,   168,  3866,
    3530,   911,  3221,   183,   714,   800,  3871,  3883,     2,  3679,
    2843,  1048,  3536,    35,  4490,  1574,  1575,  4381,  3500,   689,
      42,  2745,   692,     0,     0,  3827,     0,  2051,  2007,   824,
       0,  4373,     0,     0,    50,  1444,     0,     0,     0,     0,
       0,     0,   837,  1393,  4324,    41,  4652,  2116,   950,  2084,
     217,  4564,  2118,   189,   190,   191,  1568,   800,   194,   826,
    2095,  2888,   198,  2772,   200,  1877,  3273,   203,  3870,  4135,
     206,  1053,  1054,   209,  3578,  1427,   212,  3461,   214,   915,
     882,   217,  1064,  1595,   866,   221,  4693,   223,   924,  4705,
     843,  1340,  4372,  4606,   843,  1504,     6,  4506,   934,  4508,
      11,     0,  2433,  4928,  2435,  2436,     0,  1224,  1225,  2440,
    2441,  2442,  1521,  2444,  2445,  2446,   979,     0,     6,     6,
    3535,    37,  3537,     0,   906,    44,  1255,     0,  1245,   911,
       5,     0,    59,    51,    11,     6,    11,   108,    11,    28,
    1605,  1606,  4008,    68,    15,    16,  4904,     6,  1086,    13,
      11,    28,     6,  1407,    34,    28,    15,    16,  2882,     6,
      41,    15,    16,     6,     6,     6,     6,    24,     6,   166,
       6,   109,     6,    81,   140,     6,    22,     6,    42,    76,
     173,    31,   147,     6,   107,    89,   210,   107,   178,    86,
       3,   709,  3954,  3955,  3956,   178,  3958,  3959,  3960,  3961,
    3962,   116,    13,     3,    59,     5,     6,     6,   166,   121,
      74,    11,   166,     6,  3884,   107,  4613,  4614,   166,   144,
       0,   166,   169,   194,     5,   146,   259,    76,     6,   168,
      11,  1213,  1214,   284,  4638,   279,   273,  1026,   163,   166,
     279,    21,    59,    41,   182,   312,   146,   161,   284,   119,
     116,   135,   259,    29,    59,    37,    59,   243,  1240,   365,
       6,   298,   114,   133,   325,   160,    40,   166,   278,   259,
     343,    51,   166,   114,    56,    59,   133,   156,   352,  5104,
      28,   324,    13,   166,   394,    74,   348,   352,  1357,   166,
     406,   190,   282,   166,    59,   117,   190,   166,   158,   408,
     146,   114,    13,  1335,  1323,   243,    13,   190,   246,  4822,
     114,   635,    59,   190,   114,  4578,   359,   190,   348,    88,
     337,   190,    45,  4930,   106,   166,   475,  2728,   114,  2730,
    2731,    42,    76,  4169,  2816,    42,   168,  5095,  1140,   488,
    4176,   280,    86,   452,    67,  1140,    59,    28,   365,   228,
     380,   394,  4694,   319,    35,  1393,   429,   161,  4621,   475,
    4769,   130,   686,    74,   186,  1132,   428,    74,   315,   201,
     356,   633,   488,  1275,   435,  1528,   486,   639,   161,    76,
     128,   352,  1104,    76,   490,   310,    28,  2869,    28,    86,
     652,  1180,    76,    35,   254,    35,   275,    86,    44,   442,
     347,  1303,   268,   183,  1199,   449,    76,    76,  5233,   209,
     305,   193,   486,   360,   188,   454,   268,   166,   356,   486,
     334,   486,   393,   394,  1456,   352,    76,   434,   190,   205,
     166,   231,  1142,   337,   166,   468,   487,   307,    13,   490,
     218,   166,   486,   189,   434,   384,  1168,   368,   395,   486,
     263,   434,   198,   119,   490,   268,  1199,  1179,   406,   241,
     206,   406,   244,   209,  3679,  4869,   490,   167,   368,   268,
     362,   394,    24,  1195,   394,   268,   486,   259,   614,  1733,
     445,  5306,  1511,   338,   620,   335,   622,  5093,   624,  3704,
     619,   619,   628,   490,   619,   619,  5103,   490,   423,   635,
    1537,   619,   348,  1540,   640,   394,   642,  1274,   365,   406,
     391,   293,   420,   649,   441,   486,   435,   432,   430,  1321,
     486,   338,   368,  1318,  1326,  1327,   406,  3838,   486,   467,
    1559,  1326,  1327,   338,  4058,   338,   490,   673,  1340,  4069,
     382,   383,   715,  4073,  5302,  1340,   682,  5372,  4030,   719,
     686,   439,    28,   689,   338,   337,   692,   406,  1605,  1606,
    1607,   445,   846,  3605,  1548,   406,   477,   478,   486,  3880,
     486,   428,   708,   338,   484,  1318,   486,   359,   488,  3879,
    4922,   133,  1492,  2048,  1603,   714,   490,  4453,  5413,  3973,
     489,   338,   759,   391,  1430,   489,  4646,   379,   486,   486,
     477,   478,   477,   478,   477,   478,   489,  1959,   451,   728,
    4114,   730,   489,   732,  1381,   486,   489,  5224,   482,   738,
     489,  5237,  1375,   759,   485,   338,  1375,   486,   451,   472,
    1432,   960,   486,   713,   475,   490,   960,  5034,   774,   486,
    1442,  3860,  4057,   486,  4059,   834,   486,   488,   486,   472,
     486,  5164,   486,   820,   834,   486,  1492,   486,   794,   795,
    1612,   797,   798,   486,  5177,  4427,   802,   715,   449,  3884,
    1452,   482,  1913,   490,  2891,   957,  2893,   477,   478,   961,
     816,   963,  3108,   850,   820,   490,    31,   490,   951,   475,
     826,   472,  1730,  1879,   375,   484,   477,   478,   865,   488,
      27,  5308,   838,   486,   742,   487,   490,   836,   836,   406,
    2222,   836,   836,   406,   850,  2253,  4368,   406,   836,     3,
    3429,  3928,   406,  1505,  5133,   490,  1843,  1529,   490,   865,
    1532,  1533,  4798,   375,  1920,   375,   406,   406,  5102,  3247,
    1522,   490,   294,   490,  1499,  1931,  3788,   883,   479,   480,
     481,   482,   888,   889,   490,    28,   406,  5099,   490,  4809,
     406,   486,   428,  3590,  5371,  5278,   477,   478,   479,   480,
     481,   482,   479,   480,   481,   482,  3787,   490,    83,  2848,
     332,  2964,  2424,  2849,   920,   921,   486,  2299,   836,   435,
      59,  1427,   107,    64,   119,   298,  5076,  2832,  5404,    51,
      72,    85,   798,   114,  5245,   109,   802,   943,   944,   183,
      24,   827,    36,   365,  2164,   951,    30,   953,  5098,    49,
     125,   957,   836,    24,   960,   961,   302,   963,   284,    30,
    1348,     3,   968,  2242,     6,    34,  1818,  1819,   119,   619,
     119,   168,     6,   177,  2823,   859,   119,   279,   264,   279,
    4488,   279,  3576,   105,   138,  2879,   992,  3188,   440,   836,
     836,     6,   836,   999,  1000,  5341,   836,  2521,   836,   836,
    5234,  3704,   836,   836,   836,   836,   836,   836,   182,   204,
    1367,   433,  4684,  5225,   360,  1021,  1022,  1023,  4526,  1025,
     114,  1027,  1028,  1029,  4539,  3906,   116,   143,   920,   921,
     294,  4539,   477,   478,   479,   480,   481,   482,   194,   166,
    1712,  4581,   196,   294,    97,   273,   118,   317,   449,   133,
    1783,   485,   398,   204,   400,   204,   490,   673,  2177,  1961,
    3849,   204,   133,   190,   714,   715,   682,   109,   332,   243,
     298,    94,   246,   689,   273,   166,   692,     3,   147,  5390,
    5314,   203,   263,  5003,  5318,   185,     3,    83,  5008,   490,
     190,  1097,  4444,  1099,  1100,  4495,   332,  4491,  4805,   298,
    4500,   365,  2004,  4503,   730,   731,   732,  2015,   175,   735,
     736,   737,   228,   486,   365,   319,    83,   314,   259,   745,
     335,   296,   175,  3210,   214,  2148,  1132,   227,   298,   125,
     107,  2048,    68,   348,   276,   350,  5370,   259,   365,   211,
     182,   324,   428,  1142,   167,   349,   300,   449,  2050,   449,
      86,   449,  4887,   350,   366,  2539,  1162,  1163,   125,    85,
      24,  1167,    76,  1169,   490,  1928,  1929,  3220,    85,  1033,
     406,   352,    86,   263,  1811,  3527,  4357,   200,  3530,  1185,
    5414,  4370,   356,  4920,   834,  1191,   836,    24,  1194,  4924,
     284,  1197,   215,  4363,  4940,   143,   411,  4705,  4393,   338,
    5434,   243,   225,  5437,   246,  1211,   259,   358,   144,   394,
     294,   137,   409,  3300,  4886,   358,   486,  4129,   415,   414,
     137,    24,   486,   294,   399,  1890,    59,   163,   251,  2001,
     320,  1274,   354,   428,   268,  2152,  1242,  1145,   394,  1147,
    1817,  1149,   486,  1151,   116,  1153,  1154,  1155,   332,   348,
    3602,  4923,  1160,   268,   278,   278,  2164,  1849,   486,   442,
     208,   332,   237,   490,  1270,  1271,  1272,   421,  1274,   133,
     370,  1863,  4166,   182,   486,   429,   343,   428,   432,   428,
     116,   365,   259,    10,  1876,   428,    13,   486,  1294,   178,
      17,    18,    19,   467,   365,   273,   133,  1874,  5005,   114,
     296,  1360,  1361,  1343,  1363,  1499,  1846,    34,   234,  1889,
    1360,  1361,   486,  1363,   356,   406,   486,   234,  4796,   342,
     298,  1861,   449,  1960,  1864,  1962,  1332,    32,    33,   296,
     133,  1968,   365,   178,   243,   951,   284,  1974,  1975,  1976,
    1377,   957,   214,   156,    38,   961,   293,   963,  1985,  1986,
     403,  4112,   167,  1990,   278,    10,  1362,  1982,    13,   283,
    1366,  1367,    17,    18,    19,  4765,  2129,   168,   294,   114,
     259,  1377,  1378,  1379,   310,  1381,  2284,   294,   214,   167,
    4732,   475,  1922,    94,   475,  1925,  1926,   486,    93,   108,
     484,   263,   486,   487,   488,   147,   490,   488,  1404,   106,
     490,  2309,   168,   399,  4926,   294,   332,   430,   113,   216,
     336,  1027,  1028,  1029,   259,   228,    60,  3949,   365,   406,
    2085,  3895,   397,   118,    68,   467,   259,   263,    10,   123,
     294,  1984,   399,  1439,  2338,    17,    18,    19,  1444,   365,
      24,  1447,   147,   332,   190,   282,    30,   356,   320,   264,
     278,   426,   259,  1959,  1460,  1461,   167,   490,   617,  4967,
     484,   163,  2370,  1469,   488,   128,  1472,   130,   332,    24,
       6,   397,  4824,   399,   422,   194,   451,  4829,  4830,   280,
     397,  4996,   399,   309,   320,   212,  2385,   423,  4996,   200,
    2398,   294,  1142,  1499,  1882,  1501,  4581,  3849,  1504,   336,
     337,   365,   374,   490,   215,   338,  4695,  2424,   486,   297,
      86,   486,  2177,  4683,   225,  1521,   211,  1143,  1524,  3815,
    1146,  1527,  1148,   449,  1150,  2581,  1152,  1564,   365,   332,
    1156,  1919,   365,   216,   241,  1923,  5006,   244,   114,  1927,
     251,    28,  1930,  1549,   449,   434,  2252,   292,   314,   133,
     267,   143,   711,   280,  3850,  2463,   394,  1207,  1564,  2318,
    2319,   368,   365,  2322,   156,   293,  3090,   472,  3411,   161,
    1576,  1577,  1578,  1579,  1580,  3776,   259,  1227,   133,  2478,
    3781,  4670,   408,   371,   171,  3859,   332,   231,  1594,   434,
     336,    26,  3679,  5101,   309,  2979,  2418,  2419,  2420,  1605,
    1606,  1607,  2501,  2502,  2503,  2504,   358,   293,  2388,  1259,
     273,   161,    47,   358,  2513,   430,   208,  3704,   167,   365,
     158,   428,   172,   328,  1274,   280,   452,  1984,   334,  1513,
     789,   342,  2338,   352,  1518,  1992,   228,   320,   126,  2538,
     190,   128,   394,   116,   231,  2552,  5230,  5231,   136,   394,
     114,   200,   406,   358,   358,   372,  3168,   116,  2250,  1858,
    5312,  5313,  3174,  1857,  1858,   259,   215,  2373,  1801,   217,
    2342,   161,  3354,   332,   393,   394,   225,    93,  2350,   365,
    2328,  2353,   220,   275,   436,   368,   150,   263,  5158,   394,
     394,   436,   284,   408,   184,  1847,   240,   449,   280,  1705,
    3552,  2407,   161,   449,   449,  1589,   365,  1713,  1714,  1593,
    1360,  1361,   282,  1363,    28,   293,   117,  4069,  2477,   183,
     472,  4073,  4903,  1729,   294,   198,   472,   472,  4640,  5237,
    3112,   436,   436,   145,   486,   440,   490,   452,   332,   198,
    4929,   486,  1748,   449,   449,   428,   473,   474,   475,  2106,
     477,   478,   479,   480,   481,   482,   172,  2405,  1764,  1765,
    1766,  1767,   332,  5415,   284,    79,   472,   472,  4938,  1513,
     205,  1777,   446,    87,  1518,  3157,  1994,   117,  1784,  1997,
     192,   486,   486,   294,   490,   186,   259,   365,  1982,  5373,
     263,   341,  1798,   342,   348,  1801,   350,  3884,  2531,   263,
     259,   115,  5317,  5311,   263,  1811,   294,   350,   128,  5317,
     130,   398,  4901,   400,  4420,  2926,   490,   171,   473,   474,
     475,   332,   477,   478,   479,   480,   481,   482,  2736,  4918,
     422,   430,   156,    13,  2742,   355,  4717,   161,   294,   426,
    1846,  1847,   449,   440,   332,  1589,   186,   294,   408,  1593,
     106,  1857,  1858,  3282,   365,  1861,   170,   411,  1864,   430,
    2497,   449,    42,    13,   486,   348,  4955,   294,   411,   183,
     350,   441,   328,  1879,  1880,   484,   332,   231,   430,   488,
    1886,   195,  1888,   490,   472,   332,   240,   486,   147,   486,
    1889,   473,   474,   475,    74,   477,   478,   479,   480,   481,
     482,  1938,   490,  5418,   228,   332,   162,  1913,  5097,   365,
    5418,   394,  2899,  4323,  1920,   486,  1922,  2554,  5113,  1925,
    1926,  4815,  1928,  1929,    74,  1931,  5096,  4533,   156,  4535,
    1953,   411,  1938,   161,   486,   169,   294,   263,   365,  1945,
     196,    31,   268,   263,  1943,  1943,  1952,  1953,  1943,  1943,
    1956,   275,  4362,   273,  1960,  1943,  1962,     0,  4713,   166,
    2632,  1967,  1968,   449,  4342,    55,   485,   489,  1974,  1975,
    1976,   490,  1890,  1979,   332,  1981,  1982,  1983,  1984,  1985,
    1986,  1987,  1988,   190,  1990,   241,  1992,  1993,   244,  5078,
    1996,  1899,   318,  1901,   294,  1903,  2818,  1905,    93,  1907,
     228,  2660,  2661,  1911,   490,  2011,  2012,  2013,  2014,   393,
     237,   449,  2018,  2019,  2213,   490,  4312,  2023,   113,  2213,
    2026,   324,  1952,  2029,  2030,  2031,  2032,  2033,  2034,  2035,
    2036,  2037,   332,  2039,   472,   332,   336,  5226,   320,  2045,
    2046,   162,  2048,   451,   398,   429,   400,   275,   486,  2055,
     481,   333,   147,     5,   237,   486,   359,   488,  5239,    11,
    2212,   451,  2214,  2215,   472,   365,   336,   381,   365,   294,
     384,  4952,   426,   451,   336,   196,  2209,   352,  2084,   361,
    2717,  2889,   472,     3,  4285,  2091,  4287,  4288,  4289,  2095,
    2096,   394,  2729,   294,   472,   365,   486,   253,  5010,   358,
    2106,    34,  2821,   365,  3433,    25,   381,   332,   486,  2115,
    2116,  2965,  4867,   347,  2570,  2571,  2572,  2249,  5307,   353,
    4909,   277,   161,  2129,  2761,   352,   360,  3651,  5217,   237,
    2136,   332,  2138,  3462,   240,   394,  4488,  2991,   171,   442,
     365,   487,  1752,  4495,   490,   184,  2134,  4538,  4500,   161,
    3261,  4503,  2824,   449,  2779,  4546,  2179,   263,  2181,  2824,
    3271,   395,  2715,  2716,   365,    85,  1776,  2720,  2805,   352,
     397,  2089,   184,  2179,  4526,  2181,   472,   436,   910,  3861,
      26,   312,  1798,   417,  2221,  1801,   481,  4539,  2177,   278,
     449,   486,  2198,   488,   283,  2327,     5,   929,   231,   426,
     932,    47,    11,  2209,  2757,  2758,  2212,  2213,  2214,  2215,
      19,  5300,  2218,   472,   397,  2221,   411,     5,   138,     5,
    3649,  1505,  3651,    11,   451,    11,    22,   486,    37,   442,
    1846,  1847,    28,   328,  3642,  5416,  2242,    68,  1522,  1889,
    4995,  2629,   272,   426,   352,  1861,  3628,  2253,  1864,  5161,
     218,  3168,  4548,   906,   355,  2261,  2262,  3174,   911,   486,
    2966,   487,  2268,   358,   490,   486,   143,   237,   451,   242,
     190,  2277,  2404,   398,  3394,   400,   196,  5366,  2943,   156,
     486,  2318,  2319,   114,   161,  2322,   484,   411,   486,   397,
     488,   324,  2298,  1943,   255,   256,   257,   258,   398,   394,
     400,  3209,  3684,   486,    65,    66,  1922,  3214,  3207,  1925,
    1926,   334,  2318,  2319,  3253,   411,  2322,    10,   426,  2325,
      13,  2913,  2914,   355,    17,    18,    19,  3326,  3327,   487,
    2943,   208,   490,   487,   487,  3041,   490,   490,   486,   170,
     488,   436,  2348,   451,    68,  2351,   487,  3255,   240,   490,
      74,   228,   487,  4705,   449,   490,    15,    16,  2715,  2716,
    5272,   487,    86,  2720,   490,   398,   240,   400,  2374,  2375,
    2020,   487,   487,    90,   490,   490,  2365,   472,   486,   484,
     300,   486,   352,  2389,    37,  2391,  2392,   449,    85,   451,
     114,   486,   116,   426,    32,    33,   487,   143,   275,   490,
    2757,  2758,   487,    56,   486,   490,   488,   284,   487,   442,
     156,   490,   237,  4765,   194,   161,  2422,  2423,  2424,  5128,
    5129,   487,  2428,   343,   490,  4626,   184,   397,  2434,   126,
     487,   487,   263,   490,   490,   487,   242,   268,   490,   136,
    2477,  2447,   348,   349,  3873,  5357,   170,  2453,   237,  2455,
     348,   349,   487,   106,   107,   490,   426,   398,  4858,   400,
    4860,   114,   208,  2469,  4864,  4865,  3058,   487,  2474,  4943,
     490,  2477,   392,   487,   198,  2481,   490,   487,  2484,   310,
     490,   451,   228,   487,  2134,  3077,   490,   398,   411,   400,
    2496,  2497,  3603,  3604,  4581,   326,  3868,   190,   449,   487,
     451,   421,   490,  4799,  3888,   348,   349,  3240,  2514,   429,
     442,  4807,   432,  4913,  5269,   237,   486,   170,  2524,   212,
    2526,  2673,   487,  2675,  2676,   490,    82,   352,  2916,   275,
     449,   487,   451,  2483,   490,  2523,    55,  2670,   284,   263,
     193,   348,   349,   487,   268,   422,   490,   487,  2554,  5155,
     490,  3216,   487,  3218,   355,   490,   487,  4909,   487,   490,
     486,   490,   487,   352,   218,   490,   487,  3475,    11,   490,
     487,   143,   397,   490,   487,  2581,   489,  2583,   487,  2585,
    3482,   490,  5251,  5252,   156,  2779,   310,   280,   241,   161,
     486,   244,   423,  2209,   278,   352,  2212,   294,  2214,  2215,
    3587,   426,   326,  3216,   487,  3218,   259,   490,   397,    10,
     263,   487,    13,  2619,   490,  4967,    17,    18,    19,  3378,
    4707,   487,   487,   490,   490,   490,   451,  5382,   442,   487,
     352,   328,   490,    34,  3299,   332,   208,   426,   486,  3231,
     293,  3233,   487,   487,  4996,   490,   490,   487,   487,  2843,
     490,   490,   487,    55,    82,   490,   228,  3546,  4182,    86,
     487,   486,   451,   490,  2670,  2671,    45,  2673,   365,  2675,
    2676,   487,  2678,   489,  2717,   397,   422,   237,   440,   487,
    2686,   214,   490,  3585,   337,  2691,  3299,   487,   487,   281,
     490,   490,  5447,   487,   469,   487,   490,   486,   490,   423,
     358,   488,    37,   275,   426,   487,   359,   281,   490,  2715,
    2716,  2717,   284,   487,  2720,   278,   490,   487,  2761,   161,
     490,    56,  2728,  2729,  2730,  2731,   379,    37,   381,   451,
    3402,   384,   278,   469,   487,  2741,   394,   490,  2744,   487,
    2746,   281,   490,  3650,   171,   487,    56,   487,   490,  5101,
     490,  2757,  2758,    45,   487,  2761,  4164,   490,   469,   487,
     487,     0,   490,   490,   486,   214,   840,   194,   842,  3541,
    3678,   106,  3680,  2779,  4074,  2781,  4076,  2783,   436,  2785,
     473,   474,   475,   479,   477,   478,   479,   480,   481,   482,
     165,   449,   352,   487,   486,  3703,   106,   487,  3435,  2805,
     490,  3393,   487,  2809,   231,   490,  5216,   490,   487,    55,
    2816,   212,  3620,   487,   472,  3723,   490,   487,   487,   487,
     490,   490,   490,  2810,  2811,  2812,  2832,   128,   486,   130,
    2873,   486,  3469,   486,  2840,   170,   166,   397,   487,    10,
     487,   490,    13,   490,   210,   486,    17,    18,    19,  2855,
     422,   488,  2816,   154,    93,   453,   283,   487,   193,   487,
     490,   487,   490,  2869,   490,   487,   426,  2873,   490,   486,
    2876,    42,  2878,  2523,   486,   332,   190,  3784,    49,   280,
    3517,   487,   148,   193,   490,  5237,   486,  3440,  3441,  3442,
    3443,   451,   488,  3446,  3447,  3448,  3449,  3450,  3451,  3452,
    3453,  3454,  3455,    74,   143,  2869,   241,   487,  3762,   244,
     490,   487,   484,  2919,   490,   487,   488,   156,   487,    51,
    2926,   490,   161,   278,   259,   148,   486,   166,   237,   487,
     190,   241,   490,   172,   244,   487,   175,   332,   490,   487,
     179,   278,   490,  2949,  2950,   487,   148,   148,   490,   259,
    3772,   148,  3505,  3506,   255,   256,   257,   258,   293,  5311,
     190,   262,   263,    95,   332,  5317,   278,   268,   161,   208,
     148,   398,   273,   400,   128,   487,   130,   487,   490,  3367,
     490,   226,   487,   293,   411,   490,   116,   487,   120,   228,
     490,   487,   487,   430,   490,   490,   423,  4020,   487,   426,
     154,   490,   337,   487,   487,   137,   490,   490,   487,   141,
     487,   490,   237,   490,   185,   487,  3210,   487,   490,   190,
     490,   278,   487,   486,   359,   490,   161,   337,   272,   487,
     162,    68,  3704,   165,   263,    37,   275,   263,   453,   278,
     486,   278,   161,   352,   379,   284,   263,    45,   180,   359,
    3056,    45,   263,   265,  2670,   416,   227,  2673,   263,  2675,
    2676,    85,   294,   161,   442,   442,  5418,  2717,   148,   379,
     313,   148,   473,   474,   475,   486,   477,   478,   479,   480,
     481,   482,   148,  3440,  3441,  3442,  3443,   439,   397,  3446,
    3447,  3448,  3449,  3450,  3451,  3452,  3453,  3454,  3455,   486,
     339,   255,   256,   257,   258,   486,   306,   148,   262,   280,
      36,  2761,   413,   486,   268,   453,  3473,   426,   148,   273,
     148,    10,   148,   424,    13,   292,   490,   352,   264,   265,
     148,   148,   148,   148,  2784,   148,   268,   148,   161,   148,
     148,    10,   451,   148,    13,   148,   358,   278,  3505,  3506,
    2800,    37,   394,    42,   486,   394,   226,   161,   278,   486,
      49,   161,  3168,     6,     6,   486,  2816,   486,  3174,   161,
     486,   486,   397,    42,     6,   486,     6,   486,  3184,   486,
      49,   486,   394,   422,  4086,    74,   318,   486,   486,   486,
     486,   358,   486,   486,     6,   486,   486,   486,   486,   370,
    2816,   426,     6,   486,   486,    74,  4108,   446,   486,   448,
     449,   486,   486,   486,   486,   486,  3222,  3223,  3224,  2869,
     210,  4332,   358,  2873,   436,   486,   451,   394,   486,   450,
     486,   290,    37,  3239,    97,   490,   490,   449,   226,    37,
    3832,  3833,   490,   161,   275,   484,   161,   365,   487,   488,
     489,   273,  3289,  2869,  3807,  3261,  3262,    64,   394,   413,
     472,   486,   406,  3935,   406,  3271,  3272,  3273,   352,   436,
     424,  3277,   141,   406,   486,   487,   441,   489,   406,   352,
     488,   406,   449,  3289,   406,   352,   228,   475,   352,   406,
     406,   406,    86,   148,   278,   357,   185,  3285,   223,   470,
     436,   190,   473,   474,   475,   472,   477,   478,   479,   480,
     481,   482,   406,   449,   406,   268,   185,  4689,   406,   486,
     122,   190,   429,   397,  3312,   298,   278,   348,   273,   486,
     406,   406,   183,   486,    86,   490,   472,   122,   227,  4103,
     294,  3378,   190,   430,   430,   148,   406,   122,   406,   406,
     486,  3357,   394,   406,   394,   406,   406,   108,   227,  3513,
     406,   406,   122,   406,    55,    55,   248,   406,   406,  4006,
     406,   406,  3378,   282,   406,  4804,   317,   406,   397,   406,
      44,   406,   298,    44,   298,  3391,  4293,   490,  3394,   491,
     487,   280,   406,   212,   406,   212,   406,   278,   212,   406,
     278,   212,   212,   212,   212,   406,   212,  3413,   486,    37,
     416,   280,   212,   212,   148,    26,  3422,   278,   148,   263,
     114,   148,   148,   148,  3430,   278,  3432,   273,   263,  3435,
     263,   430,   263,   234,  3440,  3441,  3442,  3443,    37,   161,
    3446,  3447,  3448,  3449,  3450,  3451,  3452,  3453,  3454,  3455,
    3807,    37,   449,  3459,  3460,   441,   218,   354,    36,   406,
     404,   404,   148,  3469,   148,   430,   486,  3473,  3511,  4094,
     406,  3477,   406,   406,   148,  4392,   148,   272,   406,  3485,
     430,   370,  3488,   267,  3490,  3679,   166,  3530,   445,   248,
     486,   486,   248,   486,    13,   484,  3502,   484,   404,  3505,
    3506,   370,  4174,   486,  3510,  3511,   486,     0,   490,  3515,
    3704,  3517,   486,   406,   486,   175,   157,    24,  3524,  3525,
    3526,  3527,   166,    30,  3530,  3531,   490,   487,   408,  3535,
    3536,  3537,  3519,  3520,  3521,  3522,  3542,   183,   183,   208,
     368,  3929,  3930,  3931,  3932,  3933,   216,   279,    37,   287,
     490,   490,    55,  3552,  3552,   430,   487,  3552,  3552,   352,
     430,   216,  3568,  3527,  3552,    72,  3530,   486,   216,  4161,
     268,   268,   406,   486,   161,   268,  3582,   406,  3584,   406,
    4313,   470,   278,    45,   374,   263,   278,   226,   477,   478,
     479,   480,   481,   482,   226,   226,  3602,  3603,  3604,   348,
      93,   470,   278,   490,   122,   278,   397,   278,   477,   478,
     479,   480,   481,   482,   406,   278,   332,   365,   184,   126,
     362,   320,   284,   406,   406,   487,   133,    37,   212,   136,
     218,   316,   148,   430,   430,  3285,  3642,   475,  3602,   273,
     161,    37,   395,   163,   273,   486,     0,   362,   148,   317,
     143,  4243,  4009,   442,  3660,   162,   148,   148,   273,   430,
     486,   449,  3312,   156,    37,   263,   263,   218,   161,   278,
     278,   181,   181,   166,  5198,   161,    37,   162,   246,   172,
     218,   356,   175,   362,    10,   161,   179,    13,   469,   196,
    3884,    17,    18,    19,   263,   469,   278,  4808,   484,   453,
     487,    25,   190,   190,  4061,   173,   190,   487,    34,   487,
    4347,   487,   190,   190,   487,   208,   166,   406,   490,   486,
     490,   490,  3711,  4631,   278,   449,   490,    55,   245,   272,
     487,   166,   487,  3722,   290,   228,  4855,   487,   299,    93,
     487,   487,   487,   487,   487,   486,   166,   487,  4340,   486,
      10,  3757,   259,    13,   490,   469,   263,    17,    18,    19,
     262,   289,   471,   406,   487,   486,   273,   487,   486,   486,
     240,   428,   236,   486,    34,   282,   486,   436,    55,   446,
     446,   278,   275,   278,  3790,   278,   486,   294,  4844,   143,
    4846,   284,   475,   194,   406,   148,   278,  3803,   281,  3805,
     406,  3807,   156,   406,   486,   202,   151,   161,  3814,   268,
     406,   263,   166,   148,  3820,   282,   365,    10,   172,   148,
      13,   175,   357,   148,  3830,   179,   357,   357,   335,   336,
     194,   226,   151,   278,   406,   475,   430,   151,   490,  3845,
     228,   151,   300,  3849,   300,   381,   339,   427,   406,    42,
     122,   406,   238,  3859,   208,   238,    49,   238,   365,   406,
     406,  3511,  3868,   263,  4252,  4253,   406,  4255,   148,   406,
      44,   352,  3878,   406,   228,   365,   212,  3527,   352,   406,
    3530,    74,   406,  3889,  3890,  3849,   212,  4440,   178,  3877,
     485,   352,   406,   406,   406,    10,  4659,   352,    13,   212,
    4094,   394,  3552,     3,   487,   406,   487,   406,   487,   161,
     487,  3527,   487,    45,  3530,  4540,   490,   334,   416,   107,
     487,   275,  3928,  5042,   278,   490,   433,    42,  4750,   422,
     284,   161,    37,   486,    49,   487,   148,   406,    10,  5050,
    5051,    13,   148,   475,   161,    17,    18,    19,   141,   178,
     430,   485,   212,   446,   280,   448,   449,   486,  3964,    74,
     485,   487,   148,   352,   430,    37,   281,   352,  4593,   362,
    3976,   146,   352,   352,   352,   490,   146,   212,   212,   212,
     212,   212,   139,   166,   212,   339,  3602,   212,   212,   212,
    4582,   484,   185,    13,   487,   488,   489,   190,   290,   161,
    4006,   441,   166,  4009,   262,   484,   166,   446,   175,   403,
     435,  4017,  4018,    84,   487,   490,   487,   339,  4024,  4025,
     280,   161,   487,  4029,   487,   416,   141,  4944,   472,  4035,
     487,    37,  4038,  4039,   227,   486,   490,  4043,  4044,   486,
     394,   490,   218,  4049,  4050,  4051,  4052,  4053,   430,   487,
     487,  4057,  4058,  4059,   486,  4061,  4062,   406,   430,  4065,
     202,    55,   148,  4069,   397,   486,   170,  4073,   422,   381,
     185,   357,   416,  4079,   406,   190,   151,   352,   352,  5190,
     487,    10,   487,  4440,    13,   406,   406,   280,  4094,   406,
     406,   332,   446,   449,   448,   449,   486,  4103,    55,  4736,
     487,  4107,   397,   161,  4127,  4069,  4112,   278,    74,  4073,
     148,   107,   227,    42,   416,   212,   487,  4105,  4106,   212,
      49,  4127,   212,   212,  4130,   436,   486,   197,   216,   486,
     484,   278,  5040,   487,   488,   489,   406,   327,  4775,   490,
     212,   487,   490,    37,   453,    74,   298,   473,   474,   475,
     276,   477,   478,   479,   480,   481,   482,  5061,  4164,   278,
       3,   416,   406,   490,   487,   280,   362,  5286,   486,   172,
     107,   166,    10,  4179,   166,    13,  4841,   370,  4731,  4168,
     486,   485,   490,  4855,   212,    55,   487,   487,   486,  4178,
    4855,   487,   290,   447,   447,   396,   487,   490,   487,  3849,
     487,   486,  4839,  4840,    42,   486,   215,   288,   280,   285,
     215,    49,   141,   473,   474,   475,    55,   477,   478,   479,
     480,   481,   482,  4229,   486,   179,   487,  3877,   273,  5137,
     403,   416,   475,  3849,   406,     6,    74,    74,   166,   449,
     191,   196,   184,   184,   268,   268,    55,   397,  4254,   475,
     490,   490,   406,    68,   151,   370,   185,   406,   406,   148,
     406,   190,   212,  4269,   121,   487,   486,   168,   166,   114,
      37,   430,   190,   273,  5007,   486,    37,   470,   362,   430,
     263,   163,   161,   362,   477,   478,   479,   480,   481,   482,
      55,   273,    80,   449,   397,  4301,   449,    37,   227,   166,
     278,   161,   486,   141,   199,   281,   210,   166,   486,   486,
     435,  4317,   378,   298,   448,   215,    86,  4323,   487,   487,
     486,   486,   129,   486,   326,   278,  4332,  4964,   406,   487,
      37,   486,   148,   406,   148,   161,    37,   268,   194,   107,
     239,  4347,   487,   486,  4981,   486,  4540,   185,  4985,   486,
    4987,   280,   190,   486,  4360,   470,  4362,   486,   486,   486,
     134,   362,   477,   478,   479,   480,   481,   482,   486,   148,
    4758,  4359,    37,   487,  4731,   487,   445,  5042,   376,  5004,
     282,  4769,   416,   376,    55,   487,    37,  4581,    77,   227,
    4396,   486,   486,   435,  4593,   486,   183,   430,  4755,  4593,
     397,   473,   474,   475,   486,   477,   478,   479,   480,   481,
     482,   161,   486,   490,   278,   259,   397,  4970,   189,  4069,
     397,   486,     6,  4073,   487,   155,   453,   198,   199,   486,
     147,   486,   349,   349,  4440,   206,    68,   208,   209,   281,
    4592,   370,   280,    68,   129,   449,   434,   486,   435,   486,
     449,   222,    37,  4069,   490,  4105,  4106,  4073,   365,   397,
    4848,  5369,   166,  4469,  4470,   323,   268,  4473,   134,   196,
     278,   486,   278,    37,   362,    37,   281,   281,   486,   191,
     168,   168,  4488,   490,  4636,  4491,   446,    55,   119,  4495,
       6,   406,   385,   348,  4500,   428,   487,  4503,  4504,   362,
    4506,   487,  4508,   487,  4510,  4511,   486,   486,   348,   144,
     285,   333,   486,    24,   486,    23,  5181,   486,   486,    30,
    4526,    34,  4528,   490,  4488,  5433,   490,   268,   147,   406,
     166,  4495,   370,  4539,  4540,  4541,  4500,  4543,   348,  4503,
     286,   470,    77,  5451,   376,   376,   449,   486,   477,   478,
     479,   480,   481,   482,   168,   168,   921,   449,   836,  1592,
    2824,    72,  4526,  2481,  1327,   920,  2292,   874,  2373,  2991,
    3678,  3653,  5181,  2399,  3201,  4539,  2451,  4634,  5040,  5286,
    3830,  4689,  4303,  4658,  2920,  2619,  4592,  4593,  5160,  5275,
    4978,  4539,  5070,    10,  5069,  5201,    13,  5311,  3878,    17,
      17,    18,    19,  2924,  3863,  5014,  2466,  3821,    26,  2466,
    3673,  4519,  3016,  4970,  3251,   126,  3846,   916,  4341,  4665,
    3263,  5286,   133,  2460,  5288,   136,  4674,  5451,  5433,  4651,
    4636,  3886,   470,  4639,  3209,  5214,  4595,  1743,  4827,   477,
     478,   479,   480,   481,   482,  4651,  5023,  4598,  4654,    18,
     615,   162,    28,  4659,  4795,  3938,  5379,  3888,  1169,  2153,
    1789,  2898,  4668,  1787,  1798,  4944,  1857,  4704,  1947,  1946,
     702,  3703,  3144,  2398,  3255,  4663,  1946,  3723,  5242,  4685,
     669,  5421,  1411,  4689,   815,   196,  4692,    10,  3909,  3911,
      13,  2085,  2096,   837,    17,    18,    19,  4703,  4704,  4705,
    1890,  4317,  4522,  4107,  5154,  3582,  2840,  2132,  2855,  4359,
    1347,  1304,  1370,  4701,  2106,  1369,  3545,  5146,  4989,  4091,
    3530,  2131,  1372,  5360,  4058,  4731,  4075,  4766,  4734,  3527,
    4736,  4967,  4775,  4966,    10,  1377,  3583,    13,  3527,  5427,
    5259,  4705,  5136,  5348,  4734,  5149,  3477,  5150,   259,  4755,
    1822,  4514,   263,  2784,  2782,  4761,  2043,  2687,    -1,  4765,
    2046,  2428,   273,  4769,    -1,    -1,    42,    -1,    -1,  4775,
      -1,   282,    -1,    49,    -1,    -1,    -1,    -1,  4784,  5136,
      -1,    -1,    -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5344,  5345,    -1,    -1,   212,    -1,    -1,    74,    -1,
    4806,  4765,  4808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5004,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,   335,   336,    -1,    -1,  4834,    -1,
      -1,    -1,    -1,  4839,  4840,    -1,    -1,    -1,  4844,  4845,
    4846,  4847,    -1,    -1,    -1,  4495,    -1,    -1,    -1,    -1,
    4500,    -1,    -1,  4503,   365,    -1,    -1,    -1,    24,    -1,
      -1,    -1,   633,   280,    30,   141,    -1,    -1,   639,    -1,
      -1,  4877,  4488,    -1,    -1,    -1,    -1,    43,  4884,  4495,
      -1,   652,    -1,    -1,  4500,    -1,    -1,  4503,  4504,   212,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   668,  5255,    -1,
    4906,    -1,   673,  4909,    -1,    -1,    72,   678,    -1,   185,
    4526,   682,   683,    -1,   190,    -1,    -1,    -1,   689,    -1,
     691,   692,   433,  4539,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4919,    -1,   704,   705,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   715,  4909,    -1,    -1,    -1,    -1,
      -1,   227,    -1,    -1,    -1,    -1,    -1,   280,  4964,    -1,
     126,  4967,    -1,    -1,  4970,    -1,    -1,   133,  4974,    -1,
     136,    -1,    -1,    -1,    -1,  4981,  4592,    -1,    -1,  4985,
      -1,  4987,    -1,  4989,    -1,    -1,    -1,  5344,  5345,    -1,
    4996,    -1,    -1,    -1,    -1,    -1,   162,    -1,  5004,    -1,
      -1,    -1,    -1,  4967,   280,  4993,    -1,    -1,    -1,  5015,
      -1,    -1,    -1,  4663,    -1,    -1,  5168,    -1,    -1,    -1,
    4636,    -1,    -1,   794,   795,    -1,    -1,    -1,    -1,   800,
     196,    -1,  4996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5050,  5051,    -1,    -1,    -1,    -1,
      -1,  4701,    -1,   824,    -1,   826,   473,   474,   475,    -1,
     477,   478,   479,   480,   481,   482,   837,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5081,    -1,    -1,    -1,    -1,
      -1,    -1,  5088,    -1,    -1,    -1,  5092,    -1,    -1,  4705,
      -1,  5243,  5244,   259,   370,  5101,    -1,   263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4765,   282,    -1,    -1,    -1,
      -1,  5127,  5128,  5129,    -1,  4775,    -1,  5133,   294,    -1,
    5136,    -1,    -1,    -1,    -1,    -1,    -1,  5101,    -1,    -1,
    5146,    -1,    -1,  5149,    -1,    -1,    -1,    -1,  5154,  4765,
     473,   474,   475,    -1,   477,   478,   479,   480,   481,   482,
      -1,    -1,  5168,    -1,    -1,    -1,   332,    -1,    -1,   335,
     336,    -1,   943,   944,   945,    -1,    -1,  5183,    -1,    -1,
     951,    -1,    -1,    -1,  5190,   956,   957,    -1,    -1,    -1,
     961,    -1,   963,    -1,   470,    -1,   967,    -1,   616,   365,
      -1,   477,   478,   479,   480,   481,   482,    -1,    -1,    -1,
    5216,   982,    -1,    -1,    -1,  5221,    -1,    -1,    -1,    -1,
      -1,  5227,    -1,    -1,    -1,    -1,    -1,  5215,    -1,    -1,
      -1,  5237,   199,    -1,    -1,    -1,    -1,  5243,  5244,  5245,
      -1,   208,    -1,  5242,  5242,    -1,    -1,  5242,  5242,  5255,
     668,   669,    -1,  5259,  5242,   222,  1027,  1028,  1029,  4909,
      37,    -1,    -1,    -1,    -1,    -1,    -1,   433,  4884,  4919,
      -1,    -1,    -1,  5237,  5280,    -1,    -1,  5320,    -1,    -1,
      -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4909,    -1,    -1,  1067,    -1,    -1,    -1,
      -1,  5453,  5454,    -1,    -1,  5311,  5312,  5313,    -1,    -1,
      -1,  5317,    -1,    -1,    -1,    92,    -1,    -1,    -1,    -1,
      -1,  5320,  5320,    -1,    -1,  5320,  5320,    -1,    -1,    -1,
      -1,    -1,  5320,  1104,    -1,    -1,    -1,    -1,  5344,  5345,
      -1,    -1,    -1,  4993,   762,    -1,    -1,  5311,    -1,  5355,
      -1,  4967,    -1,  5317,  5360,    -1,    -1,    -1,    -1,    -1,
      -1,  1132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1140,
     788,    -1,    -1,    -1,    -1,   152,    -1,    -1,   796,    -1,
    4996,   799,   800,   801,  5390,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5400,    -1,    -1,  1168,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1177,    -1,  1179,  5415,
     187,    -1,  5418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5427,  5421,  5421,  1195,  5431,  5421,  5421,  1199,    -1,
      -1,    -1,    -1,  5421,    -1,    -1,    -1,    -1,    -1,    -1,
    1211,   218,    -1,    -1,    -1,    -1,   223,  5453,  5454,     3,
      -1,    -1,    -1,    -1,  5418,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,  1242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    -1,  5101,   263,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,  1270,
    1271,  1272,    10,  1274,    -1,    13,    24,    -1,    -1,    17,
      18,    19,    30,    -1,    -1,    -1,    -1,    -1,   295,    -1,
      74,    -1,    -1,  1294,    -1,    43,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    49,    -1,    -1,    -1,    -1,    -1,  1318,    -1,    -1,
      -1,    -1,  5168,    -1,    72,  1326,  1327,    -1,    -1,   336,
      -1,    -1,    -1,   340,    -1,  5215,    74,    -1,    -1,  1340,
      -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,
      -1,  1362,  5242,    -1,    -1,  1366,  1367,    -1,    -1,    -1,
     377,    -1,    -1,    -1,    -1,  5221,   124,    -1,   126,   386,
    1381,    -1,    -1,   390,    -1,   133,  1387,    -1,   136,    -1,
      -1,  5237,  1393,    -1,    -1,    -1,    -1,  5243,  5244,    -1,
      -1,   185,   409,    -1,    -1,    -1,   190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,
      22,    -1,    -1,    -1,    -1,    27,   633,   444,    -1,    -1,
    5320,   448,   639,   227,    -1,    -1,    -1,   185,   196,    -1,
      -1,    -1,   190,  1454,    -1,   652,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5311,    -1,    -1,    -1,    -1,
      62,  5317,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    75,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,  1140,    -1,  1495,    -1,   280,    -1,    90,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   259,    -1,    -1,    -1,   263,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   273,  1174,  1528,   266,    -1,
      -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,    -1,   131,
      -1,  5421,   280,    -1,    -1,   283,   294,    -1,    -1,    -1,
     142,  1199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   163,  5418,    -1,    -1,    -1,   168,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   332,  5431,   370,   335,   336,  1590,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,   194,    -1,  1605,  1606,  1607,  5453,  5454,    -1,
      -1,    -1,    -1,    -1,    -1,    34,    -1,   365,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,  1276,    -1,
      49,    -1,   370,    -1,    -1,    -1,    -1,  1285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,
      -1,  1299,    -1,    -1,    -1,    74,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1318,    -1,    -1,  1321,  1322,    -1,    -1,    -1,  1326,  1327,
      -1,    -1,    -1,    -1,    -1,   433,   470,    -1,   280,   473,
     474,   475,  1340,   477,   478,   479,   480,   481,   482,    -1,
      -1,   293,    -1,    -1,    -1,    -1,  1707,    -1,    -1,    -1,
      -1,   303,    -1,    -1,    -1,    -1,    -1,  1718,    -1,    -1,
      -1,   313,   314,    -1,    -1,   317,    -1,    -1,    -1,  1730,
      -1,    -1,   470,    -1,  1735,   473,   474,   475,    -1,   477,
     478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,   487,
      -1,   343,   490,  1754,   346,    -1,    -1,    -1,   350,    -1,
     352,  1762,    -1,    -1,    -1,    -1,   185,   359,    -1,    -1,
     362,   190,    -1,  1774,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   381,
    1791,    -1,    -1,   212,   213,    -1,   388,  1798,    -1,    -1,
    1801,    -1,   394,  1804,    -1,   397,    -1,    -1,   227,   401,
    1811,    -1,    -1,    -1,    -1,    -1,  1817,   409,    -1,   411,
      -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,  1829,    -1,
      -1,    -1,    -1,    24,    -1,    -1,    -1,   429,    -1,    30,
      -1,    -1,    -1,    -1,    -1,  1846,  1847,   266,  1849,  1850,
     442,    -1,    43,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1861,   280,  1863,  1864,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1873,  1874,    -1,  1876,  1877,    -1,    -1,    -1,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1890,
      -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,  1546,    -1,
      -1,    28,    -1,    -1,    -1,  1553,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1922,    -1,    -1,  1925,  1926,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   124,    -1,   126,    -1,    -1,    -1,    -1,
      -1,    -1,   133,    -1,    -1,   136,    -1,    -1,    -1,    -1,
      -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1960,
      -1,  1962,    -1,    -1,    -1,    -1,  1967,  1968,    -1,    -1,
      -1,   162,    -1,  1974,  1975,  1976,    -1,    -1,  1979,    -1,
    1981,    -1,  1983,  1984,  1985,  1986,  1987,  1988,    -1,  1990,
      -1,  1992,  1993,    -1,    -1,  1996,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,  2010,
    2011,  2012,  2013,  2014,  2015,    -1,    -1,    -1,  2019,    37,
      -1,    -1,  2023,    -1,    -1,  2026,    -1,    -1,  2029,  2030,
    2031,  2032,  2033,  2034,  2035,  2036,  2037,    -1,  2039,    -1,
      58,    -1,    -1,    -1,    -1,  2046,    -1,  2048,    -1,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,    -1,   477,   478,
     479,   480,   481,   482,    -1,    -1,    -1,    -1,   259,    -1,
      -1,   490,   263,    -1,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   273,    -1,  2085,    -1,    -1,    -1,    -1,    -1,
    2091,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,    -1,  2106,    -1,    -1,    -1,  1757,
      -1,    -1,    -1,  1761,  2115,  2116,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,    -1,
    2141,   332,    -1,    -1,   335,   336,    -1,  2148,    -1,    22,
      -1,  2152,  2153,    -1,    27,    -1,    -1,    -1,  2159,    -1,
      -1,    -1,    -1,  2164,  2165,    -1,    -1,    -1,  2169,   187,
      -1,    -1,    -1,    -1,   365,    -1,  2177,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    62,
      -1,    -1,    -1,    -1,  2195,    -1,    -1,  2198,    24,    -1,
     218,    -1,    75,    -1,    30,   223,    -1,    -1,  2209,    -1,
    2211,  2212,    -1,  2214,  2215,    -1,  2217,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,    10,
      -1,    -1,    13,    -1,    -1,   108,    17,    18,    19,    -1,
      -1,    -1,   433,    -1,    -1,   263,    72,    -1,  2249,  2250,
      -1,    -1,    -1,    34,    -1,    -1,    -1,  2258,   131,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    49,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,   151,  2280,
    2281,    -1,    -1,  2284,    -1,    -1,    -1,    -1,    -1,    -1,
     163,    -1,    -1,    74,    -1,   168,    -1,    -1,    -1,    -1,
     126,    -1,    -1,    -1,    -1,    -1,  2307,   133,  2309,    -1,
     136,    -1,  2313,    -1,    -1,    -1,    -1,    -1,   336,  2320,
      -1,   194,   340,    -1,    -1,  1973,  2327,    -1,    -1,  2330,
      -1,   349,    -1,    -1,    -1,  2336,   162,    -1,    -1,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2356,    -1,    -1,    -1,   377,
      -1,  2362,    -1,    -1,    -1,    -1,  2367,   240,   386,  2370,
     196,    -1,   390,    -1,    -1,    -1,    -1,    -1,    -1,  2380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   409,  2393,  1590,    -1,    -1,    -1,  2398,    -1,    -1,
      -1,    -1,    -1,  2404,   185,    -1,    -1,   280,    -1,   190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2065,    -1,    -1,
      -1,  2422,  2423,  2424,    -1,    -1,   444,  2428,    -1,    -1,
     448,   212,   213,   259,    -1,    -1,    -1,   263,    -1,    -1,
     313,   314,    -1,    -1,   317,    -1,   227,   273,    -1,    -1,
      -1,    -1,  2453,  2454,    -1,    -1,   282,    -1,    -1,    -1,
      -1,    -1,  2463,    -1,    -1,    -1,    -1,    -1,   294,    -1,
     343,    -1,    -1,   346,    -1,    -1,    -1,    -1,    -1,   352,
      -1,    -1,    -1,    -1,    -1,   266,   359,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,  2497,    -1,    -1,   280,
      -1,    -1,   283,    -1,    -1,    -1,   332,    -1,   381,   335,
     336,    -1,    -1,    -1,    -1,   388,    -1,    -1,    -1,    -1,
      -1,   394,    -1,    -1,   397,    -1,    -1,    -1,   401,  2177,
      -1,    -1,    -1,    -1,    -1,  2536,   409,    -1,  2539,   365,
      -1,    -1,    -1,   416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2554,    -1,    -1,    -1,  1754,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1762,    -1,    -1,    -1,   442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1774,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2236,   370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   728,    -1,   730,    -1,   732,    -1,   433,    -1,    -1,
      -1,   738,   739,   740,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2640,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1850,    -1,  2656,    -1,  2658,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2666,    -1,  2315,    -1,  2670,
      -1,  2672,  2673,    -1,  2675,  2676,  2677,    -1,    -1,    -1,
    1877,    -1,    -1,    -1,  2332,  2686,    -1,    -1,    -1,   470,
    2691,    -1,   473,   474,   475,    -1,   477,   478,   479,   480,
     481,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,
      -1,    -1,    -1,    -1,  2715,  2716,  2717,    -1,    -1,  2720,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2728,  2729,  2730,
    2731,    -1,    -1,    -1,    -1,  2736,    -1,    -1,    -1,    -1,
    2741,  2742,    -1,  2744,    -1,  2746,    -1,    -1,  2396,    -1,
      -1,    -1,    -1,    -1,    -1,   882,  2757,  2758,    -1,    -1,
    2761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2781,    -1,  2783,  2431,  2785,  2433,    -1,  2435,  2436,    -1,
      -1,    -1,  2440,  2441,  2442,    -1,  2444,  2445,  2446,    -1,
      -1,    -1,    -1,    -1,  2805,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2816,    -1,    10,   678,    -1,
      13,    -1,    -1,  2824,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2840,
      -1,    34,    -1,    -1,   704,    -1,    -1,    -1,    -1,    42,
      -1,    -1,  2500,    -1,  2855,    -1,    49,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,  2869,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    74,    -1,    -1,  2532,  1072,    34,  2888,    -1,    -1,
    2891,    -1,  2893,    -1,    42,    -1,    -1,  2898,    -1,    -1,
      -1,    49,    -1,    -1,    -1,  1092,    -1,    -1,    -1,    -1,
      -1,    -1,  2913,  2914,    -1,  1102,    -1,    -1,  2919,  1106,
      -1,    -1,    -1,  1110,    -1,  1112,    74,    -1,    -1,    -1,
      -1,  1118,    -1,    -1,    -1,    -1,    -1,  1124,    -1,  2940,
    1127,    -1,  2943,    -1,  2141,  2946,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2954,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2159,    -1,    -1,    -1,    -1,    -1,  2165,    -1,
      -1,    -1,  2169,    -1,    -1,    -1,    -1,    -1,  2979,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   185,    -1,    -1,    -1,    -1,   190,  2195,    -1,
      24,    -1,    -1,    -1,    -1,    -1,    30,    -1,    -1,    -1,
      -1,    -1,    -1,  1140,  3015,  3016,  3017,    -1,    -1,   212,
     213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2229,    -1,   227,    -1,    -1,   185,  3039,    -1,
      -1,    -1,   190,    -1,    -1,    -1,    -1,  3048,    72,  3050,
      -1,    -1,  2249,    -1,    -1,    -1,    -1,  3058,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,    -1,    -1,  3077,    -1,    -1,   227,
      -1,    -1,    -1,    -1,  2281,    -1,    -1,   280,    -1,    -1,
     283,    -1,    -1,    -1,    -1,    -1,   956,    -1,    -1,    -1,
      -1,    -1,   126,    -1,    -1,    -1,    -1,   967,    -1,   133,
    2307,    -1,   136,    -1,    -1,    -1,  2313,    -1,   266,    -1,
      -1,    -1,   982,  2320,    -1,    -1,    -1,    -1,    -1,    -1,
    2327,    -1,   280,  2330,    -1,   283,    -1,    -1,   162,  2336,
    3141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2356,
      -1,    -1,  3163,    -1,    -1,  2362,    -1,  3168,    -1,    -1,
    2367,    -1,   196,  3174,    -1,    -1,  2824,   370,    -1,    -1,
      -1,  3182,    -1,  2380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1321,    -1,  2393,    -1,    -1,  1326,
    1327,    -1,    -1,    -1,    -1,    -1,    -1,  2404,  3209,  3210,
      -1,    -1,    -1,  1340,    -1,  3216,    -1,  3218,    -1,    -1,
      -1,    -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,    -1,  3233,    -1,    -1,   259,    -1,    -1,    -1,   263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,
      -1,    -1,    -1,    -1,  3255,    -1,    -1,    -1,   282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,    -1,    -1,    -1,    -1,    -1,    -1,   470,  3279,    -1,
     473,   474,   475,    -1,   477,   478,   479,   480,   481,   482,
      -1,    -1,    -1,    -1,   487,  2943,    -1,    -1,  3299,  3300,
      -1,    -1,    -1,    -1,    -1,  1432,    58,    -1,   332,    -1,
      -1,   335,   336,  3314,    -1,  1442,    -1,  1177,    -1,    -1,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,    -1,   477,
     478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,   487,
      92,   365,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,  3354,    17,    18,    19,    -1,    -1,  1486,
    1487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3371,    34,    -1,  3021,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,
      -1,    -1,  3393,    -1,    -1,  3396,    -1,    -1,    -1,    -1,
     152,    -1,  1529,    -1,    -1,  1532,  1533,    -1,    -1,   433,
      -1,    74,  3413,    -1,    -1,  3416,    -1,    -1,    -1,    -1,
      -1,  3422,    -1,    -1,    -1,    -1,    -1,  3075,    -1,  3430,
      -1,  3432,    -1,    -1,  3435,   187,    -1,    -1,  3439,  3440,
    3441,  3442,  3443,  2640,    -1,  3446,  3447,  3448,  3449,  3450,
    3451,  3452,  3453,  3454,  3455,    -1,    -1,    -1,  3459,  3460,
      -1,  2658,    -1,  3464,    -1,    -1,    -1,    -1,  3469,  2666,
      -1,   223,  3473,    -1,  3475,    -1,  3477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3485,    -1,    -1,  3488,    -1,  3490,
      -1,    -1,    -1,    -1,    -1,  3143,    -1,    -1,    -1,  3500,
      -1,  3502,    -1,    -1,  3505,  3506,    -1,   259,    -1,  3510,
    3511,   263,    -1,    -1,    -1,    -1,  3517,    -1,    -1,    -1,
      -1,    -1,   185,    -1,    -1,    -1,  3527,   190,    -1,  3530,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3188,  3542,   294,   295,    -1,    -1,    -1,    -1,    -1,   212,
     213,    24,  3200,  3201,    -1,    -1,    -1,    30,    -1,    -1,
      -1,    -1,  3210,    -1,   227,    -1,    -1,  3568,  3216,    -1,
    3218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     332,    -1,    -1,  3584,   336,  1712,    -1,    -1,   340,  3590,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,    72,
      -1,  3602,    -1,   266,    -1,   357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   365,    -1,    -1,  3264,   280,    -1,    -1,
     283,    -1,  3623,    -1,    -1,   377,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   386,  1495,    -1,    -1,   390,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3298,  3299,    -1,   126,    -1,    -1,    -1,    -1,    -1,    -1,
     133,    -1,    -1,   136,    -1,  1852,    -1,    -1,    -1,    -1,
      -1,    -1,  3673,  1860,    -1,    -1,    -1,  3678,  3679,  3680,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1815,   162,
      -1,    -1,   444,    -1,    -1,    -1,    -1,    -1,  1825,    -1,
    1827,    -1,  3703,  3704,    -1,    -1,  1833,   370,    -1,    -1,
      -1,    -1,    -1,  1840,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3723,   196,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,  3739,    -1,
      -1,  3742,    -1,  2940,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    49,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   259,    -1,    74,    -1,
     263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    58,
     273,    -1,    -1,    -1,    -1,    -1,  3807,   470,    -1,   282,
     473,   474,   475,    -1,   477,   478,   479,   480,   481,   482,
      -1,   294,    -1,    -1,   487,    -1,    -1,    -1,    -1,    -1,
      -1,  3832,  3833,    92,    -1,  3836,  3484,    -1,    -1,    -1,
      -1,  3842,  3039,  1970,  1971,    -1,    -1,  1707,  3849,    -1,
    1977,  1978,    -1,    -1,    -1,    -1,    -1,    -1,  1718,   332,
    3861,    -1,   335,   336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1735,    -1,    -1,    -1,  2006,
      -1,    -1,    -1,  3884,    -1,    -1,    -1,  3888,  3889,  3890,
      -1,    -1,   365,   152,    -1,    -1,  2083,    -1,    -1,   185,
      -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,   213,   187,    -1,
      -1,  1791,    34,    -1,    -1,    -1,    -1,  3938,    -1,    -1,
      42,   227,    -1,    -1,  1804,    -1,    -1,    49,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1817,    -1,    -1,
     433,    -1,    -1,  3964,   223,    -1,  3163,    58,    -1,  1829,
      -1,    -1,    74,    -1,    -1,  3976,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2115,  2116,
      -1,    -1,    -1,    -1,   280,    -1,    -1,   283,    -1,    -1,
     259,    92,    -1,    -1,   263,  4006,    -1,    -1,  4009,    -1,
      -1,    -1,    -1,  1873,  1874,    -1,  4017,  4018,    -1,  4020,
      -1,    -1,    -1,  4024,  4025,    -1,    -1,    -1,  4029,  4030,
      -1,  3679,    -1,    -1,  4035,   294,   295,  4038,  4039,    -1,
      -1,    -1,  4043,    -1,    -1,    -1,    -1,    -1,  4049,    -1,
    2177,    -1,    -1,    -1,    -1,    -1,  3704,    -1,    -1,    -1,
    4061,   152,    -1,    -1,  3712,    -1,    -1,  3715,  4069,  3717,
      -1,    -1,  4073,   332,    -1,    -1,    -1,   336,    -1,    -1,
      -1,   340,    -1,   185,   370,    -1,    -1,    -1,   190,    -1,
     349,    -1,    -1,    -1,    -1,    -1,   187,    -1,   357,    -1,
      -1,    -1,  4103,    -1,    -1,    -1,   365,    -1,    -1,    -1,
     212,   213,  3760,    -1,    -1,    -1,    -1,    -1,   377,    -1,
      -1,    -1,    -1,    -1,    -1,   227,    -1,   386,  3776,  4130,
      -1,   390,   223,  3781,  2261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4148,    -1,    -1,
    2010,    -1,    -1,    -1,    -1,    -1,    -1,  3354,    -1,    -1,
    4161,    -1,    -1,    -1,   266,  4166,    -1,    -1,   259,    -1,
      -1,    -1,   263,    -1,  3371,    -1,    -1,    -1,   280,    -1,
      -1,   283,    -1,  4184,   470,   444,    -1,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,    -1,    -1,  3396,
    4201,   487,    -1,   294,   295,  4206,    -1,    -1,    -1,    -1,
      -1,    -1,  4213,    -1,    -1,  2342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2350,    -1,    -1,  2353,    -1,  4229,    -1,
      -1,    -1,    -1,  3881,    -1,    -1,  3884,    -1,  2365,    -1,
      -1,   332,  4243,    -1,    -1,   336,    -1,    -1,    -1,   340,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,   370,    -1,
      -1,    -1,    -1,  4274,   365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   386,    -1,    -1,    -1,   390,
    4301,    -1,    -1,    -1,    -1,  3953,  3954,  3955,  3956,    -1,
    3958,  3959,  3960,  3961,  3962,    -1,  4317,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4340,
      -1,    -1,    -1,    -1,    34,    -1,  4347,    -1,    24,    -1,
      -1,  2211,    42,   444,    30,    -1,    -1,  2217,    -1,    49,
      -1,    -1,  2549,    -1,    -1,    -1,    -1,    -1,   470,    -1,
    2557,   473,   474,   475,    -1,   477,   478,   479,   480,   481,
     482,    -1,    -1,    -1,    74,   487,    -1,    -1,    -1,    -1,
    2577,  4392,    -1,  4394,    -1,    -1,    72,    -1,  2258,    -1,
    2587,    -1,    -1,  2590,    -1,  2592,  2593,    -1,    -1,  2596,
      -1,    -1,    -1,  2600,    -1,  2602,    -1,    -1,  2605,  4420,
      -1,    -1,    -1,    -1,    -1,    -1,  3623,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4440,
    2567,  2568,  4090,  4444,  4092,    -1,  2573,    -1,    -1,    -1,
     126,    -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,
     136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4469,  4470,
      -1,    -1,  4473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2668,    -1,    -1,    -1,    -1,   162,  4488,    -1,    -1,
      -1,    -1,    -1,    -1,  4495,   185,    -1,    -1,    -1,  4500,
     190,    -1,  4503,  4504,    -1,  2632,    -1,    -1,    -1,  4510,
    4511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,   212,   213,    -1,  4526,    -1,  4528,    -1,    -1,
      -1,    -1,  4533,    -1,  4535,    -1,    -1,   227,  4539,    -1,
      -1,    -1,  3739,    -1,    -1,  3742,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,   266,    -1,    -1,    -1,
    4581,  4582,    -1,   259,    -1,    -1,    -1,   263,    34,    -1,
     280,  4592,    -1,   283,  2454,    -1,    42,   273,    -1,    -1,
      -1,    -1,    -1,    49,    -1,    -1,   282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,    -1,
      -1,    -1,    -1,    -1,  4272,  4273,    -1,    -1,    74,    -1,
    4631,    -1,    -1,    -1,    -1,  4636,    -1,  4285,    -1,  4287,
    4288,  4289,    -1,    -1,    -1,  3842,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   332,    58,    -1,   335,
     336,    -1,    -1,    -1,  3861,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,    15,
     370,    -1,    -1,    -1,    20,    -1,    22,    -1,    -1,   365,
      -1,    92,    28,    -1,    30,  2822,    -1,  2824,    -1,    -1,
      -1,    -1,    -1,    -1,  4705,  4353,  4707,    -1,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    -1,
    2847,  2848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4731,  4732,    -1,  4734,    -1,  4736,    -1,    -1,    -1,   185,
      -1,  3938,  2929,  4391,   190,    -1,    -1,    -1,    -1,    -1,
      -1,   152,    -1,    -1,  4755,    -1,    -1,   433,    -1,    -1,
    4761,    -1,    -1,    -1,  4765,    -1,   212,   213,    -1,    -1,
    4771,    -1,    -1,    -1,  4775,    -1,    -1,    -1,    -1,  4427,
     470,   227,    -1,   473,   474,   475,   187,   477,   478,   479,
     480,   481,   482,    -1,    -1,    -1,  2656,   487,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2672,  3000,  4815,  3002,    -1,  2677,    -1,    -1,
     266,    -1,   223,  4824,    -1,    -1,    -1,    -1,  4829,  4830,
      -1,    -1,    -1,  4834,   280,    -1,    -1,   283,  4839,  4840,
    4841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    24,  4855,    -1,   192,    -1,    -1,    30,
     196,   307,   263,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,   207,    -1,    -1,   210,   211,  4877,   213,    -1,   215,
      -1,    -1,   218,  4884,   220,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,  4909,    -1,
      -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   370,   212,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4581,    -1,   336,   223,   338,    -1,   340,
      -1,   387,    -1,  4944,  4945,    -1,    -1,    -1,   349,    -1,
      -1,    -1,    -1,  3140,    -1,   126,   357,    -1,    -1,  3146,
      -1,    -1,   133,  4964,   365,   136,  4967,    -1,    -1,  4970,
      -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,  4626,    -1,
    4981,    -1,    -1,    -1,  4985,   386,  4987,  4635,  4989,   390,
      -1,   162,    -1,    -1,    -1,  4996,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5015,    -1,  4213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   470,   196,    -1,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,    -1,    -1,  5040,
      -1,  5042,    -1,   444,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   198,   199,    -1,    -1,    -1,    -1,    -1,    -1,   206,
      -1,   208,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3210,    -1,    -1,  2946,    -1,   259,    -1,
      -1,  5092,   263,    -1,  2954,    -1,    -1,    -1,    -1,    -1,
    5101,    -1,   273,    -1,    -1,    -1,    -1,  3234,    -1,    -1,
      -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,    -1,    -1,  5127,  5128,  5129,    -1,
      -1,    -1,    -1,    -1,    -1,  5136,  5137,    -1,    -1,  5140,
      -1,    -1,    -1,    -1,    -1,  5146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5155,  3342,    -1,  3344,    -1,  3346,
      -1,   332,    -1,    -1,   335,   336,    -1,  5168,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3048,    -1,
    3050,    -1,    -1,    -1,   365,    -1,  3323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4855,  3395,    -1,
      -1,  4859,    24,    -1,    -1,    -1,    -1,    -1,    30,    -1,
    5221,    -1,    -1,  4420,    -1,    -1,  5227,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,  5237,    -1,    -1,    17,
      18,    19,  5243,  5244,  5245,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5255,    -1,    34,    -1,    -1,    -1,
      72,    -1,   433,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    49,    -1,    -1,    -1,  3402,    -1,    -1,   614,    -1,
      -1,  3141,    -1,    -1,    -1,  5286,    -1,    -1,    -1,    -1,
     626,    -1,    -1,    -1,   630,    -1,    74,    -1,    -1,    -1,
      -1,   637,   638,    -1,    -1,   641,    -1,   643,   644,    -1,
    5311,    -1,   648,    -1,   126,    -1,  5317,    -1,    -1,    -1,
      -1,   133,  3182,   659,   136,    -1,    -1,   614,    -1,    -1,
      -1,    -1,    -1,   620,    -1,    -1,  4533,    -1,  4535,    -1,
      -1,   677,    -1,  5344,  5345,    -1,    -1,    -1,    -1,    -1,
     162,    -1,    -1,    -1,  5355,    -1,    -1,    -1,    -1,  5360,
      -1,    -1,   698,    -1,   700,    -1,    -1,    -1,  5369,    -1,
      -1,    -1,    -1,    -1,   710,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,  5390,
      -1,    -1,    -1,    -1,  5042,    -1,    -1,    -1,  5046,  5400,
    5048,    -1,    -1,    -1,  5052,  5053,   742,   185,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,    -1,  5418,    -1,  3279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5431,    -1,  5433,    -1,   212,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   259,    -1,   227,
    5451,   263,  5453,  5454,  3314,    -1,    -1,    -1,    -1,    -1,
      -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,    -1,    -1,    -1,   633,    -1,   266,    -1,
      -1,   827,   639,    -1,    -1,    -1,    -1,    -1,     0,    -1,
      -1,    -1,   280,    -1,    -1,   652,    -1,    -1,    -1,    -1,
     797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,
     332,   668,    -1,   335,   336,    -1,   862,    -1,    30,   816,
      32,    33,    -1,    -1,    -1,   682,   683,    -1,    -1,    -1,
      -1,    -1,   689,    -1,   691,   692,    48,    -1,    -1,    -1,
      -1,   838,  3679,   365,    -1,    57,  3416,    -1,   705,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    69,   715,    71,
      72,    -1,    -1,    -1,    -1,    -1,    78,  3704,    80,  3439,
      -1,    -1,    -1,    -1,  3711,    -1,    -1,    -1,    -1,    91,
      -1,    93,   370,    -1,    -1,  3722,   883,    -1,    -1,   935,
      -1,    -1,    -1,    -1,  3464,    -1,    -1,    -1,   110,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,   954,    -1,
      -1,   433,    -1,    -1,    -1,   127,    -1,   129,    -1,    -1,
      -1,   133,    -1,   969,    -1,   971,    -1,   139,  5286,    -1,
    3500,    -1,    -1,    -1,   980,   147,    -1,   149,    -1,   985,
      -1,    -1,   988,   800,   156,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3795,  3796,
     172,    -1,    -1,    -1,    -1,    -1,    -1,   824,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   189,    -1,    -1,
     837,    -1,   470,    -1,  1030,   473,   474,   475,    -1,   477,
     478,   479,   480,   481,   482,   992,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5369,    -1,    -1,    -1,    -1,    -1,   229,   230,    -1,
      -1,    -1,    -1,   235,  1021,  1022,  1023,  3924,    -1,    -1,
    3927,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3884,    10,    -1,
      -1,    13,    -1,   265,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    34,    -1,    -1,  5433,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    10,    -1,    -1,    13,    49,   945,    -1,
      17,    18,    19,  5451,    -1,    -1,   308,    -1,  3935,  1145,
     957,  1147,    -1,  1149,   961,  1151,   963,  1153,  1154,  1155,
     322,    -1,    74,    -1,  1160,    42,   328,   329,    -1,   331,
      -1,    -1,    49,    -1,   336,  1171,    -1,    -1,    -1,   341,
      -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,   351,
    1186,    -1,    -1,    -1,    -1,   357,   358,    74,    -1,    -1,
      -1,    -1,    -1,   365,    -1,    -1,    -1,   369,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,    -1,    -1,
    1167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   394,    -1,    -1,    -1,    -1,    -1,  1185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1194,    -1,    -1,
      -1,    -1,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   425,    -1,    -1,    -1,    -1,    -1,   431,
      -1,    -1,    -1,   185,   436,    -1,    -1,    -1,   190,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1104,  5155,  4146,
     212,   213,    -1,    -1,    -1,    -1,    -1,    -1,   185,    -1,
     472,    -1,    -1,   190,    -1,   227,  3836,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   486,    -1,    -1,   489,    -1,    -1,
      -1,    -1,    -1,  1140,    -1,   212,   213,    -1,  4185,  4186,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     227,  1347,    -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,
      -1,  1168,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,
      -1,   283,  1179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4168,    -1,    -1,    -1,  1332,    -1,  4174,  1195,   266,
      -1,  4178,  1199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4204,  4205,    -1,
      -1,    -1,  4209,  4210,    -1,    -1,    -1,    -1,  4275,  4276,
      -1,  1378,  1428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      34,    -1,    -1,   370,    -1,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,  1500,    49,    -1,    -1,    -1,    -1,
    4030,  1318,    -1,  1460,    -1,    -1,    -1,    -1,    -1,  1326,
    1327,    -1,  1469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      74,    -1,    -1,  1340,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4399,    -1,  1501,    -1,  4403,  4404,   470,    -1,
      -1,   473,   474,   475,    -1,   477,   478,   479,   480,   481,
     482,    -1,  4419,    -1,    -1,   487,    -1,  1524,    -1,    -1,
    1527,    -1,    -1,    -1,    -1,    -1,  1393,    -1,    -1,    -1,
      -1,    -1,    -1,   470,    -1,    -1,   473,   474,   475,    -1,
     477,   478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4148,    -1,
      -1,    -1,    -1,  1580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   185,    10,    -1,    -1,    13,   190,  1594,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4184,    -1,    -1,    -1,   212,   213,
      -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    49,    -1,   227,    -1,    -1,  4206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    74,  1703,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,   283,
      -1,    -1,    -1,  1739,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4274,    -1,    -1,    -1,  1705,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1590,   190,   191,    -1,    -1,   194,    -1,
    1786,    -1,    -1,    -1,  4581,    -1,    -1,    -1,    -1,    -1,
      -1,  1748,    -1,    -1,    -1,    -1,    -1,    -1,   214,  1805,
      -1,    -1,    -1,    -1,    -1,   221,    -1,   185,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,   370,    -1,    -1,    -1,
    1777,    -1,    -1,    -1,    -1,    -1,    -1,  1784,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1866,    -1,  1868,    -1,  4394,    -1,    -1,    -1,    -1,    -1,
    4727,    -1,    -1,    -1,    -1,    -1,    -1,  1883,    -1,  1885,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,  1899,    -1,  1901,    -1,  1903,    -1,  1905,
      -1,  1907,   280,    -1,    -1,  1911,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1730,  4444,    -1,   470,    -1,    -1,   473,
     474,   475,    -1,   477,   478,   479,   480,   481,   482,    -1,
      -1,  1888,    -1,   487,    -1,    -1,    -1,  1754,    -1,    -1,
    4797,    -1,    -1,    -1,    -1,  1762,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1774,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1928,  1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1945,    -1,
      -1,    -1,   370,  4850,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1846,
    1847,    -1,  1849,  1850,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1861,    -1,  1863,  1864,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4855,  1876,
    1877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1890,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2045,    -1,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,  2055,   477,
     478,   479,   480,   481,   482,  1922,    -1,    -1,  1925,  1926,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2084,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2142,  2143,  2095,  2096,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2161,  2162,    -1,    -1,    -1,
    2166,  2167,    -1,    -1,  2170,  2171,    -1,    -1,    -1,    -1,
      -1,    -1,  2129,    -1,    -1,    -1,    -1,    -1,    -1,  2185,
      -1,    -1,    -1,    -1,    -1,    -1,  2192,    -1,    -1,    -1,
    2196,  2197,    -1,    -1,  2200,  2201,    -1,    -1,  2015,    -1,
      -1,  2207,  4732,    -1,    -1,    -1,   622,    -1,   624,    -1,
      -1,    -1,   628,  2219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2231,   642,    -1,    -1,    -1,
    2236,    -1,    -1,   649,    -1,  5032,    -1,    -1,    -1,    -1,
      -1,  4771,    -1,    -1,    -1,  2251,   199,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2260,   208,    -1,  2263,    -1,  2265,
    2266,  2267,    -1,    -1,    -1,    -1,  2272,  2273,  2085,   222,
      -1,    -1,    -1,    -1,    -1,    -1,  2282,    -1,    -1,    -1,
      -1,  2287,    -1,    -1,    -1,  2291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4824,    -1,    -1,  2303,  2304,  4829,
    4830,    -1,  2308,    -1,    -1,  2262,    -1,    -1,  2314,  2315,
      -1,    -1,    -1,    -1,    -1,  2321,    -1,    -1,  2324,    -1,
    2277,    -1,    -1,    -1,  2141,  2331,  2332,    -1,    -1,    10,
      -1,  2337,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,  2298,  2159,  2349,    -1,    -1,  2352,  2164,  2165,    -1,
      -1,  2357,  2169,    34,    -1,    -1,    -1,  2363,  2364,    -1,
    2177,    42,    -1,  2369,    -1,    -1,  2372,    -1,    49,    -1,
    2376,  2377,  2378,  2379,    -1,  2381,    -1,    -1,  2195,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2394,  2395,
      -1,  2397,    -1,    74,    -1,  2212,    -1,  2214,  2215,    -1,
      -1,    -1,  2408,  2409,  2410,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2229,  5270,    -1,  4945,    -1,  2374,  2375,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2249,  2250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2464,    -1,
      -1,    -1,    -1,  2280,  2281,    -1,  2472,  2284,    -1,    -1,
      -1,    -1,   888,   889,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,  2492,    -1,    -1,    -1,
    2307,    -1,  2309,    -1,    -1,    -1,  2313,    -1,    -1,    -1,
      34,    -1,    -1,  2320,   185,    -1,    -1,    -1,    42,   190,
    2327,    -1,    -1,  2330,    -1,    49,    -1,  2474,    -1,  2336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,    -1,    -1,    -1,    -1,   953,  2544,  2356,
      74,    -1,    -1,    -1,    -1,  2362,   227,    -1,    -1,    -1,
    2367,    -1,   968,  2370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5369,    -1,    -1,    -1,  2393,    -1,  2584,    -1,
    2586,  2398,    -1,   999,  1000,   266,    -1,  2404,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,
      -1,    -1,   283,    -1,    -1,    -1,    -1,    -1,    10,  1025,
    5140,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    -1,  5433,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,  2463,    49,    -1,    -1,
      -1,   185,    -1,    -1,  5451,    -1,   190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    74,  2679,    -1,    -1,    -1,    -1,   212,   213,
     633,    -1,    -1,  1099,  1100,    -1,   639,    -1,    -1,   370,
      -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,   652,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   668,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     683,    -1,   266,    -1,    -1,    -1,    -1,    -1,   691,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,   283,
      -1,    -1,   705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,   190,   470,
      -1,    -1,   473,   474,   475,    -1,   477,   478,   479,   480,
     481,   482,    -1,    -1,    -1,    -1,   487,    -1,    -1,    -1,
     212,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2640,    -1,   227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,    -1,    -1,
      -1,  2658,    -1,    -1,    -1,    -1,    -1,   800,    -1,  2666,
      -1,    -1,  2809,    -1,    -1,    -1,  2673,    -1,  2675,  2676,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,
      -1,   824,    -1,    -1,    -1,  2832,    -1,    -1,   280,    -1,
      -1,   283,    -1,    -1,   837,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2921,    -1,    -1,    -1,  2736,
      -1,    -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2941,   470,    -1,    -1,   473,
     474,   475,    -1,   477,   478,   479,   480,   481,   482,    -1,
      -1,    -1,  2958,   487,    -1,    -1,  2962,    -1,    -1,    -1,
      -1,  2967,  2968,  2969,    -1,    -1,    -1,    -1,   370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,   945,    -1,    -1,    -1,    -1,  3003,  3004,  3005,
    3006,    -1,    -1,    34,    -1,    -1,    -1,  2824,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1447,    -1,    -1,  3040,    -1,  3042,  3043,  3044,    -1,
      -1,    -1,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1472,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,    -1,   477,   478,   479,   480,   481,
     482,    -1,    -1,    -1,    -1,   487,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2913,  2914,    -1,  3056,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2940,    -1,    -1,  2943,    -1,    -1,    -1,
      -1,    -1,    -1,  1549,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3155,
      -1,  1104,    -1,    -1,   185,    -1,    -1,    -1,  3164,   190,
    1576,  1577,  1578,  1579,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,  3189,  3190,    -1,    -1,  1140,  3194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,  3015,  3016,
    3017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3217,    -1,    -1,    -1,  1168,    -1,    -1,    -1,    -1,
      -1,    -1,  3039,    -1,    -1,    -1,  1179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,
      -1,  3058,  1195,    -1,    -1,    -1,  1199,    -1,    -1,   280,
      -1,    -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3077,    -1,    -1,  3269,    -1,  3222,  3223,  3224,  3274,    -1,
      -1,    -1,    -1,    -1,  3280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1713,  1714,    -1,
      -1,    -1,  3308,    -1,    -1,  3262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1729,    -1,  3272,  3273,    -1,    -1,    -1,
    3277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   370,
      -1,    -1,    -1,    -1,    -1,  3351,  3163,  3353,  1764,  1765,
    1766,  1767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1318,    -1,    -1,    -1,    -1,
      -1,    -1,    10,  1326,  1327,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,  3392,  1340,    -1,    -1,
      -1,    -1,  3209,    -1,    -1,    -1,    34,    -1,    -1,  3216,
      -1,  3218,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    49,    -1,    -1,  3231,    -1,  3233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3391,    -1,    74,  3394,  3255,   470,
    1393,    -1,   473,   474,   475,    -1,   477,   478,   479,   480,
     481,   482,    -1,    -1,    -1,    -1,   487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1880,    -1,    -1,    -1,    -1,    -1,
    1886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      49,    -1,    -1,    -1,    -1,    -1,    -1,  3354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,   190,    -1,  3371,    74,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3524,  3525,  3526,
      -1,    -1,    -1,    -1,   212,   213,  3393,    -1,    -1,  3396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3606,    -1,  2018,  3609,    -1,  3611,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,  3624,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,   266,    -1,
    3636,    -1,    -1,    -1,  3640,    -1,    -1,  1590,    34,    -1,
      -1,    -1,   280,    -1,    -1,   283,    42,    -1,    -1,    -1,
      -1,    -1,  3658,    49,    -1,    -1,    -1,    -1,  3475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,
    3676,   190,    -1,    -1,    -1,  3681,    -1,    -1,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,    -1,
    3706,    -1,    -1,    -1,  3710,    -1,    -1,    -1,   227,    -1,
      -1,    -1,  3718,  3719,  3720,  3721,    -1,    -1,    -1,    -1,
      -1,  3727,  3728,  3729,  3730,    -1,    -1,    -1,  3734,  3735,
      -1,    -1,   370,    -1,  3740,  3741,    -1,  3743,  3744,  3745,
    3746,  3747,  3748,  3749,    -1,    -1,    -1,   266,    -1,    -1,
      -1,    -1,    -1,  3759,    -1,    -1,    -1,  3763,  3764,  3765,
    3766,   280,    -1,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1730,    -1,    -1,
      -1,  3787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,
      -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,
    3806,  1754,  2218,    -1,    -1,    -1,  3623,    -1,    -1,  1762,
      -1,    -1,    -1,    -1,    -1,    -1,   212,   213,    -1,    -1,
      -1,  1774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   227,   470,    -1,    -1,   473,   474,   475,    -1,   477,
     478,   479,   480,   481,   482,    -1,  3803,    -1,    -1,   487,
      -1,   370,    -1,    -1,    -1,    -1,  3673,  3814,    -1,    -1,
      -1,  3678,    -1,  3680,    -1,    -1,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,    -1,  3882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   280,    -1,  3703,   283,  3845,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1849,  1850,    -1,    -1,
    3906,    -1,    -1,    -1,    -1,    -1,  3723,    -1,    -1,    -1,
    1863,    -1,    -1,    -1,  3920,    -1,  3922,    -1,    -1,    -1,
      -1,  3878,  3739,  1876,  1877,  3742,    -1,    -1,    -1,    -1,
      -1,    -1,  2348,    -1,    -1,  2351,  3942,  1890,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,    -1,   477,   478,
     479,   480,   481,   482,    -1,    -1,    -1,    -1,   487,    -1,
      -1,  3928,    -1,    -1,   370,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3832,  3833,    -1,  2434,    -1,
      -1,    -1,    -1,    -1,    -1,  3842,    -1,    -1,    -1,    -1,
      -1,  2447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2455,
      -1,    -1,    -1,    -1,  3861,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
    2496,   477,   478,   479,   480,   481,   482,    -1,    -1,    -1,
      -1,   487,    -1,  4050,  4051,  4052,  4053,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2524,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4149,  4150,  4151,    -1,    -1,    -1,  4155,
    4156,  4157,  4158,    -1,    -1,    -1,  4162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2583,    -1,  2585,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2141,    -1,
    4196,  4197,  4198,  4199,  4200,    -1,  4202,  4203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2159,    -1,  4214,  4215,
      -1,  2164,  2165,    -1,    -1,    -1,  2169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4244,    -1,
      -1,   678,  2195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2671,    -1,    -1,    -1,    -1,
      -1,    -1,  2678,    -1,    -1,    -1,    -1,   704,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,  2249,  2250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,   794,   795,
      49,    -1,    -1,    -1,    -1,    -1,    -1,  2280,  2281,    -1,
      -1,  2284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4346,    -1,    -1,    -1,  4161,    74,    -1,    -1,    -1,  4166,
      -1,    -1,    -1,    -1,  2307,    -1,  2309,    -1,    -1,    -1,
    2313,    -1,    -1,    -1,    -1,    -1,    -1,  2320,    -1,    -1,
      -1,    -1,    -1,    10,  2327,    -1,    13,  2330,    -1,    -1,
      17,    18,    19,  2336,  4201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4213,    34,    -1,    -1,
    4406,    -1,    -1,  2356,    -1,    42,    -1,    -1,    -1,  2362,
      -1,    -1,    49,    -1,  2367,    -1,    -1,  2370,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4243,  2380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    74,    -1,  4396,
    2393,    -1,    -1,    -1,    -1,  2398,    -1,    -1,    -1,    -1,
      -1,  2404,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,
      -1,   190,    -1,    -1,    -1,    -1,    -1,   943,   944,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   943,    -1,    -1,    -1,
    2463,    -1,    -1,  4519,    -1,    -1,    -1,    -1,    -1,   956,
      -1,    -1,    -1,  4340,    -1,    -1,    -1,    -1,    -1,    -1,
     967,    -1,    -1,  2949,  2950,    -1,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   982,    -1,    -1,   185,    -1,
      -1,   280,    -1,   190,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,   213,  4583,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,  4602,    -1,    -1,    -1,
      -1,  4607,  4608,  4420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4617,    -1,    -1,    -1,    -1,    -1,    -1,  4624,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
    1067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   370,    -1,   280,    -1,    -1,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4660,  4661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4680,    -1,  4682,    -1,    -1,    -1,
      -1,    -1,  4639,    -1,    -1,    -1,    -1,  2640,    -1,    -1,
      -1,  4697,    -1,    -1,    -1,    -1,    -1,  4654,    -1,    -1,
      -1,    -1,  4659,    -1,    -1,  2658,    -1,    -1,    -1,    -1,
      -1,  4717,    -1,  2666,    -1,    -1,  4533,    -1,  4535,  4725,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,  4685,    -1,
      17,    18,    19,   370,    -1,  1211,    -1,    -1,    -1,    -1,
    1177,   470,    -1,    -1,   473,   474,   475,    34,   477,   478,
     479,   480,   481,   482,    -1,    42,    -1,    -1,   487,    -1,
      -1,    -1,    49,    -1,    -1,  4582,  1242,    -1,  3184,    -1,
      -1,    -1,    -1,    -1,    -1,  4592,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2736,  4790,    -1,    -1,    74,    -1,  2742,
      -1,    -1,    -1,    -1,  1270,  1271,  1272,    -1,  1274,    -1,
      -1,    -1,    -1,    -1,    -1,  4811,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4631,    -1,    -1,  4823,  1294,  4636,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   470,    -1,    -1,   473,   474,   475,    -1,
     477,   478,   479,   480,   481,   482,    -1,    -1,    -1,  4806,
     487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2824,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,  4888,    -1,    -1,    -1,  1362,    -1,    -1,    -1,
    1366,  1367,    -1,    -1,    -1,    -1,    34,    -1,   185,    -1,
      -1,    -1,    -1,   190,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    49,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,
     227,  3357,   678,    -1,    -1,    10,  4952,    -1,    13,  4906,
    1387,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
    2913,  2914,    -1,    -1,    -1,    -1,    -1,    -1,   704,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    -1,   266,
      -1,    -1,    -1,    -1,    49,    -1,    -1,  2940,    -1,    -1,
    2943,    -1,    -1,   280,    -1,    -1,   283,    -1,  4815,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5012,    -1,    -1,    74,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1454,    -1,    -1,
      -1,  5027,    -1,    -1,  4841,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4855,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,  1495,    -1,
      -1,    -1,  3015,  3016,  3017,  5071,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,
    5086,    -1,    -1,   370,    -1,    -1,  3039,    -1,    -1,   227,
      -1,  1528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3058,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     185,    -1,    -1,    -1,  3077,   190,    -1,    -1,   266,  1605,
    1606,  1607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   280,    -1,    -1,   283,    -1,   212,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5167,   227,    -1,    -1,    -1,    -1,    -1,  1605,  1606,
    1607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   470,    -1,    -1,   473,   474,   475,    -1,
     477,   478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,
     487,   266,    -1,    -1,    -1,  5211,    -1,    -1,    -1,    -1,
    3163,    -1,    -1,    -1,    -1,   280,    -1,    -1,   283,    -1,
     956,    -1,    -1,  5040,    -1,  5042,    -1,    -1,    -1,    -1,
      -1,   967,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   982,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3209,    -1,    -1,    -1,
      -1,    -1,    -1,  3216,    -1,  3218,    -1,    -1,    -1,    -1,
    1707,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3231,    -1,
    3233,  1718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5299,    -1,    -1,    -1,    -1,  1735,    -1,
      -1,    -1,  3255,    -1,    -1,   370,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1067,   470,    -1,    -1,   473,   474,   475,  5155,   477,
     478,   479,   480,   481,   482,    -1,  3299,    -1,    -1,   487,
      -1,  5168,    -1,    -1,  1791,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5181,    -1,    -1,  1804,    -1,    -1,
      -1,    -1,    -1,    -1,  3790,    -1,    -1,    -1,    -1,    -1,
    1817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3805,
      -1,    -1,  1829,    -1,    -1,   678,    -1,    -1,    -1,    -1,
      -1,  3354,    -1,    -1,    -1,   470,    -1,    -1,   473,   474,
     475,    -1,   477,   478,   479,   480,   481,   482,  3371,    -1,
      -1,   704,   487,    -1,    -1,    -1,  5243,  5244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1873,  1874,    -1,    -1,
    3393,  1177,    -1,  3396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5286,
      -1,    -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      49,  1967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1979,    -1,  1981,    -1,  1983,    -1,    -1,
    1986,  1987,  1988,    -1,    -1,    74,    -1,  1993,    -1,    -1,
    1996,    -1,  3475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2011,  2012,  2013,  2014,    -1,
      -1,    -1,    -1,  2019,    -1,    -1,    -1,  2023,    -1,    -1,
    2026,    -1,  5369,  2029,  2030,  2031,  2032,  2033,  2034,  2035,
    2036,  2037,    -1,  2039,    -1,    -1,    -1,    -1,    -1,    -1,
    2046,    -1,  2048,  2010,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,  1321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    -1,    38,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,  2048,    -1,    49,    -1,  2091,  5433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,
      -1,   190,    -1,    -1,  5451,    -1,  5453,  5454,    74,  2115,
    2116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1387,    -1,   212,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,
    3623,    -1,    -1,   956,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   967,    -1,    -1,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   982,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,
      -1,  2148,    -1,    -1,    -1,  2152,  2153,    -1,  1454,    -1,
    3673,   280,  2198,    -1,   283,  3678,    -1,  3680,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,
    3703,    -1,    -1,    -1,   190,    -1,    -1,    -1,    -1,  1495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3723,    -1,    -1,    -1,  2211,    -1,   212,   213,    -1,    -1,
    2217,    -1,    -1,    -1,  1067,    -1,  3739,    -1,    -1,  3742,
      -1,   227,  1528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4254,    -1,
      -1,    -1,    -1,    -1,   280,    -1,    -1,   283,    -1,    -1,
      -1,    -1,    -1,  4269,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3832,
    3833,    -1,    -1,    -1,    34,    -1,    -1,    -1,    -1,  3842,
      -1,    -1,    42,    -1,  1177,    -1,    -1,    -1,    -1,    49,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3861,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,    -1,   477,   478,
     479,   480,   481,   482,    74,    -1,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    10,   370,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,  4360,    -1,  2422,  2423,  2424,    -1,
      -1,    -1,  2428,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,  1707,    49,    -1,    -1,    -1,    -1,  2453,    -1,    -1,
      -1,    -1,  1718,    -1,    -1,  3938,    -1,  2424,    -1,    -1,
      -1,    -1,    -1,    -1,   430,    -1,    -1,    74,    -1,  1735,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,   166,  2454,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   470,   185,    -1,   473,   474,   475,
     190,   477,   478,   479,   480,   481,   482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1791,    -1,    -1,    -1,    -1,
      -1,    -1,   212,   213,    -1,    -1,    -1,    -1,  1804,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,
      -1,  1817,    -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1829,    -1,    -1,    -1,    -1,    -1,  2536,
      -1,    -1,  2539,    -1,  1387,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    -1,   190,    -1,    -1,   266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4541,    -1,  4543,    -1,    -1,
     280,    -1,    -1,   283,    -1,   212,   213,  1873,  1874,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1454,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
     678,    -1,    -1,   280,    42,    -1,   283,    -1,  4161,    -1,
    2686,    49,  1495,  4166,    -1,  2691,    -1,    -1,    -1,  2656,
     370,    -1,    -1,    -1,    -1,    -1,   704,    -1,   305,    -1,
      -1,    -1,    -1,    -1,    -1,  2672,    74,    -1,    -1,    -1,
    2677,  2717,    -1,    -1,    -1,  1528,    -1,    -1,  4201,    -1,
      -1,    -1,  2728,    -1,  2730,  2731,    -1,    -1,    -1,    -1,
    4213,    -1,    -1,    -1,    -1,  2741,    -1,    -1,  2744,    -1,
    2746,    -1,    -1,    -1,  2010,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,    -1,
    4243,    -1,    -1,   370,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,  2781,    -1,  2783,    -1,  2785,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    -1,
     470,    -1,    -1,   473,   474,   475,    42,   477,   478,   479,
     480,   481,   482,    49,    -1,    -1,    -1,    -1,    24,    -1,
      -1,    -1,    -1,    -1,    30,    -1,    -1,   185,    -1,    -1,
      -1,    37,   190,    -1,    -1,    -1,    -1,    -1,    74,    -1,
      -1,    -1,    -1,    -1,  2840,    -1,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,  2855,
      -1,    -1,    -1,    -1,    -1,    -1,    72,  4340,    -1,   227,
      -1,    -1,    -1,   470,    -1,    -1,   473,   474,   475,    -1,
     477,   478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,
      -1,    -1,  2148,    -1,    -1,    -1,  2152,  2153,    -1,    -1,
     106,    -1,    -1,    -1,  1707,    -1,    -1,    -1,   266,  4845,
      -1,  4847,    -1,    -1,    -1,  1718,    -1,    -1,    -1,    -1,
     126,    -1,   280,  2919,    -1,   283,    -1,   133,    -1,    -1,
     136,  2888,  1735,    -1,  2891,    -1,  2893,    -1,    -1,    -1,
      -1,  2898,    -1,    -1,    -1,    -1,    -1,  4420,    -1,   185,
      -1,    -1,    -1,    -1,   190,  2211,   162,    -1,   956,    -1,
      -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   967,
      -1,    -1,    -1,    -1,    -1,    -1,   212,   213,    -1,    -1,
      -1,    -1,    -1,    -1,   982,    -1,    -1,   193,  1791,  2946,
     196,   227,    -1,    -1,    -1,    -1,    -1,  2954,    -1,    -1,
      -1,  1804,  2258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   370,    -1,  1817,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2979,    -1,    -1,    -1,  1829,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,   241,    -1,    -1,   244,    -1,
      -1,    -1,    -1,    -1,   280,    -1,    -1,   283,    -1,    -1,
      -1,    -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,
    4533,    -1,  4535,    -1,    -1,   301,    -1,   273,    -1,  1067,
    1873,  1874,    -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,   294,    -1,
      -1,  3048,    -1,  3050,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4582,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,    -1,   477,
     478,   479,   480,   481,   482,    -1,   332,    -1,    -1,   335,
     336,   337,    -1,    -1,   370,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5081,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   359,    -1,    -1,    -1,    -1,  4631,   365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   678,
      -1,    -1,  3168,   379,    -1,    -1,    -1,    -1,  3174,  1177,
      -1,    -1,    -1,    -1,  3141,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   704,    -1,    -1,  2454,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,    -1,    -1,
      -1,  3168,    -1,    -1,    -1,    -1,    -1,  3174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3182,    -1,   433,    -1,    -1,
      -1,    -1,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,  5183,    -1,    -1,
      -1,    -1,    -1,  3210,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2536,    -1,    -1,  2539,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3279,    -1,    34,    -1,    -1,    37,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    49,
      -1,    -1,  4815,  3300,  5280,  2148,    -1,    -1,    -1,  2152,
    2153,    -1,    -1,    -1,    -1,    -1,    -1,  3314,    -1,    -1,
      -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,  4841,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5312,  5313,    -1,    -1,
      -1,    -1,  4855,    -1,    -1,    -1,    -1,    -1,    -1,  1387,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
    2656,    -1,    -1,    17,    18,    19,    -1,    -1,  2211,    -1,
      -1,    -1,    -1,    -1,  2217,    -1,  2672,  3413,    -1,    -1,
      34,  2677,    -1,    -1,    -1,    -1,  3422,    -1,    42,    -1,
      -1,    -1,    -1,    -1,  3430,    49,  3432,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   956,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2258,  1454,    -1,   967,  3416,
      74,    -1,    -1,  3459,  3460,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   982,    -1,   185,    -1,    -1,    -1,  5415,
     190,  3477,  3439,    -1,    -1,    -1,    -1,    -1,    -1,  3485,
      -1,    -1,  3488,    -1,  3490,    -1,    -1,  1495,    -1,    -1,
      -1,    -1,   212,   213,    -1,    -1,  3502,  3464,    -1,    -1,
      -1,    -1,    -1,    -1,  3510,  3511,    -1,   227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   678,    -1,    -1,    -1,    -1,
    1528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3500,    -1,    -1,  3542,    -1,    -1,    -1,
      -1,   704,   166,    -1,    -1,    -1,   266,    -1,  1067,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5040,    -1,  5042,
     280,   185,  3568,   283,    -1,    -1,   190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2888,  3590,    -1,  2891,    -1,  2893,    -1,    -1,
      -1,    -1,  2898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2454,   266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     370,    -1,    -1,    -1,  5137,    -1,   280,    -1,  1177,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2946,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2954,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5181,  1707,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1718,    -1,  3679,  2979,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2536,    -1,    -1,  2539,  1735,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3704,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,    -1,    -1,
     470,    -1,    -1,   473,   474,   475,    -1,   477,   478,   479,
     480,   481,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3048,  1791,  3050,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   956,    -1,    -1,  1804,    -1,    -1,    -1,
      -1,    -1,    -1,  5286,   967,    -1,    -1,    -1,    -1,  1817,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   982,
      -1,  1829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2656,    -1,    -1,   470,    -1,    -1,   473,
     474,   475,    -1,   477,   478,   479,   480,   481,   482,  2672,
      -1,    -1,    -1,    -1,  2677,  1873,  1874,    -1,  1387,  3836,
      -1,    -1,    -1,   678,    -1,  3141,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3889,  3890,    -1,  5369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   704,
      -1,    -1,    -1,    -1,  1067,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3182,  3884,    -1,    -1,
      -1,  3888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1454,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3210,    -1,    -1,    -1,    -1,    -1,
    5433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3964,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5451,    -1,
    3976,    -1,    -1,    -1,    -1,    -1,  1495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2010,    -1,   678,    -1,    -1,    -1,    -1,  1528,
      -1,  4017,  4018,  3279,  1177,    -1,    -1,    -1,  4024,  4025,
      -1,    -1,    -1,  4029,    -1,    -1,    -1,    -1,    -1,  4035,
     704,    -1,  4038,  4039,  3300,    -1,    -1,  4043,    -1,    -1,
      -1,    -1,    -1,  4049,    -1,    -1,    -1,    -1,  3314,    22,
      -1,    -1,    -1,  4020,    27,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2888,    -1,    -1,  2891,    -1,
    2893,    -1,    -1,    -1,    -1,  2898,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,    -1,    -1,
      -1,    -1,    75,    76,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    -1,    -1,    -1,  4130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2946,    -1,   108,    -1,    -1,    -1,    -1,
    2148,  2954,    -1,    -1,  2152,  2153,    -1,    -1,    -1,    -1,
    3416,   956,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,
      -1,    -1,   967,    -1,    -1,    -1,  2979,    -1,    -1,   142,
      -1,    -1,    -1,  3439,    -1,    -1,    -1,   982,   151,    -1,
      -1,  4148,    -1,    -1,    -1,    -1,    -1,    -1,  1707,    -1,
     163,    -1,    -1,    -1,    -1,   168,    -1,    -1,  3464,  1718,
      -1,    -1,    -1,  2211,    -1,    -1,    -1,    -1,    -1,  2217,
      -1,    -1,    -1,    -1,    -1,    -1,  1735,  4184,    -1,    -1,
      -1,   194,    -1,  4229,  1387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3500,  3048,    -1,  3050,    -1,  4206,
      -1,    -1,    -1,    -1,    -1,    -1,   219,    -1,    -1,    -1,
    2258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1067,    -1,    -1,    -1,    -1,   240,    -1,    -1,
      -1,    -1,  1791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   956,    -1,    -1,  1804,    -1,    -1,    -1,    -1,
      -1,  1454,    -1,   967,    -1,  4301,    -1,    -1,  1817,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4274,   982,    -1,
    1829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,    -1,    -1,  3590,    17,    18,    19,  3141,    -1,
      -1,    -1,  1495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     313,   314,    34,    -1,   317,    37,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,  1873,  1874,    -1,    49,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1528,    -1,    -1,    -1,  3182,
     343,    -1,  1177,   346,    -1,    -1,    -1,    -1,    -1,   352,
      -1,    -1,    74,    -1,    -1,    -1,   359,    -1,    -1,   362,
      -1,    -1,    -1,  1067,    -1,    -1,    -1,  3210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   381,    -1,
      -1,    -1,    -1,  3679,    -1,   388,    -1,    -1,    -1,    -1,
      -1,   394,    -1,    -1,   397,  4392,    -1,  4394,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3704,    -1,
      -1,    -1,    -1,   416,    -1,    -1,  2454,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4469,  4470,    -1,  3279,  4473,    -1,   442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4444,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3300,    -1,    -1,
      -1,  2010,    -1,   185,    -1,    -1,    -1,    -1,   190,    -1,
      -1,  3314,    -1,  1177,  4510,  4511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,   213,  4528,    -1,    -1,    -1,    -1,    -1,  2536,    -1,
      -1,  2539,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1707,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1718,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3836,    -1,  1735,    -1,   266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,   280,    -1,
      -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4581,    -1,    -1,    -1,  3884,    -1,
      -1,    -1,  3888,    -1,    -1,    -1,  3439,    -1,  1791,  2148,
      -1,    -1,    -1,  2152,  2153,    -1,    10,    -1,    -1,    13,
      -1,  1804,    -1,    17,    18,    19,    -1,    -1,  2656,  1454,
      -1,  3464,    -1,    -1,  1817,    -1,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    -1,  2672,    -1,  1829,    -1,    42,  2677,
      -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,   370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3500,    -1,    -1,
    1495,    -1,  2211,    -1,    -1,    -1,    -1,    -1,  2217,    -1,
      74,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1873,  1874,    -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1528,    -1,    -1,    -1,    -1,  4734,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2258,
    4707,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4020,  4761,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4030,  4732,    -1,    -1,    -1,  4775,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3590,   470,    -1,
    1454,   473,   474,   475,    -1,   477,   478,   479,   480,   481,
     482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4771,    -1,    -1,    -1,    -1,    -1,
      -1,   185,    -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,
      -1,  1495,    -1,    -1,    -1,    -1,    -1,    -1,  4834,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,    -1,    -1,
      -1,    -1,    -1,   227,  1528,    -1,    -1,  4824,    -1,    -1,
      -1,    -1,  4829,  4830,    -1,    -1,  3679,    -1,    -1,    -1,
      -1,  4877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2888,    -1,  4148,  2891,    -1,  2893,    -1,    -1,    -1,    -1,
    2898,  3704,   266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1707,    -1,    -1,    -1,   280,    -1,    -1,   283,
      -1,    -1,    -1,  1718,    -1,    -1,    -1,    -1,  4184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1735,    -1,    -1,    -1,    -1,  2454,    -1,    -1,  2946,    -1,
    4206,    -1,    -1,    -1,    -1,    -1,  2954,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2979,    -1,    -1,    -1,    -1,    -1,  4944,  4945,    -1,
      -1,    -1,    -1,  4989,    -1,  2148,  1791,    -1,    -1,  2152,
    2153,    -1,    -1,    -1,    -1,    -1,   370,    -1,    -1,  1804,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4274,  5015,
      -1,    -1,  1817,    -1,    -1,    -1,    -1,  2536,    -1,    -1,
    2539,    -1,    -1,  3836,  1829,    -1,    -1,    -1,   402,    -1,
      -1,    -1,    -1,  1707,    -1,    -1,    -1,    -1,    -1,    -1,
    3048,    -1,  3050,    -1,  1718,    -1,    -1,    -1,  2211,    -1,
      -1,    -1,    -1,    -1,  2217,    10,    -1,    -1,    13,    -1,
      -1,  1735,    17,    18,    19,    -1,    -1,    -1,  1873,  1874,
      -1,  3884,    -1,    -1,    -1,  3888,    -1,    -1,    -1,    34,
      -1,    -1,    37,    -1,    -1,    -1,  5092,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    49,  2258,   470,    -1,    -1,   473,
     474,   475,    -1,   477,   478,   479,   480,   481,   482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1791,    -1,    74,
      -1,  5127,  5128,  5129,    -1,    -1,    -1,    -1,  4394,    -1,
    1804,    -1,    -1,  3141,    -1,    -1,    -1,  2656,    -1,    -1,
    5146,    -1,    -1,  1817,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2672,    -1,  1829,    -1,    -1,  2677,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5140,  3182,    -1,    -1,    -1,  4444,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1873,
    1874,    -1,  3210,    -1,    -1,  2010,    -1,  4020,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,
      -1,  5227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     185,    -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,  5245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3279,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2454,  3300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3314,    -1,    -1,    -1,
      -1,   266,    -1,    -1,    -1,  4581,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,   283,    -1,
      -1,    -1,    -1,    -1,    -1,  4148,  2010,    -1,    -1,    -1,
      -1,    -1,    -1,  2148,    -1,    -1,    -1,  2152,  2153,  5355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2888,
      -1,  4184,  2891,  2536,  2893,    -1,  2539,    -1,    -1,  2898,
      -1,    -1,    -1,    -1,  5390,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4206,  5400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2211,    -1,  3416,    -1,
      -1,    -1,  2217,    -1,    -1,   370,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2946,    -1,    -1,
      -1,  3439,    -1,    -1,    -1,  2954,    -1,    -1,    -1,    -1,
      -1,  4707,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2258,    -1,    -1,  3464,    -1,    -1,    -1,
    2979,  4274,    -1,    -1,    -1,    -1,  4732,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2148,    -1,    -1,    -1,  2152,  2153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3500,  2656,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4771,    -1,    -1,    -1,  2672,
      -1,    -1,    -1,    -1,  2677,   470,    -1,    -1,   473,   474,
     475,    -1,   477,   478,   479,   480,   481,   482,    -1,  3048,
      -1,  3050,    -1,    -1,    -1,    -1,    -1,  2211,    -1,    -1,
      -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,    -1,    22,
      -1,    -1,    -1,    -1,    27,    -1,    -1,    -1,  4824,    -1,
      -1,    -1,    -1,  4829,  4830,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,  4394,  3590,    -1,  2258,    -1,    -1,    -1,    -1,    62,
      -1,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    42,    75,    76,    -1,    -1,    -1,    -1,    49,    -1,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    -1,  3141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4444,    -1,    74,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,
      -1,    -1,    -1,  3182,    -1,    -1,    -1,    -1,    -1,   142,
      -1,  3679,    -1,    -1,    -1,    -1,    -1,    -1,   151,  4945,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     163,  3210,    -1,    -1,    -1,   168,  3704,    -1,    -1,  1286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   194,    -1,    -1,    -1,  2888,    -1,    -1,  2891,    -1,
    2893,  2536,    -1,    -1,  2539,  2898,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   185,    -1,   219,    -1,    -1,   190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1344,    -1,    -1,
    3279,    -1,    -1,    -1,    -1,    -1,    -1,   240,  4581,    -1,
      -1,   212,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2454,  3300,    -1,  2946,    -1,    -1,   227,    -1,    -1,    -1,
      -1,  2954,    -1,    -1,    -1,  3314,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2979,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,  3836,    -1,
     303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,
     313,   314,   283,    -1,   317,    -1,    -1,    -1,    -1,    -1,
      -1,  2656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2536,    -1,    -1,  2539,    -1,  2672,    -1,    -1,
     343,    -1,  2677,   346,  5140,    -1,  3884,   350,    -1,   352,
    3888,    -1,    -1,    -1,    -1,  3048,   359,  3050,    -1,   362,
      -1,    -1,    -1,    -1,  4707,    -1,    -1,  3416,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   381,    -1,
      -1,    -1,    -1,    -1,    -1,   388,    -1,    -1,    -1,  4732,
    3439,   394,    -1,    -1,   397,    -1,    -1,    -1,   401,   370,
      -1,    -1,    -1,    -1,    -1,    -1,   409,    -1,   411,    -1,
      -1,    -1,    -1,   416,    -1,  3464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4771,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   442,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,
      -1,  3500,  2656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2672,    -1,
      -1,    -1,    -1,  2677,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4824,  4020,    -1,    -1,    -1,  4829,  4830,    -1,  3182,
      -1,    -1,  4030,    -1,  1611,    -1,    -1,    -1,  1615,   470,
      -1,    -1,   473,   474,   475,    -1,   477,   478,   479,   480,
     481,   482,    -1,    -1,    -1,    -1,    -1,  3210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2888,    -1,    -1,  2891,    -1,  2893,    -1,
      -1,    -1,    -1,  2898,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3279,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4945,    -1,    -1,    -1,    -1,  3300,    -1,    -1,
    4148,  2946,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2954,
      -1,  3314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3679,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2979,    -1,  4184,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3704,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4206,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2888,    -1,    -1,  2891,    -1,  2893,
      -1,    -1,    -1,    -1,  2898,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    -1,
      -1,    -1,    -1,  3048,    -1,  3050,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3416,    -1,    39,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4274,    -1,    -1,    -1,
      -1,    -1,  2946,    -1,    -1,    -1,  3439,    -1,    62,    -1,
    2954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3464,    86,    -1,    -1,  2979,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3836,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,  5140,    -1,    -1,
     114,    -1,    -1,    -1,    -1,    -1,  3141,  3500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
      -1,    -1,    -1,    -1,    -1,  3884,    -1,   151,    -1,  3888,
      -1,    -1,    -1,    -1,  3048,    -1,  3050,  3182,  1965,   163,
      -1,    -1,    -1,    -1,    -1,    -1,  4394,   171,    -1,    -1,
      -1,   175,    -1,  1980,    -1,    -1,    -1,  1984,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3210,    -1,    -1,    -1,    -1,
     194,  1998,  1999,  2000,    -1,  2002,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3590,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4444,    -1,    -1,    -1,
      -1,    27,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   240,  2044,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,    -1,
      -1,    -1,    -1,    -1,  3279,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    75,
      -1,    -1,    -1,    -1,    -1,  3300,   280,    -1,    -1,   283,
      -1,  4020,    -1,    -1,    90,    -1,    -1,    -1,  3182,  3314,
      -1,  4030,    -1,    -1,    -1,  2102,  3679,    -1,    -1,   303,
      -1,    -1,   108,    -1,    -1,    -1,    -1,  2114,   114,    -1,
      -1,    -1,  2119,   317,    -1,    -1,  3210,    -1,    -1,    -1,
     324,  3704,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,   343,
      -1,    -1,    -1,    -1,    -1,   151,    -1,    -1,   352,    -1,
      -1,    -1,    -1,  4581,    -1,   359,    -1,   163,   362,    -1,
      -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,   175,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   381,    -1,    -1,
      -1,    -1,    -1,    -1,   388,  3279,    -1,    -1,   194,    -1,
     394,  3416,    -1,   397,   398,    -1,   400,   401,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3300,   411,    -1,  4148,
      -1,    24,   416,   219,  3439,    -1,    -1,    30,    -1,   423,
    3314,    -1,   426,    -1,    37,   429,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,   442,  3464,
      -1,    -1,    -1,    56,    -1,  4184,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3836,    -1,    -1,    -1,    -1,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4206,    -1,    -1,
      -1,    -1,    -1,    -1,   280,  3500,    -1,    -1,    -1,  4707,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,    -1,    -1,    -1,   303,    -1,    -1,
      -1,  3884,    -1,    -1,  4732,  3888,    -1,   313,   314,    -1,
      -1,   317,    -1,   126,    -1,    -1,    -1,    -1,    -1,    -1,
     133,    -1,  3416,   136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4274,    -1,   343,    -1,    -1,
     346,    -1,    -1,  4771,   350,  3439,   352,    -1,    -1,   162,
      -1,    -1,    -1,   359,    -1,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3590,    -1,    -1,    -1,    -1,
    3464,    -1,    -1,    -1,    -1,   381,    -1,    -1,    -1,    -1,
     193,    -1,   388,   196,    -1,    -1,    -1,   393,   394,    -1,
      -1,   397,    -1,    -1,    -1,   401,  4824,    -1,    -1,    -1,
      -1,  4829,  4830,    -1,    -1,   411,  3500,    -1,    -1,    -1,
     416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   429,    -1,    -1,    -1,    -1,   241,    -1,
      -1,   244,    -1,    -1,    -1,    -1,   442,  4020,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   259,  4030,    -1,    -1,
     263,    -1,    -1,    -1,  3679,  4394,    -1,    -1,    -1,    -1,
     273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3704,
     293,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3590,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4444,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4945,    -1,   332,
      -1,    -1,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,    -1,
      -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4148,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3679,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3704,  3836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     433,    -1,    -1,  4206,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3884,
      -1,    -1,    -1,  3888,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2709,  2710,    -1,  2712,    -1,    -1,  2715,  2716,
      -1,  2718,  5140,  2720,    -1,    -1,    -1,  2724,    -1,    -1,
    2727,    -1,    -1,    -1,    -1,  2732,    -1,    -1,    -1,    -1,
      -1,  2738,    -1,    -1,    -1,    -1,  2743,    -1,    -1,    -1,
      -1,    -1,  3836,  2750,  2751,  2752,  2753,    -1,    -1,    -1,
    2757,  2758,    -1,  2760,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4707,    -1,
      -1,  2778,    -1,  2780,    -1,    -1,    -1,    -1,    -1,    -1,
    2787,  2788,  2789,  2790,  2791,  2792,  2793,  2794,  2795,  2796,
    3884,    -1,    -1,  4732,  3888,  4020,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,
      -1,  4394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2833,    -1,    -1,    -1,
      -1,    -1,  4771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4824,    -1,    -1,    -1,    -1,
    4829,  4830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4148,    -1,    -1,  4020,  2934,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4581,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4945,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4274,
      -1,    -1,    -1,    -1,  4148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4707,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4732,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3172,  3173,    -1,    -1,  4394,
    3177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4771,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3205,    -1,
      -1,  5140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4444,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4824,    -1,    -1,    -1,    -1,  4829,  4830,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4444,    -1,    -1,    -1,    -1,    -1,  4581,    -1,    -1,    -1,
      -1,    -1,  4945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3412,    -1,    -1,    -1,    -1,
      -1,  3418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3436,
    3437,    -1,    -1,  3440,  3441,  3442,  3443,    -1,    -1,  3446,
    3447,  3448,  3449,  3450,  3451,  3452,  3453,  3454,  3455,  3456,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3478,    -1,    -1,  3481,    -1,  3483,    -1,    -1,  3486,
    3487,    -1,  4707,    -1,    -1,    -1,    -1,  4581,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3504,  3505,  3506,
    3507,    -1,  3509,    -1,    -1,    -1,    -1,  4732,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4771,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5140,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3599,    -1,    -1,    -1,    -1,    -1,    -1,  4824,
      -1,    -1,    -1,    -1,  4829,  4830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4707,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4732,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4771,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4824,    -1,    -1,    -1,    -1,  4829,  4830,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5140,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3965,    -1,
      -1,    -1,  3969,    -1,  3971,  3972,    -1,    -1,    -1,    -1,
      -1,  3978,  3979,  3980,  3981,    -1,    -1,    -1,    -1,  3986,
    3987,  3988,  3989,  3990,  3991,  3992,  3993,  3994,  3995,  3996,
    3997,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4023,    -1,    -1,  4026,
      -1,  4028,    -1,    -1,    -1,    -1,  4033,    -1,    -1,  4036,
    4037,    -1,    -1,  4040,  4041,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5140,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4115,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4304,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4389,  4390,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4433,    -1,    -1,    -1,
      -1,    -1,  4439,  4440,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4457,    -1,  4459,    -1,    -1,    -1,  4463,  4464,  4465,    -1,
      -1,  4468,    -1,    -1,  4471,  4472,    -1,    -1,    -1,  4476,
      -1,    -1,    -1,  4480,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4603,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4641,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4730,  4731,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4745,  4746,
    4747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4755,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4782,  4783,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4794,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4970,    -1,    -1,  4973,    -1,    -1,    -1,
    4977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5026,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5063,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5134,    -1,  5136,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5166,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5344,  5345,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5396,
    5397,    -1,    -1,    -1,  5401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,    -1,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,  5428,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,   479,    -1,    -1,    -1,    -1,    -1,    -1,   486,   487,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
      -1,    -1,    -1,    -1,   477,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   486,   487,     3,    -1,     5,     6,    -1,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,   487,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,    -1,    -1,    -1,   477,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   486,   487,     3,    -1,     5,     6,    -1,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,     3,    -1,    -1,    -1,    -1,    -1,   477,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,   487,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    37,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   487,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    -1,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,    -1,   149,   150,   151,
     152,    -1,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,    -1,    -1,    -1,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,    -1,   225,   226,   227,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,    -1,
     262,    -1,   264,   265,   266,   267,    -1,    -1,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,    -1,   305,    -1,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,    -1,   411,
      -1,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,   468,   469,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,   487,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      -1,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    -1,
      -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,    -1,
     149,   150,   151,   152,    -1,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,    -1,    -1,    -1,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,    -1,    -1,   262,    -1,   264,   265,   266,   267,    -1,
      -1,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,    -1,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,    -1,   305,    -1,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,    -1,   411,    -1,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,   467,   468,
     469,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,   487,    -1,
      36,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,    -1,    -1,    -1,
      -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,
     486,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,   486,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,     3,
      -1,     5,     6,    -1,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,    -1,    -1,
      -1,    -1,    -1,   477,   478,   479,    -1,    -1,     3,    -1,
       5,     6,   486,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
      -1,    -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,
       6,   486,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,
      -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,
     486,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,   486,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,    -1,    -1,    -1,     3,    -1,     5,     6,   486,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,    -1,    -1,    -1,    -1,    -1,   477,   478,
      -1,    -1,    -1,     3,    -1,     5,     6,   486,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,    -1,    -1,    -1,    -1,    -1,   477,   478,    -1,
      -1,    -1,     3,    -1,     5,     6,   486,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
      -1,    -1,    -1,    -1,    -1,    -1,   477,   478,    -1,    -1,
      -1,     3,    -1,     5,     6,   486,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
      -1,    -1,    -1,    -1,    -1,   477,   478,    -1,    -1,    -1,
       3,    -1,     5,     6,   486,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,    -1,    -1,    -1,   477,   478,    -1,    -1,    -1,     3,
      -1,     5,     6,   486,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,    -1,    -1,
      -1,    -1,    -1,   477,   478,    -1,    -1,    -1,     3,    -1,
       5,     6,   486,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
      -1,    -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,
       6,   486,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,
      -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,
     486,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,   486,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,    -1,    -1,    -1,     3,    -1,     5,     6,   486,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,   478,
       3,    -1,     5,     6,    -1,     8,     9,   486,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,   478,    -1,    -1,    -1,     3,
      -1,     5,     6,   486,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,   478,     3,    -1,     5,     6,    -1,
       8,     9,   486,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,     5,     6,    -1,     8,     9,    -1,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   486,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,     5,     6,    -1,     8,     9,    -1,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,   486,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,   486,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    -1,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,    -1,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
      -1,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,   279,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,   472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   486,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,   279,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   486,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     486,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
       5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   486,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,   278,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,   486,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    32,    33,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,   472,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,
     101,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   486,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,   472,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   486,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   486,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   486,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,    -1,    -1,    -1,     3,    -1,     5,
       6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,
     486,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    -1,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,    -1,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
      -1,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   467,   468,   469,    -1,    -1,    -1,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,     3,    -1,     5,
       6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    -1,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,    -1,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
      -1,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   467,   468,   469,    -1,    -1,    -1,   473,   474,   475,
       3,   477,   478,   479,   480,   481,   482,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,    -1,    -1,
     473,   474,   475,     3,   477,   478,   479,   480,   481,   482,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
      -1,    -1,    -1,   473,   474,   475,     3,   477,   478,   479,
     480,   481,   482,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,    -1,    -1,    -1,   473,   474,   475,     3,
     477,   478,   479,   480,   481,   482,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,    -1,    -1,    -1,   473,
     474,   475,     3,   477,   478,   479,   480,   481,   482,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,    -1,
      -1,    -1,   473,   474,   475,     3,   477,   478,   479,   480,
     481,   482,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,    -1,    -1,    -1,   473,   474,   475,     3,   477,
     478,   479,   480,   481,   482,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,   473,   474,
     475,    -1,   477,   478,   479,   480,   481,   482,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    -1,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,    -1,    -1,    -1,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,    -1,   225,   226,
     227,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,    -1,    -1,   262,    -1,   264,   265,   266,
     267,    -1,    -1,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,   284,   285,   286,
     287,   288,   289,   290,    -1,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,    -1,   305,    -1,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,    -1,   411,    -1,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
     467,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   479,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    -1,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,    -1,    -1,    -1,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,    -1,   225,   226,
     227,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,    -1,    -1,   262,    -1,   264,   265,   266,
     267,    -1,    -1,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,   284,   285,   286,
     287,   288,   289,   290,    -1,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,    -1,   305,    -1,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,    -1,   411,    -1,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,
     467,   468,   469,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   479,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,   278,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,    -1,     3,    -1,     5,     6,    -1,    -1,
     477,   478,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    -1,
      -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,   278,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,    -1,     3,    -1,     5,     6,    -1,    -1,   477,   478,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,
     101,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,   278,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,    -1,
       3,    -1,    -1,     6,    -1,    -1,   477,   478,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,   278,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,     3,    -1,
      -1,    -1,    -1,    -1,   477,   478,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,   166,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,    -1,     3,    -1,     5,     6,
      -1,    -1,   477,   478,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,     6,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    -1,
      -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,   278,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,
      -1,    -1,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      -1,    -1,    -1,   101,    -1,    -1,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,
     101,    -1,    -1,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    -1,    -1,    -1,   101,    -1,    -1,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    -1,    -1,
      -1,   101,    -1,    -1,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,
      -1,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    -1,    -1,    -1,   101,    -1,    -1,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    32,    33,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    -1,
      -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,
     101,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    -1,    -1,
      -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    -1,    -1,
      76,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,   163,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,   163,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,   227,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    93,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    93,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,   163,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    93,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,   163,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    93,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,   279,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,   279,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,   279,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,     6,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      37,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,    -1,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    -1,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,    -1,   149,   150,   151,
     152,    -1,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,    -1,    -1,    -1,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,    -1,   225,   226,   227,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,    -1,
     262,    -1,   264,   265,   266,   267,    -1,    -1,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,    -1,   305,    -1,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,    -1,   411,
      -1,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,   468,   469,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    -1,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,    -1,   149,   150,   151,
     152,    -1,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,    -1,    -1,    -1,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,    -1,   225,   226,   227,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,    -1,
     262,    -1,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,    -1,   288,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,    -1,   305,    -1,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,    -1,   411,
      -1,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,   468,   469,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      -1,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    -1,
      -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,    -1,
     149,   150,   151,   152,    -1,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,    -1,    -1,    -1,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,    -1,   264,   265,   266,   267,    -1,
      -1,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,    -1,   288,
     289,   290,    -1,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,    -1,   305,    -1,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,    -1,   411,    -1,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,   468,
     469,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    -1,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,    -1,    -1,
      -1,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,    -1,   264,   265,
     266,   267,    -1,    -1,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,    -1,   288,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,    -1,   305,
      -1,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,    -1,   411,    -1,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   467,   468,   469,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    -1,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,    -1,   155,    -1,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,    -1,    -1,    -1,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,    -1,    -1,   262,
      -1,   264,   265,   266,   267,    -1,    -1,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,    -1,   288,   289,   290,    -1,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,    -1,   305,    -1,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,    -1,   411,    -1,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,   468,   469,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    -1,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    -1,    -1,
      -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,    -1,   149,
     150,   151,   152,    -1,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,    -1,    -1,    -1,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,    -1,   225,   226,   227,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,    -1,   262,    -1,   264,   265,   266,   267,    -1,    -1,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,    -1,   288,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,    -1,   305,    -1,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
      -1,   411,    -1,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,   468,   469,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    -1,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,    -1,    -1,    -1,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,    -1,   225,   226,
     227,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,    -1,    -1,   262,    -1,   264,   265,   266,
     267,    -1,    -1,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
      -1,   288,   289,   290,    -1,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,    -1,   305,    -1,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,    -1,   411,    -1,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,   468,   469,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    -1,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,    -1,   149,   150,   151,   152,    -1,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
      -1,    -1,    -1,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,    -1,    -1,   262,    -1,
     264,   265,   266,   267,    -1,    -1,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,    -1,   288,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
      -1,   305,    -1,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,    -1,   411,    -1,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,   468,   469,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    -1,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,
     101,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,    -1,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,    -1,    -1,    -1,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,    -1,
      -1,   262,    -1,   264,   265,   266,   267,    -1,    -1,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,    -1,   288,   289,   290,
      -1,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,    -1,   305,    -1,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,    -1,
     411,    -1,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   467,   468,   469,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    -1,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
      -1,   149,   150,   151,   152,    -1,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,    -1,    -1,    -1,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,    -1,   262,    -1,   264,   265,   266,   267,
      -1,    -1,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,    -1,
     288,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,    -1,   305,    -1,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,    -1,   411,    -1,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
     468,   469,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    -1,    -1,    51,    -1,    -1,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,    -1,    -1,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,    -1,
     155,    -1,   157,   158,    -1,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,    -1,
      -1,    -1,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,    -1,   202,   203,   204,
     205,    -1,    -1,    -1,    -1,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,    -1,
     225,   226,   227,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    -1,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,    -1,    -1,   262,    -1,   264,
     265,   266,   267,    -1,    -1,   270,    -1,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,    -1,   288,   289,   290,    -1,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,    -1,
     305,    -1,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,   369,   370,   371,   372,    -1,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,    -1,
      -1,    -1,    -1,   408,   409,    -1,   411,    -1,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,    -1,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   467,   468,   469
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    30,    32,    33,    48,    57,    69,    71,    72,
      78,    80,    91,    93,   110,   113,   127,   129,   133,   139,
     147,   149,   156,   172,   189,   229,   230,   235,   247,   265,
     308,   322,   328,   329,   331,   336,   341,   344,   351,   357,
     358,   365,   369,   379,   394,   414,   425,   431,   436,   449,
     472,   486,   493,   494,   495,   496,   497,   503,   504,   506,
     507,   508,   509,   511,   515,   527,   532,   533,   536,   537,
     538,   557,   560,   561,   576,   620,   621,   622,   625,   628,
     629,   630,   638,   645,   647,   648,   651,   654,   655,   659,
     668,   672,   673,   674,   677,   679,   680,   681,   682,   690,
     692,   712,   716,   718,   719,   729,   731,   738,   739,   742,
     743,   744,   745,   746,   755,   757,   759,   762,   766,   767,
     775,   776,   779,   784,   798,   825,   828,   829,   830,   835,
     838,   840,   842,   844,   845,   850,   851,   854,   856,   857,
     861,   862,   863,   866,   867,   870,   871,   872,   879,   881,
     882,   883,   889,   891,   892,   898,   899,   900,   903,   904,
     905,   906,   908,   909,   911,   912,   914,   915,   917,   929,
     935,   938,   940,   941,   950,   952,   957,   962,   966,   967,
     968,   969,   970,   971,   975,  1010,   408,   452,   884,    27,
      75,    90,   108,   114,   131,   142,   151,   163,   168,   175,
     194,   219,   240,   280,   303,   313,   314,   317,   343,   346,
     350,   352,   359,   362,   381,   388,   393,   394,   397,   401,
     411,   416,   429,   442,   644,   884,     3,    20,    21,    22,
      23,    24,    25,    26,    27,    29,    30,    31,    39,    40,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    55,    56,    57,    58,    59,    60,    63,    64,
      65,    66,    67,    69,    70,    71,    72,    73,    75,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    87,    88,
      89,    90,    91,    92,    94,    95,    96,    97,   101,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   115,   117,
     118,   119,   120,   121,   122,   124,   125,   126,   127,   130,
     131,   132,   133,   134,   136,   137,   138,   140,   141,   142,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     155,   157,   158,   159,   160,   162,   164,   165,   167,   168,
     169,   170,   171,   173,   174,   176,   177,   178,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   191,   192,
     193,   194,   195,   196,   197,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   209,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   223,   224,   225,   226,   227,
     229,   230,   231,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   264,   265,   266,   267,   269,   270,   271,   272,
     273,   274,   276,   277,   280,   281,   282,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   302,   303,   304,   305,   306,   307,   308,
     309,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   359,   360,   361,   362,
     363,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   392,   393,   395,   396,
     397,   398,   399,   400,   401,   403,   404,   405,   408,   409,
     410,   411,   412,   414,   415,   416,   417,   418,   419,   420,
     421,   424,   425,   426,   427,   428,   431,   432,   433,   434,
     435,   436,   437,   439,   440,   441,   442,   443,   444,   447,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
    1069,  1141,  1149,  1150,  1153,  1154,  1155,     3,    28,   963,
    1138,  1149,  1153,   440,   922,   278,   309,   884,    51,   486,
     568,    22,    39,    62,    75,    86,   108,   114,   131,   142,
     151,   163,   171,   175,   231,   280,   283,   303,   317,   343,
     352,   362,   381,   388,   397,   398,   400,   401,   411,   416,
     423,   426,   429,   577,   627,   734,   785,   799,    28,   308,
    1138,   963,    28,   302,   360,   398,   400,     6,   218,   836,
     837,  1144,    22,    27,    62,    75,    90,   108,   131,   142,
     151,   163,   168,   175,   194,   240,   280,   293,   303,   314,
     317,   343,   346,   350,   352,   359,   362,   381,   388,   394,
     397,   401,   409,   411,   416,   429,   442,   644,   747,   749,
     750,   884,  1138,    93,   440,   486,   622,   625,   628,   917,
     930,   938,   941,   950,   957,   962,   966,    11,    21,    28,
      46,   158,   164,   166,   190,   220,   254,   311,   330,   477,
     478,   763,   764,   963,  1143,  1145,    28,    93,   326,   358,
     768,   769,   770,  1149,   163,  1149,  1140,  1144,   394,   978,
     763,  1149,   408,  1138,   293,   240,   108,   194,   352,   393,
     394,   486,   846,   847,   351,  1149,    28,   363,   404,   408,
     519,   528,   529,  1149,    25,   172,   768,   769,   309,   884,
    1149,   217,    28,   128,   980,   981,    63,    87,   231,   249,
     343,   352,   363,   404,   408,   455,   516,   517,   518,   519,
      28,   363,   404,   408,   519,   408,   279,  1021,  1136,  1149,
     978,   479,  1149,   167,   486,   923,   486,   324,   972,   973,
    1138,   972,   967,   968,   971,     0,   489,   486,   922,   143,
     208,   284,   422,   982,   983,   967,   969,   970,   119,   204,
     428,   490,    34,   888,   815,  1141,   752,  1149,   752,  1138,
     312,   752,   411,  1138,   107,   394,   803,  1141,  1149,  1155,
       3,   104,   364,  1146,  1147,  1151,  1153,  1154,  1155,    28,
     184,  1136,   272,   442,    10,    17,    18,    19,    70,   155,
     473,   474,   475,   477,   478,   479,   480,   481,   482,   832,
     834,  1099,  1100,  1149,   184,  1138,   803,  1138,    28,  1146,
    1147,   803,  1138,  1138,   184,  1136,  1138,   184,   752,  1138,
     336,   365,    28,   184,  1021,  1138,   355,  1138,   752,    28,
     238,  1146,  1147,   184,  1136,   218,   116,   214,   263,   320,
     885,   886,   887,   486,   484,   488,  1127,  1129,  1136,  1138,
    1149,    27,    62,    76,    86,   108,   131,   168,   194,   219,
     280,   314,   343,   346,   388,   397,   409,   416,   747,   748,
     749,   750,  1144,   888,   937,   941,   950,   957,   966,  1136,
     242,   752,   486,   184,   752,   411,  1138,   752,   411,   184,
    1138,   107,   394,   398,   400,  1146,  1147,   398,   400,    70,
     155,   832,   334,  1138,  1138,  1146,   184,   512,  1149,   184,
    1138,   184,   752,  1138,  1138,   355,  1138,   752,   238,  1146,
     324,   359,   394,   442,   240,    90,   194,    27,   168,   314,
     350,   409,   415,   639,    28,  1138,   964,   526,  1144,  1151,
     837,   242,   184,   815,   816,   184,   841,   184,  1138,     3,
      50,    52,    53,    65,    66,   111,   112,   132,   159,   184,
     206,   207,   209,   250,   252,   271,   321,   367,   373,   404,
     405,   437,   754,  1043,  1045,  1047,  1049,  1051,  1053,  1054,
    1055,  1057,  1058,  1059,  1061,  1062,  1150,  1153,   411,   107,
     394,   184,   802,   803,   184,  1147,  1148,    82,   442,    70,
     155,   184,   833,   834,    55,   184,   802,   184,  1148,   184,
     802,   184,  1138,   184,  1138,   355,   841,   184,   754,   184,
     238,  1148,   218,   184,   751,   752,   184,  1137,  1138,   184,
    1138,   888,   486,   939,   577,   930,   436,   917,   931,   932,
     933,  1151,   922,  1145,   764,   765,    28,   765,  1145,   765,
      28,   765,  1145,   765,   765,   765,  1145,  1143,  1143,   963,
     765,   312,   486,   486,   597,   597,   597,   278,   406,   490,
     597,   352,  1021,  1022,   490,   880,  1144,   486,   936,    55,
     442,   440,   848,   849,    82,   786,   786,  1149,    45,   469,
     214,   488,   281,   281,   278,   166,  1144,   406,   888,   161,
     760,   278,     5,     8,     9,    10,    12,    36,    50,    52,
      53,    61,    62,    65,    66,    73,    75,    98,    99,   100,
     101,   102,   103,   104,   111,   112,   114,   148,   153,   154,
     159,   174,   176,   206,   207,   209,   224,   232,   233,   250,
     252,   261,   263,   268,   269,   271,   280,   291,   304,   321,
     348,   364,   373,   389,   404,   405,   410,   412,   413,   423,
     429,   437,   457,   458,   459,   460,   462,   463,   464,   465,
     470,   477,   478,   479,   486,   967,  1046,  1049,  1052,  1053,
    1054,  1056,  1057,  1058,  1061,  1062,  1066,  1068,  1069,  1070,
    1072,  1095,  1096,  1097,  1101,  1121,  1126,  1133,  1134,  1141,
    1142,  1143,  1144,  1149,  1132,  1133,  1144,    28,   534,  1135,
    1136,   363,   516,   114,   525,  1144,   526,  1144,    45,    67,
     516,   469,   374,   886,   281,   166,   406,   475,    45,   469,
     214,   887,   486,  1136,   479,  1129,  1022,   916,   917,   918,
     919,  1151,   165,   924,  1066,  1104,   972,   490,   486,   925,
     487,   487,   495,   916,   926,   927,   928,  1136,    28,   128,
     979,   979,    55,   979,   156,   161,   228,   275,   986,   988,
     989,  1004,  1006,  1007,  1008,   982,   983,   166,   210,  1021,
    1023,   486,    64,   259,   294,   332,   365,   486,   813,   294,
     328,   332,   365,   488,   753,   294,   332,   365,     3,    85,
     137,   234,   294,   332,   365,   397,   399,   449,   527,   530,
     893,   894,   895,   896,   780,    24,   133,   294,   332,   365,
     433,   543,  1138,    24,   133,   365,   428,   510,   453,   184,
    1021,    58,    92,   152,   187,   223,   259,   263,   294,   295,
     332,   340,   349,   357,   365,   377,   386,   390,   444,   527,
     531,   818,   826,   855,   486,   800,  1129,   332,   510,   190,
     148,    24,    30,    43,    72,   126,   133,   136,   162,   196,
     259,   263,   273,   282,   294,   332,   335,   336,   365,   433,
     539,   541,   542,   662,   855,     5,   477,   478,   636,  1145,
      28,   184,  1136,   752,   752,   486,   831,   294,   365,   488,
     148,   278,   294,   332,   365,   826,   855,    24,   133,   294,
     332,   365,   190,   505,   332,   449,   472,   498,   505,   294,
     332,   365,   826,   855,   278,   294,   332,   148,    37,    56,
     106,   193,   241,   244,   259,   293,   332,   337,   359,   365,
     379,   539,   633,   634,   294,   332,   441,   662,   670,   148,
     294,   332,   365,    85,   126,   136,   294,   328,   332,   365,
     529,   517,   519,   190,   148,    43,   124,   259,   332,   365,
     539,   540,   294,   332,   336,   365,    83,   125,   296,   399,
     278,    24,    30,   133,   294,   332,   365,   558,   559,   505,
     161,   332,   498,   505,   148,   332,   365,   539,  1138,   226,
     116,   279,   454,   490,   885,    28,   128,   438,   479,   487,
     808,  1066,  1105,  1106,  1150,  1066,  1128,     3,    28,    32,
      33,    34,    35,    36,    37,    38,    41,    54,    61,    62,
      68,    74,    76,    86,    93,    98,    99,   100,   102,   103,
     104,   114,   116,   123,   128,   129,   135,   139,   143,   154,
     156,   161,   163,   166,   172,   175,   179,   190,   198,   208,
     210,   221,   222,   228,   232,   233,   263,   268,   275,   278,
     279,   283,   284,   301,   310,   326,   339,   358,   364,   375,
     391,   394,   402,   406,   407,   413,   422,   423,   429,   430,
     438,   445,   446,   448,   449,   479,  1139,  1152,  1153,  1154,
    1155,  1156,  1127,   430,   913,   278,   815,   486,   752,  1138,
    1043,   803,   272,    70,   155,   834,   803,   803,   161,  1043,
     752,  1138,  1138,   487,   597,  1138,    68,  1043,   263,   166,
     486,   720,  1138,   498,    37,   907,  1138,   263,   498,   453,
     184,  1136,   498,   752,   752,   720,   426,   577,   278,   161,
     864,   865,   498,   263,    45,   513,   263,   416,   669,   263,
     925,    85,   294,   646,    83,   125,   296,   399,    26,    47,
     205,   693,    37,   720,   161,   184,   498,   442,   184,  1136,
     184,   623,  1136,  1136,   442,   752,   786,  1141,  1141,  1141,
    1138,   161,   644,    51,   105,   203,   259,   354,   148,    59,
     338,   490,   544,   148,   486,   148,   498,   439,  1060,  1060,
    1060,   486,  1048,  1048,   306,   486,  1050,   148,    65,    66,
    1060,  1048,  1045,   451,   472,   486,  1063,   486,  1063,   490,
     544,    36,  1044,   486,   109,   182,   243,   246,   356,   467,
     486,  1064,  1065,   753,  1048,   453,   148,   490,   544,   148,
     490,   184,   751,   184,   752,   184,   752,   148,   490,   544,
    1148,   148,   544,   148,   148,   544,   148,   544,   148,    83,
     125,   296,   399,   161,   148,   544,   148,   161,   184,   148,
     490,   544,   148,   490,   544,   148,   278,  1104,   394,   487,
     490,   154,   278,   413,   523,   526,   636,   934,   930,   765,
     963,   765,   963,   765,   963,   765,   963,   765,   963,   963,
     963,   765,   963,   486,   598,   599,  1149,   598,    28,   108,
     131,   163,   168,   218,   219,   314,   346,   352,   359,   394,
     397,   416,   771,  1135,  1148,   770,  1138,   190,   490,   953,
    1144,  1043,  1107,    37,  1148,   786,   487,   490,  1136,  1138,
     226,  1149,   161,   161,   771,  1148,   351,  1149,   526,   278,
     486,  1130,   484,   967,  1108,  1066,  1125,   486,   486,   161,
     486,   486,   967,   486,   486,   486,   486,   486,   486,   486,
    1066,   486,   486,   486,   486,   486,   486,   486,   486,   967,
     486,   486,   486,   486,   486,   486,   486,   486,  1066,  1066,
    1066,   967,  1066,  1104,  1129,  1144,   486,  1144,     3,    10,
      13,    17,    18,    19,    34,    37,    42,    49,    74,   185,
     190,   212,   213,   227,   266,   280,   283,   370,   470,   473,
     474,   475,   477,   478,   479,   480,   481,   482,  1099,  1101,
    1103,   450,  1082,   290,  1066,   210,   490,   976,   486,  1144,
    1129,   976,   117,   186,   535,   490,    67,   114,   526,    37,
       3,   114,   231,   524,   636,  1062,  1144,  1144,    88,   130,
    1078,    97,   114,   520,   521,   523,   636,   114,   520,   226,
    1136,    89,   337,   756,   487,   490,   523,   636,   920,   922,
     487,   490,   973,  1137,    37,   487,   490,   925,   969,   969,
     984,   985,  1066,   969,   158,   254,   995,   216,   259,   320,
     368,   428,    28,   990,  1066,   477,   478,   991,   992,  1066,
    1068,  1004,  1005,   989,   988,   986,   987,   161,  1007,   273,
    1009,   986,  1004,  1023,   942,  1136,    37,  1149,   365,  1104,
      64,   406,   406,   352,   190,   201,   284,   287,   367,   438,
     479,   806,   807,   808,   810,   812,   814,  1043,  1150,   406,
     441,   406,   352,  1139,   488,   406,   406,   352,   228,   406,
     406,   397,   516,   294,   893,   895,   475,   897,   161,   172,
     190,   341,   781,   782,    68,    86,   144,   163,   310,   423,
     594,   595,    86,   114,   263,   406,    86,   406,   114,   263,
     352,    86,   126,   136,   294,   332,   717,   352,   652,    27,
      62,   131,   168,   280,   314,   346,   409,   416,   747,   748,
    1138,   148,   332,   365,   539,   278,   636,   357,   223,   406,
    1149,   406,   268,   636,   118,   211,   352,   363,   408,   518,
     752,   338,   365,   818,   827,   122,   487,   801,   806,   406,
     429,   397,  1136,    76,   144,   184,   584,   594,  1149,    76,
      86,   852,   298,   278,   348,   350,   411,    86,   852,    31,
     335,   348,   350,   411,   348,  1136,   162,   196,   273,   752,
     486,   406,   406,   183,   486,   548,   237,   397,   426,   451,
     548,    86,   490,   122,     5,     5,   294,   190,   148,   332,
     365,   539,   855,   430,   430,   260,  1043,   406,   352,   486,
     832,  1138,  1136,   406,   406,   352,   827,   122,   394,   394,
     406,   406,   394,   720,   108,   365,   530,   406,   500,   530,
     406,   406,   352,   827,   122,  1136,   406,   406,  1136,  1045,
     636,    55,   635,   636,   636,   106,   241,   244,    55,   406,
     498,   248,   352,   498,   259,   634,   406,   406,   268,  1144,
     662,   752,   406,   406,   352,   381,  1144,   406,   317,   406,
     317,   720,   397,  1021,   298,   298,    86,   406,   852,   352,
     406,   406,   548,   548,   752,   752,   752,   752,  1136,    44,
     435,    44,    44,   406,    44,   406,   435,   352,   486,   490,
     530,   429,   678,  1147,   406,   500,   530,  1136,   406,   852,
     352,   294,   332,   320,   333,   361,   522,   885,  1105,  1105,
    1106,   487,    15,    16,   490,   982,   983,   485,   491,  1138,
    1136,   212,  1043,   212,   278,   212,   212,   636,   752,   752,
     212,   212,   212,  1043,   212,   212,   212,   278,   406,   166,
     406,   562,   416,   486,    37,   148,   752,   721,   722,  1152,
      26,   893,  1043,   278,   148,   649,  1138,   263,   298,   486,
     499,   734,   430,   324,   442,  1136,    28,   394,   449,   822,
     499,   148,  1147,    93,   172,   514,   576,   629,   692,   766,
     784,   889,   148,  1144,   670,   671,   148,   278,  1144,  1147,
     234,   752,   752,   752,   752,   273,   119,   204,   414,   428,
     694,   695,   140,   319,   486,   678,   263,   499,  1136,   263,
     631,   633,   263,    37,   273,   298,   486,   597,   597,   184,
     626,  1136,   161,   184,   787,  1138,   486,   724,   813,   486,
     804,   804,    37,  1043,   218,   449,   451,   965,   354,   816,
     815,  1043,  1138,   486,   486,  1104,  1143,   754,  1060,  1060,
      36,  1044,   404,   404,  1143,  1143,  1043,   484,   484,  1143,
     406,   406,   406,   486,   406,  1143,  1048,   802,   803,  1148,
    1147,   148,   544,   148,   430,   148,   430,   833,   834,   544,
     802,  1148,   802,  1138,  1138,  1043,   754,  1148,   678,   148,
     751,   752,  1137,  1138,  1138,   752,   487,   184,  1136,   930,
     932,   963,   963,   963,   963,   963,   963,   598,   487,   490,
     487,   169,   315,   347,   360,   395,  1137,   751,   107,   362,
     802,  1137,   272,   802,   802,  1137,  1135,  1135,  1137,   751,
     406,   449,   777,   143,   228,   675,   676,    22,   146,   348,
     368,   954,  1021,   267,   955,   487,   490,   937,   406,  1136,
     846,   847,   849,   769,   768,   769,   166,   173,   778,  1149,
      27,    76,   131,   168,   219,   314,   346,   416,   747,   748,
    1104,  1127,   485,  1104,  1108,  1109,   445,  1122,  1123,  1066,
    1104,   486,  1143,  1143,     3,   109,   182,   243,   246,   356,
     467,  1110,  1111,  1144,  1104,  1104,  1104,  1143,  1143,  1066,
    1066,   832,  1066,  1113,   348,   477,   478,   486,  1067,  1068,
    1101,  1115,   487,  1104,  1066,  1104,  1116,  1066,    54,   166,
     222,   407,  1066,  1104,  1119,  1104,   248,  1068,  1066,  1076,
    1077,  1078,   248,  1066,  1078,   487,   490,  1143,  1064,  1043,
    1066,  1066,  1066,  1066,  1152,   404,    41,   391,  1131,   752,
    1066,   486,   967,  1120,   128,   130,   154,   255,   256,   257,
     258,   262,   263,   268,   273,   413,   424,  1112,  1066,   486,
    1066,   406,    49,   185,   190,   227,   370,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,    28,    35,   375,
    1098,   175,   157,  1083,   348,   486,  1095,   171,   231,   394,
     398,   400,   426,   977,  1136,  1134,   166,  1011,  1105,  1011,
    1136,   408,   486,  1144,   490,   487,   183,   183,   544,   928,
     918,   917,   921,  1066,   487,   240,   263,   974,   928,   926,
     490,    38,   123,   430,   796,   348,   349,   477,   478,   992,
     994,  1068,   368,   216,   279,   490,     5,   993,  1143,   993,
     348,   349,   994,  1135,   267,   372,   956,  1005,   987,   430,
     951,   114,   292,   486,   943,   966,    37,  1149,   486,   958,
     959,   960,  1149,   487,  1147,  1138,  1138,   287,    55,  1150,
     487,   808,   810,   807,   810,  1150,   284,   487,   490,   753,
    1147,  1138,  1138,  1139,  1147,  1138,  1138,  1147,  1138,  1138,
     114,   523,  1145,   343,   429,   768,   352,   172,   768,   486,
    1138,   430,   788,   216,   216,   430,   486,   619,   184,  1138,
     268,  1147,  1138,  1138,  1066,   268,  1138,  1138,    31,   335,
     406,   406,  1138,   406,   653,   815,   486,  1043,   803,    70,
     155,   834,   803,   803,   161,  1043,   752,  1138,   178,   259,
     294,   332,   434,   656,   657,   658,  1021,   406,   852,   352,
     268,   118,   211,  1147,  1138,   278,  1138,   278,   487,   490,
    1146,  1148,  1138,   332,   539,   184,   584,   263,  1043,  1138,
    1143,  1149,  1136,  1138,   226,  1138,    28,   429,  1138,   184,
    1138,   184,  1149,   350,   411,   350,   411,   226,  1138,    28,
     429,  1138,   226,   348,  1136,    24,   133,   365,   663,   664,
     665,   666,  1152,  1147,  1138,   114,   167,   264,   430,   547,
     550,   551,  1152,  1138,    72,   276,  1138,   542,   278,   406,
     397,  1136,   406,   852,   352,   122,  1138,  1138,   490,   487,
     490,  1147,  1138,   858,   859,  1152,   278,   332,   406,   686,
    1147,  1138,  1138,   278,  1022,  1022,  1147,  1138,  1022,  1138,
    1146,     3,    85,   138,   196,   300,   421,   429,   432,   501,
    1147,  1138,  1138,   278,   332,  1147,  1138,   332,   365,   539,
     633,   636,   752,  1138,   636,   752,  1138,   636,  1147,  1138,
     365,  1147,  1138,  1138,  1145,  1147,   822,  1138,   868,   869,
    1152,  1138,   332,   365,   539,   540,  1136,  1136,  1138,  1138,
    1138,  1138,  1147,  1138,    24,    30,   133,   294,   332,   365,
     294,   332,   365,   720,   332,   365,   332,   365,   332,   855,
    1035,  1149,   184,   730,  1149,   184,  1149,  1147,  1138,  1138,
    1144,  1138,   858,    24,   559,   362,  1146,   332,   365,   539,
    1138,  1138,  1138,   406,   406,    81,   420,   320,   490,   982,
     982,   982,  1066,  1066,   438,  1106,   487,  1066,  1128,   268,
     758,  1144,    37,   758,   131,   752,   758,   758,   212,   430,
     430,   758,   758,   758,   218,   758,   758,   758,   752,   316,
     563,   563,   194,   394,   691,  1066,  1043,   752,   487,   490,
     475,   694,   586,  1152,  1138,    59,   166,   352,   441,   650,
     657,   658,   148,   273,   227,   578,   580,   582,   584,   591,
     594,    25,   190,   343,   392,   501,   502,   161,  1138,   442,
    1136,    37,   687,   395,  1022,   720,   512,  1149,   513,   283,
     577,  1138,   163,   752,  1104,   317,  1144,   720,   720,   720,
     720,   273,   278,   283,   486,   720,  1033,  1034,  1035,   362,
     148,   486,   148,   148,   147,   966,   752,   273,   578,  1149,
     430,   614,   449,   549,   263,    37,   597,  1144,   263,   278,
       3,   725,   726,   720,   487,   805,   806,   811,    37,   218,
     340,   409,   448,   817,   818,   819,   817,   278,   218,  1138,
     181,   181,   161,   544,    37,   498,   162,   901,   902,  1104,
     487,   487,   544,   484,   469,   469,   487,   487,  1143,   485,
    1143,   487,   182,   243,  1065,   243,  1065,  1065,  1143,   246,
     487,   544,   751,   752,  1138,   752,  1138,   544,   544,   544,
     544,   218,   544,   362,   161,   544,   544,   278,   544,   263,
     487,   599,   190,   190,   190,   190,   190,   453,  1137,   636,
     637,   175,   772,   773,  1147,    25,   778,   406,   486,   166,
     146,   368,   146,   368,   348,   428,   245,  1043,  1147,   449,
     624,   786,   786,   166,   278,   772,    55,   544,   815,   752,
    1043,   803,   272,   803,   803,  1043,   752,  1138,   487,   485,
     485,   490,  1066,   135,  1123,  1124,    37,   487,  1066,   487,
     487,   487,   166,   487,   487,   487,   487,   487,   487,   490,
     490,   487,   301,  1114,   487,   486,  1067,  1067,  1104,    13,
      17,    18,    19,   190,   212,   280,   473,   474,   475,   477,
     478,   479,   480,   481,   482,  1101,  1067,   487,   487,   161,
     166,  1117,  1118,   487,    37,  1119,  1104,  1119,  1119,   166,
     487,   487,  1152,   299,  1080,    37,   487,   490,  1066,  1152,
     490,  1066,  1130,  1066,   487,   469,  1067,  1067,   141,  1104,
     166,   128,   130,   154,   262,   268,   273,   413,   424,  1112,
     486,   262,   141,   832,  1066,   391,  1131,  1066,  1120,  1066,
     406,   486,   967,   486,   486,   289,  1087,   486,  1104,   398,
     400,   398,   400,  1136,   978,   978,   978,   221,   349,   466,
     486,   967,  1012,  1013,  1014,  1021,  1026,  1036,  1069,  1071,
    1072,  1149,   446,  1031,   982,  1031,   886,  1143,  1064,   521,
     928,   240,   486,   985,   280,  1099,  1102,   471,   797,     5,
    1143,   994,   279,   449,   428,   991,   236,  1012,   446,  1032,
     436,   393,   429,   944,   945,   946,  1149,   278,   947,  1149,
     960,   961,   490,  1011,   475,  1130,   814,   753,   810,   810,
      55,   812,   481,  1148,  1148,   278,  1137,   281,   278,  1066,
     595,  1138,   486,   486,   486,   619,   194,   598,   710,   148,
     544,   406,  1147,  1138,   526,  1043,   752,   752,  1043,   640,
    1138,   178,   434,   406,   406,   640,   656,   662,   332,   365,
     539,  1138,  1138,  1138,   202,   268,   151,   806,   293,   365,
     406,   263,   148,   282,   660,   710,   365,    24,   133,   336,
     337,   365,   543,   552,   553,   662,   853,   357,   148,   544,
     148,   544,  1138,  1138,  1138,  1138,   357,   357,   226,   665,
     666,   665,   487,   490,   667,  1144,   194,   487,   490,   475,
     488,   151,  1147,  1138,   332,   365,   539,  1138,  1138,  1138,
     278,   294,   332,   365,    24,   133,   294,   332,   365,  1043,
     260,  1043,   487,   490,   475,  1136,   406,  1148,   430,   683,
     151,   228,   300,   268,  1144,   300,  1148,   427,   151,   406,
     406,   352,   381,   490,   822,   293,   365,    86,   406,   852,
     352,   114,   161,   554,   406,   406,   238,   238,   238,   406,
     406,   352,   406,   406,   352,   406,   352,   406,   352,   406,
     122,   544,  1043,   263,  1144,   365,   853,   148,   544,   406,
     406,   487,  1138,   406,   852,   352,   406,  1147,  1138,   487,
     487,   487,  1106,   485,  1043,   752,   212,   758,  1138,  1138,
    1138,   212,   382,   383,   564,  1144,   564,   178,   487,   487,
     166,   720,   722,   260,   280,   477,   478,   636,   723,   810,
    1102,  1144,  1156,   278,    68,    74,    86,   114,   116,   170,
     198,   263,   268,   310,   326,   423,   587,   588,   590,   147,
     445,   498,   526,  1138,   526,   660,  1136,  1136,  1136,   487,
     490,  1148,   175,   343,  1148,  1143,   416,  1136,   597,     3,
     161,   688,    45,   513,   334,   394,   669,   107,   925,   166,
     868,   549,   598,  1136,   695,   727,   728,  1144,   487,   490,
    1138,   161,   598,  1136,   623,  1136,  1138,   624,   486,   579,
    1136,   487,  1138,   449,   451,   615,   548,    37,   148,   966,
     614,   406,   148,  1021,   475,   487,   490,   487,   490,   114,
     475,   820,  1144,   526,   394,   809,   810,   161,   821,   819,
     119,   204,   358,   428,   877,  1138,   178,   966,  1043,   486,
     487,   490,   487,  1143,  1063,  1063,   485,   485,   487,   544,
     430,   544,   430,   544,  1138,  1138,   678,   752,   148,   352,
     352,   352,   352,   352,  1137,   490,  1147,   449,   490,   774,
     281,  1022,   362,   146,   146,   107,   259,  1136,  1138,  1148,
     771,   544,  1147,   212,   212,   212,   212,   636,   212,   212,
     212,   212,   212,  1108,   402,  1066,   139,  1043,   487,  1066,
    1112,  1066,  1066,  1117,   487,  1104,   490,  1043,  1067,  1067,
    1067,  1067,   128,   130,   263,   273,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1066,  1066,  1118,  1117,
    1043,   487,   487,   487,  1104,   487,   490,    55,  1068,  1081,
     487,  1152,  1077,   307,   387,  1079,   487,   490,   441,  1073,
      37,   487,  1144,  1066,    34,    34,  1066,   487,  1066,   166,
     486,   262,  1107,  1066,   487,   141,  1067,  1067,   141,   141,
    1066,  1066,   983,   446,   486,  1088,  1149,   487,  1104,   490,
     978,   978,   978,   978,  1136,  1136,  1136,   967,  1026,  1036,
     166,   486,   967,  1013,  1014,    37,  1015,  1016,  1149,   490,
      94,   167,   200,   215,   225,   251,   342,  1018,  1016,    37,
    1015,  1017,  1149,  1016,   472,  1030,  1129,  1066,   175,   996,
     487,   996,   487,   937,   486,   797,   158,   220,   279,   449,
     403,    97,  1066,   339,   949,   435,   487,   490,  1130,    84,
     949,   487,   490,   959,  1032,  1066,   487,   481,   814,   416,
     169,   347,   353,   360,   395,   417,   783,   161,   783,   487,
     486,   602,   603,   791,  1071,  1149,   598,   598,   710,  1138,
     487,   116,   198,   259,   263,   711,  1138,  1138,    37,   430,
     430,   218,   753,  1147,  1138,   406,   852,   352,   406,   202,
    1138,    55,   397,  1138,   148,   584,   486,   586,   381,   170,
     150,   183,   263,   548,   498,   107,   170,   263,   381,   384,
     548,   634,   365,   553,   416,  1138,  1149,   357,   664,  1138,
     551,   723,  1152,  1138,   293,   365,   406,   852,   352,   406,
     151,   406,   406,   352,   168,   280,   384,   732,   733,   168,
     280,   740,   741,   406,   406,   352,   487,   487,   487,   859,
     260,   636,   810,   860,  1102,  1144,  1156,   332,  1138,   486,
     449,   684,  1138,  1145,  1144,  1144,  1144,  1138,  1138,  1138,
    1138,  1145,   869,    55,   397,  1138,  1138,  1138,  1138,   436,
    1138,  1138,   161,   161,   334,   161,   184,  1147,  1138,  1138,
    1147,  1138,  1138,  1138,  1138,  1138,  1138,  1138,   278,    74,
     545,   148,    26,    47,   416,  1149,  1138,  1144,   662,  1138,
    1138,  1138,  1138,   982,   487,   212,   758,   212,   212,   212,
     758,   498,   430,   569,   570,   640,   710,   449,   451,   752,
    1136,   486,   752,  1138,  1067,    31,    55,   589,   117,   186,
     116,   268,   216,  1136,   822,   168,   314,   706,   713,   714,
    1149,   649,   298,   486,   579,   592,   197,   609,   582,  1148,
    1148,  1043,   486,   549,    28,   119,   204,   358,   428,   689,
     406,   685,  1147,   184,  1136,   671,   453,   278,  1012,   822,
     327,   696,   487,   490,  1035,   660,   678,   487,   631,    37,
     273,   298,   486,   939,   581,   583,   585,   594,  1149,   298,
     610,   611,   579,   609,   548,   276,   278,   616,   966,   626,
     624,   549,  1144,  1138,   788,   723,     3,   726,   811,  1066,
    1066,   490,   486,   817,   416,   490,   406,   486,   640,   487,
     901,   902,   485,  1138,  1138,   544,   362,   544,  1137,  1137,
    1137,  1137,  1137,   636,   172,   773,   487,  1138,   107,   778,
     166,   268,   761,  1144,   761,   761,   761,   212,   761,   761,
     761,   761,   761,  1066,   487,   487,   487,  1118,   487,  1066,
     166,   128,   130,   273,   486,   487,   456,  1075,  1104,   325,
     435,    55,  1081,  1068,   447,   447,   487,  1066,   259,  1066,
     490,  1074,  1045,  1066,  1066,  1066,  1107,   487,  1066,    34,
      34,  1066,  1066,   141,   487,   487,  1066,  1089,  1149,   487,
    1066,  1136,  1136,  1136,  1136,  1016,  1017,  1016,   486,   461,
    1068,   487,  1149,   486,  1013,   215,   288,  1019,  1013,  1019,
     215,  1018,  1019,   215,   396,  1024,   486,  1149,   486,   285,
      55,   179,  1003,  1144,  1003,  1144,   487,   832,   403,   273,
    1133,   966,   292,   966,   946,   278,   486,   948,   475,   960,
     949,   416,   487,   406,   768,   166,   710,  1066,   487,   490,
     449,    74,   790,   794,   790,   487,   487,   191,   600,   117,
     186,   196,   116,   432,   544,  1043,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1148,  1138,   584,   661,   665,  1145,   589,
     184,   184,   268,   636,   589,   268,  1145,  1149,  1043,   544,
     544,   475,    55,   397,  1138,  1138,  1138,  1138,  1138,  1147,
    1138,  1138,  1143,  1143,  1043,   490,  1143,  1143,   490,  1147,
    1138,  1138,   406,  1066,    68,  1148,  1138,   406,   406,   166,
     190,   449,  1137,  1137,   752,  1137,   148,   151,   752,  1144,
    1144,  1043,   544,   544,   406,   487,   212,   758,   758,   758,
     758,   486,   565,   566,   498,   121,   168,   201,   168,   166,
     709,  1066,   263,   588,   114,    37,   822,   597,   430,   618,
    1141,    34,   147,   190,   273,   578,   554,   145,   192,   486,
     362,   430,   598,    37,  1148,   683,   513,   263,   486,   163,
    1138,  1104,   253,   277,   697,   698,   699,   161,   702,  1144,
     362,   549,   147,   966,   752,   273,   578,   624,   487,   490,
     449,   586,    55,   614,   554,   610,    80,   397,   617,   449,
     890,    37,   617,   166,   278,   486,  1144,   808,   823,   824,
    1150,  1043,   161,  1136,   166,   406,   843,   199,   641,   544,
     487,   544,   544,  1138,   281,   210,   544,   772,   761,   487,
    1067,   166,   486,  1107,   486,   487,   490,   487,  1081,   487,
     435,   378,   487,   487,   487,  1066,  1066,  1066,   487,   298,
    1090,   487,  1027,  1028,  1071,   486,  1080,  1015,   486,  1137,
    1013,   278,   430,  1020,  1013,   215,  1013,  1141,  1034,   486,
    1034,  1149,    96,   176,   345,   486,   997,   998,   999,  1000,
    1001,  1002,  1066,  1066,   448,  1084,  1084,   487,   963,   944,
      86,   789,   791,   129,  1066,   772,   278,   772,   487,   600,
     603,   280,   832,   752,   752,   795,   326,   600,   486,   822,
     487,   406,   365,   955,   487,   490,    37,   148,   148,   545,
     723,  1148,  1138,   406,   486,   803,   832,   834,   733,   486,
     486,   741,  1138,   487,   486,   365,   955,  1138,  1138,   486,
     486,   486,   449,   472,   910,   334,   910,   910,   161,  1138,
     545,  1138,   758,   571,   572,  1152,    51,    95,   120,   137,
     141,   162,   165,   180,   268,   318,   567,   565,  1144,   803,
      37,   839,   839,  1136,   710,   487,   183,   486,   618,   239,
     601,   194,   486,   714,   706,   486,  1136,   487,   362,    28,
      79,    87,   115,   170,   183,   195,   381,   384,   593,   593,
    1135,  1138,  1138,   487,   966,   684,   148,   107,   660,   166,
     698,   348,   394,   700,   134,   703,   445,   705,  1138,    37,
    1138,   624,   579,  1136,   487,   583,   282,  1149,   615,   610,
     614,   119,   133,   307,  1138,    60,    68,   231,   966,   752,
    1021,   789,   810,   487,   490,   416,  1031,   376,   376,   487,
     640,   259,   434,   642,   643,  1138,   544,  1067,  1107,   487,
    1076,  1104,   259,   468,    55,   982,   487,   490,    37,  1029,
     114,  1041,  1042,  1067,    77,  1137,   487,  1066,   486,  1013,
    1020,   486,   487,  1034,   487,   486,   366,   486,   487,   490,
    1085,  1086,  1149,   435,  1138,   487,   490,   264,   428,   774,
     783,   544,   790,   822,   486,   548,   796,  1136,   822,   598,
     618,  1138,   397,   665,   183,   430,   546,   365,   955,  1138,
    1107,   161,   736,   736,  1107,  1107,  1066,   397,  1104,  1104,
     555,   556,  1151,   751,   752,   751,   752,  1137,   544,   487,
     490,   479,   486,   523,   573,   636,   907,  1144,   907,   263,
     268,   318,   907,   907,  1031,   839,    40,   188,   161,   259,
     596,   486,   632,  1066,   167,   297,   371,   278,   605,   606,
     607,   397,   487,  1141,     6,   715,   579,   609,  1138,   487,
     660,   155,   735,   549,   890,  1136,   453,  1012,   907,   348,
     380,   704,   486,   147,   660,   966,   939,   610,   579,   609,
     586,   486,   616,   614,   615,   349,   349,    68,   281,    68,
     624,   788,   487,   817,   823,  1043,   129,   449,   449,   434,
     640,   660,   487,   487,   487,   435,  1104,   177,   319,   349,
    1091,  1030,  1027,   486,  1067,   487,   490,    37,  1037,  1038,
    1149,   487,  1137,  1104,   487,  1104,   486,  1104,   998,   490,
      37,   966,  1031,   791,   365,   166,   618,   832,   796,   797,
     597,   618,   487,   710,  1138,   632,  1066,   397,   487,   284,
     355,   323,   737,   737,   487,   487,   487,  1138,   487,   487,
     487,   490,  1143,   910,   572,   523,   574,   575,  1144,  1144,
     268,   598,   479,   598,  1144,  1144,   134,   196,   633,   487,
     119,   428,   278,   607,   278,   606,  1138,   486,   487,   490,
     554,   362,   660,   752,    37,    37,   486,  1138,   701,  1149,
    1066,   706,   890,   624,   614,   554,   610,   486,   612,   613,
    1071,  1149,   617,   615,   616,   281,   281,   486,   191,   792,
      29,   205,   878,   168,   168,    49,    97,   419,  1066,  1092,
    1093,  1092,  1092,   487,  1034,   490,  1042,  1152,   487,   490,
     161,  1043,   487,   487,   487,   997,   487,  1086,  1088,   958,
     772,   446,   604,   487,   797,   601,   710,   955,  1138,   803,
      55,   955,   406,   555,   752,   487,   490,   598,   348,   487,
     385,    59,   259,   338,   365,   608,   608,   487,     6,   362,
    1138,   732,   966,   660,   487,  1141,   615,   610,   614,  1066,
     487,   490,   794,   794,   616,   617,   789,   486,   549,   264,
     486,   873,   875,   879,   941,   950,   957,   966,   803,   803,
    1093,   348,   160,   305,   160,   305,   144,  1094,  1094,  1094,
     487,  1068,  1038,   285,     3,   114,   263,   268,  1039,  1040,
     333,  1025,   487,  1031,   544,   486,   710,   605,   955,   752,
     486,   575,   705,    23,   114,   268,  1138,   660,   890,   486,
     616,   614,   615,   487,   613,   752,   795,   795,   617,   487,
     791,   793,   617,   874,   875,   876,   967,   968,   490,   490,
      34,    97,   175,   259,   403,  1080,  1067,  1067,   268,  1040,
     486,  1066,   710,  1104,   147,   660,     5,   707,   708,  1143,
    1144,  1152,   617,   615,   616,   794,   792,   487,   490,  1031,
     487,   489,   406,   166,  1093,   348,   286,    77,  1066,   487,
     487,   706,   487,   490,   616,   617,   795,   549,   791,   876,
     376,   376,  1037,   487,  1141,   708,   617,   617,   449,   449,
     487,   486,  1031,   168,   168,   707,   803,   803,   487
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   492,   493,   494,   494,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   496,
     497,   498,   498,   498,   499,   499,   500,   500,   501,   501,
     501,   501,   501,   501,   501,   501,   501,   502,   502,   502,
     502,   502,   502,   503,   504,   504,   505,   505,   506,   506,
     506,   506,   507,   507,   507,   507,   507,   507,   508,   509,
     510,   510,   511,   511,   511,   511,   512,   512,   513,   513,
     514,   514,   514,   514,   514,   514,   515,   515,   515,   516,
     516,   516,   517,   517,   517,   517,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   519,   519,   520,
     520,   521,   521,   522,   522,   522,   522,   523,   523,   523,
     523,   524,   524,   524,   524,   524,   524,   524,   525,   525,
     525,   526,   526,   527,   528,   528,   528,   528,   529,   529,
     530,   530,   531,   531,   532,   532,   532,   532,   532,   533,
     534,   534,   535,   535,   536,   537,   537,   537,   537,   537,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   539,   539,   540,   540,   541,   542,   542,   542,   542,
     542,   542,   542,   542,   542,   542,   542,   542,   542,   542,
     542,   542,   542,   542,   542,   542,   542,   542,   542,   542,
     542,   542,   542,   542,   542,   542,   542,   542,   542,   542,
     542,   542,   542,   542,   542,   542,   542,   542,   542,   542,
     542,   542,   542,   542,   542,   542,   542,   542,   542,   542,
     542,   542,   542,   542,   543,   543,   544,   544,   544,   545,
     545,   546,   546,   547,   547,   547,   547,   548,   549,   549,
     550,   550,   551,   551,   551,   551,   552,   552,   553,   553,
     553,   553,   554,   554,   554,   554,   555,   556,   556,   557,
     558,   558,   559,   559,   559,   559,   560,   560,   561,   561,
     562,   562,   563,   563,   564,   564,   564,   565,   565,   566,
     566,   567,   567,   567,   567,   567,   567,   567,   567,   567,
     567,   567,   567,   567,   568,   568,   569,   569,   570,   570,
     571,   571,   572,   573,   573,   573,   573,   573,   574,   574,
     575,   576,   576,   576,   576,   576,   576,   577,   577,   577,
     577,   577,   577,   577,   577,   578,   578,   579,   579,   580,
     580,   581,   581,   582,   582,   582,   583,   583,   584,   585,
     585,   586,   586,   587,   587,   587,   587,   588,   588,   588,
     588,   588,   588,   588,   588,   588,   589,   589,   590,   590,
     590,   590,   591,   592,   592,   592,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   594,   594,   595,   595,   595,
     595,   595,   595,   595,   596,   596,   597,   597,   598,   598,
     599,   600,   600,   601,   601,   601,   601,   602,   602,   603,
     603,   604,   604,   605,   605,   605,   605,   605,   606,   607,
     608,   608,   608,   608,   608,   609,   609,   610,   610,   611,
     612,   612,   613,   613,   613,   614,   614,   615,   615,   615,
     616,   616,   616,   616,   617,   617,   618,   618,   619,   620,
     620,   621,   621,   622,   622,   623,   624,   624,   624,   625,
     625,   626,   627,   627,   628,   629,   629,   630,   630,   631,
     631,   632,   632,   633,   633,   634,   634,   634,   634,   634,
     634,   634,   634,   634,   634,   634,   634,   634,   634,   635,
     635,   636,   636,   636,   636,   637,   637,   638,   638,   639,
     639,   640,   640,   641,   641,   642,   642,   643,   643,   644,
     644,   645,   646,   646,   647,   647,   648,   648,   649,   649,
     650,   650,   650,   650,   651,   652,   652,   653,   654,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   655,   656,   656,   656,   656,   657,   657,   658,   658,
     659,   659,   660,   660,   661,   661,   662,   663,   663,   664,
     664,   664,   664,   665,   666,   667,   668,   668,   669,   669,
     670,   670,   671,   671,   672,   672,   672,   673,   673,   673,
     673,   674,   675,   675,   676,   676,   677,   677,   678,   678,
     679,   679,   680,   681,   682,   683,   683,   684,   684,   685,
     685,   686,   686,   687,   687,   688,   688,   689,   689,   689,
     689,   689,   690,   691,   691,   692,   692,   693,   693,   693,
     694,   694,   695,   695,   695,   695,   695,   696,   696,   697,
     697,   698,   699,   699,   700,   700,   701,   702,   702,   703,
     703,   704,   704,   705,   705,   706,   706,   707,   707,   707,
     708,   708,   708,   708,   709,   709,   710,   710,   711,   711,
     711,   711,   711,   711,   712,   712,   713,   713,   714,   715,
     715,   716,   717,   717,   717,   717,   718,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   719,   719,   719,   719,
     719,   719,   719,   720,   721,   721,   722,   722,   723,   723,
     723,   723,   723,   723,   724,   725,   725,   726,   727,   727,
     728,   728,   729,   729,   729,   729,   730,   730,   731,   732,
     732,   733,   733,   733,   733,   733,   734,   734,   735,   735,
     736,   736,   736,   737,   737,   738,   739,   739,   740,   740,
     741,   741,   742,   742,   743,   743,   744,   745,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   748,   748,   748,   748,   748,   749,   749,
     749,   749,   749,   749,   749,   749,   750,   750,   750,   751,
     751,   752,   752,   753,   753,   754,   754,   755,   756,   756,
     756,   757,   757,   757,   757,   757,   757,   757,   757,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   758,
     758,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   760,   760,   761,   761,   762,   762,   763,   763,   763,
     763,   763,   763,   763,   763,   763,   763,   763,   763,   763,
     763,   763,   763,   764,   764,   765,   765,   766,   767,   767,
     768,   768,   768,   768,   768,   769,   769,   770,   770,   770,
     770,   771,   771,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   771,   771,
     771,   772,   772,   773,   773,   774,   774,   775,   776,   776,
     777,   777,   778,   778,   779,   780,   780,   781,   781,   781,
     782,   782,   782,   783,   783,   783,   783,   783,   783,   784,
     784,   785,   785,   786,   786,   787,   787,   788,   788,   789,
     789,   790,   790,   791,   791,   791,   792,   792,   793,   793,
     794,   794,   795,   795,   796,   796,   796,   797,   797,   797,
     798,   798,   798,   798,   799,   799,   800,   800,   801,   801,
     802,   802,   803,   803,   803,   803,   804,   804,   805,   805,
     806,   806,   806,   806,   806,   807,   807,   807,   807,   807,
     808,   809,   810,   810,   810,   811,   811,   811,   812,   813,
     813,   813,   813,   814,   814,   815,   816,   816,   817,   817,
     818,   818,   818,   818,   818,   818,   818,   818,   818,   818,
     818,   818,   818,   818,   818,   818,   818,   819,   819,   819,
     819,   819,   820,   820,   821,   821,   822,   822,   823,   824,
     824,   825,   825,   825,   826,   826,   827,   827,   828,   828,
     828,   828,   828,   828,   829,   829,   830,   830,   831,   831,
     831,   831,   832,   832,   833,   833,   834,   835,   836,   836,
     837,   837,   838,   838,   838,   839,   839,   839,   840,   841,
     841,   842,   843,   843,   843,   843,   844,   845,   845,   845,
     845,   846,   846,   847,   847,   847,   848,   848,   849,   850,
     850,   851,   851,   851,   851,   851,   851,   851,   851,   851,
     851,   851,   851,   851,   851,   851,   851,   851,   851,   851,
     851,   851,   851,   851,   851,   851,   851,   851,   851,   851,
     851,   851,   851,   851,   851,   851,   851,   851,   851,   851,
     851,   851,   851,   851,   851,   851,   851,   851,   851,   851,
     851,   851,   851,   851,   851,   851,   852,   852,   853,   853,
     854,   854,   854,   854,   854,   854,   855,   855,   856,   856,
     856,   856,   856,   856,   856,   856,   856,   856,   856,   856,
     856,   856,   856,   856,   856,   856,   856,   856,   856,   856,
     856,   856,   856,   856,   856,   857,   858,   858,   859,   859,
     860,   860,   860,   860,   860,   861,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     863,   864,   864,   865,   865,   866,   866,   866,   866,   867,
     868,   868,   869,   870,   870,   870,   870,   870,   870,   871,
     871,   872,   873,   873,   873,   874,   874,   875,   875,   875,
     875,   875,   876,   876,   877,   877,   877,   877,   878,   878,
     878,   879,   880,   880,   881,   882,   882,   883,   883,   883,
     883,   883,   883,   883,   883,   883,   883,   883,   883,   883,
     883,   884,   884,   884,   885,   885,   885,   885,   885,   886,
     886,   886,   887,   887,   888,   888,   888,   889,   889,   889,
     889,   890,   890,   890,   890,   891,   892,   893,   893,   894,
     894,   895,   895,   895,   896,   896,   896,   896,   896,   896,
     896,   897,   897,   898,   898,   898,   899,   900,   900,   900,
     900,   901,   901,   902,   903,   904,   904,   905,   906,   906,
     906,   906,   906,   906,   906,   907,   907,   908,   909,   909,
     909,   909,   909,   909,   910,   910,   911,   912,   912,   912,
     913,   913,   914,   914,   915,   915,   916,   916,   917,   917,
     918,   919,   919,   920,   920,   920,   921,   921,   922,   922,
     923,   923,   924,   924,   925,   925,   926,   927,   927,   928,
     928,   929,   929,   929,   929,   930,   930,   930,   930,   930,
     930,   930,   930,   930,   931,   931,   932,   933,   933,   934,
     934,   934,   935,   936,   936,   937,   937,   937,   937,   938,
     938,   938,   939,   939,   940,   940,   940,   940,   941,   942,
     942,   943,   943,   943,   943,   943,   944,   944,   945,   945,
     946,   947,   947,   947,   948,   948,   948,   949,   949,   950,
     951,   951,   952,   953,   953,   954,   954,   954,   954,   954,
     954,   954,   954,   955,   955,   956,   956,   956,   957,   958,
     958,   959,   959,   960,   961,   961,   962,   963,   964,   964,
     964,   964,   964,   965,   965,   965,   966,   966,   967,   967,
     968,   968,   968,   968,   968,   968,   968,   968,   969,   969,
     970,   970,   970,   970,   970,   970,   970,   971,   971,   971,
     972,   972,   973,   974,   974,   974,   975,   975,   976,   976,
     977,   977,   977,   977,   977,   977,   977,   977,   977,   978,
     978,   979,   979,   979,   980,   980,   981,   981,   982,   982,
     983,   984,   984,   985,   985,   986,   986,   986,   986,   987,
     987,   988,   988,   988,   988,   988,   988,   989,   989,   990,
     990,   991,   992,   992,   992,   993,   993,   994,   994,   995,
     995,   996,   996,   997,   997,   998,   998,   998,   998,   998,
     999,  1000,  1001,  1002,  1003,  1003,  1004,  1004,  1005,  1005,
    1006,  1006,  1007,  1008,  1008,  1008,  1008,  1009,  1009,  1010,
    1010,  1011,  1011,  1012,  1012,  1013,  1013,  1013,  1013,  1013,
    1013,  1013,  1013,  1013,  1013,  1014,  1014,  1014,  1014,  1014,
    1014,  1015,  1015,  1015,  1015,  1016,  1016,  1017,  1017,  1017,
    1017,  1017,  1018,  1018,  1018,  1018,  1019,  1019,  1020,  1020,
    1021,  1021,  1021,  1021,  1022,  1022,  1023,  1023,  1023,  1024,
    1025,  1025,  1026,  1026,  1027,  1028,  1028,  1029,  1029,  1030,
    1030,  1031,  1031,  1032,  1032,  1032,  1033,  1033,  1034,  1034,
    1035,  1036,  1036,  1037,  1037,  1038,  1038,  1038,  1039,  1039,
    1040,  1040,  1040,  1040,  1041,  1041,  1042,  1042,  1043,  1043,
    1043,  1043,  1043,  1043,  1044,  1044,  1044,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1046,  1046,  1046,  1046,  1047,  1047,
    1048,  1048,  1049,  1049,  1049,  1049,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1050,  1050,  1051,  1051,  1052,  1052,  1053,
    1054,  1055,  1055,  1056,  1056,  1057,  1058,  1059,  1059,  1059,
    1059,  1059,  1059,  1060,  1060,  1061,  1061,  1061,  1061,  1062,
    1063,  1063,  1063,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1065,  1065,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,  1067,
    1067,  1067,  1068,  1068,  1068,  1068,  1068,  1068,  1068,  1068,
    1068,  1068,  1068,  1068,  1068,  1068,  1069,  1069,  1069,  1069,
    1069,  1069,  1069,  1070,  1070,  1071,  1071,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1073,  1073,  1074,  1074,  1074,  1074,  1075,  1076,  1076,
    1077,  1077,  1078,  1078,  1079,  1079,  1079,  1080,  1080,  1080,
    1080,  1081,  1081,  1082,  1082,  1083,  1083,  1084,  1084,  1085,
    1085,  1086,  1087,  1087,  1087,  1088,  1089,  1089,  1090,  1090,
    1091,  1091,  1091,  1091,  1092,  1092,  1093,  1093,  1093,  1093,
    1093,  1094,  1094,  1094,  1094,  1094,  1095,  1095,  1095,  1096,
    1096,  1097,  1098,  1098,  1098,  1099,  1099,  1100,  1100,  1100,
    1100,  1100,  1100,  1100,  1100,  1100,  1100,  1100,  1100,  1101,
    1101,  1102,  1102,  1103,  1103,  1103,  1103,  1103,  1103,  1104,
    1104,  1105,  1105,  1106,  1106,  1106,  1107,  1107,  1108,  1108,
    1108,  1109,  1109,  1110,  1110,  1111,  1111,  1111,  1111,  1111,
    1111,  1111,  1111,  1112,  1112,  1112,  1112,  1113,  1113,  1114,
    1115,  1115,  1116,  1116,  1116,  1116,  1116,  1116,  1117,  1118,
    1119,  1119,  1119,  1120,  1120,  1121,  1122,  1122,  1123,  1124,
    1124,  1125,  1125,  1126,  1126,  1127,  1127,  1127,  1127,  1128,
    1128,  1129,  1129,  1130,  1130,  1131,  1131,  1132,  1132,  1133,
    1133,  1134,  1134,  1134,  1134,  1135,  1135,  1136,  1136,  1137,
    1137,  1138,  1139,  1140,  1141,  1141,  1142,  1142,  1142,  1142,
    1142,  1142,  1142,  1142,  1142,  1142,  1142,  1142,  1142,  1143,
    1144,  1145,  1145,  1145,  1146,  1147,  1147,  1147,  1148,  1148,
    1149,  1149,  1149,  1150,  1150,  1150,  1151,  1151,  1151,  1151,
    1152,  1152,  1152,  1152,  1152,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1154,  1154,  1154,  1154,  1154,  1154,
    1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,
    1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,
    1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,
    1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,
    1154,  1154,  1154,  1154,  1154,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     2,
       5,     1,     1,     0,     2,     0,     2,     0,     2,     2,
       3,     3,     1,     3,     3,     2,     1,     1,     2,     2,
       2,     3,     3,     5,     5,     5,     0,     3,     5,     5,
       5,     5,     3,     5,     3,     5,     3,     5,     5,     6,
       1,     1,     6,     4,     9,     7,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     2,
       5,     1,     3,     3,     3,     3,     1,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     5,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     1,     2,     3,     2,     1,     1,
       2,     1,     2,     1,     2,     3,     4,     3,     2,     4,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       4,     6,     4,     6,    10,    13,     4,     6,     4,    10,
      13,     4,     6,     4,     6,     5,     7,    11,    14,     5,
       7,     1,     3,     4,     3,     3,     2,     5,     3,     6,
       4,     6,     6,     5,     7,     6,     6,     5,     5,     6,
       9,     4,     5,     7,     6,     4,     8,     4,     2,     4,
       3,     6,     4,     3,     3,     3,     2,     2,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     4,
       4,     4,     5,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     1,     2,     1,     3,
       2,     3,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     3,     2,     1,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    13,    16,    12,    15,    14,    17,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     7,     5,     1,     2,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     5,     8,     3,
       9,     4,    10,    11,     2,     0,     3,     0,     1,     3,
       1,     4,     0,     2,     2,     2,     0,     1,     3,     3,
       6,     4,     0,     1,     1,     2,     2,     0,     3,     3,
       2,     1,     1,     2,     2,     4,     0,     1,     0,     6,
       1,     3,     3,     3,     5,     2,     0,     2,     2,     0,
       3,     4,     4,     0,     2,     0,     4,     0,     3,     8,
      11,     6,     8,     7,    10,     6,     2,     3,     0,     8,
      11,     5,     1,     0,     6,     5,     8,     4,     6,     1,
       0,     3,     0,     1,     2,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       0,     1,     2,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     1,
       0,     7,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     1,     5,     2,     0,     2,     6,     6,
       6,    10,     6,     6,     6,     9,     9,     6,     6,     9,
       6,     7,     2,     2,     2,     2,     1,     2,     1,     0,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,    13,     2,     0,
       2,     2,     1,     0,     5,     4,     4,    11,    14,    12,
      15,    11,     2,     1,     4,     0,     8,    11,     1,     1,
       7,     9,     8,    10,     8,     4,     0,     5,     0,     2,
       0,     2,     0,     2,     0,     2,     0,     1,     1,     1,
       1,     1,     8,     1,     1,    16,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     2,     0,     1,
       2,     4,     1,     1,     1,     1,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     1,     1,     3,     0,
       1,     1,     1,     1,     2,     0,     0,     2,     2,     1,
       2,     2,     2,     2,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     6,     5,     4,
       4,     3,     7,     8,     6,     6,     6,     6,     6,     4,
       7,     5,     8,     3,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     3,     3,     1,     0,
       1,     3,     7,     9,     9,     8,     3,     0,    13,     1,
       3,     5,     5,     3,     6,     2,     1,     0,     2,     0,
       2,     4,     0,     1,     0,     6,     8,     8,     1,     3,
       5,     5,     7,     9,     7,     9,     5,     6,     6,     4,
       6,     4,     6,     8,     4,     6,     4,     6,     5,     7,
       1,     1,     1,     2,     1,     2,     1,     1,     1,     3,
       3,     3,     3,     1,     1,     1,     1,     1,     2,     2,
       1,     3,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     2,     2,     3,     1,     3,     5,     2,     2,
       0,     6,     6,     6,     6,     6,     6,     6,     6,     8,
       9,     8,     6,     6,     9,     9,     9,     7,    10,     1,
       1,     8,     8,     8,     8,     8,     8,     8,     9,     8,
       8,     2,     0,     1,     1,     2,     2,     1,     2,     3,
       3,     3,     3,     4,     4,     3,     3,     3,     4,     4,
       3,     4,     4,     1,     1,     1,     0,     7,     7,    10,
       1,     1,     2,     4,     5,     1,     3,     2,     2,     2,
       2,     1,     2,     2,     4,     3,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     5,     5,     5,     5,
       5,     1,     3,     1,     2,     3,     0,     6,     6,     9,
       3,     0,     3,     0,     5,     2,     0,     3,     3,     3,
       7,     7,    10,     1,     1,     1,     1,     1,     1,    15,
      18,     1,     0,     1,     0,     1,     0,     2,     0,     1,
       3,     4,     5,     2,     2,     4,     4,     0,     1,     3,
       2,     0,     1,     0,     1,     1,     0,     2,     2,     0,
       8,    11,     6,     6,     2,     0,     3,     2,     1,     3,
       1,     3,     2,     1,     1,     2,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     2,     1,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     2,     1,     2,     2,     2,     2,
       1,     1,     1,     3,     3,     5,     2,     0,     2,     1,
       3,     5,     5,     5,     1,     2,     1,     0,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     3,     5,
       5,     5,     1,     3,     1,     3,     2,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,    10,    11,    11,     5,     5,     8,     4,     4,     7,
       7,     1,     1,     1,     1,     1,     1,     3,     1,     5,
       5,     6,     6,     6,     6,     6,     8,     8,     6,     6,
       7,     9,     9,     8,    10,     6,     6,     6,     6,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     8,    10,     9,    11,     8,
      10,     9,    11,     8,     8,     7,     6,     6,     6,     6,
       8,     8,     8,     8,     6,     9,     1,     0,     2,     0,
       8,     8,     8,    10,     9,     8,     1,     0,     6,     6,
       6,     6,     6,     6,     6,     9,     9,     6,     6,     6,
       8,     6,     8,     8,     8,     8,     6,     8,     6,     8,
       7,     9,     7,     9,     6,     7,     1,     3,     3,     3,
       1,     1,     1,     1,     1,     7,     6,     6,     6,     6,
       6,     6,     7,     7,     6,     9,     9,     6,     6,     6,
       6,     6,     6,     8,     8,     8,     6,     7,     6,     6,
       5,     1,     0,     3,     3,     5,     6,     6,     6,     8,
       1,     3,     1,     5,     5,     6,     7,     4,     4,     4,
       6,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     3,     2,     0,     2,     2,     2,     3,     3,     3,
       3,     3,     3,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     2,     3,     0,     9,    11,    12,
      14,     3,     4,     4,     0,     2,     5,     1,     0,     1,
       2,     3,     3,     3,     1,     2,     1,     1,     1,     1,
       1,     1,     0,     5,     4,     6,     4,     3,     5,     7,
       9,     1,     3,     1,     5,     4,     4,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,     1,     1,    10,     4,     2,     5,
       2,     0,     6,     5,     3,     5,     1,     3,     1,     1,
       2,     1,     1,     1,     1,     0,     1,     0,     1,     0,
       1,     0,     1,     0,     3,     0,     2,     1,     3,     1,
       0,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     0,     5,     3,     0,     1,     1,     1,     1,     3,
       9,    12,     3,     0,     2,     3,     2,     3,     7,     1,
       3,     1,     4,     4,     7,     2,     1,     1,     1,     3,
       2,     8,     5,     0,     4,     3,     0,     2,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     1,     2,     0,     8,     1,
       3,     3,     5,     2,     1,     3,     7,     1,     0,     3,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     9,     1,     2,     4,     4,     4,     2,     2,     3,
       1,     3,     7,     1,     2,     0,     1,     0,     2,     0,
       3,     3,     4,     4,     4,     4,     3,     2,     1,     1,
       0,     1,     1,     0,     1,     5,     1,     0,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     6,     4,     5,     2,     3,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     0,     1,     3,     1,     1,     1,     1,     1,
       2,     4,     4,     5,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     4,
       5,     2,     0,     1,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     1,     4,     3,     4,     5,     4,     5,
       4,     5,     2,     4,     1,     1,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     4,     2,
       1,     2,     2,     4,     1,     3,     1,     2,     3,     6,
       4,     0,     2,     6,     2,     1,     3,     4,     0,     2,
       0,     2,     0,     2,     4,     0,     1,     0,     1,     3,
       3,     7,    12,     1,     3,     2,     3,     3,     1,     2,
       2,     2,     2,     1,     1,     3,     3,     2,     2,     3,
       5,     6,     2,     3,     3,     4,     0,     1,     1,     1,
       1,     1,     2,     4,     1,     1,     1,     1,     2,     3,
       3,     0,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     1,     3,     0,     1,     1,     1,     1,     5,
       2,     1,     1,     1,     1,     4,     1,     2,     2,     1,
       3,     3,     2,     1,     0,     5,     2,     5,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     0,     1,     4,     1,
       3,     3,     5,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       3,     3,     2,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     3,     4,     4,     5,     1,     1,     3,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     2,     5,     6,     6,     7,
       3,     4,     1,     1,     2,     4,     1,     1,     1,     2,
       2,     2,     2,     1,     1,     4,     3,     5,     6,     8,
       6,     6,     4,     4,     1,     1,     1,     5,     1,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     1,     1,
       1,     1,     1,     6,     4,     4,     6,     4,     4,     4,
       6,     5,     5,     5,     4,     6,     4,     4,     4,     4,
       5,     7,     7,     9,     5,     4,     6,     5,     7,     7,
       7,     2,     3,     3,     3,     4,     0,     4,     1,     3,
       3,     1,     1,     1,     2,     2,     0,     2,     3,     3,
       4,     2,     2,     5,     0,     5,     0,     2,     0,     1,
       3,     3,     2,     2,     0,     6,     1,     0,     3,     0,
       3,     3,     3,     0,     1,     4,     2,     2,     2,     2,
       2,     3,     2,     2,     3,     0,     4,     3,     5,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     1,     4,     1,     4,     1,     2,     1,     2,     1,
       3,     1,     3,     1,     3,     3,     1,     3,     3,     3,
       2,     1,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     3,     2,
       3,     0,     3,     3,     2,     2,     1,     0,     2,     2,
       3,     2,     1,     1,     3,     5,     1,     2,     4,     2,
       0,     1,     0,     1,     2,     2,     2,     3,     5,     1,
       0,     1,     2,     0,     2,     1,     0,     1,     0,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     6,     2,     3,     5,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyo, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &yyvsp[(yyi + 1) - (yynrhs)]
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return (YYSIZE_T) (yystpcpy (yyres, yystr) - yyres);
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
                    yysize = yysize1;
                  else
                    return 2;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
      yysize = yysize1;
    else
      return 2;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yynewstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  *yyssp = (yytype_int16) yystate;

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = (YYSIZE_T) (yyssp - yyss + 1);

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
# undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 804 "gram.y" /* yacc.c:1652  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 25538 "gram.c" /* yacc.c:1652  */
    break;

  case 3:
#line 820 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 25554 "gram.c" /* yacc.c:1652  */
    break;

  case 4:
#line 832 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 25565 "gram.c" /* yacc.c:1652  */
    break;

  case 128:
#line 965 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 25571 "gram.c" /* yacc.c:1652  */
    break;

  case 129:
#line 975 "gram.y" /* yacc.c:1652  */
    {
					CallStmt *n = makeNode(CallStmt);
					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *)n;
				}
#line 25581 "gram.c" /* yacc.c:1652  */
    break;

  case 130:
#line 990 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25593 "gram.c" /* yacc.c:1652  */
    break;

  case 131:
#line 1000 "gram.y" /* yacc.c:1652  */
    {}
#line 25599 "gram.c" /* yacc.c:1652  */
    break;

  case 132:
#line 1001 "gram.y" /* yacc.c:1652  */
    {}
#line 25605 "gram.c" /* yacc.c:1652  */
    break;

  case 133:
#line 1002 "gram.y" /* yacc.c:1652  */
    {}
#line 25611 "gram.c" /* yacc.c:1652  */
    break;

  case 134:
#line 1011 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25617 "gram.c" /* yacc.c:1652  */
    break;

  case 135:
#line 1012 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 25623 "gram.c" /* yacc.c:1652  */
    break;

  case 136:
#line 1016 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25629 "gram.c" /* yacc.c:1652  */
    break;

  case 137:
#line 1017 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 25635 "gram.c" /* yacc.c:1652  */
    break;

  case 138:
#line 1022 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 25644 "gram.c" /* yacc.c:1652  */
    break;

  case 139:
#line 1027 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 25652 "gram.c" /* yacc.c:1652  */
    break;

  case 140:
#line 1031 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 25666 "gram.c" /* yacc.c:1652  */
    break;

  case 141:
#line 1041 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 25678 "gram.c" /* yacc.c:1652  */
    break;

  case 142:
#line 1049 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 25686 "gram.c" /* yacc.c:1652  */
    break;

  case 143:
#line 1053 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 25694 "gram.c" /* yacc.c:1652  */
    break;

  case 144:
#line 1057 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 25702 "gram.c" /* yacc.c:1652  */
    break;

  case 145:
#line 1062 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 25710 "gram.c" /* yacc.c:1652  */
    break;

  case 146:
#line 1066 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 25759 "gram.c" /* yacc.c:1652  */
    break;

  case 147:
#line 1113 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 25765 "gram.c" /* yacc.c:1652  */
    break;

  case 148:
#line 1116 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 25773 "gram.c" /* yacc.c:1652  */
    break;

  case 149:
#line 1120 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 25781 "gram.c" /* yacc.c:1652  */
    break;

  case 150:
#line 1124 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 25789 "gram.c" /* yacc.c:1652  */
    break;

  case 151:
#line 1128 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 25797 "gram.c" /* yacc.c:1652  */
    break;

  case 152:
#line 1132 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 25805 "gram.c" /* yacc.c:1652  */
    break;

  case 153:
#line 1146 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25817 "gram.c" /* yacc.c:1652  */
    break;

  case 154:
#line 1164 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 25829 "gram.c" /* yacc.c:1652  */
    break;

  case 155:
#line 1172 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 25841 "gram.c" /* yacc.c:1652  */
    break;

  case 156:
#line 1182 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 25847 "gram.c" /* yacc.c:1652  */
    break;

  case 157:
#line 1183 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25853 "gram.c" /* yacc.c:1652  */
    break;

  case 158:
#line 1188 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25865 "gram.c" /* yacc.c:1652  */
    break;

  case 159:
#line 1196 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25877 "gram.c" /* yacc.c:1652  */
    break;

  case 160:
#line 1204 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25889 "gram.c" /* yacc.c:1652  */
    break;

  case 161:
#line 1212 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25901 "gram.c" /* yacc.c:1652  */
    break;

  case 162:
#line 1233 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25912 "gram.c" /* yacc.c:1652  */
    break;

  case 163:
#line 1240 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25923 "gram.c" /* yacc.c:1652  */
    break;

  case 164:
#line 1247 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25934 "gram.c" /* yacc.c:1652  */
    break;

  case 165:
#line 1254 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25945 "gram.c" /* yacc.c:1652  */
    break;

  case 166:
#line 1261 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25956 "gram.c" /* yacc.c:1652  */
    break;

  case 167:
#line 1268 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25967 "gram.c" /* yacc.c:1652  */
    break;

  case 168:
#line 1285 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25979 "gram.c" /* yacc.c:1652  */
    break;

  case 169:
#line 1303 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 25992 "gram.c" /* yacc.c:1652  */
    break;

  case 170:
#line 1313 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = +1; }
#line 25998 "gram.c" /* yacc.c:1652  */
    break;

  case 171:
#line 1314 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = -1; }
#line 26004 "gram.c" /* yacc.c:1652  */
    break;

  case 172:
#line 1326 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26018 "gram.c" /* yacc.c:1652  */
    break;

  case 173:
#line 1336 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26032 "gram.c" /* yacc.c:1652  */
    break;

  case 174:
#line 1346 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26051 "gram.c" /* yacc.c:1652  */
    break;

  case 175:
#line 1361 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26070 "gram.c" /* yacc.c:1652  */
    break;

  case 176:
#line 1378 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26076 "gram.c" /* yacc.c:1652  */
    break;

  case 177:
#line 1379 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26082 "gram.c" /* yacc.c:1652  */
    break;

  case 178:
#line 1384 "gram.y" /* yacc.c:1652  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 26092 "gram.c" /* yacc.c:1652  */
    break;

  case 179:
#line 1390 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26098 "gram.c" /* yacc.c:1652  */
    break;

  case 186:
#line 1418 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26108 "gram.c" /* yacc.c:1652  */
    break;

  case 187:
#line 1424 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 26118 "gram.c" /* yacc.c:1652  */
    break;

  case 188:
#line 1430 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26128 "gram.c" /* yacc.c:1652  */
    break;

  case 189:
#line 1439 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26140 "gram.c" /* yacc.c:1652  */
    break;

  case 190:
#line 1447 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26152 "gram.c" /* yacc.c:1652  */
    break;

  case 192:
#line 1459 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26164 "gram.c" /* yacc.c:1652  */
    break;

  case 193:
#line 1467 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26176 "gram.c" /* yacc.c:1652  */
    break;

  case 194:
#line 1475 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26187 "gram.c" /* yacc.c:1652  */
    break;

  case 195:
#line 1482 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26198 "gram.c" /* yacc.c:1652  */
    break;

  case 196:
#line 1491 "gram.y" /* yacc.c:1652  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 26204 "gram.c" /* yacc.c:1652  */
    break;

  case 197:
#line 1493 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26215 "gram.c" /* yacc.c:1652  */
    break;

  case 198:
#line 1501 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 26230 "gram.c" /* yacc.c:1652  */
    break;

  case 199:
#line 1512 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 26242 "gram.c" /* yacc.c:1652  */
    break;

  case 200:
#line 1520 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26254 "gram.c" /* yacc.c:1652  */
    break;

  case 201:
#line 1528 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 26269 "gram.c" /* yacc.c:1652  */
    break;

  case 202:
#line 1539 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26281 "gram.c" /* yacc.c:1652  */
    break;

  case 203:
#line 1547 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26293 "gram.c" /* yacc.c:1652  */
    break;

  case 204:
#line 1555 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 26304 "gram.c" /* yacc.c:1652  */
    break;

  case 205:
#line 1562 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26316 "gram.c" /* yacc.c:1652  */
    break;

  case 206:
#line 1571 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26328 "gram.c" /* yacc.c:1652  */
    break;

  case 207:
#line 1580 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26334 "gram.c" /* yacc.c:1652  */
    break;

  case 208:
#line 1582 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 26340 "gram.c" /* yacc.c:1652  */
    break;

  case 209:
#line 1585 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26346 "gram.c" /* yacc.c:1652  */
    break;

  case 210:
#line 1586 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26352 "gram.c" /* yacc.c:1652  */
    break;

  case 211:
#line 1590 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 26358 "gram.c" /* yacc.c:1652  */
    break;

  case 212:
#line 1592 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26364 "gram.c" /* yacc.c:1652  */
    break;

  case 213:
#line 1595 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "read uncommitted"; }
#line 26370 "gram.c" /* yacc.c:1652  */
    break;

  case 214:
#line 1596 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "read committed"; }
#line 26376 "gram.c" /* yacc.c:1652  */
    break;

  case 215:
#line 1597 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "repeatable read"; }
#line 26382 "gram.c" /* yacc.c:1652  */
    break;

  case 216:
#line 1598 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "serializable"; }
#line 26388 "gram.c" /* yacc.c:1652  */
    break;

  case 217:
#line 1602 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "true"; }
#line 26394 "gram.c" /* yacc.c:1652  */
    break;

  case 218:
#line 1603 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "false"; }
#line 26400 "gram.c" /* yacc.c:1652  */
    break;

  case 219:
#line 1604 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "on"; }
#line 26406 "gram.c" /* yacc.c:1652  */
    break;

  case 220:
#line 1610 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26412 "gram.c" /* yacc.c:1652  */
    break;

  case 221:
#line 1623 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 26420 "gram.c" /* yacc.c:1652  */
    break;

  case 222:
#line 1627 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 26428 "gram.c" /* yacc.c:1652  */
    break;

  case 223:
#line 1631 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 26447 "gram.c" /* yacc.c:1652  */
    break;

  case 224:
#line 1646 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 26458 "gram.c" /* yacc.c:1652  */
    break;

  case 225:
#line 1652 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26464 "gram.c" /* yacc.c:1652  */
    break;

  case 226:
#line 1653 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 26470 "gram.c" /* yacc.c:1652  */
    break;

  case 227:
#line 1654 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 26476 "gram.c" /* yacc.c:1652  */
    break;

  case 228:
#line 1658 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26482 "gram.c" /* yacc.c:1652  */
    break;

  case 229:
#line 1659 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26488 "gram.c" /* yacc.c:1652  */
    break;

  case 230:
#line 1660 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26494 "gram.c" /* yacc.c:1652  */
    break;

  case 231:
#line 1664 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26500 "gram.c" /* yacc.c:1652  */
    break;

  case 232:
#line 1665 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26506 "gram.c" /* yacc.c:1652  */
    break;

  case 233:
#line 1669 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 26512 "gram.c" /* yacc.c:1652  */
    break;

  case 234:
#line 1673 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26518 "gram.c" /* yacc.c:1652  */
    break;

  case 235:
#line 1675 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 26529 "gram.c" /* yacc.c:1652  */
    break;

  case 236:
#line 1682 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 26540 "gram.c" /* yacc.c:1652  */
    break;

  case 237:
#line 1689 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 26551 "gram.c" /* yacc.c:1652  */
    break;

  case 238:
#line 1699 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 26562 "gram.c" /* yacc.c:1652  */
    break;

  case 239:
#line 1706 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 26572 "gram.c" /* yacc.c:1652  */
    break;

  case 240:
#line 1715 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26578 "gram.c" /* yacc.c:1652  */
    break;

  case 241:
#line 1716 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 26584 "gram.c" /* yacc.c:1652  */
    break;

  case 242:
#line 1721 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26590 "gram.c" /* yacc.c:1652  */
    break;

  case 243:
#line 1722 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 26596 "gram.c" /* yacc.c:1652  */
    break;

  case 244:
#line 1728 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26606 "gram.c" /* yacc.c:1652  */
    break;

  case 245:
#line 1734 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 26616 "gram.c" /* yacc.c:1652  */
    break;

  case 246:
#line 1740 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 26626 "gram.c" /* yacc.c:1652  */
    break;

  case 247:
#line 1746 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 26636 "gram.c" /* yacc.c:1652  */
    break;

  case 248:
#line 1752 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 26646 "gram.c" /* yacc.c:1652  */
    break;

  case 249:
#line 1762 "gram.y" /* yacc.c:1652  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 26657 "gram.c" /* yacc.c:1652  */
    break;

  case 250:
#line 1771 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26663 "gram.c" /* yacc.c:1652  */
    break;

  case 251:
#line 1772 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26669 "gram.c" /* yacc.c:1652  */
    break;

  case 252:
#line 1776 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 26675 "gram.c" /* yacc.c:1652  */
    break;

  case 253:
#line 1777 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 26681 "gram.c" /* yacc.c:1652  */
    break;

  case 254:
#line 1786 "gram.y" /* yacc.c:1652  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 26690 "gram.c" /* yacc.c:1652  */
    break;

  case 255:
#line 1801 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 26700 "gram.c" /* yacc.c:1652  */
    break;

  case 256:
#line 1807 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 26710 "gram.c" /* yacc.c:1652  */
    break;

  case 257:
#line 1813 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 26720 "gram.c" /* yacc.c:1652  */
    break;

  case 258:
#line 1819 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 26730 "gram.c" /* yacc.c:1652  */
    break;

  case 259:
#line 1825 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 26740 "gram.c" /* yacc.c:1652  */
    break;

  case 260:
#line 1844 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26753 "gram.c" /* yacc.c:1652  */
    break;

  case 261:
#line 1853 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26766 "gram.c" /* yacc.c:1652  */
    break;

  case 262:
#line 1862 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26779 "gram.c" /* yacc.c:1652  */
    break;

  case 263:
#line 1871 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26792 "gram.c" /* yacc.c:1652  */
    break;

  case 264:
#line 1880 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26807 "gram.c" /* yacc.c:1652  */
    break;

  case 265:
#line 1891 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26822 "gram.c" /* yacc.c:1652  */
    break;

  case 266:
#line 1902 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26835 "gram.c" /* yacc.c:1652  */
    break;

  case 267:
#line 1911 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26848 "gram.c" /* yacc.c:1652  */
    break;

  case 268:
#line 1920 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26861 "gram.c" /* yacc.c:1652  */
    break;

  case 269:
#line 1929 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26876 "gram.c" /* yacc.c:1652  */
    break;

  case 270:
#line 1940 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26891 "gram.c" /* yacc.c:1652  */
    break;

  case 271:
#line 1951 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26904 "gram.c" /* yacc.c:1652  */
    break;

  case 272:
#line 1960 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26917 "gram.c" /* yacc.c:1652  */
    break;

  case 273:
#line 1969 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26930 "gram.c" /* yacc.c:1652  */
    break;

  case 274:
#line 1978 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26943 "gram.c" /* yacc.c:1652  */
    break;

  case 275:
#line 1987 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26956 "gram.c" /* yacc.c:1652  */
    break;

  case 276:
#line 1996 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26969 "gram.c" /* yacc.c:1652  */
    break;

  case 277:
#line 2005 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26984 "gram.c" /* yacc.c:1652  */
    break;

  case 278:
#line 2016 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26999 "gram.c" /* yacc.c:1652  */
    break;

  case 279:
#line 2027 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27012 "gram.c" /* yacc.c:1652  */
    break;

  case 280:
#line 2036 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27025 "gram.c" /* yacc.c:1652  */
    break;

  case 281:
#line 2047 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27031 "gram.c" /* yacc.c:1652  */
    break;

  case 282:
#line 2048 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27037 "gram.c" /* yacc.c:1652  */
    break;

  case 283:
#line 2054 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27053 "gram.c" /* yacc.c:1652  */
    break;

  case 284:
#line 2067 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27069 "gram.c" /* yacc.c:1652  */
    break;

  case 285:
#line 2083 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27085 "gram.c" /* yacc.c:1652  */
    break;

  case 286:
#line 2099 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27097 "gram.c" /* yacc.c:1652  */
    break;

  case 287:
#line 2108 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27109 "gram.c" /* yacc.c:1652  */
    break;

  case 288:
#line 2117 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27121 "gram.c" /* yacc.c:1652  */
    break;

  case 289:
#line 2126 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27133 "gram.c" /* yacc.c:1652  */
    break;

  case 290:
#line 2135 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27145 "gram.c" /* yacc.c:1652  */
    break;

  case 291:
#line 2144 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 27156 "gram.c" /* yacc.c:1652  */
    break;

  case 292:
#line 2152 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 27167 "gram.c" /* yacc.c:1652  */
    break;

  case 293:
#line 2160 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *)n;
				}
#line 27178 "gram.c" /* yacc.c:1652  */
    break;

  case 294:
#line 2168 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27190 "gram.c" /* yacc.c:1652  */
    break;

  case 295:
#line 2177 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 27202 "gram.c" /* yacc.c:1652  */
    break;

  case 296:
#line 2186 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 27221 "gram.c" /* yacc.c:1652  */
    break;

  case 297:
#line 2202 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27233 "gram.c" /* yacc.c:1652  */
    break;

  case 298:
#line 2211 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27245 "gram.c" /* yacc.c:1652  */
    break;

  case 299:
#line 2220 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 27257 "gram.c" /* yacc.c:1652  */
    break;

  case 300:
#line 2229 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 27277 "gram.c" /* yacc.c:1652  */
    break;

  case 301:
#line 2246 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27289 "gram.c" /* yacc.c:1652  */
    break;

  case 302:
#line 2255 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27301 "gram.c" /* yacc.c:1652  */
    break;

  case 303:
#line 2264 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27313 "gram.c" /* yacc.c:1652  */
    break;

  case 304:
#line 2273 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27326 "gram.c" /* yacc.c:1652  */
    break;

  case 305:
#line 2283 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27339 "gram.c" /* yacc.c:1652  */
    break;

  case 306:
#line 2296 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 27357 "gram.c" /* yacc.c:1652  */
    break;

  case 307:
#line 2311 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27369 "gram.c" /* yacc.c:1652  */
    break;

  case 308:
#line 2320 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27380 "gram.c" /* yacc.c:1652  */
    break;

  case 309:
#line 2328 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27398 "gram.c" /* yacc.c:1652  */
    break;

  case 310:
#line 2343 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27409 "gram.c" /* yacc.c:1652  */
    break;

  case 311:
#line 2351 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27422 "gram.c" /* yacc.c:1652  */
    break;

  case 312:
#line 2361 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27435 "gram.c" /* yacc.c:1652  */
    break;

  case 313:
#line 2371 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 27445 "gram.c" /* yacc.c:1652  */
    break;

  case 314:
#line 2378 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27456 "gram.c" /* yacc.c:1652  */
    break;

  case 315:
#line 2386 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27467 "gram.c" /* yacc.c:1652  */
    break;

  case 316:
#line 2394 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 27477 "gram.c" /* yacc.c:1652  */
    break;

  case 317:
#line 2401 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 27487 "gram.c" /* yacc.c:1652  */
    break;

  case 318:
#line 2408 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27498 "gram.c" /* yacc.c:1652  */
    break;

  case 319:
#line 2416 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27509 "gram.c" /* yacc.c:1652  */
    break;

  case 320:
#line 2424 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27520 "gram.c" /* yacc.c:1652  */
    break;

  case 321:
#line 2432 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 27530 "gram.c" /* yacc.c:1652  */
    break;

  case 322:
#line 2439 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 27540 "gram.c" /* yacc.c:1652  */
    break;

  case 323:
#line 2446 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27551 "gram.c" /* yacc.c:1652  */
    break;

  case 324:
#line 2454 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 27561 "gram.c" /* yacc.c:1652  */
    break;

  case 325:
#line 2461 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 27571 "gram.c" /* yacc.c:1652  */
    break;

  case 326:
#line 2468 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27582 "gram.c" /* yacc.c:1652  */
    break;

  case 327:
#line 2476 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27593 "gram.c" /* yacc.c:1652  */
    break;

  case 328:
#line 2484 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27604 "gram.c" /* yacc.c:1652  */
    break;

  case 329:
#line 2492 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27615 "gram.c" /* yacc.c:1652  */
    break;

  case 330:
#line 2500 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 27626 "gram.c" /* yacc.c:1652  */
    break;

  case 331:
#line 2508 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 27637 "gram.c" /* yacc.c:1652  */
    break;

  case 332:
#line 2516 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 27650 "gram.c" /* yacc.c:1652  */
    break;

  case 333:
#line 2526 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 27660 "gram.c" /* yacc.c:1652  */
    break;

  case 334:
#line 2533 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 27671 "gram.c" /* yacc.c:1652  */
    break;

  case 335:
#line 2541 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27682 "gram.c" /* yacc.c:1652  */
    break;

  case 336:
#line 2549 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27693 "gram.c" /* yacc.c:1652  */
    break;

  case 337:
#line 2557 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27704 "gram.c" /* yacc.c:1652  */
    break;

  case 338:
#line 2565 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27715 "gram.c" /* yacc.c:1652  */
    break;

  case 339:
#line 2573 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27725 "gram.c" /* yacc.c:1652  */
    break;

  case 340:
#line 2580 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27735 "gram.c" /* yacc.c:1652  */
    break;

  case 341:
#line 2587 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27745 "gram.c" /* yacc.c:1652  */
    break;

  case 342:
#line 2594 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27755 "gram.c" /* yacc.c:1652  */
    break;

  case 343:
#line 2600 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27766 "gram.c" /* yacc.c:1652  */
    break;

  case 344:
#line 2609 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27772 "gram.c" /* yacc.c:1652  */
    break;

  case 345:
#line 2610 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 27778 "gram.c" /* yacc.c:1652  */
    break;

  case 346:
#line 2614 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 27784 "gram.c" /* yacc.c:1652  */
    break;

  case 347:
#line 2615 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 27790 "gram.c" /* yacc.c:1652  */
    break;

  case 348:
#line 2616 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 27796 "gram.c" /* yacc.c:1652  */
    break;

  case 349:
#line 2621 "gram.y" /* yacc.c:1652  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 27808 "gram.c" /* yacc.c:1652  */
    break;

  case 350:
#line 2628 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 27814 "gram.c" /* yacc.c:1652  */
    break;

  case 351:
#line 2632 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27820 "gram.c" /* yacc.c:1652  */
    break;

  case 352:
#line 2633 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 27826 "gram.c" /* yacc.c:1652  */
    break;

  case 353:
#line 2638 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 27837 "gram.c" /* yacc.c:1652  */
    break;

  case 354:
#line 2645 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 27848 "gram.c" /* yacc.c:1652  */
    break;

  case 355:
#line 2652 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 27859 "gram.c" /* yacc.c:1652  */
    break;

  case 356:
#line 2659 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27870 "gram.c" /* yacc.c:1652  */
    break;

  case 357:
#line 2668 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27876 "gram.c" /* yacc.c:1652  */
    break;

  case 358:
#line 2671 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27882 "gram.c" /* yacc.c:1652  */
    break;

  case 359:
#line 2672 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 27888 "gram.c" /* yacc.c:1652  */
    break;

  case 360:
#line 2676 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27894 "gram.c" /* yacc.c:1652  */
    break;

  case 361:
#line 2677 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 27900 "gram.c" /* yacc.c:1652  */
    break;

  case 362:
#line 2683 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 27908 "gram.c" /* yacc.c:1652  */
    break;

  case 363:
#line 2687 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 27916 "gram.c" /* yacc.c:1652  */
    break;

  case 364:
#line 2691 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 27925 "gram.c" /* yacc.c:1652  */
    break;

  case 365:
#line 2696 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 27933 "gram.c" /* yacc.c:1652  */
    break;

  case 366:
#line 2703 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27939 "gram.c" /* yacc.c:1652  */
    break;

  case 367:
#line 2705 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27945 "gram.c" /* yacc.c:1652  */
    break;

  case 368:
#line 2710 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 27953 "gram.c" /* yacc.c:1652  */
    break;

  case 369:
#line 2714 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 27961 "gram.c" /* yacc.c:1652  */
    break;

  case 370:
#line 2718 "gram.y" /* yacc.c:1652  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 27976 "gram.c" /* yacc.c:1652  */
    break;

  case 371:
#line 2729 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 27984 "gram.c" /* yacc.c:1652  */
    break;

  case 372:
#line 2737 "gram.y" /* yacc.c:1652  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 28039 "gram.c" /* yacc.c:1652  */
    break;

  case 373:
#line 2790 "gram.y" /* yacc.c:1652  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 28054 "gram.c" /* yacc.c:1652  */
    break;

  case 374:
#line 2803 "gram.y" /* yacc.c:1652  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 28070 "gram.c" /* yacc.c:1652  */
    break;

  case 375:
#line 2817 "gram.y" /* yacc.c:1652  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 28083 "gram.c" /* yacc.c:1652  */
    break;

  case 376:
#line 2829 "gram.y" /* yacc.c:1652  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 28091 "gram.c" /* yacc.c:1652  */
    break;

  case 377:
#line 2836 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 28099 "gram.c" /* yacc.c:1652  */
    break;

  case 378:
#line 2840 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 28107 "gram.c" /* yacc.c:1652  */
    break;

  case 379:
#line 2854 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 28121 "gram.c" /* yacc.c:1652  */
    break;

  case 380:
#line 2866 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28127 "gram.c" /* yacc.c:1652  */
    break;

  case 381:
#line 2867 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28133 "gram.c" /* yacc.c:1652  */
    break;

  case 382:
#line 2873 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 28145 "gram.c" /* yacc.c:1652  */
    break;

  case 383:
#line 2882 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28158 "gram.c" /* yacc.c:1652  */
    break;

  case 384:
#line 2892 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28171 "gram.c" /* yacc.c:1652  */
    break;

  case 385:
#line 2902 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 28190 "gram.c" /* yacc.c:1652  */
    break;

  case 386:
#line 2928 "gram.y" /* yacc.c:1652  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28200 "gram.c" /* yacc.c:1652  */
    break;

  case 387:
#line 2934 "gram.y" /* yacc.c:1652  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28210 "gram.c" /* yacc.c:1652  */
    break;

  case 388:
#line 2969 "gram.y" /* yacc.c:1652  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 28247 "gram.c" /* yacc.c:1652  */
    break;

  case 389:
#line 3002 "gram.y" /* yacc.c:1652  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 28270 "gram.c" /* yacc.c:1652  */
    break;

  case 390:
#line 3023 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 28276 "gram.c" /* yacc.c:1652  */
    break;

  case 391:
#line 3024 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 28282 "gram.c" /* yacc.c:1652  */
    break;

  case 392:
#line 3028 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 28288 "gram.c" /* yacc.c:1652  */
    break;

  case 393:
#line 3029 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 28294 "gram.c" /* yacc.c:1652  */
    break;

  case 394:
#line 3038 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28300 "gram.c" /* yacc.c:1652  */
    break;

  case 395:
#line 3039 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 28306 "gram.c" /* yacc.c:1652  */
    break;

  case 396:
#line 3040 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 28312 "gram.c" /* yacc.c:1652  */
    break;

  case 397:
#line 3043 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28318 "gram.c" /* yacc.c:1652  */
    break;

  case 398:
#line 3044 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28324 "gram.c" /* yacc.c:1652  */
    break;

  case 399:
#line 3049 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28330 "gram.c" /* yacc.c:1652  */
    break;

  case 400:
#line 3050 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 28336 "gram.c" /* yacc.c:1652  */
    break;

  case 401:
#line 3055 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 28344 "gram.c" /* yacc.c:1652  */
    break;

  case 402:
#line 3059 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28352 "gram.c" /* yacc.c:1652  */
    break;

  case 403:
#line 3063 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28360 "gram.c" /* yacc.c:1652  */
    break;

  case 404:
#line 3067 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28368 "gram.c" /* yacc.c:1652  */
    break;

  case 405:
#line 3071 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 28376 "gram.c" /* yacc.c:1652  */
    break;

  case 406:
#line 3075 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28384 "gram.c" /* yacc.c:1652  */
    break;

  case 407:
#line 3079 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28392 "gram.c" /* yacc.c:1652  */
    break;

  case 408:
#line 3083 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28400 "gram.c" /* yacc.c:1652  */
    break;

  case 409:
#line 3087 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28408 "gram.c" /* yacc.c:1652  */
    break;

  case 410:
#line 3091 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 28416 "gram.c" /* yacc.c:1652  */
    break;

  case 411:
#line 3095 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 28424 "gram.c" /* yacc.c:1652  */
    break;

  case 412:
#line 3099 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28432 "gram.c" /* yacc.c:1652  */
    break;

  case 413:
#line 3103 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28440 "gram.c" /* yacc.c:1652  */
    break;

  case 414:
#line 3112 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 28448 "gram.c" /* yacc.c:1652  */
    break;

  case 415:
#line 3115 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 28454 "gram.c" /* yacc.c:1652  */
    break;

  case 416:
#line 3120 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28462 "gram.c" /* yacc.c:1652  */
    break;

  case 417:
#line 3123 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 28468 "gram.c" /* yacc.c:1652  */
    break;

  case 418:
#line 3127 "gram.y" /* yacc.c:1652  */
    {}
#line 28474 "gram.c" /* yacc.c:1652  */
    break;

  case 419:
#line 3128 "gram.y" /* yacc.c:1652  */
    {}
#line 28480 "gram.c" /* yacc.c:1652  */
    break;

  case 420:
#line 3134 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 28488 "gram.c" /* yacc.c:1652  */
    break;

  case 421:
#line 3138 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 28496 "gram.c" /* yacc.c:1652  */
    break;

  case 422:
#line 3145 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 28504 "gram.c" /* yacc.c:1652  */
    break;

  case 423:
#line 3151 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28510 "gram.c" /* yacc.c:1652  */
    break;

  case 424:
#line 3152 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 28516 "gram.c" /* yacc.c:1652  */
    break;

  case 425:
#line 3153 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 28522 "gram.c" /* yacc.c:1652  */
    break;

  case 426:
#line 3154 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 28528 "gram.c" /* yacc.c:1652  */
    break;

  case 427:
#line 3155 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28534 "gram.c" /* yacc.c:1652  */
    break;

  case 428:
#line 3160 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28542 "gram.c" /* yacc.c:1652  */
    break;

  case 429:
#line 3164 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28550 "gram.c" /* yacc.c:1652  */
    break;

  case 430:
#line 3171 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28556 "gram.c" /* yacc.c:1652  */
    break;

  case 431:
#line 3185 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28577 "gram.c" /* yacc.c:1652  */
    break;

  case 432:
#line 3204 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28598 "gram.c" /* yacc.c:1652  */
    break;

  case 433:
#line 3223 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28620 "gram.c" /* yacc.c:1652  */
    break;

  case 434:
#line 3243 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28642 "gram.c" /* yacc.c:1652  */
    break;

  case 435:
#line 3263 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28664 "gram.c" /* yacc.c:1652  */
    break;

  case 436:
#line 3283 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28686 "gram.c" /* yacc.c:1652  */
    break;

  case 437:
#line 3313 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28692 "gram.c" /* yacc.c:1652  */
    break;

  case 438:
#line 3314 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28698 "gram.c" /* yacc.c:1652  */
    break;

  case 439:
#line 3315 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28704 "gram.c" /* yacc.c:1652  */
    break;

  case 440:
#line 3316 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28710 "gram.c" /* yacc.c:1652  */
    break;

  case 441:
#line 3318 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 28721 "gram.c" /* yacc.c:1652  */
    break;

  case 442:
#line 3325 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 28732 "gram.c" /* yacc.c:1652  */
    break;

  case 443:
#line 3331 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 28738 "gram.c" /* yacc.c:1652  */
    break;

  case 444:
#line 3332 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 28744 "gram.c" /* yacc.c:1652  */
    break;

  case 445:
#line 3336 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28750 "gram.c" /* yacc.c:1652  */
    break;

  case 446:
#line 3337 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 28756 "gram.c" /* yacc.c:1652  */
    break;

  case 447:
#line 3341 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28762 "gram.c" /* yacc.c:1652  */
    break;

  case 448:
#line 3342 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 28768 "gram.c" /* yacc.c:1652  */
    break;

  case 449:
#line 3347 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28776 "gram.c" /* yacc.c:1652  */
    break;

  case 450:
#line 3351 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28784 "gram.c" /* yacc.c:1652  */
    break;

  case 451:
#line 3358 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28792 "gram.c" /* yacc.c:1652  */
    break;

  case 452:
#line 3362 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28800 "gram.c" /* yacc.c:1652  */
    break;

  case 453:
#line 3368 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28806 "gram.c" /* yacc.c:1652  */
    break;

  case 454:
#line 3369 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28812 "gram.c" /* yacc.c:1652  */
    break;

  case 455:
#line 3370 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28818 "gram.c" /* yacc.c:1652  */
    break;

  case 456:
#line 3374 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28824 "gram.c" /* yacc.c:1652  */
    break;

  case 457:
#line 3375 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28830 "gram.c" /* yacc.c:1652  */
    break;

  case 458:
#line 3379 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 28853 "gram.c" /* yacc.c:1652  */
    break;

  case 459:
#line 3400 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 28875 "gram.c" /* yacc.c:1652  */
    break;

  case 460:
#line 3418 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 28897 "gram.c" /* yacc.c:1652  */
    break;

  case 461:
#line 3438 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 28903 "gram.c" /* yacc.c:1652  */
    break;

  case 462:
#line 3439 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 28909 "gram.c" /* yacc.c:1652  */
    break;

  case 463:
#line 3444 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 28920 "gram.c" /* yacc.c:1652  */
    break;

  case 464:
#line 3450 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28926 "gram.c" /* yacc.c:1652  */
    break;

  case 465:
#line 3451 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28932 "gram.c" /* yacc.c:1652  */
    break;

  case 466:
#line 3453 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 28949 "gram.c" /* yacc.c:1652  */
    break;

  case 467:
#line 3484 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 28960 "gram.c" /* yacc.c:1652  */
    break;

  case 468:
#line 3491 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 28971 "gram.c" /* yacc.c:1652  */
    break;

  case 469:
#line 3498 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28986 "gram.c" /* yacc.c:1652  */
    break;

  case 470:
#line 3509 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29001 "gram.c" /* yacc.c:1652  */
    break;

  case 471:
#line 3520 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 29017 "gram.c" /* yacc.c:1652  */
    break;

  case 472:
#line 3532 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29030 "gram.c" /* yacc.c:1652  */
    break;

  case 473:
#line 3541 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 29043 "gram.c" /* yacc.c:1652  */
    break;

  case 474:
#line 3550 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *)n;
				}
#line 29070 "gram.c" /* yacc.c:1652  */
    break;

  case 475:
#line 3573 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 29089 "gram.c" /* yacc.c:1652  */
    break;

  case 476:
#line 3590 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 29095 "gram.c" /* yacc.c:1652  */
    break;

  case 477:
#line 3591 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 29101 "gram.c" /* yacc.c:1652  */
    break;

  case 478:
#line 3611 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 29112 "gram.c" /* yacc.c:1652  */
    break;

  case 479:
#line 3618 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29123 "gram.c" /* yacc.c:1652  */
    break;

  case 480:
#line 3625 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29134 "gram.c" /* yacc.c:1652  */
    break;

  case 481:
#line 3632 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29145 "gram.c" /* yacc.c:1652  */
    break;

  case 482:
#line 3643 "gram.y" /* yacc.c:1652  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 29156 "gram.c" /* yacc.c:1652  */
    break;

  case 483:
#line 3652 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 29162 "gram.c" /* yacc.c:1652  */
    break;

  case 484:
#line 3653 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 29168 "gram.c" /* yacc.c:1652  */
    break;

  case 485:
#line 3654 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 29174 "gram.c" /* yacc.c:1652  */
    break;

  case 486:
#line 3658 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 29180 "gram.c" /* yacc.c:1652  */
    break;

  case 487:
#line 3659 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 29186 "gram.c" /* yacc.c:1652  */
    break;

  case 488:
#line 3660 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 29192 "gram.c" /* yacc.c:1652  */
    break;

  case 489:
#line 3661 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 29198 "gram.c" /* yacc.c:1652  */
    break;

  case 490:
#line 3662 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 29204 "gram.c" /* yacc.c:1652  */
    break;

  case 491:
#line 3663 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 29210 "gram.c" /* yacc.c:1652  */
    break;

  case 492:
#line 3664 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 29216 "gram.c" /* yacc.c:1652  */
    break;

  case 493:
#line 3665 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 29222 "gram.c" /* yacc.c:1652  */
    break;

  case 494:
#line 3666 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 29228 "gram.c" /* yacc.c:1652  */
    break;

  case 495:
#line 3676 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 29239 "gram.c" /* yacc.c:1652  */
    break;

  case 496:
#line 3682 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29245 "gram.c" /* yacc.c:1652  */
    break;

  case 497:
#line 3687 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 29262 "gram.c" /* yacc.c:1652  */
    break;

  case 498:
#line 3701 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29281 "gram.c" /* yacc.c:1652  */
    break;

  case 499:
#line 3716 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29300 "gram.c" /* yacc.c:1652  */
    break;

  case 500:
#line 3732 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29319 "gram.c" /* yacc.c:1652  */
    break;

  case 501:
#line 3747 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29338 "gram.c" /* yacc.c:1652  */
    break;

  case 502:
#line 3764 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method	= (yyvsp[-8].str);
					n->exclusions		= (yyvsp[-6].list);
					n->including		= (yyvsp[-4].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29359 "gram.c" /* yacc.c:1652  */
    break;

  case 503:
#line 3782 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 29381 "gram.c" /* yacc.c:1652  */
    break;

  case 504:
#line 3801 "gram.y" /* yacc.c:1652  */
    {  (yyval.boolean) = true; }
#line 29387 "gram.c" /* yacc.c:1652  */
    break;

  case 505:
#line 3802 "gram.y" /* yacc.c:1652  */
    {  (yyval.boolean) = false; }
#line 29393 "gram.c" /* yacc.c:1652  */
    break;

  case 506:
#line 3806 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29399 "gram.c" /* yacc.c:1652  */
    break;

  case 507:
#line 3807 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29405 "gram.c" /* yacc.c:1652  */
    break;

  case 508:
#line 3811 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29411 "gram.c" /* yacc.c:1652  */
    break;

  case 509:
#line 3812 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29417 "gram.c" /* yacc.c:1652  */
    break;

  case 510:
#line 3816 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 29425 "gram.c" /* yacc.c:1652  */
    break;

  case 511:
#line 3821 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29431 "gram.c" /* yacc.c:1652  */
    break;

  case 512:
#line 3822 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29437 "gram.c" /* yacc.c:1652  */
    break;

  case 513:
#line 3826 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 29445 "gram.c" /* yacc.c:1652  */
    break;

  case 514:
#line 3830 "gram.y" /* yacc.c:1652  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 29457 "gram.c" /* yacc.c:1652  */
    break;

  case 515:
#line 3838 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 29465 "gram.c" /* yacc.c:1652  */
    break;

  case 516:
#line 3842 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 29473 "gram.c" /* yacc.c:1652  */
    break;

  case 517:
#line 3848 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 29479 "gram.c" /* yacc.c:1652  */
    break;

  case 518:
#line 3850 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 29485 "gram.c" /* yacc.c:1652  */
    break;

  case 519:
#line 3854 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 29493 "gram.c" /* yacc.c:1652  */
    break;

  case 520:
#line 3859 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 29501 "gram.c" /* yacc.c:1652  */
    break;

  case 521:
#line 3865 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29507 "gram.c" /* yacc.c:1652  */
    break;

  case 522:
#line 3866 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 29513 "gram.c" /* yacc.c:1652  */
    break;

  case 523:
#line 3877 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29519 "gram.c" /* yacc.c:1652  */
    break;

  case 524:
#line 3879 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29525 "gram.c" /* yacc.c:1652  */
    break;

  case 525:
#line 3881 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29531 "gram.c" /* yacc.c:1652  */
    break;

  case 526:
#line 3883 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 29537 "gram.c" /* yacc.c:1652  */
    break;

  case 527:
#line 3885 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29543 "gram.c" /* yacc.c:1652  */
    break;

  case 528:
#line 3888 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 29549 "gram.c" /* yacc.c:1652  */
    break;

  case 529:
#line 3891 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 29555 "gram.c" /* yacc.c:1652  */
    break;

  case 530:
#line 3895 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 29561 "gram.c" /* yacc.c:1652  */
    break;

  case 531:
#line 3896 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 29567 "gram.c" /* yacc.c:1652  */
    break;

  case 532:
#line 3897 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 29573 "gram.c" /* yacc.c:1652  */
    break;

  case 533:
#line 3898 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 29579 "gram.c" /* yacc.c:1652  */
    break;

  case 534:
#line 3899 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 29585 "gram.c" /* yacc.c:1652  */
    break;

  case 535:
#line 3902 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29591 "gram.c" /* yacc.c:1652  */
    break;

  case 536:
#line 3903 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29597 "gram.c" /* yacc.c:1652  */
    break;

  case 537:
#line 3907 "gram.y" /* yacc.c:1652  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 29603 "gram.c" /* yacc.c:1652  */
    break;

  case 538:
#line 3908 "gram.y" /* yacc.c:1652  */
    { (yyval.partspec) = NULL; }
#line 29609 "gram.c" /* yacc.c:1652  */
    break;

  case 539:
#line 3912 "gram.y" /* yacc.c:1652  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 29623 "gram.c" /* yacc.c:1652  */
    break;

  case 540:
#line 3923 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 29629 "gram.c" /* yacc.c:1652  */
    break;

  case 541:
#line 3924 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 29635 "gram.c" /* yacc.c:1652  */
    break;

  case 542:
#line 3928 "gram.y" /* yacc.c:1652  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 29650 "gram.c" /* yacc.c:1652  */
    break;

  case 543:
#line 3939 "gram.y" /* yacc.c:1652  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 29665 "gram.c" /* yacc.c:1652  */
    break;

  case 544:
#line 3950 "gram.y" /* yacc.c:1652  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 29680 "gram.c" /* yacc.c:1652  */
    break;

  case 545:
#line 3963 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29686 "gram.c" /* yacc.c:1652  */
    break;

  case 546:
#line 3964 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 29692 "gram.c" /* yacc.c:1652  */
    break;

  case 547:
#line 3969 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29698 "gram.c" /* yacc.c:1652  */
    break;

  case 548:
#line 3970 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29704 "gram.c" /* yacc.c:1652  */
    break;

  case 549:
#line 3971 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29710 "gram.c" /* yacc.c:1652  */
    break;

  case 550:
#line 3974 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 29716 "gram.c" /* yacc.c:1652  */
    break;

  case 551:
#line 3975 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 29722 "gram.c" /* yacc.c:1652  */
    break;

  case 552:
#line 3976 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 29728 "gram.c" /* yacc.c:1652  */
    break;

  case 553:
#line 3977 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 29734 "gram.c" /* yacc.c:1652  */
    break;

  case 554:
#line 3980 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29740 "gram.c" /* yacc.c:1652  */
    break;

  case 555:
#line 3981 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 29746 "gram.c" /* yacc.c:1652  */
    break;

  case 556:
#line 3984 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29752 "gram.c" /* yacc.c:1652  */
    break;

  case 557:
#line 3985 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 29758 "gram.c" /* yacc.c:1652  */
    break;

  case 558:
#line 3988 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29764 "gram.c" /* yacc.c:1652  */
    break;

  case 559:
#line 4008 "gram.y" /* yacc.c:1652  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29779 "gram.c" /* yacc.c:1652  */
    break;

  case 560:
#line 4020 "gram.y" /* yacc.c:1652  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29794 "gram.c" /* yacc.c:1652  */
    break;

  case 561:
#line 4043 "gram.y" /* yacc.c:1652  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);
					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 29806 "gram.c" /* yacc.c:1652  */
    break;

  case 562:
#line 4051 "gram.y" /* yacc.c:1652  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);
					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 29818 "gram.c" /* yacc.c:1652  */
    break;

  case 563:
#line 4072 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29835 "gram.c" /* yacc.c:1652  */
    break;

  case 564:
#line 4085 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29852 "gram.c" /* yacc.c:1652  */
    break;

  case 565:
#line 4102 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 29868 "gram.c" /* yacc.c:1652  */
    break;

  case 566:
#line 4116 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 29874 "gram.c" /* yacc.c:1652  */
    break;

  case 567:
#line 4117 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 29880 "gram.c" /* yacc.c:1652  */
    break;

  case 568:
#line 4118 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 29886 "gram.c" /* yacc.c:1652  */
    break;

  case 569:
#line 4131 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29903 "gram.c" /* yacc.c:1652  */
    break;

  case 570:
#line 4144 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29920 "gram.c" /* yacc.c:1652  */
    break;

  case 571:
#line 4160 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 29936 "gram.c" /* yacc.c:1652  */
    break;

  case 572:
#line 4173 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 29942 "gram.c" /* yacc.c:1652  */
    break;

  case 573:
#line 4174 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 29948 "gram.c" /* yacc.c:1652  */
    break;

  case 574:
#line 4187 "gram.y" /* yacc.c:1652  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 29960 "gram.c" /* yacc.c:1652  */
    break;

  case 575:
#line 4207 "gram.y" /* yacc.c:1652  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29974 "gram.c" /* yacc.c:1652  */
    break;

  case 576:
#line 4217 "gram.y" /* yacc.c:1652  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29988 "gram.c" /* yacc.c:1652  */
    break;

  case 577:
#line 4230 "gram.y" /* yacc.c:1652  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30000 "gram.c" /* yacc.c:1652  */
    break;

  case 578:
#line 4238 "gram.y" /* yacc.c:1652  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30012 "gram.c" /* yacc.c:1652  */
    break;

  case 579:
#line 4248 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30018 "gram.c" /* yacc.c:1652  */
    break;

  case 580:
#line 4249 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30024 "gram.c" /* yacc.c:1652  */
    break;

  case 581:
#line 4252 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30030 "gram.c" /* yacc.c:1652  */
    break;

  case 582:
#line 4253 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30036 "gram.c" /* yacc.c:1652  */
    break;

  case 583:
#line 4256 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30042 "gram.c" /* yacc.c:1652  */
    break;

  case 584:
#line 4257 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30048 "gram.c" /* yacc.c:1652  */
    break;

  case 585:
#line 4261 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 30056 "gram.c" /* yacc.c:1652  */
    break;

  case 586:
#line 4265 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30064 "gram.c" /* yacc.c:1652  */
    break;

  case 587:
#line 4269 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 30072 "gram.c" /* yacc.c:1652  */
    break;

  case 588:
#line 4273 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 30080 "gram.c" /* yacc.c:1652  */
    break;

  case 589:
#line 4277 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30088 "gram.c" /* yacc.c:1652  */
    break;

  case 590:
#line 4281 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30096 "gram.c" /* yacc.c:1652  */
    break;

  case 591:
#line 4285 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30104 "gram.c" /* yacc.c:1652  */
    break;

  case 592:
#line 4289 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 30112 "gram.c" /* yacc.c:1652  */
    break;

  case 593:
#line 4293 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 30120 "gram.c" /* yacc.c:1652  */
    break;

  case 594:
#line 4297 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 30128 "gram.c" /* yacc.c:1652  */
    break;

  case 595:
#line 4301 "gram.y" /* yacc.c:1652  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 30137 "gram.c" /* yacc.c:1652  */
    break;

  case 596:
#line 4306 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30145 "gram.c" /* yacc.c:1652  */
    break;

  case 597:
#line 4310 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 30153 "gram.c" /* yacc.c:1652  */
    break;

  case 598:
#line 4314 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30161 "gram.c" /* yacc.c:1652  */
    break;

  case 599:
#line 4319 "gram.y" /* yacc.c:1652  */
    {}
#line 30167 "gram.c" /* yacc.c:1652  */
    break;

  case 600:
#line 4320 "gram.y" /* yacc.c:1652  */
    {}
#line 30173 "gram.c" /* yacc.c:1652  */
    break;

  case 601:
#line 4324 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30179 "gram.c" /* yacc.c:1652  */
    break;

  case 602:
#line 4325 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30185 "gram.c" /* yacc.c:1652  */
    break;

  case 603:
#line 4327 "gram.y" /* yacc.c:1652  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 30194 "gram.c" /* yacc.c:1652  */
    break;

  case 604:
#line 4331 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 30200 "gram.c" /* yacc.c:1652  */
    break;

  case 605:
#line 4334 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30206 "gram.c" /* yacc.c:1652  */
    break;

  case 606:
#line 4335 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30212 "gram.c" /* yacc.c:1652  */
    break;

  case 607:
#line 4348 "gram.y" /* yacc.c:1652  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *)n;
			}
#line 30231 "gram.c" /* yacc.c:1652  */
    break;

  case 608:
#line 4364 "gram.y" /* yacc.c:1652  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 30246 "gram.c" /* yacc.c:1652  */
    break;

  case 609:
#line 4377 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 30252 "gram.c" /* yacc.c:1652  */
    break;

  case 610:
#line 4378 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 30258 "gram.c" /* yacc.c:1652  */
    break;

  case 611:
#line 4386 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30264 "gram.c" /* yacc.c:1652  */
    break;

  case 612:
#line 4387 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 30270 "gram.c" /* yacc.c:1652  */
    break;

  case 613:
#line 4391 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30276 "gram.c" /* yacc.c:1652  */
    break;

  case 614:
#line 4392 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30282 "gram.c" /* yacc.c:1652  */
    break;

  case 615:
#line 4396 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30288 "gram.c" /* yacc.c:1652  */
    break;

  case 616:
#line 4397 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30294 "gram.c" /* yacc.c:1652  */
    break;

  case 617:
#line 4401 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30300 "gram.c" /* yacc.c:1652  */
    break;

  case 618:
#line 4402 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30306 "gram.c" /* yacc.c:1652  */
    break;

  case 619:
#line 4406 "gram.y" /* yacc.c:1652  */
    {}
#line 30312 "gram.c" /* yacc.c:1652  */
    break;

  case 620:
#line 4407 "gram.y" /* yacc.c:1652  */
    {}
#line 30318 "gram.c" /* yacc.c:1652  */
    break;

  case 621:
#line 4418 "gram.y" /* yacc.c:1652  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30331 "gram.c" /* yacc.c:1652  */
    break;

  case 622:
#line 4428 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 30337 "gram.c" /* yacc.c:1652  */
    break;

  case 623:
#line 4429 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = NULL; }
#line 30343 "gram.c" /* yacc.c:1652  */
    break;

  case 624:
#line 4443 "gram.y" /* yacc.c:1652  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30354 "gram.c" /* yacc.c:1652  */
    break;

  case 625:
#line 4450 "gram.y" /* yacc.c:1652  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30365 "gram.c" /* yacc.c:1652  */
    break;

  case 626:
#line 4467 "gram.y" /* yacc.c:1652  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30377 "gram.c" /* yacc.c:1652  */
    break;

  case 627:
#line 4475 "gram.y" /* yacc.c:1652  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30389 "gram.c" /* yacc.c:1652  */
    break;

  case 628:
#line 4486 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30395 "gram.c" /* yacc.c:1652  */
    break;

  case 629:
#line 4488 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30401 "gram.c" /* yacc.c:1652  */
    break;

  case 630:
#line 4493 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30409 "gram.c" /* yacc.c:1652  */
    break;

  case 631:
#line 4497 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30417 "gram.c" /* yacc.c:1652  */
    break;

  case 632:
#line 4501 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 30428 "gram.c" /* yacc.c:1652  */
    break;

  case 633:
#line 4508 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 30436 "gram.c" /* yacc.c:1652  */
    break;

  case 634:
#line 4520 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30447 "gram.c" /* yacc.c:1652  */
    break;

  case 635:
#line 4530 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30453 "gram.c" /* yacc.c:1652  */
    break;

  case 636:
#line 4532 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30459 "gram.c" /* yacc.c:1652  */
    break;

  case 637:
#line 4537 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30467 "gram.c" /* yacc.c:1652  */
    break;

  case 638:
#line 4550 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30480 "gram.c" /* yacc.c:1652  */
    break;

  case 639:
#line 4559 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30493 "gram.c" /* yacc.c:1652  */
    break;

  case 640:
#line 4568 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30506 "gram.c" /* yacc.c:1652  */
    break;

  case 641:
#line 4577 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 30519 "gram.c" /* yacc.c:1652  */
    break;

  case 642:
#line 4586 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 30532 "gram.c" /* yacc.c:1652  */
    break;

  case 643:
#line 4595 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30545 "gram.c" /* yacc.c:1652  */
    break;

  case 644:
#line 4604 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30558 "gram.c" /* yacc.c:1652  */
    break;

  case 645:
#line 4613 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 30571 "gram.c" /* yacc.c:1652  */
    break;

  case 646:
#line 4622 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 30584 "gram.c" /* yacc.c:1652  */
    break;

  case 647:
#line 4631 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30597 "gram.c" /* yacc.c:1652  */
    break;

  case 648:
#line 4640 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30610 "gram.c" /* yacc.c:1652  */
    break;

  case 649:
#line 4649 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 30623 "gram.c" /* yacc.c:1652  */
    break;

  case 650:
#line 4658 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 30636 "gram.c" /* yacc.c:1652  */
    break;

  case 651:
#line 4676 "gram.y" /* yacc.c:1652  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30648 "gram.c" /* yacc.c:1652  */
    break;

  case 652:
#line 4686 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 30654 "gram.c" /* yacc.c:1652  */
    break;

  case 653:
#line 4687 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 30660 "gram.c" /* yacc.c:1652  */
    break;

  case 654:
#line 4688 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 30666 "gram.c" /* yacc.c:1652  */
    break;

  case 655:
#line 4689 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 30672 "gram.c" /* yacc.c:1652  */
    break;

  case 656:
#line 4693 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30678 "gram.c" /* yacc.c:1652  */
    break;

  case 657:
#line 4694 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30684 "gram.c" /* yacc.c:1652  */
    break;

  case 658:
#line 4698 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30690 "gram.c" /* yacc.c:1652  */
    break;

  case 659:
#line 4699 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30696 "gram.c" /* yacc.c:1652  */
    break;

  case 660:
#line 4710 "gram.y" /* yacc.c:1652  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30708 "gram.c" /* yacc.c:1652  */
    break;

  case 661:
#line 4718 "gram.y" /* yacc.c:1652  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30720 "gram.c" /* yacc.c:1652  */
    break;

  case 662:
#line 4729 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30726 "gram.c" /* yacc.c:1652  */
    break;

  case 663:
#line 4730 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30732 "gram.c" /* yacc.c:1652  */
    break;

  case 664:
#line 4735 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 30740 "gram.c" /* yacc.c:1652  */
    break;

  case 665:
#line 4739 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 30748 "gram.c" /* yacc.c:1652  */
    break;

  case 666:
#line 4746 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30754 "gram.c" /* yacc.c:1652  */
    break;

  case 667:
#line 4751 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 30762 "gram.c" /* yacc.c:1652  */
    break;

  case 668:
#line 4755 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 30770 "gram.c" /* yacc.c:1652  */
    break;

  case 669:
#line 4762 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 30778 "gram.c" /* yacc.c:1652  */
    break;

  case 670:
#line 4766 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 30787 "gram.c" /* yacc.c:1652  */
    break;

  case 671:
#line 4771 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 30796 "gram.c" /* yacc.c:1652  */
    break;

  case 672:
#line 4776 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 30804 "gram.c" /* yacc.c:1652  */
    break;

  case 673:
#line 4783 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 30812 "gram.c" /* yacc.c:1652  */
    break;

  case 674:
#line 4789 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30818 "gram.c" /* yacc.c:1652  */
    break;

  case 675:
#line 4794 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 30824 "gram.c" /* yacc.c:1652  */
    break;

  case 676:
#line 4806 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30839 "gram.c" /* yacc.c:1652  */
    break;

  case 677:
#line 4818 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30854 "gram.c" /* yacc.c:1652  */
    break;

  case 678:
#line 4831 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30860 "gram.c" /* yacc.c:1652  */
    break;

  case 679:
#line 4832 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30866 "gram.c" /* yacc.c:1652  */
    break;

  case 680:
#line 4837 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30872 "gram.c" /* yacc.c:1652  */
    break;

  case 681:
#line 4838 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30878 "gram.c" /* yacc.c:1652  */
    break;

  case 682:
#line 4842 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30884 "gram.c" /* yacc.c:1652  */
    break;

  case 683:
#line 4843 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30890 "gram.c" /* yacc.c:1652  */
    break;

  case 684:
#line 4854 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 30903 "gram.c" /* yacc.c:1652  */
    break;

  case 685:
#line 4863 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 30915 "gram.c" /* yacc.c:1652  */
    break;

  case 686:
#line 4871 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30926 "gram.c" /* yacc.c:1652  */
    break;

  case 687:
#line 4890 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30948 "gram.c" /* yacc.c:1652  */
    break;

  case 688:
#line 4910 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30970 "gram.c" /* yacc.c:1652  */
    break;

  case 689:
#line 4930 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30993 "gram.c" /* yacc.c:1652  */
    break;

  case 690:
#line 4951 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31016 "gram.c" /* yacc.c:1652  */
    break;

  case 691:
#line 4983 "gram.y" /* yacc.c:1652  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 31031 "gram.c" /* yacc.c:1652  */
    break;

  case 692:
#line 4996 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 31037 "gram.c" /* yacc.c:1652  */
    break;

  case 693:
#line 4997 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 31043 "gram.c" /* yacc.c:1652  */
    break;

  case 694:
#line 5002 "gram.y" /* yacc.c:1652  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 31054 "gram.c" /* yacc.c:1652  */
    break;

  case 695:
#line 5009 "gram.y" /* yacc.c:1652  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 31065 "gram.c" /* yacc.c:1652  */
    break;

  case 696:
#line 5025 "gram.y" /* yacc.c:1652  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31078 "gram.c" /* yacc.c:1652  */
    break;

  case 697:
#line 5034 "gram.y" /* yacc.c:1652  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31091 "gram.c" /* yacc.c:1652  */
    break;

  case 698:
#line 5045 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 31097 "gram.c" /* yacc.c:1652  */
    break;

  case 699:
#line 5046 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 31103 "gram.c" /* yacc.c:1652  */
    break;

  case 700:
#line 5059 "gram.y" /* yacc.c:1652  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31115 "gram.c" /* yacc.c:1652  */
    break;

  case 701:
#line 5067 "gram.y" /* yacc.c:1652  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31127 "gram.c" /* yacc.c:1652  */
    break;

  case 702:
#line 5084 "gram.y" /* yacc.c:1652  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31139 "gram.c" /* yacc.c:1652  */
    break;

  case 703:
#line 5110 "gram.y" /* yacc.c:1652  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31155 "gram.c" /* yacc.c:1652  */
    break;

  case 704:
#line 5126 "gram.y" /* yacc.c:1652  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31169 "gram.c" /* yacc.c:1652  */
    break;

  case 705:
#line 5138 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31175 "gram.c" /* yacc.c:1652  */
    break;

  case 706:
#line 5139 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 31181 "gram.c" /* yacc.c:1652  */
    break;

  case 707:
#line 5143 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31187 "gram.c" /* yacc.c:1652  */
    break;

  case 708:
#line 5144 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 31193 "gram.c" /* yacc.c:1652  */
    break;

  case 709:
#line 5148 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31199 "gram.c" /* yacc.c:1652  */
    break;

  case 710:
#line 5149 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 31205 "gram.c" /* yacc.c:1652  */
    break;

  case 711:
#line 5153 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31211 "gram.c" /* yacc.c:1652  */
    break;

  case 712:
#line 5154 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NULL; }
#line 31217 "gram.c" /* yacc.c:1652  */
    break;

  case 713:
#line 5159 "gram.y" /* yacc.c:1652  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 31235 "gram.c" /* yacc.c:1652  */
    break;

  case 714:
#line 5172 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 31241 "gram.c" /* yacc.c:1652  */
    break;

  case 715:
#line 5176 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31247 "gram.c" /* yacc.c:1652  */
    break;

  case 716:
#line 5177 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "all"; }
#line 31253 "gram.c" /* yacc.c:1652  */
    break;

  case 717:
#line 5181 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "all"; }
#line 31259 "gram.c" /* yacc.c:1652  */
    break;

  case 718:
#line 5182 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "select"; }
#line 31265 "gram.c" /* yacc.c:1652  */
    break;

  case 719:
#line 5183 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "insert"; }
#line 31271 "gram.c" /* yacc.c:1652  */
    break;

  case 720:
#line 5184 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "update"; }
#line 31277 "gram.c" /* yacc.c:1652  */
    break;

  case 721:
#line 5185 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "delete"; }
#line 31283 "gram.c" /* yacc.c:1652  */
    break;

  case 722:
#line 5196 "gram.y" /* yacc.c:1652  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 31295 "gram.c" /* yacc.c:1652  */
    break;

  case 723:
#line 5206 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 31301 "gram.c" /* yacc.c:1652  */
    break;

  case 724:
#line 5207 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 31307 "gram.c" /* yacc.c:1652  */
    break;

  case 725:
#line 5221 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = false;
					n->deferrable	 = false;
					n->initdeferred  = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 31330 "gram.c" /* yacc.c:1652  */
    break;

  case 726:
#line 5243 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = true;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 31354 "gram.c" /* yacc.c:1652  */
    break;

  case 727:
#line 5265 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 31360 "gram.c" /* yacc.c:1652  */
    break;

  case 728:
#line 5266 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 31366 "gram.c" /* yacc.c:1652  */
    break;

  case 729:
#line 5267 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 31372 "gram.c" /* yacc.c:1652  */
    break;

  case 730:
#line 5272 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31378 "gram.c" /* yacc.c:1652  */
    break;

  case 731:
#line 5274 "gram.y" /* yacc.c:1652  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 31401 "gram.c" /* yacc.c:1652  */
    break;

  case 732:
#line 5296 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 31407 "gram.c" /* yacc.c:1652  */
    break;

  case 733:
#line 5298 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 31413 "gram.c" /* yacc.c:1652  */
    break;

  case 734:
#line 5300 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 31419 "gram.c" /* yacc.c:1652  */
    break;

  case 735:
#line 5302 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 31425 "gram.c" /* yacc.c:1652  */
    break;

  case 736:
#line 5304 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 31431 "gram.c" /* yacc.c:1652  */
    break;

  case 737:
#line 5308 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31437 "gram.c" /* yacc.c:1652  */
    break;

  case 738:
#line 5309 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31443 "gram.c" /* yacc.c:1652  */
    break;

  case 739:
#line 5313 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31449 "gram.c" /* yacc.c:1652  */
    break;

  case 740:
#line 5314 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 31455 "gram.c" /* yacc.c:1652  */
    break;

  case 741:
#line 5319 "gram.y" /* yacc.c:1652  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 31467 "gram.c" /* yacc.c:1652  */
    break;

  case 742:
#line 5329 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 31473 "gram.c" /* yacc.c:1652  */
    break;

  case 743:
#line 5330 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 31479 "gram.c" /* yacc.c:1652  */
    break;

  case 744:
#line 5334 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 31485 "gram.c" /* yacc.c:1652  */
    break;

  case 745:
#line 5343 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 31491 "gram.c" /* yacc.c:1652  */
    break;

  case 746:
#line 5347 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31497 "gram.c" /* yacc.c:1652  */
    break;

  case 747:
#line 5352 "gram.y" /* yacc.c:1652  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 31505 "gram.c" /* yacc.c:1652  */
    break;

  case 748:
#line 5356 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 31517 "gram.c" /* yacc.c:1652  */
    break;

  case 749:
#line 5366 "gram.y" /* yacc.c:1652  */
    {}
#line 31523 "gram.c" /* yacc.c:1652  */
    break;

  case 750:
#line 5367 "gram.y" /* yacc.c:1652  */
    {}
#line 31529 "gram.c" /* yacc.c:1652  */
    break;

  case 751:
#line 5371 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 31535 "gram.c" /* yacc.c:1652  */
    break;

  case 752:
#line 5372 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 31541 "gram.c" /* yacc.c:1652  */
    break;

  case 753:
#line 5376 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31547 "gram.c" /* yacc.c:1652  */
    break;

  case 754:
#line 5377 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 31553 "gram.c" /* yacc.c:1652  */
    break;

  case 757:
#line 5386 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 31559 "gram.c" /* yacc.c:1652  */
    break;

  case 758:
#line 5387 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 31565 "gram.c" /* yacc.c:1652  */
    break;

  case 759:
#line 5388 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31571 "gram.c" /* yacc.c:1652  */
    break;

  case 760:
#line 5393 "gram.y" /* yacc.c:1652  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 31579 "gram.c" /* yacc.c:1652  */
    break;

  case 761:
#line 5396 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 31585 "gram.c" /* yacc.c:1652  */
    break;

  case 762:
#line 5397 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 31591 "gram.c" /* yacc.c:1652  */
    break;

  case 763:
#line 5398 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 31597 "gram.c" /* yacc.c:1652  */
    break;

  case 764:
#line 5402 "gram.y" /* yacc.c:1652  */
    { (yyval.range) = (yyvsp[0].range); }
#line 31603 "gram.c" /* yacc.c:1652  */
    break;

  case 765:
#line 5403 "gram.y" /* yacc.c:1652  */
    { (yyval.range) = NULL; }
#line 31609 "gram.c" /* yacc.c:1652  */
    break;

  case 766:
#line 5408 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 31615 "gram.c" /* yacc.c:1652  */
    break;

  case 767:
#line 5410 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 31643 "gram.c" /* yacc.c:1652  */
    break;

  case 768:
#line 5436 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 31649 "gram.c" /* yacc.c:1652  */
    break;

  case 769:
#line 5437 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 31655 "gram.c" /* yacc.c:1652  */
    break;

  case 770:
#line 5438 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 31661 "gram.c" /* yacc.c:1652  */
    break;

  case 771:
#line 5439 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 31667 "gram.c" /* yacc.c:1652  */
    break;

  case 772:
#line 5440 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 31673 "gram.c" /* yacc.c:1652  */
    break;

  case 773:
#line 5441 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 31679 "gram.c" /* yacc.c:1652  */
    break;

  case 774:
#line 5456 "gram.y" /* yacc.c:1652  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 31692 "gram.c" /* yacc.c:1652  */
    break;

  case 775:
#line 5467 "gram.y" /* yacc.c:1652  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 31705 "gram.c" /* yacc.c:1652  */
    break;

  case 776:
#line 5479 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31711 "gram.c" /* yacc.c:1652  */
    break;

  case 777:
#line 5481 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 31717 "gram.c" /* yacc.c:1652  */
    break;

  case 778:
#line 5486 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 31723 "gram.c" /* yacc.c:1652  */
    break;

  case 779:
#line 5491 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31729 "gram.c" /* yacc.c:1652  */
    break;

  case 780:
#line 5493 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 31735 "gram.c" /* yacc.c:1652  */
    break;

  case 781:
#line 5498 "gram.y" /* yacc.c:1652  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 31746 "gram.c" /* yacc.c:1652  */
    break;

  case 782:
#line 5507 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 31752 "gram.c" /* yacc.c:1652  */
    break;

  case 783:
#line 5508 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 31758 "gram.c" /* yacc.c:1652  */
    break;

  case 784:
#line 5509 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 31764 "gram.c" /* yacc.c:1652  */
    break;

  case 785:
#line 5510 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 31770 "gram.c" /* yacc.c:1652  */
    break;

  case 786:
#line 5522 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 31782 "gram.c" /* yacc.c:1652  */
    break;

  case 787:
#line 5541 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31797 "gram.c" /* yacc.c:1652  */
    break;

  case 788:
#line 5552 "gram.y" /* yacc.c:1652  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31813 "gram.c" /* yacc.c:1652  */
    break;

  case 789:
#line 5564 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31827 "gram.c" /* yacc.c:1652  */
    break;

  case 790:
#line 5574 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31841 "gram.c" /* yacc.c:1652  */
    break;

  case 791:
#line 5584 "gram.y" /* yacc.c:1652  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31856 "gram.c" /* yacc.c:1652  */
    break;

  case 792:
#line 5595 "gram.y" /* yacc.c:1652  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 31869 "gram.c" /* yacc.c:1652  */
    break;

  case 793:
#line 5604 "gram.y" /* yacc.c:1652  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 31880 "gram.c" /* yacc.c:1652  */
    break;

  case 794:
#line 5611 "gram.y" /* yacc.c:1652  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31891 "gram.c" /* yacc.c:1652  */
    break;

  case 795:
#line 5618 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31904 "gram.c" /* yacc.c:1652  */
    break;

  case 796:
#line 5627 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31917 "gram.c" /* yacc.c:1652  */
    break;

  case 797:
#line 5636 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31930 "gram.c" /* yacc.c:1652  */
    break;

  case 798:
#line 5645 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31943 "gram.c" /* yacc.c:1652  */
    break;

  case 799:
#line 5654 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31956 "gram.c" /* yacc.c:1652  */
    break;

  case 800:
#line 5663 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 31970 "gram.c" /* yacc.c:1652  */
    break;

  case 801:
#line 5673 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 31983 "gram.c" /* yacc.c:1652  */
    break;

  case 802:
#line 5682 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 31997 "gram.c" /* yacc.c:1652  */
    break;

  case 803:
#line 5693 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32003 "gram.c" /* yacc.c:1652  */
    break;

  case 804:
#line 5696 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32009 "gram.c" /* yacc.c:1652  */
    break;

  case 805:
#line 5697 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32015 "gram.c" /* yacc.c:1652  */
    break;

  case 806:
#line 5701 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32023 "gram.c" /* yacc.c:1652  */
    break;

  case 807:
#line 5705 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32031 "gram.c" /* yacc.c:1652  */
    break;

  case 808:
#line 5711 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 32037 "gram.c" /* yacc.c:1652  */
    break;

  case 809:
#line 5712 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 32043 "gram.c" /* yacc.c:1652  */
    break;

  case 810:
#line 5713 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 32049 "gram.c" /* yacc.c:1652  */
    break;

  case 811:
#line 5714 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 32055 "gram.c" /* yacc.c:1652  */
    break;

  case 812:
#line 5715 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 32061 "gram.c" /* yacc.c:1652  */
    break;

  case 813:
#line 5716 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 32067 "gram.c" /* yacc.c:1652  */
    break;

  case 814:
#line 5719 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32073 "gram.c" /* yacc.c:1652  */
    break;

  case 815:
#line 5722 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32079 "gram.c" /* yacc.c:1652  */
    break;

  case 816:
#line 5723 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32085 "gram.c" /* yacc.c:1652  */
    break;

  case 817:
#line 5732 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 32093 "gram.c" /* yacc.c:1652  */
    break;

  case 818:
#line 5738 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32099 "gram.c" /* yacc.c:1652  */
    break;

  case 819:
#line 5739 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32105 "gram.c" /* yacc.c:1652  */
    break;

  case 820:
#line 5743 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32111 "gram.c" /* yacc.c:1652  */
    break;

  case 821:
#line 5745 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32117 "gram.c" /* yacc.c:1652  */
    break;

  case 822:
#line 5756 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32132 "gram.c" /* yacc.c:1652  */
    break;

  case 823:
#line 5767 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32147 "gram.c" /* yacc.c:1652  */
    break;

  case 824:
#line 5778 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32162 "gram.c" /* yacc.c:1652  */
    break;

  case 825:
#line 5789 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 32177 "gram.c" /* yacc.c:1652  */
    break;

  case 826:
#line 5801 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 32183 "gram.c" /* yacc.c:1652  */
    break;

  case 827:
#line 5802 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32189 "gram.c" /* yacc.c:1652  */
    break;

  case 828:
#line 5820 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32204 "gram.c" /* yacc.c:1652  */
    break;

  case 829:
#line 5833 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32210 "gram.c" /* yacc.c:1652  */
    break;

  case 830:
#line 5834 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32216 "gram.c" /* yacc.c:1652  */
    break;

  case 831:
#line 5839 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32232 "gram.c" /* yacc.c:1652  */
    break;

  case 832:
#line 5852 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32245 "gram.c" /* yacc.c:1652  */
    break;

  case 833:
#line 5861 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 32257 "gram.c" /* yacc.c:1652  */
    break;

  case 834:
#line 5869 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 32270 "gram.c" /* yacc.c:1652  */
    break;

  case 835:
#line 5878 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 32281 "gram.c" /* yacc.c:1652  */
    break;

  case 836:
#line 5886 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 32287 "gram.c" /* yacc.c:1652  */
    break;

  case 837:
#line 5887 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32293 "gram.c" /* yacc.c:1652  */
    break;

  case 838:
#line 5890 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32299 "gram.c" /* yacc.c:1652  */
    break;

  case 839:
#line 5891 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32305 "gram.c" /* yacc.c:1652  */
    break;

  case 840:
#line 5894 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32311 "gram.c" /* yacc.c:1652  */
    break;

  case 841:
#line 5895 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32317 "gram.c" /* yacc.c:1652  */
    break;

  case 842:
#line 5896 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32323 "gram.c" /* yacc.c:1652  */
    break;

  case 843:
#line 5900 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 32341 "gram.c" /* yacc.c:1652  */
    break;

  case 844:
#line 5913 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32347 "gram.c" /* yacc.c:1652  */
    break;

  case 845:
#line 5919 "gram.y" /* yacc.c:1652  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32358 "gram.c" /* yacc.c:1652  */
    break;

  case 846:
#line 5929 "gram.y" /* yacc.c:1652  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32371 "gram.c" /* yacc.c:1652  */
    break;

  case 847:
#line 5938 "gram.y" /* yacc.c:1652  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32384 "gram.c" /* yacc.c:1652  */
    break;

  case 848:
#line 5949 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32390 "gram.c" /* yacc.c:1652  */
    break;

  case 849:
#line 5950 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32396 "gram.c" /* yacc.c:1652  */
    break;

  case 850:
#line 5955 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32408 "gram.c" /* yacc.c:1652  */
    break;

  case 851:
#line 5963 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32420 "gram.c" /* yacc.c:1652  */
    break;

  case 852:
#line 5975 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32434 "gram.c" /* yacc.c:1652  */
    break;

  case 853:
#line 5985 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32448 "gram.c" /* yacc.c:1652  */
    break;

  case 854:
#line 5998 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32462 "gram.c" /* yacc.c:1652  */
    break;

  case 855:
#line 6008 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32476 "gram.c" /* yacc.c:1652  */
    break;

  case 856:
#line 6030 "gram.y" /* yacc.c:1652  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32487 "gram.c" /* yacc.c:1652  */
    break;

  case 857:
#line 6040 "gram.y" /* yacc.c:1652  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 32498 "gram.c" /* yacc.c:1652  */
    break;

  case 858:
#line 6058 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32512 "gram.c" /* yacc.c:1652  */
    break;

  case 859:
#line 6068 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32526 "gram.c" /* yacc.c:1652  */
    break;

  case 860:
#line 6078 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32540 "gram.c" /* yacc.c:1652  */
    break;

  case 861:
#line 6088 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32554 "gram.c" /* yacc.c:1652  */
    break;

  case 862:
#line 6098 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32568 "gram.c" /* yacc.c:1652  */
    break;

  case 863:
#line 6108 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32582 "gram.c" /* yacc.c:1652  */
    break;

  case 864:
#line 6118 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32596 "gram.c" /* yacc.c:1652  */
    break;

  case 865:
#line 6128 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32610 "gram.c" /* yacc.c:1652  */
    break;

  case 866:
#line 6138 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32624 "gram.c" /* yacc.c:1652  */
    break;

  case 867:
#line 6148 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32638 "gram.c" /* yacc.c:1652  */
    break;

  case 868:
#line 6158 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 32652 "gram.c" /* yacc.c:1652  */
    break;

  case 869:
#line 6168 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 32666 "gram.c" /* yacc.c:1652  */
    break;

  case 870:
#line 6181 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 32672 "gram.c" /* yacc.c:1652  */
    break;

  case 871:
#line 6182 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 32678 "gram.c" /* yacc.c:1652  */
    break;

  case 872:
#line 6183 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 32684 "gram.c" /* yacc.c:1652  */
    break;

  case 873:
#line 6184 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 32690 "gram.c" /* yacc.c:1652  */
    break;

  case 874:
#line 6185 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 32696 "gram.c" /* yacc.c:1652  */
    break;

  case 875:
#line 6186 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 32702 "gram.c" /* yacc.c:1652  */
    break;

  case 876:
#line 6187 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 32708 "gram.c" /* yacc.c:1652  */
    break;

  case 877:
#line 6188 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 32714 "gram.c" /* yacc.c:1652  */
    break;

  case 878:
#line 6189 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 32720 "gram.c" /* yacc.c:1652  */
    break;

  case 879:
#line 6190 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 32726 "gram.c" /* yacc.c:1652  */
    break;

  case 880:
#line 6191 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 32732 "gram.c" /* yacc.c:1652  */
    break;

  case 881:
#line 6192 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 32738 "gram.c" /* yacc.c:1652  */
    break;

  case 882:
#line 6193 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 32744 "gram.c" /* yacc.c:1652  */
    break;

  case 883:
#line 6203 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 32750 "gram.c" /* yacc.c:1652  */
    break;

  case 884:
#line 6204 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 32756 "gram.c" /* yacc.c:1652  */
    break;

  case 885:
#line 6205 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 32762 "gram.c" /* yacc.c:1652  */
    break;

  case 886:
#line 6206 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 32768 "gram.c" /* yacc.c:1652  */
    break;

  case 887:
#line 6207 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 32774 "gram.c" /* yacc.c:1652  */
    break;

  case 888:
#line 6211 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 32780 "gram.c" /* yacc.c:1652  */
    break;

  case 889:
#line 6212 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 32786 "gram.c" /* yacc.c:1652  */
    break;

  case 890:
#line 6213 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 32792 "gram.c" /* yacc.c:1652  */
    break;

  case 891:
#line 6214 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 32798 "gram.c" /* yacc.c:1652  */
    break;

  case 892:
#line 6215 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 32804 "gram.c" /* yacc.c:1652  */
    break;

  case 893:
#line 6216 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 32810 "gram.c" /* yacc.c:1652  */
    break;

  case 894:
#line 6217 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 32816 "gram.c" /* yacc.c:1652  */
    break;

  case 895:
#line 6218 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 32822 "gram.c" /* yacc.c:1652  */
    break;

  case 896:
#line 6223 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 32828 "gram.c" /* yacc.c:1652  */
    break;

  case 897:
#line 6224 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 32834 "gram.c" /* yacc.c:1652  */
    break;

  case 898:
#line 6225 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 32840 "gram.c" /* yacc.c:1652  */
    break;

  case 899:
#line 6229 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 32846 "gram.c" /* yacc.c:1652  */
    break;

  case 900:
#line 6230 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 32852 "gram.c" /* yacc.c:1652  */
    break;

  case 901:
#line 6233 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32858 "gram.c" /* yacc.c:1652  */
    break;

  case 902:
#line 6234 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 32864 "gram.c" /* yacc.c:1652  */
    break;

  case 903:
#line 6238 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32870 "gram.c" /* yacc.c:1652  */
    break;

  case 904:
#line 6240 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32876 "gram.c" /* yacc.c:1652  */
    break;

  case 905:
#line 6244 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 32882 "gram.c" /* yacc.c:1652  */
    break;

  case 906:
#line 6245 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 32888 "gram.c" /* yacc.c:1652  */
    break;

  case 907:
#line 6257 "gram.y" /* yacc.c:1652  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32900 "gram.c" /* yacc.c:1652  */
    break;

  case 908:
#line 6267 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32906 "gram.c" /* yacc.c:1652  */
    break;

  case 909:
#line 6268 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 32912 "gram.c" /* yacc.c:1652  */
    break;

  case 910:
#line 6269 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32918 "gram.c" /* yacc.c:1652  */
    break;

  case 911:
#line 6280 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32930 "gram.c" /* yacc.c:1652  */
    break;

  case 912:
#line 6288 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32942 "gram.c" /* yacc.c:1652  */
    break;

  case 913:
#line 6296 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32954 "gram.c" /* yacc.c:1652  */
    break;

  case 914:
#line 6304 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32966 "gram.c" /* yacc.c:1652  */
    break;

  case 915:
#line 6312 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32978 "gram.c" /* yacc.c:1652  */
    break;

  case 916:
#line 6320 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32990 "gram.c" /* yacc.c:1652  */
    break;

  case 917:
#line 6328 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33002 "gram.c" /* yacc.c:1652  */
    break;

  case 918:
#line 6336 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33014 "gram.c" /* yacc.c:1652  */
    break;

  case 919:
#line 6344 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33026 "gram.c" /* yacc.c:1652  */
    break;

  case 920:
#line 6352 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33043 "gram.c" /* yacc.c:1652  */
    break;

  case 921:
#line 6365 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33055 "gram.c" /* yacc.c:1652  */
    break;

  case 922:
#line 6373 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33067 "gram.c" /* yacc.c:1652  */
    break;

  case 923:
#line 6381 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33079 "gram.c" /* yacc.c:1652  */
    break;

  case 924:
#line 6389 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33091 "gram.c" /* yacc.c:1652  */
    break;

  case 925:
#line 6397 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33103 "gram.c" /* yacc.c:1652  */
    break;

  case 926:
#line 6405 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33115 "gram.c" /* yacc.c:1652  */
    break;

  case 927:
#line 6413 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33127 "gram.c" /* yacc.c:1652  */
    break;

  case 928:
#line 6421 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33139 "gram.c" /* yacc.c:1652  */
    break;

  case 929:
#line 6431 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33145 "gram.c" /* yacc.c:1652  */
    break;

  case 930:
#line 6432 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 33151 "gram.c" /* yacc.c:1652  */
    break;

  case 931:
#line 6448 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33164 "gram.c" /* yacc.c:1652  */
    break;

  case 932:
#line 6458 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33177 "gram.c" /* yacc.c:1652  */
    break;

  case 933:
#line 6468 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33190 "gram.c" /* yacc.c:1652  */
    break;

  case 934:
#line 6478 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33203 "gram.c" /* yacc.c:1652  */
    break;

  case 935:
#line 6488 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33216 "gram.c" /* yacc.c:1652  */
    break;

  case 936:
#line 6498 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33229 "gram.c" /* yacc.c:1652  */
    break;

  case 937:
#line 6508 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33242 "gram.c" /* yacc.c:1652  */
    break;

  case 938:
#line 6518 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33255 "gram.c" /* yacc.c:1652  */
    break;

  case 939:
#line 6528 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33268 "gram.c" /* yacc.c:1652  */
    break;

  case 940:
#line 6538 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33281 "gram.c" /* yacc.c:1652  */
    break;

  case 941:
#line 6548 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33287 "gram.c" /* yacc.c:1652  */
    break;

  case 942:
#line 6549 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 33293 "gram.c" /* yacc.c:1652  */
    break;

  case 943:
#line 6552 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33299 "gram.c" /* yacc.c:1652  */
    break;

  case 944:
#line 6553 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 33305 "gram.c" /* yacc.c:1652  */
    break;

  case 945:
#line 6564 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = false;
					(yyval.node) = (Node *)n;
				}
#line 33315 "gram.c" /* yacc.c:1652  */
    break;

  case 946:
#line 6570 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = true;
					(yyval.node) = (Node *)n;
				}
#line 33325 "gram.c" /* yacc.c:1652  */
    break;

  case 947:
#line 6578 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33337 "gram.c" /* yacc.c:1652  */
    break;

  case 948:
#line 6586 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33349 "gram.c" /* yacc.c:1652  */
    break;

  case 949:
#line 6594 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33361 "gram.c" /* yacc.c:1652  */
    break;

  case 950:
#line 6602 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33373 "gram.c" /* yacc.c:1652  */
    break;

  case 951:
#line 6610 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33385 "gram.c" /* yacc.c:1652  */
    break;

  case 952:
#line 6618 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 33397 "gram.c" /* yacc.c:1652  */
    break;

  case 953:
#line 6626 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33409 "gram.c" /* yacc.c:1652  */
    break;

  case 954:
#line 6634 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33421 "gram.c" /* yacc.c:1652  */
    break;

  case 955:
#line 6642 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33433 "gram.c" /* yacc.c:1652  */
    break;

  case 956:
#line 6650 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 33445 "gram.c" /* yacc.c:1652  */
    break;

  case 957:
#line 6658 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33457 "gram.c" /* yacc.c:1652  */
    break;

  case 958:
#line 6666 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33469 "gram.c" /* yacc.c:1652  */
    break;

  case 959:
#line 6674 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 33481 "gram.c" /* yacc.c:1652  */
    break;

  case 960:
#line 6682 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33493 "gram.c" /* yacc.c:1652  */
    break;

  case 961:
#line 6690 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33505 "gram.c" /* yacc.c:1652  */
    break;

  case 962:
#line 6698 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 33517 "gram.c" /* yacc.c:1652  */
    break;

  case 963:
#line 6707 "gram.y" /* yacc.c:1652  */
    {}
#line 33523 "gram.c" /* yacc.c:1652  */
    break;

  case 964:
#line 6708 "gram.y" /* yacc.c:1652  */
    {}
#line 33529 "gram.c" /* yacc.c:1652  */
    break;

  case 965:
#line 6711 "gram.y" /* yacc.c:1652  */
    {}
#line 33535 "gram.c" /* yacc.c:1652  */
    break;

  case 966:
#line 6712 "gram.y" /* yacc.c:1652  */
    {}
#line 33541 "gram.c" /* yacc.c:1652  */
    break;

  case 967:
#line 6724 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 33557 "gram.c" /* yacc.c:1652  */
    break;

  case 968:
#line 6740 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33574 "gram.c" /* yacc.c:1652  */
    break;

  case 969:
#line 6754 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33591 "gram.c" /* yacc.c:1652  */
    break;

  case 970:
#line 6779 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33597 "gram.c" /* yacc.c:1652  */
    break;

  case 971:
#line 6781 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 33603 "gram.c" /* yacc.c:1652  */
    break;

  case 972:
#line 6783 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 33609 "gram.c" /* yacc.c:1652  */
    break;

  case 973:
#line 6785 "gram.y" /* yacc.c:1652  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 33620 "gram.c" /* yacc.c:1652  */
    break;

  case 974:
#line 6792 "gram.y" /* yacc.c:1652  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 33631 "gram.c" /* yacc.c:1652  */
    break;

  case 975:
#line 6800 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 33637 "gram.c" /* yacc.c:1652  */
    break;

  case 976:
#line 6801 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 33643 "gram.c" /* yacc.c:1652  */
    break;

  case 977:
#line 6805 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33654 "gram.c" /* yacc.c:1652  */
    break;

  case 978:
#line 6812 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33665 "gram.c" /* yacc.c:1652  */
    break;

  case 979:
#line 6819 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33676 "gram.c" /* yacc.c:1652  */
    break;

  case 980:
#line 6826 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33687 "gram.c" /* yacc.c:1652  */
    break;

  case 981:
#line 6840 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33699 "gram.c" /* yacc.c:1652  */
    break;

  case 982:
#line 6848 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33711 "gram.c" /* yacc.c:1652  */
    break;

  case 983:
#line 6856 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33723 "gram.c" /* yacc.c:1652  */
    break;

  case 984:
#line 6864 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33735 "gram.c" /* yacc.c:1652  */
    break;

  case 985:
#line 6872 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33747 "gram.c" /* yacc.c:1652  */
    break;

  case 986:
#line 6880 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33759 "gram.c" /* yacc.c:1652  */
    break;

  case 987:
#line 6888 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33771 "gram.c" /* yacc.c:1652  */
    break;

  case 988:
#line 6896 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33783 "gram.c" /* yacc.c:1652  */
    break;

  case 989:
#line 6904 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33795 "gram.c" /* yacc.c:1652  */
    break;

  case 990:
#line 6912 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33807 "gram.c" /* yacc.c:1652  */
    break;

  case 991:
#line 6920 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33819 "gram.c" /* yacc.c:1652  */
    break;

  case 992:
#line 6928 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33831 "gram.c" /* yacc.c:1652  */
    break;

  case 993:
#line 6936 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33843 "gram.c" /* yacc.c:1652  */
    break;

  case 994:
#line 6944 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33855 "gram.c" /* yacc.c:1652  */
    break;

  case 995:
#line 6952 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33867 "gram.c" /* yacc.c:1652  */
    break;

  case 996:
#line 6960 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33879 "gram.c" /* yacc.c:1652  */
    break;

  case 997:
#line 6968 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33891 "gram.c" /* yacc.c:1652  */
    break;

  case 998:
#line 6976 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33903 "gram.c" /* yacc.c:1652  */
    break;

  case 999:
#line 6984 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33915 "gram.c" /* yacc.c:1652  */
    break;

  case 1000:
#line 6992 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 33927 "gram.c" /* yacc.c:1652  */
    break;

  case 1001:
#line 7003 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 33933 "gram.c" /* yacc.c:1652  */
    break;

  case 1002:
#line 7004 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 33939 "gram.c" /* yacc.c:1652  */
    break;

  case 1003:
#line 7008 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 33945 "gram.c" /* yacc.c:1652  */
    break;

  case 1004:
#line 7009 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 33951 "gram.c" /* yacc.c:1652  */
    break;

  case 1005:
#line 7014 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 33957 "gram.c" /* yacc.c:1652  */
    break;

  case 1006:
#line 7015 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 33963 "gram.c" /* yacc.c:1652  */
    break;

  case 1007:
#line 7026 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 33977 "gram.c" /* yacc.c:1652  */
    break;

  case 1008:
#line 7039 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 33991 "gram.c" /* yacc.c:1652  */
    break;

  case 1009:
#line 7049 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 34005 "gram.c" /* yacc.c:1652  */
    break;

  case 1010:
#line 7060 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 34011 "gram.c" /* yacc.c:1652  */
    break;

  case 1011:
#line 7061 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 34017 "gram.c" /* yacc.c:1652  */
    break;

  case 1012:
#line 7064 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34023 "gram.c" /* yacc.c:1652  */
    break;

  case 1013:
#line 7065 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = NULL; }
#line 34029 "gram.c" /* yacc.c:1652  */
    break;

  case 1014:
#line 7076 "gram.y" /* yacc.c:1652  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 34040 "gram.c" /* yacc.c:1652  */
    break;

  case 1015:
#line 7085 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34046 "gram.c" /* yacc.c:1652  */
    break;

  case 1016:
#line 7086 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34052 "gram.c" /* yacc.c:1652  */
    break;

  case 1017:
#line 7091 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34060 "gram.c" /* yacc.c:1652  */
    break;

  case 1018:
#line 7095 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34068 "gram.c" /* yacc.c:1652  */
    break;

  case 1019:
#line 7099 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34076 "gram.c" /* yacc.c:1652  */
    break;

  case 1020:
#line 7111 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34092 "gram.c" /* yacc.c:1652  */
    break;

  case 1021:
#line 7124 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34109 "gram.c" /* yacc.c:1652  */
    break;

  case 1022:
#line 7138 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34126 "gram.c" /* yacc.c:1652  */
    break;

  case 1023:
#line 7153 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 34132 "gram.c" /* yacc.c:1652  */
    break;

  case 1024:
#line 7154 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 34138 "gram.c" /* yacc.c:1652  */
    break;

  case 1025:
#line 7155 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 34144 "gram.c" /* yacc.c:1652  */
    break;

  case 1026:
#line 7156 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 34150 "gram.c" /* yacc.c:1652  */
    break;

  case 1027:
#line 7157 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 34156 "gram.c" /* yacc.c:1652  */
    break;

  case 1028:
#line 7158 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 34162 "gram.c" /* yacc.c:1652  */
    break;

  case 1029:
#line 7173 "gram.y" /* yacc.c:1652  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-13].boolean);
					n->concurrent = (yyvsp[-11].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilenodeSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *)n;
				}
#line 34194 "gram.c" /* yacc.c:1652  */
    break;

  case 1030:
#line 7203 "gram.y" /* yacc.c:1652  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-16].boolean);
					n->concurrent = (yyvsp[-14].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilenodeSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *)n;
				}
#line 34226 "gram.c" /* yacc.c:1652  */
    break;

  case 1031:
#line 7233 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 34232 "gram.c" /* yacc.c:1652  */
    break;

  case 1032:
#line 7234 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 34238 "gram.c" /* yacc.c:1652  */
    break;

  case 1033:
#line 7238 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 34244 "gram.c" /* yacc.c:1652  */
    break;

  case 1034:
#line 7239 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 34250 "gram.c" /* yacc.c:1652  */
    break;

  case 1035:
#line 7243 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34256 "gram.c" /* yacc.c:1652  */
    break;

  case 1036:
#line 7244 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 34262 "gram.c" /* yacc.c:1652  */
    break;

  case 1037:
#line 7248 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34268 "gram.c" /* yacc.c:1652  */
    break;

  case 1038:
#line 7249 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 34274 "gram.c" /* yacc.c:1652  */
    break;

  case 1039:
#line 7252 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 34280 "gram.c" /* yacc.c:1652  */
    break;

  case 1040:
#line 7253 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 34286 "gram.c" /* yacc.c:1652  */
    break;

  case 1041:
#line 7259 "gram.y" /* yacc.c:1652  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 34302 "gram.c" /* yacc.c:1652  */
    break;

  case 1042:
#line 7271 "gram.y" /* yacc.c:1652  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 34318 "gram.c" /* yacc.c:1652  */
    break;

  case 1043:
#line 7290 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 34327 "gram.c" /* yacc.c:1652  */
    break;

  case 1044:
#line 7295 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 34336 "gram.c" /* yacc.c:1652  */
    break;

  case 1045:
#line 7300 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 34345 "gram.c" /* yacc.c:1652  */
    break;

  case 1046:
#line 7306 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34351 "gram.c" /* yacc.c:1652  */
    break;

  case 1047:
#line 7307 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34357 "gram.c" /* yacc.c:1652  */
    break;

  case 1048:
#line 7310 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 34363 "gram.c" /* yacc.c:1652  */
    break;

  case 1049:
#line 7311 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 34369 "gram.c" /* yacc.c:1652  */
    break;

  case 1050:
#line 7314 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34375 "gram.c" /* yacc.c:1652  */
    break;

  case 1051:
#line 7315 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34381 "gram.c" /* yacc.c:1652  */
    break;

  case 1052:
#line 7318 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34387 "gram.c" /* yacc.c:1652  */
    break;

  case 1053:
#line 7319 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34393 "gram.c" /* yacc.c:1652  */
    break;

  case 1054:
#line 7322 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_ASC; }
#line 34399 "gram.c" /* yacc.c:1652  */
    break;

  case 1055:
#line 7323 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_DESC; }
#line 34405 "gram.c" /* yacc.c:1652  */
    break;

  case 1056:
#line 7324 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 34411 "gram.c" /* yacc.c:1652  */
    break;

  case 1057:
#line 7327 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 34417 "gram.c" /* yacc.c:1652  */
    break;

  case 1058:
#line 7328 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 34423 "gram.c" /* yacc.c:1652  */
    break;

  case 1059:
#line 7329 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 34429 "gram.c" /* yacc.c:1652  */
    break;

  case 1060:
#line 7347 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-6].boolean);
					n->funcname = (yyvsp[-4].list);
					n->parameters = (yyvsp[-3].list);
					n->returnType = (yyvsp[-1].typnam);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34444 "gram.c" /* yacc.c:1652  */
    break;

  case 1061:
#line 7359 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-9].boolean);
					n->funcname = (yyvsp[-7].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-6].list), (yyvsp[-2].list));
					n->returnType = TableFuncTypeName((yyvsp[-2].list));
					n->returnType->location = (yylsp[-4]);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34460 "gram.c" /* yacc.c:1652  */
    break;

  case 1062:
#line 7372 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34475 "gram.c" /* yacc.c:1652  */
    break;

  case 1063:
#line 7384 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = true;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34490 "gram.c" /* yacc.c:1652  */
    break;

  case 1064:
#line 7397 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 34496 "gram.c" /* yacc.c:1652  */
    break;

  case 1065:
#line 7398 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 34502 "gram.c" /* yacc.c:1652  */
    break;

  case 1066:
#line 7401 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34508 "gram.c" /* yacc.c:1652  */
    break;

  case 1067:
#line 7402 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34514 "gram.c" /* yacc.c:1652  */
    break;

  case 1068:
#line 7406 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 34520 "gram.c" /* yacc.c:1652  */
    break;

  case 1069:
#line 7407 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 34526 "gram.c" /* yacc.c:1652  */
    break;

  case 1070:
#line 7411 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 34532 "gram.c" /* yacc.c:1652  */
    break;

  case 1071:
#line 7413 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 34538 "gram.c" /* yacc.c:1652  */
    break;

  case 1072:
#line 7418 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 34549 "gram.c" /* yacc.c:1652  */
    break;

  case 1073:
#line 7430 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 34560 "gram.c" /* yacc.c:1652  */
    break;

  case 1074:
#line 7437 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 34571 "gram.c" /* yacc.c:1652  */
    break;

  case 1075:
#line 7444 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 34583 "gram.c" /* yacc.c:1652  */
    break;

  case 1076:
#line 7458 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34589 "gram.c" /* yacc.c:1652  */
    break;

  case 1077:
#line 7459 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34595 "gram.c" /* yacc.c:1652  */
    break;

  case 1078:
#line 7463 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 34601 "gram.c" /* yacc.c:1652  */
    break;

  case 1079:
#line 7465 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 34607 "gram.c" /* yacc.c:1652  */
    break;

  case 1080:
#line 7480 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34620 "gram.c" /* yacc.c:1652  */
    break;

  case 1081:
#line 7489 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34633 "gram.c" /* yacc.c:1652  */
    break;

  case 1082:
#line 7498 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34646 "gram.c" /* yacc.c:1652  */
    break;

  case 1083:
#line 7507 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34659 "gram.c" /* yacc.c:1652  */
    break;

  case 1084:
#line 7516 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34672 "gram.c" /* yacc.c:1652  */
    break;

  case 1085:
#line 7527 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 34678 "gram.c" /* yacc.c:1652  */
    break;

  case 1086:
#line 7528 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 34684 "gram.c" /* yacc.c:1652  */
    break;

  case 1087:
#line 7529 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 34690 "gram.c" /* yacc.c:1652  */
    break;

  case 1088:
#line 7530 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 34696 "gram.c" /* yacc.c:1652  */
    break;

  case 1089:
#line 7531 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 34702 "gram.c" /* yacc.c:1652  */
    break;

  case 1091:
#line 7542 "gram.y" /* yacc.c:1652  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 34714 "gram.c" /* yacc.c:1652  */
    break;

  case 1092:
#line 7556 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 34720 "gram.c" /* yacc.c:1652  */
    break;

  case 1093:
#line 7558 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 34730 "gram.c" /* yacc.c:1652  */
    break;

  case 1094:
#line 7564 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 34741 "gram.c" /* yacc.c:1652  */
    break;

  case 1095:
#line 7574 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 34749 "gram.c" /* yacc.c:1652  */
    break;

  case 1096:
#line 7578 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 34758 "gram.c" /* yacc.c:1652  */
    break;

  case 1097:
#line 7583 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 34767 "gram.c" /* yacc.c:1652  */
    break;

  case 1098:
#line 7591 "gram.y" /* yacc.c:1652  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 34781 "gram.c" /* yacc.c:1652  */
    break;

  case 1099:
#line 7632 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 34789 "gram.c" /* yacc.c:1652  */
    break;

  case 1100:
#line 7636 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 34797 "gram.c" /* yacc.c:1652  */
    break;

  case 1101:
#line 7640 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 34805 "gram.c" /* yacc.c:1652  */
    break;

  case 1102:
#line 7644 "gram.y" /* yacc.c:1652  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 34814 "gram.c" /* yacc.c:1652  */
    break;

  case 1103:
#line 7651 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 34820 "gram.c" /* yacc.c:1652  */
    break;

  case 1104:
#line 7652 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 34826 "gram.c" /* yacc.c:1652  */
    break;

  case 1105:
#line 7657 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 34837 "gram.c" /* yacc.c:1652  */
    break;

  case 1106:
#line 7666 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 34843 "gram.c" /* yacc.c:1652  */
    break;

  case 1107:
#line 7668 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 34849 "gram.c" /* yacc.c:1652  */
    break;

  case 1108:
#line 7673 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34855 "gram.c" /* yacc.c:1652  */
    break;

  case 1109:
#line 7674 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34861 "gram.c" /* yacc.c:1652  */
    break;

  case 1110:
#line 7682 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(false), (yylsp[-3]));
				}
#line 34869 "gram.c" /* yacc.c:1652  */
    break;

  case 1111:
#line 7686 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[-4]));
				}
#line 34877 "gram.c" /* yacc.c:1652  */
    break;

  case 1112:
#line 7690 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 34885 "gram.c" /* yacc.c:1652  */
    break;

  case 1113:
#line 7694 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 34893 "gram.c" /* yacc.c:1652  */
    break;

  case 1114:
#line 7698 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 34901 "gram.c" /* yacc.c:1652  */
    break;

  case 1115:
#line 7702 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 34909 "gram.c" /* yacc.c:1652  */
    break;

  case 1116:
#line 7706 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-2]));
				}
#line 34917 "gram.c" /* yacc.c:1652  */
    break;

  case 1117:
#line 7710 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-2]));
				}
#line 34925 "gram.c" /* yacc.c:1652  */
    break;

  case 1118:
#line 7714 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 34933 "gram.c" /* yacc.c:1652  */
    break;

  case 1119:
#line 7718 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 34941 "gram.c" /* yacc.c:1652  */
    break;

  case 1120:
#line 7722 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 34949 "gram.c" /* yacc.c:1652  */
    break;

  case 1121:
#line 7726 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 34957 "gram.c" /* yacc.c:1652  */
    break;

  case 1122:
#line 7730 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 34965 "gram.c" /* yacc.c:1652  */
    break;

  case 1123:
#line 7734 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 34973 "gram.c" /* yacc.c:1652  */
    break;

  case 1124:
#line 7738 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 34981 "gram.c" /* yacc.c:1652  */
    break;

  case 1125:
#line 7742 "gram.y" /* yacc.c:1652  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 34990 "gram.c" /* yacc.c:1652  */
    break;

  case 1126:
#line 7747 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34998 "gram.c" /* yacc.c:1652  */
    break;

  case 1127:
#line 7754 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35006 "gram.c" /* yacc.c:1652  */
    break;

  case 1128:
#line 7758 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35014 "gram.c" /* yacc.c:1652  */
    break;

  case 1129:
#line 7762 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35022 "gram.c" /* yacc.c:1652  */
    break;

  case 1130:
#line 7766 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35030 "gram.c" /* yacc.c:1652  */
    break;

  case 1131:
#line 7770 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 35038 "gram.c" /* yacc.c:1652  */
    break;

  case 1132:
#line 7775 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35044 "gram.c" /* yacc.c:1652  */
    break;

  case 1133:
#line 7777 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 35052 "gram.c" /* yacc.c:1652  */
    break;

  case 1134:
#line 7783 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 35058 "gram.c" /* yacc.c:1652  */
    break;

  case 1135:
#line 7784 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 35064 "gram.c" /* yacc.c:1652  */
    break;

  case 1136:
#line 7788 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35070 "gram.c" /* yacc.c:1652  */
    break;

  case 1137:
#line 7789 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35076 "gram.c" /* yacc.c:1652  */
    break;

  case 1138:
#line 7793 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35089 "gram.c" /* yacc.c:1652  */
    break;

  case 1139:
#line 7805 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 35097 "gram.c" /* yacc.c:1652  */
    break;

  case 1140:
#line 7809 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 35105 "gram.c" /* yacc.c:1652  */
    break;

  case 1141:
#line 7824 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35117 "gram.c" /* yacc.c:1652  */
    break;

  case 1142:
#line 7832 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35129 "gram.c" /* yacc.c:1652  */
    break;

  case 1143:
#line 7840 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35141 "gram.c" /* yacc.c:1652  */
    break;

  case 1144:
#line 7851 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35147 "gram.c" /* yacc.c:1652  */
    break;

  case 1145:
#line 7852 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35153 "gram.c" /* yacc.c:1652  */
    break;

  case 1148:
#line 7876 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35167 "gram.c" /* yacc.c:1652  */
    break;

  case 1149:
#line 7886 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35181 "gram.c" /* yacc.c:1652  */
    break;

  case 1150:
#line 7896 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35195 "gram.c" /* yacc.c:1652  */
    break;

  case 1151:
#line 7906 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35209 "gram.c" /* yacc.c:1652  */
    break;

  case 1152:
#line 7916 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35223 "gram.c" /* yacc.c:1652  */
    break;

  case 1153:
#line 7926 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35237 "gram.c" /* yacc.c:1652  */
    break;

  case 1154:
#line 7939 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35251 "gram.c" /* yacc.c:1652  */
    break;

  case 1155:
#line 7949 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35265 "gram.c" /* yacc.c:1652  */
    break;

  case 1156:
#line 7962 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35279 "gram.c" /* yacc.c:1652  */
    break;

  case 1157:
#line 7972 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35293 "gram.c" /* yacc.c:1652  */
    break;

  case 1158:
#line 7985 "gram.y" /* yacc.c:1652  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 35305 "gram.c" /* yacc.c:1652  */
    break;

  case 1159:
#line 7993 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 35311 "gram.c" /* yacc.c:1652  */
    break;

  case 1160:
#line 7995 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 35317 "gram.c" /* yacc.c:1652  */
    break;

  case 1161:
#line 7997 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 35323 "gram.c" /* yacc.c:1652  */
    break;

  case 1162:
#line 8002 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35329 "gram.c" /* yacc.c:1652  */
    break;

  case 1163:
#line 8004 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 35335 "gram.c" /* yacc.c:1652  */
    break;

  case 1164:
#line 8008 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35341 "gram.c" /* yacc.c:1652  */
    break;

  case 1165:
#line 8010 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35347 "gram.c" /* yacc.c:1652  */
    break;

  case 1166:
#line 8015 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 35358 "gram.c" /* yacc.c:1652  */
    break;

  case 1167:
#line 8033 "gram.y" /* yacc.c:1652  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35368 "gram.c" /* yacc.c:1652  */
    break;

  case 1168:
#line 8041 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35374 "gram.c" /* yacc.c:1652  */
    break;

  case 1169:
#line 8042 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35380 "gram.c" /* yacc.c:1652  */
    break;

  case 1170:
#line 8047 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 35388 "gram.c" /* yacc.c:1652  */
    break;

  case 1171:
#line 8051 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35396 "gram.c" /* yacc.c:1652  */
    break;

  case 1172:
#line 8064 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 35410 "gram.c" /* yacc.c:1652  */
    break;

  case 1173:
#line 8075 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 35424 "gram.c" /* yacc.c:1652  */
    break;

  case 1174:
#line 8086 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 35438 "gram.c" /* yacc.c:1652  */
    break;

  case 1175:
#line 8097 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 35444 "gram.c" /* yacc.c:1652  */
    break;

  case 1176:
#line 8098 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 35450 "gram.c" /* yacc.c:1652  */
    break;

  case 1177:
#line 8099 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 35456 "gram.c" /* yacc.c:1652  */
    break;

  case 1178:
#line 8104 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35470 "gram.c" /* yacc.c:1652  */
    break;

  case 1179:
#line 8115 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 35476 "gram.c" /* yacc.c:1652  */
    break;

  case 1180:
#line 8116 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 35482 "gram.c" /* yacc.c:1652  */
    break;

  case 1181:
#line 8127 "gram.y" /* yacc.c:1652  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 35496 "gram.c" /* yacc.c:1652  */
    break;

  case 1182:
#line 8139 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 35504 "gram.c" /* yacc.c:1652  */
    break;

  case 1183:
#line 8143 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 35512 "gram.c" /* yacc.c:1652  */
    break;

  case 1184:
#line 8147 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 35520 "gram.c" /* yacc.c:1652  */
    break;

  case 1185:
#line 8151 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 35528 "gram.c" /* yacc.c:1652  */
    break;

  case 1186:
#line 8158 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 35541 "gram.c" /* yacc.c:1652  */
    break;

  case 1187:
#line 8178 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 35555 "gram.c" /* yacc.c:1652  */
    break;

  case 1188:
#line 8188 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 35569 "gram.c" /* yacc.c:1652  */
    break;

  case 1189:
#line 8198 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-4].ival);
					(yyval.node) = (Node *)n;
				}
#line 35583 "gram.c" /* yacc.c:1652  */
    break;

  case 1190:
#line 8208 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-4].ival);
					(yyval.node) = (Node *)n;
				}
#line 35597 "gram.c" /* yacc.c:1652  */
    break;

  case 1191:
#line 8219 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 35603 "gram.c" /* yacc.c:1652  */
    break;

  case 1192:
#line 8220 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 35609 "gram.c" /* yacc.c:1652  */
    break;

  case 1193:
#line 8223 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 35615 "gram.c" /* yacc.c:1652  */
    break;

  case 1194:
#line 8224 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 35621 "gram.c" /* yacc.c:1652  */
    break;

  case 1195:
#line 8225 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 35627 "gram.c" /* yacc.c:1652  */
    break;

  case 1196:
#line 8228 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 35633 "gram.c" /* yacc.c:1652  */
    break;

  case 1197:
#line 8229 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 35639 "gram.c" /* yacc.c:1652  */
    break;

  case 1198:
#line 8232 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 35645 "gram.c" /* yacc.c:1652  */
    break;

  case 1199:
#line 8243 "gram.y" /* yacc.c:1652  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *)n;
				}
#line 35658 "gram.c" /* yacc.c:1652  */
    break;

  case 1200:
#line 8252 "gram.y" /* yacc.c:1652  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *)n;
				}
#line 35671 "gram.c" /* yacc.c:1652  */
    break;

  case 1201:
#line 8269 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35684 "gram.c" /* yacc.c:1652  */
    break;

  case 1202:
#line 8278 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35697 "gram.c" /* yacc.c:1652  */
    break;

  case 1203:
#line 8287 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35710 "gram.c" /* yacc.c:1652  */
    break;

  case 1204:
#line 8296 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35723 "gram.c" /* yacc.c:1652  */
    break;

  case 1205:
#line 8305 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35736 "gram.c" /* yacc.c:1652  */
    break;

  case 1206:
#line 8314 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 35749 "gram.c" /* yacc.c:1652  */
    break;

  case 1207:
#line 8323 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35762 "gram.c" /* yacc.c:1652  */
    break;

  case 1208:
#line 8332 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35775 "gram.c" /* yacc.c:1652  */
    break;

  case 1209:
#line 8341 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35788 "gram.c" /* yacc.c:1652  */
    break;

  case 1210:
#line 8350 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35801 "gram.c" /* yacc.c:1652  */
    break;

  case 1211:
#line 8359 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35814 "gram.c" /* yacc.c:1652  */
    break;

  case 1212:
#line 8368 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35827 "gram.c" /* yacc.c:1652  */
    break;

  case 1213:
#line 8377 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35841 "gram.c" /* yacc.c:1652  */
    break;

  case 1214:
#line 8387 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35855 "gram.c" /* yacc.c:1652  */
    break;

  case 1215:
#line 8397 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35868 "gram.c" /* yacc.c:1652  */
    break;

  case 1216:
#line 8406 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35881 "gram.c" /* yacc.c:1652  */
    break;

  case 1217:
#line 8415 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35894 "gram.c" /* yacc.c:1652  */
    break;

  case 1218:
#line 8424 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35907 "gram.c" /* yacc.c:1652  */
    break;

  case 1219:
#line 8433 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35920 "gram.c" /* yacc.c:1652  */
    break;

  case 1220:
#line 8442 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35933 "gram.c" /* yacc.c:1652  */
    break;

  case 1221:
#line 8451 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35947 "gram.c" /* yacc.c:1652  */
    break;

  case 1222:
#line 8461 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35961 "gram.c" /* yacc.c:1652  */
    break;

  case 1223:
#line 8471 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35975 "gram.c" /* yacc.c:1652  */
    break;

  case 1224:
#line 8481 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35989 "gram.c" /* yacc.c:1652  */
    break;

  case 1225:
#line 8491 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36003 "gram.c" /* yacc.c:1652  */
    break;

  case 1226:
#line 8501 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36017 "gram.c" /* yacc.c:1652  */
    break;

  case 1227:
#line 8511 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36031 "gram.c" /* yacc.c:1652  */
    break;

  case 1228:
#line 8521 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36045 "gram.c" /* yacc.c:1652  */
    break;

  case 1229:
#line 8531 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36059 "gram.c" /* yacc.c:1652  */
    break;

  case 1230:
#line 8541 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36073 "gram.c" /* yacc.c:1652  */
    break;

  case 1231:
#line 8551 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36087 "gram.c" /* yacc.c:1652  */
    break;

  case 1232:
#line 8561 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36101 "gram.c" /* yacc.c:1652  */
    break;

  case 1233:
#line 8571 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36116 "gram.c" /* yacc.c:1652  */
    break;

  case 1234:
#line 8582 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36131 "gram.c" /* yacc.c:1652  */
    break;

  case 1235:
#line 8593 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36146 "gram.c" /* yacc.c:1652  */
    break;

  case 1236:
#line 8604 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36161 "gram.c" /* yacc.c:1652  */
    break;

  case 1237:
#line 8615 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36176 "gram.c" /* yacc.c:1652  */
    break;

  case 1238:
#line 8626 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36191 "gram.c" /* yacc.c:1652  */
    break;

  case 1239:
#line 8637 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36205 "gram.c" /* yacc.c:1652  */
    break;

  case 1240:
#line 8647 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36219 "gram.c" /* yacc.c:1652  */
    break;

  case 1241:
#line 8657 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36234 "gram.c" /* yacc.c:1652  */
    break;

  case 1242:
#line 8668 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36249 "gram.c" /* yacc.c:1652  */
    break;

  case 1243:
#line 8679 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36263 "gram.c" /* yacc.c:1652  */
    break;

  case 1244:
#line 8689 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36277 "gram.c" /* yacc.c:1652  */
    break;

  case 1245:
#line 8699 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36289 "gram.c" /* yacc.c:1652  */
    break;

  case 1246:
#line 8707 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36302 "gram.c" /* yacc.c:1652  */
    break;

  case 1247:
#line 8716 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36315 "gram.c" /* yacc.c:1652  */
    break;

  case 1248:
#line 8725 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36328 "gram.c" /* yacc.c:1652  */
    break;

  case 1249:
#line 8734 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36341 "gram.c" /* yacc.c:1652  */
    break;

  case 1250:
#line 8743 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36354 "gram.c" /* yacc.c:1652  */
    break;

  case 1251:
#line 8752 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36367 "gram.c" /* yacc.c:1652  */
    break;

  case 1252:
#line 8761 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36380 "gram.c" /* yacc.c:1652  */
    break;

  case 1253:
#line 8770 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36393 "gram.c" /* yacc.c:1652  */
    break;

  case 1254:
#line 8779 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36406 "gram.c" /* yacc.c:1652  */
    break;

  case 1255:
#line 8788 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36422 "gram.c" /* yacc.c:1652  */
    break;

  case 1256:
#line 8801 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COLUMN; }
#line 36428 "gram.c" /* yacc.c:1652  */
    break;

  case 1257:
#line 8802 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 36434 "gram.c" /* yacc.c:1652  */
    break;

  case 1258:
#line 8805 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 1; }
#line 36440 "gram.c" /* yacc.c:1652  */
    break;

  case 1259:
#line 8806 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 36446 "gram.c" /* yacc.c:1652  */
    break;

  case 1260:
#line 8817 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 36459 "gram.c" /* yacc.c:1652  */
    break;

  case 1261:
#line 8826 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 36472 "gram.c" /* yacc.c:1652  */
    break;

  case 1262:
#line 8835 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 36485 "gram.c" /* yacc.c:1652  */
    break;

  case 1263:
#line 8844 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 36499 "gram.c" /* yacc.c:1652  */
    break;

  case 1264:
#line 8854 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 36512 "gram.c" /* yacc.c:1652  */
    break;

  case 1265:
#line 8863 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 36525 "gram.c" /* yacc.c:1652  */
    break;

  case 1266:
#line 8873 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 36531 "gram.c" /* yacc.c:1652  */
    break;

  case 1267:
#line 8874 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false;	}
#line 36537 "gram.c" /* yacc.c:1652  */
    break;

  case 1268:
#line 8885 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36550 "gram.c" /* yacc.c:1652  */
    break;

  case 1269:
#line 8894 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36563 "gram.c" /* yacc.c:1652  */
    break;

  case 1270:
#line 8903 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36576 "gram.c" /* yacc.c:1652  */
    break;

  case 1271:
#line 8912 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36589 "gram.c" /* yacc.c:1652  */
    break;

  case 1272:
#line 8921 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36602 "gram.c" /* yacc.c:1652  */
    break;

  case 1273:
#line 8930 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36615 "gram.c" /* yacc.c:1652  */
    break;

  case 1274:
#line 8939 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36628 "gram.c" /* yacc.c:1652  */
    break;

  case 1275:
#line 8948 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36641 "gram.c" /* yacc.c:1652  */
    break;

  case 1276:
#line 8957 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36654 "gram.c" /* yacc.c:1652  */
    break;

  case 1277:
#line 8966 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36667 "gram.c" /* yacc.c:1652  */
    break;

  case 1278:
#line 8975 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36680 "gram.c" /* yacc.c:1652  */
    break;

  case 1279:
#line 8984 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36693 "gram.c" /* yacc.c:1652  */
    break;

  case 1280:
#line 8993 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36706 "gram.c" /* yacc.c:1652  */
    break;

  case 1281:
#line 9002 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36719 "gram.c" /* yacc.c:1652  */
    break;

  case 1282:
#line 9011 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36732 "gram.c" /* yacc.c:1652  */
    break;

  case 1283:
#line 9020 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36745 "gram.c" /* yacc.c:1652  */
    break;

  case 1284:
#line 9029 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36758 "gram.c" /* yacc.c:1652  */
    break;

  case 1285:
#line 9038 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36771 "gram.c" /* yacc.c:1652  */
    break;

  case 1286:
#line 9047 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36784 "gram.c" /* yacc.c:1652  */
    break;

  case 1287:
#line 9056 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36797 "gram.c" /* yacc.c:1652  */
    break;

  case 1288:
#line 9065 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36810 "gram.c" /* yacc.c:1652  */
    break;

  case 1289:
#line 9074 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36823 "gram.c" /* yacc.c:1652  */
    break;

  case 1290:
#line 9083 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36836 "gram.c" /* yacc.c:1652  */
    break;

  case 1291:
#line 9092 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36849 "gram.c" /* yacc.c:1652  */
    break;

  case 1292:
#line 9101 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36862 "gram.c" /* yacc.c:1652  */
    break;

  case 1293:
#line 9110 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36875 "gram.c" /* yacc.c:1652  */
    break;

  case 1294:
#line 9119 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36888 "gram.c" /* yacc.c:1652  */
    break;

  case 1295:
#line 9137 "gram.y" /* yacc.c:1652  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 36899 "gram.c" /* yacc.c:1652  */
    break;

  case 1296:
#line 9145 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36905 "gram.c" /* yacc.c:1652  */
    break;

  case 1297:
#line 9146 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36911 "gram.c" /* yacc.c:1652  */
    break;

  case 1298:
#line 9150 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 36917 "gram.c" /* yacc.c:1652  */
    break;

  case 1299:
#line 9152 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 36923 "gram.c" /* yacc.c:1652  */
    break;

  case 1300:
#line 9157 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 36929 "gram.c" /* yacc.c:1652  */
    break;

  case 1301:
#line 9158 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 36935 "gram.c" /* yacc.c:1652  */
    break;

  case 1302:
#line 9159 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 36941 "gram.c" /* yacc.c:1652  */
    break;

  case 1303:
#line 9160 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 36947 "gram.c" /* yacc.c:1652  */
    break;

  case 1304:
#line 9161 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 36953 "gram.c" /* yacc.c:1652  */
    break;

  case 1305:
#line 9174 "gram.y" /* yacc.c:1652  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);
					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 36964 "gram.c" /* yacc.c:1652  */
    break;

  case 1306:
#line 9189 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36976 "gram.c" /* yacc.c:1652  */
    break;

  case 1307:
#line 9197 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 36988 "gram.c" /* yacc.c:1652  */
    break;

  case 1308:
#line 9205 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37000 "gram.c" /* yacc.c:1652  */
    break;

  case 1309:
#line 9213 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37012 "gram.c" /* yacc.c:1652  */
    break;

  case 1310:
#line 9221 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37024 "gram.c" /* yacc.c:1652  */
    break;

  case 1311:
#line 9229 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37036 "gram.c" /* yacc.c:1652  */
    break;

  case 1312:
#line 9237 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37048 "gram.c" /* yacc.c:1652  */
    break;

  case 1313:
#line 9245 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37060 "gram.c" /* yacc.c:1652  */
    break;

  case 1314:
#line 9253 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37072 "gram.c" /* yacc.c:1652  */
    break;

  case 1315:
#line 9261 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37084 "gram.c" /* yacc.c:1652  */
    break;

  case 1316:
#line 9269 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37096 "gram.c" /* yacc.c:1652  */
    break;

  case 1317:
#line 9277 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37108 "gram.c" /* yacc.c:1652  */
    break;

  case 1318:
#line 9285 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37120 "gram.c" /* yacc.c:1652  */
    break;

  case 1319:
#line 9293 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37132 "gram.c" /* yacc.c:1652  */
    break;

  case 1320:
#line 9301 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37144 "gram.c" /* yacc.c:1652  */
    break;

  case 1321:
#line 9309 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37156 "gram.c" /* yacc.c:1652  */
    break;

  case 1322:
#line 9317 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37168 "gram.c" /* yacc.c:1652  */
    break;

  case 1323:
#line 9325 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37180 "gram.c" /* yacc.c:1652  */
    break;

  case 1324:
#line 9333 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37192 "gram.c" /* yacc.c:1652  */
    break;

  case 1325:
#line 9341 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37204 "gram.c" /* yacc.c:1652  */
    break;

  case 1326:
#line 9349 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37216 "gram.c" /* yacc.c:1652  */
    break;

  case 1327:
#line 9357 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37228 "gram.c" /* yacc.c:1652  */
    break;

  case 1328:
#line 9365 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37240 "gram.c" /* yacc.c:1652  */
    break;

  case 1329:
#line 9373 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37252 "gram.c" /* yacc.c:1652  */
    break;

  case 1330:
#line 9391 "gram.y" /* yacc.c:1652  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = true;
					}
					(yyval.node) = (Node *)n;
				}
#line 37272 "gram.c" /* yacc.c:1652  */
    break;

  case 1331:
#line 9409 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37278 "gram.c" /* yacc.c:1652  */
    break;

  case 1332:
#line 9410 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 37284 "gram.c" /* yacc.c:1652  */
    break;

  case 1333:
#line 9415 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 37292 "gram.c" /* yacc.c:1652  */
    break;

  case 1334:
#line 9419 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeInteger(true);
				}
#line 37300 "gram.c" /* yacc.c:1652  */
    break;

  case 1335:
#line 9439 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37311 "gram.c" /* yacc.c:1652  */
    break;

  case 1336:
#line 9446 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 37323 "gram.c" /* yacc.c:1652  */
    break;

  case 1337:
#line 9454 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 37335 "gram.c" /* yacc.c:1652  */
    break;

  case 1338:
#line 9462 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 37347 "gram.c" /* yacc.c:1652  */
    break;

  case 1339:
#line 9479 "gram.y" /* yacc.c:1652  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37361 "gram.c" /* yacc.c:1652  */
    break;

  case 1340:
#line 9492 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 37369 "gram.c" /* yacc.c:1652  */
    break;

  case 1341:
#line 9496 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 37377 "gram.c" /* yacc.c:1652  */
    break;

  case 1342:
#line 9502 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 37383 "gram.c" /* yacc.c:1652  */
    break;

  case 1343:
#line 9512 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37396 "gram.c" /* yacc.c:1652  */
    break;

  case 1344:
#line 9521 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37409 "gram.c" /* yacc.c:1652  */
    break;

  case 1345:
#line 9530 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37422 "gram.c" /* yacc.c:1652  */
    break;

  case 1346:
#line 9539 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37436 "gram.c" /* yacc.c:1652  */
    break;

  case 1347:
#line 9549 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(true), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 37450 "gram.c" /* yacc.c:1652  */
    break;

  case 1348:
#line 9559 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(false), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 37464 "gram.c" /* yacc.c:1652  */
    break;

  case 1349:
#line 9577 "gram.y" /* yacc.c:1652  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37476 "gram.c" /* yacc.c:1652  */
    break;

  case 1350:
#line 9585 "gram.y" /* yacc.c:1652  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37488 "gram.c" /* yacc.c:1652  */
    break;

  case 1351:
#line 9603 "gram.y" /* yacc.c:1652  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37504 "gram.c" /* yacc.c:1652  */
    break;

  case 1352:
#line 9617 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 37510 "gram.c" /* yacc.c:1652  */
    break;

  case 1353:
#line 9618 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37516 "gram.c" /* yacc.c:1652  */
    break;

  case 1354:
#line 9619 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37522 "gram.c" /* yacc.c:1652  */
    break;

  case 1355:
#line 9625 "gram.y" /* yacc.c:1652  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 37532 "gram.c" /* yacc.c:1652  */
    break;

  case 1356:
#line 9631 "gram.y" /* yacc.c:1652  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 37542 "gram.c" /* yacc.c:1652  */
    break;

  case 1362:
#line 9647 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37548 "gram.c" /* yacc.c:1652  */
    break;

  case 1363:
#line 9648 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 37554 "gram.c" /* yacc.c:1652  */
    break;

  case 1364:
#line 9651 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_SELECT; }
#line 37560 "gram.c" /* yacc.c:1652  */
    break;

  case 1365:
#line 9652 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_UPDATE; }
#line 37566 "gram.c" /* yacc.c:1652  */
    break;

  case 1366:
#line 9653 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_DELETE; }
#line 37572 "gram.c" /* yacc.c:1652  */
    break;

  case 1367:
#line 9654 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_INSERT; }
#line 37578 "gram.c" /* yacc.c:1652  */
    break;

  case 1368:
#line 9658 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 37584 "gram.c" /* yacc.c:1652  */
    break;

  case 1369:
#line 9659 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 37590 "gram.c" /* yacc.c:1652  */
    break;

  case 1370:
#line 9660 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 37596 "gram.c" /* yacc.c:1652  */
    break;

  case 1371:
#line 9673 "gram.y" /* yacc.c:1652  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37607 "gram.c" /* yacc.c:1652  */
    break;

  case 1372:
#line 9682 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37613 "gram.c" /* yacc.c:1652  */
    break;

  case 1373:
#line 9683 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 37619 "gram.c" /* yacc.c:1652  */
    break;

  case 1374:
#line 9687 "gram.y" /* yacc.c:1652  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37629 "gram.c" /* yacc.c:1652  */
    break;

  case 1375:
#line 9696 "gram.y" /* yacc.c:1652  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37639 "gram.c" /* yacc.c:1652  */
    break;

  case 1376:
#line 9702 "gram.y" /* yacc.c:1652  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 37649 "gram.c" /* yacc.c:1652  */
    break;

  case 1377:
#line 9721 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37661 "gram.c" /* yacc.c:1652  */
    break;

  case 1378:
#line 9729 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37672 "gram.c" /* yacc.c:1652  */
    break;

  case 1379:
#line 9736 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37683 "gram.c" /* yacc.c:1652  */
    break;

  case 1380:
#line 9743 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37695 "gram.c" /* yacc.c:1652  */
    break;

  case 1381:
#line 9751 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37707 "gram.c" /* yacc.c:1652  */
    break;

  case 1382:
#line 9759 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37719 "gram.c" /* yacc.c:1652  */
    break;

  case 1383:
#line 9767 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37730 "gram.c" /* yacc.c:1652  */
    break;

  case 1384:
#line 9774 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37741 "gram.c" /* yacc.c:1652  */
    break;

  case 1385:
#line 9781 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37752 "gram.c" /* yacc.c:1652  */
    break;

  case 1386:
#line 9788 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37763 "gram.c" /* yacc.c:1652  */
    break;

  case 1387:
#line 9795 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37774 "gram.c" /* yacc.c:1652  */
    break;

  case 1388:
#line 9802 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37785 "gram.c" /* yacc.c:1652  */
    break;

  case 1389:
#line 9809 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37796 "gram.c" /* yacc.c:1652  */
    break;

  case 1390:
#line 9816 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37807 "gram.c" /* yacc.c:1652  */
    break;

  case 1391:
#line 9824 "gram.y" /* yacc.c:1652  */
    {}
#line 37813 "gram.c" /* yacc.c:1652  */
    break;

  case 1392:
#line 9825 "gram.y" /* yacc.c:1652  */
    {}
#line 37819 "gram.c" /* yacc.c:1652  */
    break;

  case 1393:
#line 9826 "gram.y" /* yacc.c:1652  */
    {}
#line 37825 "gram.c" /* yacc.c:1652  */
    break;

  case 1394:
#line 9831 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 37832 "gram.c" /* yacc.c:1652  */
    break;

  case 1395:
#line 9834 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 37839 "gram.c" /* yacc.c:1652  */
    break;

  case 1396:
#line 9837 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 37846 "gram.c" /* yacc.c:1652  */
    break;

  case 1397:
#line 9840 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 37853 "gram.c" /* yacc.c:1652  */
    break;

  case 1398:
#line 9843 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 37860 "gram.c" /* yacc.c:1652  */
    break;

  case 1399:
#line 9850 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37866 "gram.c" /* yacc.c:1652  */
    break;

  case 1400:
#line 9852 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37872 "gram.c" /* yacc.c:1652  */
    break;

  case 1401:
#line 9854 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 37878 "gram.c" /* yacc.c:1652  */
    break;

  case 1403:
#line 9860 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 37884 "gram.c" /* yacc.c:1652  */
    break;

  case 1404:
#line 9864 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 37890 "gram.c" /* yacc.c:1652  */
    break;

  case 1405:
#line 9865 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 37896 "gram.c" /* yacc.c:1652  */
    break;

  case 1406:
#line 9866 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 37902 "gram.c" /* yacc.c:1652  */
    break;

  case 1407:
#line 9880 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 37918 "gram.c" /* yacc.c:1652  */
    break;

  case 1408:
#line 9893 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 37934 "gram.c" /* yacc.c:1652  */
    break;

  case 1409:
#line 9906 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 37955 "gram.c" /* yacc.c:1652  */
    break;

  case 1410:
#line 9924 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 37976 "gram.c" /* yacc.c:1652  */
    break;

  case 1411:
#line 9943 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 37982 "gram.c" /* yacc.c:1652  */
    break;

  case 1412:
#line 9944 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 37988 "gram.c" /* yacc.c:1652  */
    break;

  case 1413:
#line 9945 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 37994 "gram.c" /* yacc.c:1652  */
    break;

  case 1414:
#line 9946 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 38000 "gram.c" /* yacc.c:1652  */
    break;

  case 1415:
#line 9957 "gram.y" /* yacc.c:1652  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38010 "gram.c" /* yacc.c:1652  */
    break;

  case 1416:
#line 9973 "gram.y" /* yacc.c:1652  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38021 "gram.c" /* yacc.c:1652  */
    break;

  case 1417:
#line 9982 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38027 "gram.c" /* yacc.c:1652  */
    break;

  case 1418:
#line 9983 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 38033 "gram.c" /* yacc.c:1652  */
    break;

  case 1419:
#line 9987 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38039 "gram.c" /* yacc.c:1652  */
    break;

  case 1420:
#line 9988 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38045 "gram.c" /* yacc.c:1652  */
    break;

  case 1421:
#line 9993 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 38053 "gram.c" /* yacc.c:1652  */
    break;

  case 1422:
#line 9997 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 38061 "gram.c" /* yacc.c:1652  */
    break;

  case 1423:
#line 10001 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 38069 "gram.c" /* yacc.c:1652  */
    break;

  case 1424:
#line 10018 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38075 "gram.c" /* yacc.c:1652  */
    break;

  case 1425:
#line 10019 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 38081 "gram.c" /* yacc.c:1652  */
    break;

  case 1426:
#line 10020 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38087 "gram.c" /* yacc.c:1652  */
    break;

  case 1427:
#line 10021 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38093 "gram.c" /* yacc.c:1652  */
    break;

  case 1428:
#line 10022 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38099 "gram.c" /* yacc.c:1652  */
    break;

  case 1429:
#line 10023 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38105 "gram.c" /* yacc.c:1652  */
    break;

  case 1430:
#line 10024 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38111 "gram.c" /* yacc.c:1652  */
    break;

  case 1431:
#line 10031 "gram.y" /* yacc.c:1652  */
    {}
#line 38117 "gram.c" /* yacc.c:1652  */
    break;

  case 1432:
#line 10032 "gram.y" /* yacc.c:1652  */
    {}
#line 38123 "gram.c" /* yacc.c:1652  */
    break;

  case 1433:
#line 10044 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 38134 "gram.c" /* yacc.c:1652  */
    break;

  case 1434:
#line 10051 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 38145 "gram.c" /* yacc.c:1652  */
    break;

  case 1435:
#line 10058 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 38157 "gram.c" /* yacc.c:1652  */
    break;

  case 1436:
#line 10069 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38168 "gram.c" /* yacc.c:1652  */
    break;

  case 1437:
#line 10086 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *)n;
				}
#line 38180 "gram.c" /* yacc.c:1652  */
    break;

  case 1438:
#line 10094 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *)n;
				}
#line 38192 "gram.c" /* yacc.c:1652  */
    break;

  case 1439:
#line 10102 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38204 "gram.c" /* yacc.c:1652  */
    break;

  case 1440:
#line 10110 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38216 "gram.c" /* yacc.c:1652  */
    break;

  case 1441:
#line 10121 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 38224 "gram.c" /* yacc.c:1652  */
    break;

  case 1442:
#line 10125 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 38232 "gram.c" /* yacc.c:1652  */
    break;

  case 1443:
#line 10136 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 38240 "gram.c" /* yacc.c:1652  */
    break;

  case 1444:
#line 10148 "gram.y" /* yacc.c:1652  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 38250 "gram.c" /* yacc.c:1652  */
    break;

  case 1445:
#line 10165 "gram.y" /* yacc.c:1652  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38260 "gram.c" /* yacc.c:1652  */
    break;

  case 1446:
#line 10171 "gram.y" /* yacc.c:1652  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38270 "gram.c" /* yacc.c:1652  */
    break;

  case 1447:
#line 10187 "gram.y" /* yacc.c:1652  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 38283 "gram.c" /* yacc.c:1652  */
    break;

  case 1448:
#line 10200 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 38295 "gram.c" /* yacc.c:1652  */
    break;

  case 1449:
#line 10209 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 38306 "gram.c" /* yacc.c:1652  */
    break;

  case 1450:
#line 10217 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 38317 "gram.c" /* yacc.c:1652  */
    break;

  case 1451:
#line 10225 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 38329 "gram.c" /* yacc.c:1652  */
    break;

  case 1452:
#line 10234 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38343 "gram.c" /* yacc.c:1652  */
    break;

  case 1453:
#line 10245 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38357 "gram.c" /* yacc.c:1652  */
    break;

  case 1454:
#line 10256 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38369 "gram.c" /* yacc.c:1652  */
    break;

  case 1455:
#line 10265 "gram.y" /* yacc.c:1652  */
    {}
#line 38375 "gram.c" /* yacc.c:1652  */
    break;

  case 1456:
#line 10266 "gram.y" /* yacc.c:1652  */
    {}
#line 38381 "gram.c" /* yacc.c:1652  */
    break;

  case 1457:
#line 10278 "gram.y" /* yacc.c:1652  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38392 "gram.c" /* yacc.c:1652  */
    break;

  case 1458:
#line 10288 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 38407 "gram.c" /* yacc.c:1652  */
    break;

  case 1459:
#line 10299 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 38422 "gram.c" /* yacc.c:1652  */
    break;

  case 1460:
#line 10310 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 38437 "gram.c" /* yacc.c:1652  */
    break;

  case 1461:
#line 10321 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 38452 "gram.c" /* yacc.c:1652  */
    break;

  case 1462:
#line 10332 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 38465 "gram.c" /* yacc.c:1652  */
    break;

  case 1463:
#line 10341 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 38478 "gram.c" /* yacc.c:1652  */
    break;

  case 1464:
#line 10352 "gram.y" /* yacc.c:1652  */
    {}
#line 38484 "gram.c" /* yacc.c:1652  */
    break;

  case 1465:
#line 10353 "gram.y" /* yacc.c:1652  */
    {}
#line 38490 "gram.c" /* yacc.c:1652  */
    break;

  case 1466:
#line 10369 "gram.y" /* yacc.c:1652  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 38504 "gram.c" /* yacc.c:1652  */
    break;

  case 1467:
#line 10391 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->options = 0;
					if ((yyvsp[-2].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 38518 "gram.c" /* yacc.c:1652  */
    break;

  case 1468:
#line 10401 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->options = 0;
					if ((yyvsp[0].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 38532 "gram.c" /* yacc.c:1652  */
    break;

  case 1469:
#line 10412 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->options = 0;
					if ((yyvsp[-3].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 38546 "gram.c" /* yacc.c:1652  */
    break;

  case 1470:
#line 10424 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38552 "gram.c" /* yacc.c:1652  */
    break;

  case 1471:
#line 10425 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 38558 "gram.c" /* yacc.c:1652  */
    break;

  case 1472:
#line 10438 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *)n;
				}
#line 38582 "gram.c" /* yacc.c:1652  */
    break;

  case 1473:
#line 10458 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 38594 "gram.c" /* yacc.c:1652  */
    break;

  case 1474:
#line 10468 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *)n;
				}
#line 38609 "gram.c" /* yacc.c:1652  */
    break;

  case 1475:
#line 10479 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 38621 "gram.c" /* yacc.c:1652  */
    break;

  case 1476:
#line 10490 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 38629 "gram.c" /* yacc.c:1652  */
    break;

  case 1477:
#line 10494 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 38637 "gram.c" /* yacc.c:1652  */
    break;

  case 1478:
#line 10500 "gram.y" /* yacc.c:1652  */
    {}
#line 38643 "gram.c" /* yacc.c:1652  */
    break;

  case 1479:
#line 10501 "gram.y" /* yacc.c:1652  */
    {}
#line 38649 "gram.c" /* yacc.c:1652  */
    break;

  case 1480:
#line 10506 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 38657 "gram.c" /* yacc.c:1652  */
    break;

  case 1481:
#line 10512 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38663 "gram.c" /* yacc.c:1652  */
    break;

  case 1482:
#line 10513 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "analyze"; }
#line 38669 "gram.c" /* yacc.c:1652  */
    break;

  case 1483:
#line 10517 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 38675 "gram.c" /* yacc.c:1652  */
    break;

  case 1484:
#line 10518 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 38681 "gram.c" /* yacc.c:1652  */
    break;

  case 1485:
#line 10519 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 38687 "gram.c" /* yacc.c:1652  */
    break;

  case 1486:
#line 10523 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 38693 "gram.c" /* yacc.c:1652  */
    break;

  case 1487:
#line 10524 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 38699 "gram.c" /* yacc.c:1652  */
    break;

  case 1488:
#line 10528 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 38705 "gram.c" /* yacc.c:1652  */
    break;

  case 1489:
#line 10529 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 38711 "gram.c" /* yacc.c:1652  */
    break;

  case 1490:
#line 10532 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 38717 "gram.c" /* yacc.c:1652  */
    break;

  case 1491:
#line 10533 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 38723 "gram.c" /* yacc.c:1652  */
    break;

  case 1492:
#line 10536 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 38729 "gram.c" /* yacc.c:1652  */
    break;

  case 1493:
#line 10537 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 38735 "gram.c" /* yacc.c:1652  */
    break;

  case 1494:
#line 10541 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38741 "gram.c" /* yacc.c:1652  */
    break;

  case 1495:
#line 10542 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 38747 "gram.c" /* yacc.c:1652  */
    break;

  case 1496:
#line 10547 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 38755 "gram.c" /* yacc.c:1652  */
    break;

  case 1497:
#line 10554 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38761 "gram.c" /* yacc.c:1652  */
    break;

  case 1498:
#line 10556 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38767 "gram.c" /* yacc.c:1652  */
    break;

  case 1499:
#line 10560 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38773 "gram.c" /* yacc.c:1652  */
    break;

  case 1500:
#line 10561 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 38779 "gram.c" /* yacc.c:1652  */
    break;

  case 1501:
#line 10575 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 38790 "gram.c" /* yacc.c:1652  */
    break;

  case 1502:
#line 10582 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 38804 "gram.c" /* yacc.c:1652  */
    break;

  case 1503:
#line 10592 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 38815 "gram.c" /* yacc.c:1652  */
    break;

  case 1504:
#line 10599 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 38826 "gram.c" /* yacc.c:1652  */
    break;

  case 1514:
#line 10621 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 38834 "gram.c" /* yacc.c:1652  */
    break;

  case 1515:
#line 10625 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 38842 "gram.c" /* yacc.c:1652  */
    break;

  case 1516:
#line 10632 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 38850 "gram.c" /* yacc.c:1652  */
    break;

  case 1517:
#line 10638 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38856 "gram.c" /* yacc.c:1652  */
    break;

  case 1518:
#line 10639 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "analyze"; }
#line 38862 "gram.c" /* yacc.c:1652  */
    break;

  case 1519:
#line 10643 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 38868 "gram.c" /* yacc.c:1652  */
    break;

  case 1520:
#line 10644 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 38874 "gram.c" /* yacc.c:1652  */
    break;

  case 1521:
#line 10645 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 38880 "gram.c" /* yacc.c:1652  */
    break;

  case 1522:
#line 10656 "gram.y" /* yacc.c:1652  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38892 "gram.c" /* yacc.c:1652  */
    break;

  case 1523:
#line 10665 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38898 "gram.c" /* yacc.c:1652  */
    break;

  case 1524:
#line 10666 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 38904 "gram.c" /* yacc.c:1652  */
    break;

  case 1529:
#line 10684 "gram.y" /* yacc.c:1652  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 38915 "gram.c" /* yacc.c:1652  */
    break;

  case 1530:
#line 10692 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 38935 "gram.c" /* yacc.c:1652  */
    break;

  case 1531:
#line 10709 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 38955 "gram.c" /* yacc.c:1652  */
    break;

  case 1532:
#line 10726 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38961 "gram.c" /* yacc.c:1652  */
    break;

  case 1533:
#line 10727 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 38967 "gram.c" /* yacc.c:1652  */
    break;

  case 1534:
#line 10738 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 38977 "gram.c" /* yacc.c:1652  */
    break;

  case 1535:
#line 10744 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 38987 "gram.c" /* yacc.c:1652  */
    break;

  case 1536:
#line 10750 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 38997 "gram.c" /* yacc.c:1652  */
    break;

  case 1537:
#line 10756 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 39007 "gram.c" /* yacc.c:1652  */
    break;

  case 1538:
#line 10773 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 39019 "gram.c" /* yacc.c:1652  */
    break;

  case 1539:
#line 10790 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 39027 "gram.c" /* yacc.c:1652  */
    break;

  case 1540:
#line 10794 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 39036 "gram.c" /* yacc.c:1652  */
    break;

  case 1541:
#line 10802 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39046 "gram.c" /* yacc.c:1652  */
    break;

  case 1542:
#line 10808 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39057 "gram.c" /* yacc.c:1652  */
    break;

  case 1543:
#line 10815 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39067 "gram.c" /* yacc.c:1652  */
    break;

  case 1544:
#line 10821 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39078 "gram.c" /* yacc.c:1652  */
    break;

  case 1545:
#line 10828 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 39088 "gram.c" /* yacc.c:1652  */
    break;

  case 1546:
#line 10836 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 39094 "gram.c" /* yacc.c:1652  */
    break;

  case 1547:
#line 10837 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 39100 "gram.c" /* yacc.c:1652  */
    break;

  case 1548:
#line 10842 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39106 "gram.c" /* yacc.c:1652  */
    break;

  case 1549:
#line 10844 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39112 "gram.c" /* yacc.c:1652  */
    break;

  case 1550:
#line 10849 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39124 "gram.c" /* yacc.c:1652  */
    break;

  case 1551:
#line 10860 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 39137 "gram.c" /* yacc.c:1652  */
    break;

  case 1552:
#line 10870 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 39150 "gram.c" /* yacc.c:1652  */
    break;

  case 1553:
#line 10879 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = NULL;
				}
#line 39158 "gram.c" /* yacc.c:1652  */
    break;

  case 1554:
#line 10886 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 39170 "gram.c" /* yacc.c:1652  */
    break;

  case 1555:
#line 10895 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 39182 "gram.c" /* yacc.c:1652  */
    break;

  case 1556:
#line 10903 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = NULL;
				}
#line 39190 "gram.c" /* yacc.c:1652  */
    break;

  case 1557:
#line 10909 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39196 "gram.c" /* yacc.c:1652  */
    break;

  case 1558:
#line 10910 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39202 "gram.c" /* yacc.c:1652  */
    break;

  case 1559:
#line 10923 "gram.y" /* yacc.c:1652  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 39216 "gram.c" /* yacc.c:1652  */
    break;

  case 1560:
#line 10935 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39222 "gram.c" /* yacc.c:1652  */
    break;

  case 1561:
#line 10936 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39228 "gram.c" /* yacc.c:1652  */
    break;

  case 1562:
#line 10948 "gram.y" /* yacc.c:1652  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 39241 "gram.c" /* yacc.c:1652  */
    break;

  case 1563:
#line 10958 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 39247 "gram.c" /* yacc.c:1652  */
    break;

  case 1564:
#line 10959 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 39253 "gram.c" /* yacc.c:1652  */
    break;

  case 1565:
#line 10962 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessShareLock; }
#line 39259 "gram.c" /* yacc.c:1652  */
    break;

  case 1566:
#line 10963 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RowShareLock; }
#line 39265 "gram.c" /* yacc.c:1652  */
    break;

  case 1567:
#line 10964 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RowExclusiveLock; }
#line 39271 "gram.c" /* yacc.c:1652  */
    break;

  case 1568:
#line 10965 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 39277 "gram.c" /* yacc.c:1652  */
    break;

  case 1569:
#line 10966 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareLock; }
#line 39283 "gram.c" /* yacc.c:1652  */
    break;

  case 1570:
#line 10967 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 39289 "gram.c" /* yacc.c:1652  */
    break;

  case 1571:
#line 10968 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ExclusiveLock; }
#line 39295 "gram.c" /* yacc.c:1652  */
    break;

  case 1572:
#line 10969 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 39301 "gram.c" /* yacc.c:1652  */
    break;

  case 1573:
#line 10972 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 39307 "gram.c" /* yacc.c:1652  */
    break;

  case 1574:
#line 10973 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39313 "gram.c" /* yacc.c:1652  */
    break;

  case 1575:
#line 10977 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitError; }
#line 39319 "gram.c" /* yacc.c:1652  */
    break;

  case 1576:
#line 10978 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitSkip; }
#line 39325 "gram.c" /* yacc.c:1652  */
    break;

  case 1577:
#line 10979 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitBlock; }
#line 39331 "gram.c" /* yacc.c:1652  */
    break;

  case 1578:
#line 10995 "gram.y" /* yacc.c:1652  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 39346 "gram.c" /* yacc.c:1652  */
    break;

  case 1579:
#line 11008 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39352 "gram.c" /* yacc.c:1652  */
    break;

  case 1580:
#line 11009 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 39358 "gram.c" /* yacc.c:1652  */
    break;

  case 1581:
#line 11014 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 39367 "gram.c" /* yacc.c:1652  */
    break;

  case 1582:
#line 11019 "gram.y" /* yacc.c:1652  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 39392 "gram.c" /* yacc.c:1652  */
    break;

  case 1583:
#line 11043 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39404 "gram.c" /* yacc.c:1652  */
    break;

  case 1584:
#line 11053 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39410 "gram.c" /* yacc.c:1652  */
    break;

  case 1585:
#line 11054 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 39416 "gram.c" /* yacc.c:1652  */
    break;

  case 1586:
#line 11065 "gram.y" /* yacc.c:1652  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39429 "gram.c" /* yacc.c:1652  */
    break;

  case 1587:
#line 11075 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39435 "gram.c" /* yacc.c:1652  */
    break;

  case 1588:
#line 11078 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 39441 "gram.c" /* yacc.c:1652  */
    break;

  case 1589:
#line 11079 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 39447 "gram.c" /* yacc.c:1652  */
    break;

  case 1590:
#line 11080 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 39453 "gram.c" /* yacc.c:1652  */
    break;

  case 1591:
#line 11081 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 39459 "gram.c" /* yacc.c:1652  */
    break;

  case 1592:
#line 11082 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 39465 "gram.c" /* yacc.c:1652  */
    break;

  case 1593:
#line 11085 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 39471 "gram.c" /* yacc.c:1652  */
    break;

  case 1594:
#line 11086 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 39477 "gram.c" /* yacc.c:1652  */
    break;

  case 1595:
#line 11087 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 39483 "gram.c" /* yacc.c:1652  */
    break;

  case 1598:
#line 11140 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39489 "gram.c" /* yacc.c:1652  */
    break;

  case 1599:
#line 11141 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39495 "gram.c" /* yacc.c:1652  */
    break;

  case 1600:
#line 11156 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39501 "gram.c" /* yacc.c:1652  */
    break;

  case 1601:
#line 11158 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 39512 "gram.c" /* yacc.c:1652  */
    break;

  case 1602:
#line 11165 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39524 "gram.c" /* yacc.c:1652  */
    break;

  case 1603:
#line 11173 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39536 "gram.c" /* yacc.c:1652  */
    break;

  case 1604:
#line 11181 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 39548 "gram.c" /* yacc.c:1652  */
    break;

  case 1605:
#line 11189 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 39560 "gram.c" /* yacc.c:1652  */
    break;

  case 1606:
#line 11197 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39572 "gram.c" /* yacc.c:1652  */
    break;

  case 1607:
#line 11205 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39584 "gram.c" /* yacc.c:1652  */
    break;

  case 1608:
#line 11215 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39590 "gram.c" /* yacc.c:1652  */
    break;

  case 1609:
#line 11216 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39596 "gram.c" /* yacc.c:1652  */
    break;

  case 1610:
#line 11246 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39612 "gram.c" /* yacc.c:1652  */
    break;

  case 1611:
#line 11260 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39629 "gram.c" /* yacc.c:1652  */
    break;

  case 1612:
#line 11272 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39635 "gram.c" /* yacc.c:1652  */
    break;

  case 1613:
#line 11274 "gram.y" /* yacc.c:1652  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 39658 "gram.c" /* yacc.c:1652  */
    break;

  case 1614:
#line 11293 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 39666 "gram.c" /* yacc.c:1652  */
    break;

  case 1615:
#line 11297 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 39674 "gram.c" /* yacc.c:1652  */
    break;

  case 1616:
#line 11301 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 39682 "gram.c" /* yacc.c:1652  */
    break;

  case 1617:
#line 11318 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 39693 "gram.c" /* yacc.c:1652  */
    break;

  case 1618:
#line 11325 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 39704 "gram.c" /* yacc.c:1652  */
    break;

  case 1619:
#line 11332 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 39715 "gram.c" /* yacc.c:1652  */
    break;

  case 1620:
#line 11341 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39721 "gram.c" /* yacc.c:1652  */
    break;

  case 1621:
#line 11342 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39727 "gram.c" /* yacc.c:1652  */
    break;

  case 1622:
#line 11346 "gram.y" /* yacc.c:1652  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-6].str);
				n->aliascolnames = (yyvsp[-5].list);
				n->ctematerialized = (yyvsp[-3].ival);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 39741 "gram.c" /* yacc.c:1652  */
    break;

  case 1623:
#line 11358 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 39747 "gram.c" /* yacc.c:1652  */
    break;

  case 1624:
#line 11359 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 39753 "gram.c" /* yacc.c:1652  */
    break;

  case 1625:
#line 11360 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 39759 "gram.c" /* yacc.c:1652  */
    break;

  case 1626:
#line 11364 "gram.y" /* yacc.c:1652  */
    { (yyval.with) = (yyvsp[0].with); }
#line 39765 "gram.c" /* yacc.c:1652  */
    break;

  case 1627:
#line 11365 "gram.y" /* yacc.c:1652  */
    { (yyval.with) = NULL; }
#line 39771 "gram.c" /* yacc.c:1652  */
    break;

  case 1628:
#line 11370 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 39786 "gram.c" /* yacc.c:1652  */
    break;

  case 1629:
#line 11381 "gram.y" /* yacc.c:1652  */
    { (yyval.into) = NULL; }
#line 39792 "gram.c" /* yacc.c:1652  */
    break;

  case 1630:
#line 11390 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39801 "gram.c" /* yacc.c:1652  */
    break;

  case 1631:
#line 11395 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39810 "gram.c" /* yacc.c:1652  */
    break;

  case 1632:
#line 11400 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39819 "gram.c" /* yacc.c:1652  */
    break;

  case 1633:
#line 11405 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39828 "gram.c" /* yacc.c:1652  */
    break;

  case 1634:
#line 11410 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39840 "gram.c" /* yacc.c:1652  */
    break;

  case 1635:
#line 11418 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39852 "gram.c" /* yacc.c:1652  */
    break;

  case 1636:
#line 11426 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 39861 "gram.c" /* yacc.c:1652  */
    break;

  case 1637:
#line 11431 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 39870 "gram.c" /* yacc.c:1652  */
    break;

  case 1638:
#line 11436 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 39879 "gram.c" /* yacc.c:1652  */
    break;

  case 1639:
#line 11442 "gram.y" /* yacc.c:1652  */
    {}
#line 39885 "gram.c" /* yacc.c:1652  */
    break;

  case 1640:
#line 11443 "gram.y" /* yacc.c:1652  */
    {}
#line 39891 "gram.c" /* yacc.c:1652  */
    break;

  case 1641:
#line 11447 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 39897 "gram.c" /* yacc.c:1652  */
    break;

  case 1642:
#line 11448 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39903 "gram.c" /* yacc.c:1652  */
    break;

  case 1643:
#line 11449 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39909 "gram.c" /* yacc.c:1652  */
    break;

  case 1644:
#line 11456 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(NIL); }
#line 39915 "gram.c" /* yacc.c:1652  */
    break;

  case 1645:
#line 11457 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39921 "gram.c" /* yacc.c:1652  */
    break;

  case 1646:
#line 11461 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL;}
#line 39927 "gram.c" /* yacc.c:1652  */
    break;

  case 1647:
#line 11462 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39933 "gram.c" /* yacc.c:1652  */
    break;

  case 1648:
#line 11466 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list);}
#line 39939 "gram.c" /* yacc.c:1652  */
    break;

  case 1649:
#line 11467 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39945 "gram.c" /* yacc.c:1652  */
    break;

  case 1650:
#line 11471 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39951 "gram.c" /* yacc.c:1652  */
    break;

  case 1651:
#line 11475 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 39957 "gram.c" /* yacc.c:1652  */
    break;

  case 1652:
#line 11476 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 39963 "gram.c" /* yacc.c:1652  */
    break;

  case 1653:
#line 11480 "gram.y" /* yacc.c:1652  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 39976 "gram.c" /* yacc.c:1652  */
    break;

  case 1654:
#line 11489 "gram.y" /* yacc.c:1652  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 39989 "gram.c" /* yacc.c:1652  */
    break;

  case 1655:
#line 11502 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 39998 "gram.c" /* yacc.c:1652  */
    break;

  case 1656:
#line 11507 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 40007 "gram.c" /* yacc.c:1652  */
    break;

  case 1657:
#line 11512 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 40015 "gram.c" /* yacc.c:1652  */
    break;

  case 1658:
#line 11516 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 40027 "gram.c" /* yacc.c:1652  */
    break;

  case 1659:
#line 11526 "gram.y" /* yacc.c:1652  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 40033 "gram.c" /* yacc.c:1652  */
    break;

  case 1660:
#line 11527 "gram.y" /* yacc.c:1652  */
    { (yyval.selectlimit) = NULL; }
#line 40039 "gram.c" /* yacc.c:1652  */
    break;

  case 1661:
#line 11532 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 40051 "gram.c" /* yacc.c:1652  */
    break;

  case 1662:
#line 11540 "gram.y" /* yacc.c:1652  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 40064 "gram.c" /* yacc.c:1652  */
    break;

  case 1663:
#line 11556 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 40076 "gram.c" /* yacc.c:1652  */
    break;

  case 1664:
#line 11564 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 40088 "gram.c" /* yacc.c:1652  */
    break;

  case 1665:
#line 11572 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 40100 "gram.c" /* yacc.c:1652  */
    break;

  case 1666:
#line 11580 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 40112 "gram.c" /* yacc.c:1652  */
    break;

  case 1667:
#line 11591 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40118 "gram.c" /* yacc.c:1652  */
    break;

  case 1668:
#line 11594 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40124 "gram.c" /* yacc.c:1652  */
    break;

  case 1669:
#line 11598 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40130 "gram.c" /* yacc.c:1652  */
    break;

  case 1670:
#line 11600 "gram.y" /* yacc.c:1652  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 40139 "gram.c" /* yacc.c:1652  */
    break;

  case 1671:
#line 11607 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40145 "gram.c" /* yacc.c:1652  */
    break;

  case 1672:
#line 11627 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40151 "gram.c" /* yacc.c:1652  */
    break;

  case 1673:
#line 11629 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40157 "gram.c" /* yacc.c:1652  */
    break;

  case 1674:
#line 11631 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40163 "gram.c" /* yacc.c:1652  */
    break;

  case 1675:
#line 11635 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 40169 "gram.c" /* yacc.c:1652  */
    break;

  case 1676:
#line 11636 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 40175 "gram.c" /* yacc.c:1652  */
    break;

  case 1677:
#line 11640 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40181 "gram.c" /* yacc.c:1652  */
    break;

  case 1678:
#line 11641 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40187 "gram.c" /* yacc.c:1652  */
    break;

  case 1679:
#line 11644 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40193 "gram.c" /* yacc.c:1652  */
    break;

  case 1680:
#line 11645 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40199 "gram.c" /* yacc.c:1652  */
    break;

  case 1681:
#line 11670 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40205 "gram.c" /* yacc.c:1652  */
    break;

  case 1682:
#line 11671 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40211 "gram.c" /* yacc.c:1652  */
    break;

  case 1683:
#line 11675 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40217 "gram.c" /* yacc.c:1652  */
    break;

  case 1684:
#line 11676 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 40223 "gram.c" /* yacc.c:1652  */
    break;

  case 1685:
#line 11680 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40229 "gram.c" /* yacc.c:1652  */
    break;

  case 1686:
#line 11681 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40235 "gram.c" /* yacc.c:1652  */
    break;

  case 1687:
#line 11682 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40241 "gram.c" /* yacc.c:1652  */
    break;

  case 1688:
#line 11683 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40247 "gram.c" /* yacc.c:1652  */
    break;

  case 1689:
#line 11684 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40253 "gram.c" /* yacc.c:1652  */
    break;

  case 1690:
#line 11689 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 40261 "gram.c" /* yacc.c:1652  */
    break;

  case 1691:
#line 11702 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 40269 "gram.c" /* yacc.c:1652  */
    break;

  case 1692:
#line 11709 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 40277 "gram.c" /* yacc.c:1652  */
    break;

  case 1693:
#line 11716 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 40285 "gram.c" /* yacc.c:1652  */
    break;

  case 1694:
#line 11722 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40291 "gram.c" /* yacc.c:1652  */
    break;

  case 1695:
#line 11723 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 40297 "gram.c" /* yacc.c:1652  */
    break;

  case 1696:
#line 11727 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40303 "gram.c" /* yacc.c:1652  */
    break;

  case 1697:
#line 11728 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40309 "gram.c" /* yacc.c:1652  */
    break;

  case 1698:
#line 11732 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40315 "gram.c" /* yacc.c:1652  */
    break;

  case 1699:
#line 11733 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40321 "gram.c" /* yacc.c:1652  */
    break;

  case 1700:
#line 11737 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40327 "gram.c" /* yacc.c:1652  */
    break;

  case 1701:
#line 11738 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40333 "gram.c" /* yacc.c:1652  */
    break;

  case 1702:
#line 11743 "gram.y" /* yacc.c:1652  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 40345 "gram.c" /* yacc.c:1652  */
    break;

  case 1703:
#line 11753 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 40351 "gram.c" /* yacc.c:1652  */
    break;

  case 1704:
#line 11754 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 40357 "gram.c" /* yacc.c:1652  */
    break;

  case 1705:
#line 11755 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 40363 "gram.c" /* yacc.c:1652  */
    break;

  case 1706:
#line 11756 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 40369 "gram.c" /* yacc.c:1652  */
    break;

  case 1707:
#line 11760 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40375 "gram.c" /* yacc.c:1652  */
    break;

  case 1708:
#line 11761 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40381 "gram.c" /* yacc.c:1652  */
    break;

  case 1709:
#line 11772 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40391 "gram.c" /* yacc.c:1652  */
    break;

  case 1710:
#line 11778 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40401 "gram.c" /* yacc.c:1652  */
    break;

  case 1711:
#line 11795 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40407 "gram.c" /* yacc.c:1652  */
    break;

  case 1712:
#line 11796 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40413 "gram.c" /* yacc.c:1652  */
    break;

  case 1713:
#line 11800 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40419 "gram.c" /* yacc.c:1652  */
    break;

  case 1714:
#line 11801 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40425 "gram.c" /* yacc.c:1652  */
    break;

  case 1715:
#line 11808 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 40434 "gram.c" /* yacc.c:1652  */
    break;

  case 1716:
#line 11813 "gram.y" /* yacc.c:1652  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 40446 "gram.c" /* yacc.c:1652  */
    break;

  case 1717:
#line 11821 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 40457 "gram.c" /* yacc.c:1652  */
    break;

  case 1718:
#line 11828 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 40469 "gram.c" /* yacc.c:1652  */
    break;

  case 1719:
#line 11836 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 40479 "gram.c" /* yacc.c:1652  */
    break;

  case 1720:
#line 11842 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 40490 "gram.c" /* yacc.c:1652  */
    break;

  case 1721:
#line 11849 "gram.y" /* yacc.c:1652  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 40529 "gram.c" /* yacc.c:1652  */
    break;

  case 1722:
#line 11884 "gram.y" /* yacc.c:1652  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 40558 "gram.c" /* yacc.c:1652  */
    break;

  case 1723:
#line 11909 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 40566 "gram.c" /* yacc.c:1652  */
    break;

  case 1724:
#line 11913 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 40575 "gram.c" /* yacc.c:1652  */
    break;

  case 1725:
#line 11939 "gram.y" /* yacc.c:1652  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 40583 "gram.c" /* yacc.c:1652  */
    break;

  case 1726:
#line 11943 "gram.y" /* yacc.c:1652  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 40599 "gram.c" /* yacc.c:1652  */
    break;

  case 1727:
#line 11955 "gram.y" /* yacc.c:1652  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 40616 "gram.c" /* yacc.c:1652  */
    break;

  case 1728:
#line 11968 "gram.y" /* yacc.c:1652  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 40634 "gram.c" /* yacc.c:1652  */
    break;

  case 1729:
#line 11982 "gram.y" /* yacc.c:1652  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 40649 "gram.c" /* yacc.c:1652  */
    break;

  case 1730:
#line 11993 "gram.y" /* yacc.c:1652  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 40665 "gram.c" /* yacc.c:1652  */
    break;

  case 1731:
#line 12008 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 40675 "gram.c" /* yacc.c:1652  */
    break;

  case 1732:
#line 12014 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 40684 "gram.c" /* yacc.c:1652  */
    break;

  case 1733:
#line 12019 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 40694 "gram.c" /* yacc.c:1652  */
    break;

  case 1734:
#line 12025 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 40703 "gram.c" /* yacc.c:1652  */
    break;

  case 1735:
#line 12031 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 40709 "gram.c" /* yacc.c:1652  */
    break;

  case 1736:
#line 12032 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = NULL; }
#line 40715 "gram.c" /* yacc.c:1652  */
    break;

  case 1737:
#line 12041 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 40723 "gram.c" /* yacc.c:1652  */
    break;

  case 1738:
#line 12045 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 40731 "gram.c" /* yacc.c:1652  */
    break;

  case 1739:
#line 12049 "gram.y" /* yacc.c:1652  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 40741 "gram.c" /* yacc.c:1652  */
    break;

  case 1740:
#line 12055 "gram.y" /* yacc.c:1652  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 40751 "gram.c" /* yacc.c:1652  */
    break;

  case 1741:
#line 12061 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 40759 "gram.c" /* yacc.c:1652  */
    break;

  case 1742:
#line 12066 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_FULL; }
#line 40765 "gram.c" /* yacc.c:1652  */
    break;

  case 1743:
#line 12067 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 40771 "gram.c" /* yacc.c:1652  */
    break;

  case 1744:
#line 12068 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 40777 "gram.c" /* yacc.c:1652  */
    break;

  case 1745:
#line 12069 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_INNER; }
#line 40783 "gram.c" /* yacc.c:1652  */
    break;

  case 1746:
#line 12073 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 40789 "gram.c" /* yacc.c:1652  */
    break;

  case 1747:
#line 12074 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 40795 "gram.c" /* yacc.c:1652  */
    break;

  case 1748:
#line 12086 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 40801 "gram.c" /* yacc.c:1652  */
    break;

  case 1749:
#line 12087 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40807 "gram.c" /* yacc.c:1652  */
    break;

  case 1750:
#line 12093 "gram.y" /* yacc.c:1652  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 40818 "gram.c" /* yacc.c:1652  */
    break;

  case 1751:
#line 12100 "gram.y" /* yacc.c:1652  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 40829 "gram.c" /* yacc.c:1652  */
    break;

  case 1752:
#line 12107 "gram.y" /* yacc.c:1652  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 40840 "gram.c" /* yacc.c:1652  */
    break;

  case 1753:
#line 12114 "gram.y" /* yacc.c:1652  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 40851 "gram.c" /* yacc.c:1652  */
    break;

  case 1754:
#line 12124 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 40857 "gram.c" /* yacc.c:1652  */
    break;

  case 1755:
#line 12125 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 40863 "gram.c" /* yacc.c:1652  */
    break;

  case 1756:
#line 12139 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 40871 "gram.c" /* yacc.c:1652  */
    break;

  case 1757:
#line 12143 "gram.y" /* yacc.c:1652  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 40882 "gram.c" /* yacc.c:1652  */
    break;

  case 1758:
#line 12150 "gram.y" /* yacc.c:1652  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 40893 "gram.c" /* yacc.c:1652  */
    break;

  case 1759:
#line 12163 "gram.y" /* yacc.c:1652  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 40907 "gram.c" /* yacc.c:1652  */
    break;

  case 1760:
#line 12175 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 40913 "gram.c" /* yacc.c:1652  */
    break;

  case 1761:
#line 12176 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 40919 "gram.c" /* yacc.c:1652  */
    break;

  case 1762:
#line 12192 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 40933 "gram.c" /* yacc.c:1652  */
    break;

  case 1763:
#line 12202 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 40947 "gram.c" /* yacc.c:1652  */
    break;

  case 1764:
#line 12214 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 40953 "gram.c" /* yacc.c:1652  */
    break;

  case 1765:
#line 12218 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 40959 "gram.c" /* yacc.c:1652  */
    break;

  case 1766:
#line 12219 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 40965 "gram.c" /* yacc.c:1652  */
    break;

  case 1767:
#line 12222 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40971 "gram.c" /* yacc.c:1652  */
    break;

  case 1768:
#line 12223 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40977 "gram.c" /* yacc.c:1652  */
    break;

  case 1769:
#line 12226 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 40983 "gram.c" /* yacc.c:1652  */
    break;

  case 1770:
#line 12227 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 40989 "gram.c" /* yacc.c:1652  */
    break;

  case 1771:
#line 12232 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40995 "gram.c" /* yacc.c:1652  */
    break;

  case 1772:
#line 12233 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 41001 "gram.c" /* yacc.c:1652  */
    break;

  case 1773:
#line 12238 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41007 "gram.c" /* yacc.c:1652  */
    break;

  case 1774:
#line 12240 "gram.y" /* yacc.c:1652  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 41019 "gram.c" /* yacc.c:1652  */
    break;

  case 1775:
#line 12247 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 41025 "gram.c" /* yacc.c:1652  */
    break;

  case 1776:
#line 12252 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41031 "gram.c" /* yacc.c:1652  */
    break;

  case 1777:
#line 12253 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41037 "gram.c" /* yacc.c:1652  */
    break;

  case 1778:
#line 12258 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 41045 "gram.c" /* yacc.c:1652  */
    break;

  case 1779:
#line 12262 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 41053 "gram.c" /* yacc.c:1652  */
    break;

  case 1780:
#line 12268 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 41075 "gram.c" /* yacc.c:1652  */
    break;

  case 1781:
#line 12292 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 41089 "gram.c" /* yacc.c:1652  */
    break;

  case 1782:
#line 12303 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 41103 "gram.c" /* yacc.c:1652  */
    break;

  case 1783:
#line 12314 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41109 "gram.c" /* yacc.c:1652  */
    break;

  case 1784:
#line 12315 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41115 "gram.c" /* yacc.c:1652  */
    break;

  case 1785:
#line 12320 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 41133 "gram.c" /* yacc.c:1652  */
    break;

  case 1786:
#line 12334 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 41194 "gram.c" /* yacc.c:1652  */
    break;

  case 1787:
#line 12391 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 41209 "gram.c" /* yacc.c:1652  */
    break;

  case 1788:
#line 12405 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41215 "gram.c" /* yacc.c:1652  */
    break;

  case 1789:
#line 12407 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 41221 "gram.c" /* yacc.c:1652  */
    break;

  case 1790:
#line 12412 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 41227 "gram.c" /* yacc.c:1652  */
    break;

  case 1791:
#line 12414 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 41233 "gram.c" /* yacc.c:1652  */
    break;

  case 1792:
#line 12416 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 41239 "gram.c" /* yacc.c:1652  */
    break;

  case 1793:
#line 12418 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 41245 "gram.c" /* yacc.c:1652  */
    break;

  case 1794:
#line 12423 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 41251 "gram.c" /* yacc.c:1652  */
    break;

  case 1795:
#line 12425 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 41257 "gram.c" /* yacc.c:1652  */
    break;

  case 1796:
#line 12430 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 41269 "gram.c" /* yacc.c:1652  */
    break;

  case 1797:
#line 12438 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 41281 "gram.c" /* yacc.c:1652  */
    break;

  case 1798:
#line 12458 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 41290 "gram.c" /* yacc.c:1652  */
    break;

  case 1799:
#line 12463 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 41300 "gram.c" /* yacc.c:1652  */
    break;

  case 1800:
#line 12470 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 41309 "gram.c" /* yacc.c:1652  */
    break;

  case 1801:
#line 12475 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 41319 "gram.c" /* yacc.c:1652  */
    break;

  case 1802:
#line 12481 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 41328 "gram.c" /* yacc.c:1652  */
    break;

  case 1803:
#line 12486 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 41338 "gram.c" /* yacc.c:1652  */
    break;

  case 1804:
#line 12495 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 41344 "gram.c" /* yacc.c:1652  */
    break;

  case 1805:
#line 12497 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 41350 "gram.c" /* yacc.c:1652  */
    break;

  case 1806:
#line 12499 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = NIL; }
#line 41356 "gram.c" /* yacc.c:1652  */
    break;

  case 1807:
#line 12503 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41362 "gram.c" /* yacc.c:1652  */
    break;

  case 1808:
#line 12504 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41368 "gram.c" /* yacc.c:1652  */
    break;

  case 1809:
#line 12505 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41374 "gram.c" /* yacc.c:1652  */
    break;

  case 1810:
#line 12506 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41380 "gram.c" /* yacc.c:1652  */
    break;

  case 1811:
#line 12507 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41386 "gram.c" /* yacc.c:1652  */
    break;

  case 1812:
#line 12509 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 41395 "gram.c" /* yacc.c:1652  */
    break;

  case 1813:
#line 12514 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 41405 "gram.c" /* yacc.c:1652  */
    break;

  case 1814:
#line 12533 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41411 "gram.c" /* yacc.c:1652  */
    break;

  case 1815:
#line 12534 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41417 "gram.c" /* yacc.c:1652  */
    break;

  case 1816:
#line 12535 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41423 "gram.c" /* yacc.c:1652  */
    break;

  case 1817:
#line 12536 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41429 "gram.c" /* yacc.c:1652  */
    break;

  case 1818:
#line 12548 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41439 "gram.c" /* yacc.c:1652  */
    break;

  case 1819:
#line 12554 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 41449 "gram.c" /* yacc.c:1652  */
    break;

  case 1820:
#line 12561 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41455 "gram.c" /* yacc.c:1652  */
    break;

  case 1821:
#line 12562 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41461 "gram.c" /* yacc.c:1652  */
    break;

  case 1822:
#line 12569 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41470 "gram.c" /* yacc.c:1652  */
    break;

  case 1823:
#line 12574 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41479 "gram.c" /* yacc.c:1652  */
    break;

  case 1824:
#line 12579 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41488 "gram.c" /* yacc.c:1652  */
    break;

  case 1825:
#line 12584 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41497 "gram.c" /* yacc.c:1652  */
    break;

  case 1826:
#line 12589 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41506 "gram.c" /* yacc.c:1652  */
    break;

  case 1827:
#line 12594 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41515 "gram.c" /* yacc.c:1652  */
    break;

  case 1828:
#line 12599 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41524 "gram.c" /* yacc.c:1652  */
    break;

  case 1829:
#line 12604 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41534 "gram.c" /* yacc.c:1652  */
    break;

  case 1830:
#line 12610 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41544 "gram.c" /* yacc.c:1652  */
    break;

  case 1831:
#line 12616 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41554 "gram.c" /* yacc.c:1652  */
    break;

  case 1832:
#line 12622 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41563 "gram.c" /* yacc.c:1652  */
    break;

  case 1833:
#line 12629 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 41588 "gram.c" /* yacc.c:1652  */
    break;

  case 1834:
#line 12650 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 41596 "gram.c" /* yacc.c:1652  */
    break;

  case 1835:
#line 12660 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41604 "gram.c" /* yacc.c:1652  */
    break;

  case 1836:
#line 12664 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41612 "gram.c" /* yacc.c:1652  */
    break;

  case 1837:
#line 12672 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41620 "gram.c" /* yacc.c:1652  */
    break;

  case 1838:
#line 12676 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 41629 "gram.c" /* yacc.c:1652  */
    break;

  case 1839:
#line 12684 "gram.y" /* yacc.c:1652  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 41642 "gram.c" /* yacc.c:1652  */
    break;

  case 1840:
#line 12696 "gram.y" /* yacc.c:1652  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41660 "gram.c" /* yacc.c:1652  */
    break;

  case 1841:
#line 12717 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41668 "gram.c" /* yacc.c:1652  */
    break;

  case 1842:
#line 12721 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41676 "gram.c" /* yacc.c:1652  */
    break;

  case 1843:
#line 12727 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41684 "gram.c" /* yacc.c:1652  */
    break;

  case 1844:
#line 12731 "gram.y" /* yacc.c:1652  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 41699 "gram.c" /* yacc.c:1652  */
    break;

  case 1845:
#line 12744 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 41709 "gram.c" /* yacc.c:1652  */
    break;

  case 1846:
#line 12752 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41721 "gram.c" /* yacc.c:1652  */
    break;

  case 1847:
#line 12762 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41727 "gram.c" /* yacc.c:1652  */
    break;

  case 1848:
#line 12764 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41733 "gram.c" /* yacc.c:1652  */
    break;

  case 1849:
#line 12766 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "varchar"; }
#line 41739 "gram.c" /* yacc.c:1652  */
    break;

  case 1850:
#line 12768 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41745 "gram.c" /* yacc.c:1652  */
    break;

  case 1851:
#line 12770 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41751 "gram.c" /* yacc.c:1652  */
    break;

  case 1852:
#line 12772 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41757 "gram.c" /* yacc.c:1652  */
    break;

  case 1853:
#line 12776 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 41763 "gram.c" /* yacc.c:1652  */
    break;

  case 1854:
#line 12777 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 41769 "gram.c" /* yacc.c:1652  */
    break;

  case 1855:
#line 12785 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 41782 "gram.c" /* yacc.c:1652  */
    break;

  case 1856:
#line 12794 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41794 "gram.c" /* yacc.c:1652  */
    break;

  case 1857:
#line 12802 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 41807 "gram.c" /* yacc.c:1652  */
    break;

  case 1858:
#line 12811 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41819 "gram.c" /* yacc.c:1652  */
    break;

  case 1859:
#line 12822 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41828 "gram.c" /* yacc.c:1652  */
    break;

  case 1860:
#line 12829 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 41834 "gram.c" /* yacc.c:1652  */
    break;

  case 1861:
#line 12830 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 41840 "gram.c" /* yacc.c:1652  */
    break;

  case 1862:
#line 12831 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 41846 "gram.c" /* yacc.c:1652  */
    break;

  case 1863:
#line 12836 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 41852 "gram.c" /* yacc.c:1652  */
    break;

  case 1864:
#line 12838 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 41858 "gram.c" /* yacc.c:1652  */
    break;

  case 1865:
#line 12840 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 41864 "gram.c" /* yacc.c:1652  */
    break;

  case 1866:
#line 12842 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 41870 "gram.c" /* yacc.c:1652  */
    break;

  case 1867:
#line 12844 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 41876 "gram.c" /* yacc.c:1652  */
    break;

  case 1868:
#line 12846 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41882 "gram.c" /* yacc.c:1652  */
    break;

  case 1869:
#line 12848 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 41891 "gram.c" /* yacc.c:1652  */
    break;

  case 1870:
#line 12853 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 41900 "gram.c" /* yacc.c:1652  */
    break;

  case 1871:
#line 12858 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 41910 "gram.c" /* yacc.c:1652  */
    break;

  case 1872:
#line 12864 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 41922 "gram.c" /* yacc.c:1652  */
    break;

  case 1873:
#line 12872 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 41931 "gram.c" /* yacc.c:1652  */
    break;

  case 1874:
#line 12877 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 41942 "gram.c" /* yacc.c:1652  */
    break;

  case 1875:
#line 12884 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 41952 "gram.c" /* yacc.c:1652  */
    break;

  case 1876:
#line 12890 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41958 "gram.c" /* yacc.c:1652  */
    break;

  case 1877:
#line 12895 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 41966 "gram.c" /* yacc.c:1652  */
    break;

  case 1878:
#line 12899 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 41975 "gram.c" /* yacc.c:1652  */
    break;

  case 1879:
#line 12934 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41981 "gram.c" /* yacc.c:1652  */
    break;

  case 1880:
#line 12936 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 41987 "gram.c" /* yacc.c:1652  */
    break;

  case 1881:
#line 12938 "gram.y" /* yacc.c:1652  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 41999 "gram.c" /* yacc.c:1652  */
    break;

  case 1882:
#line 12946 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 42009 "gram.c" /* yacc.c:1652  */
    break;

  case 1883:
#line 12961 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42015 "gram.c" /* yacc.c:1652  */
    break;

  case 1884:
#line 12963 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 42021 "gram.c" /* yacc.c:1652  */
    break;

  case 1885:
#line 12965 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42027 "gram.c" /* yacc.c:1652  */
    break;

  case 1886:
#line 12967 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42033 "gram.c" /* yacc.c:1652  */
    break;

  case 1887:
#line 12969 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42039 "gram.c" /* yacc.c:1652  */
    break;

  case 1888:
#line 12971 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42045 "gram.c" /* yacc.c:1652  */
    break;

  case 1889:
#line 12973 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42051 "gram.c" /* yacc.c:1652  */
    break;

  case 1890:
#line 12975 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42057 "gram.c" /* yacc.c:1652  */
    break;

  case 1891:
#line 12977 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42063 "gram.c" /* yacc.c:1652  */
    break;

  case 1892:
#line 12979 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42069 "gram.c" /* yacc.c:1652  */
    break;

  case 1893:
#line 12981 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42075 "gram.c" /* yacc.c:1652  */
    break;

  case 1894:
#line 12983 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42081 "gram.c" /* yacc.c:1652  */
    break;

  case 1895:
#line 12985 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42087 "gram.c" /* yacc.c:1652  */
    break;

  case 1896:
#line 12987 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42093 "gram.c" /* yacc.c:1652  */
    break;

  case 1897:
#line 12990 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42099 "gram.c" /* yacc.c:1652  */
    break;

  case 1898:
#line 12992 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42105 "gram.c" /* yacc.c:1652  */
    break;

  case 1899:
#line 12994 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 42111 "gram.c" /* yacc.c:1652  */
    break;

  case 1900:
#line 12997 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42117 "gram.c" /* yacc.c:1652  */
    break;

  case 1901:
#line 12999 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42123 "gram.c" /* yacc.c:1652  */
    break;

  case 1902:
#line 13001 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 42129 "gram.c" /* yacc.c:1652  */
    break;

  case 1903:
#line 13003 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 42135 "gram.c" /* yacc.c:1652  */
    break;

  case 1904:
#line 13006 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42144 "gram.c" /* yacc.c:1652  */
    break;

  case 1905:
#line 13011 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42156 "gram.c" /* yacc.c:1652  */
    break;

  case 1906:
#line 13019 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42165 "gram.c" /* yacc.c:1652  */
    break;

  case 1907:
#line 13024 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42177 "gram.c" /* yacc.c:1652  */
    break;

  case 1908:
#line 13032 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42186 "gram.c" /* yacc.c:1652  */
    break;

  case 1909:
#line 13037 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42198 "gram.c" /* yacc.c:1652  */
    break;

  case 1910:
#line 13045 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42207 "gram.c" /* yacc.c:1652  */
    break;

  case 1911:
#line 13050 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42219 "gram.c" /* yacc.c:1652  */
    break;

  case 1912:
#line 13059 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make1((yyvsp[0].node)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 42231 "gram.c" /* yacc.c:1652  */
    break;

  case 1913:
#line 13067 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42243 "gram.c" /* yacc.c:1652  */
    break;

  case 1914:
#line 13075 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make1((yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42255 "gram.c" /* yacc.c:1652  */
    break;

  case 1915:
#line 13083 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 42267 "gram.c" /* yacc.c:1652  */
    break;

  case 1916:
#line 13101 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42279 "gram.c" /* yacc.c:1652  */
    break;

  case 1917:
#line 13109 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42291 "gram.c" /* yacc.c:1652  */
    break;

  case 1918:
#line 13117 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 42303 "gram.c" /* yacc.c:1652  */
    break;

  case 1919:
#line 13125 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42315 "gram.c" /* yacc.c:1652  */
    break;

  case 1920:
#line 13133 "gram.y" /* yacc.c:1652  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 42335 "gram.c" /* yacc.c:1652  */
    break;

  case 1921:
#line 13149 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42347 "gram.c" /* yacc.c:1652  */
    break;

  case 1922:
#line 13157 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42359 "gram.c" /* yacc.c:1652  */
    break;

  case 1923:
#line 13165 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42371 "gram.c" /* yacc.c:1652  */
    break;

  case 1924:
#line 13173 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42383 "gram.c" /* yacc.c:1652  */
    break;

  case 1925:
#line 13181 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42395 "gram.c" /* yacc.c:1652  */
    break;

  case 1926:
#line 13189 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42407 "gram.c" /* yacc.c:1652  */
    break;

  case 1927:
#line 13197 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 42415 "gram.c" /* yacc.c:1652  */
    break;

  case 1928:
#line 13201 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 42423 "gram.c" /* yacc.c:1652  */
    break;

  case 1929:
#line 13205 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 42431 "gram.c" /* yacc.c:1652  */
    break;

  case 1930:
#line 13209 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 42439 "gram.c" /* yacc.c:1652  */
    break;

  case 1931:
#line 13213 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 42451 "gram.c" /* yacc.c:1652  */
    break;

  case 1932:
#line 13221 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 42463 "gram.c" /* yacc.c:1652  */
    break;

  case 1933:
#line 13229 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 42475 "gram.c" /* yacc.c:1652  */
    break;

  case 1934:
#line 13237 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 42487 "gram.c" /* yacc.c:1652  */
    break;

  case 1935:
#line 13245 "gram.y" /* yacc.c:1652  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 42511 "gram.c" /* yacc.c:1652  */
    break;

  case 1936:
#line 13265 "gram.y" /* yacc.c:1652  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 42537 "gram.c" /* yacc.c:1652  */
    break;

  case 1937:
#line 13287 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 42552 "gram.c" /* yacc.c:1652  */
    break;

  case 1938:
#line 13298 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 42563 "gram.c" /* yacc.c:1652  */
    break;

  case 1939:
#line 13305 "gram.y" /* yacc.c:1652  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 42583 "gram.c" /* yacc.c:1652  */
    break;

  case 1940:
#line 13321 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 42592 "gram.c" /* yacc.c:1652  */
    break;

  case 1941:
#line 13326 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 42602 "gram.c" /* yacc.c:1652  */
    break;

  case 1942:
#line 13332 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"), list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 42610 "gram.c" /* yacc.c:1652  */
    break;

  case 1943:
#line 13336 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"), list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))), (yylsp[-2]));
				}
#line 42618 "gram.c" /* yacc.c:1652  */
    break;

  case 1944:
#line 13340 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"), list_make1((yyvsp[-3].node)), (yylsp[-2])), (yylsp[-2]));
				}
#line 42626 "gram.c" /* yacc.c:1652  */
    break;

  case 1945:
#line 13344 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"), list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))), (yylsp[-3])), (yylsp[-3]));
				}
#line 42634 "gram.c" /* yacc.c:1652  */
    break;

  case 1946:
#line 13348 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42652 "gram.c" /* yacc.c:1652  */
    break;

  case 1947:
#line 13373 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42658 "gram.c" /* yacc.c:1652  */
    break;

  case 1948:
#line 13375 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 42664 "gram.c" /* yacc.c:1652  */
    break;

  case 1949:
#line 13377 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42670 "gram.c" /* yacc.c:1652  */
    break;

  case 1950:
#line 13379 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 42676 "gram.c" /* yacc.c:1652  */
    break;

  case 1951:
#line 13381 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42682 "gram.c" /* yacc.c:1652  */
    break;

  case 1952:
#line 13383 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42688 "gram.c" /* yacc.c:1652  */
    break;

  case 1953:
#line 13385 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42694 "gram.c" /* yacc.c:1652  */
    break;

  case 1954:
#line 13387 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42700 "gram.c" /* yacc.c:1652  */
    break;

  case 1955:
#line 13389 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42706 "gram.c" /* yacc.c:1652  */
    break;

  case 1956:
#line 13391 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42712 "gram.c" /* yacc.c:1652  */
    break;

  case 1957:
#line 13393 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42718 "gram.c" /* yacc.c:1652  */
    break;

  case 1958:
#line 13395 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42724 "gram.c" /* yacc.c:1652  */
    break;

  case 1959:
#line 13397 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42730 "gram.c" /* yacc.c:1652  */
    break;

  case 1960:
#line 13399 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42736 "gram.c" /* yacc.c:1652  */
    break;

  case 1961:
#line 13401 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42742 "gram.c" /* yacc.c:1652  */
    break;

  case 1962:
#line 13403 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42748 "gram.c" /* yacc.c:1652  */
    break;

  case 1963:
#line 13405 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42754 "gram.c" /* yacc.c:1652  */
    break;

  case 1964:
#line 13407 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42760 "gram.c" /* yacc.c:1652  */
    break;

  case 1965:
#line 13409 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 42766 "gram.c" /* yacc.c:1652  */
    break;

  case 1966:
#line 13411 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 42774 "gram.c" /* yacc.c:1652  */
    break;

  case 1967:
#line 13415 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 42782 "gram.c" /* yacc.c:1652  */
    break;

  case 1968:
#line 13419 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 42790 "gram.c" /* yacc.c:1652  */
    break;

  case 1969:
#line 13423 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 42798 "gram.c" /* yacc.c:1652  */
    break;

  case 1970:
#line 13427 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 42807 "gram.c" /* yacc.c:1652  */
    break;

  case 1971:
#line 13432 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 42817 "gram.c" /* yacc.c:1652  */
    break;

  case 1972:
#line 13447 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42823 "gram.c" /* yacc.c:1652  */
    break;

  case 1973:
#line 13448 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42829 "gram.c" /* yacc.c:1652  */
    break;

  case 1974:
#line 13450 "gram.y" /* yacc.c:1652  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 42848 "gram.c" /* yacc.c:1652  */
    break;

  case 1975:
#line 13465 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 42886 "gram.c" /* yacc.c:1652  */
    break;

  case 1976:
#line 13499 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42892 "gram.c" /* yacc.c:1652  */
    break;

  case 1977:
#line 13501 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42898 "gram.c" /* yacc.c:1652  */
    break;

  case 1978:
#line 13503 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42913 "gram.c" /* yacc.c:1652  */
    break;

  case 1979:
#line 13514 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 42941 "gram.c" /* yacc.c:1652  */
    break;

  case 1980:
#line 13538 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42956 "gram.c" /* yacc.c:1652  */
    break;

  case 1981:
#line 13549 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42971 "gram.c" /* yacc.c:1652  */
    break;

  case 1982:
#line 13560 "gram.y" /* yacc.c:1652  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42982 "gram.c" /* yacc.c:1652  */
    break;

  case 1983:
#line 13567 "gram.y" /* yacc.c:1652  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 42996 "gram.c" /* yacc.c:1652  */
    break;

  case 1984:
#line 13577 "gram.y" /* yacc.c:1652  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 43010 "gram.c" /* yacc.c:1652  */
    break;

  case 1985:
#line 13587 "gram.y" /* yacc.c:1652  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 43021 "gram.c" /* yacc.c:1652  */
    break;

  case 1986:
#line 13596 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 43029 "gram.c" /* yacc.c:1652  */
    break;

  case 1987:
#line 13600 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43039 "gram.c" /* yacc.c:1652  */
    break;

  case 1988:
#line 13606 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43050 "gram.c" /* yacc.c:1652  */
    break;

  case 1989:
#line 13613 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43061 "gram.c" /* yacc.c:1652  */
    break;

  case 1990:
#line 13620 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 43075 "gram.c" /* yacc.c:1652  */
    break;

  case 1991:
#line 13630 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *)n;
				}
#line 43086 "gram.c" /* yacc.c:1652  */
    break;

  case 1992:
#line 13637 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = true;
					(yyval.node) = (Node *)n;
				}
#line 43106 "gram.c" /* yacc.c:1652  */
    break;

  case 1993:
#line 13665 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 43145 "gram.c" /* yacc.c:1652  */
    break;

  case 1994:
#line 13700 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43151 "gram.c" /* yacc.c:1652  */
    break;

  case 1995:
#line 13710 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43157 "gram.c" /* yacc.c:1652  */
    break;

  case 1996:
#line 13711 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43163 "gram.c" /* yacc.c:1652  */
    break;

  case 1997:
#line 13719 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 43173 "gram.c" /* yacc.c:1652  */
    break;

  case 1998:
#line 13725 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 43181 "gram.c" /* yacc.c:1652  */
    break;

  case 1999:
#line 13729 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 43189 "gram.c" /* yacc.c:1652  */
    break;

  case 2000:
#line 13733 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43197 "gram.c" /* yacc.c:1652  */
    break;

  case 2001:
#line 13737 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 43205 "gram.c" /* yacc.c:1652  */
    break;

  case 2002:
#line 13741 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43213 "gram.c" /* yacc.c:1652  */
    break;

  case 2003:
#line 13745 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 43221 "gram.c" /* yacc.c:1652  */
    break;

  case 2004:
#line 13749 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43229 "gram.c" /* yacc.c:1652  */
    break;

  case 2005:
#line 13753 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 43237 "gram.c" /* yacc.c:1652  */
    break;

  case 2006:
#line 13757 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43245 "gram.c" /* yacc.c:1652  */
    break;

  case 2007:
#line 13761 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 43253 "gram.c" /* yacc.c:1652  */
    break;

  case 2008:
#line 13765 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 43261 "gram.c" /* yacc.c:1652  */
    break;

  case 2009:
#line 13769 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 43269 "gram.c" /* yacc.c:1652  */
    break;

  case 2010:
#line 13773 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 43277 "gram.c" /* yacc.c:1652  */
    break;

  case 2011:
#line 13777 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 43285 "gram.c" /* yacc.c:1652  */
    break;

  case 2012:
#line 13781 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 43293 "gram.c" /* yacc.c:1652  */
    break;

  case 2013:
#line 13785 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 43299 "gram.c" /* yacc.c:1652  */
    break;

  case 2014:
#line 13787 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43307 "gram.c" /* yacc.c:1652  */
    break;

  case 2015:
#line 13791 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"), list_make1((yyvsp[-1].node)), (yylsp[-3]));
				}
#line 43315 "gram.c" /* yacc.c:1652  */
    break;

  case 2016:
#line 13795 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"), list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))), (yylsp[-5]));
				}
#line 43323 "gram.c" /* yacc.c:1652  */
    break;

  case 2017:
#line 13799 "gram.y" /* yacc.c:1652  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43336 "gram.c" /* yacc.c:1652  */
    break;

  case 2018:
#line 13808 "gram.y" /* yacc.c:1652  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43345 "gram.c" /* yacc.c:1652  */
    break;

  case 2019:
#line 13813 "gram.y" /* yacc.c:1652  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43356 "gram.c" /* yacc.c:1652  */
    break;

  case 2020:
#line 13820 "gram.y" /* yacc.c:1652  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 43375 "gram.c" /* yacc.c:1652  */
    break;

  case 2021:
#line 13835 "gram.y" /* yacc.c:1652  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43386 "gram.c" /* yacc.c:1652  */
    break;

  case 2022:
#line 13842 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43394 "gram.c" /* yacc.c:1652  */
    break;

  case 2023:
#line 13846 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43402 "gram.c" /* yacc.c:1652  */
    break;

  case 2024:
#line 13850 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43410 "gram.c" /* yacc.c:1652  */
    break;

  case 2025:
#line 13854 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 43418 "gram.c" /* yacc.c:1652  */
    break;

  case 2026:
#line 13858 "gram.y" /* yacc.c:1652  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 43429 "gram.c" /* yacc.c:1652  */
    break;

  case 2027:
#line 13865 "gram.y" /* yacc.c:1652  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 43441 "gram.c" /* yacc.c:1652  */
    break;

  case 2028:
#line 13873 "gram.y" /* yacc.c:1652  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 43453 "gram.c" /* yacc.c:1652  */
    break;

  case 2029:
#line 13881 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43461 "gram.c" /* yacc.c:1652  */
    break;

  case 2030:
#line 13885 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 43469 "gram.c" /* yacc.c:1652  */
    break;

  case 2031:
#line 13889 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 43477 "gram.c" /* yacc.c:1652  */
    break;

  case 2032:
#line 13893 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 43485 "gram.c" /* yacc.c:1652  */
    break;

  case 2033:
#line 13897 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 43493 "gram.c" /* yacc.c:1652  */
    break;

  case 2034:
#line 13901 "gram.y" /* yacc.c:1652  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 43503 "gram.c" /* yacc.c:1652  */
    break;

  case 2035:
#line 13907 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 43511 "gram.c" /* yacc.c:1652  */
    break;

  case 2036:
#line 13911 "gram.y" /* yacc.c:1652  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 43524 "gram.c" /* yacc.c:1652  */
    break;

  case 2037:
#line 13920 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 43532 "gram.c" /* yacc.c:1652  */
    break;

  case 2038:
#line 13924 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 43540 "gram.c" /* yacc.c:1652  */
    break;

  case 2039:
#line 13928 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 43549 "gram.c" /* yacc.c:1652  */
    break;

  case 2040:
#line 13933 "gram.y" /* yacc.c:1652  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 43562 "gram.c" /* yacc.c:1652  */
    break;

  case 2041:
#line 13947 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43568 "gram.c" /* yacc.c:1652  */
    break;

  case 2042:
#line 13949 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNullAConst(-1); }
#line 43574 "gram.c" /* yacc.c:1652  */
    break;

  case 2043:
#line 13953 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 43580 "gram.c" /* yacc.c:1652  */
    break;

  case 2044:
#line 13955 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 43586 "gram.c" /* yacc.c:1652  */
    break;

  case 2045:
#line 13957 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 43592 "gram.c" /* yacc.c:1652  */
    break;

  case 2046:
#line 13959 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 43598 "gram.c" /* yacc.c:1652  */
    break;

  case 2047:
#line 13962 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43604 "gram.c" /* yacc.c:1652  */
    break;

  case 2048:
#line 13965 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43610 "gram.c" /* yacc.c:1652  */
    break;

  case 2049:
#line 13966 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 43616 "gram.c" /* yacc.c:1652  */
    break;

  case 2050:
#line 13970 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 43628 "gram.c" /* yacc.c:1652  */
    break;

  case 2051:
#line 13978 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 43640 "gram.c" /* yacc.c:1652  */
    break;

  case 2052:
#line 13987 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 43646 "gram.c" /* yacc.c:1652  */
    break;

  case 2053:
#line 13988 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 43652 "gram.c" /* yacc.c:1652  */
    break;

  case 2054:
#line 13991 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 43658 "gram.c" /* yacc.c:1652  */
    break;

  case 2055:
#line 13992 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 43664 "gram.c" /* yacc.c:1652  */
    break;

  case 2056:
#line 13993 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 43670 "gram.c" /* yacc.c:1652  */
    break;

  case 2057:
#line 13999 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 43678 "gram.c" /* yacc.c:1652  */
    break;

  case 2058:
#line 14003 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 43686 "gram.c" /* yacc.c:1652  */
    break;

  case 2059:
#line 14007 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 43694 "gram.c" /* yacc.c:1652  */
    break;

  case 2060:
#line 14011 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 43702 "gram.c" /* yacc.c:1652  */
    break;

  case 2063:
#line 14026 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43708 "gram.c" /* yacc.c:1652  */
    break;

  case 2064:
#line 14027 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 43714 "gram.c" /* yacc.c:1652  */
    break;

  case 2065:
#line 14031 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 43720 "gram.c" /* yacc.c:1652  */
    break;

  case 2066:
#line 14032 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 43726 "gram.c" /* yacc.c:1652  */
    break;

  case 2067:
#line 14040 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43732 "gram.c" /* yacc.c:1652  */
    break;

  case 2068:
#line 14041 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 43738 "gram.c" /* yacc.c:1652  */
    break;

  case 2069:
#line 14045 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 43744 "gram.c" /* yacc.c:1652  */
    break;

  case 2070:
#line 14047 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 43750 "gram.c" /* yacc.c:1652  */
    break;

  case 2071:
#line 14052 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 43760 "gram.c" /* yacc.c:1652  */
    break;

  case 2072:
#line 14060 "gram.y" /* yacc.c:1652  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 43766 "gram.c" /* yacc.c:1652  */
    break;

  case 2073:
#line 14062 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 43783 "gram.c" /* yacc.c:1652  */
    break;

  case 2074:
#line 14075 "gram.y" /* yacc.c:1652  */
    { (yyval.windef) = NULL; }
#line 43789 "gram.c" /* yacc.c:1652  */
    break;

  case 2075:
#line 14080 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 43807 "gram.c" /* yacc.c:1652  */
    break;

  case 2076:
#line 14105 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43813 "gram.c" /* yacc.c:1652  */
    break;

  case 2077:
#line 14106 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 43819 "gram.c" /* yacc.c:1652  */
    break;

  case 2078:
#line 14109 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43825 "gram.c" /* yacc.c:1652  */
    break;

  case 2079:
#line 14110 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 43831 "gram.c" /* yacc.c:1652  */
    break;

  case 2080:
#line 14119 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 43842 "gram.c" /* yacc.c:1652  */
    break;

  case 2081:
#line 14126 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 43853 "gram.c" /* yacc.c:1652  */
    break;

  case 2082:
#line 14133 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 43864 "gram.c" /* yacc.c:1652  */
    break;

  case 2083:
#line 14140 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43876 "gram.c" /* yacc.c:1652  */
    break;

  case 2084:
#line 14150 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 43897 "gram.c" /* yacc.c:1652  */
    break;

  case 2085:
#line 14167 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 43938 "gram.c" /* yacc.c:1652  */
    break;

  case 2086:
#line 14212 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43950 "gram.c" /* yacc.c:1652  */
    break;

  case 2087:
#line 14220 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43962 "gram.c" /* yacc.c:1652  */
    break;

  case 2088:
#line 14228 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43974 "gram.c" /* yacc.c:1652  */
    break;

  case 2089:
#line 14236 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43986 "gram.c" /* yacc.c:1652  */
    break;

  case 2090:
#line 14244 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43998 "gram.c" /* yacc.c:1652  */
    break;

  case 2091:
#line 14254 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 44004 "gram.c" /* yacc.c:1652  */
    break;

  case 2092:
#line 14255 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 44010 "gram.c" /* yacc.c:1652  */
    break;

  case 2093:
#line 14256 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 44016 "gram.c" /* yacc.c:1652  */
    break;

  case 2094:
#line 14257 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 44022 "gram.c" /* yacc.c:1652  */
    break;

  case 2095:
#line 14258 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 44028 "gram.c" /* yacc.c:1652  */
    break;

  case 2096:
#line 14272 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44034 "gram.c" /* yacc.c:1652  */
    break;

  case 2097:
#line 14273 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44040 "gram.c" /* yacc.c:1652  */
    break;

  case 2098:
#line 14274 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 44046 "gram.c" /* yacc.c:1652  */
    break;

  case 2099:
#line 14277 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44052 "gram.c" /* yacc.c:1652  */
    break;

  case 2100:
#line 14278 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44058 "gram.c" /* yacc.c:1652  */
    break;

  case 2101:
#line 14281 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 44064 "gram.c" /* yacc.c:1652  */
    break;

  case 2102:
#line 14284 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 44070 "gram.c" /* yacc.c:1652  */
    break;

  case 2103:
#line 14285 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 44076 "gram.c" /* yacc.c:1652  */
    break;

  case 2104:
#line 14286 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 44082 "gram.c" /* yacc.c:1652  */
    break;

  case 2105:
#line 14289 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44088 "gram.c" /* yacc.c:1652  */
    break;

  case 2106:
#line 14290 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44094 "gram.c" /* yacc.c:1652  */
    break;

  case 2107:
#line 14293 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "+"; }
#line 44100 "gram.c" /* yacc.c:1652  */
    break;

  case 2108:
#line 14294 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "-"; }
#line 44106 "gram.c" /* yacc.c:1652  */
    break;

  case 2109:
#line 14295 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "*"; }
#line 44112 "gram.c" /* yacc.c:1652  */
    break;

  case 2110:
#line 14296 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "/"; }
#line 44118 "gram.c" /* yacc.c:1652  */
    break;

  case 2111:
#line 14297 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "%"; }
#line 44124 "gram.c" /* yacc.c:1652  */
    break;

  case 2112:
#line 14298 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "^"; }
#line 44130 "gram.c" /* yacc.c:1652  */
    break;

  case 2113:
#line 14299 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<"; }
#line 44136 "gram.c" /* yacc.c:1652  */
    break;

  case 2114:
#line 14300 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = ">"; }
#line 44142 "gram.c" /* yacc.c:1652  */
    break;

  case 2115:
#line 14301 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "="; }
#line 44148 "gram.c" /* yacc.c:1652  */
    break;

  case 2116:
#line 14302 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<="; }
#line 44154 "gram.c" /* yacc.c:1652  */
    break;

  case 2117:
#line 14303 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = ">="; }
#line 44160 "gram.c" /* yacc.c:1652  */
    break;

  case 2118:
#line 14304 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<>"; }
#line 44166 "gram.c" /* yacc.c:1652  */
    break;

  case 2119:
#line 14308 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44172 "gram.c" /* yacc.c:1652  */
    break;

  case 2120:
#line 14310 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44178 "gram.c" /* yacc.c:1652  */
    break;

  case 2121:
#line 14315 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44184 "gram.c" /* yacc.c:1652  */
    break;

  case 2122:
#line 14317 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44190 "gram.c" /* yacc.c:1652  */
    break;

  case 2123:
#line 14322 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44196 "gram.c" /* yacc.c:1652  */
    break;

  case 2124:
#line 14324 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44202 "gram.c" /* yacc.c:1652  */
    break;

  case 2125:
#line 14326 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 44208 "gram.c" /* yacc.c:1652  */
    break;

  case 2126:
#line 14328 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 44214 "gram.c" /* yacc.c:1652  */
    break;

  case 2127:
#line 14330 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 44220 "gram.c" /* yacc.c:1652  */
    break;

  case 2128:
#line 14332 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 44226 "gram.c" /* yacc.c:1652  */
    break;

  case 2129:
#line 14344 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 44234 "gram.c" /* yacc.c:1652  */
    break;

  case 2130:
#line 14348 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 44242 "gram.c" /* yacc.c:1652  */
    break;

  case 2131:
#line 14355 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 44250 "gram.c" /* yacc.c:1652  */
    break;

  case 2132:
#line 14359 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 44258 "gram.c" /* yacc.c:1652  */
    break;

  case 2133:
#line 14365 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44266 "gram.c" /* yacc.c:1652  */
    break;

  case 2134:
#line 14369 "gram.y" /* yacc.c:1652  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 44279 "gram.c" /* yacc.c:1652  */
    break;

  case 2135:
#line 14378 "gram.y" /* yacc.c:1652  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 44292 "gram.c" /* yacc.c:1652  */
    break;

  case 2136:
#line 14388 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 44298 "gram.c" /* yacc.c:1652  */
    break;

  case 2137:
#line 14389 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 44304 "gram.c" /* yacc.c:1652  */
    break;

  case 2138:
#line 14393 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 44312 "gram.c" /* yacc.c:1652  */
    break;

  case 2139:
#line 14397 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 44320 "gram.c" /* yacc.c:1652  */
    break;

  case 2140:
#line 14401 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 44328 "gram.c" /* yacc.c:1652  */
    break;

  case 2141:
#line 14406 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44334 "gram.c" /* yacc.c:1652  */
    break;

  case 2142:
#line 14407 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44340 "gram.c" /* yacc.c:1652  */
    break;

  case 2143:
#line 14413 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 44348 "gram.c" /* yacc.c:1652  */
    break;

  case 2144:
#line 14416 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44354 "gram.c" /* yacc.c:1652  */
    break;

  case 2145:
#line 14423 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44360 "gram.c" /* yacc.c:1652  */
    break;

  case 2146:
#line 14424 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "year"; }
#line 44366 "gram.c" /* yacc.c:1652  */
    break;

  case 2147:
#line 14425 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "month"; }
#line 44372 "gram.c" /* yacc.c:1652  */
    break;

  case 2148:
#line 14426 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "day"; }
#line 44378 "gram.c" /* yacc.c:1652  */
    break;

  case 2149:
#line 14427 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "hour"; }
#line 44384 "gram.c" /* yacc.c:1652  */
    break;

  case 2150:
#line 14428 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "minute"; }
#line 44390 "gram.c" /* yacc.c:1652  */
    break;

  case 2151:
#line 14429 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "second"; }
#line 44396 "gram.c" /* yacc.c:1652  */
    break;

  case 2152:
#line 14430 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44402 "gram.c" /* yacc.c:1652  */
    break;

  case 2153:
#line 14434 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "nfc"; }
#line 44408 "gram.c" /* yacc.c:1652  */
    break;

  case 2154:
#line 14435 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "nfd"; }
#line 44414 "gram.c" /* yacc.c:1652  */
    break;

  case 2155:
#line 14436 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "nfkc"; }
#line 44420 "gram.c" /* yacc.c:1652  */
    break;

  case 2156:
#line 14437 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "nfkd"; }
#line 44426 "gram.c" /* yacc.c:1652  */
    break;

  case 2157:
#line 14448 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44434 "gram.c" /* yacc.c:1652  */
    break;

  case 2158:
#line 14452 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44442 "gram.c" /* yacc.c:1652  */
    break;

  case 2159:
#line 14459 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44448 "gram.c" /* yacc.c:1652  */
    break;

  case 2160:
#line 14465 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 44454 "gram.c" /* yacc.c:1652  */
    break;

  case 2161:
#line 14466 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44460 "gram.c" /* yacc.c:1652  */
    break;

  case 2162:
#line 14483 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44468 "gram.c" /* yacc.c:1652  */
    break;

  case 2163:
#line 14487 "gram.y" /* yacc.c:1652  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 44477 "gram.c" /* yacc.c:1652  */
    break;

  case 2164:
#line 14492 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44485 "gram.c" /* yacc.c:1652  */
    break;

  case 2165:
#line 14496 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 44504 "gram.c" /* yacc.c:1652  */
    break;

  case 2166:
#line 14511 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 44512 "gram.c" /* yacc.c:1652  */
    break;

  case 2167:
#line 14515 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44518 "gram.c" /* yacc.c:1652  */
    break;

  case 2168:
#line 14519 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44524 "gram.c" /* yacc.c:1652  */
    break;

  case 2169:
#line 14522 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44530 "gram.c" /* yacc.c:1652  */
    break;

  case 2170:
#line 14525 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 44536 "gram.c" /* yacc.c:1652  */
    break;

  case 2171:
#line 14526 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44542 "gram.c" /* yacc.c:1652  */
    break;

  case 2172:
#line 14527 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44548 "gram.c" /* yacc.c:1652  */
    break;

  case 2173:
#line 14531 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 44559 "gram.c" /* yacc.c:1652  */
    break;

  case 2174:
#line 14537 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 44565 "gram.c" /* yacc.c:1652  */
    break;

  case 2175:
#line 14548 "gram.y" /* yacc.c:1652  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 44579 "gram.c" /* yacc.c:1652  */
    break;

  case 2176:
#line 14561 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44585 "gram.c" /* yacc.c:1652  */
    break;

  case 2177:
#line 14562 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 44591 "gram.c" /* yacc.c:1652  */
    break;

  case 2178:
#line 14567 "gram.y" /* yacc.c:1652  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 44603 "gram.c" /* yacc.c:1652  */
    break;

  case 2179:
#line 14577 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44609 "gram.c" /* yacc.c:1652  */
    break;

  case 2180:
#line 14578 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 44615 "gram.c" /* yacc.c:1652  */
    break;

  case 2181:
#line 14581 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44621 "gram.c" /* yacc.c:1652  */
    break;

  case 2182:
#line 14582 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 44627 "gram.c" /* yacc.c:1652  */
    break;

  case 2183:
#line 14586 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 44635 "gram.c" /* yacc.c:1652  */
    break;

  case 2184:
#line 14590 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 44643 "gram.c" /* yacc.c:1652  */
    break;

  case 2185:
#line 14597 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 44651 "gram.c" /* yacc.c:1652  */
    break;

  case 2186:
#line 14601 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 44659 "gram.c" /* yacc.c:1652  */
    break;

  case 2187:
#line 14605 "gram.y" /* yacc.c:1652  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 44671 "gram.c" /* yacc.c:1652  */
    break;

  case 2188:
#line 14613 "gram.y" /* yacc.c:1652  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 44683 "gram.c" /* yacc.c:1652  */
    break;

  case 2189:
#line 14623 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44689 "gram.c" /* yacc.c:1652  */
    break;

  case 2190:
#line 14624 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 44695 "gram.c" /* yacc.c:1652  */
    break;

  case 2191:
#line 14628 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44701 "gram.c" /* yacc.c:1652  */
    break;

  case 2192:
#line 14629 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 44707 "gram.c" /* yacc.c:1652  */
    break;

  case 2193:
#line 14633 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44713 "gram.c" /* yacc.c:1652  */
    break;

  case 2194:
#line 14634 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 44719 "gram.c" /* yacc.c:1652  */
    break;

  case 2197:
#line 14648 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44725 "gram.c" /* yacc.c:1652  */
    break;

  case 2198:
#line 14649 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44731 "gram.c" /* yacc.c:1652  */
    break;

  case 2199:
#line 14653 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44737 "gram.c" /* yacc.c:1652  */
    break;

  case 2200:
#line 14654 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44743 "gram.c" /* yacc.c:1652  */
    break;

  case 2201:
#line 14658 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 44755 "gram.c" /* yacc.c:1652  */
    break;

  case 2202:
#line 14674 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44767 "gram.c" /* yacc.c:1652  */
    break;

  case 2203:
#line 14682 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 44779 "gram.c" /* yacc.c:1652  */
    break;

  case 2204:
#line 14690 "gram.y" /* yacc.c:1652  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 44795 "gram.c" /* yacc.c:1652  */
    break;

  case 2205:
#line 14711 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 44801 "gram.c" /* yacc.c:1652  */
    break;

  case 2206:
#line 14712 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 44807 "gram.c" /* yacc.c:1652  */
    break;

  case 2207:
#line 14724 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 44815 "gram.c" /* yacc.c:1652  */
    break;

  case 2208:
#line 14728 "gram.y" /* yacc.c:1652  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 44844 "gram.c" /* yacc.c:1652  */
    break;

  case 2209:
#line 14755 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44850 "gram.c" /* yacc.c:1652  */
    break;

  case 2210:
#line 14757 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 44856 "gram.c" /* yacc.c:1652  */
    break;

  case 2211:
#line 14761 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44862 "gram.c" /* yacc.c:1652  */
    break;

  case 2212:
#line 14763 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44868 "gram.c" /* yacc.c:1652  */
    break;

  case 2213:
#line 14765 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44874 "gram.c" /* yacc.c:1652  */
    break;

  case 2214:
#line 14776 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44880 "gram.c" /* yacc.c:1652  */
    break;

  case 2215:
#line 14778 "gram.y" /* yacc.c:1652  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 44889 "gram.c" /* yacc.c:1652  */
    break;

  case 2216:
#line 14789 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 44897 "gram.c" /* yacc.c:1652  */
    break;

  case 2217:
#line 14793 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44905 "gram.c" /* yacc.c:1652  */
    break;

  case 2218:
#line 14797 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44913 "gram.c" /* yacc.c:1652  */
    break;

  case 2219:
#line 14801 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44921 "gram.c" /* yacc.c:1652  */
    break;

  case 2220:
#line 14805 "gram.y" /* yacc.c:1652  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44934 "gram.c" /* yacc.c:1652  */
    break;

  case 2221:
#line 14814 "gram.y" /* yacc.c:1652  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 44945 "gram.c" /* yacc.c:1652  */
    break;

  case 2222:
#line 14821 "gram.y" /* yacc.c:1652  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 44981 "gram.c" /* yacc.c:1652  */
    break;

  case 2223:
#line 14853 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 44989 "gram.c" /* yacc.c:1652  */
    break;

  case 2224:
#line 14857 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 44999 "gram.c" /* yacc.c:1652  */
    break;

  case 2225:
#line 14863 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45010 "gram.c" /* yacc.c:1652  */
    break;

  case 2226:
#line 14870 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 45018 "gram.c" /* yacc.c:1652  */
    break;

  case 2227:
#line 14874 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 45026 "gram.c" /* yacc.c:1652  */
    break;

  case 2228:
#line 14878 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45034 "gram.c" /* yacc.c:1652  */
    break;

  case 2229:
#line 14883 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 45040 "gram.c" /* yacc.c:1652  */
    break;

  case 2230:
#line 14884 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45046 "gram.c" /* yacc.c:1652  */
    break;

  case 2231:
#line 14886 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 45052 "gram.c" /* yacc.c:1652  */
    break;

  case 2232:
#line 14887 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 45058 "gram.c" /* yacc.c:1652  */
    break;

  case 2233:
#line 14888 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 45064 "gram.c" /* yacc.c:1652  */
    break;

  case 2234:
#line 14893 "gram.y" /* yacc.c:1652  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 45099 "gram.c" /* yacc.c:1652  */
    break;

  case 2235:
#line 14926 "gram.y" /* yacc.c:1652  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 45130 "gram.c" /* yacc.c:1652  */
    break;

  case 2236:
#line 14953 "gram.y" /* yacc.c:1652  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 45138 "gram.c" /* yacc.c:1652  */
    break;

  case 2237:
#line 14957 "gram.y" /* yacc.c:1652  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 45146 "gram.c" /* yacc.c:1652  */
    break;

  case 2238:
#line 14963 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 45152 "gram.c" /* yacc.c:1652  */
    break;

  case 2239:
#line 14965 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 45158 "gram.c" /* yacc.c:1652  */
    break;

  case 2240:
#line 14981 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45164 "gram.c" /* yacc.c:1652  */
    break;

  case 2241:
#line 14982 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45170 "gram.c" /* yacc.c:1652  */
    break;

  case 2242:
#line 14983 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45176 "gram.c" /* yacc.c:1652  */
    break;

  case 2243:
#line 14988 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45182 "gram.c" /* yacc.c:1652  */
    break;

  case 2244:
#line 14989 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45188 "gram.c" /* yacc.c:1652  */
    break;

  case 2245:
#line 14990 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45194 "gram.c" /* yacc.c:1652  */
    break;

  case 2246:
#line 14995 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45200 "gram.c" /* yacc.c:1652  */
    break;

  case 2247:
#line 14996 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45206 "gram.c" /* yacc.c:1652  */
    break;

  case 2248:
#line 14997 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45212 "gram.c" /* yacc.c:1652  */
    break;

  case 2249:
#line 14998 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45218 "gram.c" /* yacc.c:1652  */
    break;

  case 2250:
#line 15004 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45224 "gram.c" /* yacc.c:1652  */
    break;

  case 2251:
#line 15005 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45230 "gram.c" /* yacc.c:1652  */
    break;

  case 2252:
#line 15006 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45236 "gram.c" /* yacc.c:1652  */
    break;

  case 2253:
#line 15007 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45242 "gram.c" /* yacc.c:1652  */
    break;

  case 2254:
#line 15008 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45248 "gram.c" /* yacc.c:1652  */
    break;


#line 45252 "gram.c" /* yacc.c:1652  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15515 "gram.y" /* yacc.c:1918  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause && limitClause->limitOption != LIMIT_OPTION_DEFAULT)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES options can not be specified without ORDER BY clause")));
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
