/* A Bison parser, made by GNU Bison 3.3.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2019 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Undocumented macros, especially those whose name start with YY_,
   are private implementation details.  Do not rely on them.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.3.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* First part of user prologue.  */
#line 5 "preproc.y" /* yacc.c:337  */

#include "postgres_fe.h"

#include "preproc_extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;
static int	bytea_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return res_str;
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return res_str;
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return result;
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_bytea &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 653 "preproc.c" /* yacc.c:337  */
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CARDINALITY = 262,
    SQL_CONNECT = 263,
    SQL_COUNT = 264,
    SQL_DATETIME_INTERVAL_CODE = 265,
    SQL_DATETIME_INTERVAL_PRECISION = 266,
    SQL_DESCRIBE = 267,
    SQL_DESCRIPTOR = 268,
    SQL_DISCONNECT = 269,
    SQL_FOUND = 270,
    SQL_FREE = 271,
    SQL_GET = 272,
    SQL_GO = 273,
    SQL_GOTO = 274,
    SQL_IDENTIFIED = 275,
    SQL_INDICATOR = 276,
    SQL_KEY_MEMBER = 277,
    SQL_LENGTH = 278,
    SQL_LONG = 279,
    SQL_NULLABLE = 280,
    SQL_OCTET_LENGTH = 281,
    SQL_OPEN = 282,
    SQL_OUTPUT = 283,
    SQL_REFERENCE = 284,
    SQL_RETURNED_LENGTH = 285,
    SQL_RETURNED_OCTET_LENGTH = 286,
    SQL_SCALE = 287,
    SQL_SECTION = 288,
    SQL_SHORT = 289,
    SQL_SIGNED = 290,
    SQL_SQLERROR = 291,
    SQL_SQLPRINT = 292,
    SQL_SQLWARNING = 293,
    SQL_START = 294,
    SQL_STOP = 295,
    SQL_STRUCT = 296,
    SQL_UNSIGNED = 297,
    SQL_VAR = 298,
    SQL_WHENEVER = 299,
    S_ADD = 300,
    S_AND = 301,
    S_ANYTHING = 302,
    S_AUTO = 303,
    S_CONST = 304,
    S_DEC = 305,
    S_DIV = 306,
    S_DOTPOINT = 307,
    S_EQUAL = 308,
    S_EXTERN = 309,
    S_INC = 310,
    S_LSHIFT = 311,
    S_MEMPOINT = 312,
    S_MEMBER = 313,
    S_MOD = 314,
    S_MUL = 315,
    S_NEQUAL = 316,
    S_OR = 317,
    S_REGISTER = 318,
    S_RSHIFT = 319,
    S_STATIC = 320,
    S_SUB = 321,
    S_VOLATILE = 322,
    S_TYPEDEF = 323,
    CSTRING = 324,
    CVARIABLE = 325,
    CPP_LINE = 326,
    IP = 327,
    IDENT = 328,
    UIDENT = 329,
    FCONST = 330,
    SCONST = 331,
    USCONST = 332,
    BCONST = 333,
    XCONST = 334,
    Op = 335,
    ICONST = 336,
    PARAM = 337,
    TYPECAST = 338,
    DOT_DOT = 339,
    COLON_EQUALS = 340,
    EQUALS_GREATER = 341,
    LESS_EQUALS = 342,
    GREATER_EQUALS = 343,
    NOT_EQUALS = 344,
    ABORT_P = 345,
    ABSOLUTE_P = 346,
    ACCESS = 347,
    ACTION = 348,
    ADD_P = 349,
    ADMIN = 350,
    AFTER = 351,
    AGGREGATE = 352,
    ALL = 353,
    ALSO = 354,
    ALTER = 355,
    ALWAYS = 356,
    ANALYSE = 357,
    ANALYZE = 358,
    AND = 359,
    ANY = 360,
    ARRAY = 361,
    AS = 362,
    ASC = 363,
    ASSERTION = 364,
    ASSIGNMENT = 365,
    ASYMMETRIC = 366,
    AT = 367,
    ATTACH = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALL = 382,
    CALLED = 383,
    CASCADE = 384,
    CASCADED = 385,
    CASE = 386,
    CAST = 387,
    CATALOG_P = 388,
    CHAIN = 389,
    CHAR_P = 390,
    CHARACTER = 391,
    CHARACTERISTICS = 392,
    CHECK = 393,
    CHECKPOINT = 394,
    CLASS = 395,
    CLOSE = 396,
    CLUSTER = 397,
    COALESCE = 398,
    COLLATE = 399,
    COLLATION = 400,
    COLUMN = 401,
    COLUMNS = 402,
    COMMENT = 403,
    COMMENTS = 404,
    COMMIT = 405,
    COMMITTED = 406,
    CONCURRENTLY = 407,
    CONFIGURATION = 408,
    CONFLICT = 409,
    CONNECTION = 410,
    CONSTRAINT = 411,
    CONSTRAINTS = 412,
    CONTENT_P = 413,
    CONTINUE_P = 414,
    CONVERSION_P = 415,
    COPY = 416,
    COST = 417,
    CREATE = 418,
    CROSS = 419,
    CSV = 420,
    CUBE = 421,
    CURRENT_P = 422,
    CURRENT_CATALOG = 423,
    CURRENT_DATE = 424,
    CURRENT_ROLE = 425,
    CURRENT_SCHEMA = 426,
    CURRENT_TIME = 427,
    CURRENT_TIMESTAMP = 428,
    CURRENT_USER = 429,
    CURSOR = 430,
    CYCLE = 431,
    DATA_P = 432,
    DATABASE = 433,
    DAY_P = 434,
    DEALLOCATE = 435,
    DEC = 436,
    DECIMAL_P = 437,
    DECLARE = 438,
    DEFAULT = 439,
    DEFAULTS = 440,
    DEFERRABLE = 441,
    DEFERRED = 442,
    DEFINER = 443,
    DELETE_P = 444,
    DELIMITER = 445,
    DELIMITERS = 446,
    DEPENDS = 447,
    DESC = 448,
    DETACH = 449,
    DICTIONARY = 450,
    DISABLE_P = 451,
    DISCARD = 452,
    DISTINCT = 453,
    DO = 454,
    DOCUMENT_P = 455,
    DOMAIN_P = 456,
    DOUBLE_P = 457,
    DROP = 458,
    EACH = 459,
    ELSE = 460,
    ENABLE_P = 461,
    ENCODING = 462,
    ENCRYPTED = 463,
    END_P = 464,
    ENUM_P = 465,
    ESCAPE = 466,
    EVENT = 467,
    EXCEPT = 468,
    EXCLUDE = 469,
    EXCLUDING = 470,
    EXCLUSIVE = 471,
    EXECUTE = 472,
    EXISTS = 473,
    EXPLAIN = 474,
    EXPRESSION = 475,
    EXTENSION = 476,
    EXTERNAL = 477,
    EXTRACT = 478,
    FALSE_P = 479,
    FAMILY = 480,
    FETCH = 481,
    FILTER = 482,
    FIRST_P = 483,
    FLOAT_P = 484,
    FOLLOWING = 485,
    FOR = 486,
    FORCE = 487,
    FOREIGN = 488,
    FORWARD = 489,
    FREEZE = 490,
    FROM = 491,
    FULL = 492,
    FUNCTION = 493,
    FUNCTIONS = 494,
    GENERATED = 495,
    GLOBAL = 496,
    GRANT = 497,
    GRANTED = 498,
    GREATEST = 499,
    GROUP_P = 500,
    GROUPING = 501,
    GROUPS = 502,
    HANDLER = 503,
    HAVING = 504,
    HEADER_P = 505,
    HOLD = 506,
    HOUR_P = 507,
    IDENTITY_P = 508,
    IF_P = 509,
    ILIKE = 510,
    IMMEDIATE = 511,
    IMMUTABLE = 512,
    IMPLICIT_P = 513,
    IMPORT_P = 514,
    IN_P = 515,
    INCLUDE = 516,
    INCLUDING = 517,
    INCREMENT = 518,
    INDEX = 519,
    INDEXES = 520,
    INHERIT = 521,
    INHERITS = 522,
    INITIALLY = 523,
    INLINE_P = 524,
    INNER_P = 525,
    INOUT = 526,
    INPUT_P = 527,
    INSENSITIVE = 528,
    INSERT = 529,
    INSTEAD = 530,
    INT_P = 531,
    INTEGER = 532,
    INTERSECT = 533,
    INTERVAL = 534,
    INTO = 535,
    INVOKER = 536,
    IS = 537,
    ISNULL = 538,
    ISOLATION = 539,
    JOIN = 540,
    KEY = 541,
    LABEL = 542,
    LANGUAGE = 543,
    LARGE_P = 544,
    LAST_P = 545,
    LATERAL_P = 546,
    LEADING = 547,
    LEAKPROOF = 548,
    LEAST = 549,
    LEFT = 550,
    LEVEL = 551,
    LIKE = 552,
    LIMIT = 553,
    LISTEN = 554,
    LOAD = 555,
    LOCAL = 556,
    LOCALTIME = 557,
    LOCALTIMESTAMP = 558,
    LOCATION = 559,
    LOCK_P = 560,
    LOCKED = 561,
    LOGGED = 562,
    MAPPING = 563,
    MATCH = 564,
    MATERIALIZED = 565,
    MAXVALUE = 566,
    METHOD = 567,
    MINUTE_P = 568,
    MINVALUE = 569,
    MODE = 570,
    MONTH_P = 571,
    MOVE = 572,
    NAME_P = 573,
    NAMES = 574,
    NATIONAL = 575,
    NATURAL = 576,
    NCHAR = 577,
    NEW = 578,
    NEXT = 579,
    NFC = 580,
    NFD = 581,
    NFKC = 582,
    NFKD = 583,
    NO = 584,
    NONE = 585,
    NORMALIZE = 586,
    NORMALIZED = 587,
    NOT = 588,
    NOTHING = 589,
    NOTIFY = 590,
    NOTNULL = 591,
    NOWAIT = 592,
    NULL_P = 593,
    NULLIF = 594,
    NULLS_P = 595,
    NUMERIC = 596,
    OBJECT_P = 597,
    OF = 598,
    OFF = 599,
    OFFSET = 600,
    OIDS = 601,
    OLD = 602,
    ON = 603,
    ONLY = 604,
    OPERATOR = 605,
    OPTION = 606,
    OPTIONS = 607,
    OR = 608,
    ORDER = 609,
    ORDINALITY = 610,
    OTHERS = 611,
    OUT_P = 612,
    OUTER_P = 613,
    OVER = 614,
    OVERLAPS = 615,
    OVERLAY = 616,
    OVERRIDING = 617,
    OWNED = 618,
    OWNER = 619,
    PARALLEL = 620,
    PARSER = 621,
    PARTIAL = 622,
    PARTITION = 623,
    PASSING = 624,
    PASSWORD = 625,
    PLACING = 626,
    PLANS = 627,
    POLICY = 628,
    POSITION = 629,
    PRECEDING = 630,
    PRECISION = 631,
    PRESERVE = 632,
    PREPARE = 633,
    PREPARED = 634,
    PRIMARY = 635,
    PRIOR = 636,
    PRIVILEGES = 637,
    PROCEDURAL = 638,
    PROCEDURE = 639,
    PROCEDURES = 640,
    PROGRAM = 641,
    PUBLICATION = 642,
    QUOTE = 643,
    RANGE = 644,
    READ = 645,
    REAL = 646,
    REASSIGN = 647,
    RECHECK = 648,
    RECURSIVE = 649,
    REF = 650,
    REFERENCES = 651,
    REFERENCING = 652,
    REFRESH = 653,
    REINDEX = 654,
    RELATIVE_P = 655,
    RELEASE = 656,
    RENAME = 657,
    REPEATABLE = 658,
    REPLACE = 659,
    REPLICA = 660,
    RESET = 661,
    RESTART = 662,
    RESTRICT = 663,
    RETURNING = 664,
    RETURNS = 665,
    REVOKE = 666,
    RIGHT = 667,
    ROLE = 668,
    ROLLBACK = 669,
    ROLLUP = 670,
    ROUTINE = 671,
    ROUTINES = 672,
    ROW = 673,
    ROWS = 674,
    RULE = 675,
    SAVEPOINT = 676,
    SCHEMA = 677,
    SCHEMAS = 678,
    SCROLL = 679,
    SEARCH = 680,
    SECOND_P = 681,
    SECURITY = 682,
    SELECT = 683,
    SEQUENCE = 684,
    SEQUENCES = 685,
    SERIALIZABLE = 686,
    SERVER = 687,
    SESSION = 688,
    SESSION_USER = 689,
    SET = 690,
    SETS = 691,
    SETOF = 692,
    SHARE = 693,
    SHOW = 694,
    SIMILAR = 695,
    SIMPLE = 696,
    SKIP = 697,
    SMALLINT = 698,
    SNAPSHOT = 699,
    SOME = 700,
    SQL_P = 701,
    STABLE = 702,
    STANDALONE_P = 703,
    START = 704,
    STATEMENT = 705,
    STATISTICS = 706,
    STDIN = 707,
    STDOUT = 708,
    STORAGE = 709,
    STORED = 710,
    STRICT_P = 711,
    STRIP_P = 712,
    SUBSCRIPTION = 713,
    SUBSTRING = 714,
    SUPPORT = 715,
    SYMMETRIC = 716,
    SYSID = 717,
    SYSTEM_P = 718,
    TABLE = 719,
    TABLES = 720,
    TABLESAMPLE = 721,
    TABLESPACE = 722,
    TEMP = 723,
    TEMPLATE = 724,
    TEMPORARY = 725,
    TEXT_P = 726,
    THEN = 727,
    TIES = 728,
    TIME = 729,
    TIMESTAMP = 730,
    TO = 731,
    TRAILING = 732,
    TRANSACTION = 733,
    TRANSFORM = 734,
    TREAT = 735,
    TRIGGER = 736,
    TRIM = 737,
    TRUE_P = 738,
    TRUNCATE = 739,
    TRUSTED = 740,
    TYPE_P = 741,
    TYPES_P = 742,
    UESCAPE = 743,
    UNBOUNDED = 744,
    UNCOMMITTED = 745,
    UNENCRYPTED = 746,
    UNION = 747,
    UNIQUE = 748,
    UNKNOWN = 749,
    UNLISTEN = 750,
    UNLOGGED = 751,
    UNTIL = 752,
    UPDATE = 753,
    USER = 754,
    USING = 755,
    VACUUM = 756,
    VALID = 757,
    VALIDATE = 758,
    VALIDATOR = 759,
    VALUE_P = 760,
    VALUES = 761,
    VARCHAR = 762,
    VARIADIC = 763,
    VARYING = 764,
    VERBOSE = 765,
    VERSION_P = 766,
    VIEW = 767,
    VIEWS = 768,
    VOLATILE = 769,
    WHEN = 770,
    WHERE = 771,
    WHITESPACE_P = 772,
    WINDOW = 773,
    WITH = 774,
    WITHIN = 775,
    WITHOUT = 776,
    WORK = 777,
    WRAPPER = 778,
    WRITE = 779,
    XML_P = 780,
    XMLATTRIBUTES = 781,
    XMLCONCAT = 782,
    XMLELEMENT = 783,
    XMLEXISTS = 784,
    XMLFOREST = 785,
    XMLNAMESPACES = 786,
    XMLPARSE = 787,
    XMLPI = 788,
    XMLROOT = 789,
    XMLSERIALIZE = 790,
    XMLTABLE = 791,
    YEAR_P = 792,
    YES_P = 793,
    ZONE = 794,
    NOT_LA = 795,
    NULLS_LA = 796,
    WITH_LA = 797,
    POSTFIXOP = 798,
    UMINUS = 799
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 583 "preproc.y" /* yacc.c:352  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;
	struct	exec		exec;

#line 1257 "preproc.c" /* yacc.c:352  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */



#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   142714

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  564
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  809
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3176
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6113

#define YYUNDEFTOK  2
#define YYMAXUTOK   799

/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                                \
  ((unsigned) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   551,     2,     2,
     556,   557,   549,   547,   559,   548,   558,   550,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   561,   560,
     543,   545,   544,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   554,     2,   555,   552,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   562,     2,   563,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   546,   553
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1611,  1611,  1614,  1616,  1618,  1620,  1622,  1624,  1626,
    1628,  1630,  1632,  1634,  1636,  1638,  1640,  1642,  1644,  1646,
    1648,  1650,  1652,  1654,  1656,  1658,  1660,  1662,  1664,  1666,
    1668,  1670,  1672,  1674,  1676,  1678,  1680,  1682,  1684,  1702,
    1704,  1706,  1708,  1710,  1712,  1714,  1716,  1718,  1720,  1722,
    1724,  1726,  1728,  1730,  1732,  1734,  1736,  1738,  1740,  1742,
    1744,  1746,  1748,  1750,  1752,  1754,  1756,  1758,  1760,  1762,
    1764,  1766,  1768,  1770,  1772,  1774,  1778,  1780,  1782,  1784,
    1786,  1788,  1790,  1792,  1794,  1796,  1798,  1800,  1802,  1804,
    1806,  1808,  1810,  1833,  1835,  1837,  1839,  1841,  1843,  1845,
    1847,  1849,  1851,  1853,  1855,  1857,  1884,  1886,  1888,  1890,
    1892,  1894,  1896,  1898,  1900,  1902,  1904,  1906,  1912,  1914,
    1916,  1918,  1920,  1922,  1924,  1926,  1928,  1934,  1944,  1948,
    1954,  1958,  1968,  1978,  1979,  1993,  2000,  2006,  2017,  2023,
    2032,  2039,  2045,  2054,  2061,  2069,  2074,  2082,  2090,  2094,
    2099,  2105,  2110,  2116,  2121,  2127,  2131,  2135,  2139,  2144,
    2148,  2152,  2156,  2160,  2168,  2172,  2176,  2180,  2184,  2188,
    2196,  2204,  2208,  2217,  2219,  2227,  2231,  2235,  2239,  2247,
    2251,  2255,  2259,  2263,  2267,  2275,  2283,  2291,  2295,  2303,
    2307,  2311,  2316,  2325,  2330,  2336,  2341,  2347,  2351,  2355,
    2359,  2363,  2367,  2375,  2379,  2383,  2391,  2395,  2399,  2407,
    2411,  2415,  2419,  2427,  2431,  2435,  2439,  2444,  2448,  2452,
    2456,  2460,  2464,  2468,  2476,  2480,  2488,  2492,  2500,  2504,
    2518,  2522,  2526,  2530,  2538,  2542,  2546,  2550,  2558,  2562,
    2566,  2570,  2574,  2578,  2582,  2590,  2594,  2599,  2605,  2609,
    2617,  2625,  2629,  2633,  2637,  2645,  2649,  2657,  2661,  2669,
    2673,  2681,  2685,  2689,  2693,  2697,  2706,  2714,  2718,  2726,
    2730,  2738,  2746,  2750,  2754,  2758,  2762,  2770,  2774,  2778,
    2782,  2786,  2790,  2794,  2798,  2802,  2806,  2810,  2814,  2818,
    2822,  2826,  2830,  2834,  2838,  2842,  2846,  2850,  2858,  2862,
    2870,  2874,  2882,  2890,  2894,  2898,  2902,  2906,  2910,  2914,
    2918,  2922,  2926,  2930,  2934,  2938,  2942,  2946,  2950,  2954,
    2958,  2962,  2966,  2970,  2974,  2978,  2982,  2986,  2990,  2994,
    2998,  3002,  3006,  3010,  3014,  3018,  3022,  3026,  3030,  3034,
    3038,  3042,  3046,  3050,  3054,  3058,  3062,  3066,  3070,  3074,
    3078,  3082,  3086,  3090,  3094,  3098,  3102,  3106,  3110,  3114,
    3118,  3126,  3130,  3138,  3142,  3147,  3153,  3158,  3164,  3169,
    3175,  3179,  3183,  3187,  3195,  3203,  3208,  3214,  3218,  3226,
    3230,  3234,  3238,  3246,  3250,  3258,  3262,  3266,  3270,  3278,
    3282,  3286,  3290,  3298,  3306,  3310,  3318,  3326,  3330,  3338,
    3342,  3346,  3350,  3358,  3363,  3371,  3379,  3387,  3391,  3399,
    3404,  3410,  3414,  3418,  3426,  3430,  3438,  3443,  3449,  3453,
    3457,  3461,  3465,  3469,  3473,  3477,  3481,  3485,  3489,  3493,
    3497,  3505,  3510,  3516,  3521,  3527,  3532,  3538,  3542,  3550,
    3558,  3562,  3566,  3570,  3575,  3581,  3585,  3593,  3601,  3605,
    3609,  3613,  3617,  3621,  3629,  3633,  3637,  3641,  3645,  3649,
    3653,  3658,  3664,  3669,  3675,  3680,  3686,  3690,  3698,  3702,
    3710,  3714,  3718,  3726,  3730,  3738,  3746,  3750,  3758,  3763,
    3769,  3773,  3777,  3781,  3789,  3793,  3797,  3801,  3805,  3809,
    3813,  3817,  3821,  3829,  3833,  3841,  3845,  3849,  3853,  3861,
    3869,  3873,  3878,  3884,  3888,  3892,  3896,  3900,  3904,  3908,
    3912,  3916,  3924,  3928,  3936,  3940,  3944,  3948,  3952,  3956,
    3960,  3968,  3973,  3979,  3984,  3990,  3994,  4002,  4010,  4015,
    4021,  4025,  4030,  4035,  4041,  4045,  4053,  4057,  4065,  4070,
    4076,  4080,  4084,  4088,  4093,  4099,  4107,  4115,  4119,  4123,
    4127,  4131,  4139,  4144,  4150,  4155,  4161,  4169,  4173,  4181,
    4185,  4189,  4197,  4202,  4208,  4212,  4217,  4223,  4227,  4231,
    4236,  4242,  4247,  4253,  4258,  4264,  4272,  4276,  4284,  4288,
    4296,  4304,  4308,  4313,  4319,  4323,  4331,  4339,  4344,  4350,
    4358,  4362,  4370,  4374,  4382,  4387,  4393,  4398,  4404,  4408,
    4416,  4420,  4424,  4428,  4432,  4436,  4440,  4444,  4448,  4452,
    4456,  4460,  4464,  4468,  4476,  4481,  4487,  4491,  4495,  4499,
    4507,  4511,  4519,  4523,  4531,  4536,  4542,  4546,  4554,  4559,
    4565,  4569,  4577,  4582,  4588,  4593,  4599,  4607,  4612,  4618,
    4622,  4630,  4634,  4642,  4647,  4653,  4657,  4661,  4666,  4674,
    4682,  4687,  4693,  4701,  4705,  4709,  4713,  4717,  4721,  4725,
    4729,  4733,  4737,  4741,  4745,  4749,  4757,  4765,  4769,  4773,
    4777,  4785,  4789,  4797,  4802,  4808,  4812,  4820,  4825,  4831,
    4835,  4843,  4851,  4855,  4863,  4867,  4871,  4875,  4883,  4891,
    4899,  4907,  4911,  4919,  4924,  4930,  4934,  4942,  4947,  4953,
    4957,  4961,  4969,  4973,  4977,  4981,  4989,  4997,  5001,  5009,
    5014,  5020,  5024,  5032,  5036,  5044,  5048,  5056,  5064,  5072,
    5080,  5085,  5091,  5096,  5102,  5107,  5113,  5118,  5124,  5129,
    5135,  5140,  5146,  5150,  5154,  5158,  5162,  5170,  5178,  5182,
    5190,  5194,  5202,  5206,  5210,  5218,  5222,  5230,  5234,  5238,
    5242,  5246,  5254,  5259,  5265,  5269,  5277,  5285,  5289,  5297,
    5301,  5309,  5317,  5322,  5328,  5333,  5339,  5343,  5351,  5356,
    5362,  5366,  5374,  5378,  5383,  5389,  5393,  5397,  5401,  5409,
    5414,  5421,  5423,  5431,  5435,  5439,  5443,  5447,  5451,  5459,
    5463,  5471,  5475,  5483,  5491,  5495,  5503,  5511,  5515,  5519,
    5523,  5531,  5540,  5544,  5548,  5552,  5556,  5560,  5564,  5568,
    5572,  5576,  5580,  5584,  5588,  5592,  5596,  5600,  5608,  5616,
    5620,  5628,  5632,  5640,  5644,  5648,  5652,  5656,  5660,  5668,
    5676,  5680,  5688,  5696,  5701,  5707,  5711,  5719,  5723,  5727,
    5731,  5739,  5744,  5750,  5758,  5762,  5770,  5774,  5778,  5782,
    5786,  5794,  5799,  5805,  5810,  5816,  5820,  5825,  5831,  5837,
    5843,  5851,  5855,  5863,  5867,  5875,  5879,  5887,  5891,  5899,
    5903,  5911,  5919,  5927,  5931,  5935,  5939,  5943,  5947,  5951,
    5955,  5959,  5963,  5967,  5971,  5979,  5983,  5987,  5991,  5995,
    5999,  6003,  6007,  6011,  6015,  6019,  6023,  6027,  6035,  6039,
    6043,  6047,  6051,  6059,  6063,  6067,  6071,  6075,  6079,  6083,
    6087,  6095,  6099,  6103,  6111,  6115,  6123,  6127,  6135,  6139,
    6147,  6151,  6159,  6167,  6171,  6176,  6182,  6186,  6190,  6194,
    6198,  6202,  6206,  6210,  6214,  6218,  6222,  6226,  6230,  6234,
    6238,  6242,  6246,  6250,  6258,  6262,  6270,  6274,  6278,  6282,
    6286,  6290,  6294,  6298,  6302,  6306,  6314,  6319,  6325,  6329,
    6337,  6341,  6345,  6349,  6355,  6361,  6367,  6373,  6379,  6385,
    6391,  6401,  6412,  6423,  6434,  6445,  6456,  6467,  6483,  6499,
    6515,  6526,  6542,  6553,  6569,  6584,  6588,  6596,  6601,  6607,
    6615,  6619,  6627,  6631,  6635,  6639,  6643,  6651,  6655,  6663,
    6667,  6671,  6675,  6683,  6687,  6691,  6695,  6699,  6703,  6707,
    6711,  6715,  6719,  6723,  6727,  6731,  6735,  6739,  6743,  6747,
    6751,  6755,  6759,  6767,  6771,  6779,  6783,  6791,  6796,  6802,
    6810,  6814,  6822,  6827,  6833,  6838,  6844,  6852,  6857,  6863,
    6867,  6871,  6879,  6883,  6887,  6895,  6899,  6903,  6907,  6911,
    6915,  6923,  6927,  6935,  6940,  6946,  6951,  6957,  6962,  6968,
    6973,  6979,  6983,  6991,  6995,  7003,  7007,  7011,  7019,  7024,
    7030,  7034,  7042,  7047,  7053,  7058,  7064,  7068,  7073,  7079,
    7083,  7088,  7094,  7098,  7102,  7106,  7114,  7119,  7125,  7129,
    7137,  7141,  7149,  7153,  7161,  7165,  7169,  7173,  7181,  7185,
    7193,  7197,  7205,  7209,  7213,  7217,  7221,  7229,  7233,  7237,
    7241,  7245,  7253,  7261,  7269,  7273,  7277,  7285,  7289,  7293,
    7301,  7310,  7314,  7318,  7322,  7330,  7334,  7342,  7350,  7354,
    7362,  7366,  7374,  7378,  7382,  7386,  7390,  7394,  7398,  7402,
    7406,  7410,  7414,  7418,  7422,  7426,  7430,  7434,  7438,  7446,
    7450,  7454,  7458,  7462,  7470,  7474,  7482,  7486,  7494,  7499,
    7505,  7513,  7517,  7525,  7529,  7533,  7541,  7545,  7553,  7558,
    7564,  7568,  7572,  7576,  7580,  7584,  7592,  7596,  7604,  7608,
    7616,  7620,  7624,  7628,  7636,  7640,  7648,  7652,  7660,  7668,
    7676,  7680,  7688,  7692,  7700,  7704,  7708,  7716,  7720,  7725,
    7731,  7739,  7744,  7750,  7758,  7762,  7766,  7770,  7778,  7786,
    7790,  7794,  7798,  7806,  7810,  7818,  7822,  7826,  7834,  7838,
    7846,  7854,  7858,  7866,  7870,  7874,  7878,  7882,  7886,  7890,
    7894,  7898,  7902,  7906,  7910,  7914,  7918,  7922,  7926,  7930,
    7934,  7938,  7942,  7946,  7950,  7954,  7958,  7962,  7966,  7970,
    7974,  7978,  7982,  7986,  7990,  7994,  7998,  8002,  8006,  8010,
    8014,  8018,  8022,  8026,  8030,  8034,  8038,  8042,  8046,  8050,
    8054,  8058,  8062,  8066,  8070,  8074,  8078,  8082,  8090,  8095,
    8101,  8106,  8112,  8116,  8120,  8124,  8128,  8132,  8140,  8145,
    8151,  8155,  8159,  8163,  8167,  8171,  8175,  8179,  8183,  8187,
    8191,  8195,  8199,  8203,  8207,  8211,  8215,  8219,  8223,  8227,
    8231,  8235,  8239,  8243,  8247,  8251,  8255,  8263,  8271,  8275,
    8283,  8287,  8295,  8299,  8303,  8307,  8311,  8319,  8327,  8331,
    8335,  8339,  8343,  8347,  8351,  8355,  8359,  8363,  8367,  8371,
    8375,  8379,  8383,  8387,  8391,  8395,  8399,  8403,  8407,  8411,
    8415,  8419,  8427,  8435,  8440,  8446,  8450,  8458,  8462,  8466,
    8470,  8478,  8486,  8490,  8498,  8506,  8510,  8514,  8518,  8522,
    8526,  8534,  8538,  8546,  8554,  8558,  8562,  8570,  8574,  8582,
    8586,  8590,  8594,  8598,  8606,  8611,  8617,  8621,  8625,  8629,
    8637,  8641,  8646,  8652,  8660,  8665,  8671,  8679,  8683,  8691,
    8695,  8699,  8703,  8707,  8711,  8715,  8719,  8723,  8727,  8731,
    8735,  8739,  8743,  8751,  8755,  8760,  8766,  8770,  8774,  8778,
    8782,  8790,  8794,  8798,  8806,  8811,  8817,  8821,  8826,  8832,
    8836,  8840,  8845,  8854,  8858,  8862,  8867,  8873,  8881,  8889,
    8894,  8900,  8904,  8912,  8916,  8920,  8928,  8932,  8936,  8940,
    8944,  8948,  8952,  8960,  8965,  8971,  8975,  8979,  8987,  8995,
    8999,  9003,  9007,  9015,  9019,  9027,  9035,  9043,  9047,  9055,
    9063,  9067,  9071,  9075,  9079,  9083,  9087,  9095,  9100,  9106,
    9114,  9118,  9122,  9126,  9130,  9134,  9142,  9146,  9154,  9162,
    9166,  9170,  9178,  9183,  9189,  9193,  9201,  9205,  9213,  9217,
    9225,  9229,  9237,  9245,  9249,  9257,  9261,  9266,  9272,  9277,
    9283,  9288,  9294,  9299,  9305,  9310,  9316,  9321,  9327,  9335,
    9339,  9347,  9352,  9358,  9362,  9366,  9370,  9378,  9382,  9386,
    9390,  9394,  9398,  9402,  9406,  9410,  9418,  9422,  9430,  9438,
    9442,  9450,  9454,  9459,  9465,  9471,  9481,  9486,  9492,  9496,
    9500,  9504,  9512,  9517,  9521,  9529,  9534,  9540,  9548,  9552,
    9560,  9564,  9568,  9572,  9576,  9584,  9588,  9596,  9600,  9608,
    9616,  9620,  9625,  9631,  9635,  9640,  9646,  9651,  9657,  9665,
    9670,  9676,  9684,  9689,  9695,  9699,  9703,  9707,  9711,  9715,
    9719,  9723,  9731,  9736,  9742,  9746,  9751,  9757,  9765,  9769,
    9777,  9781,  9789,  9797,  9801,  9809,  9857,  9861,  9874,  9876,
    9880,  9884,  9888,  9897,  9903,  9907,  9915,  9919,  9927,  9931,
    9939,  9943,  9947,  9951,  9955,  9959,  9963,  9967,  9975,  9979,
    9987,  9991,  9995,  9999, 10003, 10007, 10011, 10019, 10023, 10027,
   10035, 10039, 10047, 10055, 10059, 10064, 10070, 10075, 10081, 10086,
   10088, 10094, 10098, 10102, 10106, 10110, 10114, 10118, 10122, 10126,
   10134, 10139, 10145, 10149, 10154, 10160, 10164, 10172, 10177, 10183,
   10188, 10194, 10202, 10206, 10214, 10218, 10226, 10230, 10234, 10238,
   10246, 10251, 10257, 10261, 10266, 10270, 10274, 10278, 10286, 10290,
   10298, 10302, 10310, 10318, 10322, 10326, 10334, 10338, 10346, 10350,
   10358, 10362, 10370, 10375, 10381, 10385, 10393, 10397, 10401, 10405,
   10409, 10417, 10425, 10433, 10441, 10449, 10454, 10460, 10464, 10472,
   10477, 10483, 10487, 10495, 10503, 10507, 10511, 10515, 10523, 10528,
   10534, 10538, 10546, 10551, 10557, 10561, 10569, 10573, 10577, 10581,
   10585, 10589, 10593, 10600, 10607, 10611, 10619, 10623, 10627, 10631,
   10635, 10639, 10647, 10651, 10655, 10659, 10667, 10672, 10678, 10682,
   10686, 10690, 10695, 10701, 10705, 10709, 10713, 10721, 10726, 10732,
   10736, 10744, 10748, 10752, 10756, 10764, 10768, 10776, 10780, 10784,
   10792, 10800, 10805, 10811, 10815, 10823, 10831, 10835, 10843, 10848,
   10854, 10859, 10865, 10870, 10876, 10880, 10886, 10892, 10897, 10903,
   10907, 10915, 10923, 10927, 10935, 10939, 10947, 10951, 10955, 10963,
   10967, 10975, 10979, 10983, 10987, 10995, 10999, 11007, 11011, 11019,
   11021, 11023, 11027, 11031, 11035, 11043, 11053, 11064, 11073, 11077,
   11081, 11085, 11089, 11093, 11097, 11105, 11109, 11113, 11117, 11125,
   11129, 11137, 11142, 11148, 11152, 11156, 11160, 11164, 11168, 11172,
   11176, 11180, 11184, 11188, 11196, 11201, 11207, 11211, 11219, 11223,
   11231, 11239, 11247, 11251, 11259, 11263, 11271, 11279, 11287, 11291,
   11295, 11299, 11303, 11307, 11315, 11320, 11326, 11330, 11334, 11338,
   11346, 11354, 11358, 11363, 11369, 11373, 11377, 11381, 11385, 11389,
   11393, 11397, 11401, 11405, 11409, 11413, 11417, 11422, 11428, 11432,
   11440, 11444, 11448, 11452, 11456, 11460, 11464, 11468, 11472, 11476,
   11480, 11484, 11488, 11492, 11496, 11500, 11504, 11508, 11512, 11516,
   11520, 11524, 11528, 11532, 11536, 11540, 11544, 11548, 11552, 11556,
   11560, 11564, 11568, 11572, 11576, 11580, 11584, 11588, 11592, 11596,
   11600, 11604, 11608, 11612, 11616, 11620, 11624, 11628, 11632, 11636,
   11640, 11644, 11648, 11652, 11656, 11660, 11664, 11668, 11672, 11676,
   11680, 11685, 11689, 11693, 11697, 11701, 11705, 11709, 11717, 11721,
   11725, 11729, 11733, 11737, 11741, 11745, 11749, 11753, 11757, 11761,
   11765, 11769, 11773, 11777, 11781, 11785, 11789, 11793, 11797, 11801,
   11805, 11809, 11813, 11821, 11825, 11829, 11833, 11837, 11841, 11845,
   11849, 11853, 11857, 11861, 11865, 11869, 11873, 11881, 11885, 11889,
   11893, 11897, 11901, 11905, 11913, 11917, 11925, 11929, 11937, 11941,
   11945, 11949, 11953, 11957, 11961, 11965, 11969, 11973, 11977, 11981,
   11985, 11989, 11993, 11997, 12001, 12005, 12009, 12013, 12017, 12021,
   12025, 12029, 12033, 12037, 12041, 12045, 12049, 12053, 12057, 12061,
   12065, 12069, 12073, 12077, 12081, 12085, 12089, 12093, 12097, 12101,
   12105, 12109, 12117, 12121, 12129, 12133, 12137, 12142, 12148, 12156,
   12160, 12168, 12172, 12180, 12184, 12192, 12196, 12201, 12207, 12211,
   12215, 12219, 12227, 12231, 12239, 12244, 12250, 12255, 12261, 12266,
   12272, 12276, 12284, 12292, 12296, 12301, 12307, 12315, 12319, 12326,
   12331, 12337, 12341, 12345, 12350, 12356, 12360, 12368, 12372, 12376,
   12380, 12384, 12392, 12396, 12400, 12404, 12409, 12415, 12419, 12423,
   12431, 12435, 12443, 12451, 12455, 12459, 12467, 12471, 12479, 12483,
   12487, 12491, 12495, 12499, 12503, 12507, 12511, 12515, 12519, 12523,
   12531, 12535, 12543, 12547, 12555, 12559, 12563, 12567, 12571, 12575,
   12583, 12587, 12595, 12599, 12607, 12611, 12615, 12623, 12627, 12635,
   12639, 12643, 12651, 12655, 12663, 12668, 12674, 12678, 12682, 12686,
   12690, 12694, 12698, 12702, 12710, 12714, 12718, 12722, 12730, 12734,
   12742, 12750, 12755, 12761, 12765, 12769, 12773, 12777, 12782, 12788,
   12796, 12804, 12808, 12812, 12820, 12824, 12832, 12840, 12844, 12852,
   12860, 12865, 12871, 12876, 12882, 12886, 12894, 12898, 12902, 12906,
   12914, 12919, 12925, 12929, 12938, 12940, 12948, 12953, 12959, 12964,
   12970, 12974, 12982, 12986, 12990, 12994, 13002, 13006, 13014, 13018,
   13026, 13030, 13038, 13046, 13054, 13062, 13066, 13074, 13078, 13082,
   13086, 13090, 13094, 13098, 13102, 13106, 13110, 13114, 13118, 13122,
   13126, 13127, 13132, 13138, 13142, 13143, 13147, 13155, 13163, 13167,
   13171, 13179, 13183, 13191, 13195, 13199, 13203, 13211, 13215, 13219,
   13223, 13227, 13231, 13235, 13239, 13243, 13247, 13251, 13255, 13259,
   13263, 13267, 13271, 13275, 13279, 13283, 13287, 13291, 13295, 13299,
   13303, 13307, 13311, 13315, 13319, 13323, 13327, 13331, 13335, 13339,
   13343, 13347, 13351, 13355, 13359, 13363, 13367, 13371, 13375, 13379,
   13383, 13387, 13391, 13395, 13399, 13403, 13407, 13411, 13415, 13419,
   13423, 13427, 13431, 13435, 13439, 13443, 13447, 13451, 13455, 13459,
   13463, 13467, 13471, 13475, 13479, 13483, 13487, 13491, 13495, 13499,
   13503, 13507, 13511, 13515, 13519, 13523, 13527, 13531, 13535, 13539,
   13543, 13547, 13551, 13555, 13559, 13563, 13567, 13571, 13575, 13579,
   13583, 13587, 13591, 13595, 13599, 13603, 13607, 13611, 13615, 13619,
   13623, 13627, 13631, 13635, 13639, 13643, 13647, 13651, 13655, 13659,
   13663, 13667, 13671, 13675, 13679, 13683, 13687, 13691, 13695, 13699,
   13703, 13707, 13711, 13715, 13719, 13723, 13727, 13731, 13735, 13739,
   13743, 13747, 13751, 13755, 13759, 13763, 13767, 13771, 13775, 13779,
   13783, 13787, 13791, 13795, 13799, 13803, 13807, 13811, 13815, 13819,
   13823, 13827, 13831, 13835, 13839, 13843, 13847, 13851, 13855, 13859,
   13863, 13867, 13871, 13875, 13879, 13883, 13887, 13891, 13895, 13899,
   13903, 13907, 13911, 13915, 13919, 13923, 13927, 13931, 13935, 13939,
   13943, 13947, 13951, 13955, 13959, 13963, 13967, 13971, 13975, 13979,
   13983, 13987, 13991, 13995, 13999, 14003, 14007, 14011, 14015, 14019,
   14023, 14027, 14031, 14035, 14039, 14043, 14047, 14051, 14055, 14059,
   14063, 14067, 14071, 14075, 14079, 14083, 14087, 14091, 14095, 14099,
   14103, 14107, 14111, 14115, 14119, 14123, 14127, 14131, 14135, 14139,
   14143, 14147, 14151, 14155, 14159, 14163, 14167, 14171, 14175, 14179,
   14183, 14187, 14191, 14195, 14199, 14203, 14207, 14211, 14215, 14219,
   14223, 14227, 14231, 14235, 14239, 14243, 14247, 14251, 14255, 14259,
   14263, 14267, 14271, 14275, 14279, 14283, 14287, 14291, 14295, 14299,
   14303, 14307, 14311, 14315, 14319, 14323, 14327, 14331, 14335, 14339,
   14343, 14347, 14351, 14355, 14359, 14363, 14367, 14375, 14379, 14383,
   14387, 14391, 14395, 14399, 14403, 14407, 14411, 14415, 14419, 14423,
   14427, 14431, 14435, 14439, 14443, 14447, 14451, 14455, 14459, 14463,
   14467, 14471, 14475, 14479, 14483, 14487, 14491, 14495, 14499, 14503,
   14507, 14511, 14515, 14519, 14523, 14527, 14531, 14535, 14539, 14543,
   14547, 14551, 14555, 14559, 14563, 14571, 14575, 14579, 14583, 14587,
   14591, 14595, 14599, 14603, 14607, 14611, 14615, 14619, 14623, 14627,
   14631, 14635, 14639, 14643, 14647, 14651, 14655, 14659, 14667, 14671,
   14675, 14679, 14683, 14687, 14691, 14695, 14699, 14703, 14707, 14711,
   14715, 14719, 14723, 14727, 14731, 14735, 14739, 14743, 14747, 14751,
   14755, 14759, 14763, 14767, 14771, 14775, 14779, 14783, 14787, 14791,
   14795, 14799, 14803, 14807, 14811, 14815, 14819, 14823, 14827, 14831,
   14835, 14839, 14843, 14847, 14851, 14855, 14859, 14863, 14867, 14871,
   14875, 14879, 14883, 14887, 14891, 14895, 14899, 14903, 14907, 14911,
   14915, 14919, 14923, 14927, 14931, 14935, 14939, 14943, 14947, 14951,
   14955, 14959, 14963, 14973, 14974, 14977, 14978, 14979, 14985, 14986,
   14987, 14988, 14989, 15002, 15002, 15009, 15009, 15018, 15033, 15035,
   15038, 15040, 15044, 15056, 15072, 15076, 15087, 15088, 15091, 15103,
   15112, 15113, 15116, 15117, 15118, 15121, 15122, 15125, 15126, 15129,
   15130, 15133, 15135, 15137, 15139, 15143, 15150, 15157, 15173, 15207,
   15217, 15220, 15224, 15237, 15238, 15240, 15242, 15246, 15260, 15267,
   15324, 15333, 15335, 15336, 15339, 15341, 15342, 15345, 15346, 15347,
   15348, 15349, 15356, 15355, 15365, 15367, 15369, 15370, 15373, 15374,
   15375, 15376, 15379, 15380, 15384, 15383, 15400, 15398, 15414, 15413,
   15427, 15433, 15434, 15437, 15439, 15440, 15443, 15444, 15445, 15446,
   15449, 15450, 15453, 15461, 15478, 15486, 15509, 15623, 15657, 15659,
   15661, 15665, 15669, 15668, 15719, 15721, 15720, 15735, 15741, 15748,
   15753, 15759, 15760, 15763, 15764, 15765, 15766, 15767, 15768, 15769,
   15770, 15771, 15774, 15775, 15776, 15777, 15778, 15779, 15780, 15781,
   15782, 15783, 15786, 15787, 15790, 15792, 15801, 15901, 15902, 15909,
   15910, 15911, 15917, 15926, 15929, 15930, 15931, 15932, 15935, 15936,
   15937, 15940, 15942, 15950, 15951, 15957, 15965, 15966, 15969, 15970,
   15973, 15978, 15985, 15990, 15997, 16004, 16004, 16006, 16013, 16014,
   16017, 16018, 16019, 16020, 16021, 16022, 16023, 16024, 16025, 16031,
   16038, 16050, 16056, 16063, 16071, 16072, 16084, 16095, 16106, 16110,
   16111, 16114, 16119, 16123, 16124, 16127, 16133, 16141, 16147, 16154,
   16158, 16159, 16162, 16165, 16169, 16170, 16173, 16179, 16188, 16193,
   16203, 16213, 16225, 16226, 16227, 16228, 16229, 16230, 16231, 16232,
   16233, 16234, 16235, 16236, 16237, 16238, 16239, 16246, 16247, 16250,
   16251, 16258, 16259, 16260, 16267, 16266, 16283, 16284, 16291, 16290,
   16361, 16367, 16373, 16381, 16387, 16393, 16399, 16405, 16411, 16417,
   16423, 16429, 16435, 16446, 16447, 16450, 16451, 16452, 16453, 16454,
   16455, 16456, 16457, 16458, 16459, 16460, 16461, 16462, 16463, 16464,
   16465, 16466, 16467, 16468, 16469, 16470, 16471, 16474, 16475, 16476,
   16477, 16478, 16479, 16483, 16484, 16485, 16486, 16487, 16488, 16489,
   16492, 16495, 16496, 16497, 16498, 16499, 16500, 16501, 16502, 16515,
   16516, 16517, 16518, 16519, 16520, 16521, 16526, 16527, 16528, 16529,
   16530, 16531, 16537, 16538, 16539, 16540, 16541, 16542, 16543, 16544,
   16545, 16546, 16547, 16550, 16551, 16552, 16553, 16554, 16557, 16558,
   16559, 16560, 16563, 16564, 16565, 16566, 16567, 16568, 16569, 16586,
   16587, 16588, 16591, 16592, 16593, 16594, 16595, 16596, 16600, 16600,
   16603, 16609, 16610, 16613, 16615, 16620, 16630, 16641, 16648, 16649,
   16650, 16653, 16686, 16688, 16690, 16692, 16694, 16696, 16697, 16700,
   16702, 16710, 16711, 16712, 16716, 16717, 16721, 16722, 16725, 16726,
   16729, 16730, 16731, 16732, 16733, 16736, 16737, 16738, 16739, 16740,
   16741, 16742, 16743, 16744, 16745, 16746, 16747, 16748, 16749, 16750,
   16751, 16752, 16753, 16754, 16755, 16756, 16757, 16758, 16759, 16760,
   16761, 16762, 16763, 16764, 16765, 16766, 16767, 16768, 16769, 16770,
   16771, 16772, 16773, 16774, 16775, 16776, 16777, 16778, 16779, 16780,
   16781, 16782, 16783, 16784, 16785, 16786, 16787, 16788, 16789, 16790,
   16791, 16794, 16795, 16796, 16797, 16800, 16801, 16802, 16803, 16804,
   16805, 16806, 16807, 16808, 16809, 16816, 16817, 16818, 16819, 16822,
   16823, 16826, 16827, 16830, 16831, 16842, 16843
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CARDINALITY", "SQL_CONNECT", "SQL_COUNT",
  "SQL_DATETIME_INTERVAL_CODE", "SQL_DATETIME_INTERVAL_PRECISION",
  "SQL_DESCRIBE", "SQL_DESCRIPTOR", "SQL_DISCONNECT", "SQL_FOUND",
  "SQL_FREE", "SQL_GET", "SQL_GO", "SQL_GOTO", "SQL_IDENTIFIED",
  "SQL_INDICATOR", "SQL_KEY_MEMBER", "SQL_LENGTH", "SQL_LONG",
  "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN", "SQL_OUTPUT",
  "SQL_REFERENCE", "SQL_RETURNED_LENGTH", "SQL_RETURNED_OCTET_LENGTH",
  "SQL_SCALE", "SQL_SECTION", "SQL_SHORT", "SQL_SIGNED", "SQL_SQLERROR",
  "SQL_SQLPRINT", "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT",
  "SQL_UNSIGNED", "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND",
  "S_ANYTHING", "S_AUTO", "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT",
  "S_EQUAL", "S_EXTERN", "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER",
  "S_MOD", "S_MUL", "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT",
  "S_STATIC", "S_SUB", "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE",
  "CPP_LINE", "IP", "IDENT", "UIDENT", "FCONST", "SCONST", "USCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXPRESSION", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO", "NONE", "NORMALIZE",
  "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARSER",
  "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS",
  "POLICY", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROCEDURES", "PROGRAM", "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL",
  "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES", "REFERENCING",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE",
  "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STORED", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SUPPORT",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES",
  "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UESCAPE", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION",
  "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER",
  "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA",
  "'<'", "'>'", "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CallStmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "CreateSchemaStmt", "OptSchemaName",
  "OptSchemaEltList", "schema_stmt", "VariableSetStmt", "set_rest",
  "generic_set", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "ColQualList", "ColConstraint",
  "ColConstraintElem", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_params", "part_elem", "table_access_method_clause", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateStatsStmt", "AlterStatsStmt", "create_as_target", "opt_with_data",
  "CreateMatViewStmt", "create_mv_target", "OptNoLog",
  "RefreshMatViewStmt", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "OptParenthesizedSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "AlterFdwStmt", "create_generic_options", "generic_option_list",
  "alter_generic_options", "alter_generic_option_list",
  "alter_generic_option_elem", "generic_option_elem",
  "generic_option_name", "generic_option_arg", "CreateForeignServerStmt",
  "opt_type", "foreign_server_version", "opt_foreign_server_version",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "am_type", "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertionStmt",
  "DefineStmt", "definition", "def_list", "def_elem", "def_arg",
  "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "GrantRoleStmt", "RevokeRoleStmt", "opt_grant_admin_option",
  "opt_granted_by", "AlterDefaultPrivilegesStmt", "DefACLOptionList",
  "DefACLOption", "DefACLAction", "defacl_privilege_target", "IndexStmt",
  "opt_unique", "opt_concurrently", "opt_index_name",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_class", "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "opt_no", "AlterObjectSchemaStmt", "AlterOperatorStmt",
  "operator_def_list", "operator_def_elem", "operator_def_arg",
  "AlterTypeStmt", "AlterOwnerStmt", "CreatePublicationStmt",
  "opt_publication_for_tables", "publication_for_tables",
  "AlterPublicationStmt", "CreateSubscriptionStmt",
  "publication_name_list", "publication_name_item",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "opt_transaction_chain", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "vac_analyze_option_list",
  "analyze_keyword", "vac_analyze_option_elem", "vac_analyze_option_name",
  "vac_analyze_option_arg", "opt_analyze", "opt_verbose", "opt_full",
  "opt_freeze", "opt_name_list", "vacuum_relation", "vacuum_relation_list",
  "opt_vacuum_relation_list", "ExplainStmt", "ExplainableStmt",
  "explain_option_list", "explain_option_elem", "explain_option_name",
  "explain_option_arg", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause", "InsertStmt",
  "insert_target", "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_with_clause", "into_clause", "OptTempTableName",
  "opt_table", "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "func_alias_clause", "join_type",
  "join_outer", "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "xml_passing_mech", "within_group_clause",
  "filter_clause", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "opt_window_exclusion_clause", "row",
  "explicit_row", "implicit_row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "NonReservedWord", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "$@2", "at",
  "ECPGConnect", "connection_target", "opt_database_name", "db_prefix",
  "server", "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@3", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@4", "var_declaration", "$@5", "$@6",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@7", "struct_union_type", "$@8",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@9", "opt_reference", "ECPGVar",
  "$@10", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,    60,    62,    61,   798,    43,    45,    42,
      47,    37,    94,   799,    91,    93,    40,    41,    46,    44,
      59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5402

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5402)))

#define YYTABLE_NINF -3021

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-3021)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5402,   528, 14117, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, 38166, -5402, -5402, -5402, -5402, -5402, 36824,
    1188, -5402, -5402,135152, -5402, -5402, -5402,   402, 88068, -5402,
   91806,  1206, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   96078, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   74700,  1591, -5402,  1119, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402,  1669, 19272, -5402, -5402, 92340, -5402,   343, -5402, -5402,
   -5402, -5402, -5402, 76305, -5402, -5402, 92874,  1312, -5402, -5402,
    1557,   120, -5402,   161, 18758, -5402, -5402, 93408, 89136, -5402,
   -5402, 96612,   228,   347, 14676,  1669, 37628, 97146, -5402,  1869,
   -5402, 70918, -5402, -5402, -5402, 88602, -5402, -5402, -5402,  1874,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
  104088,  2114,  1759, 71461, -5402, -5402, -5402, -5402, -5402,104088,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, 97680,
   -5402,  1974,  1999,   821,104622,105156, 86466, -5402,  1356, -5402,
  104088,  2106,   392, 73630, -5402,105690, -5402, -5402,  1930, -5402,
   98214, -5402, -5402, -5402, -5402, -5402,  1759, -5402, 74700, 69846,
     302,  1816, -5402, -5402,106224, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402,104088,  1898,  1897, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402,    14, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402,   446, -5402,   906,   688,  1504,   183,  1909, -5402, -5402,
   -5402, 15835, -5402, -5402, -5402, -5402, -5402, -5402, -5402,131316,
    1144, -5402, -5402, -5402,  1927, -5402,  1936, -5402, -5402, -5402,
    1965, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,  1347, -5402,
   -5402, -5402, -5402,  2505,130254, 96078, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, 89670, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402,   230, -5402, -5402,
   -5402, -5402, -5402, 96078, 96078, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   96078,  2032, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402,   390,  2323, -5402, -5402, 74700,  2197,  2197,  2587,
  131316, -5402, -5402,  2535, 76305,104088,104088,104088,  2304,104088,
    2190,104088,   241, 76305,138431, 98748,  2349,  2184, 64944,106758,
   -5402, 76305,104088,136559, 76305,104088,104088,107292,104088,107826,
  104088,   119, 93942,104088,  2280,104088,104088,137027,108360,  2425,
   -5402,  2709,  1675, -5402,  2161, -5402,   195, -5402,  1653, -5402,
     211,   246,   252, -5402, -5402, -5402,104088, 17776,  2114,  2535,
   -5402,  1898,104088,  2436,104088,  2199,108894,  2278,104088, -5402,
  104088,  2281,109428,   833,  1825,138431,  2120, 65491,  2362,104088,
  104088,138431,109962,110496,111030,104088,104088, -5402, -5402,  2352,
  104088,104088, -5402,  2464,138899,  2000,  2470,  2634,  2540,   803,
   -5402, -5402,  2728,  2250, -5402, -5402,  2775, 96078, -5402, 94476,
   -5402, -5402, -5402,  2468, -5402, -5402, -5402, -5402, -5402, -5402,
  141707,   347, -5402, -5402,  2536, 76840,  2617, -5402, -5402,111564,
   81655,  2340, -5402,   926, 77375,139367,  2707,  2369, 66038,  2761,
   -5402, 77910, -5402,139835, 78445, -5402, -5402, -5402, -5402, -5402,
  112098, -5402,112632,  2467,  2617, -5402, 82190,140303, -5402,  2611,
  113166,113700,114234,  2535, 12717, -5402,  2347,  1501,  2346,  1452,
   96078, 96078,  1379,132783, -5402, -5402,  1312, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402,   330,  1288, 72004,   824, 72547,
   -5402, -5402,  1121,  1176,  1214,   330,  2838,  2838,   902, 96078,
   -5402, -5402,  1288, -5402,   865,   916,  2370,  2370,  2370,  2596,
    1318, -5402,  2370,  2544, -5402, -5402, -5402, -5402, 98214, 72004,
   72547, -5402,  2397,  2114,   114,  2823,  2458, -5402, -5402, -5402,
   -5402, -5402,  2489,  2822,  2822,104088, -5402, -5402, -5402,  2872,
    2481,  2742, -5402,  2454, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402,  2690,  2705,  2697,   279,  2114,   242, -5402,
    2833, -5402,  2730, 44210, 44210,  1175, 96078,  2114, 73090, 99282,
  125982,   180,141707,  2114,114768,  2543,  1365,  2753, -5402, -5402,
   -5402,   759, -5402,  2986,  2590,  2862,   866,  1675, 61693, -5402,
    2622,  1653, 98214,131847, -5402, -5402, -5402, -5402,140771,  2914,
   48074,104088,  2613, -5402,  2599,  2613,  2619,  2628,  1504, -5402,
  140771,104088,  1540,  1540,  3065,  1540,  1633,  1891, -5402,  1726,
   -5402,  2961,  2924, 98214,  2652,  1669,  2649, -5402, -5402, -5402,
    2683, -5402,  2695,  2711, -5402,  1026,  2960, -5402, -5402, -5402,
   -5402,  2776,  2801,  2806,  2811,  2720,  2818,   393, -5402, -5402,
   -5402, -5402,  3056, -5402, -5402, -5402, -5402, -5402, -5402,  3183,
    3170,135623,135623,  1021,  1052,   232,   277, -5402, -5402, -5402,
    3022, -5402, -5402,  3019,  2843,104088, -5402, -5402,104088, -5402,
  115302, -5402, -5402,  2197,  2683,   304, -5402,  1649,  2771,  1934,
    2772,  1700,  1946, -5402,   257,104088,   335,  2826, 99816,  6441,
    2780,  2797,  1653,  2956,  1437,  3102,  3157,  6639,   393,100350,
   -5402, -5402, -5402, -5402,104088,104088, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402,  2848,  1462, -5402, -5402,  2821,
    3164,  3057,  6973,   255,  3158,  3017,  1610,  8394,  3077,  1171,
    3208, 19404,  1711,  3209,  1942,  1876,115836,126516,  3168,  3216,
    4814,  1996,   238,  3093,   868,  3158,  3214,  3045,  1610,  3230,
    4342,104088,  2889, -5402,  3161,  3267,   798, -5402,   218, -5402,
   38709, 48074, 68774, -5402,  1653,  2954,  3111,   925, 76305,  2904,
  104088,104088, -5402, 82725, 76305, -5402,  3120, 66585, 76305, -5402,
   76305, -5402, -5402,  3233, 82725,104088,104088, -5402,104088, -5402,
   -5402,  2908, -5402, -5402, -5402, -5402,  2370,104088,  3328, 82725,
    3136,   192,104088,  1863,  3364,104088,  3137,  1863,  2951,116370,
   -5402, -5402,  1863, -5402, -5402,104088,104088,  2919,  1406,  3128,
    3246,  1863,  3146,  3365,  3367,  3152,  3000,  3155,  2599,  3335,
    3127,   840,   356,   234,  2178,  1863,  2982,116904,117438,104088,
    2987,104088,  2822, 76305, 76305, 76305,104088,  3269, -5402,  3115,
  100884, -5402,  2940,  2728, -5402, -5402, -5402, -5402, -5402,  1205,
   -5402, -5402, -5402, -5402, -5402,  3284, -5402,   175,  3285,  2948,
    3293,  1969, -5402,  3003, -5402,  3003,  3003,  2958,  2958,  3141,
    2964,  3303, -5402, -5402, -5402,  2488,  3003,  2958, -5402, 83795,
   -5402,    10,  1997, -5402,   237, -5402,  3417, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402,  2970, -5402,  1378, -5402,  2090,
   -5402, -5402, -5402, -5402,  3004, -5402,  3310,   253, -5402,  3311,
   -5402,  2973,117972, -5402,118506,119040,  3315,   268, -5402,138431,
    3316,   253,  3317,  2973,  3320,   253,  3321,   543,  3323, -5402,
     898,  3312,  3324,   237,  3329,  2230,  2973, -5402,  3330,   270,
   -5402,  3332,   272, -5402,  3333,  3204, -5402, 15163, 12717, -5402,
   17777,  2001, -5402, -5402, -5402, -5402, -5402, -5402, 48074,  1060,
    3089, -5402, -5402, -5402,  2172, -5402,134206, -5402,  1379,  1288,
   -5402, 96078,  1288, 96078,   902,  1288, 96078,  1288, 96078,   902,
    1288, 96078, 96078, 96078,  1288, -5402, -5402,   290,   262, -5402,
   -5402, -5402, -5402, -5402, 96078,  2998,104088,104088, -5402, -5402,
   -5402, 90204,138431, 90738, -5402,104088, -5402,   761, 96078, -5402,
   96078, -5402,  2114, -5402, -5402,  1501, 82725,  3448,138431,  2822,
   -5402,  2208, -5402, -5402,104088,104088, -5402, -5402, -5402,  3260,
  104088,  3326,  3327, 90204,138431, -5402,119574, -5402,141707,  3211,
    3005, -5402, -5402, -5402, -5402,  2200,  3484,   191,  3486, 48074,
    3008,   191,   191,  3009,  3336, -5402, -5402, -5402,   254,  3010,
    3015, -5402,   208,   208, -5402,  3016,  3018, -5402,   209,  3020,
    3023,  3497,   213,  3024,  3025,  3026,  2488,   191,  3028, 48074,
   -5402,  3032,   208,  3033,  3035,  3036,  3499,  3037, -5402,  3502,
    3038,   190,   203,  3039,  3040, -5402,  3016, -5402,   229,  3041,
    3042,  3043,  3046,  3047,  3052,  3058,  3059, 48074, 48074, 48074,
   -5402, 42554,  1653,  2114, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402,   247,  6047, -5402,  3081, -5402, -5402,  3252, -5402,
   -5402, 48074, -5402, -5402,   854, -5402,   248, -5402, -5402,  1653,
   -5402, -5402,   495, -5402, -5402, -5402, -5402,  3337,  3054,  2225,
    2225,   250, -5402, 92340, 92340, -5402, -5402,  1509,  3060, -5402,
    2389, -5402, -5402, -5402, -5402, -5402, -5402,141239,  3509, -5402,
     292,  2114,   218,  1933,  3454,133254,133730,  3342,  3342,  3331,
   -5402, -5402,104088, -5402, -5402,  1653,   220,  3343,  2216, -5402,
   -5402,134206, -5402, -5402,  1312, 16564,  2224,  2613,104088,104088,
    3519, -5402, -5402,  2227, -5402,  3070, -5402,  2599, -5402, -5402,
    1504,  1504, 48074,  1504,   291,  1411, 44762, 48626,  3401,  3288,
    1615,  1729,  3403, -5402,  3292,  1633,  1891, 98214,104088,120108,
    3201, 48074, -5402,  2683,  3088,  2166, -5402, 84864,130785,130785,
    3362, -5402, -5402,  1382,   792,  3215,  3347,  2838,   176,  1129,
    1129, -5402, -5402,  3083, -5402,  3460, 92340,  3145,135623, -5402,
   -5402,104088, -5402, -5402,101418, -5402, -5402, -5402,   463,  3105,
   -5402,  3103,104088, -5402,  3634,  1129,  1129, -5402, -5402,  3107,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,131316,104088,
   -5402,  3109,  3112,  3110,  3116, -5402,131847, -5402,  3537,  3197,
    3212,  3255, 69310, -5402,  3213,  3174,  3218,  3265, 74700,  3132,
    3219,  3220,  3270,  3393, -5402, -5402,  3221,  3222,127050, -5402,
   -5402,   901, -5402, -5402, -5402,   901, -5402,  3154, -5402,  1868,
     429,  1339,  3225,   313,  1093,  3549, -5402,  1721, -5402, -5402,
    3286, -5402, 18677,104088,  3491,  5171,  3371,   393,  3283, -5402,
   -5402, -5402,  3422,  3244,104088,  3245,  3384,   393,  1490,127584,
   -5402, -5402,104088, -5402, -5402, -5402, -5402,  7406,  3535, 41474,
   -5402,  2080,  3253,  3229,  3263,104088, 85398,  2254,  3366,  3383,
    1857,  2457,   628,  3314,104088,   297,  3394,104088,  3180,  3274,
    3275,  3490,  3189,  1525,  3590,  3194, -5402, -5402, -5402,  3562,
    3391,  3496,  3540,  6678,  3259,  3261, 80050, -5402,  3287,   710,
   67132,104088,104088,  3294,  3295,128118,  7406,  3568,  3300,  3304,
    3296,  3297,    41,  3591,  1686,  3298, -5402, -5402, -5402,  1686,
    3299,  3301,128652,  7406,  3584,104088,  3302,  3305,104088, 83795,
     393, -5402,  3658,   393,   393,  1988,  3659,  3318,   391,  3474,
    1583,  1863,  3194,  4270, -5402,  3334,  3339,   993, -5402,  3441,
  104088,  3341,  3344,  1763,  2114, -5402, -5402,  3348,  3409,  3351,
    1124, -5402, -5402,   657,  3340, 98214,  3434,  3438,   297,   324,
    1587,  3194, -5402,  3353,  3354,  3189,  3189,104088,104088,104088,
  104088,104088,   296,  3695,  3698,  3355,   323,  1150,  3254, -5402,
    1686,137495,  3356, -5402,  1686,104088,   244,  1786,  3194,  1773,
   -5402,  2124, -5402, -5402, -5402,  1675, -5402, 48074, 48074, 48074,
    3262, -5402,  2820, 16564,   110, -5402,   251, 11986,  3257, -5402,
   -5402, -5402, -5402,104088, -5402,104088,  3541, 82725,  3551,  3487,
    3556,  3559,   393,104088,104088,  3560,  3561,  3563, 82725,  3565,
    3566,  3570,  3505,  3368,   961,  3369,  3306,  3743,  3638,104088,
   74700, -5402,  3761,   901, -5402, 82725,  3510,  3642, -5402,104088,
    3528,    68, -5402,  3679,  3372, -5402, -5402,  1107,104088,   219,
    3346, -5402, -5402,  3648,138431,  1476,  3649,  2114,  3357,  3653,
    3525,  2114,138431,  3571,104088,104088,104088,104088, -5402, -5402,
    3536,   853,   474, -5402,137495,  3547, -5402,104088,  3548,  4270,
    3552,  3775,    88,  2370,120642,  3656,121176,  3345,  3349,  3349,
    3777, 82725,  3600, -5402, -5402,  3338,  2838, -5402,  2940, -5402,
    2276, -5402,  3465, -5402, 76305, -5402, -5402, 76305, -5402, -5402,
   82725,104088,  3361, -5402,  3370, -5402, -5402, 48074, -5402, -5402,
   -5402,  2838, -5402, 82725,  3003,  3003, -5402, -5402,  3784,  3424,
    3425,  2838, -5402,  2838, -5402, 82725, -5402,  3350,  3373,  2838,
    3426, -5402,  3433,  2838, -5402,  2275, -5402, -5402, 76305, 76305,
   -5402,138431,138431,  3700,   270,  3703,  3423,  3707,  3428, 67132,
   67132, -5402,   278, 76305, -5402,138431, 76305, -5402,104088, -5402,
  104088, -5402, -5402, -5402, -5402, 82725, 82725, -5402,138431,137495,
    3712,104088,104088, -5402,104088,104088, -5402,104088,104088, -5402,
   16514,  2052, -5402, 12717, -5402,  2282,  3342, -5402,  2032,121710,
    1412,  1379,140771, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, 96078, -5402, 96078,   902, -5402, -5402, 96078, -5402, 96078,
     902, -5402, 96078, -5402, -5402, -5402, 96078,104088,  3918,  3374,
   -5402,   495, -5402,104088,  2292, -5402, -5402,  2317,  1632,104088,
  104088,   861, 76305,104088,  3592, 76305, 76305,104088,104088,104088,
  104088,104088,  3456,  3060,   653, -5402,  1346,   271, 98214,  3598,
   -5402, -5402, -5402, -5402, -5402,  2334,  1898,  1470,104088,  1201,
    2489, -5402, -5402, -5402, -5402, 90738, 88602,  3704,   349,104088,
   -5402, -5402, 19102, 48074, 43658, -5402, -5402, 16564,  3421, 48074,
   48074,  3382,  2838,  2838, -5402,  1151, 48074, 48074, 48074,  2838,
    2838, 48074,  8089, 48074, 67132, 48074, 51938, 39815, 48074, 48074,
   43106, -5402, 48074,  3621, 53594, 48074,  1933,  3625, 48074,  1933,
    8089,  3858,  3858,  1816,  3053,  6963,  3385,  1653, -5402,  2838,
     802,   396, 82725, 48074, 48074, 48074, 48074, 74700,  3471,   274,
  104088, 48074,  3395,  2805, -5402, 48074, -5402,  3397, 48074,  3478,
    1051, 48074, 48074, 48074, 48074, 48074, 48074, 48074, 48074, 48074,
   -5402, 55211,   405, -5402,  3705,  3720,    66,   516, 91272, 44210,
    3723, -5402, 38709, -5402,   186, 96078, -5402, -5402,  1653,  3723,
   -5402, -5402, -5402, -5402, -5402,   463,  3402, -5402,  3411, -5402,
   -5402, -5402, -5402, -5402,104088,  3509, -5402, -5402,  3482, -5402,
   -5402, -5402, -5402,   259, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402,  3410, -5402, -5402, -5402, -5402,  3410, -5402, -5402,
    3342,  3413,  3715,  3718,   543,131316,104088,140771, -5402, -5402,
   -5402,  2812, -5402, 48074, -5402,  2341,  1864,104088,104088, -5402,
    3694, -5402,  3415, -5402, 12116,  3694, -5402, -5402, 52490,  3538,
    3689,  3628, -5402, -5402, -5402,  3419, 16564, 48074, 48074, -5402,
    2504, 16564,  2534, -5402, -5402, -5402, -5402, -5402, -5402,  1383,
   -5402,104088,  1355,  3401,  1729,  3479,  1405,  3874,104088, -5402,
   62232,  2402,  2419, -5402,  2683, -5402, -5402, 26561, -5402, 36289,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,  3431,
   -5402, -5402, -5402, -5402, -5402,   393,  3432,  3949, -5402,135623,
   -5402, -5402, -5402,  3918, -5402,  2775, -5402,  2775,  3974, -5402,
   96078, -5402, -5402, -5402, -5402,   372, -5402, -5402, 12717, 12717,
   -5402, -5402,138431,104088,104088,  3637, -5402,  3860, -5402, 83795,
   -5402,  3439, -5402, 83260, 78980, -5402, -5402,  1222, -5402,   951,
  138431, -5402,104088,104088, -5402, 74700,138431,104088,104088, -5402,
  138431,104088,104088, -5402, -5402, -5402, -5402, -5402,134679,    85,
   88602,  3569, 87000, -5402, -5402,  3442,104088,  3495,  3711,  3714,
       6, -5402, -5402,122244, -5402,  3666,138431,104088,104088, 48074,
    3667,104088,104088, -5402,   957,  3531,  3539, -5402,104088,  3557,
   76305,  3472, 82725, 76305, 67679, 76305, 76305,  3785, 82725,104088,
  104088,  1404, 98214,   354,  2063,  3194,  3696, -5402,  1546, -5402,
  138431, -5402,104088,  3684, -5402, -5402, -5402,101952,  3912,  3593,
   -5402, -5402, -5402,129186, -5402, -5402,  3688, -5402,  2403, -5402,
  138431,138431,104088,  6791,122778,   674,  3706, -5402, -5402, 82725,
   -5402,104088,102486,104088,104088,  3742,104088, 95010,123312,123846,
    1676,  1776,  3745,104088, 95544,  3746, -5402,  3627,104088, -5402,
   -5402, 75235,138431,104088,   212, 74700, -5402, -5402,104088, -5402,
     953, -5402,104088,  7709,  3701,  3574,  3586,104088,   410,  2286,
    3194,  3859,104088,104088,  3498,  2406,138431,104088, 74700, -5402,
    3710,   102,138431,104088,101952, -5402,  3716, 98214, 98214,138431,
  104088, 98214, -5402,104088,125982, -5402,138431,  1384, -5402,138431,
  104088,101952, -5402,  3717,  3652,138431,104088, 19599, -5402, -5402,
   -5402,   393, -5402, -5402, -5402, -5402, -5402,104088,104088,   393,
  104088,104088,   393,  1913, -5402,138431,104088, -5402, -5402, -5402,
    3620,138431,104088,104088,   330, -5402,138431,  3346,104088, 74700,
   -5402,104088,  6175,104088,104088,104088,104088,104088,104088,138431,
  104088, -5402, -5402,  1083,    76,  1370,  1433,   844,104088,  3806,
  104088,124380,138431,104088,104088,  2114,104088, 74700,  1856, -5402,
   -5402,  3630, -5402,138431,  1384, -5402,  7437,104088,104088,104088,
    3594,  3596,   316,  3676, -5402, -5402, -5402,   805,   805,  3713,
   -5402, 48074, 48074, 45314,  3522, -5402, -5402, 48074, -5402, -5402,
    1023,  3973,  1023,124914,  1023,  1023,  3801,  3587,  3589,  1023,
    1023,  1023,  3796,  1023,  1023,  1023,104088,  3709, -5402, -5402,
    3709,  1127, 48074, 82725,104088, -5402,  2410, -5402,  3554,   853,
   -5402, -5402, 74700,104088,   284,   994,  3875,  3749, 85932,  2787,
    3866,104088,  3588,104088,  3996,  3639, 98214,  2919, -5402,  2787,
  104088, -5402,  2321, 88602, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402,104088, -5402, -5402,  3872,104088, 48074,  3719, -5402,  2114,
    2919,  2919,  2919,  2919, -5402, -5402, -5402, -5402,  3764,  2071,
   -5402,  3553,  2919,104088,  3678,  3890,  2787,  3555,  3896, -5402,
    4270,  3897,  3903,104088,  3781, 85932,  3626,  3606,  3794,  4021,
    2370,  2114,  3797,  3783, -5402, 69310, -5402,  2919, 42014,  5306,
    5736,  3786,  3841,104088,100884, -5402,  3582,  3884,  3885,  3906,
   -5402,   175, -5402,  4031,  2070,  3907, 48074,  2447,  3583,   237,
   -5402, -5402,  3595,  3373,  3602,  3604,  3599,  3601, -5402,  2838,
   60615,  3605,  1209,  3828,  3607, -5402,   253, -5402,  2973, -5402,
  104088, -5402,104088,104088,104088,104088,   268, -5402, -5402,   253,
    2973,   253,   543, -5402,  3857,   237,  2973,  3721,  3916,   270,
   -5402,   272, -5402,  3802,   543, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402,  3818,  2370,  2276, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, 96078,  2775, -5402,  2451,
   -5402,104088, -5402,  3892,  3895,  3899,  3901,  3905,  3608,  3609,
    3643,104088,  3618,  3608,   393,  3618,  3618,  3608,  3060,  3060,
    3608,  3609,137963,  4062,  3935, -5402,  3722,  3624,  3943,   201,
   -5402,   791,   738,  3867, -5402, -5402, -5402, -5402, 82725, -5402,
  138431,  3662,  2822,  2822, -5402,   309,  3835,  3629,137963,  4065,
     543, -5402, 76305,104088, 82725, 76305,  3845, 76305, 76305, 82725,
  104088,104088,  2452, -5402,  2059, -5402,  2085, 48074,   449, -5402,
   15238,  2456, 48074,  3636,  3644, -5402, -5402, -5402, -5402, -5402,
   -5402,  3646,  3955, -5402, -5402,  2459,  2462,  2473,  3651,  3657,
    6136,  6376,  3660, 15323,  3661,  3654, 51938, 51938, 42554,  1393,
   -5402, 51938,  3663,  3834,  2476, 13046,  3641,  3664, 15650, 45866,
   48074, 45866, 45866, 15548,  3641,  3665,  2477, 74700,  3840, 16257,
    2480, -5402, 48074, 74700,  7007, 48074, -5402, 48074,  3669, -5402,
   -5402,  3702,  3702,  3702,  8089, -5402,  3674, -5402, 51938, 51938,
   -5402,  2152, 42554, -5402, -5402,  3969, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402,  2407, -5402,  3668, -5402, -5402,  3887,  2546,
   67132, 17115, 48074,   332, 48074,  3395, 48074,  3740,  3702,  3702,
    3702,   435,   435,   265,   265,   265,   438,   516, -5402, -5402,
   -5402,  3671,  3672,  3675,  3864,  3677, 48074, -5402,  2557,  2581,
  104088,  9604, 10524, 10905, -5402, -5402, -5402, 56302,  3724,   110,
   -5402, -5402, -5402,  3724,  1679,  3974,   463, -5402,  1675,  2838,
     802,134206, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402,104088, 16564, -5402, -5402,  3920,  3680, -5402, -5402, 48074,
   -5402, -5402,  1267,  3691,   771,   757,  1129,  1129,  2504,   904,
   -5402, -5402,  3737, -5402, 48074, -5402,  2565,  2575, -5402, -5402,
   -5402, -5402,  3060, -5402,  3931, -5402, -5402, -5402, 56302,  3725,
    3732,  1852, 60076,  3900, -5402,104088, -5402,104088,   369, -5402,
    3726, -5402, -5402, -5402, -5402,  1730, -5402, -5402, -5402, -5402,
   -5402, -5402,  3683, -5402,  3697, -5402,  3727, -5402, -5402, -5402,
   -5402,   224,  3728,  3730,  3733,  1866, -5402, -5402, -5402, -5402,
   78980,  2090, -5402, 83260, -5402, 83260, -5402,  2090,  4130, -5402,
   78980,  2247, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402,138431,138431,  3909,104088,  3908,
    3913, 48074,   673,104088,  3708,  3735,  1762,  3998,104088, -5402,
    4042,   543, -5402, -5402,  3790, -5402, 16564, -5402, -5402, -5402,
   -5402, -5402,138431,104088, -5402,141707, -5402, -5402, 82725, -5402,
   -5402,104088,104088, -5402, -5402, -5402, 82725, -5402, -5402, -5402,
  104088,   173,  3793,  3803,104088, -5402,   825,  3441,  7545,104088,
  104088,104088,  4005, -5402, -5402, -5402, -5402,  3932, -5402,  4063,
   -5402, 78980, -5402,  2973,  1590,  3807,  3194,  3960, -5402,  4078,
    3945, -5402,  3863,  1097, -5402, -5402,  3873, -5402, -5402, -5402,
   -5402,  4081,   543,  4085,   543,104088,104088,104088,104088,  3877,
   -5402, -5402, -5402, -5402,  3880,  4013, -5402, 74700, 74700, 74700,
    2493, -5402, -5402,  2114, -5402, -5402, -5402, -5402, -5402, -5402,
    4046, -5402,  2498, -5402,    -5, -5402, -5402, -5402, -5402, -5402,
    4090,138431,104088,  7547,104088,104088,104088,  3967,  2074,  1028,
   82725, -5402, 80585, -5402, -5402,  2502, -5402,  3771,104088,  3842,
  138431,  3817, -5402, -5402, -5402,  4098,  3762,  3762, -5402, -5402,
    3762, -5402, -5402,  4022,  3952, -5402,  1050,  3953,138431,  3830,
   -5402, -5402, -5402, -5402, -5402,  4107,  3853, -5402, -5402,  3854,
    2294,  3194,  4270, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402,  3881, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
    1636, -5402, -5402,  1635,   367,  2297,  3194, -5402,   338, -5402,
    3861, -5402,  3862, -5402, -5402, -5402,  4025,  4026,  4028,  3870,
    3871,  3917,  3878,  3883,  3926, -5402,  3888,  3927,  3889,  3929,
    3891,  4148,   543, 82725,  4020,  2114,  3925,  4143,   543, -5402,
    3894, -5402,  3902, -5402,  2503,  4249, -5402,104088, -5402,   413,
    2521,  3194, -5402,  3915, -5402,138431,104088, -5402, -5402, -5402,
   48074,  3811,  3814,  3825, 16564, 16564, 48074, -5402, -5402, 16564,
    3820, -5402, -5402, -5402, 82725, -5402,104088,  4111, -5402, -5402,
    1023,104088,104088, -5402, -5402, -5402,104088, -5402, -5402, -5402,
    4112, -5402,   215,   215, -5402, -5402,  4141,  7065,  3838,   394,
   -5402, 74700, 63849,  2153,  1892,   164,  1863, -5402,141707,104088,
  141707, -5402,   994,  3945,104088,104088,104088,  3844,  3839, -5402,
   -5402, -5402, -5402,138431,  1162,138431,  2838, -5402, -5402,  3919,
   -5402,104088,  2370,  2468,  4168, -5402,  3762, -5402,  4287,  3367,
    1476,  3999,  2088,  3000,  4227,  2599,   376, 74700,  3606, -5402,
   -5402, -5402, -5402,104088,104088,   853,  2114, -5402,  3849,  3848,
   -5402,104088,  4177,104088,104088,104088, 96078,  1898,  3855,104088,
    3865, 82725,104088,  2548,  3189,  4305,  4197,  1898,  3626,  3940,
    4199, 98214,  2511, -5402,  3882, -5402, -5402,  2517,   170, -5402,
    2114,141707, 79515,  4187, -5402,  5736, -5402, -5402,  5736,   851,
  104088,  4178, -5402,104088, -5402, -5402, 59537, -5402, 82725,  3893,
   -5402,  2522, -5402,  2526, -5402, -5402, -5402,  2838, -5402, -5402,
      13,    13,  3876, -5402, 61154, -5402,  3898, -5402,  2386, -5402,
   -5402, -5402,   270,  3928,   543,  3930,   543, -5402, -5402, -5402,
   -5402,104088, -5402,104088,137495, -5402, -5402,104088, -5402,  4219,
    4208, -5402, -5402, -5402, -5402,  4019,  4030,  4034,  4035,  4036,
  104088,  3608, -5402,  3910,138431,  1828, -5402, -5402,  4092, -5402,
   -5402, 98214,  4015, -5402, -5402, -5402, -5402,  4232,  4234, -5402,
   -5402, -5402,   912, -5402,104088,104088,138431, 90204,   283,138431,
   -5402,  4171,  4179,  4180,  4186,   393,  4188,  4189,  4192,  4193,
    4194, -5402, -5402, -5402,  3923, 16343, 48074, -5402,  4250, 82725,
   -5402,  7648, -5402, -5402, -5402, 48074, -5402, -5402, -5402, -5402,
   -5402, -5402,  2336, 48074, -5402, 48074,  4224, -5402, 40368,  4390,
    4390,  3921, 82725, 51938, 51938, 51938, 51938,  1916,  3033, 51938,
   51938, 51938, 51938, 51938, 51938, 51938, 51938, 51938, 53042,   592,
   -5402,  4119, 48074, 48074,  4252,  4224, -5402, 82725,  3936,  3641,
    3937,  3938, 48074, -5402, -5402,  2530, 54133,  3944, 74700, -5402,
   48074, 13356,  2531,  3975, 17037,  1653,  8162,  2114, 48074,  2888,
    3131, 48074,  2558, 48074,  4253, -5402, -5402, -5402, -5402,  3941,
   -5402, -5402,  4170, 82725, -5402, 48074,  3946,  3623, 51938, 51938,
    3836, -5402,  4212, 48074, 42554, -5402,  3713,  3984, 62771, -5402,
   40921,  3948,  1759,  1759,  1759,  1759, -5402,104088,104088,104088,
   56841,  4268,  3954, 55763,103020,  3957,  2266, -5402,103020,103554,
  103020, -5402,  3972, -5402,  1653, 48074,  4273,  3962,  4273, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402,  3961, -5402,  3976, -5402, -5402,   218,
    3966, -5402, -5402,   224, -5402, -5402,  1898, -5402,  3970, -5402,
    3691,  1903, -5402, -5402, -5402,  1148, -5402,  4054, -5402, -5402,
   -5402,  3957, 46418,  4120, -5402, -5402, -5402,  4027,  2559, -5402,
   -5402,  4376,  4120, -5402, -5402,  2563, 62232,  3725, 48074,  1653,
    2838,  3989, -5402,  2775,  1679, -5402, -5402, -5402, -5402, -5402,
    2567,  2279, -5402, -5402, 78980, -5402,  4050,  2973,  2973,  1689,
    3608,  4306,  1689,  8324, -5402, -5402, 57380,104088,104088, -5402,
  104088,  2568,  1809,104088, -5402,104088, -5402, -5402, -5402,  4432,
    4041,  4043,  4254, -5402,  2772, -5402, -5402,138431,104088, -5402,
   -5402, -5402,   418,  2632,  3194, -5402,  4068, -5402, -5402,  4274,
  104088, -5402,  4425,  4086,104088,  4336,104088,  4000, -5402,  1809,
    4104,  4317,  1529,  3189,  1599,  4969, -5402,   125, -5402, -5402,
    4072, -5402,104088, -5402,104088, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402,  4132, -5402, -5402, -5402, -5402, 75235, -5402, -5402,
  104088, -5402, 74700, 63849, 74700,104088, -5402,  1655,   422,  2678,
    3194, -5402,  4084, -5402,  4340,  4087,  4088,  4144,  1058,  1507,
    4089,  4091,  4146,  4012,  4014,  4016, -5402, 74700, 64397,  4174,
  104088,  2973,  4023,  4051,104088,   330,  2114, -5402, -5402,  2114,
    2973,  2114,104088,104088,104088,104088,   330, 74700, -5402,  4453,
    4113,104088,104088,104088,104088, -5402,  4076, -5402,104088,104088,
    4352,   214,  2289,138431,104088,104088,138431,104088,104088,104088,
  104088,104088,104088,104088,  4237, -5402,  4442,  4371,  1894,  4413,
    4105,104088, -5402,104088,  2114, -5402,  3441,104088,104088,104088,
  104088, -5402, -5402, -5402, -5402, -5402,  3713, -5402,  4038,  4315,
    1023, -5402,  4316,  4318,  4319,  1023, -5402, -5402,  1863, -5402,
     185,104088, -5402,  2600,104088, -5402, -5402, -5402,  3970,  1129,
    1129, -5402, -5402, -5402, -5402, -5402, -5402,104088,  4048,104088,
  104088, 51938, -5402,  2180,  1695,  1392, -5402,  4321,104088,  3346,
   -5402, -5402, -5402,  1264,104088, -5402, -5402, -5402, -5402, -5402,
      78,  3855, -5402,  4335, 85932,  2973,138431,138431,  2973, -5402,
   82725,  4049,  3606, -5402,   197,  4134,138431,  1476,  1020,125448,
    3357,  4095,  4263, 56302,  1636, -5402,  4053,  4217, -5402,  4064,
    4060, -5402, -5402,104088,  3945,137495,  2582,  4270,  4515,  1186,
    2346,  3662, 87534,  4255,  3855,  4335, -5402,  3189,  4279,  4278,
   -5402,  1898,104088,  3662,  3606,  2114,104088,  3495, -5402,  2468,
   63849, -5402, 78980, 48074, 48074, -5402,  4071, -5402,  4082,  5736,
   -5402,  4151,  4073, -5402, -5402, -5402, -5402, -5402,  4158,  4097,
  104088,  4563, -5402, -5402,  4102,  3907, -5402,  3907, -5402,  4093,
   -5402, -5402, -5402,  2318,131316, 61154, 61154, 61154, 61154, 61154,
   -5402, -5402,104088, -5402,104088, -5402,   543, -5402,  4213,   543,
  104088,  1898,104088,104088,104088,104088,104088,  3608,   393, -5402,
    4402,137963, -5402, -5402,  2585,104088, -5402, -5402, -5402,  4470,
   -5402, -5402,   349,  4419, -5402, -5402,  1132,  1132,  1132,  1132,
    4381,  1132,  1132,  1132,  1132,  1132, -5402, 48074, 16564, -5402,
    4108, -5402, 16564,  4109,  8470, 16564,  4252, -5402,  2597, 48074,
   -5402,  3106,  3106,  3106,  2790,  4431, -5402,  1403,  4114,  3106,
    3106,  3106,   475,   475,   235,   235,   235,  4390,   592, 16564,
   16564, -5402, -5402,  4116, -5402, -5402, -5402,  3641, -5402, 49178,
    1337,  4539, 53594, -5402, -5402, -5402,  4152,  4157,  4122, -5402,
   48074, 49730,  4117, 83795,  4322, -5402,  2037, 48074, 48074,  4674,
   -5402, 14298, 48074, 82725, -5402,  2601,  4674,   409, 48074,  3363,
    4801, 48074, 48074,  4428,  8705,  4124, 48074,129720, -5402, -5402,
   -5402,  2602, 48074,104088,104088,104088,104088, -5402, -5402, -5402,
  103020,103554,103020,  4135, 54672, 58997,  2266,  4129,104088, -5402,
   -5402,  4139, 56302,  4405,  4338, -5402, 56302,  4338,  1961,  4338,
    4412,  4236, 63310, -5402, -5402,  4142, -5402,  4345, -5402,  2080,
   16564,  4578,  4456,  2114,  4456,  1679,   299,  2114, -5402,  4153,
   67132, -5402, -5402, -5402, -5402,  4235, -5402,  4366, 16564, 44210,
   -5402,  1898,  2398,104088,  1653,    93, -5402,  4166,104088, -5402,
    4120, 16564, -5402, 12717, -5402, -5402, -5402, -5402,  4226,  2605,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402,  4238, 88602,  4479,
   -5402, 48074,  2606, -5402,  4201,  4572,   139,  2609,  2610,  1809,
   -5402,  4457, -5402,  1943,  4455,   311, -5402,   543, -5402, 82725,
  104088,104088,104088,  3132, -5402, -5402,104088,104088,104088,104088,
   -5402, -5402,138431,104088, -5402,104088, -5402, 74700,  1892,   330,
    2180,  4469,  4472,  4386, -5402,   393, -5402,  2180,  4389,   330,
  104088, -5402, -5402,  2509, -5402, 82725,   543,   543, -5402, -5402,
   -5402, -5402, -5402,  4183, -5402,  4604,  4267,104088,104088,104088,
  104088,104088,138431,104088,104088,  2838,  2838, 82725,  4184, -5402,
    2838,  2838,  4196, -5402,138431,104088,104088, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,  4261, -5402,
   48074,  4600, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402,138431,104088,  4266, -5402,  4269, -5402,
     850, -5402, -5402,104088,104088,104088,104088,  4521, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402, -5402,  4525,
  104088, -5402, -5402,  2114,  2114, 82725,   543,   543, -5402, -5402,
   -5402,  4275, -5402, -5402,  4209,  4468,  1023, -5402,  1023,  1023,
    1023, -5402,  4202, -5402,  1863,  4562, -5402,  1809,  1654,  4527,
   -5402,  4533, 48074, -5402,   945,  2790, -5402,  4586,  4664, -5402,
   -5402, -5402, -5402,  3346,  2370,  4272, -5402, -5402, 76305,   384,
   -5402,  4514,   284,  4433, 85932,   338,   312,  4223,  4343, -5402,
    2973,  2973,  4281,104088,  4676, -5402, -5402, -5402, -5402, -5402,
   -5402,138431,  3817, -5402,  4451,  1236,  4554,104088, 48074,  3957,
   -5402,  2042,  4557, -5402,  2114, -5402, -5402,  4357,  3606, -5402,
    4573,104088,  4449, 85932,  3662, -5402,  2618, -5402, -5402, -5402,
    4276,  4669,  3626, -5402,   338,  4255, -5402, -5402,  4646,  4330,
    4280,  4691, -5402,  4330,  4564,  4454,  4245, -5402,  3882, -5402,
   -5402, 16564, 16564,  2114, 84330,  5736, 82725,  4574,104088,   978,
    4535,104088, -5402,   543,  2624, -5402, -5402, -5402,  4251,  2171,
    2171, -5402, -5402, -5402,   543,   543, -5402,104088, -5402,  3608,
    3608,  3608,  3608,  3608, -5402,  4458, -5402, -5402,  4526, -5402,
     543,137963, -5402, -5402, -5402, -5402, -5402, -5402,  1132, -5402,
   -5402, -5402, -5402, -5402, 16564, -5402, -5402, -5402, -5402, -5402,
    9003, 51938,  4571, -5402,  4256, 82725, -5402,  4257,  2625,  2644,
   -5402, -5402,  1337, -5402,  4539, -5402, -5402, -5402,  9068,  4309,
   16564,  4362,  4258,  4259,  4674,  4674, 14298,  2648, -5402,  4674,
   48074, 48074,  4674,  4674, 48074, -5402, -5402,  9229,  4443, -5402,
   -5402,  9391, -5402, -5402, -5402, -5402, -5402, -5402, -5402, 75770,
    4265,  3840,103020,  4277,104088,  2266, 56302, -5402, -5402,  2121,
   -5402, 56302,  4532, -5402, 56302, 76305, -5402,104088,  4282,104088,
   -5402, 50282, 48074,  4301, -5402,  4301, -5402,  1129, -5402, -5402,
   -5402, -5402, -5402, -5402,  4271, -5402, 96078,   856, -5402,  1852,
   -5402, -5402,  4666, 57380,  4625, 48074, -5402, -5402, -5402, -5402,
   -5402,137963,  4478,137963,  1809, 10177,  4457, 57380, 68226,104088,
   -5402,104088, -5402,  4434,  4457,  4283,  3346, -5402, -5402, -5402,
   -5402, -5402, -5402,  4284, -5402, -5402, -5402, -5402,  4355, -5402,
   -5402,  1192,  3598, -5402,  2664, -5402, -5402,  4729,  4619,  4622,
   -5402, -5402, -5402, -5402, -5402, -5402,  4442, -5402, -5402, 63849,
  138431,104088, -5402,  4368, -5402, -5402, -5402, -5402, -5402, -5402,
   58458, 67132, -5402,  1058,  4286,  4291,  1507, -5402, -5402, -5402,
  104088, 10276,  4293,  1197,  3598,104088,104088,  4295,  4298,  4299,
    1989,  1484,  2003,  3608,  4626,104088, -5402, -5402, -5402,  4442,
   -5402, -5402,104088, -5402,  1023, -5402, -5402, -5402, -5402, 74700,
   -5402,  2359,  4202,  2114, 76305,  4749,  4749,104088, -5402, 10553,
    4520, -5402, -5402,   839,  4272,  4550,  4597, -5402,  4308,104088,
    1264,  4310,104088,  4312,  4435,  1004,  1004,104088,104088,104088,
    2665,  1898,  2973,  4051,  1476,  4652, 85932,  4694,  3945,   412,
   -5402, -5402,  2042, -5402,   112,  4670,  4358, -5402,104088,  4769,
   96078,  1898,  3855,104088,  4320,  1060, -5402, 87534,  4528,  1892,
  104088,  2548,  4255,  3626,  1651,104088, -5402,  1330, -5402,  1898,
   -5402,104088, 98214, 57380, -5402, 83260, -5402,  2669, -5402, -5402,
    4392,  3724,  4436,  4437,  4328,104088,  1077, -5402,  4334, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402,104088, -5402,   283, -5402,
   -5402,  2841, 51938, 82725,  2670, 48074, -5402, 48074, -5402, -5402,
   -5402, -5402,    98, -5402, -5402, -5402,  4674,  4674,  4674, -5402,
    4761,  3713, -5402, -5402,  2674,  4780, 51386,  4744, -5402,104088,
    2680, -5402, 48074,  4339, -5402, -5402, 56302,  2121,  4341,  2684,
  104088,  2687, 82725,  4346,    50,  4347, 39262,  4333, -5402, -5402,
   -5402, -5402, -5402, 16564, 16564,104088, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402,  4391,104088,  2688, -5402,  1158, 16564,  1828,
    1689,   283,  4572,  3346, -5402,  4348, -5402, -5402,  3189,   401,
  104088,  3346,104088,  4272, -5402,104088,  4427, -5402, -5402, 74700,
    4645, -5402, -5402,  4399, -5402,  1210,  3598,104088, 82725, -5402,
     158,  4675, -5402, 82725, 82725, -5402, -5402, -5402, 48074,  4440,
   -5402, -5402, -5402, 48074, 48074,142175, -5402, -5402,104088,104088,
  104088,104088,104088, -5402,   543, -5402, -5402,  2691, -5402,132315,
   -5402, -5402,  3364,  2114,  3364,  2209, -5402, -5402,  3364,  3364,
   -5402,  3724, -5402,  4749,  1426, -5402, -5402, -5402,  2192,  4580,
    4359, 48074, -5402,  1238,  4553,  4444,  4356, -5402, 76305,  4840,
    3855,  4335,104088, -5402, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402,  2694,  3945,  4692,  3606,  4280, -5402,
  104088,  4398, -5402, 56302, -5402, -5402, -5402,  3364, -5402,  1862,
    4370,  4707,  3945,  1898,  2346,  3662,  4255,  3855,  4335, -5402,
   -5402, -5402,  4372,  4278,  3626,  2548,  4511, -5402,  4512, -5402,
    4794,  4582,  4797,  3662, -5402,  3495,  2703, -5402,  5736, 84330,
   82725,  4738,  4420,  4421, -5402, -5402,  4438,104088, -5402, -5402,
    2614,  4858,  3945, -5402,  2841,  2704, -5402,  2715,  2734,  4439,
   -5402, 48074,   188,  3972, 75770,  4385, -5402, 51938,  2747, -5402,
    2562,104088,  2750, -5402, 16564,104088, -5402, -5402, 48074, -5402,
    2751, -5402, 48074,  4387, 48074, -5402, 50282,  4388, -5402,  4838,
    1898, -5402,  3724, 57380, -5402,  4513, -5402,  4710, -5402, -5402,
    4272, 67132,   401,  3691,  2370,  4272,  2754, -5402, -5402,104088,
   -5402,  4359, 48074, -5402,  4482, -5402, -5402,  2755,  1699,  4558,
    4558,  2758,  2759, 11026,104088,  2766,  2769, -5402,  2788,  2838,
    3609,  2003,  3609, -5402,  3608, -5402, -5402, 74700, -5402,136091,
   -5402, -5402, -5402,  2114, -5402,  2114,  4612,104088, 70382,  2114,
    2114, -5402, -5402, -5402, -5402,  4748,  4687, -5402,  4270, -5402,
   11069, -5402, -5402, -5402,   425, -5402,  4606,  4607,104088, -5402,
    4401, -5402,  2789,   338,  4538,  3945, -5402, -5402,104088,  4851,
    4853, -5402,  1239,104088,  3957,104088, -5402, -5402, -5402, 48074,
    1264, -5402,  4280,  3662, -5402,  3626,   338,  4255,  1892, 57919,
    4330,  2548,  4278, -5402, -5402,  4613, -5402,  4614, -5402,  4411,
    4712,  5736, -5402, -5402,   345,  4736,  4743, -5402, -5402, -5402,
   -5402, -5402,104088, -5402, -5402, -5402, -5402, -5402,  3641, 46970,
   46970, 46970,  4426, -5402, -5402,104088,  2790,  4423, 51386, 74700,
    2795, -5402, 81120, -5402,  2800,  2804, -5402,  2808, 50282,  2809,
   -5402,104088,  4429, -5402, -5402, -5402, 62232,137963,  4471,  4441,
    3691, -5402,  4550, -5402, -5402,  1809,  3598, -5402, 16564,104088,
   76305,  4859, -5402, -5402, -5402, -5402, -5402, -5402, -5402,  3598,
    4510, -5402, -5402,142175, -5402,104088, -5402, -5402,  2813, -5402,
   -5402, -5402,104088,  4053, -5402,  4053, -5402, -5402,  4570, -5402,
    3066,  4534,   985,   985,  4802, -5402,  4494, -5402, -5402,  4446,
   -5402,  4917,  4565,104088, -5402, -5402,  1058,  1898, 85932,  3945,
   -5402, -5402, 11152, 76305, -5402,  1060,  2548,  4255,  3626, 48074,
    2814, -5402,  4572,   139, -5402,  4278,  4330, -5402, -5402, 57380,
    4448,  3606, -5402, -5402,  1630, 76305, 76305, -5402, 50834,  4576,
    1333, 14142,  4782, -5402,  4782,  4782, -5402,  2817, 53594, -5402,
   -5402, -5402,104088,  4644,  1568, -5402,  4602, -5402,  2837, -5402,
   -5402, -5402,  1211,   283,  4450, -5402, -5402, -5402,  4553,  1809,
   -5402,  3598, -5402,104088, -5402,  4460, -5402, -5402, -5402,136091,
    4053,  4358, -5402, -5402, -5402,  4920, -5402,  1006, -5402, -5402,
   -5402, -5402,104088,  3945,  4184,  4280, -5402, -5402,  4462, -5402,
    4278,  3626,  2548, 11572, -5402, 57919,104088,104088,  4330, -5402,
    2840, 57380,  4330, -5402,  2936, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402,  4464,  4466,  4915, -5402, -5402, -5402, -5402, -5402,
    1046, -5402, -5402, -5402, -5402,  3840, -5402, -5402, 51938,  4683,
   -5402,  1568, -5402, 51938,  4474, -5402, -5402, -5402, -5402, 48074,
    1809, -5402, -5402, -5402, 48074, -5402,  4809, -5402, -5402, -5402,
    3945, -5402, -5402, 74165,  4330,  2548,  4278,  4572, -5402, -5402,
   -5402, -5402, -5402,  4712, -5402,  2844,  3724,  2095, -5402, -5402,
    2154,  2628,  4551,  4792, 47522,  4615, -5402,  4678, -5402,  4884,
    2790, -5402, -5402,  2790, 48074, 11641,  1809,  2851,  1264, -5402,
    2852, -5402, -5402, -5402, -5402, -5402, -5402,  4278,  4330,104088,
    3606, -5402, 57380, -5402, -5402,  2936,  4589,  4590, -5402, -5402,
   -5402,104088, 11940, -5402, -5402, 76305, -5402, 74165,  4330, -5402,
   -5402,  4330, -5402, -5402,  4518,  4519,  2855, -5402,  4483, -5402,
   -5402,  3724,  4803,  4804, -5402, 74165, -5402, 76305, 76305,  2858,
   -5402, -5402, -5402
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2703,     0,     2,     1,  3129,  3133,  3137,  3138,  3060,  3139,
    3140,  3105,  3106,  3107,  3108,  3109,  3110,  3111,  3112,  3113,
    3114,  3115,  3116,  3118,  3117,  3119,  3120,  3121,  3122,  3123,
    3124,  3125,  3126,  3128,  3127,  3078,  2710,  3077,  3074,  3075,
    2252,  3142,  3130,  3143,  3131,  3132,  3134,  3135,  3104,  3136,
    3144,  3145,  3146,  3141,  3149,  3100,  3101,  3099,  3102,  3103,
    3147,  3148,  3091,  3092,  3093,  3094,  3150,  2711,  2712,  3096,
    2704,  2708,  2772,  2843,  3097,  3098,  3095,  2709,  3090,  2843,
       0,  2965,  2966,     0,  2967,  2968,  2969,  2895,  2857,  2970,
       0,     0,  2971,  2972,  2973,  2974,  2975,  2976,  2977,  2978,
       0,  2979,  2980,  2981,  2982,  2842,  2983,  2984,  2985,  2986,
    2819,  2825,  2948,     0,  2799,  2800,  2796,  2798,  2797,  2801,
    2784,  1415,   635,  1501,  1500,     0,  2605,  1415,  2557,  2558,
    2606,  2559,  2560,     0,  2561,   271,     0,  1511,  2562,  2607,
       0,  1415,  2608,   432,  1087,  2609,  2610,  2727,     0,  2563,
    2564,     0,     0,     0,   635,  1415,     0,     0,  2565,  1647,
    2566,     0,  2567,  2611,  2612,     0,  2568,  2569,  2613,     0,
    2614,  2570,  2571,  2572,  2615,  2616,  2617,  2573,  2618,  2619,
       0,     0,  1661,     0,  2574,  2620,  2575,  2576,  2577,     0,
    2621,  2578,  2579,  2580,  2622,  2623,  2581,  2582,  2583,     0,
    2584,     0,     0,     0,     0,     0,     0,  2624,  1415,  2585,
       0,     0,  1668,     0,  2586,     0,  2625,  2587,     0,  2588,
       0,  2626,  2589,  2590,  2591,  2592,  1661,  2944,  2820,     0,
    1513,     0,  2593,  2627,     0,  2594,  2595,  2596,  2597,  2598,
    2599,  2600,  2601,  2602,  2603,  2604,     0,     0,     0,    36,
      71,    72,    29,    28,    89,    54,    15,    62,   123,   122,
     124,    41,    37,    79,    24,    26,    38,    42,    64,    66,
      31,    55,   101,    63,    22,    61,    67,    87,    49,    10,
      11,    50,    12,    51,    13,    52,    97,    73,    90,    34,
      60,    21,    43,    69,    70,     3,    45,    77,     9,    56,
      57,    59,    82,    83,    84,   106,    85,   118,    40,   115,
      94,    95,   112,    96,   113,     7,    98,    53,    14,   109,
     108,   110,    80,    46,    81,    68,    88,   107,    25,   111,
      16,    17,    19,    20,    18,    58,    27,    65,    30,    86,
     114,   104,   100,   119,   117,   125,   102,    74,     5,     6,
      91,     4,    23,    48,     8,    33,    32,    47,    39,   121,
      35,  1511,    93,   105,    92,    99,    78,   103,   120,    76,
     116,  1629,  1616,  1670,  1628,  1646,     0,  1632,  3039,  3040,
      44,  1647,   127,   128,   133,  2707,  2761,  2762,  2763,  2843,
    2794,  2795,  2788,  2804,  2814,  2803,  2807,  2815,  2802,  2821,
       0,   130,   132,   134,   137,   131,   126,   129,   136,   141,
     135,   140,   138,   139,   142,   143,   144,  3041,  1897,  3038,
      75,  2779,  2778,     0,  2843,     0,  3071,  2267,  2268,  2269,
    2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,  2279,
    2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,
    2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,
    2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,  2309,
    2310,  2311,  2312,  2313,  2259,  2314,  2315,  2316,  2317,  2318,
    2319,  2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,
    2329,  2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,
    2339,  2340,  2341,  2342,  2343,  2344,  2345,  2346,  2347,  2348,
    2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,
    2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,
    2369,  2370,  2371,  2372,  2373,  2374,  2375,  2376,  2377,  2378,
    2379,  2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,  2388,
    2389,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,  2398,
    2399,  2400,  2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,
    2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,
    2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,
    2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,  2438,
    2439,  2440,  2441,  2442,  2445,  2443,  2444,  2446,  2447,  2448,
    2449,  2450,  2451,  2452,  2453,  2454,  2455,  2456,  2457,  2458,
    2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,
    2489,  2490,  2491,  2260,  2492,  2493,  2494,  2495,  2496,  2497,
    2498,  2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,
    2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,  2517,
    2518,  2519,  2520,  2521,  2727,  2522,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,  2536,
    2537,  2538,  2539,  2540,  2541,  2542,  2543,  2544,  2545,  2546,
    2547,  2548,  2549,  2550,  2551,  2552,  2553,  2554,  2555,  2556,
    2745,  2257,  2258,  2264,  2265,  2266,  2720,  2741,  2747,  3067,
    2746,  2263,  2894,     0,     0,  2987,  2988,  2989,  2990,  2991,
    2992,  3042,  3043,  3044,  3045,  3046,  3048,  3047,  2856,  3014,
    3051,  2855,  3052,  2859,  3053,  3054,  3055,  3056,  3015,  3057,
    2858,  3049,  3011,  2860,  2853,  2854,  3012,  2963,  2964,  2232,
    3013,  3010,  3050,  2748,  3009,  2864,  2863,  1606,  3066,  1607,
       0,  2866,  2993,  2994,  2995,  2996,  2998,  2997,  2999,  2628,
    2629,  2630,  2631,  2632,  2633,  2634,  2635,  2636,  2637,  2638,
    2639,  3024,  2640,  2641,  2642,  3037,  2643,  2644,  3025,  2645,
    2646,  2647,  2648,  2649,  2650,  2651,  2652,  2653,  2654,  2655,
    2656,  2657,  2658,  2659,  2660,  2661,  2662,  2663,  2664,  2665,
    2666,  2667,  2668,  3026,  3027,  2669,  2670,  2671,  2672,  2673,
    2674,  2675,  2676,  2677,  2678,  2679,  2680,  2681,  2682,  2683,
    2684,  2685,  2686,  2687,  2688,  2689,  2690,  2691,  2692,  3028,
    2693,  2694,  3029,  2695,  2696,  2697,  3030,  2698,  2699,  2700,
    2701,  2702,  3034,  3035,  3036,  3023,  2817,  3000,  3022,  3033,
    3031,  3032,  2827,  2823,  2831,  2826,     0,     0,     0,     0,
    2843,  1414,  1413,  1428,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     634,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2717,     0,  1425,   146,     0,  3018,  3012,  3021,     0,  2235,
    3013,  3010,  3009,   404,   403,  1510,  1490,   635,     0,  1428,
     431,  1647,     0,     0,     0,     0,     0,     0,     0,   851,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   194,     0,     0,     0,     0,   455,   454,     0,
       0,     0,  1053,   460,     0,     0,     0,     0,     0,   625,
    2726,  2721,  2731,     0,  2724,  2725,  3009,     0,  3153,  2443,
    2757,  2758,  3151,  2503,  1608,   272,   275,   276,   273,   274,
       0,  1189,  1190,  1192,     0,     0,  1202,   891,   892,     0,
       0,     0,   905,     0,     0,     0,   889,     0,     0,     0,
     911,     0,   908,     0,     0,   912,   909,   886,   910,   893,
       0,   885,     0,     0,  1202,   913,     0,     0,   887,     0,
       0,     0,     0,  1428,     0,  2809,  2810,  2367,  1556,   461,
       0,     0,  1647,     0,  1533,  1534,  1511,  1523,  1535,  1528,
    1530,  1529,  1531,  1527,  1532,  2268,   988,  2283,   988,  2355,
     985,   986,   988,   988,   988,  2463,     0,     0,   960,     0,
     971,  2253,   988,  2254,  3067,   993,   524,   524,   524,     0,
     992,   997,   524,     0,  1396,  1437,  2234,  1660,     0,  2283,
    2355,   961,  1395,  2522,  1547,     0,     0,  1217,  1213,  1215,
    1216,  1214,     0,  1056,  1056,  2481,  1407,   256,  3007,  2491,
    2589,  2522,  3008,   255,   250,   251,  3002,  3003,  3005,   224,
    3006,  3004,  3001,  2272,     0,     0,   992,     0,  1428,  1405,
     957,  1667,  1665,     0,  2219,     0,     0,  2292,     0,  2306,
    2393,   247,  2474,  2482,  2491,  2589,  2522,  2554,   203,   213,
     208,     0,   265,  2491,  2589,  2522,     0,  1425,     0,  1633,
    1771,  2228,     0,     0,  2818,  1398,  1397,  1512,     0,  1515,
       0,  2458,  1637,  1640,  1517,  1638,  1629,     0,     0,  2706,
       0,  1522,  1664,  1664,     0,  1664,     0,  1621,  1629,  1624,
    1628,     0,     0,     0,     0,  1415,     0,  2786,  2814,  2793,
    2849,  2790,     0,     0,  2839,  2835,  2832,  2840,  2841,  2834,
    2822,  1886,  1887,  1888,  1885,  1898,  1884,     0,  2767,  1889,
    2806,  2773,     0,  2781,  2780,  3079,  3080,  2896,  2719,  2738,
       0,     0,     0,     0,     0,     0,     0,  2865,  2867,  2869,
    2829,  2828,  2824,     0,     0,     0,  2954,  2955,     0,  2953,
       0,  2950,  2952,     0,  2849,     0,  1399,     0,     0,     0,
     916,     0,  1440,  1038,     0,     0,     0,     0,     0,  1289,
       0,  1095,  1096,     0,  2257,     0,  2366,  1289,     0,     0,
    2126,  2137,  2138,  2139,  2296,  2350,  2134,  2135,  2136,  2128,
    2129,  2130,  2131,  2132,  2133,     0,     0,  1184,  2127,     0,
    2366,     0,  1289,     0,   173,     0,   150,  1289,     0,     0,
    2366,     0,     0,  2366,     0,     0,     0,     0,     0,  2366,
       0,     0,     0,     0,     0,   173,  2398,     0,   150,  2366,
       0,     0,     0,  1419,     0,     0,     0,  1421,  1424,  1400,
       0,  2211,     0,  2212,  2236,  1493,     0,  2228,     0,     0,
       0,     0,   899,     0,     0,   889,     0,     0,     0,   900,
       0,   901,   902,     0,     0,     0,     0,   898,     0,  1411,
    1402,     0,  1549,  1551,  1550,  1548,   524,     0,     0,     0,
    2366,     0,     0,   150,  1478,     0,  2366,   150,     0,     0,
     459,   458,   150,   457,   456,  2296,  2350,     0,  1086,     0,
    1354,   150,  2366,     0,   196,  2366,   694,  2366,  1517,     0,
     638,     0,     0,   806,  2398,   150,     0,     0,     0,     0,
       0,     0,  1056,     0,     0,     0,     0,     0,   624,   635,
       0,  2730,  2736,     0,  2728,  2897,  3154,  3152,  2852,     0,
    1193,   248,   249,  1191,   903,  2366,  1128,   365,     0,     0,
    2366,   150,  1846,  1875,  1853,  1875,  1875,  1842,  1842,  2333,
    1855,  2366,  1843,  1844,  1880,     0,  1875,  1842,  1847,     0,
    1845,  1883,  1883,  1870,   365,   920,  1827,  1828,  1829,  1830,
    1856,  1857,  1831,  1862,  1863,  1867,  1832,  1897,  3019,  1842,
    3020,  3017,  3016,   904,     0,   890,  2366,   365,  1092,  2366,
    2261,   183,     0,   888,  2296,  2350,  2366,   365,  1186,     0,
    2366,   365,  2366,   179,  2366,   365,  2366,   365,  2366,   639,
       0,     0,  2366,   365,  2366,  2398,   181,   907,  2366,   365,
     914,  2366,   365,  2230,  2366,     0,  1403,     0,     0,  3084,
    3088,     0,  3086,  3081,  2808,  2862,  2861,  2760,     0,  3165,
       0,  1608,  1525,  1540,     0,  1536,  1543,  1539,  1647,   988,
     987,     0,   988,     0,  3175,   988,     0,   988,     0,  3175,
     988,     0,     0,     0,   988,  2255,  2256,     0,     0,  3174,
    3170,  3173,   962,   972,     0,   994,     0,     0,  1001,  1000,
     999,     0,     0,     0,  1002,     0,  1775,  1583,     0,   969,
       0,   967,     0,  1393,  1410,     0,     0,     0,     0,  1056,
    1220,     0,  1218,  1055,     0,     0,  1406,   254,   252,     0,
       0,     0,     0,     0,     0,  1412,     0,  1404,     0,     0,
       0,  3073,  2241,  2140,  3072,     0,  2558,  2559,  2560,  2203,
       0,  3014,  2561,  2562,  2607,  2032,  2019,  2028,  2033,  2020,
    2022,  2029,  2563,  2564,  1967,  2565,  2566,  2248,  2567,  2568,
    2569,  2571,  2572,  2573,  2024,  2026,  2574,  2575,  2577,     0,
    2249,  2578,  2579,  2425,  2581,  2582,  2584,  2585,  2030,  2587,
    2588,  2589,  2590,  2591,  2592,  2247,     0,  2031,  2593,  2595,
    2596,  2597,  2598,  2600,  2601,  2602,  2603,     0,     0,     0,
    2225,     0,  1999,     0,  1835,  1836,  1858,  1859,  1837,  1864,
    1865,  1838,     0,  2224,  1900,  2085,  1998,  2015,     0,  2004,
    2005,     0,  1997,  1993,  1650,  2220,     0,  1994,  2237,  2204,
    2251,  2250,  3067,  2214,  2240,  2238,  2239,  1650,  2218,     0,
       0,     0,   216,     0,     0,  2943,   267,     0,   268,  2226,
    2491,   204,   246,   218,   245,   219,   217,     0,  2294,   205,
       0,     0,   206,     0,     0,     0,     0,     0,     0,     0,
     261,  1401,     0,  1773,  1772,  2229,   925,     0,     0,  1504,
    1498,  1507,  1503,  1514,  1511,  2150,     0,  1639,     0,     0,
       0,  1619,  1618,     0,  1519,  1521,  1496,  1517,  1662,  1663,
       0,     0,     0,     0,     0,     0,     0,     0,  1720,  1678,
    1679,  1681,  1717,  1721,  1729,     0,  1625,     0,     0,  1777,
       0,     0,  2705,  2849,  2850,     0,  2844,     0,  2843,  2843,
    2837,  2836,  2833,     0,     0,     0,     0,     0,     0,     0,
       0,  2764,   619,  2766,   616,     0,     0,  2740,     0,  2744,
    2742,     0,  2889,  2892,     0,  2890,  2891,  2893,     0,  2898,
    2899,     0,     0,  3076,     0,     0,     0,  2880,  2868,  2875,
    2877,  2879,  2878,  2887,  2883,  2886,  2888,  2830,  2843,     0,
    2956,  2962,  2959,  2308,     0,  2951,     0,  1426,     0,     0,
       0,     0,     0,  1127,     0,     0,     0,     0,     0,   917,
       0,     0,     0,     0,  1448,  1449,  1450,     0,     0,  1451,
    1452,  1440,   258,  1458,  1456,  1439,  1441,  1454,  1446,     0,
       0,     0,     0,     0,     0,     0,  1470,     0,   187,   188,
       0,   651,   635,     0,  2366,     0,     0,     0,     0,  1135,
    1142,  1288,     0,     0,     0,     0,     0,     0,     0,     0,
    1136,  1134,     0,  1137,   260,  1147,  1166,  1169,     0,     0,
    1094,  1097,     0,     0,     0,     0,     0,  1279,     0,     0,
       0,  1279,     0,     0,     0,  1288,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   283,   285,   298,   360,     0,
       0,     0,  2366,  1289,     0,     0,     0,  1188,     0,     0,
       0,     0,     0,     0,     0,     0,  1169,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   148,   149,   154,     0,
       0,     0,     0,  1169,     0,     0,     0,     0,     0,     0,
       0,   602,   615,     0,     0,     0,     0,     0,   612,     0,
       0,   150,   288,   592,   598,     0,     0,     0,   701,   700,
       0,     0,     0,     0,     0,  1370,  1369,     0,     0,     0,
       0,  1468,  1467,     0,     0,     0,     0,     0,     0,  1279,
       0,   277,   279,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   396,   397,
       0,     0,     0,   154,     0,     0,  1279,     0,   290,     0,
    2774,     0,  1420,  1417,  1418,     0,  1423,     0,     0,     0,
       0,  2007,     0,  2154,  1670,  2152,  1112,  2210,     0,  2207,
    2206,  2233,  2213,     0,  1489,     0,     0,     0,     0,     0,
       0,     0,     0,  2296,  2350,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   814,     0,  1440,  1477,     0,     0,     0,   644,     0,
    2366,     0,   152,   852,     0,   804,   460,     0,     0,     0,
    1159,  1353,   152,     0,     0,   190,     0,     0,   698,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   743,   742,
       0,     0,     0,   805,     0,     0,   152,     0,  2366,   595,
    2366,     0,   524,   524,     0,     0,  1058,     0,     0,     0,
       0,     0,     0,  2734,  2729,  2732,     0,  2722,  2736,  1611,
    1613,  1612,     0,  1610,     0,   363,   364,     0,  1176,  1201,
       0,     0,     0,  1874,  1861,  1869,  1868,     0,  1851,  1850,
    1849,     0,  1848,     0,  1875,  1875,  1873,  1852,  1827,     0,
       0,     0,  1879,     0,  1877,     0,   881,  1823,  1819,     0,
    1886,  1885,  1884,     0,  1833,  1842,  1839,   906,     0,     0,
    1170,     0,     0,  2366,   365,  2366,     0,  2366,     0,     0,
       0,  1178,   365,     0,  1172,     0,     0,  1174,     0,  1371,
       0,   897,   895,   894,   896,     0,     0,   879,     0,     0,
       0,     0,     0,   874,     0,     0,   876,     0,     0,  3082,
       0,     0,  3085,     0,  2811,     0,  3171,  1552,  3168,     0,
       0,  1647,     0,   235,   236,   234,  1541,   237,  1542,  1538,
    1524,     0,   980,     0,  3175,  3176,   965,     0,   975,     0,
    3175,   963,     0,   976,   973,   974,     0,     0,     0,  3169,
    3058,  3064,   979,     0,     0,   525,   527,     0,     0,  2317,
    2332,     0,  2356,  2386,  2387,  2449,  2477,  2482,  2487,     0,
    2516,  2527,     0,  1003,  1033,   998,   710,     0,     0,  1593,
     970,   968,  1394,  1545,  2157,     0,  1647,     0,     0,     0,
       0,  1209,  1210,   253,   225,     0,     0,     0,  1035,  2481,
    1409,   956,   635,     0,     0,  2002,  2003,  2202,     0,     0,
       0,     0,     0,     0,  2001,  2165,     0,     0,     0,     0,
       0,     0,  1923,     0,     0,     0,  2182,     0,  2188,     0,
       0,  1960,     0,     0,     0,     0,     0,     0,     0,     0,
    1924,  1904,  1905,  3015,  1999,  2150,     0,  2000,  2244,     0,
    1897,  2140,     0,  2137,  2138,  2139,     0,     0,     0,  2217,
       0,  2148,     0,     0,  1938,  2146,  1940,     0,     0,     0,
       0,  2134,  2135,  2136,  2128,  2129,  2130,  2131,  2132,  2133,
    2144,  1920,     0,  2223,     0,  2087,     0,  1919,     0,     0,
    1733,  1649,     0,  2242,  2205,     0,  3065,  3068,  1995,  1733,
    2940,  2939,  2938,  2937,  2908,     0,  2902,  2903,     0,  2941,
    2942,   269,   270,   266,     0,     0,   221,   220,     0,   243,
     244,   215,   242,     0,   238,   239,   223,  2074,  2073,   222,
     214,   211,   209,   226,   228,   229,   212,   210,   264,   262,
       0,     0,     0,     0,   365,  2843,  1522,     0,  1505,  1506,
    1502,  1509,  1730,     0,  1641,     0,  1645,  1522,     0,  1518,
    1636,  1635,  1671,  1672,  1078,  1634,  1700,  1701,     0,     0,
       0,     0,  1726,  1724,  1691,  1682,  1690,     0,     0,  1688,
       0,  1692,  1900,  1719,  1623,  1676,  1677,  1680,  1622,     0,
    1722,     0,  1596,  1720,  1681,  1580,     0,  1558,     0,  1778,
       0,     0,     0,  2851,  2849,  2789,  1827,  2843,  2782,  2843,
    2838,  2770,  1891,  1892,  1893,  1894,  1895,  1896,  2771,     0,
    2768,  1890,  2769,   617,   618,     0,     0,     0,  2737,     0,
    2718,  2743,  2874,  2499,  2906,     0,  2907,     0,     0,  2871,
       0,  2881,  2884,  2882,  2885,     0,  1827,  2957,  3061,  3061,
    1827,  1427,     0,     0,     0,  1107,  1109,     0,  1108,     0,
    1111,     0,  1120,     0,     0,  1106,  1125,     0,  1114,  1112,
       0,  1466,     0,     0,   918,     0,     0,     0,     0,  1447,
       0,     0,  2516,   257,  1450,  1455,  1442,  1453,     0,     0,
       0,     0,     0,  1037,  1036,     0,     0,  1060,     0,     0,
       0,  1473,   513,     0,   362,     0,     0,     0,     0,     0,
       0,     0,     0,   800,   797,     0,     0,   796,     0,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   674,     0,  1279,     0,   296,     0,  1144,     0,  1143,
       0,  1148,     0,     0,  1145,  1140,  1141,  2482,  2491,  2522,
     259,  1146,  1168,     0,  1167,  1163,     0,  1089,     0,  1090,
       0,     0,     0,     0,     0,  2342,  2366,   303,   325,     0,
    1278,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   347,     0,     0,   350,
     349,     0,     0,     0,     0,     0,   354,   333,     0,   334,
       0,   353,     0,     0,     0,     0,     0,     0,  1279,     0,
     292,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,   727,     0,     0,  2482,  1164,     0,     0,     0,     0,
       0,     0,  1357,     0,     0,   176,     0,   171,   175,     0,
       0,  2482,  1165,     0,     0,     0,     0,     0,   600,   601,
     614,     0,   605,   606,   603,   607,   608,     0,     0,     0,
       0,     0,     0,     0,   599,     0,     0,   696,   695,   699,
       0,     0,     0,     0,     0,  1366,     0,  1159,     0,     0,
    1365,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1222,  1221,     0,     0,     0,     0,  1289,     0,   842,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   178,
     714,     0,   713,     0,   172,   177,     0,     0,     0,     0,
       0,     0,     0,     0,   233,  1416,  1422,  1670,  1670,  1670,
    2013,     0,     0,     0,     0,  1669,  2208,  2211,  1492,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   410,   407,   408,
     410,     0,     0,     0,     0,   816,     0,   819,   822,     0,
    1438,   479,     0,     0,   641,   674,     0,     0,   463,   185,
       0,     0,     0,     0,   729,     0,     0,     0,  1352,   147,
     194,   196,   461,     0,   195,   197,   199,   200,   201,   198,
     202,     0,   693,   697,     0,     0,     0,     0,   637,     0,
       0,     0,     0,     0,   744,   748,   747,   751,   749,     0,
     745,     0,     0,  1798,     0,     0,   170,     0,     0,   590,
     594,     0,  2713,     0,     0,   463,   563,   376,  2366,     0,
     524,     0,  2366,     0,  1057,     0,   803,     0,     0,     0,
       0,     0,     0,     0,     0,  2735,     0,     0,     0,     0,
    1609,   365,  1129,     0,   150,     0,     0,     0,     0,   365,
    1872,  1871,  1824,  1820,     0,     0,     0,     0,   921,     0,
       0,     0,     0,     0,     0,  1840,   365,  1093,   184,  2262,
       0,   883,     0,     0,     0,     0,   365,  1187,   871,   365,
     180,   365,   365,   640,     0,   365,   182,     0,     0,   365,
     915,   365,  2231,     0,   365,  3083,  3089,  3087,  1555,  3172,
    3166,  3167,  2366,   524,  1613,  1526,  1537,   977,   984,   966,
     983,   982,   964,   981,   978,  2873,     0,     0,  3063,     0,
     995,     0,   523,     0,     0,     0,     0,     0,  1011,  1012,
       0,     0,  1008,  1013,     0,  1009,  1010,  1015,  1005,  1004,
    1016,  1017,     0,     0,  1035,   708,     0,     0,     0,     0,
    1590,     0,  1588,     0,  1776,  1592,  1581,  1546,     0,  1544,
       0,   583,  1056,  1056,  1219,     0,     0,   992,     0,     0,
     365,  1408,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2161,     0,  2162,     0,     0,  2201,  2197,
       0,     0,     0,     0,     0,  2169,  2170,  2171,  2168,  2172,
    2167,     0,     0,  2173,  2166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2585,     0,     0,     0,     0,
    1968,     0,     0,  2121,     0,  2150,  2187,     0,     0,     0,
       0,     0,     0,  2150,  2193,     0,     0,     0,     0,  2072,
       0,  2069,     0,     0,     0,     0,  2214,     0,     0,  2245,
    1901,  1915,  1916,  1917,  1921,  2222,     0,  2216,     0,     0,
    1902,  1929,     0,  2194,  1956,     0,  1961,  1944,  2174,  2175,
    2176,  2177,  1963,     0,  1937,     0,  1942,  1946,     0,  1925,
       0,  1922,     0,  2217,  2149,     0,  2147,     0,  1912,  1913,
    1914,  1906,  1907,  1908,  1909,  1910,  1911,  1918,  2125,  2123,
    2124,     0,     0,     0,  2095,     0,     0,  1941,  2359,  2393,
       0,  1661,  1661,  1661,  1648,  1659,  2221,     0,  1793,  1670,
    3070,  3069,  2215,  1793,     0,     0,     0,  2227,     0,     0,
    1897,     0,   263,  1774,   923,   924,   922,  1827,  1495,  1499,
    1508,  1522,  2151,  1516,  1643,     0,     0,  1497,  1520,     0,
    1076,  1077,     0,  1081,  2585,  2479,     0,     0,     0,     0,
    1693,  1727,     0,  1718,     0,  1694,  2237,  2238,  1695,  1698,
    1699,  1689,  1728,  1594,     0,  1723,  1627,  1626,     0,  1796,
       0,     0,     0,  1572,  1560,     0,  1779,     0,  1733,  1598,
       0,  2214,  1731,  2787,  2845,  2792,  2813,  2783,  2816,  1899,
    2765,  2805,     0,  2739,  2909,  2910,     0,  2900,  2901,  2870,
    2876,  2947,     0,  3062,     0,     0,  1328,  1223,  1290,  1110,
       0,  1842,  1121,     0,  1105,     0,  1104,  1842,     0,  1122,
       0,  1842,  1329,  1224,  1291,   919,  1330,  1225,  1292,  1331,
    1226,  1457,  1445,  1444,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   781,
    2366,   365,  1471,  1332,     0,  1227,   361,  1472,  1293,  1476,
     799,   798,     0,     0,  1294,     0,   650,   655,     0,   657,
     658,  2296,  2350,   659,   662,   663,     0,   665,   654,   653,
       0,     0,     0,     0,     0,   671,   673,     0,     0,     0,
       0,     0,     0,  1138,  1139,  1333,  1230,     0,  1295,     0,
    1088,     0,  1231,   186,     0,     0,   284,  2366,   305,     0,
     678,   781,     0,  1281,   302,   331,     0,   346,   341,   342,
     340,  2366,   365,  2366,   365,     0,     0,     0,     0,     0,
     343,   338,   339,   335,     0,     0,   348,  2271,  2334,  2492,
       0,   682,   684,     0,   689,   351,  1251,   372,   371,   370,
       0,   355,     0,   377,   380,   352,   332,   330,   327,   299,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1180,     0,  1336,  1296,     0,  1318,     0,     0,     0,
       0,   721,  1339,  1237,  1299,     0,  1358,  1360,  1350,  1238,
    1359,   174,  1268,     0,     0,   159,     0,     0,     0,     0,
     153,   163,  1340,  1239,  1300,     0,     0,  1341,  1240,     0,
       0,   289,   593,   604,   609,  1245,   613,   610,  1308,   611,
    1348,  1241,     0,  1344,  1271,  1303,   578,  1351,  1367,  1242,
    1159,  1362,  1364,     0,  1279,     0,   278,   280,     0,   301,
       0,  1243,     0,  1301,  1343,  1270,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1479,     0,     0,     0,     0,
       0,     0,   365,     0,     0,     0,  1281,  2366,   365,  1342,
       0,  1276,     0,  1316,     0,     0,   398,     0,  1269,  1279,
       0,   291,  1247,     0,  1310,     0,     0,   231,   230,   232,
       0,     0,     0,     0,  2155,  2156,     0,  2153,  2008,  2210,
       0,   945,   931,   944,     0,   927,  2332,     0,   930,   932,
       0,     0,     0,   933,   937,   938,     0,   929,   926,   928,
       0,   409,     0,     0,   738,   739,     0,     0,     0,     0,
     818,     0,     0,     0,  1469,     0,   150,   648,     0,     0,
       0,   643,   673,   678,     0,     0,     0,     0,   462,   466,
     470,   471,   472,     0,     0,     0,     0,   164,   151,     0,
     860,     0,   524,     0,   731,  1356,  1355,  1158,     0,   196,
     189,     0,     0,   694,     0,  1517,     0,     0,   376,   813,
     811,   810,   812,     0,     0,     0,   834,   809,     0,  1797,
    1799,     0,     0,     0,     0,     0,     0,     0,   465,     0,
       0,   527,     0,   566,     0,     0,     0,     0,   563,     0,
       0,     0,     0,   830,  3016,   802,  1099,     0,  1117,  1100,
       0,     0,     0,     0,  1152,  1084,  1153,  1130,  1085,     0,
       0,   622,  2733,  2727,  1614,  1615,     0,  1177,     0,     0,
    1465,     0,  1463,     0,  1841,  1854,   882,     0,  1882,  1881,
    1883,  1883,     0,  1825,     0,  3155,  3163,  3162,     0,  1866,
    1834,  1171,   365,     0,   365,     0,   365,  1179,  1173,  1175,
    1372,     0,   880,     0,     0,   873,   875,     0,   877,     0,
       0,  2872,  3059,   996,   526,     0,     0,     0,     0,     0,
       0,  1007,   620,  1014,     0,  1028,  1023,  1025,     0,  1029,
     707,     0,     0,  1591,  1584,  1586,  1585,     0,     0,  1582,
    2158,   872,     0,   589,     0,     0,     0,     0,   365,     0,
    1030,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1666,  2159,  2160,     0,     0,     0,  2198,     0,     0,
    2047,     0,  2021,  2023,  2035,     0,  2048,  2006,  2049,  2025,
    2027,  2036,     0,     0,  2141,     0,     0,  2038,     0,  1970,
    1971,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1986,  1985,
    2039,  2120,     0,     0,  2185,  2186,  2040,     0,     0,  2192,
       0,     0,     0,  2045,  2050,     0,     0,     0,     0,  2056,
       0,  2077,     0,     0,     0,  1996,  2151,     0,     0,     0,
       0,     0,     0,     0,     0,  1962,  1945,  1965,  1939,     0,
    1943,  1947,     0,     0,  1964,     0,     0,  1933,     0,     0,
    1931,  1957,  1927,     0,     0,  1958,     0,     0,     0,  2014,
       0,     0,  1661,  1661,  1661,  1661,  1658,     0,     0,     0,
       0,  2479,  2604,     0,  1757,  1732,  1734,  1744,  1757,  1762,
    1757,  2016,  1791,  2017,  2228,     0,  1703,     0,  1703,  2922,
    2924,  2925,  2926,  2927,  2928,  2930,  2931,  2933,  2934,  2935,
    2923,  2929,  2932,  2936,  2913,  2914,     0,  2904,  2905,   207,
       0,   240,   227,  2947,  1494,  1644,  1647,  1673,     0,  2142,
    1081,     0,  1675,  1696,  1697,     0,  1686,     0,  1725,  1683,
    1595,  1579,     0,  1577,  1564,  1566,  1565,     0,     0,  1567,
    2214,     0,  1577,  1559,  1603,     0,     0,  1796,     0,  1602,
       0,  2847,  2775,     0,     0,  2946,  2949,  2961,  2958,  2785,
       0,  1842,  1102,  1103,     0,  1126,     0,  1040,  1041,     0,
    1039,     0,     0,     0,   512,  1059,     0,     0,     0,   781,
       0,     0,   516,     0,  1474,     0,  1349,  1267,   652,     0,
       0,     0,     0,   667,   626,   668,   670,     0,     0,   669,
     672,   675,  1279,     0,   297,  1253,     0,  1314,  1132,     0,
       0,  1091,     0,     0,     0,     0,     0,     0,   479,   326,
       0,     0,     0,     0,   150,     0,   307,   318,   383,   324,
       0,   357,     0,   329,     0,   322,   344,   336,   345,   337,
     356,   358,     0,   686,   687,   685,   681,     0,   688,   690,
       0,   374,     0,     0,     0,     0,  1335,     0,  1279,     0,
     293,  1249,     0,  1312,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1317,     0,     0,     0,
       0,   726,     0,   723,     0,     0,     0,   156,   155,     0,
     162,     0,     0,     0,     0,     0,     0,     0,  1368,     0,
       0,     0,     0,     0,     0,   392,     0,   300,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   399,   367,     0,   837,     0,
       0,     0,   401,     0,     0,  1327,     0,     0,     0,     0,
       0,  1334,  1232,  2011,  2012,  2009,  1670,  2209,     0,     0,
       0,   942,     0,     0,     0,     0,   412,   413,   150,   411,
     434,     0,   781,     0,     0,   815,   820,   828,  2425,  2128,
    2129,   826,   821,   823,   825,   824,   827,     0,     0,     0,
       0,     0,   495,     0,     0,     0,   485,     0,     0,  1159,
     478,   481,   482,     0,     0,   644,   647,   645,   646,   666,
       0,   465,   502,   553,     0,   166,     0,     0,   167,   165,
       0,     0,   376,   728,     0,   725,     0,   192,   461,     0,
     698,     0,     0,     0,  1159,   636,   750,   753,   746,     0,
     833,   835,   807,     0,   678,     0,     0,   595,     0,   524,
    1556,   583,     0,   555,   465,   553,   562,     0,     0,   570,
     375,     0,     0,   583,   376,     0,     0,  1060,   829,     0,
       0,  1098,     0,     0,     0,  1149,  1154,  1150,     0,     0,
    1113,     0,  1151,  1131,  1388,  1389,  1386,  1387,     0,     0,
       0,  2750,  1605,  2759,     0,     0,  1461,     0,  1860,     0,
    1878,  1876,  1821,     0,  2843,     0,     0,     0,     0,     0,
    1826,   884,     0,   867,     0,   869,   365,   715,     0,   365,
       0,     0,     0,     0,     0,     0,     0,  1006,     0,  1026,
       0,     0,   989,  1032,     0,     0,  1589,  1587,   581,     0,
    1211,  1212,  1035,     0,   990,  1034,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2163,     0,  2200,  2196,
       0,  2018,  2164,     0,     0,  2180,  2179,  2121,     0,     0,
    1969,  1981,  1982,  1983,  2181,     0,  1991,     0,     0,  1978,
    1979,  1980,  1972,  1973,  1974,  1975,  1976,  1977,  1984,  2190,
    2189,  2183,  2184,     0,  2042,  2043,  2044,  2191,  2051,     0,
    2286,  2078,     0,  2055,  2071,  2070,     0,     0,     0,  2058,
       0,     0,  2067,     0,  2122,  2246,  1903,     0,     0,  1930,
    2195,  1948,     0,     0,  1966,     0,  1926,  2141,     0,     0,
       0,     0,     0,  1935,     0,     0,     0,  2098,  2093,  2094,
    2118,     0,     0,     0,     0,     0,     0,  1652,  1651,  1657,
    1757,  1762,  1757,     0,     0,  1629,     0,  1744,     0,  1756,
    1742,  1755,     0,     0,  1768,  1766,     0,  1768,     0,  1768,
       0,  1736,     0,  1758,  1738,  1755,  1740,     0,  1783,  2229,
    1792,     0,  1716,  2008,  1716,     0,     0,     0,  2945,     0,
       0,  1674,  1079,  1080,  1684,     0,  1687,     0,  1794,     0,
    1578,     0,     0,     0,  1569,  1575,  1557,     0,     0,  1599,
    1577,  1600,  2791,     0,  2846,  2911,  2912,  1123,     0,     0,
    1115,  1046,  1047,  1050,  1048,  1045,  1049,     0,     0,     0,
     781,     0,     0,   534,     0,  1073,  1073,     0,     0,   518,
     575,   529,   784,     0,     0,     0,   782,   365,  1228,     0,
       0,     0,     0,   627,  1347,  1229,     0,     0,     0,     0,
    1133,  1282,     0,     0,  1252,     0,   304,     0,   475,     0,
       0,   310,   319,     0,   315,     0,  1280,     0,     0,     0,
       0,   314,   387,     0,   384,     0,   365,   365,   359,   683,
     373,   378,   379,   382,  1287,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   861,   844,
       0,     0,   862,   863,     0,     0,     0,  1182,  1183,  1181,
    1319,  1320,  1325,  1322,  1321,  1324,  1323,  1326,     0,  1235,
       0,     0,   719,  1283,   160,   157,   158,   161,  1284,  1265,
    1246,  1309,   579,  1363,     0,     0,     0,  1244,     0,  1302,
       0,  1261,  1255,     0,     0,     0,     0,     0,  1346,  1275,
    1307,  1345,  1273,  1305,  1272,  1304,  1274,  1306,  1266,     0,
       0,  1801,   841,     0,     0,     0,   365,   365,   840,   717,
    1248,     0,  1311,  1257,     0,     0,     0,   934,     0,     0,
       0,   936,   417,   435,   150,     0,   737,   801,     0,     0,
     817,   780,     0,   483,     0,   489,   493,     0,     0,   497,
     498,   496,   484,  1159,   524,   574,   770,   771,     0,     0,
     791,     0,   642,     0,   463,     0,   499,     0,     0,   467,
     169,   168,     0,     0,     0,   732,   736,   734,   733,   735,
     730,     0,   721,   196,  2366,     0,     0,     0,     0,   576,
    1361,     0,   763,   808,     0,  1800,   711,     0,   376,   591,
    2715,     0,     0,   463,   583,  2714,     0,   468,   473,   474,
     479,     0,   563,   554,     0,   555,   564,   565,     0,   572,
    1436,     0,   584,   572,     0,     0,     0,   831,     0,   832,
    1101,  1118,  1119,     0,     0,  1082,     0,     0,     0,     0,
     629,     0,  2723,   365,     0,  1464,  1822,  3156,     0,  3157,
    3158,  3159,  3160,  3161,   365,   365,  1208,     0,   878,  1020,
    1021,  1022,  1019,  1018,   621,     0,  1024,   709,     0,   582,
     365,     0,   959,   951,   958,   947,   950,   952,     0,   954,
     955,   949,   946,   948,  2199,  2034,  2037,  2046,  2178,  2120,
    2151,     0,     0,  1992,     0,     0,  2041,  2594,     0,     0,
    2082,  2083,     0,  2079,  2080,  2075,  2076,  2057,     0,  2414,
    2062,     0,     0,     0,  1954,  1952,  1949,     0,  1950,  1934,
       0,     0,  1932,  1928,     0,  1959,  2084,     0,  2100,  2097,
    2117,  2151,  1656,  1655,  1654,  1653,  1743,  1739,  1741,     0,
    2599,     0,  1746,  1753,     0,  1735,     0,  1767,  1763,     0,
    1764,     0,     0,  1765,     0,     0,  1737,     0,  1753,     0,
    1790,     0,     0,  2089,  2243,  2089,  2915,     0,  2918,  2916,
    2917,  2921,   241,  1642,     0,  1685,     0,  3171,  1561,     0,
    1562,  1568,     0,     0,     0,     0,  1604,  1597,  2848,  1116,
    1124,     0,     0,     0,   514,     0,   529,     0,     0,     0,
    1066,  1075,  1065,     0,   529,     0,  1159,   786,   785,   788,
     783,   787,  1475,     0,   660,   661,   664,  1254,     0,  1315,
    1263,     0,  1593,   306,     0,   679,   313,     0,     0,     0,
     308,   386,   388,   309,   312,   316,   367,   328,   321,     0,
       0,     0,  1250,     0,  1313,  1259,  1286,  1337,  1233,  1297,
       0,     0,   850,     0,     0,     0,     0,  1338,  1234,  1298,
       0,     0,     0,     0,  1593,     0,     0,     0,     0,     0,
       0,     0,     0,  1484,     0,     0,   366,   839,   838,   367,
     400,  1277,     0,  2010,     0,   935,   940,   941,   939,     0,
     406,   414,   417,     0,     0,  1199,  1199,     0,   781,     0,
       0,   480,   494,     0,   574,   533,     0,   486,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   724,   723,   191,     0,   463,     0,   678,     0,
     757,   758,   752,   754,     0,   765,   769,   836,     0,     0,
       0,     0,   465,     0,     0,  3165,   464,     0,     0,   476,
       0,   566,   555,   563,     0,     0,   580,     0,  1429,     0,
     586,     0,     0,     0,  1155,     0,  1161,     0,  1112,  1156,
       0,  1793,     0,     0,     0,     0,   633,  2749,  2753,  1200,
    1462,  3164,   868,   870,   716,  1027,     0,  1031,   365,   953,
    2122,  1987,     0,     0,     0,     0,  2052,     0,  2053,  2081,
    2059,  2063,     0,  2060,  2061,  1951,  1955,  1953,  1936,  2086,
       0,  1670,  2119,  1786,     0,  1789,     0,     0,  1745,     0,
       0,  1747,     0,     0,  1749,  1751,     0,     0,     0,     0,
       0,     0,  2232,  2313,  2569,  2476,     0,  1702,  1704,  1707,
    1709,  1708,  1710,  1706,  1715,     0,  1631,  1630,  2920,  2919,
    2143,  1795,  1576,     0,     0,     0,  1061,     0,  1601,  1028,
       0,   365,  1073,  1159,   535,  2425,   536,  1072,  1074,  1078,
       0,  1159,     0,   574,   656,     0,     0,   286,   677,     0,
       0,   311,   320,   369,   381,     0,  1593,     0,     0,   848,
     857,   857,   845,     0,     0,   864,  1236,   720,     0,     0,
     281,  1262,  1256,     0,     0,     0,  1486,  1487,     0,     0,
       0,     0,     0,  1285,   365,  1258,   943,     0,   437,   444,
     418,   422,  1478,     0,  1478,     0,   419,   423,  1478,  1478,
     416,  1793,   433,  1199,     0,  1196,  1195,   779,     0,   522,
     597,     0,   487,     0,   544,     0,     0,   792,     0,     0,
     465,   553,     0,   511,   503,   504,   505,   507,   506,   508,
     509,   510,   501,   500,     0,   678,   854,   376,  1436,   718,
       0,     0,   691,     0,   755,   760,   759,  1478,   764,     0,
       0,     0,   678,     0,  1556,   583,   555,   465,   553,  1553,
     469,   479,     0,   570,   563,   566,     0,   567,     0,   571,
       0,     0,     0,   583,  1488,  1060,     0,  1160,     0,     0,
       0,     0,     0,     0,  1203,   628,     0,     0,   632,   623,
       0,  2751,   678,   991,  1988,     0,  1989,     0,     0,  2065,
    2064,     0,  2104,  1791,     0,     0,  1785,     0,     0,  1815,
       0,     0,     0,  1754,  1770,     0,  1750,  1748,     0,  1759,
       0,  1761,     0,     0,     0,  1711,     0,  2088,  2090,     0,
       0,  1574,  1793,     0,  1571,     0,  1042,     0,  1043,  1067,
     574,     0,  1078,  1081,   524,   574,     0,   781,  1264,     0,
     680,   597,     0,   323,     0,   294,  1260,     0,     0,   859,
     859,     0,     0,     0,     0,     0,     0,   394,     0,     0,
    1480,     0,  1481,  1482,  1485,   402,   415,     0,   442,     0,
     440,   439,   441,     0,   430,     0,     0,     0,     0,     0,
       0,   405,  1194,  1198,  1197,     0,     0,   488,     0,   490,
       0,   530,   531,   532,     0,   492,   540,   541,     0,   789,
       0,   794,     0,     0,     0,   678,   552,   702,     0,     0,
       0,  1430,     0,     0,   577,     0,   766,   767,   762,     0,
       0,   712,  1436,   583,  2716,   563,     0,   555,   477,     0,
     572,   566,   570,   568,   569,     0,  1433,     0,   585,     0,
    1069,  1083,  1162,  1157,  1392,     0,     0,   631,   630,  2754,
    2756,  2755,     0,   706,  1990,  2068,  2054,  2066,  2099,     0,
       0,     0,     0,  1784,  1787,     0,  1818,     0,     0,     0,
       0,  1804,     0,  1752,     0,     0,  1760,     0,     0,     0,
    1705,     0,     0,  1563,  1573,  1062,     0,     0,   539,     0,
    1081,  1063,   533,   781,   528,   515,  1593,   317,   368,     0,
       0,     0,   855,   858,   846,   847,   866,   865,   722,  1593,
       0,   390,   389,     0,   393,     0,   438,   447,     0,   445,
     420,   425,     0,   429,   427,   426,   421,   424,     0,   521,
       0,     0,     0,     0,     0,   542,     0,   543,   573,     0,
     793,     0,     0,     0,   704,   853,     0,     0,   463,   678,
     756,   761,     0,     0,  1431,  3165,   566,   555,   563,     0,
       0,   557,  1073,  1073,   450,   570,   572,  1434,  1435,     0,
       0,   376,  1391,  1390,  1647,     0,     0,  2752,  2557,     0,
    2530,     0,  2116,  2105,  2116,  2116,  2096,     0,     0,  1816,
    1817,  1802,     0,     0,  1806,  1769,  1782,  1713,     0,  1712,
    2091,  2092,  1793,   365,     0,   781,   537,  1064,   544,   517,
     287,  1593,   849,     0,   282,     0,   395,  1483,   443,     0,
     428,   769,   596,   491,   549,     0,   548,     0,   546,   545,
     790,   795,     0,   678,   843,  1436,   692,   768,     0,  1554,
     570,   563,   566,     0,   556,     0,  1075,  1075,   572,   448,
       0,     0,   572,  1374,  1647,  1373,  1375,  1383,  1380,  1382,
    1381,  1379,  1206,  1207,     0,  2109,  2108,  2107,  2111,  2110,
       0,  2103,  2101,  2102,  1788,     0,  1805,  1808,     0,     0,
    1814,  1807,  1809,     0,     0,  1780,  1714,  1570,  1044,     0,
     519,   781,   295,   856,     0,   446,     0,   547,   551,   550,
     678,   703,  1432,   774,   572,   566,   570,  1073,   558,  1074,
     560,   559,   452,  1069,  1070,     0,  1793,     0,  1384,  1378,
    1629,  1616,     0,     0,     0,     0,  2113,     0,  2114,     0,
    1812,  1813,  1810,  1811,     0,     0,   520,     0,     0,   705,
       0,   772,   775,   778,   776,   777,   451,   570,   572,  1075,
     376,  1068,     0,  1051,  1376,  1647,     0,     0,  2106,  2112,
    2115,     0,     0,   538,   391,     0,   740,     0,   572,   449,
     561,   572,  1071,  1377,     0,     0,     0,  1781,     0,   773,
     453,  1793,     0,     0,  1803,   774,  1052,     0,     0,     0,
    1204,  1205,   741
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5402, -5402,  4659, -5402, -5402, -1308,   174,  2930, -1061, -5402,
   -5402, -5402,  1272, -5402, -5402, -5402, -5402,  3750, -5402,  2035,
   -2902, -5402, -5402,   -36,  3729, -1773,   -29,  3264,  1677, -5402,
   -1570, -5402, -5402,  -961,    34, -5402,  3731,   466, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -1199,  2145, -5402,  2228,
    1491,  5259, -2951, -5402, -5402, -1961, -3703, -5402,   773, -5402,
     796, -4729,  -777, -5402, -5402, -5402,  2129, -5402, -5402, -5402,
    2078,  1286,  -212, -5402, -5402, -5402, -5402, -5402, -5402,  -626,
   -5402, -5402,  -877,   322,   -99, -2950, -4275, -5402, -5402,   629,
    -262, -1927, -5402, -4105, -5402,   146, -2398, -5402, -5402, -5402,
    -222, -1897,  1585, -5402, -1060, -1575,  1914, -2841,  -731, -5402,
     -95, -5402,  -844,  -632,  -630,  -766, -4305, -4795, -5402, -5402,
    -875, -3783, -5110, -5313, -4773, -4789,  1595, -5402, -5402, -3633,
   -4311,   550,   610, -5402,   893,   929, -5402,   627,  -564, -1327,
   -2034, -5402, -1205, -5402, -5402, -5402, -3436, -5402, -5402, -5402,
      20, -5402, -5402, -5402, -5402,   675, -5402, -5402, -5402, -5402,
   -5402, -5402, -2333,  2110,  2111, -5402, -3690, -5402, -1293, -5402,
     830, -3493,  1513, -5402, -5402,  1287,  3779,   659, -5402, -5402,
   -5402, -5402, -5402, -5402, -2144, -5402, -5402, -5402, -5402,   150,
    -190, -5402, -5402, -5402, -5402, -5402, -5402, -5402,   932, -5402,
    2126,  1283, -5402, -5402,  -193, -5402, -5402, -5402, -5402, -5402,
   -5402,  -821, -5075,  -984,  -965, -5402, -3488, -5402, -5402, -5402,
    -166, -5402, -5402, -5402, -5402, -5402, -1244, -5402,  1344, -4098,
   -5402, -5402,   637, -5402, -5402, -5402, -5402, -5402,  -739,  -105,
    2952, -5402,  -337,  -534, -5402, -5402, -5402,   -98, -5402, -5402,
   -5402, -5402, -5402,  -836, -1679,  4983,  4203, -1498,  9234, -1233,
    -889, -5402, -5402, -5402, -2726, -5402, -5402, -4261, -5402,  4961,
      21,  -658,   938, -5402,  -197,   -86,  3546, -1593, -3151,   598,
    -285, -5402, -5402, -5402, -3045, -5402, -5402, -5402, -5402, -4041,
     947, -5402, -1040, -5402, -4338, -5097, -4546, -4118,  -873, -5402,
   -5401, -4798, -4269, -4044, -5402, -5402, -5402, -5402,  -817,  -895,
    2933, -5402, -1918,  2483, -1345, -5402, -2560,   676,  1703,  2938,
   -3238,  -826,  2926, -3006, -1028, -3759, -5402, -5402, -2783,  -413,
   -5402, -5402,  -779,   514, -5402, -5402, -5402, -5402,  -944,  2878,
    -886, -5402, -5402,  4169, -5402, -4873, -5402,  4137, -5402, -5402,
   -5402, -5402,  2770,  2773, -5402,  2774, -5402, -5402, -1891,  1467,
   -5402, -1153, -5402, -5402,  2258,   879, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402,  1361,   862, -5402, -5402, -5402, -5402,
   -5402,  -704,  -884, -5402, -5402,   955, -5402, -5402, -5402, -5402,
    2092, -1307, -1092,  4017,   141,   964, -5206, -5402, -5402, -1523,
   -5402,  3268, -5402, -5402, -5402, -5402, -5402,   677,   678, -5402,
   -5402, -5402, -5402, -2829, -5402, -5402, -4959, -5402, -5402, -5402,
   -5402, -5402,  4002,     7,  2629, -5402, -5402, -5402,  -240, -5402,
   -5402, -1363,  2620, -5402, -2372, -5402,  -907, -5402,  2863, -5402,
   -5402, -5402, -5402, -2309,   982, -4312,   -61, -5402, -5402,    45,
   -5402,   477, -5402, -5402, -3944,   -56, -5402, -5402, -5402, -5402,
   -4970, -5402,   -52,  -600,  1031, -3280, -5402,  1005,     2,  3640,
    2064,   -60,   382,  -244,  -223,  -207,   -72,   -84,  3407, -5402,
   -5402,  3453, -5402,  -201,  2218, -5402, -5402, -1189,  -345, -5402,
    1838,  -979,  2615,  3400,  3404, -5402,  1827,  2646, -2405, -2394,
   -5402,  1117,  -560,  -396, -5402, -5402, -5402, -5402,   538,  -966,
    2630, -5402,  3412, -5402, -5402, -5402, -2332, -3336, -3955,  1142,
   -3930, -3838,   575,   559, -1265,  -159,  -194, -1126,  3414, -5402,
   -5402,  1152,  -361, -5402, -5402,  -359, -3285,  1078, -5402, -4902,
   -2808,  1156,  -824,  -654, -5402,  -742, -5402,  -528,  8194, -2109,
   -1454, -5402, -5402, -1415, 20117, -5402, -5402, -5402, 27732, 29394,
   -5402, -5402, 30290, 30344, -5402, -1268, 30514, 10669, -1434, -1421,
   -1663, 28369, -2040,  1832,   329, -5402, -4076, -2925, -5402, -5402,
   -5402,  -106,  1223,  -415, -5402, -4956, -4323, -5402, -5402,   129,
   -5402,  -526, -5402,  -525, -5402, -5402, -5402, -2689, -4345, -2770,
    2781, -5402, -5402, -5402,  -786, -5402, 31628, -3228, -5402, -1019,
   -1744, -1996, -3927, -2323, -5402, -5402, -5402, -3089, -5402, -5402,
   -5402, -5402, -1895, -3811,  -562,  1953, -5402, -5402,  2053, -5402,
   -5402, -5402, -1318,  2325, -1112, -3098,  1963, -5402, -1136,  2782,
   -1149, 17238, -1037, 27462, -1723, -5402,  3819, -5402,  2639,  -131,
    -787,  5734,  -918,  -843,  9091,  7199,  5405, -3670, -5402, -5402,
    1015, -5402, -5402, -5402, -5402,  4605,  1407, -5402,  3843, -5402,
    2219,  3061, -5402, -5402,  2643,  -988,   -81, -5402,  -478, -5402,
    -146, -5402, -5402, -5402,   280, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402, -5402, -5402,  3446, -5402, -5402, -1615, -5402, -5402,
   -5402, -5402, -5402,  4907,  -378, -5402,  4247,  -355, -5402, -5402,
   -5402, -5402, -5402, -5402, -5402, -5402, -5402,  3462,  2682, -5402,
    4037, -5402, -5402, -5402,   -35,  3685, -5402, -5402, -5402,  -676,
    -938,  4055,  4058,  2650, -5402, -5402, -5402, -5402, -5402, -5402,
   -5402, -5402,  2657, -5402, -5402,  1951, -2440,  2660, -5402, -5402,
    1136, -5402, -5402,   615, -5402,  1137, -5402,  3564, -5402, -5402,
   -5402,  1179, -5402, -5402, -5402,  -554, 20237,   -19,   725,  1374,
    1949, -5402, 16072, 22360,   545,  3476,   -46, 11529, 24035,    73,
   -5402,  4902,  2658,  2169, -1128, -5402,  4191,  2957,  9444, -5402,
   -1120,  1745,  2955, -5402,    -2,  -697, -1341,  3772,  -800, -2278,
   -5402,  5328, -5402, -3653, -5084, -1171,   177,  4243, -1387
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   248,   249,   250,  2038,  2999,  2857,  3807,  3808,
     251,   252,  2034,   253,   254,   255,   256,  1952,   257,  1423,
    2195,  3014,   258,  2703,  1169,  1170,  1171,  2552,  2553,  2945,
    2554,  2541,  1773,  2347,  1974,  1134,  1135,  1933,  1975,   260,
     261,  1767,  2533,   262,   263,   264,  2005,  2092,  2006,  2007,
    1946,  2248,  4891,  5663,  3601,  2821,  3855,  3602,  3603,  4257,
    4258,  4337,  5677,  5678,   265,  2108,  2109,   266,   267,  2980,
    3772,  4388,  5270,  5271,  5510,   952,  4914,  4915,  5497,  5498,
    5691,  5838,  5839,  3015,  2187,  3850,  4473,  3798,  4986,  3799,
    4987,  3800,  4988,  3784,  4420,  4421,  4928,  4422,  3801,  4946,
    5542,  3802,  2722,  5707,  3056,  2377,  2375,  5186,  5524,  4752,
    4753,  5925,  5715,  5716,  5717,  5948,  4948,  4992,  4993,  5880,
    5881,  3853,  4479,  4999,  5336,  5287,  3499,   269,   270,  2221,
    3963,  1064,  3059,   986,  1065,  3016,   274,  3049,  5709,  3050,
    2064,  2871,  4401,  3943,   275,  1449,  4223,  5356,  5598,  5599,
    1049,   276,  2203,   277,   278,  2994,  3791,   279,  2739,  3516,
     280,   281,  3535,  3536,  3537,   282,  4248,  5204,  2008,  3590,
    3591,  3592,  3593,  4278,   283,  2198,  3023,  3024,   284,   285,
     286,  3187,  3188,   287,  2931,   288,   289,   290,   291,  4313,
    4852,  4962,  3631,  3814,  4445,  4960,   292,  3776,  3017,  2211,
    3039,  3040,  4972,  5312,  5313,  5314,  5557,  5870,  5316,  5559,
    5738,  5561,  4938,  6060,  6061,  5278,  4212,  4766,   294,  4939,
    4940,  5722,   295,  2737,   296,   297,  2171,  2986,  2987,  4402,
    3066,  3862,  3863,  4459,  4460,   298,  3715,   299,  4828,  4829,
     987,  5729,  5669,  5824,   300,   301,  4832,  4833,   302,   303,
     304,   305,   306,  1050,  1386,  1387,  1052,  1549,  1550,  3471,
    1494,   307,  2564,   308,  3752,   309,  1649,  5053,   310,  1088,
    1580,  1581,  3018,   312,  1099,  3207,  1101,  2392,  3945,  3946,
    4552,   313,   314,  3184,  3210,   315,  1939,  2713,  2714,  4747,
    3019,   988,  1634,  3063,  3494,  5435,  5180,  5436,  5891,  6035,
    5181,  5449,  3393,  4152,   317,   989,  1980,  2778,  1517,  1518,
    3069,  3867,  2682,  2683,  2684,  4499,  2685,  3869,  2686,  1913,
    2687,  1466,  1467,  3875,  3876,  3877,  4495,  4502,  3008,  5346,
    5347,   318,  1977,  2775,   319,   320,   321,  2017,  1315,  1527,
    1528,   322,  1011,  1012,   323,  5515,   324,  1469,   325,  5354,
     326,   327,  1123,  1124,  1631,  1632,   328,   329,  2792,  4260,
     330,  1978,   331,   332,  3625,  3626,  4844,   333,   334,   335,
    2190,  2191,   336,   337,  3680,  3681,   338,   339,   340,  5975,
    6037,  6038,  6039,  4508,  5894,  5977,  1623,   342,   343,   344,
     932,  1357,  1358,  1359,  1276,  3020,  5338,   346,   347,  1934,
    1935,  1936,  1937,  2708,   348,   349,   350,  3891,  3892,   351,
     352,   353,   354,  2175,   355,   356,  5488,   357,   358,  2144,
     359,   360,  1798,  1799,  1800,  1801,  2570,  3381,   946,  1189,
    1804,  1810,  1814,  1815,  1816,   362,  1067,  1574,  1575,  1576,
    2349,   363,  1627,  1391,  1068,  1569,  1069,  2616,  3423,  4167,
    4168,  4169,  4172,  5164,  4720,  1070,  3419,   367,  2399,  3193,
    3196,  3415,  1071,  3428,  3429,  3430,  4175,  1072,  1090,  1459,
    3079,  1073,  1722,   372,   373,   374,  1198,  1192,  1193,  3386,
     376,  2510,  3354,  1108,  1820,  1153,  1154,  1206,  2955,  2582,
    2583,  2607,  2608,  1829,  1830,  2595,  2599,  2600,  3405,  3399,
    2588,  4702,  5417,  5418,  5419,  5420,  5421,  5422,  5143,  2603,
    2604,  1832,  1833,  1834,  2612,   377,  3358,  4105,  4106,  4107,
    4679,  4680,  4694,  4690,  5128,  5404,  4108,  1617,  1840,  5136,
    6005,  4109,  5393,  5394,  5616,  4698,  4116,  4163,  3838,  3839,
    3840,  4110,  5790,  5791,  6001,  6002,  5618,  5619,  2688,  2278,
    1496,  1723,  1497,  2286,  1724,  2262,  1499,  1725,  1726,  1727,
    1502,  1728,  1729,  1730,  1505,  2254,  1731,  1732,  2272,  1238,
    1239,  1805,  5620,  1734,  1735,  1736,  4112,  1737,  4632,  5092,
    5078,  3280,  3281,  2549,  4628,  4047,  4622,  2505,  3344,  5426,
    5637,  5638,  4089,  4658,  5108,  5391,  5782,  5902,  5903,  5991,
    1738,  1739,  1740,  3341,  2500,  1318,  1741,  4404,  2502,  3274,
    2134,  2135,  2405,  2426,  3226,  3241,  3242,  3318,  3254,  4006,
    3262,  3267,  4034,  4035,  3275,  3304,  1742,  3228,  3229,  3988,
    2428,  1743,  1363,  2138,  1364,  2518,  3299,  1757,  1744,  1745,
    2393,  1180,  5400,   777,  2140,  1105,  1746,  1747,  1748,  1862,
     720,  1520,  1521,   722,   761,   762,   935,   873,     2,    70,
    1074,  3847,  5321,   381,   382,   991,   992,   993,  1451,  1452,
    2234,  2237,  1867,  2650,   726,   727,   778,  5022,  5357,  5601,
    1058,   383,   384,   385,   386,  1863,  2646,  1240,    71,    79,
      72,  1241,   423,   424,  2627,   387,   890,   388,  1843,  1220,
    4181,   389,   390,   391,   392,   393,  1055,   394,  1222,   395,
    1223,   396,   397,   398,   399,  1230,   400,  1845,  1846,  4734,
    1847,   401,   402,   764,   765,  1567,   403,   404,  1257,  2336,
    1259,  1600,  1873,  1888,  1889,  1890,   405,   734,   406,   407,
     408,  1879,  1880,   409,  2526,  2527,  2655,  2528,   410,  3444,
    3445,   411,  4134,  4135,  5149,  4136,   412,  2522,   413,   414,
    1183,  4186,   415,   886,   416,  1271,   766,   767,   768,   937,
     876,  1139,   769,   939,  3594,   878,   879,   770,   771,   772,
    2369,    73,  3452,  2370,  1750,   779,  1751,  2516,  1752,  1753,
    1754,  1755,  1756,  1896,   774,  1247,  1559,  1560,  3453,  1562,
      77,  1563,   420,  3908,  2337,  1601,  3140,  2355,  2356
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      76,   375,  1002,  1197,  2063,  1790,  2346,   763,  1289,  1145,
    1768,  1217,   365,   370,  1552,  2132,  1322,   366,  1758,  1327,
    1835,   368,  1316,  1417,  2294,  1182,  1179,   418,  1207,  2884,
    1092,  2374,  1861,   418,  1218,  2268,  1608,  1609,  1610,  2068,
    2113,  2816,  1614,  2721,   763,   985,  2142,  1919,  3797,  1460,
    2417,  2126,  1092,  1114,   417,  3137,  1796,  3968,  2274,  2787,
     417,  2779,  2258,  2259,  3878,  2200,   994,  1001,  1277,  1795,
    3044,   419,  2267,  4249,  1782,  4484,  1001,   419,  4118,  1100,
     361,   731,  4161,  1255,  1635,  3364,  2284,   375,  4754,  2788,
     930,   417,   776,  2010,  4273,  2173,  4275,  3199,  4229,  2178,
    2799,  3225,   781,  4429,  2182,  1258,  4711,   259,   419,  3820,
    3712,  1385,  4405,  2192,  3678,  1533,  4503,  1293,  1001,  4503,
    1146,  1201,  1317,  3464,  3466,  4455,  1325,  2216,  1891,  1546,
    4755,   942,  2062,  2949,  2911,  2912,  1893,   417,   944,  3949,
    1347,  2091,   929,  4788,  2009,   996,  4645,  4174,  4676,  5006,
    1599,  2118,  1209,  1004,   419,  1572,  4945,  1543,  4984,  3093,
    4985,  4749,  1195,  2252,  4150,  5397,  1066,  1461,  1210,  2027,
    4995,  1806,  5002,  2185,  2044,  3127,  1133,  1168,  1412,  4693,
    1981,  1317,  1089,   881,  1421,  4812,  1176,  3363,  4055,  2213,
    2634,  2636,  2637,  3408,  3378,  2694,  2770,  1435,  2907,  4994,
    5333,  1775,  2361,  1142,  1089,  3387,  3411,  2255,  2256,   417,
    5182,  1142,  4468,  1142,  1531,  5528,  5294,  1535,  2266,  2332,
    1577,  5573,  4190,  4611,  4072,  2938,   419,  1828,  4726,   881,
    5340,  2568,  5457,  2628,  2628,  5409,  3755,  5411,  3758,  3759,
    1831,  5569,  1317,  3763,  3764,  3765,  5586,  3767,  3768,  3769,
    1250,  4523,  2770,  4185,  1561,  1795,    39,  2258,  2259,  2524,
    5750,  1976, -2236,  1869,  1870,  5332, -1883, -1875,  2274,  2770,
    4691, -3019,  4696,  2750,  5480,  1882,  2285,  2267,  1141, -1883,
   -3019, -3019,   950,  5179, -1842, -1855,  1141, -3020,  1141, -1880,
    1882,    39,  5490,  5491,  1976,  4955, -3020, -3020,  5083,  1976,
    1455,   881,   426,  2367,  2245, -1870,  5055,  5056,  5057,   375,
    5059,  5060,  5061,  5062,  5063,  1872,  1875,  3005,  4012,  1461,
     365,   370, -3017,    39,    39,   366,  1005, -2235, -3016,   368,
   -2610, -3017, -3017,  4179,  1272,    39,  2164, -3016, -3016, -2610,
   -2610,  2212,  5731,   418,  1246,  1802,  1275,   426,  2472,  2028,
    1625,  1940,    38,    39,  4493,  1651,  1883,  1802,    40,   422,
     426,    35,   426,  3189,  1772,    37,  2245,    38,    39,   426,
     417,  2348,  1211,    40,    38,    39,  -436,  2478,   418,  2562,
      40,  4423,  2245,  2947,  2948,  3297,  4956,   419,   361,  5668,
    2790,  2097,  5009,  2255,  2256,   268,  3597,  2245,  2338,  2245,
     426,  2245,  2226,  5516,  1353,   417,  3259,  2245,  2705,  2480,
    2918,    40,  2245,  3787,  1260,   259, -2407,  3953,  1287,  2266,
    1586,  4225,   419,    39,  1591,  1592,  1593,  5609,  2169,  1948,
     732,  3053,  4113,  2098,  1604,  5779,  2997,  2923,  1907,  5886,
    3702,  5162,   426,  3297,  5892,  4874,  4943,    38,    39,  3598,
    1651,  1883,  2208,    40,  2579,   371,  3054,  1212,  2029,  1761,
    1941,  -150,   933,   426,  1204,  5752,  -150,  3737,    38,  2727,
    2790,  4957,  -150,  2209,    40,  2126,  2539,  2142,  3703,  2151,
    2905,  5966,  5967,  2156,  3345,  2157,  5633,  3190,  5289,  2640,
    1151,  2155,  2641,  4113, -2126,  5522,  5665,  5190,  3485,   948,
    2790, -2126,  1354,  3338,  3629,  2851,  3497, -2145,  5630,  3390,
    3339,  3704,  1274,  2790, -2145,  1644,  2515,  3435,  2472,  2586,
    3788,  2472,  4335,  4331,   945,  1336,   931,  5295,     3,  2807,
    5555,  2269,  4254,   426,  2269,  1218,  5874,  5574,  1949,  1187,
    4283,   371,  2146,  2026,    40,  3966,  3599,  2478,  2043,  2335,
    2478,  1355,  2270,  4284,  1337,  2270,  2790,  3451,  4012,  2790,
    4803,  3455,  3498,  2808,  2790,   426,  2271,  2715,  2790,  4336,
    1200,  1484,  5968,  2511,  5296,  2542,  5556,  5780,  3630,  2480,
    2555,  2555,  2480,  2246,  3486,  2716,  2511,  1253,  1254,  2408,
    1152,  1317,  3209,  2540,  3391,  2868,  2569,  2170,   891,  2472,
    1006,  5290,  2642,   994,  2099,  3357,  2437,  5781,  1356, -1617,
    2467,  2302,  4453,  4405,  5852,  2587,  2558,  2559,  4875,  2030,
    5893,  1942,  3346,   271,  2998,  4958,  6069,  2563,  2478,  1196,
    4394,  2210,  2170,  1908,  4944,  1010,  5610,  2514,  4846,  3954,
    5702,  5885,   892,  2717,  3055,  2246,  1599,  6024,  5553,  5163,
    2990,  1599,  1001,  1001,  3986,   877, -2407,  2031,  1007,  1943,
    2480,  2246,  2718,  2142,  5657,  5873,  1261,  4386,  4387,  2953,
    1626,  2350,  2245,  5325,   733,  4012,  2246,  4226,  2246,  4424,
    2246,  1213,   996,  3006,  3041,  4913,  2246,  2421, -1617,  3191,
    2032,  2246,  1944,  1361,  2394,  4959,  1008,  1362,  1009,  1246,
    2253,   877,  2466,   268,  1244,  1288,  3789,  2100,  1884,  3192,
    2407,  2269,  3600,  6068,  2016,  4494,  5097,   951,  1646,  1905,
    2937,  4759,  5835,  1884,  2269, -2407,  2418,  5125,  1340,  2800,
    1251,  5129,  2270,  1461,  2247,  3298,  2368,  1878, -2407,  4954,
    1361,  4693, -2236,  3221,  1362,  2270,  2271, -1875,  2170,  6022,
    2879, -3019,  2757,  2882,  6088,  2525,  2755,  1208,  2331,  2273,
    1945,  5379,  2764,   371,  2257,  2261,  5960, -3020,  3359, -1880,
    1950,  5745,  2575,   877,  4976,  5068,  2889,  2125,  3100,  2398,
    1252,  5003,  2132,  2132,  2132, -1870,  5167,  4027,  2852,  2728,
    2170,  5959,  5970,  4078, -1617,  3790,  2275,  5369,  3159,  2924,
    2906,  2919, -3017,  2469,  2512,  1461,  3738, -2235, -3016,  2719,
   -2610,  2715,  2289,  5191,  2830,  3369,  2537,  2499,  2946,  1197,
    4405,   891,  2621,  3129,  1885,  1886,  1578,  2300,  2925,  2322,
    3539,  2325,  5116,  1951,  5118,   874,  2900,  2292,  1613,  1859,
    1860, -2126,  4551,  4332,   418,  2869,  5930,  5147,  2872,  2873,
    3340, -1620,  6026,  1457, -2145, -1617,  2613,  3558,  1188,  5934,
    2831,  5808,  3540,  3042,  1836,   892,  5813,   417,  1613,  2614,
    3105,   417,  5029,  5030,  5031,  5032,  5033,  1086,  1087,   375,
    2651,   874,  3169,  5907,   419,  5329,  3614,  2717,   419,  4367,
    1392,  1395,   942,  3181,  4776,  1393,  5649,  4328,  4817,  1394,
    1443,   942,   731,  4192,  4917,  4193,  2718,  4468,  2292,   942,
    2036,   731,   942,  4583,  1616,  6067,  1246,  4447,  1001,  1885,
    1886,  2351,  2720,  5853,  2353,   731,  4138,  2357,  4176,  2359,
   -1620,   271,  2362,  2037,  1461,  2573,  2366,  3615,  -150,  -150,
    1859,  1860,  1461,  1461,  1579,  2954,  1585,  2966,  1590,  2774,
    2170,  2246,  5878,   874,  1594,  4916,  4739,  3747,  1461,   881,
    1570,  6012,  2102,   731,  3227, -1617,   272,  3149,  2103,   731,
      35,  2573,  3475,  3152,    37,  1209,  1566,  5884,  1585,  1590,
    1001,  2280,   731,  6085,  2496,  2497,  2498,  2499,  1616,  2332,
     375,  1210,  3408,  2204,  5862,  1784,  3090,  3091,  2774,  1117,
    2770,  1458,   273, -1617,  4155,   293, -1617,  3955,   731,  4144,
    1408,   311,  3437,   942,  3437,  2774,  2884,  5877,  1512,  1839,
     316,  2397,   942,   731,  4024,  4025,  4026,  4027,   341,   942,
    3043,   731,   942,  2801,  4381,  2205, -1620,   345,  3170,  6049,
    4504,  1444,  3035,  5395,  1512,   731,  2802,  5566,  2803,  3289,
    1850,  2311,    76,  2719,  1232,   364,  1923, -1842,  3510,  4754,
    1080,   731,  1571,  2494,  2495,  2496,  2497,  2498,  2499,    39,
    1573,  2104,  4724,  3530,  5020,  1246,  2839,   763,   369,  1584,
    4845,  1589,  5961,  4408,  1081,  1118,  5247,  4755,   380,  4558,
    1390,  1603,  5520,  2312,  1955,  3606,  4177, -1620,  1583,    39,
    1588,  4755,  5533,  1514, -2352,  2635, -1699,  1807,  1924,  2804,
    5248,  1619,  1621,  5969,  5944,  1233,  2749,  4969,  2281,  1202,
   -1698,  5464,  4298,  1765,  1771,  4505,    39,  3036,  1779,  4411,
    1618,  1620,  2837,  1785,  2508, -1842,  1597,  1797,  3483,  4022,
    4023,  4024,  4025,  4026,  4027, -2748,  1597,  2123,  5374,  2142,
    3868,   942,   942,  5534,  3531,   887,  3957,   888,  1142,  1204,
     731,  5535,  1142,  3057,   417,  3139,  2720,  2132,  6030,  6031,
    3323,  5401,  3183,  1961,  3493,  4113,  5405,  3696,  4113,  5407,
    5653,   419,  1597,  3697,  1203,  4413,   731,  1445,   942,  5536,
    6018,  4251,  5398,   115,  1556,  6032,  2142,  2978,   731,  6036,
    3362,   425,  1786,  4230,    38,  1925,  2206, -1620,    39,  5331,
      40,   119,  2292,  6045,  5352,  1640,  4009,  4010,  1235,   780,
      35,  4029,  4403,  1446,    37,  2268,  5724,    39,  1235,  3956,
   -1060,  4299,  2105,  1141,  1317,  1785,  3958,  1141,  3087,  3178,
    3179,  4559,  3530,  1119,  5537, -1620,  3710,  5759, -1620,   731,
     731,  6066,  5743,  4156,  5744,  5723,  4503,  5538,  4059,  4060,
    1204,   964,  5174,  5747,  2313,  2704,  2838,  4755,  4143,  5539,
    2106,  6090,  5758, -2232,   272,  5319, -1699,  2729,  5280,  4506,
    1938,  4113,  1447,  4416,  1120,  1121,  3698,  3131,  1448,  1647,
   -1698,  6046,  5746,  3171,  5205,  6089,  4825,  1409,  1605,  3607,
    4252,  1871,  1851,  2107,  1786, -1842,  3324,  1133,  2083,  2207,
     273,  3325,  4500,   293,  5945,  6100,  1932,  1640,  6101,   311,
    2398,   966,  2124,  3531, -2352,  4417,  2239,  4008,   316,  3534,
    3235,  2887,  1874,   371,  1142,  1142,   341,  3037,  3463,  2282,
    1597,  4418,  3168,   417,  6019,   345,  3173,  1300,  3326,  4507,
    3177,  3038,  2467,  3180,  1301,  1302,  1303,  1080,   942,   942,
     419,  3751,  3511,   364,  3740, -2748,   942,  2314,  1929,  5249,
    1930,  1512,   942,  3108,  3089,  6047,   942,  1122,   942,  1117,
    2240,  1081,  1512,  5810, -2352,  -676,   369,  3120,  4317,  3372,
    1515,  3774,  4300,  5946,  3107,  5521,   380,  1512,  1205,  5647,
    3126, -2388,  1598,  3236,  3222,  3224,  5596,  4436,  4826,  1141,
    1141,  3231,  1080,  2509,  3117,  2509,  1599,  3245,  3246,  3247,
    5947,  3082,  1599,  4157,  1640, -2748,  2730,  3125,  3264,  3266,
    4301,  1263,  5875,  3276,  3145,   881,  1081,  2979,  4419,  2634,
    3440,   942,   942,   942,   371,  1196,  5605,  3699,  5166,  1998,
    1080,  5626,   889,    35,  5353,  5540, -2409,    37,  5541,  4230,
    5580,  2632,  3412,  4302,  3237,  1118,  5748,  3238,  5581,  2232,
    5052,  3106,  1606,  1653,  1081,  5711,  4012,  1197,  2241,  1361,
    4013,  4014,  4015,  1362,   875,  3700,  3119,  1512,   977,  3121,
     978,  3327,  5644,  5015, -2446,  2723, -1842,  4714,  3534,  1577,
    3252,  3002,  4936,  4253,  4254, -1842,   375,  2257, -1842,  1918,
   -1842,  2899,  4827,  1317,  1317,  2731,  2186,  5050,  3701,  6048,
    2666,  1598,  2633,  2724,  1080,  5805,  1231,   731,  4113,  4981,
     875,  1948,  4255,  2239,  2242,  2046,  5703,  1891,  5395,  3643,
    3662,  5667,  1059,  1218,  1566,  1893,  5671,  5672,  1081,  4405,
    5575,  1353,  1598,  5984,  4982,    76,    76,  2280,    76,  3185,
    1256,  2631,  1060,  5986,  2571,  3172,   942,  4755,  3175,  3176,
    1565,   426,  2926,  2047,   731,  4437,  3468,  3239,  4931,  3053,
    1208,  5597,  4981,  2352,  3556,  2354,  3220,  3144,  2358,  3420,
    2360,  3775,  3644,  2363,  2364,  2365,  1061,  2580,  2581,  1232,
    2585,  5072,   875,  5073,  3054,  5712,  2372,  4982,  2132,  5811,
     731,   874,  3912,  1210,  1210,   882,  1210,  4148,  5552,  3003,
    2400, -2388,  2401,  1119,  1512,   883,   731,  5456,  2884,  2243,
    1232,  5582,  5479,  4241,  2632,  1235,  4935,    35,  1818,  3012,
    1949,    37,   731,  1839,  3186,  5664,   731,   964,  4937,  1354,
    3645,  1759,  3530,  4016,  4907,  4975,  5645,   942,  1317,  4911,
    1233,  4576,  3141,  1234,  1120,  1121,  3663,  4715,  3661,  2589,
    3705,  4970,  2725,  5882,  3666,  4017, -2409,  3669,  2765,  5713,
    2170, -2388,   763,   763,  5704,  2241,  4119,   942,  3240,  4120,
    4121,  1233,  3413,   964,  2281,  2633,  2531,  2589,  1355,  6078,
    4122,  4123,  4124,  3686,  4125,  4126,  2927,   966,  5987,  4127,
    4128,  4129,  2590,  2724, -2446,   942,   942,   942,  3013,   942,
    1760,  3636,  3637,  4403,  1802,  3640,   884,  4115,  2529,  2530,
    4932,  2503,  5080,  3531,  3543,  1147, -2409,  3731,  1819,   942,
    2590,  2242,  4983,  4018,  3747,  4830,  5074,    74,  4843,  4791,
    4376,  2292,  5998,   966,  3646,  1356,  2292,  4113,  3741,  3742,
    3743,  4113,  -588,  3817,  3711,  2532,  5927,  3421,  3532,  2292,
    4176,  2766,  3706,  1235, -2446,   731,  3889,   202,  2545,  3469,
    4538,  3470,  4792,   731,   731,   763,  3829,  3830,  3831,  3832,
    5518,  5751,  5306,  4333,  1612,  5868,  3650,  3414,  3837,   731,
    -461,  2591,   418,   418,  1235,  3707,  3533,   212,  1235,  1781,
    1306,  1307,  1308,  4755,  1309,  1310,  1311,  1312,  1313,  1314,
     942,  2592,   945,  3865,   942,   942,  2018,  3544,   417,   417,
     417,  2648,  2817,   212,   891,  3708,  2243,  4709,  4368,   942,
    5576,  1824,  5081,   220,  5730,   419,   419,   419,  3520,  2592,
    3524,  3525,   418,  6034,  5577,  5727,  4130,  4831,  3523,  1824,
    2670,  1353,  4793,  3553,  1825,  1461,   731,   885,  3709,   220,
    2033,  3163,  5741,  3650,   977,  3647,   978,  1613,   892,   417,
    3816,  2593,  4929,  3648,  1236,   231,  3649,   417,  5489,  5882,
    2817,  2902,  5274,  4480,  2817,  4755,   419,  2019,   234,   417,
    5368,  5999,  2186,  1237,   419,   947,  6000,  2141,  3534,  2593,
    1512,   231,  5773,  1826,  3517,  2282,   419,  2733,  -461,  5595,
     977,   246,   978,  4211,   234,  5275,  1142,  2734,  4741,  1938,
    4403,  1826,   212,  1938,  2283,   247,  4019,  4020,  4021,  1202,
    4022,  4023,  4024,  4025,  4026,  4027,  3200,   246,   983,  4141,
    3725,  4930, -1670,  4242,  6092,  1824,  2103, -1670,  1317,  1354,
     371,  3422,  5876,  3449,  5973,   189,  5660,  1142,   220,  3942,
    1224,   123,   124,  4591,  4592,  4593,  4594,  1512,  1827,  4599,
    4600,  4601,  4602,  4603,  4604,  4605,  4606,  4607,  4608,  1225,
    4893,   881,  2818,  3552,  5293,  4762,  4755,  4131,  4329,  1226,
    3858,  1141,  4503,  5486,  1203,  2881,  -385,  3826,  1355,  2908,
     231,  4894, -2257,  1909,  1512,    35,  -173,  3164,  4815,    37,
    5439,  2819,  5441,  1142, -1670,  4243,  5487,  1826,  5578,  2292,
    4408,  2074,  1059,  5324,  -385,  5864,  4409,  2425,  4649,  4650,
    1142,  3282,  1141,  2325,  3285,  -173,  2820,  1512,  4410,  3165,
    2818,  1910,  1060,  5821,  2818,  4132,  3105,  2434,   212,  2104,
     247,  5304,  3166,  1998,  1920,  1356,  5591,  3893,  1932,  3642,
    4330, -1670,  2075,  1932,  1827,  2065,  4411,  4763,  4412,  2819,
    1204,  2815,  2076,  2819,  1911,  2735,  1061,   874,  2451,  2874,
    4816,  2547,   205,  2817,   220,  5962,  3575,  3167,  1141,  2709,
    1227,  1923,  1921,  2464,  2820,  1056,  4742,  1103,  2820,   731,
    2710,  4586,  4743,  2066,  4595,  1141,  4596, -1669,  2036,  4744,
    2472,  2854, -1669,  2736,  5822,   942,   942,   942,  2711,  2036,
    5187,  4712,  4413,  2548,  3941,  1922,   231,  2940,  4764,  2815,
    4612,  2037,  4765,  2815,  1932,  1512,  3728,   891,  1932,   234,
    5284,   417,  2037,  1924,  4745,  3007,  1512,  3576,  -385,  -385,
    4414,  5768,  3964,  3965,  2874,  4133,  2555,  1228,   419,  5815,
    4117,  1938,   246,  1512,  3384,  2941,  4746,  1184,  6025,  5956,
    5265,  2480,  5266,  5267,  5268,  2893,  5974,  3377,  5972, -1669,
      39,   892,   731,  4713,  4113,  4327,  3577,  3385,  4684,  5188,
     731,  4113,  1208,  1208,  3194,  1208,  4113,  1361,  2939,  4113,
    1218,  1362,   731,   893,  2894,  1264,  1265,  5734,  1205,  3206,
    2807,  4802,  2067,  1107,  2875,  4415,  5701,  2876,  4191,  1512,
    4416,  4685,  2471,   949,  1266,  2472, -1669,  1267,  4113,  4011,
    2077,  1229,   942,   881,  4231,   942,  5131,  1053,  1512,  4597,
    1925,  4039,  4113,  2818,  2808,   942,  4687,  3578,  4456,  4598,
     875,  1512,  3497,  6021,  2478,  5463,  5148,   202,  4466,   375,
    4259, -3021,  4417,  1512,  2078,  2795,  4139,  2796,  2079,  2712,
    5736,  4926,  2819,  4062,  3100,  4683,   942,   942,  4418,   731,
     731,  4180,  4794,  1410,  4801,  1411,  2480,   212,  1914,  2875,
    1148,   942,  2876,   731,   942,  4927,  2071,  2820,  5494,  1116,
    1926,  2080,  5737,  1512,  1512,  4165,   731,   731,  4208,  4786,
    3974,  4977,  3976,  3977,  1268,  5929,   212,  4091,    76,  3205,
    6059,    76,  1915,   220,   375,  5443,  1916,  1115,  2797,  4234,
     731,  4777,  2815,  5451,  2072,  1392,  1395,  4550,  1927,  1573,
    1393,  4166,   205,  3147,  1394,  3148,  1269,  5804,  4684,  3150,
    2093,  3151,   220,  4061,  3153,  5310,  3009,  6091,  3154,  1917,
    2817,  4925,  1190,  4689,  4563,   231,  4076,  2073,  4762,  1062,
     942,  1928,  2036,   942,   942,  4419,  3971,  4551,   234,  5311,
    3046,  4685,  5207,  1150,  1436,  2132,  1270,  4818,  2094,  5212,
    2790,  2132,  2095,  5453,   231,  2037,  4686, -3021,  1177,  2214,
    2791,   246, -3021,  1929,  4290,  1930,  4687,   234,  4113,  3834,
    3100,   942,   942,  5705,  3835,  1063,  4189,   942,   942,  1437,
    4683,  2096,  2215,  3244,   942,   942,   942,  6010,  4295,   942,
     246,   942,  4688,   942,   942,   942,   942,   942,   942, -3021,
     942,  4200,   942,   942,   247,  5168,   942,  1199,   417,  3931,
    4763,  2319,  4452,  2141,  1438,  1931,  4520,  4521,  1214,  5402,
    1512,   942,   942,   942,   942,   419,  4296,   957,  4425,   942,
    5500,  4113,  1436,   942,  2320,  3541,   942,  1221,  2036,   942,
     942,   942,   942,   942,   942,   942,   942,   942, -2812,   942,
    2855,  4407,  2487,  4684,  1777,  2858,  3835,   942,  5486,  4297,
     942,  2037,  1439,  3487,  2942,  3490,  4996,  1437,  2269,   418,
    4876,  4764,  5486,  6056,  5501,  4765,  2535,  2943,  1461, -1459,
    2818,  5487,  1256,  4689,  1317,  4395,  4685,    35,  5496,  2270,
    2845,    37,  5696,  4877,     8,  5487,   417,  5697,  2325,  5502,
     881,  4686,  4449,  2273,  4218,  2944,  3424,  2862,  3538,  2819,
    2333,  4687,   964,   419,  2334,   731,  5503,  4197,  4198,  2520,
    5504,   942,   874,  2521,  3868,  4989,  2929,  3484,  3380,  1246,
    2935,   418,  5761,   418,  2820, -1054,   942,  4688,  1413,  2036,
    1414,  5505, -3021,  2817,  5506,   942,   942,  5698,  2039,  1262,
    1439,  2817,  1273,  2790,  2817,  4064,  4149,  4065,   417,  5507,
     417,  2333,  2037,  2798,  3982,  3136,  2049,  2110,  2573,  2815,
    2114,  5403,   966,  2264,  2265,   419,  2471,   419,  4113,  2472,
   -1460,  4066,  4757,  4758,  1361,  2050, -2236,  6007,  1362,  1275,
    3983,    69,  1653,   874,  3984,  4012,  2257,   731,  1918,  4013,
    4014,  4015,  6074,  1616,  1616,  6075,  5923,  1616,  2478,  4403,
    5650,  3308,  3309,  3310,  3311, -3021,    76,    76,  5655,  5789,
     731,  1285,  1461,  5693,  3821,  5695,   417,  1512,  4689,  5699,
    5700,  1512,  1512,    35,   426,  2051,  1283,    37,   731,  4113,
    2480,  1298, -3021,   419,   731,    40,  1299,  5508,   731,  2494,
    2495,  2496,  2497,  2498,  2499,  1342,   731,  4038,  3616,  4040,
    4041,  1811,  4311,  1351, -1617,  2988,  4325,  1360,  4113,  4334,
    4527,  4528,  4529,   371,   731,  2624,  2625,   942,  5735,  2341,
    4320,  2342,  3308,  3309,  3310,  3311,   875,  3362,   942,  4067,
    1512,   942,  1352,   942,   942,  4068,  1512,  5509,  1397,  4797,
    4069,  6073,  4442,  2818,  2424,  1399,   247,  4075,   731,  1402,
    5159,  2818,  1405,  3676,  2818,  2409,  1418,  2410,   881,  4802,
    4570,  1142,  2052,  2566,  -587,  2567,  3105,  1431,   731,   731,
    1440,  2572,  2819,  2573,  2577,  5587,  2567,  1512,   371,   977,
    2819,   978,   417,  2819,  1441,  3077,   417,  3078,  4196,    74,
    1091, -3021,   980,  2257,  1442,  2695, -3021,  2820,  1450,   419,
     731,  1453,  1616,   419,   982,  2820,  6106,  2186,  2820,   417,
    2053,  1513,  1091,  2054,  4113,  4554,   212,  4426,  2817,  4428,
    4738,  2257,  2126,  2695,   731,  2257,   419,  2695,  2883,  3138,
     731,  2573,  2815, -3021,  4017,   426,  1141,   731,  1464,  3160,
    2815,  3161,  1142,  2815,   731,  3651,    35,   731,  5203,  1522,
      37,  3362,   220,   731,  3303,  4525,  4526,  4527,  4528,  4529,
    1653,  1468,  2056,  4012,  3162,  5027,  3161,  4013,  4014,  4015,
     417,  1523,  3803,   731,   881,  4435,  1529,  4438,   881,   731,
    4070,  3197,  1540,  3198,   731,   874,  2487,   419,  3383,  1547,
    2325,  4071,  1568,  4547,   231,  2951,  2952,   731,   417,  1054,
    4497,   881,  4018,  3822,   123,   124,  2058,   234,  5324,    40,
     731,  1653,  3409,  3410,  4012,   419,  1607,  1141,  4013,  4014,
    4015,   731,  3651,  4525,  4526,  4527,  4528,  4529,  2059,  2817,
     246,  4530,  3643,  4369,  1611,  1461,  4795,  1461,  1628,   942,
     942,   942, -1693, -1693,   247,   942,  1622,    75,  2061,  3432,
    3550,  2573,  3551,  3621,  4113,  3622,  1615,  3780,  1653,  3781,
    1629,  4012,   881,   417,  1633,  4013,  4014,  4015,  2624,  3433,
     942,  1512,  1864, -1696, -1696,  2817, -3021,  1637,  2818,  4588,
     419,  4773,  4637, -1697, -1697,  3644,  4149,  3651,   371,  1630,
     881,  1894,  4699,  3305,  3894,  3306,  2573,  3651,  3933,  3981,
    3161,  2573,  1640,  3990,  1197,  2573,  3996,  2819,  2573,  3997,
    1638,  2573,  3295,  4617,   942,  4092,  1639,  4093,  1461,  3307,
    3998,  5371,  2573,  4031,  4044,  2573,  2573,  4049,   730,  4050,
    4113,  1641,  2820,  1864,  3651,  1643,  4113,  3804,  4562,  4094,
    4276,  4095,  4277,  3645,  4778,  4281,  1642,  4282,  1197,  4306,
    4365,  4307,  4307,  3864,  1648,   881,  1512,  4477,  4488,  4478,
    4489,  4661,  4017,  4899,  4491,  1246,  4492,  2815,  1650,  4516,
    4912,  4517,  1780,  4518,   942,  2573, -3021,  4618,  4629,  4619,
    4630,  5904,  5905,  2494,  2495,  2496,  2497,  2498,  2499,  2818,
    4819,  1787,   995,  4842,  1783,  4019,  4020,  4021,  1013,  4022,
    4023,  4024,  4025,  4026,  4027,  4640,  4722,  2573,  4723,  4918,
    4727,  4919,  4728, -3021,  4737,  4761,  3470,  3161,  2819,  1788,
    3308,  3309,  3310,  3311,  5992,  5993,  1106,  3312,  3313,  4978,
    4018,  3161,  5047,  3314,  2398,  2818,  1789,  4113,  3315,  1803,
    4097,  4098,  4099,  2820,  5069,  1809,  2573,  3646,  5098,  5110,
    3198,  2573,  5170,  5176,  3470,  5177,  5183,  5184,  3161,  3161,
    4017,  1794,  1808,  2049,  2819,  5326,  1811,  5327,  1197,  5093,
     731,  5360,  5376,  4517,  5377,  1812,  1653,  4904,  2815,  4012,
    1822,  4018,  2050, -3021, -3021, -3021,  1512,  1837,   731,  2820,
    3805,  5378,   874,  2573,  1838,  5385,   731,  3198,  1841,  1842,
     942,  1653,  1512,   942,  4012,   942,   942,  1512,  4013,  4014,
    4015,  5458,  5547,  5459,  3161,   942,  5588,  5606,  5589,  3198,
     942,  5613,  1844,  5614,  2815,  4638,  1852,  5623,  4018,  2325,
    2141,  5629,  2051,  4463,  5631,  5642,  4463,  5643,  5686,  3806,
    5687,  5726,  1853,  2534,   942,   942,   942,  1848,   417,   942,
    5760,  5774,  5643,  3198,   417,  1865, -1629,   942,   942,   942,
     942,   189,  5775,  1849,  4050,   419,  1857,  1854,  3647, -1629,
     942,   419,  1855,   942, -1629,   942,  3648,  1856,  3316,  3649,
    1866,  5776,   875,  2573,  1858,  1868,   942,   942,  1897,  3317,
     942,  1898,    74,    74,  5787,    74,  5788,  5793,  5796,  2325,
    4463,  5814,  5820,  3161,  3198,  5826,  5827,  3198,  3198,  1899,
     942,  1864,   942,  5830,   942,  2573,  5831,  1912,  2573,  2052,
    1918, -1629,  5604,  4019,  4020,  4021,  1979,  4022,  4023,  4024,
    4025,  4026,  4027,  5044,   942,  5832,  5860,  5833,  5861,  1953,
     881, -1629,  5911, -3018,  5912,   942,   881,  5915,  1982,  2325,
    3604,  5916,  1984,  2573,   212,  5917,  5919,  2573,  2573,   731,
    5938,  5964,  5939,  5965,  5994,  1985,  4463,  2053,  5300,  2020,
    2054,  2142,  2021,  3627,  4019,  4020,  4021,   942,  4022,  4023,
    4024,  4025,  4026,  4027,  6006,  2883,  5636,  6033, -1629,  5643,
     220,  6071,   942,  6072,  2016,  2022,  3362, -1629,  6084,  6086,
    2573,  6087,  6104,  4017,  5912,  6112,   942,  6087,  2033,  2035,
     874,  1821,  5130,  1823,  5133,  2045,  2048,  2070,  2084,  2056,
    4989,  4019,  4020,  4021,  2085,  4022,  4023,  4024,  4025,  4026,
    4027,  2101,   231,  1653,  3682,  2111,  4012,  2112,  2115,  2120,
    4013,  4014,  4015,  2122,  2143,   234,  4018,  2121,  1512,  2145,
    2147,  1512,  2152,  1512,  2158,  2163,  2166,  5100,  1512,  2168,
    2177,  2174,  3627,  2058,  2179,  2170,  2188,  2189,   246,  2193,
    2194,  4018,  -193,   731,   731,  2196,  2197,  5652,  2199,   942,
    2201,  2202,   247, -1385,  2217,  2059, -1385,  4149,   910,  2224,
    2231,  2236,  2244,  2249,  2250,  5039,  5040,  5041,  5042,  5043,
     731,  2251,  2253,   731,  2257,  2061,  1512,  2260,  4950,  4951,
    2261,  2263,  4149,  2277,  1512,  1864,  2279,  2287,  2288,  2291,
    1864,  1864,  2292,  2299,  2303,  2305,   874,  3785,  2306,  2308,
     874,  2310,  2316,  2315,   875, -1629,  1864,  2318,  2321,  1512,
    2324,  2327,  2328,  2339,  2373,  2406,  2413,  2415,  2416,  2422,
   -1846,  2423, -1853,   874,  2429,  2430,  2432,  2431,   417,   417,
     417,  2433,   247, -1844,  2435, -1847,  2436,  5786, -1845,  2437,
    2438,  2439,  2440,  5157,  2441,   419,   419,   419,  2443,  2444,
    5211,  2445,  2446,  2447,  2448,  2449,  2450,  2452,  2453,  2454,
    5079,  2504,  2455,  2456,  2643,  2644,  5272,  1361,  2457,   731,
    1811,  1362,  2506,  2509,  2458,  2459,  2538,  2508,  1512,  2534,
    1512,  2550,  1597,  5942,   874,  2565,  2576,  2560,   731,  2578,
    2662,  2664,  1825,  1827,  2609,  2611,  2620,  2623,  2630,   995,
    2464,  1235,  2645,  2647,  2649,  4017,   731,  2660,  2658, -3021,
   -3021, -3021,   874,  4022,  4023,  4024,  4025,  4026,  4027,  2602,
     881,   881,   881,  2638,  2657,  2668,  2665,  4487, -2965,  5345,
   -2960,  2671,  2669,  2672,  4019,  4020,  4021,  2674,  4022,  4023,
    4024,  4025,  4026,  4027,  2464,  2691,  4111,  2693,  2673,  2690,
    2695,  2699,  2698,    69,  2692,  2696,  2697,  2700,  2701,  2707,
    4470,  2726,  1864,  2471,  4149,  2732,  2472,  3303,  2738,  2752,
    2758,  1512,  1864,  4018,  1091,  2759,  1091,   874,  1091,  2756,
    2760,  2762,  2763,  4085,  1091,  1595,  1596,  2776,  2781,  2780,
    2782,  2794,  2805,   731,  2793,  2478,  2811,  2809,   942,  4104,
    4513,  4655, -3021,  2814,   942,  2815,  2822,  4111,  1091,  1091,
    2812,  2813,  1512,  2823,  2824,  2825,  2826,  1616,  2827,  2832,
    2846,  2833,   417,  2836,  2847,  1001,  5154,  2480,  2848,  2853,
    2842,  2843,  2849,  2850,  2856,  2859,  2863,  2860,  2865,   419,
    1512,  2866,  2471,  2870,  2877,  2472,   731,  4471,   731, -3021,
   -3021, -3021,  2880,  1998,  2878,  1864,  2897,  4483,  1864,  1864,
    4104,   731,  2903,   731,  1196,  1001,  2904,  2901,   417,  2920,
    2885,  4443,  2921,  2928,  2478,  2886,  2884,  2891,  2957,  2950,
    2892,  2479,  4045,  2960,  2896,   419,  4512,  2898,  4052,  2909,
    2910,  2922,  2933,  2962,  4648,  2963,  5250,  5251,  2964,  5253,
    1197,  2965,  2969,  2970,  2977,  2971,  2480,  2973,  2974,  1512,
    2983,   875,  2975,  2976,   881,  2981,  2984,  2989,  2992,  1197,
    2993,  2996,  2982,   959,  5201,  3007,  3010,  3021,  2067,   731,
    1512,  3025,  3001,  3026,  5285,  3029,  1091,  5656, -3021,  3034,
    3045,  3048,  3052, -3021,  3071,  3051,  1512,  3061,  3073,  3080,
    3092,  4663,  4664,  4665,  4666,  1887,  3074,  1864,  3094,  3095,
     881,  3065,  3102,  1389,  3099,  3068,  4019,  4020,  4021,  3103,
    4022,  4023,  4024,  4025,  4026,  4027,  2471,  3085,  3110,  2472,
   -3021,  3112,   731,  3113,  1317,  3114,  3086,  3100,  3115,  5690,
    3128,  3156,  3182,  3157,  3174,  3195,  3227,  1091,  3232,  3277,
    3208,  2472,   731,  3283,  3287,  3296,  5243,  3343,  2478,  5309,
    3342,  3302,   934,  3320,  3322, -3021,  3366,  2481,  6050,  3357,
    3368,  3365,  2482,  6053,   731,  1462,  1013,   731,  3374,  3371,
    3373,  3375,  1203,  2487,  3389,  3402,  3401,  3403,  3404,  3418,
    2480,  3425,  3442,  2524,   942,  3460,  3139,  1512,  3439,  3441,
    5680,  3488,  5682,   942,  3459,  3493,  3462,  3495,  3491,  2485,
    3496,   942,   874,   942,  3502,  3507,   942,  3512,   874,    75,
    1512,   942,   942,   942,   942,  3513,  3526,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,  1777,  3518,   417,
     942,   942,  3547,  3515,  3542,  1512,  3549,  1781,  3566,  3559,
     942,  3579,  3584,  5302,   942,  3585,   419,  4651,   942,  3610,
    3611,  3617,  2487,  3612,  3656,  3672,   942,  3620,  3628,   942,
    3714,   942,  3727, -3021,  3635,  3655,  3739,  1204,  1624,   875,
    3735,  1512,  3736,   942,   375,    74,   942,   942,    74,  3748,
    3754,   942,   942,  3760,  3766,  1392,  1395,  3761,   942,  3762,
    1393, -3021,  3795,  3794,  1394,  3771, -3021,  3809,   942,  3782,
    3811,   942,  1645,  3813,  3815,  3824,  3827,  3833,  3842,  3836,
    3841,  3843,  1762,   942,  3844,  3845,  1774,  1462,  1776,  5837,
    3846,   881,  5843,  5845,  3849,  3854,  3852,  3856,  3857,  3880,
    3860,  3861,  3883, -3021,  3879,  3884,  3885,  3886,  3888,  3890,
    3895,  3898,  2489,  3899,  2641,  3921,  5028,  3924,  5544,  3897,
    3927,  3929,  3935,  3923,  2338,  3936,  3900,  3948,  3901,  3937,
     942,  3938,  3909, -3021,  3910,  3939,  3940,  2325,  2322,  1218,
    2494,  2495,  2496,  2497,  2498,  2499,   942,  2289,  3209,  3952,
    3951,  3962,  3959,  3967,  4854,   875,  2487,  3975,  1613,   875,
    3969,  3995,  1512,  3992, -2118,  4862,    69,    69,  3950,    69,
    2573,  3993,  5612,  3994,   942,  4063,   730,   730,  3999,  4046,
    4008,  1895,   875,  4058,  4000,  1091,  4083,  4004,  4007,  4074,
    4030,  4036,  4043,  4088,  4073,   731,  4057,  4084,  4086,   371,
    4145,  4087,  4151,  4090,  5446,  4158,  4146,  4160,  4164,   371,
    4115,  4162,  2490,  4182,  5345, -3021, -3021, -3021,  4171,  2494,
    2495,  2496,  2497,  2498,  2499,  4194,  4183,  4199,   417,  4201,
    4213,  4202,  4210,   417,  4206,   417,  4215,  5940,   371,  4227,
    4239,  4178,  4184,   875,   728,   419, -3021,  4238,  3260,  4228,
     419,  1512,   419,  4244,  4240,  4187,  3278,  5470,   417,  2333,
    4188,  4207,  2471,  4245,  5692,  2472,  4246,  4247,  4250,  4262,
    4261,   875,  5465,  4264,  4270,   419,  1512,  4271,   417,  4272,
    4280,  4285,   874,   874,   874,  4294,  4308,  4312,  4310,  4314,
    4315,  2398,  4316,  4319,  2478,   419,  2988,  4321,  4322,  4323,
    4324, -3021,  4326,  4340,  4341,  5469,  4342,  4338,  4339,  4345,
    4354,   731,  3407,  3407,   731,  5471,  4343,  4344,  4348,  4350,
     881,  4352,  1093,  4357,  4346,   881,  2480,   881,  5608,  4347,
    4359,  4361,  5622,  2918,  4349,  4351,   875,  4353,  4373,  5837,
    4363,  4374,  3682,  5622,  1093,  4377, -3021,  2049,  4364,  5513,
     881,  5850,  4375,  2494,  2495,  2496,  2497,  2498,  2499,  4391,
    1864,  4370,  1317,  4380,  4385,  4393,  2050,  2466,  4434,  4444,
     881,  4433,  4446,  4448,  4451,  4440,  4462,  4463,  4465,   942,
    1894,  4472,  4481,    74,    74,  4482,  4485,  4486,  4501,  1091,
    3400,  5000,  4475,  4652,  1091,  1091,  4510,  4490,  4532,  4111,
    4534,  4522,  4111,  4149,   731,   731,  1986,  4540,  1512,  4541,
    1091,  4542,  1987,  4553,   731,  1317,  2051,  4555,  4556,  4515,
    4557,   942,  4543,  4566,  4524,  5684,  4544,  4545,  4546,  4579,
    4033,  4567,  4568,   731,  5675,  5676,  2464, -3021,  4569,  4548,
    4571,  4572, -3021,  4012,  4573,  4574,  4575,  2424,   418, -2117,
    4589,  4512,  4670,  4032,  1989,  4675,  4631,  5008,  1512,  4642,
    1512,   942,   942,  4614,  4615,  4616,  2639,  4643,  1595,  1596,
    4656,  4623,  4644,  4647,  4673,   417,   874,  4662,  2471, -3021,
    4674,  2472,    75,    75,  4697,    75,  4682,  2654,  4701,  4703,
    4705,  4706,   419,  4707,  2661,  2663,  4710,  4716,   371,  4719,
    4725,  1462,  4721,  2052,  4733,  4111,  4740,  4748,  1990,  4769,
    2478,  4770,  4772,  4771,  4779,  1991,  4780, -3021,  1992,   731,
    4782,  5172,   874,  4783,  4785,  4789,  4787,  4790,  4805,  4808,
    4820,  4821,  2487,  4822,  4823,  4834,  4824,  4835,  4836,  4837,
    4851,  4838,  2480,  4839,  1993,   942,  4848,  2402,  4864,  4850,
    4865,  2053,  4870,  4873,  2054,  4889,  4890,   942,  5794,  4892,
    4796,  4895,  5778,  4624,  5812,  4905,  1091,  4906,  4908,  2883,
    4909,  4910,  4947,  1462,  4922,  4953,  1091,  4933,  1994,  5795,
    4961,  4968,  3161,  5797,  4971,  5799,  1864,   942,  4967,  4974,
     942,  4973,  4980,  4991,  1864,  4997,  4998,  1864,   942,   942,
    5013,  1512,  5017,  2056,  5018,   942,   942,  5016,  5014,  5104,
     942,  1512,  5679,  5021,  5045,  5037,   942,  5049,  5026,   942,
     942,   875, -3021,  5019,   942,  5051,  1461,   875,  5206,  5023,
     942,  5158,  5160,  5058,  5082,  5065,  5066,  5071,  5214,  5085,
    5075,  2088,   942,  5076,  5086,  1996,  5091,  2058,  2468,  5087,
     942,  5106, -2119, -3021,   942,  1997,  5122,  2470, -3021,  1091,
    5126,  5119,  1091,  1091,  1998,  5124,  5127,  5134,  5139,  2059,
    5140,  2513,  5135,  5141,  2338,  5142,  1999,  5809,  5155,  5156,
    5153,  5165,  5169,  1278,  5171,  5173,  5179,   942,  5185,  2061,
    5178,  5189,  1290,  5208,  5210, -3021,  5209,  5213,  5219,  5220,
    1290,    76,  1462,  1290,  5221,  2544,  2546,  5240,  5242,  5254,
    1462,  1462,  5245,  5233,  2116,  5246,  5255,  2001,  2002,   942,
    5264,  5262, -3021,  5273,  2471,  5236,  1462,  2472,  5269,  2494,
    2495,  2496,  2497,  2498,  2499,  5276,  5263,  1512,   417,  5277,
    5282,  5283,  5286,   874,  5291,  5298,  5292,  2117,  2487,  5297,
     731,  5299,  4111,  5301,  5305,   419,  2478,  5307,  5315,  5318,
    5320,  1091,  5323, -3021,  5330,  5328,  5334,  5335,  5339,  5337,
    5341,  5343,  5342,  1512,  5355,  5350,  5366,  5372,  5361,  5365,
    5382,  5390,  5373,  5375,  5381,  5383,  5384,  5406,  2480,  5425,
     731,  5396,  5434,   730,  5437,  1512,  5440,  3604,  5430,  4813,
    5450,  5455,   731,  5399,  1278,  4104,  5460,  5461,  5410,  5452,
    5462,  5454,  5473,  1290,  5467,  2004,  1461,  5474,   942,  5478,
    1290,  5483,  3627,  1290,  5484,  5485,  5514,  5492,  4932,  5523,
     881,  5525,   731,   371,  5526,  1317,  5529,  5532, -3021,  5531,
    5550,  5551,  3682,  5560,  5558,  3075,  5563,  5568,  5590,  5600,
    5571,  1653,  5592,  5593,  4012,  5594,  5611,  5615,  4013,  4014,
    4015,  5621,  5636,  1512,  5659,  5625,  5640,  5628,  5661,  5662,
    3088,  5714,  5632,  5634,  5651,  5101,  5668,  5674,  1986,  5706,
    3096,  5718,  3097,  5719,  1987,  5708,  5721,  5728,  3101,  1864,
     942,  5733,  3104,   371,  5740,  5932,  5739,  2086,  5749, -3021,
    5753,  5754,  5755,  5756, -3021,  5757,   942,  5764,  5772,  5765,
    5766,  5785,  5767,  5798,  5777,  5802,  5807,  5801,  5806,  5819,
    5842,  5823,  5848,  5849,  5854,  5856,  1989,  5859,  5866,   731,
    5867,   875,   875,   875,  5887,  5888,   942,  5889, -3021,    69,
    5863, -3021,    69,  5890,  5895,  2494,  2495,  2496,  2497,  2498,
    2499,  5896,  5908,  5906,  5933,  4657,  5935,  5924,  5941,  5943,
    5679,  5852,  5853,  5951,  5985,  6057,  5990,  5952,  5926,  5997,
    5982,  5983,   874,  5950,  5971,  6004,  6009,   874,  2087,   874,
    1990,  4111,  1512,  6017,  1512,  4111,  6014,  1991,  6023,  6044,
    1992,  6051,  2888,  6042,  2487,  6043,  6058,  6076,  6077,  2895,
    6054,  6081,   874,  6079,  6080,  6094,  6095,  6102,  6103,  6105,
    1216,  6107,  6108,  2934,  1983,  3818,  1993,  3687,  4142,   731,
    2557,  3609,   874,  4804,  4256,  4811,  5936,  3726,  3773,  4390,
    5511,  5836,  6015,  4949,  4104,  5570,  2082,  2081,  4104,   942,
    5281,  3233,  3234,  1512,  5543,  3934,  2049,  4204,  3248,  3249,
    1994,  5928,  5444,  4017,  6011,  5857,  5855,  5949,  3260,  3260,
    6028,  4209,  5001,  3260,  4979,  2050,  1461,  5817,   942,   942,
    4942,  4274,   942,   371,   371,  3792,  3793,  4809,  3288,  4966,
    4450,  2069,  5303,  5549, -3021,  3783,  1864,   942,  4458,  5554,
    6016,  6109,  6099,  5527,   942,  4396,  5007,  5954,  5472,   942,
    3260,  3260,   942,   942,  5670,  3000,  5825,  1051,  5475,   942,
     942,  4154,  4154,  2088,  1111,  2051,  4796,  1996,  5585,  5046,
    1388,  4018,  3022,  2729,  5646,   875,  3027,  1997,  5431,  2395,
    6070,   942,  3070,   942,  2654,  3067,  1998,  3465,  5010,   731,
    3081,   731,  1197,  4195,  5564,   942,  5762,  3116,  1999,  3202,
    1463,  1541,  3203,  4360,  3204,  3724,  4840,  1278,  4454,  4863,
    5976,  6093,  5024,  1290,  1791,  5025,  3379,  1290,  3388,  1290,
    5161,   875,  1813,  2706,  5433,  3146,  5922,  4729,  3930,  4797,
    2519,  2340,  6110,  6111, -3021,  2574,  2089,  1512,   731,  2001,
    2002,  2494,  2495,  2496,  2497,  2498,  2499,  4147,   942,  3417,
    2606,  4159,  2052,  2605,  3398,  4704,  3406,  3406,  5918,  1001,
    5800,  5548,  5145,  3416,  2610,  4677,  5117,  5132,  5627,  2090,
     417,  2615,  4671,  5784,  5783,  4730,  4672,  6096,  5996,  6052,
    5909,  5565,  2227,  2228,  2229,  1986,  1093,   419,  1093,  5607,
    1093,  1987,   942,  4625,  5427,  5920,  1093,  5921,  4081,  5583,
    2053,  3987,  3750,  2054,  1091,    75,  4079,  3347,    75,  1249,
    4511,  3356,  3443,  3882,  5897,  2629,  2238,  1219,  2883,  3076,
    1093,  1093,  4798,  1564,  1887,  2622,  3434,    69,    69,  1876,
    2403,  1906,  1877,  1989,  3447,  3450,  4137,  2004,  3448,  4735,
    5146,  4736,  4708,  2626,  2523,  1242,  3932,  3454,  3158,  2330,
      78,  1602,  2056,     0,  5432,     0,     0,     0,     0,     0,
       0,   942,   881,  1512,  4019,  4020,  4021,  1091,  4022,  4023,
    4024,  4025,  4026,  4027,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1990,     0,     0,
     942,  1512,     0,   942,  1991,   942,  2058,  1992,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3243,     0,     0,     0,   942,     0,     0,     0,  2059,     0,
     942,     0,     0,  1993,   942,     0,     0,     0,     0,     0,
    1512,     0,     0,  3870,   942,     0,     0,     0,  2061,     0,
    4799,     0,   875,  4800,     0,     0,     0,     0,  1093,     0,
       0,  3562,     0,     0,  1956,     0,     0,  1994,     0,     0,
     417,     0,   728,   728,     0,     0,     0,  1892,  4111,     0,
       0,     0,     0,     0,     0,  4111,     0,   419,     0,     0,
    4111,     0,     0,  4111,     0,     0,  1512,     0,  1957,     0,
       0,  1512,  1512,     0,     0,     0,   942,     0,   379,     0,
       0,   942,   942,   731,   379,     0,     0,     0,   725,  1093,
       0,     0,  4111,     0,     0,     0,     0,   731,  3370,     0,
    2088,     0,     0,  5742,  1996,     0,  4111,     0,  4104,     0,
    1091,     0,   874,  4104,  1997,   379,  4104,     0,  1091,   942,
       0,  1091,     0,  1998,     0,  2815,   942,  1864,  1958,     0,
       0,     0,   881,  1091,     0,  1999,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   942,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   379,     0,  1959,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2753,     0,     0,  2001,  2002,     0,     0,
    5803,     0,     0,     0,     0,     0,     0,  1512,  1512,     0,
       0,     0,     0,     0,  3871,     0,     0,     0,  5771,  1960,
       0,     0,     0,     0,   730,     0,  2754,     0,     0,   942,
       0,     0,   942,     0,     0,   942,     0,     0,     0,     0,
    1895,     0,     0,    75,    75,     0,   942,     0,     0,     0,
     942,     0,   942,   379,   942,     0,     0,     0,     0,  1962,
       0,   942,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   875,     0,     0,     0,     0,   875,     0,   875,     0,
     942,     0,     0,  1462,     0,     0,     0,     0,   417,     0,
       0,  1964,  4111,     0,  2004,     0,     0,     0,     0,     0,
       0,   875,     0,   371,     0,   419,     0,   731,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   875,     0,   371,     0,     0,     0,     0,     0,     0,
       0,     0,   205,     0,     0,     0,  3872,     0,     0,     0,
    1864,   371,  1776,     0,     0,  1967,     0,     0,     0,     0,
    6041,     0,     0,  1968,     0,  4111,     0,   942,  3902,  3905,
       0,  2773,     0,     0,     0,     0,     0,   942,     0,     0,
       0,     0,     0,  1970,     0,     0,     0,     0,     0,     0,
     881,     0,  1971,     0,     0,     0,  1972,  1093,     0,     0,
     417,     0,     0,     0,     0,     0,     0,   942,   942,   942,
       0,     0,     0,     0,     0,  3873,   942,   419,  4104,     0,
    1512,     0,     0,     0,   379,     0,   942,     0,  2464,  1776,
       0,     0,     0,     0,     0,   731,     0,  5955,     0,     0,
       0,     0,     0,  1091,  5499,     0,  1776,   721,   942,     0,
    1973,     0,   375,     0,  3874,     0,     0,     0,     0,   379,
       0,   731,     0,  5978,  5981,     0,     0,     0,  5979,     0,
       0,     0,  5980,  3870,     0,  3260,  3260,  3260,  3260,     0,
       0,  3260,  3260,  3260,  3260,  3260,  3260,  3260,  3260,  3260,
    3260,     0,   881,     0,  1956,     0,     0,     0,     0,     0,
       0,   942,     0,     0,     0,     0,     0,   942,  4621,     0,
    3722,     0,  4111,     0,     0,     0,     0,   942,     0,     0,
       0,     0,     0,   942,   942,     0,   942,     0,  1957,     0,
       0,     0,   375,     0,     0,     0,   942,     0,     0,     0,
    3260,  3260,  6003,  5978,  5981,  3753,     0,  3753,  5979,  3753,
    3753,     0,  5980,     0,  3753,  3753,  3753,     0,  3753,  3753,
    3753,     0,     0,     0,     0,  4104,     0,   731,     0,     0,
       0,     0,     0,  4111,     0,   371,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1958,     0,
       0,     0,     0,   942,     0,     0,     0,     0,     0,   942,
       0,  1093,  4111,     0,     0,     0,  1093,  1093,     0,     0,
       0,     0,     0,     0,  3828,     0,     0,     0,     0,     0,
       0,     0,  1093,  1959,   874,     0,   942,     0,     0,  6003,
       0,   942,     0,   375,   417,  2654,     0,   942,  4140,     0,
    1091,     0,   942,     0,  5978,  5981,  3859,     0,     0,  5979,
       0,   419,   371,  5980,  3871,     0,     0,     0,  1864,  1960,
       0,     0,     0,     0,     0,  4153,  4153,     0,     0,     0,
       0,     0,   942,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   942,  1864,     0,  3907,     0,     0,     0,   728,
       0,     0,     0,  1278,     0,     0,  1278,     0,   417,  1962,
     942,     0,     0,     0,     0,     0,     0,     0,  4111,     0,
       0,     0,     0,   942,     0,   419,   417,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   881,     0,     0,     0,
       0,  1964,     0,   419,     0,   942,   942,  1290,  1290,     0,
       0,     0,     0,     0,     0,     0,    35,     0,     0,     0,
      37,     0,  1290,     0,     0,  1290,     0,  2471,     0,     0,
    2472,     0,     0,     0,  2473,  2474,  2475,     0,     0,     0,
       0,     0,   205,     0,  2643,  2644,  1966,     0,  1093,     0,
       0,  2476,     0,     0,  2477,  1967,     0,     0,  1093,  2478,
     881,   875,     0,  1968,     0,     0,  2479,     0,     0,     0,
       0,  2773,     0,     0,     0,     0,     0,     0,   881,     0,
       0,     0,     0,  1970,   874,     0,     0,     0,     0,     0,
       0,  2480,  1971,     0,     0,     0,  1972,     0,     0,     0,
       0,  1290,     0,     0,  1290,  1290,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3873,  2471,     0,  4111,  2472,
       0,     0,     0,  2473,  2474,  2475,     0,     0,     0,     0,
       0,     0,  5499,     0,     0,  1864,     0,     0,     0,     0,
    2476,  1093,     0,  3260,  1093,  1093,     0,     0,  2478,   371,
    1973,     0,     0,     0,  3874,  2479,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1986,
       0,     0,     0,     0,     0,  1987,   371,     0,     0,     0,
    2480,     0,     0,     0,     0,     0,     0,     0,  2086,     0,
       0,   379,     0,  1864,  4111,   379,     0,     0,     0,     0,
    4111,     0,  2481,     0,     0,     0,     0,  2482,  1291,   725,
       0,     0,     0,     0,     0,     0,  1291,  1989,   725,  1291,
       0,     0,     0,     0,     0,     0,  1462,     0,     0,  2483,
    2484,     0,   725,     0,  5910,     0,     0,     0,     0,     0,
       0,     0,     0,  1093,  2485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6040,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2087,
     725,  1990,     0,     0,     0,     0,   725,     0,  1991,     0,
       0,  1992,     0,  2486,     0,     0,     0,     0,     0,   725,
       0,  2481,     0,     0,     0,     0,  2482,  2487,     0,     0,
    2488,  4111,     0,     0,     0,     0,     0,  1993,     0,     0,
       0,     0,   874,     0,     0,   725,     0,     0,  2483,  2484,
       0,  1091,     0,     0,     0,     0,     0,     0,     0,  1291,
     725,     0,     0,  2485,     0,     0,  1291,     0,   725,  1291,
       0,  1994,     0,     0,     0,  4439,     0,     0,     0,     0,
       0,  5150,   725,     0,  5084,     0,  2471,   371,     0,  2472,
       0,     0,     0,  2473,  2474,  2475,     0,     0,   725,     0,
    1462,     0,  2486,     0,     0,     0,     0,     0,    74,     0,
    2476,     0,     0,     0,     0,     0,  2487,  2489,  2478,  2488,
       0,     0,     0,     0,     0,  2479,     0,     0,     0,     0,
       0,     0,     0,     0,  2088,     0,  5121,     0,  1996,     0,
       0,     0,     0,     0,   874,     0,     0,     0,  1997,     0,
    2480,     0,     0,     0,     0,     0,     0,  1998,     0,     0,
       0,     0,     0,     0,     0,     0,  4519,     0,     0,  1999,
    1864,     0,     0,  3905,     0,     0,     0,     0,  4279,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1278,
       0,     0,  1290,     0,  1290,  1290,     0,   725,  6063,  1956,
       0,     0,     0,     0,     0,     0,  2489,  3684,     0,     0,
    2001,  2002,     0,     0,     0,     0,     0,  2490,   379,     0,
    2491,  2492,  2493,   725,  2494,  2495,  2496,  2497,  2498,  2499,
       0,  4318,     0,  1957,     0,   725,     0,     0,     0,     0,
    3685,     0,     0,     0,  1091,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2481,  6063,     0,     0,     0,  2482,     0,  1294,     0,
       0,     0,     0,   875,     0,     0,     0,  1326,     0,     0,
    6063,     0,     0,     0,     0,     0,   725,   725,  2483,  2484,
       0,  1348,     0,  1958,     0,     0,     0,     0,     0,     0,
    4358,     0,     0,  2485,     0,     0,  2490,     0,  2004,  2491,
    2492,  2493,     0,  2494,  2495,  2496,  2497,  2498,  2499,     0,
       0,     0,     0,  4001,     0,  4002,     0,     0,  1959,   721,
       0,     0,     0,     0,     0,   721,     0,     0,     0,     0,
       0,     0,  2486,     0,     0,  3753,     0,     0,   721,     0,
       0,     0,     0,     0,     0,     0,  2487,  4389,  4389,  2488,
       0,     0,     0,  1986,  1960,     0,     0,  4406,     0,  1987,
       0,     0,     0,  1462,     0,  1462,     0,     0,   874,     0,
       0,     0,  1988,  2276,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   379,     0,     0,
    1961,     0,  1986,     0,  1962,     0,  2290,     0,  1987,  1291,
       0,  1989,     0,  1291,     0,  1291,  2301,     0,     0,     0,
    2304,  4461,     0,     0,  2307,     0,  2309,     0,     0,     0,
       0,     0,  2317,     0,     0,  1963,  1964,     0,  2323,     0,
       0,  2326,   874,     0,     0,     0,  2489,     0,     0,  4732,
    1989,     0,     0,     0,     0,  4496,  1462,     0,     0,     0,
     874,     0,     0,   875,     0,  1990,  1093,     0,     0,     0,
     728,     0,  1991,  1965,     0,  1992,     0,   205,     0,     0,
       0,  1966,     0,     0,     0,     0,  1892,     0,     0,  3907,
    1967,     0,     0,     0,     0,     0,     0,     0,  1968,     0,
       0,  1993,     0,     0,  1990,     0,  1969,     0,     0,     0,
       0,  1991,     0,     0,  1992,  1986,     0,     0,  1970,     0,
       0,  1987,  5429,     0,     0,     0,     0,  1971,     0,  1093,
       0,  1972,     0,  3260,     0,  1994,     0,     0,     0,     0,
    1993,     0,     0,     0,     0,     0,  2490,     0,     0,  2491,
    2492,  2493,  1091,  2494,  2495,  2496,  2497,  2498,  2499,     0,
       0,     0,     0,  1989,   725,  4003,     0,     0,     0,     0,
       0,     0,     0,     0,  1994,     0,     0,  1091,     0,     0,
       0,     0,     0,     0,  1091,  1973,     0,     0,     0,     0,
       0,     0,     0,     0,  1864,  1091,     0,     0,  1995,     0,
       0,     0,  1996,     0,     0,     0,     0,     0,     0,     0,
       0,   725,  1997,     0,     0,   721,   721,  1990,     0,     0,
       0,  1998,     0,     0,  1991,     0,     0,  1992,     0,     0,
       0,     0,     0,  1999,     0,     0,     0,  1995,     0,     0,
       0,  1996,  4635,     0,     0,     0,     0,   725,     0,     0,
       0,  1997,     0,  1993,     0,     0,     0,     0,     0,     0,
    1998,  1278,     0,   725,  1290,     0,  1290,  1290,  1595,  1596,
       0,  2000,  1999,  2471,  2001,  2002,  2472,     0,     0,   725,
    2473,  2474,  2475,   725,     0,     0,     0,  1994,     0,     0,
       0,   875,  1093,     0,     0,     0,     0,  2476,     0,     0,
    1093,     0,     0,  1093,  2003,  2478,     0,     0,     0,     0,
    2828,     0,  2479,  2001,  2002,  1093,     0,  2471,     0,     0,
    2472,     0,     0,     0,  2473,  2474,  2475,     0,     0,     0,
       0,  1956,     0,     0,     0,     0,     0,  2480,     0,     0,
       0,  2476,     0,  2829,     0,     0,     0,     0,     0,  2478,
    2088,     0,     0,     0,  1996,     0,  2479,     0,     0,  1091,
       0,     0,     0,     0,  1997,  1957,     0,     0,     0,     0,
       0,     0,  2004,  1998,     0,  2471,     0,     0,  2472,     0,
       0,  2480,  2473,  2474,  2475,  1999,     0,     0,     0,     0,
       0,     0,     0,   875,  3905,  3905,  3905,  3905,  3905,  2476,
       0,     0,     0,     0,     0,     0,   934,  2478,     0,     0,
       0,  2004,   725,     0,  2479,     0,     0,  1091,     0,     0,
     725,   725,     0,  3555,     0,  1958,  2001,  2002,     0,     0,
       0,     0,     0,     0,  3260,     0,   725,     0,     0,  2480,
       0,     0,     0,     0,     0,     0,     0,     0,  2481,     0,
       0,     0,     0,  2482,     0,     0,  2003,     0,  3260,     0,
    1959,     0,     0,     0,     0,     0,     0,   934,  4406,     0,
       0,     0,     0,     0,  1864,  2483,  2484,     0,     0,     0,
       0,     0,   379,   379,   379,     0,     0,     0,     0,     0,
    2485,     0,  2481,  4847,     0,     0,  1960,  2482,     0,     0,
       0,  4855,   378,   725,  4856,     0,  4857,     0,   378,     0,
       0,     0,   724,     0,     0,     0,     0,     0,     0,  2483,
    2484,     0,     0,     0,  2004,     0,     0,     0,     0,  2486,
       0,     0,  1961,   379,  2485,     0,  1962,     0,     0,   378,
       0,   379,     0,  2487,     0,     0,  2488,     0,     0,  4898,
    2481,     0,     0,   379,     0,  2482,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3753,     0,  2023,  1964,     0,
    3753,     0,     0,  2486,     0,  2654,     0,  2483,  2484,     0,
       0,     0,     0,     0,     0,   378,     0,  2487,     0,     0,
    2488,     0,  2485,     0,     0,  1093,     0,     0,     0,     0,
       0,     0,    69,     0,     0,  2024,     0,     0,     0,   205,
       0,     0,     0,  1966,     0,     0,     0,     0,     0,     0,
       0,     0,  1967,     0,     0,     0,     0,   875,     0,     0,
    1968,  2486,     0,  2489,  1137,     0,     0,     0,  2025,     0,
       0,     0,  1137,     0,  1137,  2487,     0,     0,  2488,     0,
    1970,     0,     0,     0,     0,     0,     0,   378,  1091,  1971,
       0,     0,     0,  1972,  1091,     0,     0,     0,  1091,     0,
    5004,     0,     0,     0,     0,  4406,     0,  2489,     0,  3260,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   875,     0,     0,  5230,  5231,     0,     0,     0,  5234,
    5235,     0,     0,     0,     0,     0,     0,     0,     0,   875,
    3907,  3907,  3907,  3907,  3907,     0,     0,  1973,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2490,     0,  2489,  2491,  2492,  2493,     0,
    2494,  2495,  2496,  2497,  2498,  2499,   725,     0,     0,     0,
    3286,  5054,  5054,  5054,  5054,     0,  5054,  5054,  5054,  5054,
    5054,  1986,     0,     0,  1956,     0,     0,  1987,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2490,     0,     0,
    2491,  2492,  2493,  3111,  2494,  2495,  2496,  2497,  2498,  2499,
       0,  3118,  1093,     0,     0,     0,  4053,     0,  1957,     0,
       0,     0,     0,     0,     0,   379,     0,     0,     0,  1989,
       0,     0,     0,     0,     0,     0,     0,     0,   378,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   725,
       0,     0,   721,     0,     0,  2490,     0,   725,  2491,  2492,
    2493,     0,  2494,  2495,  2496,  2497,  2498,  2499,     0,   725,
    3260,     0,  4392,   378,     0,     0,     0,     0,  1958,     0,
       0,     0,     0,  1990,     0,     0,     0,     0,     0,  1986,
    1991,  1986,     0,  1992,     0,  1987,     0,  1987,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5144,     0,
       0,  5151,  5152,  1959,     0,     0,     0,     0,     0,  1993,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1989,    75,  1989,
       0,     0,     0,  1291,  1291,     0,   725,   725,     0,  1960,
       0,     0,     0,  1994,     0,     0,     0,     0,  1291,     0,
     725,  1291,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   725,   725,     0,     0,     0,  2471,     0,
       0,  2472,     0,     0,     0,  2473,  2474,  2475,     0,  1962,
    5995,  1990,     0,  1990,     0,     0,     0,   725,  1991,     0,
    1991,  1992,  2476,  1992,     0,     0,     0,     0,     0,     0,
    2478,     0,     0,     0,     0,     0,  2088,  2479,  6064,     0,
    1996,  1964,     0,     0,     0,     0,     0,  1993,     0,  1993,
    1997,     0,     0,     0,     0,     0,  5428,  1291,     0,  1998,
    1291,  1291,  2480,     0,     0,     0,     0,     0,     0,     0,
       0,  1999,     0,  1986,     0,     0,     0,     0,     0,  1987,
       0,  1994,   205,  1994,  2772,     0,  1966,     0,     0,     0,
       0,     0,     0,  3376,     0,  1967,     0,     0,     0,     0,
    3260,     0,  6064,  1968,     0,  3260,     0,     0,     0,  3729,
       0,  2773,  2001,  2002,     0,  2932,     0,     0,  5257,  5258,
    6064,  1989,     0,  1970,     0,     0,     0,     0,  1091,     0,
       0,  3753,  1971,  3753,  3753,  3753,  1972,     0,     0,     0,
       0,     0,  3730,     0,  2088,     0,  2088,     0,  1996,     0,
    1996,     0,   379,     0,     0,     0,     0,     0,  1997,     0,
    1997,     0,     0,     0,     0,     0,     0,  1998,     0,  1998,
       0,     0,     0,  2481,     0,  1990,     0,     0,  2482,  1999,
       0,  1999,  1991,     0,     0,  1992,     0,     0,     0,   934,
    1973,     0,   934,     0,     0,     0,     0,     0,  3011,  5317,
    2483,  2484,     0,     0,     0,     0,  3028,     0,     0,     0,
    2004,  1993,     0,     0,     0,  2485,     0,  4232,  2932,  4288,
    2001,  2002,  2001,  2002,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5344,     0,
     379,     0,   725,  1093,     0,  1994,     0,     0,     0,     0,
    4233,     0,  4289,     0,  2486,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2487,     0,
       0,  2488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5054,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   934,  3109,     0,     0,     0,
       0,     0,   379,     0,   379,     0,     0,     0,  2088,     0,
       0,     0,  1996,     0,     0,     0,     0,     0,  2004,     0,
    2004,     0,  1997,  2932,   725,     0,     0,     0,     0,     0,
       0,  1998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1999,     0,     0,     0,   725,     0,     0,
       0,     0,     0,     0,     0,   378,     0,     0,  2489,   378,
       0,     0,     0,     0,     0,   725,     0,     0,     0,     0,
     379,   725,     0,   724,     0,   725,     0,     0,     0,     0,
       0,     0,   724,   725,  2001,  2002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   724,     0,     0,     0,
       0,   725,     0,     0,     0,     0,     0,     0,  1091,     0,
       0,     0,     0,     0,  2003,     0,     0,     0,  1291,     0,
    1291,  1291,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   724,   725,  1093,     0,     0,  2471,
     724,     0,  2472,     0,  4406,     0,  2473,  2474,  2475,     0,
       0,     0,     0,   724,     0,   725,   725,     0,  2490,     0,
       0,  2491,  2492,  2493,     0,  2494,  2495,  2496,  2497,  2498,
    2499,  2478,     0,     0,     0,  4581,     0,     0,  2479,   724,
       0,     0,  2004,     0,     0,     0,   379,   725,     0,  3753,
     379,     0,     0,     0,   724,     0,     0,     0,  5512,     0,
       0,     0,   724,  2480,     0,     0,     0,     0,     0,  5769,
       0,   725,  2471,   379,     0,  2472,   724,   725,     0,  2473,
    2474,  2475,     0,     0,   725,     0,     0,     0,     0,     0,
       0,   725,   724,     0,   725,     0,  2476,     0,     0,     0,
     725,     0,   934,     0,  2478,     0,     0,     0,     0,     0,
       0,  2479,     0,     0,     0,     0,     0,     0,     0,     0,
     725,     0,     0,     0,     0,     0,   725,     0,     0,     0,
       0,   725,     0,     0,   379,     0,  2480,     0,     0,     0,
       0,     0,     0,     0,   725,     0,     0,     0,  5834,     0,
       0,     0,     0,     0,     0,     0,     0,   725,     0,     0,
       0,     0,   379,     0,     0,     0,     0,     0,   725,     0,
    3887,     0,     0,     0,  2481,     0,     0,     0,  3896,  2482,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1137,
       0,   724,     0,  1137,     0,  3911,     0,     0,     0,     0,
       0,  2483,  2484,     0,     0,  3917,     0,     0,  3918,     0,
    3919,  3920,   378,   721,  3922,     0,  2485,   724,  3925,     0,
    3926,     0,     0,  3928,     0,     0,     0,   379,     0,   724,
       0,     0,     0,     0,  2471,     0,  3456,  2472,     0,     0,
       0,  2473,  2474,  2475,     0,     0,     0,  2481,     0,     0,
       0,     0,  2482,     0,  3472,  2486,     0,     0,  2476,     0,
    3476,     0,     0,     0,  3479,     0,  2478,     0,     0,  2487,
       0,     0,     0,  2479,  2483,  2484,     0,     0,     0,     0,
     724,   724,     0,     0,  1462,     0,     0,     0,  5694,  2485,
    3503,     0,     0,     0,     0,     0,     0,     0,  2480,  3970,
       0,     0,     0,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3545,     0,     0,     0,  2486,  1093,
       0,   934,     0,     0,     0,   934,  1093,     0,     0,     0,
       0,     0,  2487,     0,   721,  2488,     0,  1093,     0,     0,
       0,     0,  1956,     0,     0,     0,     0,     0,     0,  2489,
       0,     0,     0,     0,     0,  1137,  1137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3595,     0,     0,     0,
    2471,     0,     0,  2472,     0,     0,  1957,  2473,  2474,  2475,
       0,   378,     0,     0,     0,     0,     0,     0,     0,     0,
    3623,     0,     0,     0,  2476,     0,  3632,     0,     0,  2481,
       0,     0,  2478,  3638,  2482,     0,     0,   725,     0,  2479,
     721,     0,     0,  3652,     0,     0,     0,     0,     0,  3657,
       0,     0,  2489,     0,     0,   725,  2483,  2484,     0,     0,
       0,     0,     0,   725,  2480,     0,  1958,     0,     0,  3670,
    1291,  2485,  1291,  1291,     0,  3673,     0,     0,     0,  2490,
    3677,     0,  2491,  2492,  2493,     0,  2494,  2495,  2496,  2497,
    2498,  2499,     0,  3694,  1462,     0,     0,     0,  5840,     0,
    5841,  1959,     0,     0,  5846,  5847,  3719,     0,     0,     0,
    2486,     0,  6062,     0,     0,     0,     0,   721,     0,     0,
       0,     0,     0,     0,  2487,     0,     0,  2488,     0,     0,
       0,  1093,   379,     0,     0,     0,     0,  1960,   379,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2490,     0,     0,  2491,  2492,  2493,     0,  2494,
    2495,  2496,  2497,  2498,  2499,     0,     0,     0,     0,  4634,
       0,     0,     0,  1961,     0,  2481,  6062,  1962,   724,     0,
    2482,     0,     0,     0,     0,     0,     0,     0,     0,  1093,
       0,     0,     0,     0,  6062,     0,     0,     0,     0,     0,
       0,     0,  2483,  2484,     0,     0,     0,  5288,  2040,  1964,
    4214,     0,     0,     0,  2489,     0,     0,  2485,     0,     0,
       0,     0,     0,     0,     0,   724,   725,     0,     0,     0,
       0,     0,     0,     0,     0,  2471,     0,     0,  2472,     0,
       0,     0,  2473,  2474,  2475,     0,  2041,     0,     0,     0,
     205,     0,     0,     0,  1966,     0,  2486,     0,     0,  2476,
       0,   724,     0,  1967,     0,     0,     0,  2478,     0,     0,
    2487,  1968,     0,  2488,  2479,     0,     0,   724,     0,  2042,
       0,  4263,     0,  4265,     0,     0,     0,     0,     0,     0,
       0,  1970,     0,   724,     0,     0,     0,   724,     0,  2480,
    1971,     0,     0,     0,  1972,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2490,     0,     0,  2491,  2492,  2493,
       0,  2494,  2495,  2496,  2497,  2498,  2499,     0,     0,     0,
       0,  4750,     0,     0,     0,     0,     0,     0,     0,     0,
     725,   725,     0,     0,  1462,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1973,     0,
    2489,     0,     0,     0,     0,     0,  3947,   725,     0,     0,
     725,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3961,     0,     0,     0,   934,     0,
       0,     0,  3947,     0,     0,   934,     0,     0,     0,     0,
     934,     0,     0,   934,  5408,     0,     0,     0,     0,     0,
    2481,     0,     0,     0,     0,  2482,     0,     0,     0,     0,
       0,  4355,     0,     0,     0,     0,   724,  4362,  6065,     0,
    1093,     0,   934,     0,   724,   724,  1093,  2483,  2484,     0,
    1093,     0,   379,   379,   379,     0,   934,     0,     0,     0,
     724,     0,  2485,     0,     0,     0,     0,     0,     0,     0,
    2490,     0,     0,  2491,  2492,  2493,   725,  2494,  2495,  2496,
    2497,  2498,  2499,     0,     0,     0,     0,  5067,     0,     0,
       0,     0,     0,     0,     0,   725,     0,     0,     0,     0,
       0,  2486,  6065,     0,     0,     0,   378,   378,   378,  1290,
       0,     0,     0,   725,     0,  2487,     0,     0,  2488,     0,
    6065,     0,     0,     0,     0,     0,     0,   724,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2471,     0,     0,  2472,     0,     0,     0,
    2473,  2474,  2475,  1290,     0,     0,     0,   378,     0,     0,
       0,     0,     0,     0,     0,   378,     0,  2476,     0,     0,
       0,     0,     0,     0,     0,  2478,     0,   378,     0,     0,
       0,     0,  2479,     0,     0,     0,     0,  1137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     725,     0,     0,     0,     0,  2489,     0,  2480,  2471,     0,
       0,  2472,     0,     0,     0,  2473,  2474,  2475,     0,     0,
       0,     0,   934,     0,     0,     0,     0,     0,  1137,     0,
       0,  4531,  2476,  4533,   723,  4535,     0,     0,     0,     0,
    2478,     0,     0,     0,     0,     0,   379,  2479,     0,     0,
       0,     0,     0,   725,     0,   725,     0,     0,     0,     0,
       0,   872,     0,     0,     0,     0,     0,     0,   725,     0,
     725,     0,  2480,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1137,   934,     0,  4564,     0,     0,
       0,     0,   379,     0,     0,     0,     0,     0,     0,     0,
    1495,  1137,     0,     0,     0,  2490,  4216,   872,  2491,  2492,
    2493,     0,  2494,  2495,  2496,  2497,  2498,  2499,  2481,     0,
       0,     0,  5105,  2482,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   725,     0,     0,     0,
       0,     0,     0,     0,     0,  2483,  2484,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1136,     0,     0,     0,
    2485,     0,     0,     0,  1136,     0,  1136,     0,     0,  2471,
     724,     0,  2472,     0,     0,     0,  2473,  2474,  2475,   872,
       0,     0,     0,  2481,     0,     0,     0,     0,  2482,   725,
       0,     0,     0,  2476,     0,     0,     0,     0,     0,  2486,
       0,  2478,     0,     0,     0,  4286,     0,  5720,  2479,   725,
    2483,  2484,     0,  2487,     0,     0,  2488,     0,     0,     0,
       0,     0,     0,     0,     0,  2485,     0,     0,     0,   378,
       0,   725,   934,  2480,   725,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   724,     0,     0,     0,     0,     0,     0,
       0,   724,     0,     0,  2486,     0,     0,     0,     0,     0,
    1093,     0,     0,   724,     0,     0,     0,     0,  2487,     0,
       0,  2488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   934,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2489,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   379,     0,     0,     0,     0,     0,     0,
       0,     0,   934,     0,     0,     0,     0,     0,     0,  4371,
       0,  2471,     0,     0,  2472,     0,     0,     0,  2473,  2474,
    2475,     0,     0,     0,  2481,     0,     0,     0,     0,  2482,
     724,   724,     0,     0,     0,  2476,     0,     0,     0,     0,
       0,     0,     0,  2478,   724,     0,     0,     0,  2489,     0,
    2479,  2483,  2484,     0,     0,     0,     0,   724,   724,     0,
       0,     0,     0,     0,     0,     0,  2485,   729,     0,     0,
       0,     0,   773,     0,   773,  2480,     0,     0,     0,     0,
       0,   724,     0,  2490,   773,     0,  2491,  2492,  2493,     0,
    2494,  2495,  2496,  2497,  2498,  2499,     0,     0,     0,     0,
    5370,     0,     0,     0,     0,  2486,     0,  2150,   934,   773,
       0,     0,     0,     0,     0,     0,     0,     0,  2159,  2487,
     773,     0,  2488,     0,     0,     0,     0,     0,     0,     0,
       0,   773,   773,  2167,     0,   773,     0,     0,     0,     0,
       0,   773,     0,     0,     0,  1094,     0,     0,  2490,     0,
       0,  2491,  2492,  2493,     0,  2494,  2495,  2496,  2497,  2498,
    2499,     0,     0,     0,     0,  5380,     0,  1094,     0,     0,
       0,     0,   725,     0,     0,     0,     0,     0,     0,  1290,
       0,     0,     0,   773,     0,     0,  2481,     0,     0,     0,
       0,  2482,     0,     0,     0,     0,     0,     0,  2932,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2489,
       0,     0,     0,  2483,  2484,     0,   378,     0,  4549,     0,
       0,     0,   379,     0,     0,     0,     0,   379,  2485,   379,
    1093,     0,  5958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4565,     0,     0,     0,     0,   934,     0,
       0,     0,   379,     0,  1290,  1290,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2486,     0,     0,
       0,     0,   379,     0,     0,     0,     0,     0,     0,     0,
       0,  2487,     0,     0,  2488,     0,     0,     0,   725,     0,
       0,   725,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   378,     0,   724, -2517,     0,  2490,
       0,     0,  2491,  2492,  2493,     0,  2494,  2495,  2496,  2497,
    2498,  2499,     0,     0,   934,     0,  5389,     0,     0,     0,
     934,  5770,     0,     0,     0,  5036,     0,     0,  5038,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2517,     0,     0,
    2404,     0,     0,     0,     0,     0,   378,     0,   378,     0,
   -2517,  2489,     0,     0,     0, -2517,     0,     0,     0,     0,
   -2517,   725,   725,     0,     0,     0, -2517,     0,   724, -2517,
       0,   725,     0, -2517,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   773,
     725,   724,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2517,     0,     0,     0,     0,     0,     0,   724,
       0,   934,     0,     0,   378,   724,     0,     0,     0,   724,
       0,     0, -2517,     0,  6098,     0,     0,   724,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   724,  1290,  1290,     0,   379,
       0,  2490,     0,     0,  2491,  2492,  2493,     0,  2494,  2495,
    2496,  2497,  2498,  2499,     0,     0,     0,     0,  5392, -2517,
       0,     0, -2517,     0,     0,     0,   725,     0, -2517,   724,
       0,  4774,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1137,     0,     0,     0,     0,   872,     0,   724,
     724,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   723,     0,     0,     0,     0,
       0,     0,     0,     0,   723,     0,     0,     0,     0,     0,
     378,   724,     0, -2517,   378,     0,     0,     0,   723,     0,
       0,     0,     0,     0,     0,     0,  5192,     0,     0,     0,
       0,     0,     0,     0,     0,   724,     0,   378,     0,     0,
       0,   724,     0,     0,     0,     0,     0,     0,   724,     0,
       0,     0,     0,  1137,     0,   724,   723,     0,   724,     0,
       0,     0,   723,     0,   724,  5217,  5218,     0,  1107,     0,
       0,     0,     0,     0,     0,   723,     0,  4878,     0,     0,
    4881,     0,     0,     0,   724,     0,     0,     0,     0,     0,
     724,     0,     0,     0,     0,   724, -2517,     0,   378,     0,
       0,   723,     0,     0,     0,     0,     0,     0,   724,     0,
       0,     0,     0,     0,     0,     0,   723,     0,     0,     0,
   -2517,   724, -2517, -2517,   723,     0,   378,     0,   773,  1279,
    1281,     0,   724,  1284,     0,     0,     0,     0,   723,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1334,   723,  5260,  5261,     0, -2517,     0,
    1344, -2517, -2517,     0, -2517,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   773,   773,     0,
    4963,     0,     0,     0,     0,     0,     0,   725,  1398,     0,
    1401,   378,   379,     0,  1404,     0,     0,     0,     0,  2932,
       0,     0,     0,     0,     0,     0,     0,     0,  1428,     0,
    2835,     0,     0,     0,     0,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,   773,     0,     0,   725,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   725,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1136,     0,   723,     0,  1136,     0,  2471,     0,     0,
    2472,     0,     0,     0,  2473,  2474,  2475,     0,     0,   725,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   723,
       0,  2476,  5359,     0,     0,  3947,     0,     0,     0,  2478,
       0,   723,     0,  5362,  5363,     0,  2479,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5367,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2480,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2961,   723,   723,     0,     0,     0,     0,     0,     0,
       0,     0,  2972,     0,     0,     0,  2471,     0,     0,  2472,
       0,     0,     0,  2473,  2474,  2475,   725,     0,     0,  2991,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2476,   724,     0,     0,     0,     0,     0,     0,  2478,     0,
       0,     0,     0,     0,     0,  2479,     0,     0,     0,   724,
       0,     0,     0,     0,     0,     0,     0,   724,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2480,     0,     0,     0,     0,  3072,     0,  1136,  1136,     0,
       0,     0,  2481,     0,     0,     0,     0,  2482,     0,     0,
    1454,   773,     0,   773,  3083,     0,     0,     0,     0,     0,
       0,     0,     0,   872,     0,     0,   725,  1495,     0,  2483,
    2484,     0,     0,     0,     0,     0,     0,     0,     0,  3098,
       0,     0,     0,     0,  2485,     0,   378,     0,     0,     0,
       0,     0,   378,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   773,     0,     0,   773,   773,     0,     0,     0,  3124,
    1495,     0,     0,  2486,     0,     0,     0,     0,     0,   729,
       0,  1094,     0,  1094,     0,     0,     0,  2487,     0,   729,
    2488,  2481,     0,   773,     0,     0,  2482,     0,  2014,  2015,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1094,  1094,     0,  5227,     0,  2483,  2484,
       0,     0,     0,     0,     0,     0,     0,     0,  5237,     0,
     724,     0,     0,  2485,     0,     0,   725,     0,   725,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     773,     0,   773,     0,  2148,     0,     0,     0,     0,     0,
       0,     0,  2486,     0,     0,     0,     0,  2489,     0,  2160,
     723,     0,     0,     0,     0,   725,  2487,  5603,     0,  2488,
       0,     0,     0,  2471,     0,  1291,  2472,     0,     0,     0,
    2473,  2474,  2475,     0,     0,     0,     0,     0,     0,  2183,
    2184,     0,     0,     0,     0,     0,     0,  2476,     0,     0,
       0,     0,     0,     0,     0,  2478,  3290,   723,     0,     0,
       0,     0,  2479,     0,   379,  2225,     0,     0,     0,  1291,
       0,   729,     0,     0,   724,   724,     0, -2519,     0,     0,
       0,     0,     0,     0,     0,   729,   729,  2480,     0,  1881,
    5648,     0,     0,   723,     0,     0,     0,     0,     0,     0,
       0,   724,     0,     0,   724,     0,  2489,  2490,     0,   723,
    2491,  2492,  2493,     0,  2494,  2495,  2496,  2497,  2498,  2499,
       0,     0,     0,     0,  5442,   723,     0, -2519,     0,   723,
       0,     0,   729,     0,     0,     0,     0,     0,     0,     0,
   -2519,     0,     0,  5685,     0, -2519,     0,     0,  2296,  2298,
   -2519,     0,     0,     0,     0,     0, -2519,     0,     0, -2519,
       0,     0,     0, -2519,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3947,   378,   378,   378,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2519,     0,     0,     0,     0,     0,  2481,     0,
     724,     0,     0,  2482,     0,     0,  2490,     0,     0,  2491,
    2492,  2493, -2519,  2494,  2495,  2496,  2497,  2498,  2499,   724,
       0,     0,     0,  5477,     0,  2483,  2484,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   724,     0,     0,
    2485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   379,     0,     0,     0,   723, -2519,
       0,     0, -2519,     0,     0,     0,   723,   723, -2519,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2486,
     725,     0,   723,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2487,   725,  3947,  2488,  3947,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2519,   724,     0,  3519,     0,   872,     0,
       0,     0,  3527,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   723,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     378,     0,     0,  3560,     0,     0,     0,   724,  1107,   724,
       0,     0,     0,  2489,     0,     0,     0,     0,     0,     0,
       0,     0,   724,     0,   724,     0,     0,     0,     0,   872,
       0,     0,     0,     0,     0,     0, -2519,     0,     0,  1136,
     729,     0,     0,     0,     0,   773,   378,   773,     0,     0,
     773,     0,   773,     0,     0,   773,   773,   773,     0,     0,
   -2519,  2371, -2519, -2519,     0,     0,     0,     0,   773,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1136,     0,   773,     0,   773,     0,     0,     0, -2535,   773,
     724,     0,     0,     0,     0,     0,     0,     0, -2519,     0,
       0, -2519, -2519,     0, -2519,     0,     0,     0,     0,     0,
       0,     0,   379,  2490,   725,     0,  2491,  2492,  2493,     0,
    2494,  2495,  2496,  2497,  2498,  2499,  2471,     0,     0,  2472,
    5519,     0,     0,  2473,  2474,  2475,  1136,     0, -2535,     0,
       0,     0,     0,   724,     0,     0,     0,     0,     0,     0,
    2476, -2535,     0,  1136,     0,     0, -2535,     0,  2478,     0,
       0, -2535,     0,   724,     0,  2479,     0, -2535,     0,  2471,
   -2535,     0,  2472,     0, -2535,     0,  2473,  2474,  2475,     0,
       0,     0,     0,     0,     0,   724,     0,     0,   724,     0,
    2480,     0,     0,  2476,     0,     0,     0,  3778,     0,     0,
       0,  2478,  6008, -2535,     0,     0,     0,     0,  2479,     0,
       0,     0,     0,     0,   379,     0,  2517,     0,     0,     0,
       0,     0,   723, -2535,     0,     0,  2771,   773,   773,     0,
       0,     0,   725,  2480,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,  1291,     0,     0,     0,   729,
     729,  2810,  2471,     0,     0,  2472,     0,     0,   725,  2473,
    2474,  2475,     0,     0,     0,   729,     0,   378,     0,     0,
   -2535,     0,     0, -2535,     0,     0,  2476,     0,     0, -2535,
       0,   872,     0,     0,  2478,     0,     0,     0,     0,     0,
       0,  2479,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2481,     0,     0,     0,   723,  2482,     0,     0,     0,
       0,     0,     0,   723,     0,     0,  2480,     0,     0,     0,
    1291,  1291,     0,     0,  2890,   723,     0,     0,  2483,  2484,
     773,     0,   729,     0, -2535,     0,     0,     0,     0,     0,
       0,     0,  2656,  2485,  2481,     0,     0,     0,     0,  2482,
       0,  2913,  2914,  2915,  2916,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   725,     0,     0,     0,     0,     0,
       0,  2483,  2484,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2486,     0,     0,     0,  2485,     0,     0,  1107,
       0,     0,     0,     0,     0,     0,  2487,     0,     0,  2488,
       0,     0,   723,   723,     0,     0,     0,  2967,  2968,     0,
       0,     0,  3960,     0,     0,     0,   723, -2535,     0,     0,
       0,   729,     0,  2985,     0,  2486,     0,  2481,  3973,   723,
     723,   729,  2482,  3978,     0,     0,     0,     0,     0,  2487,
       0, -2535,  2488, -2535, -2535,     0,   724,     0,   379,     0,
       0,     0,     0,   723,  2483,  2484,     0,     0,  3030,  3031,
    3032,  3033,     0,     0,     0,     0,     0,     0,     0,  2485,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2535,
       0,     0, -2535, -2535,     0, -2535,  2489,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   378,     0,     0,     0,
       0,   378,     0,   378,     0,     0,     0,     0,  2486,     0,
       0,     0,   379,     0,   729,     0,     0,   729,   729,     0,
       0,     0,  2487,     0,     0,  2488,   378,     0,     0,  2489,
     379,     0,  1291,  1291,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   378,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3947,   724,     0,     0,   724,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3130,     0,     0,     0,
       0,     0,  3134,     0,     0,     0,  2490,     0,   872,  2491,
    2492,  2493,     0,  2494,  2495,  2496,  2497,  2498,  2499,     0,
       0,     0,     0,  5828,     0,     0,     0,     0,     0,     0,
       0,     0,  2489,     0,     0,     0,   729,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2490,
       0,     0,  2491,  2492,  2493,     0,  2494,  2495,  2496,  2497,
    2498,  2499,     0,     0,     0,     0,  5851,     0,     0,     0,
       0,     0,     0,     0,     0,   724,   724,     0,     0,   880,
       0,     0,     0,     0,     0,   724,     0,     0,     0,     0,
       0,     0,  2471,     0,     0,  2472,     0,     0,   723,  2473,
    2474,  2475,   940,     0,   724,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2476,     0,     0,     0,
       0,     0,     0,     0,  2478,   880,     0,     0,     0,  1507,
       0,  2479,  2490,     0,     0,  2491,  2492,  2493,     0,  2494,
    2495,  2496,  2497,  2498,  2499,     0,     0,     0,     0,  5957,
       0,     0,  4219,     0,  3300,  1507,  2480,     0,     0,     0,
    4222,  2471,     0,   378,  2472,     0,     0,     0,  2473,  2474,
    2475,     0,     0,     0,  1140,     0,     0,     0,     0,     0,
     723,     0,  1140,     0,  1140,  2476,     0,     0,     0,     0,
     724,     0,     0,  2478,     0,     0,     0,   880,     0,     0,
    2479,     0,     0,   723,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   723,     0,     0,     0,  2480,   872,   723,     0,     0,
       0,   723,     0,     0,     0,   773,     0,   773,     0,   723,
       0,   773,     0,   773,     0,     0,   773,     0,     0,     0,
     773,     0,     0,     0,  4303,  2517,  4305,   723,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2481,     0,     0,
       0,     0,  2482,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   723,     0,     0,  2483,  2484,     0,     0,     0,     0,
       0,     0,     0,     0,  1136,     0,     0,     0,     0,  2485,
       0,   723,   723,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2481,     0,     0,     0,
       0,  2482,   872,   723,     0,     0,   872,  4356,  2486,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2487,  2483,  2484,  2488,     0,   723,     0,   872,
       0,     0,     0,   723,     0,     0,     0,     0,  2485,     0,
     723,     0,     0,     0,     0,  1136,     0,   723,  4378,     0,
     723,     0,  2371,     0,     0,     0,   723,     0,     0,  3361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2656,
       0,     0,     0,     0,     0,     0,   723,  2486,     0,     0,
       0,   724,   723,  3528,     0,     0,   378,   723,     0,     0,
     872,  2487,     0,     0,  2488,     0,     0,     0,     0,     0,
     723,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2489,   723,     0,     0,     0,     0,   872,     0,
    2471,   724,     0,  2472,   723,     0,     0,  2473,  2474,  2475,
       0,     0,     0,   724,     0,     0,     0,     0,     0,     0,
       0,     0,  1507,     0,  2476,  3560,     0,     0,     0,     0,
       0,     0,  2478,  1507,     0,     0,     0,     0,     0,  2479,
       0,     0,     0,   724,     0,     0,  2471,     0,  1507,  2472,
       0,     0,     0,  2473,  2474,  2475,     0,     0,     0,     0,
       0,  2489,  4514,   872,  2480,     0,     0,     0,     0,   729,
    2476,     0,     0,   729,     0,     0,     0,     0,  2478,  3446,
       0,  1881,     0,     0,   773,  2479,     0,     0,     0,     0,
       0,  3664,  2490,     0,  3667,  2491,  2492,  2493,     0,  2494,
    2495,  2496,  2497,  2498,  2499,     0,     0,     0,     0,  6027,
    2480,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   729,     0,     0,     0,     0,     0,  1507,     0,
     724,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2490,     0,  4580,  2491,  2492,  2493,     0,  2494,  2495,
    2496,  2497,  2498,  2499,     0,  2481,  2471,  3757,  6083,  2472,
    2482,     0,     0,  2473,  2474,  2475,  4590,     0,     0,     0,
    3770,     0,     0,     0,     0,     0,     0,     0,  3779,     0,
    2476,     0,  2483,  2484,  3390,     0,     0,     0,  2478,     0,
       0,  4613,     0,     0,     0,  2479,     0,  2485,     0,     0,
       0,  2481,     0,     0,     0,     0,  2482,     0,     0,     0,
     724,     0,     0,     0,     0,     0,     0,     0,     0,  3825,
    2480,     0,     0,     0,     0,     0,     0,  2404,  2483,  2484,
       0,     0,     0,   723,     0,     0,  2486,     0,     0,     0,
       0,     0,     0,  2485,     0,     0,     0,  3848,     0,     0,
    2487,   723,     0,  2488,     0,  1507,     0,     0,     0,   723,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3391,
       0,     0,     0,     0,     0,   729,     0,     0,     0,     0,
       0,     0,  2486,   729,     0,     0,   729,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2487,     0,   729,  2488,
       0,     0,     0,     0,     0,     0,  3913,     0,  3915,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   872,     0,
     724,  2481,   724,     0,   872,     0,  2482,     0,     0,     0,
    2489,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2483,  2484,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2485,     0,   880,     0,     0,     0,   724,
       0,     0,     0,   940,     0,     0,  2489,     0,     0,     0,
       0,     0,   940,     0,     0,     0,     0,     0,     0,     0,
     940,     0,     0,   940,     0,     0,     0,  3972,     0,  2543,
       0,     0,  2486,     0,  3979,     0,     0,     0,     0,     0,
       0,     0,   723,     0,     0,     0,  2487,     0,   378,  2488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2490,     0,     0,  2491,  2492,  2493,     0,  2494,  2495,  2496,
    2497,  2498,  2499,     0,     0,     0,     0,  6097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2490,     0,     0,  2491,
    2492,  2493,     0,  2494,  2495,  2496,  2497,  2498,  2499,     0,
       0,  2956,     0,     0,   940,     0,     0,     0,     0,  1510,
       0,     0,     0,   940,     0,     0,  2489,     0,     0,     0,
     940,     0,     0,   940,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1510,   723,   723,     0,     0,
       0,  1507,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     773,  2371,     0,   723,     0,     0,   723,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3392,     0,   729,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4952,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1507,     0,
       0,     0,     0,     0,     0,     0,  2490,     0,   378,  2491,
    2492,  2493,     0,  2494,  2495,  2496,  2497,  2498,  2499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   872,   872,
     872,     0,   940,   940,   724,  1507,     0,     0,     0,  1140,
       0,     0,     0,  1140,     0,     0,     0,     0,   724,     0,
       0,     0,   723,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1507,   940,
       0,   723,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   723,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,  4220,  4221,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,     0,    38,    39,     0,     0,     0,     0,    40,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2656,     0,     0,     0,     0,   729,  1507,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   723,  1507,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2404,     0,     0,
       0,     0,     0,     0,  1507,     0,     0,     0,     0,     0,
       0,     0,    41,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1140,  1140,     0,     0,     0,
       0,     0,   872,     0,     0,     0,     0,     0,     0,   723,
       0,   723,     0,     0,     0,     0,   378,     0,   724,   940,
     940,   880,     0,     0,   723,     0,   723,   940,     0,     0,
    1507,     0,  1510,   940,     0,     0,     0,   940,     0,   940,
       0,     0,     0,  1510,     0,     0,     0,     0,   872,  1507,
       0,     0,     0,     0,     0,     0,     0,    42,  1510,     0,
       0,     0,  1507,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1507,     0,    43,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   723,  5193,     0,     0,     0,     0,     0,    44,
       0,     0,   940,   940,   940,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1507,  1507,     0,     0,   378,     0,
    4379,     0,     0,    45,     0,     0,     0,     0,     0,  5216,
       0,     0,     0,     0,     0,     0,   724,     0,     0,     0,
       0,     0,     0,     0,     0,   723,     0,     0,  1510,     0,
       0,  5232,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,   724,    47,     0,   723,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    48,     0,   723,     0,     0,
     723,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5259,
       0,     0,     0,     0,     0,     0,     0,   940,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2471,     0,     0,  2472,
       0,     0,     0,  2473,  2474,  2475,     0,     0,   724,   872,
       0,  1507,     0,    49,     0,     0,     0,     0,     0,     0,
    2476,     0,     0,     0,     0,  1510,     0,     0,  2478,     0,
       0,  4539,     0,     0,     0,  2479,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   940,     0,
    2480,     0,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
    5349,     0,     0,     0,     0,     0,     0,     0,   940,     0,
       0,     0,   378,     0,    52,     0,   729,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   940,   940,   940,     0,
     940,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,    54,     0,    55,    56,    57,    58,    59,  2404,
     940,    60,    61,  1557,     0,     0,     0,  4032,    66,  1558,
       0,     0,  4033,     0,     0,     0,   378,     0,     0,     0,
     773,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2481,     0,     0,   378,     0,  2482,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   723,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2483,  2484,
     773,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2485,     0,     0,     0,     0,  1507,     0,
       0,   940,  1507,  1507,     0,   940,   940,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   872,     0,
     940,     0,     0,   872,     0,   872,     0,     0,     0,     0,
       0,     0,  2486,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2487,     0,   872,  2488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1507,     0,     0,     0,     0,     0,  1507,   872,   729,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   723,     0,  2471,   723,     0,  2472,
       0,  1510,     0,  2473,  2474,  2475,     0,   880,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1140,  1507,     0,
    2476,     0,     0,     0,     0,     0,     0,     0,  2478,     0,
       0,     0,     0,     0,     0,  2479,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2489,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1140,     0,
    2480,     0,     0,     0,     0,     0,     0,     0,  1510,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   723,   723,     0,
       0,     0,     0,     0,     0,     0,     0,   723,     0,     0,
       0,     0,     0,     0,     0,  1510,     0,     0,     0,     0,
       0,     0,     0,     0,  1140,     0,   723,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2404,     0,     0,
       0,  1140,     0,     0,     0,     0,     0,     0,  1510,     0,
       0,     0,     0,     0,     0,     0,  2490,     0,     0,  2491,
    2492,  2493,     0,  2494,  2495,  2496,  2497,  2498,  2499,     0,
       0,     0,     0,     0,     0,     0,  4356,     0,     0,     0,
       0,  2481,     0,     0,     0,     0,  2482,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3446,  4920,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2483,  2484,
       0,     0,   723,  4923,     0,     0,     0,     0,     0,     0,
       0,     0,  1507,  2485,     0,     0,   940,   940,   940,     0,
       0,     0,  2404,     0,     0,     0,     0,  2404,  2404,     0,
       0,     0,     0,     0,     0,     0,  1510,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1510,     0,     0,
       0,     0,  2486,     0,     0,     0,     0,     0,     0,   880,
       0,     0,     0,     0,  1510,     0,  2487,     0,     0,  2488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   729,     0,     0,
       0,     0,     0,  4626,  1507,     0,     0,  1507,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   729,     0,     0,     0,     0,     0,     0,   729,
    1510,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     729,     0,     0,   940,     0,     0,   940,     0,     0,  1510,
       0,     0,     0,     0,  5763,     0,   940,     0,     0,     0,
       0,     0,  1510,     0,     0,     0,  2489,     0,     0,     0,
       0,     0,     0,     0,  1510,     0,     0,     0,     0,     0,
       0,     0,     0,  4627,     0,     0,     0,   940,   940,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   940,     0,     0,   940,     0,     0,     0,     0,
       0,     0,     0,     0,  1510,  1510,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1507,     0,     0,
       0,     0,     0,   723,     0,     0,     0,     0,   872,     0,
       0,     0,     0,  1507,     0,     0,     0,     0,  1507,     0,
       0,     0,     0,     0,     0,     0,  2490,     0,     0,  2491,
    2492,  2493,     0,  2494,  2495,  2496,  2497,  2498,  2499,     0,
       0,   940,     0,   723,   940,   940,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   723,     0,     0,     0,     0,
       0,     0,     0,     0,   729,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   940,   940,     0,   723,     0,     0,   940,   940,
       0,     0,     0,     0,     0,   940,   940,   940,     0,     0,
     940,     0,   940,     0,   940,   940,   940,   940,   940,   940,
       0,   940,     0,   940,   940,     0,  5914,   940,     0,     0,
       0,     0,   729,     0,     0,     0,     0,     0,     0,     0,
       0,  1510,   940,   940,   940,   940,   880,     0,     0,     0,
     940,     0,     0,     0,   940,     0,     0,   940,     0,     0,
     940,   940,   940,   940,   940,   940,   940,   940,   940,     0,
     940,     0,     0,     0,     0,     0,     0,     0,   940,     0,
       0,   940,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   723,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   940,     0,     0,     0,     0,     0,     0,  5252,
       0,     0,     0,     0,     0,     0,     0,   940,     0,     0,
       0,     0,     4,     0,  5256,     0,   940,   940,     0,  1507,
       0,     0,  1507,     0,  1507,     0,     0,     0,     0,  1507,
       0,     5,   723,     0,     0,     0,     0,     0,     0,     0,
    2656,     6,     7,     0,     0,     0,     8,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,  1507,    36,     0,
      37,     0,    38,    39,     0,  1507,     0,     0,    40,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1510,     0,
       0,     0,  1510,  1510,     0,  5322,     0,     0,     0,     0,
    1507,     0,  2471,     0,   880,  2472,     0,     0,     0,  2473,
    2474,  2475,     0,   729,     0,     0,     0,     0,     0,   729,
       0,     0,     0,   729,     0,     0,  2476,     0,     0,     0,
       0,     0,    41,     0,  2478,     0,     0,     0,   940,     0,
       0,  2479,   723,     0,   723,     0,     0,     0,     0,   940,
       0,  1510,   940,     0,   940,   940,     0,  1510,     0,     0,
       0,     0,     0,     0,     0,     0,  2480,     0,     0,  1507,
       0,  1507,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1140,     0,     0,     0,     0,     0,     0,     0,
       0,   723,     0,     0,     0,     0,     0,     0,  1510,     0,
       0,     0,     0,     0,     0,     0,     0,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     880,     0,     0,     0,   880,     0,    43,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     872,     0,     0,     0,     0,     0,     0,   880,     0,    44,
       0,     0,  5988,     0,     0,     0,     0,     0,  2471,     0,
       0,  2472,  1507,  1140,     0,  2473,  2474,  2475,     0,     0,
       0,     0,     0,    45,     0,     0,     0,  2481,     0,     0,
       0,     0,  2482,     0,     0,     0,     0,     0,     0,     0,
    2478,     0,     0,  5447,     0,  5448,     0,  2479,     0,     0,
       0,     0,     0,  1507,  2483,  2484,     0,     0,   880,     0,
      46,     0,     0,    47,     0,     0,     0,     0,     0,  2485,
       0,     0,  2480,     0,     0,     0,     0,     0,     0,     0,
       0,  1507,     0,     0,     0,    48,   880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2486,     0,
     940,   940,   940,     0,     0,     0,   940,     0,     0,     0,
       0,     0,  2487,     0,     0,  2488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   940,  1510,     0,     0,     0,     0,  5989,     0,     0,
    1507,   880,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1507,     0,    49,     0,     0,     0,     0,     0,     0,
     872,     0,     0,  2481,     0,   940,     0,  1507,  2482,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5584,   723,     0,     0,     0,
   -3021, -3021,  2489,     0,     0,     0,     0,     0,     0,     0,
     723,     0,     0,    50,  1510,  2485,     0,  1510,     0,     0,
     773,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,     0,     0,     0,     0,   940,     0,     0,     0,     0,
       0,     0,     0,     0,    52,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -3021,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2487,     0,
       0,     0,     0,     0,    53,     0,     0,     0,  1507,     0,
       0,     0,    54,   729,    55,    56,    57,    58,    59,     0,
       0,    60,    61,    62,    63,     0,    64,    65,    66,    67,
      68,  1507,  2490,     0,     0,  2491,  2492,  2493,     0,  2494,
    2495,  2496,  2497,  2498,  2499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1507,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5681,     0,  5683,     0,  1510,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2489,     0,
       0,   940,  1507,  1510,   940,     0,   940,   940,  1510,     0,
       0,     0,     0,     0,     0,     0,   940,     0,     0,     0,
       0,   940,     0,     0,   773,     0,     0,     0,  1014,     0,
       0,     0,     0,  1015,     0,     0,     0,     0,   872,     0,
     723,     0,     0,     0,     0,   940,   940,   940,     0,     0,
     940,     0,     0,     0,     0,     0,     0,     0,   940,   940,
     940,   940,     0,     0,     0,     0,   880,     0,  1016,     0,
       0,   940,   880,     0,   940,     0,   940,     0,     0,     0,
       0,  1017,     0,     0,     0,     0,     0,   940,   940,     0,
       0,   940,     0,     0,     0,     0,  1018,     0,  2490,     0,
       0,  2491,  2492,  2493,     0,  2494,  2495,  2496,  2497,  2498,
    2499,   940,     0,   940,  1019,   940,     0,     0,     0,     0,
       0,     0,     0,  1507,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   940,     0,  1020,     0,     0,
     872,     0,     0,     0,     0,     0,   940,     0,  1021,     0,
       0,     0,     0,     0,     0,     0,     0,  1022,   723,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1023,
       0,     0,     0,     0,  1024,     0,     0,     0,   940,     0,
       0,  1025,     0,     0,   723,     0,     0,     0,     0,     0,
       0,     0,     0,   940,     0,     0,     0,     0,     0,     0,
    1026,     0,     0,   729,     0,     0,     0,   940,     0,     0,
       0,     0,  1507,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1507,     0,     0,
       0,     0,     0,     0,     0,     0,  1027,     0,     0,  1510,
       0,     0,  1510,     0,  1510,     0,     0,     0,     0,  1510,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     940,     0,     0,     0,     0,     0,  1028,     0,     0,     0,
     723,     0,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,     0,     0,     0,   729,     0,     0,  1510,     0,  1030,
       0,     0,     0,     0,     0,  1510,     0,     0,     0,   910,
    1031,     0,     0,  1032,     0,     0,     0,     0,     0,  5937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1510,     0,     0,     0,     0,     0,     0,     0,     0,  1033,
       0,     0,  1034,     0,     0,     0,  1035,     0,  1036,     0,
       0,     0,     0,     0,     0,  1037,     0,     0,  1038,  1507,
       0,     0,     0,     0,   872,     0,   880,   880,   880,     0,
       0,     0,     0,     0,     0,     0,     0,  1039,     0,     0,
       0,     0,     0,     0,  1040,     0,     0,     0,     0,     0,
    1041,     0,     0,  1042,     0,     0,     0,  1043,     0,  1510,
       0,  1510,     0,     0,     0,  1044,     0,  1045,     0,  1507,
       0,  1507,  1046,     0,     0,     0,     0,  6013,     4,     0,
       0,     0,     0,     0,     0,  1047,     0,     0,   872,     0,
       0,     0,     0,     0,     0,     0,     0,     5,  1048,     0,
       0,     0,     0,     0,     0,     0,   872,     6,     7,     0,
    6029,  6029,     0,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,     0,    38,    39,
       0,     0,  1510,     0,    40,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   940,
       0,     0,     0,     0,     0,   940,     0,     0,     0,     0,
       0,     0,     0,  1510,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    41,     0,
       0,     0,  1507,  6029,     0,     0,     0,     0,     0,     0,
     880,  1510,  1507,     0,     0,     0,     0,     0,  2471,     0,
       0,  2472,     0,     0,     0,  2473,  2474,  2475,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2476,     0,     0,  3989,     0,     0,     0,     0,
    2478,     0,     0,     0,     0,     0,   880,  2479,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    42,     0,     0,     0,     0,     0,     0,
    1510,     0,  2480,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    43,     0,     0,     0,     0,     0,     0,     0,
       0,  1510,     0,  2471,     0,     0,  2472,     0,     0,     0,
    2473,  2474,  2475,     0,     0,    44,     0,  1510,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2476,     0,     0,
       0,     0,     0,     0,     0,  2478,     0,     0,  1507,    45,
       0,     0,  2479,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2480,     0,     0,
       0,     0,     0,     0,  1507,     0,    46,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2481,     0,     0,  1507,     0,  2482,     0,
       0,    48,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   940,     0,     0,  1510,     0,
    2483,  2484,     0,     0,   940,     0,     0,     0,     0,     0,
       0,     0,   940,     0,   940,  2485,     0,   940,     0,     0,
       0,  1510,   940,   940,   940,   940,     0,     0,   940,   940,
     940,   940,   940,   940,   940,   940,   940,   940,     0,     0,
       0,   940,   940,     0,  1507,     0,  1510,     0,     0,     0,
       0,   940,     0,     0,  2486,   940,     0,   880,  2481,   940,
       0,     0,     0,  2482,     0,     0,     0,   940,  2487,    49,
     940,  2488,   940,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1510,     0,   940,  2483,  2484,   940,   940,     0,
       0,     0,   940,   940,     0,     0,     0,     0,     0,   940,
    2485,     0,     0,     0,     0,     0,     0,     0,  2471,   940,
       0,  2472,   940,     0,     0,  2473,  2474,  2475,     0,    50,
       0,     0,     0,     0,   940,     0,     0,     0,     0,     0,
       0,     0,  2476,     0,     0,    51,     0,     0,     0,  2486,
    2478,     0,     0,     0,     0,     0,     0,  2479,     0,     0,
      52,     0,     0,  2487,     0,     0,  2488,     0,  2489,     0,
       0,     0,     0,     0,     0,  1507,     0,     0,     0,     0,
       0,   940,  2480,     0,  4005,     0,     0,     0,     0,     0,
      53,     0,     0,     0,     0,     0,     0,   940,    54,     0,
      55,    56,    57,    58,    59,     0,     0,    60,    61,  1557,
    2329,     0,     0,  1510,    66,     0,     0,     0,     0,     0,
    2471,     0,     0,  2472,     0,   940,     0,  2473,  2474,  2475,
       0,     0,     0,     0,  1507,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2476,     0,     0,  4037,     0,     0,
       0,     0,  2478,  2489,     0,     0,     0,     0,     0,  2479,
       0,     0,     0,     0,     0,     0,     0,     0,  2490,     0,
       0,  2491,  2492,  2493,  4042,  2494,  2495,  2496,  2497,  2498,
    2499,     0,     0,     0,  2480,     0,     0,     0,     0,     0,
       0,     0,     0,  2481,     0,     0,   880,     0,  2482,     0,
       0,   880,  1510,   880,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2483,  2484,     0,     0,     0,     0,   880,  1510,    80,     0,
       0,     0,     0,    83,     0,  2485,     0,    87,     0,    88,
       0,    90,    91,     0,     0,     0,   880,     0,     0,     0,
       0,     0,   100,  2490,     0,     0,  2491,  2492,  2493,     0,
    2494,  2495,  2496,  2497,  2498,  2499,     0,     0,   112,   113,
       0,     0,     0,     0,  2486,     0,     0,     0,  1507,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2487,     0,
       0,  2488,     0,     0,     0,  2481,     0,     0,     0,     0,
    2482,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   121,     0,     0,     0,     0,
       0,     0,  2483,  2484,     0,   122,     0,   123,   124,     0,
     940,     0,     0,     0,     0,     0,     0,  2485,     0,     0,
       0,     0,     0,  1215,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,     0,     0,     0,  1510,
       0,     0,     0,     0,   135,     0,   136,   137,     0,     0,
       0,     0,   940,   140,     0,   141,  2486,     0,  2489,     0,
       0,     0,     0,     0,     0,     0,   143,     0,   144,     0,
    2487,     0,     0,  2488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   147,  1507,   148,     0,     0,   151,  1510,
       0,  1510,   940,   940,     0,     0,     0,     0,     0,     0,
       0,     0,   152,     0,   153,     0,     0,     0,   154,     0,
       0,     0,  1507,     0,   155,     0,     0,     0,     0,     0,
       0,     0,   157,     0,   159,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   165,     0,     0,
       0,  1507,     0,     0,     0,     0,     0,     0,  2490,     0,
    2489,  2491,  2492,  2493,   169,  2494,  2495,  2496,  2497,  2498,
    2499,     0,     0,     0,     0,     0,   940,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   940,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   180,   181,     0,  1507,     0,     0,
     182,     0,  1507,  1507,     0,     0,     0,     0,   940,     0,
       0,   940,   183,     0,     0,     0,     0,     0,     0,   940,
     940,     0,  1510,     0,     0,     0,   940,   940,     0,     0,
     189,   940,  1510,     0,     0,     0,     0,   940,     0,     0,
     940,   940,     0,     0,     0,   940,     0,     0,     0,     0,
    2490,   940,     0,  2491,  2492,  2493,     0,  2494,  2495,  2496,
    2497,  2498,  2499,   940,     0,   938,     0,     0,     0,     0,
       0,   940,     0,   199,     0,   940,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,     0,
       0,     0,     0,   202,   203,     0,   204,  1102,     0,     0,
       0,   205,     0,     0,     0,     0,   206,     0,   940,   208,
       0,     0,  1104,     0,     0,     0,   210,     0,     0,  1507,
       0,  1112,   211,   212,     0,     0,     0,     0,     0,     0,
     213,     0,     0,     0,   215,     0,  1126,     0,  1102,     0,
     940,     0,  1149,     0,   218,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,  1510,   220,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   880,     0,     0,   226,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
     229,     0,     0,     0,  1510,     0,   230,  2471,     0,     0,
    2472,   231,     0,     0,  2473,  2474,  2475,     0,     0,     0,
       0,     0,     0,     0,   234,     0,  1510,     0,     0,     0,
       0,  2476,     0,     0,  4048,     0,     0,     0,     0,  2478,
       0,     0,     0,     0,     0,     0,  2479,   246,     0,   940,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   247,     0,     0,     0,  -145,     0,     0,     0,     0,
       0,  2480,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2471,  1510,     0,  2472,     0,     0,     0,
    2473,  2474,  2475,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2476,     0,     0,
       0,   940,     0,     0,     0,  2478,     0,     0,     0,     0,
       0,  1507,  2479,     0,     0,     0,     0,   940,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2480,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   940,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2481,     0,     0,     0,     0,  2482,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     5,  2483,
    2484,     0,     0,  1510,     0,  1510,     0,     0,     6,     7,
       0,     0,     0,     0,  2485,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,     0,    38,
      39,     0,     0,  2486,     0,    40,     0,     0,  2481,     0,
     940,     0,     0,  2482,  1510,     0,     0,  2487,     0,     0,
    2488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2483,  2484,     0,     0,   940,
     940,     0,     0,   940,     0,     0,     0,     0,     0,     0,
    2485,     0,     0,     0,  2471,     0,     0,  2472,   940,    41,
       0,  2473,  2474,  2475,     0,   940,     0,     0,     0,     0,
     940,     0,     0,   940,   940,     0,     0,     0,  2476,     0,
     940,   940,     0,     0,     0,     0,  2478,     0,     0,  2486,
       0,     0,     0,  2479,     0,     0,     0,     0,     0,     0,
       0,     0,   940,  2487,   940,     0,  2488,  2489,     0,     0,
       0,     0,     0,     0,     0,     0,   940,     0,  2480,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    43,     0,     0,     0,     0,  1510,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   940,
       0,     0,     0,     0,     0,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2489,     0,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,  2490,   880,     0,
    2491,  2492,  2493,   940,  2494,  2495,  2496,  2497,  2498,  2499,
       0,     0,     0,     0,     0,  4577,     0,     0,     0,  2481,
       0,     0,     0,     0,  2482,     0,     0,    46,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2483,  2484,     0,     0,
       0,     0,    48,     0,     0,     0,     0,     0,     0,     0,
       0,  2485,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   940,     0,  1510,     0,     0,     0,     0,     0,
       0,     0,     0,  2490,     0,     0,  2491,  2492,  2493,     0,
    2494,  2495,  2496,  2497,  2498,  2499,     0,     0,     0,     0,
    2486,   940,  1510,     0,   940,     0,   940,     0,     0,     0,
       0,     0,     0,     0,  2487,     0,     0,  2488,     0,     0,
       0,     0,     0,     0,     0,   940,     0,     0,     0,     0,
       0,   940,     0,     0,     0,   940,     0,     0,     0,     0,
      49,  1510,     0,     0,     0,   940,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,  1280,  1280,     0,
       0,  1280,     0,     0,     0,  1292,     0,  1181,     0,     0,
    1319,     0,     0,  1292,     0,     0,  1292,     0,   880,  1181,
      50,  1280,     0,     0,  1181,     0,     0,  1510,  1280,     0,
    1181,     0,  1510,  1510,  2489,     0,    51,   940,     0,     0,
       0,     0,   940,   940,     0,     0,     0,     0,  1367,     0,
       0,    52,     0,     0,  1181,     0,  1280,     0,  1280,     0,
       0,     0,  1280,     0,     0,     0,     0,     0,     0,  1319,
       0,     0,     0,     0,  1424,     0,  1280,     0,     0,     0,
     940,    53,     0,  1280,     0,     0,     0,   940,     0,    54,
       0,    55,    56,    57,    58,    59,     0,     0,    60,    61,
    1557,  3135,     0,     0,     0,    66,     0,     0,     0,     0,
       0,     0,   940,     0,     0,     0,     0,   938,     0,     0,
       0,     0,     0,     0,     0,     0,  1292,     0,     0,     0,
    1319,     0,     0,  1292,  2490,     0,  1292,  2491,  2492,  2493,
       0,  2494,  2495,  2496,  2497,  2498,  2499,  2471,  1510,  1510,
    2472,     0,  1280,     0,  2473,  2474,  2475,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     940,  2476,     0,   940,  4633,     0,   940,     0,     0,  2478,
       0,     0,     0,     0,     0,     0,  2479,   940,     0,     0,
       0,   940,     0,   940,     0,   940,     0,     0,     0,     0,
       0,     0,   940,     0,     0,     0,     0,     0,     0,     0,
    1181,  2480,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   940,     0,     0,     0,  2471,     0,  1636,  2472,     0,
       0,     0,  2473,  2474,  2475,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   880,     0,     0,  2476,
       0,     0,     0,     0,     0,  1749,  1749,  2478,     0,     0,
       0,  1181,     0,     0,  2479,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,     0,  1181,     0,     0,     0,     0,  2480,
       0,     0,  1749,     0,     0,     0,     0,     0,   940,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,   940,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,  2481,     0,     0,     0,     0,  2482,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   940,   940,
     940,     0,     0,     0,     0,     0,     0,   940,   880,  2483,
    2484,  1510,     0,     0,     0,     0,     0,   940,     0,     0,
       0,     0,     0,     0,  2485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   940,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2481,  1181,     0,  2486,     0,  2482,  1280,  1280,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2487,     0,     0,
    2488,     0,     0,     0,     0,     0,     0,  2483,  2484,     0,
       0,     0,   940,     0,     0,     0,     0,     0,   940,     0,
       0,     0,  2485,     0,     0,     0,     0,     0,   940,     0,
       0,     0,     0,     0,   940,   940,     0,   940,     0,     0,
       0,     0,  1749,  1749,     0,     0,     0,   940,     0,     0,
     938,     0,  1280,     0,     0,     0,  1292,     0,     0,  1319,
    1292,  2486,  1292,     0,     0,     0,     0,  1280,     0,     0,
       0,     0,     0,     0,     0,  2487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2489,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,  1280,  1280,     0,
       0,     0,     0,     0,   940,     0,     0,     0,     0,     0,
     940,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,  1181,     0,  1280,     0,   938,   938,   938,     0,     0,
       0,     0,  2235,     0,     0,     0,     0,   940,     0,     0,
       0,     0,   940,     0,     0,     0,     0,     0,   940,     0,
       0,     0,     0,   940,     0,     0,     0,     0,     0,     0,
       0,     0,   880,     0,     0,  2489,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   940,     0,     0,     0,  2490,     0,     0,
    2491,  2492,  2493,   940,  2494,  2495,  2496,  2497,  2498,  2499,
       0,     0,     0,     0,  1280,     0,  1280,  1280,     0,     0,
       0,   940,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   940,     0,   880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,     0,   940,   940,     0,     0,
    1749,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2490,     0,     0,  2491,  2492,
    2493,     0,  2494,  2495,  2496,  2497,  2498,  2499,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2376,  2376,
       0,     0,     0,  1181,     0,  1102,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,  2414,     0,     0,  1181,     0,     0,  2420,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,     0,     0,  1749,
    1749,  1749,     0,  1749,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,  1749,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,     0,    38,    39,     0,     0,     0,     0,    40,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,  1014,     0,
       0,     0,     0,  1368,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1749,     0,     0,     0,  1749,  1749,
       0,     0,     0,     0,     0,     0,     0,     0,  1369,  1181,
    1181,  2619,    41,  1749,     0,     0,     0,     0,     0,     0,
       0,  1017,  1370,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1371,     0,     0,     0,  1018,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1372,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1373,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    42,  1021,     0,
       0,     0,     0,     0,     0,     0,     0,  1022,     0,     0,
       0,     0,     0,     0,     0,     0,    43,     0,     0,  1023,
       0,     0,     0,     0,  1374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    44,
       0,     0,     0,     0,     0,     0,  2761,     0,     0,     0,
    1375,     0,     0,     0,  1280,     0,     0,     0,     0,     0,
       0,     0,     0,    45,     0,     0,     0,  1181,  2789,     0,
       0,     0,     0,     0,     0,  1376,  1181,     0,     0,  1280,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1027,     0,     0,     0,
      46,     0,  1319,    47,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    48,     0,  1181,     0,     0,
    1181,     0,     0,     0,     0,     0,  1377,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1280,  1297,     0,     0,     0,     0,     0,  1030,
       0,     0,     0,     0,     0,  1331,     0,  1181,     0,   910,
    1378,     0,     0,  1032,     0,     0,  1350,     0,     0,  1280,
    1280,  1280,  1280,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1365,     0,     0,  1181,     0,  1379,
    1396,     0,  1380,     0,     0,     0,  1035,     0,  1036,  1749,
    1749,  1749,     0,    49,     0,  1037,     0,     0,  1038,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,  1280,  1280,  1039,     0,     0,
       0,     0,     0,     0,  1381,     0,     0,     0,     0,     0,
    1041,  1280,     0,  1382,     0,     0,     0,  1043,     0,     0,
       0,     0,     0,    50,     0,  1383,     0,  1045,     0,     0,
    1181,     0,  1384,     0,     0,     0,     0,     0,     0,    51,
       0,     0,     0,     0,     0,     0,  1280,  1280,  1280,  1280,
       0,     0,     0,     0,    52,     0,     0,     0,  1048,  1181,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,   938,     0,     0,   938,
       0,     0,    54,     0,    55,    56,    57,    58,    59,  1749,
       0,    60,    61,  1557,     0,     0,     0,     0,    66,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1292,  1292,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1319,  1319,     0,     0,  1292,     0,     0,  1292,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1280,  1280,     0,     0,  1769,     0,     0,
    1280,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,  1793,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1817,
       0,     0,     0,     0,     0,  2376,     0,     0,     0,     0,
       0,     0,  1280,     0,  1292,     0,     0,  1292,  1292,     0,
    1181,  1181,     0,  1280,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,  1102,  1102,     0,
       0,  3211,     0,     0,     0,  1749,  1749,     0,     0,     0,
       0,  1749,  1749,     0,     0,     0,     0,     0,  1749,  1749,
    1749,     0,     0,  1749,     0,  1749,  1319,  1749,  1749,  1749,
    1749,  1749,  1749,     0,  1749,     0,  1749,  1749,     0,     0,
    1749,     0,     0,     0,     0,     0,     0,  2013,     0,     0,
       0,     0,     0,     0,     0,  1749,  1749,  1749,  1749,     0,
       0,     0,  1280,  1749,     0,     0,     0,  1749,     0,     0,
    1749,     0,     0,  1749,  1749,  1749,  1749,  1749,  1749,  1749,
    1749,  1749,     0,  1749,     0,     0,     0,     0,     0,     0,
    1181,  1749,     0,     0,  1749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,  1749,     0,  2181,     0,  1181,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1749,     0,     0,     0,     0,     0,     0,     0,     0,  1749,
    1749,     0,     0,     0,     0,  2219,  2222,  2223,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
    3426,     0,  3431,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1014,
       0,     0,     0,     0,  2740,     0,     0,     0,     0,     0,
       0,     0,  1102,     0,  1102,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1749,     0,     0,     0,     0,     0,     0,     0,  2741,
       0,     0,   938,     0,     0,  1292,  1319,  1292,  1292,     0,
       0,  1280,  1017,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1018,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1769,
     953,     0,     0,     0,     0,  1372,  2789,     0,     0,     0,
       0,     0,     0,     0,  3563,  1181,     0,   954,     0,     0,
       0,  3574,  2411,     0,     0,     0,     0,     0,  2742,     0,
    1181,  1769,     0,     0,     0,     0,     0,     0,     0,  1021,
     955,     0,     0,     0,     0,     0,     0,     0,  1022,  1181,
       0,     0,     0,   956,     0,     0,     0,     0,     0,     0,
    1023,     0,     0,     0,   957,  2743,     0,     0,  -852,  1181,
    1181,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   958,     0,     0,     0,
       0,  1375,   959,     0,     0,     0,     0,     0,     0,  1280,
       0,     0,  1280,     0,     0,     0,     0,     0,     0,   960,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     961,     0,     0,     0,     0,  1181,  1181,     0,     0,   962,
       0,     0,     0,     0,     0,     0,     0,  1027,     0,     0,
    3713,   963,  3716,  3718,     0,     0,     0,     0,     0,   964,
       0,     0,     0,   965,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -1054,  1749,  1749,  1749,     0,  2744,     0,  1749,
    2561,     0,     0,     0,     0,  1280,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1280,     0,
       0,     0,     0,     0,  1749,     0,  1280,     0,     0,   966,
     910,  2745,     0,     0,  1032,     0,     0,     0,  -588,     0,
    2789,     0,     0,     0,     0,  1181,  2617,     0,  1181,     0,
       0,     0,  3819,     0,     0,  1102,     0,     0,     0,     0,
    1379,     0,     0,  2746,     0,     0,     0,  1280,  1749,  1036,
       0,     0,     0,     0,     0,     0,  1037,     0,   967,  1038,
       0,   968,     0,     0,     0,  3713,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1280,     0,  3851,  1039,     0,
       0,   969,     0,     0,     0,  1381,     0,     0,     0,     0,
       0,  1041,     0,     0,  1382,   970,  2235,     0,  1043,     0,
       0,     0,  -461,     0,     0,     0,  2747,     0,  1749,     0,
       0,     0,     0,  2748,     0,     0,     0,     0,     0,     0,
       0,   971,  3906,     0,     0,     0,     0,     0,     0,     0,
     972,     0,  1280,     0,  1280,     0,  1280,  -461,     0,  1048,
     973,     0,     0,     0,  1014,     0,     0,     0,     0,  3212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   974,
       0,     0,     0,     0,     0,     0,   975,     0,     0,     0,
       0,     0,  -461,  2783,     0,   976,   977,     0,   978,   979,
       0,     0,  2806,  2376,     0,     0,     0,     0,     0,   980,
       0,     0,     0,     0,   981,     0,     0,  1017,  3213,     0,
       0,   982,     0,     0,   983,     0,     0,   984,     0,     0,
    2841,     0,  1018,     0,     0,     0,     0,     0,     0,     0,
    -461,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1372,     0,     0,  2864,   938,  1280,  2867,  1292,     0,  1292,
    1292,     0,  1280,     0,     0,     0,     0,     0,     0,  1749,
       0,     0,     0,  3214,  1749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1021,     0,     0,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,  1749,  1749,
    1749,     0,     0,  1749,     0,  1023,     0,     0,     0,  2917,
    3215,  1749,  1749,  1749,  1749,     0,     0,     0,     0,     0,
       0,     0,     0,  2936,  1749,     0,     0,  1749,     0,  1749,
       0,     0,     0,     0,     0,     0,  1375,     0,     0,   894,
    1749,  1749,     0,     0,  1749,     0,     0,     0,     0,     0,
       0,     0,     0,  2959,     0,     0,     0,     0,     0,     0,
       0,  3216,  1319,     0,  1749,     0,  1749,     0,  1749,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1027,     0,     0,     0,     0,   895,  1749,     0,
       0,     0,  1181,     0,     0,     0,  3004,     0,     0,  4114,
       0,     0,   896,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     897,     0,     0,  1181,     0,  3047,   898,     0,     0,     0,
       0,  1749,  3060,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   899,     0,     0,  1749,     0,     0,     0,
       0,     0,     0,     0,   900,   910,  3217,     0,     0,  1032,
    4114,     0,     0,   901,  4170,     0,     0,  4173,  1986,  3431,
       0,     0,     0,     0,  1987,   902,     0,     0,     0,     0,
     903,  2049,     0,     0,     0,  1379,     0,   904,  3218,     0,
       0,     0,     0,     0,  1036,     0,     0,     0,     0,     0,
    2050,  1037,     0,     0,  1038,     0,   905,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1989,     0,     0,     0,
       0,     0,     0,  1039,     0,     0,     0,     0,     0,     0,
    1381,   906,     0,  1749,     0,     0,  1041,     0,     0,  1382,
    2376,     0,     0,  1043,     0,     0,     0,  3143,     0,     0,
    2051,     0,   907,     0,     0,     0,     0,     0,  3219,     0,
       0,     0,     0,  1280,  1280,     0,     0,     0,     0,     0,
    1990,     0,     0,     0,     0,     0,     0,  1991,     0,     0,
    1992,     0,     0,     0,  1048,     0,     0,     0,     0,     0,
       0,     0,   908,     0,     0,     0,  1769,  1769,     0,     0,
       0,     0,     0,     0,     0,     0,  1993,     0,     0,     0,
       0,     0,     0,     0,     0,   909,  3201,     0,     0,     0,
       0,     0,     0,     0,     0,   910,   911,     0,     0,   912,
       0,     0,     0,     0,     0,     0,     0,  2052,     0,     0,
    1994,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   913,     0,     0,   914,     0,
       0,     0,   915,  1986,   916,     0,     0,     0,     0,  1987,
    1181,   917,     0,     0,   918,     0,  2049,     0,     0,     0,
       0,     0,     0,     0,     0,  2053,     0,     0,  2054,     0,
       0,     0,     0,   919,     0,  2050,     0,     0,     0,     0,
     920,     0,     0,  2055,     0,   921,   922,  1996,     0,   923,
       0,  1989,     0,   924,     0,     0,  3355,  1997,     0,     0,
       0,     0,     0,   925,     0,     0,  1998,     0,   926,     0,
       0,     0,     0,     0,     0,     0,     0,  2056,  1999,     0,
       0,   927,  3367,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,   928,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1990,     0,     0,     0,     0,
       0,     0,  1991,     0,  1817,  1992,  2057,     0,     0,  2001,
    2002,  2058,  1749,     0,     0,  1817,  1817,     0,  1749,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1280,     0,
       0,  1993,     0,  2059,     0,     0,     0,     0,     0,  2060,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1769,
       0,     0,     0,  2061,     0,     0,     0,     0,     0,     0,
       0,     0,  2052,     0,     0,  1994,  1181,  1181,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2376,  1181,  2004,     0,     0,
    2053,     0,     0,  2054,     0,  2376,  1181,  1181,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,  2055,     0,
       0,     0,  1996,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,  1997,     0,     0,     0,     0,     0,     0,     0,
       0,  1998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2056,  1999,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3906,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1280,
       0,  3659,     0,     0,  2001,  2002,  2058,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,  2059,     0,
       0,  3564,     0,     0,  3660,     0,  1181,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,  3586,     0,  2061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1749,     0,
       0,     0,     0,     0,     0,  3613,     0,  1749,     0,     0,
       0,     0,     0,     0,     0,  1749,     0,  1749,     0,     0,
    1749,     0,     0,     0,     0,  1749,  1749,  1749,  1749,     0,
       0,  1749,  1749,  1749,  1749,  1749,  1749,  1749,  1749,  1749,
    1749,     0,  2004,     0,  1749,  1749,     0,     0,     0,     0,
       0,     0,     0,     0,  1749,     0,     0,     0,  1749,     0,
       0,     0,  1749,     0,     0,     0,     0,     0,     0,     0,
    1749,     0,     0,  1749,     0,  1749,     0,     0,     0,     0,
       0,  3688,  3689,     0,     0,     0,     0,  1749,     0,     0,
    1749,  1749,     0,     0,     0,  1749,  1749,     0,     0,     0,
    4659,     0,  1749,     0,     0,     0,     0,     0,     0,  1181,
    1181,  1181,   938,     0,     0,  4114,  4681,     0,     0,     0,
    4681,  4695,  4681,     0,     0,     0,     0,  1749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1749,     0,     0,     0,     0,     0,
       0,  3812,     0,     0,     0,     0,     0,     0,  3431,     0,
    1749,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4756,  2376,
    2376,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4807,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     936,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4896,     0,     0,     0,     0,     0,     0,
       0,     0,  1138,     0,     0,     0,     0,     0,     0,     0,
    1138,     0,  1138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1280,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
       0,  1280,     0,  1749,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,  4941,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,  4114,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3713,     0,     0,     0,     0,
       0,     0,     0,     0,  4990,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1749,  1749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4096,     0,
       0,     0,     0,     0,     0,     0,     0,  3906,  3906,  3906,
    3906,  3906,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,  1817,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1749,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1749,     0,     0,  1749,     0,     0,     0,     0,     0,
       0,     0,  1749,  1749,     0,     0,     0,     0,     0,  1749,
    1749,     0,     0,     0,  1749,     0,     0,     0,     0,     0,
    1749,     0,     0,  1749,  1749,     0,     0,     0,  1749,  5109,
       0,     0,     0,     0,  1749,  1181,  1181,  1181,  1181,     0,
       0,     0,  4681,  4695,  4681,     0,  1749,  4681,     0,     0,
    5123,     0,     0,     0,  4114,     0,     0,     0,  4114,     0,
       0,     0,     0,     0,  5138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1319,     0,     0,     0,     0,     0,     0,     0,
       0,  1749,     0,     0,     0,  4170,     0,     0,     0,     0,
    3431,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1102,     0,     0,  1749,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2789,     0,     0,
       0,     0,     0,     0,     0,     0,  4309,     0,     0,     0,
       0,     0,  5215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1749,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1280,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1280,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,     0,     0,  2789,     0,     0,     0,
       0,     0,     0,     0,     0,  2376,     0,     0,     0,     0,
       0,     0,  4430,  4431,  4432,     0,     0,     0,     0,     0,
    1749,     0,     0,     0,     0,     0,     0,     0,     0,  4441,
       0,     0,     0,  1280,     0,  3851,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4457,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4467,  4469,     0,     0,     0,  4474,     0,     0,
    1181,     0,     0,  5358,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   936,     0,     0,     0,     0,     0,  1498,     0,     0,
     936,     0,     0,  1749,     0,     0,     0,     0,   936,     0,
       0,   936,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,  1749,  1749,     0,     0,  1749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,  4681,     0,     0,     0,  4114,     0,
       0,     0,  4560,  4114,     0,  1769,  4114,   938,     0,  3713,
       0,  5412,     0,  1749,  1749,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4756,     0,  1749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4756,
    1319,  1280,   936,  1280,     0,     0,     0,  1508,     0,     0,
       0,   936,     0,     0,     0,     0,     0,     0,   936,     0,
       0,   936,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1508,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1292,  1319,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4667,  4668,  4669,     0,     0,
       0,     0,     0,     0,     0,     0,  1292,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4941,     0,     0,  1181,     0,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,  2789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     936,   936,     0,     0,     0,  1181,     0,  1138,     0,  4990,
       0,  1138,  5572,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1280,  1181,  4756,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   936,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1749,     0,     0,  1749,     0,  1749,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1749,     0,
       0,     0,     0,     0,  1749,     0,     0,     0,  4114,     0,
       0,     0,  5412,     0,     0,     0,     0,     0,  1749,     0,
    1498,     0,     0,     0,     0,     0,     0,  5639,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,  1181,     0,  2376,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1749,     0,     0,     0,     0,  1749,  1749,     0,     0,     0,
    1280,  1280,  1280,  1280,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1138,  1138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1749,     0,     0,     0,   936,   936,     0,
     938,     0,     0,     0,     0,   936,  1498,     0,     0,     0,
    1508,   936,     0,     0,     0,   936,     0,   936,     0,     0,
       0,  1508,  1181,     0,     0,  4114,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1508,     0,     0,     0,
       0,     0,     0,     0,     0,  4921,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4934,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     936,   936,   936,  1749,     0,     0,   938,  4965,     0,  1749,
       0,     0,     0,  5792,     0,     0,     0,     0,     0,     0,
    1749,     0,     0,     0,  1749,     0,  1749,     0,  1749,     0,
       0,     0,     0,     0,     0,  4756,     0,     0,     0,     0,
    3060,     0,     0,  1319,     0,     0,  1508,     0,     0,     0,
       0,     0,     0,     0,  1749,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2376,
    2376,     0,     0,     0,     0,     0,     0,     0,  3143,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1280,     0,     0,     0,     0,   936,     0,  5871,     0,     0,
       0,  1749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5883,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5358,     0,     0,     0,     0,     0,
       0,  1749,  1749,  1749,     0,     0,     0,  3713,     0,     0,
    1749,     0,     0,  1508,     0,     0,     0,     0,     0,     0,
    1749,     0,     0,  5639,     0,     0,     0,     0,  3431,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1292,     0,     0,     0,   936,     0,     0,     0,
       0,  5112,  5113,  5114,  5115,     0,     0,  1280,     0,     0,
       0,     0,     0,     0,  2376,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   936,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2789,     0,     0,     0,     0,   938,     0,     0,     0,     0,
       0,  1749,     0,     0,   936,   936,   936,     0,   936,     0,
       0,  4756,     0,     0,     0,     0,     0,  1292,  1292,     0,
    1749,     0,     0,     0,     0,     0,     0,     0,   936,     0,
    1749,     0,     0,     0,  5792,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1280,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,  5883,  1280,  1280,
       0,     0,     0,  4756,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
       0,     0,     0,   936,   936,     0,     0,     0,     0,     0,
    1749,     0,     0,     0,     0,  1749,     0,     0,   936,     0,
       0,  1749,     0,     0,     0,     0,  1749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1749,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,  1280,     0,     0,  4756,     0,     0,     0,     0,  1508,
       0,     0,     0,  5792,     0,     0,     0,   938,     0,     0,
       0,     0,     0,     0,     0,  1138,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1292,
    1292,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1508,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1508,     0,     0,  5351,     0,     0,     0,
       0,     0,  1138,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,  1138,
       0,     0,     0,     0,     0,     0,  1508,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   936,   936,   936,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,  1508,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,  1508,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1508,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1508,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   936,     0,     0,   936,     0,     0,  1508,     0,     0,
       0,     0,     0,     0,   936,     0,     0,     0,     0,     0,
    1508,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1508,     0,     0,  5517,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   936,   936,     0,     0,     0,
    5530,     0,     0,     0,     0,  1769,     0,     0,     0,     0,
     936,     0,     0,   936,     0,     0,     0,     0,     0,     0,
       0,     0,  1508,  1508,     0,     0,     0,     0,     0,     0,
       0,  5567,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
       0,     0,   936,   936,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     936,   936,     0,     0,     0,     0,   936,   936,     0,     0,
       0,     0,     0,   936,   936,   936,     0,     0,   936,     0,
     936,     0,   936,   936,   936,   936,   936,   936,  5654,   936,
       0,   936,   936,     0,     0,   936,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1508,
     936,   936,   936,   936,     0,     0,     0,     0,   936,     0,
       0,     0,   936,     0,     0,   936,     0,     0,   936,   936,
     936,   936,   936,   936,   936,   936,   936,     0,   936,     0,
       0,     0,     0,     0,     0,     0,   936,     0,     0,   936,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5732,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
    1498,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
     936,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   936,     0,     0,     0,     0,
       0,     0,     0,     0,   936,   936,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1508,     0,     0,     0,
    1508,  1508,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   936,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   936,     0,  1508,
     936,     0,   936,   936,     0,  1508,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1508,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1138,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,  1498,     0,     0,   936,   936,
     936,     0,     0,     0,   936,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
    1508,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   936,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1508,     0,     0,  1508,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,   936,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1509,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1509,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1508,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
       0,  1508,   936,     0,   936,   936,  1508,     0,     0,     0,
       0,     0,     0,     0,   936,     0,     0,     0,     0,   936,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   936,   936,   936,     0,     0,   936,     0,
       0,     0,     0,     0,     0,     0,   936,   936,   936,   936,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
       0,     0,   936,     0,   936,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   936,   936,     0,     0,   936,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
       0,   936,     0,   936,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
    1498,     0,  1498,   936,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,   936,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   936,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,   936,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   936,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1508,     0,     0,
    1508,     0,  1508,     0,     0,     0,     0,  1508,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2136,     0,     0,     0,     0,     0,     0,     0,   936,     0,
       0,     0,     0,  1509,     0,     0,     0,  1498,     0,  1498,
       0,     0,     0,     0,  1509,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1508,     0,     0,     0,  1509,
       0,     0,     0,  1508,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1508,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1509,
       0,     0,     0,     0,     0,     0,     0,  1508,     0,  1508,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1508,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,   936,     0,     0,
       0,     0,     0,   936,     0,     0,  1509,     0,     0,  1498,
       0,  1508,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1508,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1508,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,  1508,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1508,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   941,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   936,     0,     0,  1508,     0,     0,     0,
       0,     0,   936,     0,     0,     0,     0,     0,     0,     0,
     936,     0,   936,     0,     0,   936,     0,     0,     0,  1508,
     936,   936,   936,   936,     0,     0,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,     0,     0,     0,   936,
     936,     0,  2689,     0,  1508,     0,     0,     0,     0,   936,
       0,     0,     0,   936,     0,     0,     0,   936,     0,     0,
       0,     0,     0,     0,     0,   936,     0,     0,   936,     0,
     936,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1508,  1498,   936,     0,     0,   936,   936,     0,     0,     0,
     936,   936,     0,     0,     0,     0,     0,   936,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   936,     0,  2689,
     936,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   936,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1509,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,  1509,
       0,     0,     0,     0,     0,   936,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,  1508,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   936,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2136,  2136,  2136,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1509,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1509,     0,
    1508,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1509,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1508,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1509,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,  1498,
    1509,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1509,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1509,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   936,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1509,  1509,  1508,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     936,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1508,     0,  1508,
     936,   936,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   936,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   936,     0,     0,     0,
       0,     0,  1509,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   936,     0,     0,   936,
       0,     0,     0,     0,     0,     0,     0,   936,   936,     0,
    1508,     0,  2136,     0,   936,   936,     0,     0,     0,   936,
    1508,     0,     0,     0,     0,   936,  1498,     0,   936,   936,
       0,     0,     0,   936,     0,     0,     0,     0,     0,   936,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   936,     0,     0,     0,     0,     0,     0,     0,   936,
       0,     0,  1498,   936,     0,     0,     0,     0,     0,   941,
       0,     0,     0,     0,     0,     0,     0,     0,   941,     0,
       0,     0,     0,     0,  1498,     0,   941,     0,     0,   941,
       0,     0,     0,     0,     0,     0,   936,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   936,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1508,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3461,
       0,     0,  1508,  2689,  3467,     0,     0,     0,     0,     0,
     941,     0,     0,     0,     0,  1511,     0,     0,     0,   941,
       0,     0,     0,     0,  1508,     0,   941,     0,     0,   941,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1511,     0,     0,     0,     0,     0,   936,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1509,     0,     0,     0,     0,     0,  1509,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1508,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1509,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   936,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   941,   941,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   936,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   941,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1508,     0,  1508,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   936,     0,
       0,     0,  1508,  2136,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,   936,   936,     0,
       0,   936,     0,  1509,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   936,     0,     0,     0,
       0,     0,     0,   936,     0,     0,     0,     0,   936,     0,
       0,   936,   936,     0,     0,     0,     0,     0,   936,   936,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   941,   941,     0,     0,     0,
     936,     0,   936,   941,     0,     0,     0,     0,  1511,   941,
       0,     0,     0,   941,   936,   941,     0,     0,     0,  1511,
       0,     0,     0,     0,     0,  2689,     0,     0,  2689,     0,
       0,     0,     0,     0,  1511,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1508,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,   936,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   941,   941,
     941,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   936,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1511,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1509,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1509,     0,     0,     0,     0,  1509,
     936,     0,  1508,     0,     0,  1498,     0,     0,     0,     0,
    1498,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   941,     0,     0,     0,     0,     0,   936,
    1508,     0,   936,     0,   936,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   936,     0,     0,     0,     0,     0,   936,
       0,     0,     0,   936,     0,     0,     0,     0,     0,  1508,
       0,     0,     0,   936,     0,     0,     0,     0,     0,     0,
       0,  1511,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   941,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1508,     0,  1498,     0,     0,
    1508,  1508,     0,     0,     0,   936,     0,     0,     0,     0,
     936,   936,     0,     0,   941,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   941,   941,   941,     0,   941,     0,   936,     0,
       0,     0,     0,     0,     0,   936,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   941,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     936,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2689,     0,     0,  3467,     0,  3467,  1508,  1508,     0,     0,
    2689,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   936,     0,
       0,   936,     0,     0,   936,     0,     0,   941,     0,     0,
       0,   941,   941,     0,     0,   936,     0,     0,     0,   936,
       0,   936,     0,   936,     0,     0,   941,     0,  1509,     0,
     936,     0,     0,     0,     0,     0,  1509,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,  2689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   936,     0,     0,     0,
    1509,     0,  1509,     0,     0,     0,   936,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1511,     0,   936,   936,   936,     0,
       0,     0,     0,     0,     0,   936,     0,     0,     0,  1508,
       0,     0,     0,     0,     0,   936,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1511,     0,     0,     0,     0,     0,   936,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1509,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1511,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2136,     0,     0,     0,     0,     0,  2136,     0,     0,     0,
     936,     0,     0,     0,  1509,     0,   936,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   936,     0,     0,     0,
       0,     0,   936,   936,     0,   936,     0,     0,     0,     0,
       0,     0,  3467,     0,     0,   936,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   941,   941,   941,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1511,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,     0,   936,     0,     0,     0,     0,     0,   936,     0,
    1511,  1509,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3467,     0,     0,   936,     0,     0,     0,     0,
     936,     0,     0,     0,     0,     0,   936,     0,  1509,     0,
       0,   936,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1511,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   941,
       0,   936,   941,     0,     0,  1511,     0,     0,     0,     0,
       0,   936,   941,     0,     0,     0,     0,     0,  1511,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   936,
    1511,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   936,   941,   941,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   941,     0,
       0,   941,     0,     0,   936,   936,     0,     0,     0,  1509,
    1511,  1511,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1509,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1509,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   941,     0,     0,
     941,   941,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1509,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   941,   941,
       0,     0,     0,     0,   941,   941,     0,     0,     0,     0,
       0,   941,   941,   941,     0,     0,   941,     0,   941,     0,
     941,   941,   941,   941,   941,   941,     0,   941,     0,   941,
     941,     0,     0,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1511,   941,   941,
     941,   941,     0,     0,     0,     0,   941,     0,     0,     0,
     941,     0,     0,   941,     0,     0,   941,   941,   941,   941,
     941,   941,   941,   941,   941,     0,   941,     0,     0,     0,
       0,     0,     0,     0,   941,     0,     0,   941,     0,     0,
       0,     0,     0,     0,  2689,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    81,    82,     0,
      84,    85,    86,     0,     0,     0,    89,     0,     0,    92,
      93,    94,    95,    96,    97,     0,    98,    99,     0,     0,
       0,   101,   102,   103,   104,     0,   105,   106,   107,   108,
       0,   109,   110,   111,     0,     0,     0,     0,   941,   114,
     115,     0,     0,     0,     0,   116,     0,     0,     0,     0,
       0,     0,     0,   941,   117,     0,   118,     0,   119,     0,
      35,     0,   941,   941,    37,     0,     0,     0,     0,     0,
       0,     0,     0,  3467,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3467,     0,
       0,     0,     0,     0,     0,     0,   126,     0,     0,     0,
     128,   129,   130,   131,   132,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   134,     0,     0,
       0,     0,     0,     0,   138,     0,   139,     0,     0,     0,
       0,     0,     0,   142,  1511,     0,     0,     0,  1511,  1511,
       0,     0,     0,     0,     0,   145,     0,     0,     0,     0,
       0,     0,   146,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   149,   150,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   941,     0,     0,     0,     0,     0,
       0,   156,     0,     0,     0,   941,     0,  1511,   941,   158,
     941,   941,     0,  1511,   160,     0,     0,     0,     0,     0,
     162,     0,     0,     0,     0,     0,   163,     0,   164,     0,
    1509,     0,     0,     0,     0,   166,     0,   167,     0,     0,
       0,     0,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,     0,     0,  1511,     0,     0,     0,     0,     0,
       0,   170,   171,     0,     0,     0,     0,     0,   172,     0,
     173,     0,     0,   174,   175,     0,   176,     0,     0,     0,
    3467,     0,  2689,     0,     0,   177,   178,     0,   179,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   184,   185,   186,     0,     0,     0,     0,     0,     0,
       0,   187,   188,     0,     0,     0,     0,   190,     0,     0,
     191,     0,   192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   193,   194,
       0,   195,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,     0,   198,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   207,     0,     0,     0,     0,     0,   209,
       0,     0,     0,     0,     0,     0,   941,   941,   941,     0,
       0,     0,   941,  1509,     0,     0,     0,     0,   214,     0,
       0,   216,     0,  1509,   217,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   941,  1511,     0,
     219,     0,     0,     0,     0,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,   222,   223,     0,     0,     0,
       0,   224,     0,   225,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,     0,     0,     0,     0,     0,     0,
       0,   941,     0,     0,     0,     0,     0,     0,   232,     0,
       0,   233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,     0,
    1511,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   941,     0,     0,  3436,     0,     0,     0,     0,  1509,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1509,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1509,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   941,     0,  1511,
     941,     0,   941,   941,  1511,  1509,     0,     0,     0,     0,
       0,     0,   941,     0,     0,     0,     0,   941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   941,   941,   941,     0,     0,   941,     0,     0,     0,
       0,     0,     0,     0,   941,   941,   941,   941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   941,     0,     0,
     941,     0,   941,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   941,   941,     0,     0,   941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   941,     0,   941,
       0,   941,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5348,     0,  1509,     0,     0,     0,
       0,   941,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   941,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   941,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1509,     0,     0,     0,   941,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1511,     0,     0,  1511,     0,
    1511,     0,     0,     0,     0,  1511,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   941,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     760,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,  1511,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3467,
       0,     0,     0,     0,     0,     0,  1511,   760,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   990,
    1000,     0,     0,     0,     0,     0,     0,     0,     0,  1000,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1511,     0,  1511,     0,     0,
       0,  1000,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1194,     0,     0,     0,
       0,     0,     0,     0,     0,  3467,     0,     0,  1194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1509,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1511,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1509,     0,     0,   941,     0,     0,     0,     0,
       0,   941,     0,     0,     0,     0,     0,     0,     0,  1511,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1509,     0,
       0,     0,     0,  1509,  1509,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1511,  1245,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5348,
    1509,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   941,     0,     0,  1511,     0,     0,     0,     0,     0,
     941,     0,     0,     0,     0,     0,     0,     0,   941,     0,
     941,     0,     0,   941,     0,     0,     0,  1511,   941,   941,
     941,   941,     0,     0,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,     0,     0,     0,   941,   941,     0,
       0,     0,  1511,     0,     0,     0,     0,   941,     0,     0,
       0,   941,     0,     0,     0,   941,     0,     0,     0,     0,
       0,     0,     0,   941,     0,     0,   941,     0,   941,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1511,     0,
     941,     0,     0,   941,   941,     0,     0,     0,   941,   941,
       0,     0,     0,     0,     0,   941,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   941,     0,     0,   941,     0,
       0,     0,     0,     0,     0,     0,   990,     0,     0,     0,
     941,     0,  1509,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1000,  1000,   941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1511,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   941,  1245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1511,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1282,
       0,     0,     0,  1286,     0,     0,     0,     0,     0,     0,
       0,  1321,     0,     0,  1323,     0,     0,  1328,  1329,     0,
    1332,     0,  1335,     0,     0,  1341,     0,  1343,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1366,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1403,     0,     0,     0,  1407,     0,     0,     0,     0,     0,
       0,  1419,  1420,     0,     0,  1426,     0,  1429,  1430,     0,
       0,     0,  1432,     0,     0,     0,   941,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1245,
       0,  1000,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1511,     0,     0,     0,     0,
       0,  1471,     0,     0,     0,     0,     0,     0,   941,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1537,     0,  1539,     0,     0,     0,     0,     0,
       0,     0,     0,  1553,  1555,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,     0,  1511,     0,  1511,   941,   941,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   941,     0,     0,     0,     0,     0,  1245,     0,
     760,     0,     0,     0,   941,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1194,   941,     0,     0,   941,     0,     0,
       0,     0,     0,     0,     0,   941,   941,     0,  1511,     0,
       0,     0,   941,   941,     0,     0,     0,   941,  1511,     0,
       0,     0,     0,   941,     0,     0,   941,   941,     0,     0,
       0,   941,     0,     0,     0,     0,     0,   941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   941,
       0,     0,     0,     0,     0,     0,     0,   941,     0,     0,
       0,   941,     0,     0,     0,     0,     0,  1900,     0,     0,
    1901,     0,  1904,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1947,     0,     0,
       0,     0,  1500,     0,   941,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1500,     0,
       0,     0,     0,     0,     0,     0,   941,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1511,     0,     0,     0,     0,     0,
       0,     0,     0,  2119,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2149,     0,     0,     0,     0,     0,     0,
    1511,     0,     0,     0,     0,     0,     0,     0,  2161,     0,
    2162,     0,     0,     0,     0,     0,     0,     0,     0,  2165,
       0,     0,  1511,     0,  2172,     0,     0,  2176,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   941,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1511,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1511,
       0,  1511,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2396,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2412,     0,     0,
       0,     0,     0,     0,     0,  1500,   941,     0,     0,     0,
    1511,     0,     0,     0,     0,     0,  1500,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1500,     0,     0,     0,   941,   941,     0,     0,   941,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   941,     0,     0,     0,     0,     0,
       0,   941,     0,     0,     0,     0,   941,     0,     0,   941,
     941,     0,     0,     0,     0,     0,   941,   941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   941,     0,
     941,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   941,     0,     0,     0,     0,     0,     0,     0,
       0,  1500,     0,     0,     0,   760,   760,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1511,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   941,     0,     0,     0,     0,
    1194,  1553,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   941,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   760,     0,
       0,     0,     0,  2652,     0,     0,  2652,     0,     0,     0,
       0,     0,     0,     0,  2659,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1500,     0,
       0,  2667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   941,     0,
    1511,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   941,  1511,     0,
     941,     0,   941,     0,     0,  2751,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   941,     0,     0,     0,     0,     0,   941,     0,     0,
       0,   941,     0,     0,     0,     0,     0,  1511,     0,     0,
       0,   941,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2840,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1511,     0,     0,     0,     0,  1511,  1511,
       0,     0,     0,   941,     0,     0,     0,     0,   941,   941,
       0,     0,  1733,  1733,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   941,     0,     0,     0,
       0,     0,     0,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   941,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1511,  1511,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2995,     0,     0,  1500,     0,   941,     0,     0,   941,
       0,     0,   941,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   941,     0,     0,     0,   941,     0,   941,
       0,   941,     0,     0,     0,     0,     0,     0,   941,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3064,     0,
       0,     0,     0,     0,     0,     0,     0,   941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1500,     0,  3084,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2133,
    2137,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1500,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3122,     0,  3123,     0,   941,     0,     0,     0,     0,     0,
       0,  1500,     0,     0,   941,     0,  1553,  3132,     0,  3133,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   941,   941,   941,     0,     0,     0,
       0,     0,     0,   941,     0,     0,     0,  1511,     0,  3155,
       0,     0,     0,   941,     0,     0,     0,     0,     0,     0,
       0,  1553,     0,     0,     0,  1553,     0,     0,     0,  1553,
       0,     0,  1553,     0,     0,   941,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1500,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1500,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1500,   941,     0,
       0,     0,     0,     0,   941,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   941,     0,     0,     0,     0,     0,
     941,   941,     0,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1500,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3360,     0,     0,
       0,     0,  1500,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1500,     0,     0,     0,     0,
     941,     0,     0,     0,     0,     0,   941,  1500,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2427,     0,
       0,     0,     0,   941,     0,     0,     0,     0,   941,     0,
       0,     0,     0,     0,   941,     0,     0,  1500,  1500,   941,
       0,     0,     0,     0,     0,     0,     0,     0,  2442,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   941,
       0,     0,     0,     0,     0,     0,  2460,  2461,  2462,   941,
    2465,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   941,     0,     0,
    2507,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     941,     0,  1245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3457,  3458,     0,     0,     0,
       0,     0,   941,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3473,  3474,     0,     0,     0,  3477,
    3478,     0,     0,  3480,  3481,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3492,     0,
       0,     0,     0,     0,     0,  3501,     0,     0,     0,  3504,
    3505,  2584,     0,  3508,  3509,  2596,  2601,     0,     0,     0,
    3514,     0,     0,     0,  1500,     0,     0,     0,     0,     0,
       0,     0,  3529,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3546,     0,     0,     0,     0,  3548,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3554,     0,     0,     0,     0,     0,
       0,     0,     0,  3561,     0,     0,  3565,     0,  3567,  3570,
    3572,     0,     0,     0,     0,  3580,  3583,     0,     0,     0,
       0,     0,     0,     0,     0,  3596,     0,     0,     0,     0,
    3605,     0,     0,     0,  3608,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3618,  3619,     0,     0,     0,  3624,
       0,     0,     0,     0,     0,  3633,  3634,     0,     0,     0,
       0,     0,  3639,     0,     0,  3641,     0,     0,     0,     0,
       0,     0,  3653,  3654,     0,     0,     0,     0,  3658,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3665,     0,     0,  3668,     0,     0,     0,     0,  3671,     0,
       0,     0,     0,     0,  3674,  3675,     0,     0,     0,     0,
    3679,     0,     0,  3683,     0,     0,     0,  3690,  3691,  3692,
    3693,     0,  3695,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3720,  3721,     0,  3723,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3732,
    3733,  3734,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1500,     0,     0,  1501,  1500,  1500,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3786,     0,     0,     0,     0,
       0,     0,     0,  3810,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1500,     0,     0,     0,     0,     0,
    1500,     0,     0,  3823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2133,  2133,  2133,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1500,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3881,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3914,     0,  3916,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1245,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1553,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3980,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1500,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,     0,     0,  1500,  3230,     0,
    1500,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3250,     0,  3251,     0,  3253,     0,     0,  3265,  3268,  3273,
       0,     0,     0,     0,  3279,     0,     0,  3284,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3291,  3292,  3293,  3294,     0,     0,     0,     0,
    3301,     0,     0,     0,  3319,     0,     0,  3321,     0,     0,
    3328,  3329,  3330,  3331,  3332,  3333,  3334,  3335,  3336,     0,
    3337,     0,     0,     0,     0,     0,     0,     0,  1733,     0,
       0,  2133,     0,  1501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1500,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3382,     0,     0,     0,  1500,     0,     0,     0,
    1553,  1500,     0,     0,     0,  4205,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2461,  2462,     0,     0,
       0,     0,     0,     0,     0,  4217,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4224,     0,     0,     0,  4224,     0,     0,     0,
       0,  4235,  4236,  4237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4266,  4267,  4268,
    4269,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4287,     0,  4291,  4292,  4293,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3506,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4366,
       0,     0,  1500,     0,     0,  1500,     0,  1500,  4372,     0,
       0,     0,  1500,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4382,  4383,     0,     0,     0,  4384,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1500,  4427,     0,     0,     0,     0,     0,     0,  1500,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1500,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4464,     0,     0,  1501,     0,  1000,     0,
    1503,     0,     0,     0,  4476,     0,     0,     0,     0,     0,
    3744,  3745,  2133,     0,     0,     0,  3749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1503,     0,     0,     0,
       0,     0,  4509,     0,     0,   990,     0,     0,  1000,     0,
       0,  3777,  1500,     0,  1500,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1504,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4536,     0,  4537,     0,     0,     0,     0,
    1504,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1553,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4561,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,  1500,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1500,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1500,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1506,     0,     0,     0,     0,     0,
       0,  1501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1501,     0,     0,     0,     0,     0,     0,     0,
    1506,     0,     0,     0,     0,     0,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1500,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3985,     0,     0,     0,
       0,  3991,     0,     0,  1500,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1500,     0,     0,     0,     0,  1501,     0,  2465,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3273,     0,
    3273,  3273,     0,     0,  1501,     0,     0,     0,     0,     0,
       0,  4051,     0,     0,  4054,     0,  4056,  1501,     0,     0,
       0,     0,     0,  1503,     0,     0,     0,     0,     0,  1501,
       0,     0,  4760,     0,  1503,  4767,     0,  4768,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1503,
    4775,  4077,     0,  4080,     0,  4082,     0,     0,     0,     0,
       0,     0,  4781,     0,     0,     0,  4784,     0,     0,  1501,
    1501,     0,     0,     0,     0,     0,     0,  1504,     0,     0,
       0,  1500,     0,     0,  4806,     0,     0,     0,  1504,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4810,  1504,  1500,     0,     0,  4814,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1500,
       0,     0,  4849,  2601,     0,     0,  4853,     0,     0,  1503,
       0,     0,     0,     0,  4858,  4859,  4860,  4861,     0,     0,
       0,     0,     0,  4866,  4867,  4868,  4869,     0,     0,     0,
    4871,  4872,     0,     0,     0,  1500,  4879,  4880,     0,  4882,
    4883,  4884,  4885,  4886,  4887,  4888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4897,     0,     0,     0,  4900,
    4901,  4902,  4903,  1504,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4224,     0,     0,     0,     0,     0,     0,
    4203,     0,     0,     0,     0,     0,  1501,     0,     0,     0,
       0,     0,  4924,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1506,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1506,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1506,     0,     0,  1503,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1500,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5005,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1504,     0,  4224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5034,     0,  5035,     0,     0,     0,
       0,     0,     0,  1506,  1553,  1553,  1553,  1553,  1553,     0,
       0,     0,     0,     0,     0,  1500,     0,  5048,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1500,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,     0,     0,  1501,  1501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2133,
       0,     0,     0,     0,     0,  2133,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1501,     0,     0,     0,
    1506,     0,  1501,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1500,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1503,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1500,     0,  1500,     0,     0,     0,     0,     0,
       0,     0,  5194,  5195,  5196,     0,     0,     0,  5197,  5198,
    5199,  5200,     0,     0,     0,  5202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1504,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1503,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5222,
    5223,  5224,  5225,  5226,     0,  5228,  5229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5238,  5239,     0,
       0,     0,     0,     0,     0,     0,  1503,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1504,     0,     0,     0,  5244,     0,     0,
       0,     0,     0,     0,     0,  1553,  1553,     0,  1553,  1503,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4578,     0,     0,     0,     0,
    1504,     0,     0,     0,  4582,  1500,     0,     0,     0,     0,
       0,     0,  4584,     0,  4585,  1500,     0,  1501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1504,     0,     0,     0,     0,     0,     0,
       0,  4609,  4610,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3279,
       0,     0,     0,     0,     0,     0,  1506,  4636,     0,  5308,
    4639,     0,  4641,     0,     0,     0,     0,  1503,     0,     0,
       0,     0,     0,     0,  4646,     0,     0,     0,  1503,     0,
       0,     0,  4653,  4654,     0,     0,     0,     0,     0,  1501,
       0,     0,  1501,     0,     0,  1503,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4700,     0,     0,     0,     0,     0,
       0,  1504,     0,  1506,     0,     0,     0,     0,     0,  5364,
       0,  1500,  1504,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1504,
       0,  1503,     0,     0,     0,     0,     0,     0,     0,     0,
    1506,  4718,     0,     0,     0,     0,     0,  1500,     0,     0,
    1503,     0,     0,     0,     0,     0,     0,  4731,     0,     0,
       0,     0,     0,  1503,     0,     0,     0,     0,     0,  1500,
       0,     0,     0,  1506,     0,  1503,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1504,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1553,     0,     0,     0,
       0,     0,  1501,     0,  1504,     0,     0,     0,     0,     0,
       0,  1553,     0,     0,     0,  1503,  1503,  1504,  1501,     0,
       0,     0,     0,  1501,     0,     0,     0,     0,     0,  1504,
       0,     0,     0,     0,     0,     0,     0,  1500,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1504,
    1504,  1506,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1506,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5466,     0,     0,     0,     0,     0,  1506,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5476,     0,     0,     0,     0,  5481,  5482,     0,
       0,     0,     0,     0,     0,     0,     0,  5493,     0,     0,
       0,     0,     0,     0,  5495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1506,     0,     0,  1500,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5545,  5546,  1503,     0,  1506,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1506,     0,     0,
    5562,     0,  1000,     0,     0,     0,     0,     0,     0,  1506,
       0,     0,     0,     0,     0,     0,     0,  5579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1500,     0,     0,
       0,     0,     0,     0,     0,     0,  1504,  4224,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5602,  1506,
    1506,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1501,     0,     0,  1501,     0,  1501,
       0,  1553,  5011,  5012,  1501,     0,     0,     0,     0,     0,
       0,     0,  1553,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5641,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1501,     0,     0,     0,     0,  5658,     0,     0,
    1501,     0,     0,     0,     0,     0,     0,     0,     0,  5666,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1501,  5064,     0,     0,     0,
       0,  1500,     0,     0,  1553,     0,     0,     0,  5070,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1503,
       0,     0,     0,  1503,  1503,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1506,     0,     0,     0,
       0,     0,     0,     0,  5725,     0,     0,     0,     0,  5088,
    5090,     0,     0,     0,     0,     0,  5094,  5095,     0,     0,
       0,  5096,     0,     0,  1501,     0,  1501,  5099,     0,     0,
    5102,  5103,     0,  1504,     0,  5107,     0,  1504,  1504,     0,
       0,  5111,  1503,     0,     0,     0,     0,     0,  1503,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1500,     0,  1503,
       0,     0,     0,     0,     0,     0,  1504,  1553,  1733,     0,
       0,     0,  1504,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1500,     0,  1501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5175,  5816,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1504,     0,     0,  5829,     0,     0,     0,
       0,     0,     0,     0,  1500,     0,     0,     0,  1501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1501,     0,     0,     0,
    5858,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1506,     0,  5869,     0,  1506,  1506,     0,
    1500,     0,     0,     0,     0,  1500,  1500,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5241,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1501,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1506,     0,     0,     0,
       0,     0,  1506,     0,     0,     0,  1501,     0,     0,     0,
       0,     0,     0,  1503,     0,     0,     0,     0,     0,     0,
       0,  5931,  1501,     0,     0,     0,     0,     0,     0,     0,
       0,  5279,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1506,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1500,     0,     0,  5953,     0,  1504,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1503,     0,     0,  1503,     0,
       0,  2501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1501,     0,     0,  1504,
       0,     0,  1504,     0,  6020,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1501,     0,  2501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1501,     0,  5386,
    5387,     0,     0,  5388,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1503,     0,
       0,     0,     0,     0,     0,     0,     0,  1506,     0,     0,
       0,     0,     0,     0,  1503,     0,     0,     0,     0,  1503,
    5423,  5424,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1500,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5438,     0,     0,     0,     0,     0,
       0,     0,  1504,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1504,     0,
       0,     0,     0,  1504,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1506,
       0,     0,  1506,     0,     0,     0,     0,     0,  1501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1501,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1506,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1506,     0,
       0,     0,     0,  1506,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3279,     0,     0,     0,     0,     0,
    1503,     0,     0,  1503,     0,  1503,     0,     0,     0,     0,
    1503,  2501,     0,     0,     0,  2501,     0,     0,     0,     0,
       0,  5624,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2465,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1504,     0,     0,  1504,  1503,  1504,
       0,     0,     0,     0,  1504,     0,  1503,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1501,     0,     0,     0,     0,     0,
       0,  1503,     0,     0,     0,     0,     0,  5673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1504,     0,     0,     0,     0,     0,     0,     0,
    1504,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1501,     0,  1501,     0,     0,     0,
    5710,     0,     0,     0,     0,  1504,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1503,     0,  1503,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1504,     0,  1504,     0,     0,     0,
       0,     0,     0,     0,  1506,     0,     0,  1506,     0,  1506,
       0,     0,     0,     0,  1506,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1503,     0,  5423,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1501,     0,     0,
       0,  5818,  1506,     0,     0,     0,     0,  1501,     0,     0,
    1506,     0,     0,     0,  1503,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2501,     0,  1504,     0,     0,
       0,     0,     0,     0,     0,  1506,     0,     0,     0,     0,
    2501,     0,  1503,     0,  3261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2501,  2501,
    2501,     0,     0,  2501,     0,     0,     0,     0,  1504,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5872,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1504,     0,     0,     0,
       0,     0,     0,     0,  1506,  2501,  1506,     0,     0,     0,
       0,  1503,     0,     0,     0,     0,     0,     0,  5901,  5901,
    5901,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1503,  1501,     0,     0,     0,  5423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1503,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1504,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2501,     0,     0,     0,  1504,     0,     0,     0,
       0,  1501,     0,     0,  2501,     0,     0,  1506,     0,  2501,
       0,     0,  1504,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5963,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5901,  1506,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1503,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,     0,  1506,     0,     0,     0,
       0,     0,  1503,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1503,     0,     0,
       0,     0,     0,  1504,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1504,     0,     0,     0,
       0,     0,     0,  1503,     0,  1506,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6055,     0,
       0,  1504,     0,     0,     0,     0,  1506,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1506,     0,     0,     0,     0,     0,     0,     0,
    1501,     0,     0,  5901,     0,     0,     0,  1504,     0,     0,
       0,     0,     0,  6082,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1503,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1506,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1506,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1504,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1506,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1503,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1506,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1503,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1504,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1504,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1506,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1503,     0,     0,     0,     0,     0,     0,     0,     0,  1501,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1503,     0,  1503,     0,  1504,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1506,     0,     0,
       0,     0,     0,     0,     0,     0,  1501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1506,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1504,     0,  1504,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2501,     0,
       0,     0,  1501,     0,     0,     0,     0,  1501,  1501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2501,  2501,
       0,  2501,     0,     0,  3261,  3261,     0,  4028,     0,  3261,
       0,     0,     0,  2501,     0,     0,  2501,     0,     0,     0,
       0,  2501,     0,     0,     0,     0,     0,  2501,     0,     0,
       0,     0,  2501,     0,     0,     0,     0,     0,     0,  2501,
    2501,  2501,  2501,  1503,     0,     0,  3261,  3261,     0,  2501,
       0,     0,     0,  1503,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2501,     0,  2501,
       0,     0,     0,     0,  1506,     0,  2501,  2501,  2501,  2501,
    2501,  2501,  2501,  2501,  2501,  2501,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1504,     0,     0,
       0,     0,     0,     0,  1501,     0,     0,  1504,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1506,     0,  1506,     0,     0,     0,
    2501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1503,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1503,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1504,     0,     0,     0,  1503,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2501,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1506,     0,  1504,
       0,     0,     0,     0,     0,     0,     0,  1506,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1504,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1503,  1501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1504,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1506,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1503,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1506,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1506,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1504,     0,     0,     0,     0,  1503,     0,     0,     0,     0,
       0,     0,  2501,  2501,     0,     0,     0,  2501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2501,     0,     0,     0,  1506,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1504,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1503,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1506,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1504,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1506,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2501,     0,     0,     0,     0,     0,  2501,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1503,     0,  4028,  4028,     0,
       0,  3261,  3261,  3261,  3261,     0,     0,  3261,  3261,  3261,
    3261,  3261,  3261,  3261,  3261,  3261,  3261,  4028,     0,     0,
       0,     0,     0,  1503,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2501,
       0,     0,  2501,     0,  2501,     0,     0,  4028,  4028,  1504,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1503,     0,     0,  2501,  3261,  3261,  2501,     0,
    2501,     0,     0,     0,     0,     0,     0,  1504,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1506,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1504,     0,  1503,     0,
       0,     0,     0,  1503,  1503,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1504,     0,     0,     0,     0,  1504,  1504,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1506,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1503,     0,     0,     0,     0,     0,     0,  1506,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1506,     0,     0,     0,
       0,     0,     0,     0,  1504,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1506,     0,     0,     0,     0,  1506,  1506,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1503,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1506,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1504,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2501,     0,     0,     0,
    2501,     0,  2501,  2501,     0,     0,     0,     0,     0,  4028,
    4028,  4028,  4028,     0,     0,     0,     0,  4028,  4028,  4028,
    4028,  4028,  4028,  4028,  4028,  4028,  4028,  2501,  2501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2501,     0,     0,  2501,     0,  2501,
       0,     0,     0,     0,  2501,     0,     0,  4028,  4028,     0,
       0,  2501,  2501,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    81,    82,     0,    84,    85,
      86,     0,     0,     0,    89,     0,  1506,    92,    93,    94,
      95,    96,    97,     0,    98,    99,     0,     0,     0,   101,
     102,   103,   104,     0,   105,   106,   107,   108,  2501,   109,
     110,   111,     0,     0,     0,     0,     0,   114,   115,     0,
       0,     0,     0,   116,     0,     0,  2501,     0,     0,     0,
       0,     0,   117,     0,   118,     0,   119,     0,    35,  2501,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   126,     0,     0,     0,   128,   129,
     130,   131,   132,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   134,     0,     0,     0,     0,
       0,     0,   138,     0,   139,     0,     0,     0,     0,     0,
       0,   142,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   145,     0,     0,     0,     0,     0,     0,
     146,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     149,   150,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   156,
       0,     0,     0,     0,     0,     0,     0,   158,     0,     0,
       0,     0,   160,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,   163,     0,   164,     0,     0,     0,
       0,     0,     0,   166,     0,   167,     0,     0,     0,     0,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
       0,     0,     0,  4028,     0,     0,     0,     0,     0,   170,
     171,     0,     0,     0,     0,     0,   172,     0,   173,     0,
       0,   174,   175,     0,   176,     0,     0,     0,     0,     0,
       0,     0,     0,   177,   178,     0,   179,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   184,
     185,   186,     0,     0,     0,     0,     0,     0,     0,   187,
     188,     0,     0,     0,     0,   190,     0,     0,   191,     0,
     192,     0,     0,     0,     0,     0,     0,     0,     0,  2501,
    2501,     0,     0,     0,     0,     0,   193,   194,     0,   195,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,     0,   198,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2501,     0,     0,     0,     0,     0,  2501,  3261,
       0,   207,     0,     0,     0,     0,     0,   209,     0,     0,
       0,     0,     0,     0,     0,     0,  2501,     0,  2501,     0,
       0,     0,  2501,  2501,  2501,     0,   214,  2501,     0,   216,
    2501,  2501,   217,     0,     0,  2501,     0,     0,     0,  2501,
       0,     0,     0,     0,     0,     0,     0,     0,   219,     0,
       0,     0,     0,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,   222,   223,     0,     0,     0,     0,   224,
       0,   225,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,   233,
       0,     0,     0,  2501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,     0,     0,     0,
      81,    82,     0,    84,    85,    86,     0,     0,     0,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,     0,  3438,     0,   101,   102,   103,   104,     0,   105,
     106,   107,   108, -2776,   109,   110,   111,     0,     0,  2501,
       0,     0,   114,   115,     0,     0,     0,     0,   116,     0,
       0,     0,     0,     0,     0,     0,     0,   117,     0,   118,
       0,   119,   120,    35,     0,   421,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   126,
       0,     0,     0,   128,   129,   130,   131,   132,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     134,     0,     0,     0,     0,     0,     0,   138,     0,   139,
       0,     0,     0,     0,     0,     0,   142,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   145,     0,
       0,     0,     0,     0,     0,   146,     0,     0,     0,  4028,
    3261,     0,     0,     0,     0,   149,   150,     0,     0,     0,
       0,     0,     0,     0,  2501,  2501,  2501,     0,     0,     0,
       0,     0,     0,     0,  3261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   156,     0,     0,     0,     0,     0,
       0,     0,   158,     0,     0,     0,     0,   160,     0,     0,
       0,  2501,  2501,   162,     0,     0,     0,     0,     0,   163,
       0,   164,     0,     0,     0,     0,  2501,     0,   166,     0,
     167,     0,     0,     0,     0,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   170,   171,     0,     0,     0,     0,
       0,   172,     0,   173,     0,     0,   174,   175,     0,   176,
       0,     0,     0,     0,     0,     0,     0,     0,   177,   178,
       0,   179,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   184,   185,   186,     0,     0,     0,
       0,     0,     0,     0,   187,   188,     0,     0,     0,     0,
     190,     0,     0,   191,     0,   192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   193,   194,     0,   195,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,     0,
     198,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4028,     0,     0,     0,   207,     0,     0,     0,
       0,     0,   209,     0,     0,  3261,     0,     0,  4028,     0,
       0,     0,  2501,     0,     0,     0,     0,     0,     0,     0,
       0,   214,     0,     0,   216,     0,     0,   217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   219,     0,     0,     0,     0,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,   222,   223,
       0,  2501,     0,     0,   224,     0,   225,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,   233,     0,     0,     0,  2501,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4028,     0,  3261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2501,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3261,     0,     0,     0,
       0,  3261,     0,   782,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,   783,    98,    99,   738,   784,     0,   101,   102,
     103,   104,   785,   786,   106,   107,   108,     0,   109,   787,
     788,   739,   740,     0,     0,     0,   741,   742,  4028,     0,
       0,  4028,   743,  2501,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
    2501,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   789,   435,   436,   437,
     790,   791,   792,   793,   794,   795,   796,   438,   439,   797,
     440,   441,   442,   126,   443,   444,   445,   128,   129,   130,
     131,   132,   798,   446,   447,   448,   449,   450,   451,   799,
     800,   452,   453,   801,   134,   454,   802,   455,   456,   457,
     458,   138,   803,   139,   804,   459,   460,   461,   462,   463,
     142,   464,   465,   805,   806,   466,   467,   468,   469,   470,
     471,   807,   145,   472,   473,   808,   809,   810,   811,   146,
     812,   813,   814,   475,   476,   477,   478,   752,   479,   149,
     150,   480,   815,   481,   816,   482,   483,   484,   485,   486,
     487,   817,   488,   489,   490,   491,   818,   819,   492,   493,
     494,   495,   496,   820,   497,   498,   499,   821,   500,   501,
     502,   822,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,   823,   511,   824,   512,   513,   162,   514,   825,
     515,   826,   516,   163,   827,   164,   517,   518,   519,   520,
     828,   521,   166,   829,   167,   522,   523,   830,   524,   525,
     754,   526,   527,   168,   528,   529,   530,   531,   831,   532,
     533,   534,   535,   536,   537,   538,   832,   539,   170,   171,
     833,   540,   541,   542,   834,   172,   835,   173,   836,   543,
     174,   175,   544,   176,   545,   546,   547,   548,   549,   837,
     838,   550,   177,   178,   551,   179,   839,   552,   553,   554,
     840,   841,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,   185,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,   842,   577,   578,   190,   579,   843,   191,   580,   192,
     581,   582,   583,   844,   584,   585,   845,   846,   586,   587,
     588,   847,   848,   589,   590,   193,   194,   591,   195,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   849,
     601,   602,   197,   603,   198,   604,   605,   606,   850,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,   851,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   852,   633,   634,
     207,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,   853,   648,   649,   650,
     651,   652,   854,   654,   655,   214,   656,   657,   216,   658,
     659,   217,   660,   855,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,   856,
     675,   676,   857,   677,   221,   678,   679,   680,   681,   682,
     858,   683,   222,   223,   859,   860,   685,   686,   224,   687,
     225,   861,   688,   689,   690,   691,   692,   693,   694,   695,
     862,   863,   696,   697,   698,   699,   700,   864,   865,   701,
     702,   703,   704,   705,   866,   232,   867,   706,   233,   707,
     708,   709,   710,   868,   869,   711,   870,   871,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,     0,    80,
       0,     0,    81,    82,    83,    84,    85,    86,    87,     0,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
    1054,    98,    99,   100,     0,     0,   101,   102,   103,   104,
       0,   105,   106,   107,   108,     0,   109,   110,   111,   112,
     113,     0,     0,     0,   114,   115,     0,     0,     0,     0,
     116,     0,     0,     0,     0,     0,     0,     0,     0,   117,
       0,   118,     0,   119,   120,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   121,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   122,     0,   123,   124,
       0,     0,     0,     0,     0,     0,     0,     0,   125,     0,
       0,   126,     0,     0,   127,   128,   129,   130,   131,   132,
       0,     0,     0,   133,     0,     0,     0,     0,     0,     0,
       0,     0,   134,     0,     0,   135,     0,   136,   137,   138,
       0,   139,     0,     0,   140,     0,   141,     0,   142,     0,
       0,     0,     0,     0,     0,     0,     0,   143,     0,   144,
     145,     0,     0,     0,     0,     0,     0,   146,     0,     0,
       0,     0,     0,     0,   147,     0,   148,   149,   150,   151,
       0,     0,     0,     0,     0, -1647,     0,     0,     0,     0,
       0,     0,     0,   152,     0,   153,     0,     0,     0,   154,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,   157,   158,   159,     0,     0,     0,   160,
       0,     0,   161,     0,     0,   162,     0,     0,     0,     0,
       0,   163,     0,   164,     0,     0,     0,     0,   165,     0,
     166,     0,   167,     0,     0,     0,     0,     0,     0,     0,
       0,   168,     0,     0,     0,   169,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   170,   171,     0,     0,
   -1647,     0,     0,   172,     0,   173,     0,     0,   174,   175,
       0,   176,     0,     0,     0,     0,     0,     0,     0,     0,
     177,   178,     0,   179,     0,   180,   181,     0,     0,     0,
       0,   182,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   183,     0,     0,   184,   185,   186,     0,
       0,     0,     0,     0,     0,     0,   187,   188,     0,     0,
       0,   189,   190,     0,     0,   191,     0,   192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   193,   194,     0,   195,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,     0,   198,     0,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,     0,
       0,     0,     0,     0,   202,   203,     0,   204,     0,     0,
       0,     0,   205,     0,     0,     0,     0,   206,   207,     0,
     208,     0,     0,     0,   209,     0,     0,   210,     0,     0,
       0,     0,     0,   211,   212,     0,     0,     0,     0,     0,
       0,   213,     0,   214,     0,   215,   216,     0,     0,   217,
       0,     0,     0,     0,     0,   218,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   219,     0,     0,     0,     0,
     220,     0,   221,     0,     0,     0,     0,     0,     0,     0,
     222,   223,     0,     0,     0,     0,   224,     0,   225,     0,
     226,     0,   227,     0,     0,     0,     0,     0,   228,     0,
       0,   229,     0,     0, -1647,     0,     0,   230,     0,     0,
       0,     0,   231,   232,     0,     0,   233,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,     0,     0,     0,     0,   246,     0,
       0,     0,     0,     0,   782,    81,    82,   735,    84,    85,
      86,   736,   247,   737,    89,     0,  -145,    92,    93,    94,
      95,    96,    97,   783,    98,    99,   738,   784,     0,   101,
     102,   103,   104,   785,   786,   106,   107,   108,     0,   109,
     787,   788,   739,   740,     0,     0,     0,   741,   742,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,   744,     0,   745,     0,   746,   747,    35,   426,
       0,     0,    37,     0,    38,    39,     0,  1651,  1652,  1653,
      40,  1654,     0,     0,     0,     0,     0,     0,     0,   427,
     428,   429,   430,   431,   432,   433,   434,  2127,   435,   436,
     437,     0,     0,     0,     0,  1655,     0,     0,   438,   439,
       0,   440,   441,   442,   126,   443,   444,   445,   128,  1656,
     130,  1657,  1658,     0,   446,   447,   448,   449,   450,   451,
    1659,  1660,   452,   453,  1661,  1662,   454,     0,   455,   456,
     457,   458,  1663,     0,  1664,     0,   459,   460,   461,   462,
     463,   142,   464,   465,   750,     0,   466,   467,   468,   469,
     470,   471,     0,   145,   472,   473,     0,  1665,  1666,  1667,
    1668,  1669,  1670,  1671,   475,   476,   477,   478,   752,   479,
    1672,  1673,   480,  1674,   481,     0,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,  2128,     0,   492,
     493,  1479,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1675,   507,   508,
     509,   510,  1676,  1677,   511,     0,   512,   513,  1678,   514,
       0,   515,     0,   516,   163,     0,   164,   517,   518,   519,
     520,     0,   521,  1679,     0,  1680,   522,   523,     0,   524,
     525,   754,   526,   527,   168,   528,   529,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   170,
     171,     0,   540,   541,   542,  1482,  1681,     0,  1682,     0,
     543,   174,   175,   544,   176,   545,   546,   547,   548,   549,
       0,     0,   550,  1683,   178,   551,   179,     0,   552,   553,
     554,  1684,  1685,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   755,   564,   565,   756,   566,   567,   568,  1686,
     185,  1687,   569,   570,   571,   572,   573,   574,   575,   187,
    1688,   576,  1689,   577,   578,   190,   579,  1690,  1691,   580,
    1692,   581,   582,   583,     0,   584,   585,     0,     0,  1693,
     587,   588,     0,     0,   589,   590,   193,   194,   591,   195,
    1694,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,  1695,   603,   198,   604,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
    1696,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,     0,   633,
     634,   207,   635,   636,   637,   638,   639,  1697,   640,   641,
     642,   643,   644,   645,   646,   757,   647,     0,   648,   649,
     650,   651,   652,  1698,   654,   655,   214,   656,   657,   216,
     658,   659,  1699,   660,     0,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,  1700,   674,
       0,   675,   676,     0,   677,   221,   678,   679,   680,   681,
     682,     0,   683,  1701,  1702,     0,     0,   685,   686,  1703,
     687,  1704,  1705,   688,   689,   690,   691,   692,   693,   694,
     695,     0,  1706,   696,   697,   698,   699,   700,  1707,     0,
     701,   702,   703,   704,   705,   758,  1708,  2129,   706,   233,
     707,   708,   709,   710,     0,     0,   711,     0,     0,   712,
     713,   714,   715,   716,   717,   235,  1709,  1710,  1711,  1712,
     240,  1713,  1714,  1715,  1716,   245,   759,   718,   719,  1717,
       0,     0,     0,     0,     0,     0,  1718,  1719,  2130,     0,
       0,     0,     0,     0,     0,  1721,  2131,   782,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,   783,    98,    99,   738,
     784,     0,   101,   102,   103,   104,   785,   786,   106,   107,
     108,     0,   109,   787,   788,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,   426,     0,     0,    37,     0,    38,    39,     0,
    1651,  1652,  1653,    40,  1654,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,  1655,     0,
       0,   438,   439,     0,   440,   441,   442,   126,   443,   444,
     445,   128,  1656,   130,  1657,  1658,     0,   446,   447,   448,
     449,   450,   451,  1659,  1660,   452,   453,  1661,  1662,   454,
       0,   455,   456,   457,   458,  1663,     0,  1664,     0,   459,
     460,   461,   462,   463,   142,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,   145,   472,   473,     0,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,   476,   477,
     478,   752,   479,  1672,  1673,   480,  1674,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,  1479,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
    1675,   507,   508,   509,   510,  1676,  1677,   511,     0,   512,
     513,  1678,   514,     0,   515,     0,   516,   163,     0,   164,
     517,   518,   519,   520,     0,   521,  1679,     0,  1680,   522,
     523,     0,   524,   525,   754,   526,   527,   168,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   170,   171,     0,   540,   541,   542,  1482,  1681,
       0,  1682,     0,   543,   174,   175,   544,   176,   545,   546,
     547,   548,   549,     0,     0,   550,  1683,   178,   551,   179,
       0,   552,   553,   554,  1684,  1685,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,  1686,   185,  1687,   569,   570,   571,   572,   573,
     574,   575,   187,  1688,   576,  1689,   577,   578,   190,   579,
    1690,  1691,   580,  1692,   581,   582,   583,     0,   584,   585,
       0,     0,  1693,   587,   588,     0,     0,   589,   590,   193,
     194,   591,   195,  1694,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,  1695,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,  1696,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,   207,   635,   636,   637,   638,   639,
    1697,   640,   641,   642,   643,   644,   645,   646,   757,   647,
     212,   648,   649,   650,   651,   652,  1698,   654,   655,   214,
     656,   657,   216,   658,   659,  1699,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,  1700,   674,     0,   675,   676,   220,   677,   221,   678,
     679,   680,   681,   682,     0,   683,  1701,  1702,     0,     0,
     685,   686,  1703,   687,  1704,  1705,   688,   689,   690,   691,
     692,   693,   694,   695,     0,  1706,   696,   697,   698,   699,
     700,  1707,     0,   701,   702,   703,   704,   705,  2463,  1708,
       0,   706,   233,   707,   708,   709,   710,     0,     0,   711,
       0,   234,   712,   713,   714,   715,   716,   717,   235,  1709,
    1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,   245,   759,
     718,   719,  1717,     0,   246,     0,     0,     0,     0,  1718,
    1719,     0,     0,     0,     0,     0,     0,     0,  1721,  5635,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,   426,     0,     0,    37,     0,
      38,    39,     0,  1651,  1652,  1653,    40,  1654,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,  1655,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,   128,  1656,   130,  1657,  1658,     0,
     446,   447,   448,   449,   450,   451,  1659,  1660,   452,   453,
    1661,  1662,   454,     0,   455,   456,   457,   458,  1663,     0,
    1664,     0,   459,   460,   461,   462,   463,   142,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,  1665,  1666,  1667,  1668,  1669,  1670,  1671,
     475,   476,   477,   478,   752,   479,  1672,  1673,   480,  1674,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,  1479,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,  1675,   507,   508,   509,   510,  1676,  1677,
     511,     0,   512,   513,  1678,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,  1679,
       0,  1680,   522,   523,     0,   524,   525,   754,   526,   527,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,   171,     0,   540,   541,
     542,  1482,  1681,     0,  1682,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,  1683,
     178,   551,   179,     0,   552,   553,   554,  1684,  1685,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,  1686,   185,  1687,   569,   570,
     571,   572,   573,   574,   575,   187,  1688,   576,  1689,   577,
     578,   190,   579,  1690,  1691,   580,  1692,   581,   582,   583,
       0,   584,   585,     0,     0,  1693,   587,   588,     0,     0,
     589,   590,   193,   194,   591,   195,  1694,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,  1695,
     603,   198,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,  1696,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,  1697,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,  1698,
     654,   655,   214,   656,   657,   216,   658,   659,  1699,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,  1700,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,  1701,
    1702,     0,     0,   685,   686,  1703,   687,  1704,  1705,   688,
     689,   690,   691,   692,   693,   694,   695,     0,  1706,   696,
     697,   698,   699,   700,  1707,     0,   701,   702,   703,   704,
     705,   758,  1708,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,   235,  1709,  1710,  1711,  1712,   240,  1713,  1714,  1715,
    1716,   245,   759,   718,   719,  1717,     0,     0,     0,     0,
       0,     0,  1718,  1719,     0,     0,     0,     0,     0,     0,
       0,  1721,  3263,   782,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,   783,    98,    99,   738,   784,     0,   101,   102,
     103,   104,   785,   786,   106,   107,   108,     0,   109,   787,
     788,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,   426,     0,
       0,    37,     0,    38,    39,     0,  1651,  1652,  1653,    40,
    1654,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,  1655,     0,     0,   438,   439,     0,
     440,   441,   442,   126,   443,   444,   445,   128,  1656,   130,
    1657,  1658,     0,   446,   447,   448,   449,   450,   451,  1659,
    1660,   452,   453,  1661,  1662,   454,     0,   455,   456,   457,
     458,  1663,     0,  1664,     0,   459,   460,   461,   462,   463,
     142,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,   145,   472,   473,     0,  1665,  1666,  1667,  1668,
    1669,  1670,  1671,   475,   476,   477,   478,   752,   479,  1672,
    1673,   480,  1674,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
    1479,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,  1675,   507,   508,   509,
     510,  1676,  1677,   511,     0,   512,   513,  1678,   514,     0,
     515,     0,   516,   163,     0,   164,   517,   518,   519,   520,
       0,   521,  1679,     0,  1680,   522,   523,     0,   524,   525,
     754,   526,   527,   168,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   170,   171,
       0,   540,   541,   542,  1482,  1681,     0,  1682,     0,   543,
     174,   175,   544,   176,   545,   546,   547,   548,   549,     0,
       0,   550,  1683,   178,   551,   179,     0,   552,   553,   554,
    1684,  1685,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,  1686,   185,
    1687,   569,   570,   571,   572,   573,   574,   575,   187,  1688,
     576,  1689,   577,   578,   190,   579,  1690,  1691,   580,  1692,
     581,   582,   583,     0,   584,   585,     0,     0,  1693,   587,
     588,     0,     0,   589,   590,   193,   194,   591,   195,  1694,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,  1695,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,  1696,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
     207,   635,   636,   637,   638,   639,  1697,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,  1698,   654,   655,   214,   656,   657,   216,   658,
     659,  1699,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,  1700,   674,     0,
     675,   676,     0,   677,   221,   678,   679,   680,   681,   682,
       0,   683,  1701,  1702,     0,     0,   685,   686,  1703,   687,
    1704,  1705,   688,   689,   690,   691,   692,   693,   694,   695,
       0,  1706,   696,   697,   698,   699,   700,  1707,     0,   701,
     702,   703,   704,   705,   758,  1708,     0,   706,   233,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,  1709,  1710,  1711,  1712,   240,
    1713,  1714,  1715,  1716,   245,   759,   718,   719,  1717,     0,
       0,     0,     0,     0,     0,  1718,  1719,     0,     0,     0,
       0,     0,     0,     0,  1721,  4587,   782,    81,    82,   735,
      84,    85,    86,   736,     0,   737,    89,     0,     0,    92,
      93,    94,    95,    96,    97,   783,    98,    99,   738,   784,
       0,   101,   102,   103,   104,   785,   786,   106,   107,   108,
       0,   109,   787,   788,   739,   740,     0,     0,     0,   741,
     742,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,   744,     0,   745,     0,   746,   747,
      35,   426,     0,     0,    37,     0,    38,    39,     0,  1651,
    1652,  1653,    40,  1654,     0,     0,     0,     0,     0,     0,
       0,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,     0,     0,     0,     0,  1655,     0,     0,
     438,   439,     0,   440,   441,   442,   126,   443,   444,   445,
     128,  1656,   130,  1657,  1658,     0,   446,   447,   448,   449,
     450,   451,  1659,  1660,   452,   453,  1661,  1662,   454,     0,
     455,   456,   457,   458,  1663,     0,  1664,     0,   459,   460,
     461,   462,   463,   142,   464,   465,   750,     0,   466,   467,
     468,   469,   470,   471,     0,   145,   472,   473,     0,  1665,
    1666,  1667,  1668,  1669,  1670,  1671,   475,   476,   477,   478,
     752,   479,  1672,  1673,   480,  1674,   481,     0,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,     0,
       0,   492,   493,  1479,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1675,
     507,   508,   509,   510,  1676,  1677,   511,     0,   512,   513,
    1678,   514,     0,   515,     0,   516,   163,     0,   164,   517,
     518,   519,   520,     0,   521,  1679,     0,  1680,   522,   523,
       0,   524,   525,   754,   526,   527,   168,   528,   529,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   170,   171,     0,   540,   541,   542,  1482,  1681,     0,
    1682,     0,   543,   174,   175,   544,   176,   545,   546,   547,
     548,   549,     0,     0,   550,  1683,   178,   551,   179,     0,
     552,   553,   554,  1684,  1685,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   755,   564,   565,   756,   566,   567,
     568,  1686,   185,  1687,   569,   570,   571,   572,   573,   574,
     575,   187,  1688,   576,  1689,   577,   578,   190,   579,  1690,
    1691,   580,  1692,   581,   582,   583,     0,   584,   585,     0,
       0,  1693,   587,   588,     0,     0,   589,   590,   193,   194,
     591,   195,  1694,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,  1695,   603,   198,   604,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,  1696,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
       0,   633,   634,   207,   635,   636,   637,   638,   639,  1697,
     640,   641,   642,   643,   644,   645,   646,   757,   647,     0,
     648,   649,   650,   651,   652,  1698,   654,   655,   214,   656,
     657,   216,   658,   659,  1699,   660,     0,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
    1700,   674,     0,   675,   676,     0,   677,   221,   678,   679,
     680,   681,   682,     0,   683,  1701,  1702,     0,     0,   685,
     686,  1703,   687,  1704,  1705,   688,   689,   690,   691,   692,
     693,   694,   695,     0,  1706,   696,   697,   698,   699,   700,
    1707,     0,   701,   702,   703,   704,   705,   758,  1708,     0,
     706,   233,   707,   708,   709,   710,     0,     0,   711,     0,
       0,   712,   713,   714,   715,   716,   717,   235,  1709,  1710,
    1711,  1712,   240,  1713,  1714,  1715,  1716,   245,   759,   718,
     719,  1717,     0,     0,     0,     0,     0,     0,  1718,  1719,
       0,     0,     0,     0,     0,     0,     0,  1721,  4660,   782,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,   783,    98,
      99,   738,   784,     0,   101,   102,   103,   104,   785,   786,
     106,   107,   108,     0,   109,   787,   788,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,   126,
     443,   444,   445,     0,  1472,   130,  1473,  1474,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,  1475,
    1476,   454,     0,   455,   456,   457,   458,     0,     0,   139,
       0,   459,   460,   461,   462,   463,   142,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,   145,   472,
     473,     0,     0,     0,     0,   146,     0,     0,     0,   475,
     476,   477,   478,   752,   479,  1477,  1478,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,  1479,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,     0,   507,   508,   509,   510,     0,     0,   511,
       0,   512,   513,  1480,   514,     0,   515,     0,   516,   163,
       0,   164,   517,   518,   519,   520,     0,   521,     0,     0,
       0,   522,   523,     0,   524,   525,   754,   526,   527,   168,
     528,   529,   530,   531,  2675,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   170,  2676,     0,   540,   541,   542,
    1482,  1483,     0,  1484,     0,   543,   174,   175,   544,   176,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   178,
     551,   179,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,  1485,   185,  1486,   569,   570,   571,
     572,   573,   574,   575,     0,     0,   576,     0,   577,   578,
     190,   579,     0,     0,   580,  1487,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,  2678,   194,   591,   195,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,     0,   603,
       0,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,  1488,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,   207,   635,   636,   637,
     638,   639,     0,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,  2679,   656,   657,   216,   658,   659,  1490,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,     0,   674,     0,   675,   676,     0,   677,
     221,   678,   679,   680,   681,   682,     0,   683,  1491,  1492,
       0,     0,   685,   686,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
       0,  1493,  2680,   706,   233,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   759,   718,   719,     0,     0,     0,     0,     0,   782,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,  2777,    92,    93,    94,    95,    96,    97,   783,    98,
      99,   738,   784,     0,   101,   102,   103,   104,   785,   786,
     106,   107,   108,     0,   109,   787,   788,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,   126,
     443,   444,   445,     0,  1472,   130,  1473,  1474,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,  1475,
    1476,   454,     0,   455,   456,   457,   458,     0,     0,   139,
       0,   459,   460,   461,   462,   463,   142,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,   145,   472,
     473,     0,     0,     0,     0,   146,     0,     0,     0,   475,
     476,   477,   478,   752,   479,  1477,  1478,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,  1479,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,     0,   507,   508,   509,   510,     0,     0,   511,
       0,   512,   513,  1480,   514,     0,   515,     0,   516,   163,
       0,   164,   517,   518,   519,   520,     0,   521,     0,     0,
       0,   522,   523,     0,   524,   525,   754,   526,   527,   168,
     528,   529,   530,   531,  2675,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   170,  2676,     0,   540,   541,   542,
    1482,  1483,     0,  1484,     0,   543,   174,   175,   544,   176,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   178,
     551,   179,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,  1485,   185,  1486,   569,   570,   571,
     572,   573,   574,   575,     0,     0,   576,     0,   577,   578,
     190,   579,     0,     0,   580,  1487,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,  2678,   194,   591,   195,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,     0,   603,
       0,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,  1488,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,   207,   635,   636,   637,
     638,   639,     0,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,  2679,   656,   657,   216,   658,   659,  1490,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,     0,   674,     0,   675,   676,     0,   677,
     221,   678,   679,   680,   681,   682,     0,   683,  1491,  1492,
       0,     0,   685,   686,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
       0,  1493,  2680,   706,   233,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   759,   718,   719,     0,     0,     0,     0,     0,   782,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,  3866,    92,    93,    94,    95,    96,    97,   783,    98,
      99,   738,   784,     0,   101,   102,   103,   104,   785,   786,
     106,   107,   108,     0,   109,   787,   788,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,   426,     0,     0,    37,     0,    38,
      39,     0,  1651,  1652,  1653,    40,  1654,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
    1655,     0,     0,   438,   439,     0,   440,   441,   442,   126,
     443,   444,   445,   128,  1656,   130,  1657,  1658,     0,   446,
     447,   448,   449,   450,   451,  1659,  1660,   452,   453,  1661,
    1662,   454,     0,   455,   456,   457,   458,  1663,     0,  1664,
       0,   459,   460,   461,   462,   463,   142,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,   145,   472,
     473,     0,  1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,
     476,   477,   478,   752,   479,  1672,  1673,   480,  1674,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,  1479,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1675,   507,   508,   509,   510,  1676,  1677,   511,
       0,   512,   513,  1678,   514,     0,   515,     0,   516,   163,
       0,   164,   517,   518,   519,   520,     0,   521,  1679,     0,
    1680,   522,   523,     0,   524,   525,   754,   526,   527,   168,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   170,   171,     0,   540,   541,   542,
    1482,  1681,     0,  1682,     0,   543,   174,   175,   544,   176,
     545,   546,   547,   548,   549,     0,     0,   550,  1683,   178,
     551,   179,     0,   552,   553,   554,  1684,  1685,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,  1686,   185,  1687,   569,   570,   571,
     572,   573,   574,   575,   187,  1688,   576,  1689,   577,   578,
     190,   579,  1690,  1691,   580,  1692,   581,   582,   583,     0,
     584,   585,     0,     0,  1693,   587,   588,     0,     0,   589,
     590,   193,   194,   591,   195,  1694,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,  1695,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,  1696,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,   207,   635,   636,   637,
     638,   639,  1697,   640,   641,   642,   643,   644,   645,   646,
     757,   647,   212,   648,   649,   650,   651,   652,  1698,   654,
     655,   214,   656,   657,   216,   658,   659,  1699,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,  1700,   674,     0,   675,   676,   220,   677,
     221,   678,   679,   680,   681,   682,     0,   683,  1701,  1702,
       0,     0,   685,   686,  1703,   687,  1704,  1705,   688,   689,
     690,   691,   692,   693,   694,   695,     0,  1706,   696,   697,
     698,   699,   700,  1707,     0,   701,   702,   703,   704,   705,
    2463,  1708,     0,   706,   233,   707,   708,   709,   710,     0,
       0,   711,     0,   234,   712,   713,   714,   715,   716,   717,
     235,  1709,  1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,
     245,   759,   718,   719,  1717,     0,   246,     0,     0,     0,
       0,  1718,  1719,     0,     0,     0,     0,     0,     0,     0,
    1721,   782,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
     783,    98,    99,   738,   784,     0,   101,   102,   103,   104,
     785,   786,   106,   107,   108,     0,   109,   787,   788,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,   426,     0,     0,    37,
       0,    38,    39,     0,  1651,  1652,  1653,    40,  1654,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,  1655,     0,     0,   438,   439,     0,   440,   441,
     442,   126,   443,   444,   445,   128,  1656,   130,  1657,  1658,
    3269,   446,   447,   448,   449,   450,   451,  1659,  1660,   452,
     453,  1661,  1662,   454,     0,   455,   456,   457,   458,  1663,
       0,  1664,     0,   459,   460,   461,   462,   463,   142,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
     145,   472,   473,     0,  1665,  1666,  1667,  1668,  1669,  1670,
    1671,   475,   476,   477,   478,   752,   479,  1672,  1673,   480,
    1674,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,  1479,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1675,   507,   508,   509,   510,  1676,
    1677,   511,     0,   512,   513,  1678,   514,     0,   515,     0,
     516,   163,  3270,   164,   517,   518,   519,   520,     0,   521,
    1679,     0,  1680,   522,   523,     0,   524,   525,   754,   526,
     527,   168,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   170,   171,     0,   540,
     541,   542,  1482,  1681,     0,  1682,     0,   543,   174,   175,
     544,   176,   545,   546,   547,   548,   549,     0,  3271,   550,
    1683,   178,   551,   179,     0,   552,   553,   554,  1684,  1685,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,  1686,   185,  1687,   569,
     570,   571,   572,   573,   574,   575,   187,  1688,   576,  1689,
     577,   578,   190,   579,  1690,  1691,   580,  1692,   581,   582,
     583,     0,   584,   585,     0,     0,  1693,   587,   588,     0,
       0,   589,   590,   193,   194,   591,   195,  1694,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
    1695,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,  1696,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,   207,   635,
     636,   637,   638,   639,  1697,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
    1698,   654,   655,   214,   656,   657,   216,   658,   659,  1699,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,  1700,   674,     0,   675,   676,
       0,   677,   221,   678,   679,   680,   681,   682,     0,   683,
    1701,  1702,     0,  3272,   685,   686,  1703,   687,  1704,  1705,
     688,   689,   690,   691,   692,   693,   694,   695,     0,  1706,
     696,   697,   698,   699,   700,  1707,     0,   701,   702,   703,
     704,   705,   758,  1708,     0,   706,   233,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,  1709,  1710,  1711,  1712,   240,  1713,  1714,
    1715,  1716,   245,   759,   718,   719,  1717,     0,     0,     0,
       0,     0,     0,  1718,  1719,     0,     0,     0,     0,     0,
       0,     0,  1721,   782,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,   783,    98,    99,   738,   784,     0,   101,   102,
     103,   104,   785,   786,   106,   107,   108,     0,   109,   787,
     788,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,   426,     0,
       0,    37,     0,    38,    39,     0,  1651,  1652,  1653,    40,
    1654,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,  1655,     0,     0,   438,   439,     0,
     440,   441,   442,   126,   443,   444,   445,   128,  1656,   130,
    1657,  1658,     0,   446,   447,   448,   449,   450,   451,  1659,
    1660,   452,   453,  1661,  1662,   454,     0,   455,   456,   457,
     458,  1663,     0,  1664,     0,   459,   460,   461,   462,   463,
     142,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,   145,   472,   473,     0,  1665,  1666,  1667,  1668,
    1669,  1670,  1671,   475,   476,   477,   478,   752,   479,  1672,
    1673,   480,  1674,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
    1479,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,  1675,   507,   508,   509,
     510,  1676,  1677,   511,     0,   512,   513,  1678,   514,     0,
     515,     0,   516,   163,     0,   164,   517,   518,   519,   520,
       0,   521,  1679,     0,  1680,   522,   523,     0,   524,   525,
     754,   526,   527,   168,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   170,   171,
       0,   540,   541,   542,  1482,  1681,     0,  1682,     0,   543,
     174,   175,   544,   176,   545,   546,   547,   548,   549,     0,
       0,   550,  1683,   178,   551,   179,     0,   552,   553,   554,
    1684,  1685,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,  1686,   185,
    1687,   569,   570,   571,   572,   573,   574,   575,   187,  1688,
     576,  1689,   577,   578,   190,   579,  1690,  1691,   580,  1692,
     581,   582,   583,     0,   584,   585,     0,     0,  1693,   587,
     588,     0,     0,   589,   590,   193,   194,   591,   195,  1694,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,  1695,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,  1696,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
     207,   635,   636,   637,   638,   639,  1697,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,  1698,   654,   655,   214,   656,   657,   216,   658,
     659,  1699,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,  1700,   674,     0,
     675,   676,     0,   677,   221,   678,   679,   680,   681,   682,
       0,   683,  1701,  1702,     0,     0,   685,   686,  1703,   687,
    1704,  1705,   688,   689,   690,   691,   692,   693,   694,   695,
       0,  1706,   696,   697,   698,   699,   700,  1707,     0,   701,
     702,   703,   704,   705,   758,  1708,     0,   706,   233,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,  1709,  1710,  1711,  1712,   240,
    1713,  1714,  1715,  1716,   245,   759,   718,   719,  1717,     0,
       0,     0,     0,     0,     0,  1718,  1719,     0,     0,     0,
       0,     0,  2424,  3223,  1721,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
     426,     0,     0,    37,     0,    38,    39,     0,  1651,  1652,
    1653,    40,  1654,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,  1655,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,   128,
    1656,   130,  1657,  1658,     0,   446,   447,   448,   449,   450,
     451,  1659,  1660,   452,   453,  1661,  1662,   454,     0,   455,
     456,   457,   458,  1663,     0,  1664,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,  1665,  1666,
    1667,  1668,  1669,  1670,  1671,   475,   476,   477,   478,   752,
     479,  1672,  1673,   480,  1674,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,  1479,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,  1675,   507,
     508,   509,   510,  1676,  1677,   511,     0,   512,   513,  1678,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,  1679,     0,  1680,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,   171,     0,   540,   541,   542,  1482,  1681,     0,  1682,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,  1683,   178,   551,   179,     0,   552,
     553,   554,  1684,  1685,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
    1686,   185,  1687,   569,   570,   571,   572,   573,   574,   575,
     187,  1688,   576,  1689,   577,   578,   190,   579,  1690,  1691,
     580,  1692,   581,   582,   583,     0,   584,   585,     0,     0,
    1693,   587,   588,     0,     0,   589,   590,   193,   194,   591,
     195,  1694,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,  1695,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1696,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,  1697,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,  1698,   654,   655,   214,   656,   657,
     216,   658,   659,  1699,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,  1700,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,  1701,  1702,     0,     0,   685,   686,
    1703,   687,  1704,  1705,   688,   689,   690,   691,   692,   693,
     694,   695,     0,  1706,   696,   697,   698,   699,   700,  1707,
       0,   701,   702,   703,   704,   705,   758,  1708,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,  1709,  1710,  1711,
    1712,   240,  1713,  1714,  1715,  1716,   245,   759,   718,   719,
    1717,     0,     0,     0,     0,     0,     0,  1718,  1719,  1720,
       0,     0,     0,     0,     0,     0,  1721,   782,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,   783,    98,    99,   738,
     784,     0,   101,   102,   103,   104,   785,   786,   106,   107,
     108,     0,   109,   787,   788,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,   426,     0,     0,    37,     0,    38,    39,     0,
    1651,  1652,  1653,    40,  1654,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
    2594,   435,   436,   437,     0,     0,     0,     0,  1655,     0,
       0,   438,   439,     0,   440,   441,   442,   126,   443,   444,
     445,   128,  1656,   130,  1657,  1658,     0,   446,   447,   448,
     449,   450,   451,  1659,  1660,   452,   453,  1661,  1662,   454,
       0,   455,   456,   457,   458,  1663,     0,  1664,     0,   459,
     460,   461,   462,   463,   142,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,   145,   472,   473,     0,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,   476,   477,
     478,   752,   479,  1672,  1673,   480,  1674,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,  1479,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
    1675,   507,   508,   509,   510,  1676,  1677,   511,     0,   512,
     513,  1678,   514,     0,   515,     0,   516,   163,     0,   164,
     517,   518,   519,   520,     0,   521,  1679,     0,  1680,   522,
     523,     0,   524,   525,   754,   526,   527,   168,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   170,   171,     0,   540,   541,   542,  1482,  1681,
       0,  1682,     0,   543,   174,   175,   544,   176,   545,   546,
     547,   548,   549,     0,     0,   550,  1683,   178,   551,   179,
       0,   552,   553,   554,  1684,  1685,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,  1686,   185,  1687,   569,   570,   571,   572,   573,
     574,   575,   187,  1688,   576,  1689,   577,   578,   190,   579,
    1690,  1691,   580,  1692,   581,   582,   583,     0,   584,   585,
       0,     0,  1693,   587,   588,     0,     0,   589,   590,   193,
     194,   591,   195,  1694,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,  1695,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,  1696,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,   207,   635,   636,   637,   638,   639,
    1697,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,  1698,   654,   655,   214,
     656,   657,   216,   658,   659,  1699,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,  1700,   674,     0,   675,   676,     0,   677,   221,   678,
     679,   680,   681,   682,     0,   683,  1701,  1702,     0,     0,
     685,   686,  1703,   687,  1704,  1705,   688,   689,   690,   691,
     692,   693,   694,   695,     0,  1706,   696,   697,   698,   699,
     700,  1707,     0,   701,   702,   703,   704,   705,   758,  1708,
       0,   706,   233,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,  1709,
    1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,   245,   759,
     718,   719,  1717,     0,     0,     0,     0,     0,     0,  1718,
    1719,     0,     0,     0,     0,     0,     0,     0,  1721,   782,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,   783,    98,
      99,   738,   784,     0,   101,   102,   103,   104,   785,   786,
     106,   107,   108,     0,   109,   787,   788,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,   426,     0,     0,    37,     0,    38,
      39,     0,  1651,  1652,  1653,    40,  1654,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
    1655,     0,     0,   438,   439,     0,   440,   441,   442,   126,
     443,   444,   445,   128,  1656,   130,  1657,  1658,     0,   446,
     447,   448,   449,   450,   451,  1659,  1660,   452,   453,  1661,
    1662,   454,     0,   455,   456,   457,   458,  1663,     0,  1664,
       0,   459,   460,   461,   462,   463,   142,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,   145,   472,
     473,     0,  1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,
     476,   477,   478,   752,   479,  1672,  1673,   480,  1674,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,  1479,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1675,   507,   508,   509,   510,  1676,  1677,   511,
       0,   512,   513,  1678,   514,     0,   515,     0,   516,   163,
       0,   164,   517,   518,   519,   520,     0,   521,  1679,     0,
    1680,   522,   523,     0,   524,   525,   754,   526,   527,   168,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   170,   171,     0,   540,   541,   542,
    1482,  1681,     0,  1682,     0,   543,   174,   175,   544,   176,
     545,   546,   547,   548,   549,     0,     0,   550,  1683,   178,
     551,   179,     0,   552,   553,   554,  1684,  1685,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,  1686,   185,  1687,   569,   570,   571,
     572,   573,   574,   575,   187,  1688,   576,  1689,   577,   578,
     190,   579,  1690,  1691,   580,  1692,   581,   582,   583,     0,
     584,   585,     0,     0,  1693,   587,   588,     0,     0,   589,
     590,   193,   194,   591,   195,  1694,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,  1695,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,  1696,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,   207,   635,   636,   637,
     638,   639,  1697,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,  1698,   654,
     655,   214,   656,   657,   216,   658,   659,  1699,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,  1700,   674,     0,   675,   676,     0,   677,
     221,   678,   679,   680,   681,   682,     0,   683,  1701,  1702,
       0,     0,   685,   686,  1703,   687,  1704,  1705,   688,   689,
     690,   691,   692,   693,   694,   695,     0,  1706,   696,   697,
     698,   699,   700,  1707,     0,   701,   702,   703,   704,   705,
     758,  1708,  3746,   706,   233,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,  1709,  1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,
     245,   759,   718,   719,  1717,     0,     0,     0,     0,     0,
       0,  1718,  1719,     0,     0,     0,     0,     0,     0,     0,
    1721,   782,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
     783,    98,    99,   738,   784,     0,   101,   102,   103,   104,
     785,   786,   106,   107,   108,     0,   109,   787,   788,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,   426,     0,     0,    37,
       0,    38,    39,     0,  1651,  1652,  1653,    40,  1654,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,  1655,     0,     0,   438,   439,     0,   440,   441,
     442,   126,   443,   444,   445,   128,  1656,   130,  1657,  1658,
       0,   446,   447,   448,   449,   450,   451,  1659,  1660,   452,
     453,  1661,  1662,   454,     0,   455,   456,   457,   458,  1663,
       0,  1664,     0,   459,   460,   461,   462,   463,   142,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
     145,   472,   473,     0,  1665,  1666,  1667,  1668,  1669,  1670,
    1671,   475,   476,   477,   478,   752,   479,  1672,  1673,   480,
    1674,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,  1479,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1675,   507,   508,   509,   510,  1676,
    1677,   511,     0,   512,   513,  1678,   514,     0,   515,     0,
     516,   163,  3270,   164,   517,   518,   519,   520,     0,   521,
    1679,     0,  1680,   522,   523,     0,   524,   525,   754,   526,
     527,   168,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   170,   171,     0,   540,
     541,   542,  1482,  1681,     0,  1682,     0,   543,   174,   175,
     544,   176,   545,   546,   547,   548,   549,     0,     0,   550,
    1683,   178,   551,   179,     0,   552,   553,   554,  1684,  1685,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,  1686,   185,  1687,   569,
     570,   571,   572,   573,   574,   575,   187,  1688,   576,  1689,
     577,   578,   190,   579,  1690,  1691,   580,  1692,   581,   582,
     583,     0,   584,   585,     0,     0,  1693,   587,   588,     0,
       0,   589,   590,   193,   194,   591,   195,  1694,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
    1695,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,  1696,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,   207,   635,
     636,   637,   638,   639,  1697,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
    1698,   654,   655,   214,   656,   657,   216,   658,   659,  1699,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,  1700,   674,     0,   675,   676,
       0,   677,   221,   678,   679,   680,   681,   682,     0,   683,
    1701,  1702,     0,     0,   685,   686,  1703,   687,  1704,  1705,
     688,   689,   690,   691,   692,   693,   694,   695,     0,  1706,
     696,   697,   698,   699,   700,  1707,     0,   701,   702,   703,
     704,   705,   758,  1708,     0,   706,   233,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,  1709,  1710,  1711,  1712,   240,  1713,  1714,
    1715,  1716,   245,   759,   718,   719,  1717,     0,     0,     0,
       0,     0,     0,  1718,  1719,     0,     0,     0,     0,     0,
       0,     0,  1721,   782,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,   783,    98,    99,   738,   784,     0,   101,   102,
     103,   104,   785,   786,   106,   107,   108,     0,   109,   787,
     788,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,   426,     0,
       0,    37,     0,    38,    39,     0,  1651,  1652,  1653,    40,
    1654,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,  1655,     0,     0,   438,   439,     0,
     440,   441,   442,   126,   443,   444,   445,   128,  1656,   130,
    1657,  1658,     0,   446,   447,   448,   449,   450,   451,  1659,
    1660,   452,   453,  1661,  1662,   454,     0,   455,   456,   457,
     458,  1663,     0,  1664,     0,   459,   460,   461,   462,   463,
     142,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,   145,   472,   473,  4717,  1665,  1666,  1667,  1668,
    1669,  1670,  1671,   475,   476,   477,   478,   752,   479,  1672,
    1673,   480,  1674,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
    1479,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,  1675,   507,   508,   509,
     510,  1676,  1677,   511,     0,   512,   513,  1678,   514,     0,
     515,     0,   516,   163,     0,   164,   517,   518,   519,   520,
       0,   521,  1679,     0,  1680,   522,   523,     0,   524,   525,
     754,   526,   527,   168,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   170,   171,
       0,   540,   541,   542,  1482,  1681,     0,  1682,     0,   543,
     174,   175,   544,   176,   545,   546,   547,   548,   549,     0,
       0,   550,  1683,   178,   551,   179,     0,   552,   553,   554,
    1684,  1685,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,  1686,   185,
    1687,   569,   570,   571,   572,   573,   574,   575,   187,  1688,
     576,  1689,   577,   578,   190,   579,  1690,  1691,   580,  1692,
     581,   582,   583,     0,   584,   585,     0,     0,  1693,   587,
     588,     0,     0,   589,   590,   193,   194,   591,   195,  1694,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,  1695,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,  1696,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
     207,   635,   636,   637,   638,   639,  1697,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,  1698,   654,   655,   214,   656,   657,   216,   658,
     659,  1699,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,  1700,   674,     0,
     675,   676,     0,   677,   221,   678,   679,   680,   681,   682,
       0,   683,  1701,  1702,     0,     0,   685,   686,  1703,   687,
    1704,  1705,   688,   689,   690,   691,   692,   693,   694,   695,
       0,  1706,   696,   697,   698,   699,   700,  1707,     0,   701,
     702,   703,   704,   705,   758,  1708,     0,   706,   233,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,  1709,  1710,  1711,  1712,   240,
    1713,  1714,  1715,  1716,   245,   759,   718,   719,  1717,     0,
       0,     0,     0,     0,     0,  1718,  1719,     0,     0,     0,
       0,     0,     0,     0,  1721,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
     426,     0,     0,    37,     0,    38,    39,     0,  1651,  1652,
    1653,    40,  1654,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,  1655,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,  5898,
    1656,   130,  1657,  1658,     0,   446,   447,   448,   449,   450,
     451,  1659,  1660,   452,   453,  1661,  1662,   454,     0,   455,
     456,   457,   458,  1663,     0,  1664,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,  5899,  1665,  1666,
    1667,  1668,  1669,  1670,  1671,   475,   476,   477,   478,   752,
     479,  1672,  1673,   480,  1674,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,  1479,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,  1675,   507,
     508,   509,   510,  1676,  1677,   511,     0,   512,   513,  1678,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,  1679,     0,  1680,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,   171,     0,   540,   541,   542,  1482,  1681,     0,  1682,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,  1683,   178,   551,   179,     0,   552,
     553,   554,  1684,  1685,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
    1686,   185,  1687,   569,   570,   571,   572,   573,   574,   575,
     187,  1688,   576,  1689,   577,   578,   190,   579,  1690,  1691,
     580,  1692,   581,   582,   583,     0,   584,   585,     0,     0,
    1693,   587,   588,     0,     0,   589,   590,   193,   194,   591,
     195,  1694,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,  1695,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1696,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,  1697,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,  1698,   654,   655,   214,   656,   657,
     216,   658,   659,  1699,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,  1700,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,  1701,  1702,     0,     0,   685,   686,
    1703,   687,  1704,  1705,   688,   689,   690,   691,   692,  5900,
     694,   695,     0,  1706,   696,   697,   698,   699,   700,  1707,
       0,   701,   702,   703,   704,   705,   758,  1708,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,  1709,  1710,  1711,
    1712,   240,  1713,  1714,  1715,  1716,   245,   759,   718,   719,
    1717,     0,     0,     0,     0,     0,     0,  1718,  1719,     0,
       0,     0,     0,     0,     0,     0,  1721,   782,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,   783,    98,    99,   738,
     784,     0,   101,   102,   103,   104,   785,   786,   106,   107,
     108,     0,   109,   787,   788,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,   426,     0,     0,    37,     0,    38,    39,     0,
    1651,  1652,  1653,    40,  1654,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,  1655,     0,
       0,   438,   439,     0,   440,   441,   442,   126,   443,   444,
     445,   128,  1656,   130,  1657,  1658,     0,   446,   447,   448,
     449,   450,   451,  1659,  1660,   452,   453,  1661,  1662,   454,
       0,   455,   456,   457,   458,  1663,     0,  1664,     0,   459,
     460,   461,   462,   463,   142,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,   145,   472,   473,  5899,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,   476,   477,
     478,   752,   479,  1672,  1673,   480,  1674,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,  1479,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
    1675,   507,   508,   509,   510,  1676,  1677,   511,     0,   512,
     513,  1678,   514,     0,   515,     0,   516,   163,     0,   164,
     517,   518,   519,   520,     0,   521,  1679,     0,  1680,   522,
     523,     0,   524,   525,   754,   526,   527,   168,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   170,   171,     0,   540,   541,   542,  1482,  1681,
       0,  1682,     0,   543,   174,   175,   544,   176,   545,   546,
     547,   548,   549,     0,     0,   550,  1683,   178,   551,   179,
       0,   552,   553,   554,  1684,  1685,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,  1686,   185,  1687,   569,   570,   571,   572,   573,
     574,   575,   187,  1688,   576,  1689,   577,   578,   190,   579,
    1690,  1691,   580,  1692,   581,   582,   583,     0,   584,   585,
       0,     0,  1693,   587,   588,     0,     0,   589,   590,   193,
     194,   591,   195,  1694,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,  1695,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,  1696,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,   207,   635,   636,   637,   638,   639,
    1697,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,  1698,   654,   655,   214,
     656,   657,   216,   658,   659,  1699,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,  1700,   674,     0,   675,   676,     0,   677,   221,   678,
     679,   680,   681,   682,     0,   683,  1701,  1702,     0,     0,
     685,   686,  1703,   687,  1704,  1705,   688,   689,   690,   691,
     692,  5900,   694,   695,     0,  1706,   696,   697,   698,   699,
     700,  1707,     0,   701,   702,   703,   704,   705,   758,  1708,
       0,   706,   233,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,  1709,
    1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,   245,   759,
     718,   719,  1717,     0,     0,     0,     0,     0,     0,  1718,
    1719,     0,     0,     0,     0,     0,     0,     0,  1721,   782,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,   783,    98,
      99,   738,   784,     0,   101,   102,   103,   104,   785,   786,
     106,   107,   108,     0,   109,   787,   788,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,   426,     0,     0,    37,     0,    38,
      39,     0,  1651,  1652,  1653,    40,  1654,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
    1655,     0,     0,   438,   439,     0,   440,   441,   442,   126,
     443,   444,   445,   128,  1656,   130,  1657,  1658,     0,   446,
     447,   448,   449,   450,   451,  1659,  1660,   452,   453,  1661,
    1662,   454,     0,   455,   456,   457,   458,  1663,     0,  1664,
       0,   459,   460,   461,   462,   463,   142,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,   145,   472,
     473,     0,  1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,
     476,   477,   478,   752,   479,  1672,  1673,   480,  1674,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,  1479,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1675,   507,   508,   509,   510,  1676,  1677,   511,
       0,   512,   513,  1678,   514,     0,   515,     0,   516,   163,
       0,   164,   517,   518,   519,   520,     0,   521,  1679,     0,
    1680,   522,   523,     0,   524,   525,   754,   526,   527,   168,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   170,   171,     0,   540,   541,   542,
    1482,  1681,     0,  1682,     0,   543,   174,   175,   544,   176,
     545,   546,   547,   548,   549,     0,     0,   550,  1683,   178,
     551,   179,     0,   552,   553,   554,  1684,  1685,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,  1686,   185,  1687,   569,   570,   571,
     572,   573,   574,   575,   187,  1688,   576,  1689,   577,   578,
     190,   579,  1690,  1691,   580,  1692,   581,   582,   583,     0,
     584,   585,     0,     0,  1693,   587,   588,     0,     0,   589,
     590,   193,   194,   591,   195,  1694,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,  1695,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,  1696,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,   207,   635,   636,   637,
     638,   639,  1697,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,  1698,   654,
     655,   214,   656,   657,   216,   658,   659,  1699,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,  1700,   674,     0,   675,   676,     0,   677,
     221,   678,   679,   680,   681,   682,     0,   683,  1701,  1702,
       0,     0,   685,   686,  1703,   687,  1704,  1705,   688,   689,
     690,   691,   692,   693,   694,   695,     0,  1706,   696,   697,
     698,   699,   700,  1707,     0,   701,   702,   703,   704,   705,
     758,  1708,     0,   706,   233,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,  1709,  1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,
     245,   759,   718,   719,  1717,     0,     0,     0,     0,     0,
       0,  1718,  1719,     0,     0,     0,     0,     0,     0,     0,
    1721,   782,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
     783,    98,    99,   738,   784,     0,   101,   102,   103,   104,
     785,   786,   106,   107,   108,     0,   109,   787,   788,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,   426,     0,     0,    37,
       0,    38,    39,     0,  1651,  1652,  1653,    40,  1654,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,  1655,     0,     0,   438,   439,     0,   440,   441,
     442,   126,   443,   444,   445,   128,  1656,   130,  1657,  1658,
       0,   446,   447,   448,   449,   450,   451,  1659,  1660,   452,
     453,  1661,  1662,   454,     0,   455,   456,   457,   458,  1663,
       0,  1664,     0,   459,   460,   461,   462,   463,   142,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
     145,   472,   473,     0,  1665,  1666,  1667,  1668,  1669,  1670,
    1671,   475,   476,   477,   478,   752,   479,  1672,  1673,   480,
    1674,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,  1479,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1675,   507,   508,   509,   510,  1676,
    1677,   511,     0,   512,   513,  1678,   514,     0,   515,     0,
     516,   163,     0,   164,   517,   518,   519,   520,     0,   521,
    1679,     0,  1680,   522,   523,     0,   524,   525,   754,   526,
     527,   168,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   170,   171,     0,   540,
     541,   542,  1482,  1681,     0,  1682,     0,   543,   174,   175,
     544,   176,   545,   546,   547,   548,   549,     0,     0,   550,
    1683,   178,   551,   179,     0,   552,   553,   554,  1684,  1685,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,  1686,   185,  1687,   569,
     570,   571,   572,   573,   574,   575,   187,  1688,   576,  1689,
     577,   578,   190,   579,  1690,  1691,   580,  1692,   581,   582,
     583,     0,   584,   585,     0,     0,  1693,   587,   588,     0,
       0,   589,   590,   193,   194,   591,   195,  1694,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
    1695,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,  1696,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,   207,   635,
     636,   637,   638,   639,  1697,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
    1698,   654,   655,   214,   656,   657,   216,   658,   659,  1699,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,  1700,   674,     0,   675,   676,
       0,   677,   221,   678,   679,   680,   681,   682,     0,   683,
    1701,  1702,     0,     0,   685,   686,  1703,   687,  1704,  1705,
     688,   689,   690,   691,   692,   693,   694,   695,     0,  1706,
     696,   697,   698,   699,   700,  1707,     0,   701,   702,   703,
     704,   705,   758,  1708,     0,   706,   233,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,  1709,  1710,  1711,  1712,   240,  1713,  1714,
    1715,  1716,   245,   759,   718,   719,  1717,     0,     0,     0,
       0,     0,     0,  2597,  2598,     0,     0,     0,     0,     0,
       0,     0,  1721,   782,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,   783,    98,    99,   738,   784,     0,   101,   102,
     103,   104,   785,   786,   106,   107,   108,     0,   109,   787,
     788,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,   426,     0,
       0,    37,     0,    38,    39,     0,  1651,  1652,  1653,    40,
    1654,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,  1655,     0,     0,   438,   439,     0,
     440,   441,   442,   126,   443,   444,   445,   128,  1656,   130,
    1657,  1658,     0,   446,   447,   448,   449,   450,   451,  1659,
    1660,   452,   453,  1661,  1662,   454,     0,   455,   456,   457,
     458,  1663,     0,  1664,     0,   459,   460,   461,   462,   463,
     142,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,   145,   472,   473,     0,  1665,  1666,  1667,  1668,
    1669,  1670,  1671,   475,   476,   477,   478,   752,   479,  1672,
    1673,   480,  1674,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
    1479,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,  1675,   507,   508,   509,
     510,  1676,  1677,   511,     0,   512,   513,  1678,   514,     0,
     515,     0,   516,   163,     0,   164,   517,   518,   519,   520,
       0,   521,  1679,     0,  1680,   522,   523,     0,   524,   525,
     754,   526,   527,   168,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   170,   171,
       0,   540,   541,   542,  1482,  1681,     0,  1682,     0,   543,
     174,   175,   544,   176,   545,   546,   547,   548,   549,     0,
       0,   550,  1683,   178,   551,   179,     0,   552,   553,   554,
    1684,  1685,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,  1686,   185,
    1687,   569,   570,   571,   572,   573,   574,   575,   187,  1688,
     576,  1689,   577,   578,   190,   579,  1690,  1691,   580,  1692,
     581,   582,   583,     0,   584,   585,     0,     0,  1693,   587,
     588,     0,     0,   589,   590,   193,   194,   591,   195,  1694,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,  1695,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,  1696,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
     207,   635,   636,   637,   638,   639,  1697,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,  1698,   654,   655,   214,   656,   657,   216,   658,
     659,  1699,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,  1700,   674,     0,
     675,   676,     0,   677,   221,   678,   679,   680,   681,   682,
       0,   683,  1701,  1702,     0,     0,   685,   686,  1703,   687,
    1704,  1705,   688,   689,   690,   691,   692,   693,   694,   695,
       0,  1706,   696,   697,   698,   699,   700,  1707,     0,   701,
     702,   703,   704,   705,   758,  1708,     0,   706,   233,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,  5077,  1709,  1710,  1711,  1712,   240,
    1713,  1714,  1715,  1716,   245,   759,   718,   719,  1717,     0,
       0,     0,     0,     0,     0,  1718,  1719,     0,     0,     0,
       0,     0,     0,     0,  1721,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
     426,     0,     0,    37,     0,    38,    39,     0,  1651,  1652,
    1653,    40,  1654,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,  1655,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,   128,
    1656,   130,  1657,  1658,     0,   446,   447,   448,   449,   450,
     451,  1659,  1660,   452,   453,  1661,  1662,   454,     0,   455,
     456,   457,   458,  1663,     0,  1664,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,  1665,  1666,
    1667,  1668,  1669,  1670,  1671,   475,   476,   477,   478,   752,
     479,  1672,  1673,   480,  1674,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,  1479,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,  1675,   507,
     508,   509,   510,  1676,  1677,   511,     0,   512,   513,  1678,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,  1679,     0,  1680,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,   171,     0,   540,   541,   542,  1482,  1681,     0,  1682,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,  1683,   178,   551,   179,     0,   552,
     553,   554,  1684,  1685,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
    1686,   185,  1687,   569,   570,   571,   572,   573,   574,  5089,
     187,  1688,   576,  1689,   577,   578,   190,   579,  1690,  1691,
     580,  1692,   581,   582,   583,     0,   584,   585,     0,     0,
    1693,   587,   588,     0,     0,   589,   590,   193,   194,   591,
     195,  1694,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,  1695,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1696,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,  1697,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,  1698,   654,   655,   214,   656,   657,
     216,   658,   659,  1699,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,  1700,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,  1701,  1702,     0,     0,   685,   686,
    1703,   687,  1704,  1705,   688,   689,   690,   691,   692,   693,
     694,   695,     0,  1706,   696,   697,   698,   699,   700,  1707,
       0,   701,   702,   703,   704,   705,   758,  1708,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,  1709,  1710,  1711,
    1712,   240,  1713,  1714,  1715,  1716,   245,   759,   718,   719,
    1717,     0,     0,     0,     0,     0,     0,  1718,  1719,     0,
       0,     0,     0,     0,     0,     0,  1721,   782,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,   783,    98,    99,   738,
     784,     0,   101,   102,   103,   104,   785,   786,   106,   107,
     108,     0,   109,   787,   788,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,   426,     0,     0,    37,     0,    38,    39,     0,
    1651,  1652,  1653,    40,  1654,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,  1655,     0,
       0,   438,   439,     0,   440,   441,   442,   126,   443,   444,
     445,   128,  1656,   130,  1657,  1658,     0,   446,   447,   448,
     449,   450,   451,  1659,  1660,   452,   453,  1661,  1662,   454,
       0,   455,   456,   457,   458,  1663,     0,  1664,     0,   459,
     460,   461,   462,   463,   142,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,   145,   472,  5413,     0,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,   476,   477,
     478,   752,   479,  1672,  1673,   480,  1674,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,  1479,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
    1675,   507,   508,   509,   510,  1676,  1677,   511,     0,   512,
     513,  1678,   514,     0,   515,     0,   516,   163,     0,   164,
     517,   518,   519,   520,     0,   521,  1679,     0,  5414,   522,
     523,     0,   524,   525,   754,   526,   527,   168,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   170,   171,     0,   540,   541,   542,  1482,  1681,
       0,  1682,     0,   543,   174,   175,   544,   176,   545,   546,
     547,   548,   549,     0,     0,   550,  1683,   178,   551,   179,
       0,   552,   553,   554,  1684,  1685,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,  1686,   185,  1687,   569,   570,   571,   572,   573,
     574,   575,   187,  1688,   576,  1689,   577,   578,   190,   579,
    1690,  1691,   580,  1692,   581,   582,   583,     0,   584,   585,
       0,     0,  1693,   587,   588,     0,     0,   589,   590,   193,
     194,   591,   195,  1694,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,  1695,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,  1696,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,   207,   635,   636,  5415,   638,   639,
    1697,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,  1698,   654,   655,   214,
     656,   657,   216,   658,   659,  1699,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,  1700,   674,     0,   675,   676,     0,   677,   221,   678,
     679,   680,   681,   682,     0,   683,  1701,  1702,     0,     0,
     685,   686,  1703,   687,  1704,  1705,   688,   689,   690,   691,
     692,   693,   694,   695,     0,  1706,   696,   697,   698,   699,
     700,  1707,     0,   701,   702,   703,   704,   705,   758,  1708,
       0,   706,   233,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,  1709,
    1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,   245,   759,
     718,   719,  1717,     0,     0,     0,     0,     0,     0,  1718,
    1719,     0,     0,     0,     0,     0,     0,     0,  5416,   782,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,   783,    98,
      99,   738,   784,     0,   101,   102,   103,   104,   785,   786,
     106,   107,   108,     0,   109,   787,   788,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,   426,     0,     0,    37,     0,    38,
      39,     0,  1651,  1652,  1653,    40,  1654,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
    1655,     0,     0,   438,   439,     0,   440,   441,   442,   126,
     443,   444,   445, -3021,  1656,   130,  1657,  1658,     0,   446,
     447,   448,   449,   450,   451,  1659,  1660,   452,   453,  1661,
    1662,   454,     0,   455,   456,   457,   458,  1663,     0,  1664,
       0,   459,   460,   461,   462,   463,   142,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,   145,   472,
     473,  5899,  1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,
     476,   477,   478,   752,   479,  1672,  1673,   480,  1674,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,  1479,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1675,   507,   508,   509,   510,  1676,  1677,   511,
       0,   512,   513,  1678,   514,     0,   515,     0,   516,   163,
       0,   164,   517,   518,   519,   520,     0,   521,  1679,     0,
    1680,   522,   523,     0,   524,   525,   754,   526,   527, -3021,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   170,   171,     0,   540,   541,   542,
    1482,  1681,     0,  1682,     0,   543,     0,     0,   544,   176,
     545,   546,   547,   548,   549,     0,     0,   550,  1683,   178,
     551, -3021,     0,   552,   553,   554,  1684,  1685,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,  1686,   185,  1687,   569,   570,   571,
     572,   573,   574,   575,   187,  1688,   576,  1689,   577,   578,
       0,   579,  1690,  1691,   580,  1692,   581,   582,   583,     0,
     584,   585,     0,     0,  1693,   587,   588,     0,     0,   589,
     590,   193,   194,   591,   195,  1694,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,  1695,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,  1696,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,   207,   635,   636,   637,
     638,   639,  1697,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,  1698,   654,
     655,   214,   656,   657, -3021,   658,   659,  1699,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,  1700,   674,     0,   675,   676,     0,   677,
     221,   678,   679,   680,   681,   682,     0,   683,  1701,  1702,
       0,     0,   685,   686,  1703,   687,  1704,  1705,   688,   689,
     690,   691,   692,  5900,   694,   695,     0,  1706,   696,   697,
     698,   699,   700,  1707,     0,   701,   702,   703,   704,   705,
     758,  1708,     0,   706,   233,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,  1709,  1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,
     245,   759,   718,   719, -3021,     0,     0,     0,     0,     0,
       0,  1718,  1719,     0,     0,     0,     0,     0,     0,     0,
    1721,   782,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
     783,    98,    99,   738,   784,     0,   101,   102,   103,   104,
     785,   786,   106,   107,   108,     0,   109,   787,   788,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,   426,     0,     0,    37,
       0,    38,    39,     0,  1651,  1652,  1653,    40,  1654,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,  1655,     0,     0,   438,   439,     0,   440,   441,
     442,   126,   443,   444,   445,   128,  1656,   130,  1657,  1658,
       0,   446,   447,   448,   449,   450,   451,  1659,  1660,   452,
     453,  1661,  1662,   454,     0,   455,   456,   457,   458,  1663,
       0,  1664,     0,   459,   460,   461,   462,   463,   142,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
     145,   472,   473,     0,  1665,  1666,  1667,  1668,  1669,  1670,
    1671,   475,   476,   477,   478,   752,   479,  1672,  1673,   480,
    5617,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,  1479,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1675,   507,   508,   509,   510,  1676,
    1677,   511,     0,   512,   513,  1678,   514,     0,   515,     0,
     516,   163,     0,   164,   517,   518,   519,   520,     0,   521,
    1679,     0,  1680,   522,   523,     0,   524,   525,   754,   526,
     527,   168,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   170,   171,     0,   540,
     541,   542,  1482,  1681,     0,  1682,     0,   543,   174,   175,
     544,   176,   545,   546,   547,   548,   549,     0,     0,   550,
    1683,   178,   551,   179,     0,   552,   553,   554,  1684,  1685,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,  1686,   185,  1687,   569,
     570,   571,   572,   573,   574,   575,   187,  1688,   576,     0,
     577,   578,   190,   579,  1690,  1691,   580,  1692,   581,   582,
     583,     0,   584,   585,     0,     0,  1693,   587,   588,     0,
       0,   589,   590,   193,   194,   591,   195,  1694,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
    1695,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,  1696,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,   207,   635,
     636,   637,   638,   639,  3255,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
    1698,   654,   655,   214,   656,   657,   216,   658,   659,  1699,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,  1700,   674,     0,   675,   676,
       0,   677,   221,   678,   679,   680,   681,   682,     0,   683,
    1701,  1702,     0,     0,   685,   686,  1703,   687,  1704,  1705,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,  1707,     0,   701,   702,   703,
     704,   705,   758,  1708,     0,   706,   233,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,  1709,  1710,  1711,  1712,   240,  1713,  1714,
    1715,  1716,   245,   759,   718,   719,     0,     0,     0,     0,
       0,     0,     0,  3256,  3257,     0,     0,     0,     0,     0,
       0,     0,  3258,   782,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,   783,    98,    99,   738,   784,     0,   101,   102,
     103,   104,   785,   786,   106,   107,   108,     0,   109,   787,
     788,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,   426,     0,
       0,    37,     0,    38,    39,     0,  1651,  1652,  1653,    40,
    1654,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,  1655,     0,     0,   438,   439,     0,
     440,   441,   442,   126,   443,   444,   445,   128,  1656,   130,
    1657,  1658,     0,   446,   447,   448,   449,   450,   451,  1659,
    1660,   452,   453,  1661,  1662,   454,     0,   455,   456,   457,
     458,  1663,     0,  1664,     0,   459,   460,   461,   462,   463,
     142,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,   145,   472,   473,     0,  1665,  1666,  1667,  1668,
    1669,  1670,  1671,   475,   476,   477,   478,   752,   479,  1672,
    1673,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
    1479,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,  1675,   507,   508,   509,
     510,  1676,  1677,   511,     0,   512,   513,  1678,   514,     0,
     515,     0,   516,   163,     0,   164,   517,   518,   519,   520,
       0,   521,  1679,     0,  1680,   522,   523,     0,   524,   525,
     754,   526,   527,   168,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   170,   171,
       0,   540,   541,   542,  1482,  1681,     0,  1682,     0,   543,
     174,   175,   544,   176,   545,   546,   547,   548,   549,     0,
       0,   550,  1683,   178,   551,   179,     0,   552,   553,   554,
    1684,  1685,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,  1686,   185,
    1687,   569,   570,   571,   572,   573,   574,   575,   187,  1688,
     576,     0,   577,   578,   190,   579,  1690,  1691,   580,  1692,
     581,   582,   583,     0,   584,   585,     0,     0,  1693,   587,
     588,     0,     0,   589,   590,   193,   194,   591,   195,  1694,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,  1695,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,  1696,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
     207,   635,   636,   637,   638,   639,  3255,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,  1698,   654,   655,   214,   656,   657,   216,   658,
     659,  1699,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,  1700,   674,     0,
     675,   676,     0,   677,   221,   678,   679,   680,   681,   682,
       0,   683,  1701,  1702,     0,     0,   685,   686,  1703,   687,
    1704,  1705,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,  1707,     0,   701,
     702,   703,   704,   705,   758,  1708,     0,   706,   233,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,  1709,  1710,  1711,  1712,   240,
    1713,  1714,  1715,  1716,   245,   759,   718,   719,     0,     0,
       0,     0,     0,     0,     0,  3256,  3257,     0,     0,     0,
       0,     0,     0,     0,  3258,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
     426,     0,     0,    37,     0,    38,    39,     0,  1651,  1652,
       0,    40,  1654,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,  1655,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,   128,
    1656,   130,  1657,  1658,     0,   446,   447,   448,   449,   450,
     451,  1659,  1660,   452,   453,  1661,  1662,   454,     0,   455,
     456,   457,   458,  1663,     0,  1664,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,  1665,  1666,
    1667,  1668,  1669,  1670,  1671,   475,   476,   477,   478,   752,
     479,  1672,  1673,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,  1479,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,  1675,   507,
     508,   509,   510,  1676,  1677,   511,     0,   512,   513,  1678,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,  1679,     0,  1680,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,   171,     0,   540,   541,   542,  1482,  1681,     0,  1682,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,  1683,   178,   551,   179,     0,   552,
     553,   554,  1684,  1685,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
    1686,   185,  1687,   569,   570,   571,   572,   573,   574,   575,
     187,  1688,   576,     0,   577,   578,   190,   579,  1690,  1691,
     580,  1692,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,   194,   591,
     195,  1694,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,  1695,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1696,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,  3394,  3395,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,  1698,   654,   655,   214,   656,   657,
     216,   658,   659,  1699,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,  1700,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,  1701,  1702,     0,     0,   685,   686,
    1703,   687,  1704,  1705,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,  1707,
       0,   701,   702,   703,   704,   705,   758,  1708,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,  1709,  1710,  1711,
    1712,   240,  1713,  1714,  1715,  1716,   245,   759,   718,   719,
       0,     0,     0,     0,     0,     0,     0,  3396,  3397,     0,
       0,     0,     0,     0,     0,     0,  3258,   782,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,   783,    98,    99,   738,
     784,     0,   101,   102,   103,   104,   785,   786,   106,   107,
     108,     0,   109,   787,   788,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,   426,     0,     0,    37,     0,    38,    39,     0,
    1651,  1652,  1653,    40,  1654,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,  1655,     0,
       0,   438,   439,     0,   440,   441,   442,   126,   443,   444,
     445,   128,  1656,   130,  1657,  1658,     0,   446,   447,   448,
     449,   450,   451,  1659,  1660,   452,   453,  1661,  1662,   454,
       0,   455,   456,   457,   458,  1663,     0,  1664,     0,   459,
     460,   461,   462,   463,   142,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,   145,   472,   473,     0,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,   476,   477,
     478,   752,   479,  1672,  1673,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,  1479,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
    1675,   507,   508,   509,   510,  1676,  1677,   511,     0,   512,
     513,  1678,   514,     0,   515,     0,   516,   163,     0,   164,
     517,   518,   519,   520,     0,   521,  1679,     0,  1680,   522,
     523,     0,   524,   525,   754,   526,   527,   168,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   170,   171,     0,   540,   541,   542,  1482,  1681,
       0,  1682,     0,   543,     0,   175,   544,   176,   545,   546,
     547,   548,   549,     0,     0,   550,  1683,   178,   551,   179,
       0,   552,   553,   554,  1684,  1685,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,  1686,   185,  1687,   569,   570,   571,   572,   573,
     574,   575,   187,  1688,   576,     0,   577,   578,   190,   579,
    1690,  1691,   580,  1692,   581,   582,   583,     0,   584,   585,
       0,     0,  1693,   587,   588,     0,     0,   589,   590,   193,
     194,   591,   195,  1694,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,  1695,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,  1696,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,   207,   635,   636,   637,   638,   639,
    3255,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,  1698,   654,   655,   214,
     656,   657,   216,   658,   659,  1699,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,  1700,   674,     0,   675,   676,     0,   677,   221,   678,
     679,   680,   681,   682,     0,   683,  1701,  1702,     0,     0,
     685,   686,  1703,   687,  1704,  1705,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,  1707,     0,   701,   702,   703,   704,   705,   758,  1708,
       0,   706,   233,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,  1709,
    1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,   245,   759,
     718,   719,     0,     0,     0,     0,     0,     0,     0,  3256,
    3257,     0,     0,     0,     0,     0,     0,     0,  3258,   782,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,   783,    98,
      99,   738,   784,     0,   101,   102,   103,   104,   785,   786,
     106,   107,   108,     0,   109,   787,   788,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,   426,     0,     0,    37,     0,    38,
      39,     0,  1651,  1652,     0,    40,  1654,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
    1655,     0,     0,   438,   439,     0,   440,   441,   442,   126,
     443,   444,   445,   128,  1656,   130,  1657,  1658,     0,   446,
     447,   448,   449,   450,   451,  1659,  1660,   452,   453,  1661,
    1662,   454,     0,   455,   456,   457,   458,  1663,     0,  1664,
       0,   459,   460,   461,   462,   463,   142,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,   145,   472,
     473,     0,  1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,
     476,   477,   478,   752,   479,  1672,  1673,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,  1479,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,  1675,   507,   508,   509,   510,  1676,  1677,   511,
       0,   512,   513,  1678,   514,     0,   515,     0,   516,   163,
       0,   164,   517,   518,   519,   520,     0,   521,  1679,     0,
    1680,   522,   523,     0,   524,   525,   754,   526,   527,   168,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   170,   171,     0,   540,   541,   542,
    1482,  1681,     0,  1682,     0,   543,   174,   175,   544,   176,
     545,   546,   547,   548,   549,     0,     0,   550,  1683,   178,
     551,   179,     0,   552,   553,   554,  1684,  1685,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,  1686,   185,  1687,   569,   570,   571,
     572,   573,   574,   575,   187,  1688,   576,     0,   577,   578,
     190,   579,  1690,  1691,   580,  1692,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,   194,   591,   195,  1694,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,  1695,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,  1696,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,   207,   635,   636,   637,
     638,   639,  3255,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,  1698,   654,
     655,   214,   656,   657,   216,   658,   659,  1699,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,  1700,   674,     0,   675,   676,     0,   677,
     221,   678,   679,   680,   681,   682,     0,   683,  1701,  1702,
       0,     0,   685,   686,  1703,   687,  1704,  1705,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,  1707,     0,   701,   702,   703,   704,   705,
     758,  1708,     0,   706,   233,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,  1709,  1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,
     245,   759,   718,   719,     0,     0,     0,     0,   782,    81,
      82,   735,    84,    85,    86,   736,     0,   737,    89,     0,
    3258,    92,    93,    94,    95,    96,    97,   783,    98,    99,
     738,   784,     0,   101,   102,   103,   104,   785,   786,   106,
     107,   108,     0,   109,   787,   788,   739,   740,     0,     0,
       0,   741,   742,     0,     0,     0,     0,   743,     0,     0,
       0,     0,     0,     0,     0,     0,   744,     0,   745,     0,
     746,   747,    35,   426,     0,     0,    37,     0,    38,    39,
       0,  1651,  1652,     0,    40,  1654,     0,     0,     0,     0,
       0,     0,     0,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,     0,     0,     0,     0,  1655,
       0,     0,   438,   439,     0,   440,   441,   442,   126,   443,
     444,   445,   128,  1656,   130,  1657,  1658,     0,  4620,   447,
     448,   449,   450,   451,  1659,  1660,   452,   453,  1661,  1662,
     454,     0,   455,   456,   457,   458,  1663,     0,  1664,     0,
     459,   460,   461,   462,   463,   142,   464,   465,   750,     0,
     466,   467,   468,   469,   470,   471,     0,   145,   472,   473,
       0,  1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,   476,
     477,   478,   752,   479,  1672,  1673,   480,     0,   481,     0,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,     0,     0,   492,   493,  1479,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,  1675,   507,   508,   509,   510,  1676,  1677,   511,     0,
     512,   513,  1678,   514,     0,   515,     0,   516,   163,     0,
     164,   517,   518,   519,   520,     0,   521,  1679,     0,  1680,
     522,   523,     0,   524,   525,   754,   526,   527,   168,   528,
     529,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   170,   171,     0,   540,   541,   542,  1482,
    1681,     0,  1682,     0,   543,   174,   175,   544,   176,   545,
     546,   547,   548,   549,     0,     0,   550,  1683,   178,   551,
     179,     0,   552,   553,   554,  1684,  1685,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   755,   564,   565,   756,
     566,   567,   568,  1686,   185,  1687,   569,   570,   571,   572,
     573,   574,   575,   187,  1688,   576,     0,   577,   578,   190,
     579,  1690,  1691,   580,  1692,   581,   582,   583,     0,   584,
     585,     0,     0,   586,   587,   588,     0,     0,   589,   590,
     193,   194,   591,   195,  1694,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,  1695,   603,   198,
     604,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,  1696,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,     0,   633,   634,   207,   635,   636,   637,   638,
     639,  3255,   640,   641,   642,   643,   644,   645,   646,   757,
     647,     0,   648,   649,   650,   651,   652,  1698,   654,   655,
     214,   656,   657,   216,   658,   659,  1699,   660,     0,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,  1700,   674,     0,   675,   676,     0,   677,   221,
     678,   679,   680,   681,   682,     0,   683,  1701,  1702,     0,
       0,   685,   686,  1703,   687,  1704,  1705,   688,   689,   690,
     691,   692,   693,   694,   695,     0,     0,   696,   697,   698,
     699,   700,  1707,     0,   701,   702,   703,   704,   705,   758,
    1708,     0,   706,   233,   707,   708,   709,   710,     0,     0,
     711,     0,     0,   712,   713,   714,   715,   716,   717,   235,
    1709,  1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,   245,
     759,   718,   719,     0,     0,     0,     0,   782,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,  3258,
      92,    93,    94,    95,    96,    97,   783,    98,    99,   738,
     784,     0,   101,   102,   103,   104,   785,   786,   106,   107,
     108,     0,   109,   787,   788,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,   426,     0,     0,    37,     0,    38,    39,     0,
    1651,  1652,     0,    40,  1654,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,  1655,     0,
       0,   438,   439,     0,   440,   441,   442,   126,   443,   444,
     445,   128,  1656,   130,  1657,  1658,     0,   446,   447,   448,
     449,   450,   451,  1659,  1660,   452,   453,  1661,  1662,   454,
       0,   455,   456,   457,   458,  1663,     0,  1664,     0,   459,
     460,   461,   462,   463,   142,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,   145,   472,   473,     0,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,   476,   477,
     478,   752,   479,  1672,  1673,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,  1479,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
    1675,   507,   508,   509,   510,  1676,  1677,   511,     0,   512,
     513,  1678,   514,     0,   515,     0,   516,   163,     0,   164,
     517,   518,   519,   520,     0,   521,  1679,     0,  1680,   522,
     523,     0,   524,   525,   754,   526,   527,   168,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   170,   171,     0,   540,   541,   542,  1482,  1681,
       0,  1682,     0,   543,   174,   175,   544,   176,   545,   546,
     547,   548,   549,     0,     0,   550,  1683,   178,   551,   179,
       0,   552,   553,   554,  1684,  1685,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,  1686,   185,  1687,   569,   570,   571,   572,   573,
     574,   575,   187,  1688,   576,     0,   577,   578,   190,   579,
    1690,  1691,   580,  1692,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
     194,   591,   195,  1694,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,  1695,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,  1696,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,   207,   635,   636,   637,   638,   639,
    3255,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,  1698,   654,   655,   214,
     656,   657,   216,   658,   659,  1699,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,  1700,   674,     0,   675,   676,     0,   677,   221,   678,
     679,   680,   681,   682,     0,   683,  1701,  1702,     0,     0,
     685,   686,  1703,   687,  1704,  1705,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,  1707,     0,   701,   702,   703,   704,   705,   758,  1708,
       0,   706,   233,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,  1709,
    1710,  1711,  1712,  5120,  1713,  1714,  1715,  1716,   245,   759,
     718,   719,     0,     0,     0,     0,   782,    81,    82,   735,
      84,    85,    86,   736,     0,   737,    89,     0,  3258,    92,
      93,    94,    95,    96,    97,   783,    98,    99,   738,   784,
       0,   101,   102,   103,   104,   785,   786,   106,   107,   108,
       0,   109,   787,   788,   739,   740,     0,     0,     0,   741,
     742,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,   744,     0,   745,     0,   746,   747,
      35,   426,     0,     0,    37,     0,    38,    39,     0,  1651,
    1652,  1653,    40,  1654,     0,     0,     0,     0,     0,     0,
       0,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,     0,     0,     0,     0,  1655,     0,     0,
     438,   439,     0,   440,   441,   442,   126,   443,   444,   445,
       0,  1656,   130,  1657,  1658,     0,   446,   447,   448,   449,
     450,   451,  1659,  1660,   452,   453,  1661,  1662,   454,     0,
     455,   456,   457,   458,  1663,     0,  1664,     0,   459,   460,
     461,   462,   463,   142,   464,   465,   750,     0,   466,   467,
     468,   469,   470,   471,     0,   145,   472,   473,     0,  1665,
    1666,  1667,  1668,  1669,  1670,  1671,   475,   476,   477,   478,
     752,   479,  1672,  1673,   480,  1674,   481,     0,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,     0,
       0,   492,   493,  1479,   495,   496,     0,   497,   498,   499,
       0,   500,     0,   502,     0,   503,   504,   505,   506,  1675,
     507,   508,   509,   510,  1676,  1677,   511,     0,   512,   513,
    1678,   514,     0,   515,     0,   516,   163,     0,   164,   517,
     518,   519,   520,     0,   521,  1679,     0,  1680,   522,   523,
       0,   524,   525,   754,   526,   527,     0,   528,   529,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   170,   171,     0,   540,   541,   542,  1482,  1681,     0,
    1682,     0,   543,     0,     0,   544,   176,   545,   546,   547,
     548,   549,     0,     0,   550,  1683,   178,   551,     0,     0,
     552,   553,   554,  1684,  1685,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   755,   564,   565,   756,   566,   567,
     568,  1686,   185,  1687,   569,   570,   571,   572,   573,   574,
     575,   187,  1688,   576,  1689,   577,   578,     0,   579,  1690,
    1691,   580,  1692,   581,   582,   583,     0,   584,   585,     0,
       0,  1693,   587,   588,     0,     0,   589,   590,   193,   194,
     591,   195,  1694,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,  1695,   603,   198,   604,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,  1696,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
       0,   633,   634,   207,   635,   636,   637,   638,   639,  1697,
     640,   641,   642,   643,   644,   645,   646,   757,   647,     0,
     648,   649,   650,   651,   652,  1698,   654,   655,   214,   656,
     657,     0,   658,   659,  1699,   660,     0,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
    1700,   674,     0,   675,   676,     0,   677,   221,   678,   679,
     680,   681,   682,     0,   683,  1701,  1702,     0,     0,   685,
     686,  1703,   687,  1704,  1705,   688,   689,   690,   691,   692,
     693,   694,   695,     0,  1706,   696,   697,   698,   699,   700,
    1707,     0,   701,   702,   703,   704,   705,   758,  1708,     0,
     706,   233,   707,   708,   709,   710,     0,     0,   711,     0,
       0,   712,   713,   714,   715,   716,   717,   235,  1709,  1710,
    1711,  1712,   240,  1713,  1714,  1715,  1716,   245,   759,   718,
     719,     0,     0,     0,     0,     0,     0,     0,  1718,  1719,
       0,     0,     0,     0,     0,     0,     0,  1721,   782,    81,
      82,   735,    84,    85,    86,   736,     0,   737,    89,     0,
       0,    92,    93,    94,    95,    96,    97,   783,    98,    99,
     738,   784,     0,   101,   102,   103,   104,   785,   786,   106,
     107,   108,     0,   109,   787,   788,   739,   740,     0,     0,
       0,   741,   742,     0,     0,     0,     0,   743,     0,     0,
       0,     0,     0,     0,     0,     0,   744,     0,   745,     0,
     746,   747,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,     0,     0,     0,     0,     0,
       0,     0,   438,   439,     0,   440,   441,   442,   126,   443,
     444,   445,   128,   129,   130,   131,   132,     0,   446,   447,
     448,   449,   450,   451,     0,  1660,   452,   453,   749,   134,
     454,     0,   455,   456,   457,   458,  1663,     0,  1664,     0,
     459,   460,   461,   462,   463,   142,   464,   465,   750,     0,
     466,   467,   468,   469,   470,   471,     0,   145,   472,   473,
       0,  1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,   476,
     477,   478,   752,   479,   149,   150,   480,     0,   481,     0,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   158,   507,   508,   509,   510,  1676,     0,   511,     0,
     512,   513,   162,   514,     0,   515,     0,   516,   163,     0,
     164,   517,   518,   519,   520,     0,   521,  1679,     0,   167,
     522,   523,     0,   524,   525,   754,   526,   527,   168,   528,
     529,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   170,   171,     0,   540,   541,   542,     0,
     172,     0,   173,     0,   543,   174,   175,   544,   176,   545,
     546,   547,   548,   549,  4100,     0,   550,  1683,   178,   551,
     179,     0,   552,   553,   554,  1684,  1685,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   755,   564,   565,   756,
     566,   567,   568,   184,   185,   186,   569,   570,   571,   572,
     573,   574,   575,   187,  1688,   576,     0,   577,   578,   190,
     579,     0,  1691,   580,   192,   581,   582,   583,     0,   584,
     585,     0,  1178,   586,   587,   588,     0,     0,   589,   590,
     193,   194,   591,   195,  1694,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,  1695,   603,   198,
     604,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   200,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,     0,   633,   634,   207,   635,   636,   637,   638,
     639,   209,  4101,   641,   642,   643,   644,   645,   646,   757,
     647,   212,   648,   649,   650,   651,   652,  1698,   654,   655,
     214,   656,   657,   216,   658,   659,   217,   660,     0,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,  1700,   674,     0,   675,   676,   220,   677,   221,
     678,   679,   680,   681,   682,     0,   683,   222,   223,     0,
       0,   685,   686,  1703,   687,  1704,     0,   688,   689,   690,
     691,   692,   693,   694,   695,     0,     0,   696,   697,   698,
     699,   700,  1707,     0,   701,   702,   703,   704,   705,  2463,
     232,     0,   706,   233,   707,   708,   709,   710,     0,     0,
     711,     0,   234,   712,   713,   714,   715,   716,   717,   235,
    1709,  1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,  4102,
     759,   718,   719,     0,     0,   246,     0,   782,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,  4103,
      92,    93,    94,    95,    96,    97,   783,    98,    99,   738,
     784,     0,   101,   102,   103,   104,   785,   786,   106,   107,
     108,     0,   109,   787,   788,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,   126,   443,   444,
     445,   128,   129,   130,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,  1660,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,  1663,     0,  1664,     0,   459,
     460,   461,   462,   463,   142,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,   145,   472,   473,     0,
    1665,  1666,  1667,  1668,  1669,  1670,  1671,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,  1676,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,   163,     0,   164,
     517,   518,   519,   520,     0,   521,  1679,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,   168,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   170,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,   174,   175,   544,   176,   545,   546,
     547,   548,   549,  4100,     0,   550,  1683,   178,   551,   179,
       0,   552,   553,   554,  1684,  1685,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,   185,   186,   569,   570,   571,   572,   573,
     574,   575,   187,  1688,   576,     0,   577,   578,   190,   579,
       0,  1691,   580,   192,   581,   582,   583,     0,   584,   585,
       0,  1178,   586,   587,   588,     0,     0,   589,   590,   193,
     194,   591,   195,  1694,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,  1695,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,   207,   635,   636,   637,   638,   639,
     209,  4101,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,  1698,   654,   655,   214,
     656,   657,   216,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,  1700,   674,     0,   675,   676,     0,   677,   221,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,  1703,   687,  1704,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,  1707,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,   233,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,  1709,
    1710,  1711,  1712,   240,  1713,  1714,  1715,  1716,  4102,   759,
     718,   719,     0,     0,     0,     0,   782,    81,    82,   735,
      84,    85,    86,   736,     0,   737,    89,     0,  4103,    92,
      93,    94,    95,    96,    97,   783,    98,    99,   738,   784,
       0,   101,   102,   103,   104,   785,   786,   106,   107,   108,
       0,   109,   787,   788,   739,   740,     0,     0,     0,   741,
     742,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,   744,     0,   745,     0,   746,   747,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,     0,     0,     0,     0,     0,     0,     0,
     438,   439,     0,   440,   441,   442,   126,   443,   444,   445,
     128,   129,   130,   131,   132,     0,   446,   447,   448,   449,
     450,   451,     0,  1660,   452,   453,   749,   134,   454,     0,
     455,   456,   457,   458,  1663,     0,  1664,     0,   459,   460,
     461,   462,   463,   142,   464,   465,   750,     0,   466,   467,
     468,   469,   470,   471,     0,   145,   472,   473,     0,  1665,
    1666,  1667,  1668,  1669,  1670,  1671,   475,   476,   477,   478,
     752,   479,   149,   150,   480,     0,   481,     0,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   158,
     507,   508,   509,   510,  1676,     0,   511,     0,   512,   513,
     162,   514,     0,   515,     0,   516,   163,     0,   164,   517,
     518,   519,   520,     0,   521,  1679,     0,   167,   522,   523,
       0,   524,   525,   754,   526,   527,   168,   528,   529,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   170,   171,     0,   540,   541,   542,     0,   172,     0,
     173,     0,   543,   174,   175,   544,   176,   545,   546,   547,
     548,   549,     0,     0,   550,  1683,   178,   551,   179,     0,
     552,   553,   554,  1684,  1685,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   755,   564,   565,   756,   566,   567,
     568,   184,   185,   186,   569,   570,   571,   572,   573,   574,
     575,   187,  1688,   576,     0,   577,   578,   190,   579,     0,
    1691,   580,   192,   581,   582,   583,     0,   584,   585,     0,
       0,   586,   587,   588,     0,     0,   589,   590,   193,   194,
     591,   195,  1694,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,  1695,   603,   198,   604,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   200,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
       0,   633,   634,   207,   635,   636,   637,   638,   639,   209,
    4101,   641,   642,   643,   644,   645,   646,   757,   647,     0,
     648,   649,   650,   651,   652,  1698,   654,   655,   214,   656,
     657,   216,   658,   659,   217,   660,     0,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
    1700,   674,     0,   675,   676,     0,   677,   221,   678,   679,
     680,   681,   682,     0,   683,   222,   223,     0,     0,   685,
     686,  1703,   687,  1704,     0,   688,   689,   690,   691,   692,
     693,   694,   695,     0,     0,   696,   697,   698,   699,   700,
    1707,     0,   701,   702,   703,   704,   705,   758,   232,     0,
     706,   233,   707,   708,   709,   710,     0,     0,   711,     0,
       0,   712,   713,   714,   715,   716,   717,   235,  1709,  1710,
    1711,  1712,   240,  1713,  1714,  1715,  1716,  4102,   759,   718,
     719,     0,     0,     0,     0,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,   247,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,   128,
     129,   130,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,  1660,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,  1663,     0,  1664,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,  1665,  1666,
    1667,  1668,  1669,  1670,  1671,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,  1676,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,  1679,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,  1683,   178,   551,   179,     0,   552,
     553,   554,  1684,  1685,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,   185,   186,   569,   570,   571,   572,   573,   574,   575,
     187,  1688,   576,     0,   577,   578,   190,   579,     0,  1691,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,   194,   591,
     195,  1694,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,  1695,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,  1698,   654,   655,   214,   656,   657,
     216,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,  1700,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
    1703,   687,  1704,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,  1707,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,  1709,  1710,  1711,
    1712,   240,  1713,  1714,  1715,  1716,   245,   759,   718,   719,
       0,     0,     0,     0,   782,    81,    82,   735,    84,    85,
      86,   736,     0,   737,    89,     0,  4751,    92,    93,    94,
      95,    96,    97,   783,    98,    99,   738,   784,     0,   101,
     102,   103,   104,   785,   786,   106,   107,   108,     0,   109,
     787,   788,   739,   740,     0,     0,     0,   741,   742,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,   744,     0,   745,     0,   746,   747,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
     437,     0,     0,     0,     0,     0,     0,     0,   438,   439,
       0,   440,   441,   442,   126,   443,   444,   445,   128,   129,
     130,   131,   132,     0,   446,   447,   448,   449,   450,   451,
       0,  1660,   452,   453,   749,   134,   454,     0,   455,   456,
     457,   458,  1663,     0,  1664,     0,   459,   460,   461,   462,
     463,   142,   464,   465,   750,     0,   466,   467,   468,   469,
     470,   471,     0,   145,   472,   473,     0,  1665,  1666,  1667,
    1668,  1669,  1670,  1671,   475,   476,   477,   478,   752,   479,
     149,   150,   480,     0,   481,     0,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   158,   507,   508,
     509,   510,  1676,     0,   511,     0,   512,   513,   162,   514,
       0,   515,     0,   516,   163,     0,   164,   517,   518,   519,
     520,     0,   521,  1679,     0,   167,   522,   523,     0,   524,
     525,   754,   526,   527,   168,   528,   529,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   170,
     171,     0,   540,   541,   542,     0,   172,     0,   173,     0,
     543,   174,   175,   544,   176,   545,   546,   547,   548,   549,
       0,     0,   550,  1683,   178,   551,   179,     0,   552,   553,
     554,  1684,  1685,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   755,   564,   565,   756,   566,   567,   568,   184,
     185,   186,   569,   570,   571,   572,   573,   574,   575,   187,
    1688,   576,     0,   577,   578,   190,   579,     0,  1691,   580,
     192,   581,   582,   583,     0,   584,   585,     0,     0,   586,
     587,   588,     0,     0,   589,   590,   193,   194,   591,   195,
    1694,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,  1695,   603,   198,   604,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     200,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,     0,   633,
     634,   207,   635,   636,   637,   638,   639,   209,   640,   641,
     642,   643,   644,   645,   646,   757,   647,     0,   648,   649,
     650,   651,   652,  1698,   654,   655,   214,   656,   657,   216,
     658,   659,   217,   660,     0,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,  1700,   674,
       0,   675,   676,     0,   677,   221,   678,   679,   680,   681,
     682,     0,   683,   222,   223,     0,     0,   685,   686,  1703,
     687,  1704,     0,   688,   689,   690,   691,   692,   693,   694,
     695,     0,     0,   696,   697,   698,   699,   700,  1707,     0,
     701,   702,   703,   704,   705,   758,   232,     0,   706,   233,
     707,   708,   709,   710,     0,     0,   711,     0,     0,   712,
     713,   714,   715,   716,   717,   235,  1709,  1710,  1711,  1712,
     240,  1713,  1714,  1715,  1716,   245,   759,   718,   719,     0,
       0,     0,     0,   782,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,  5879,    92,    93,    94,    95,
      96,    97,   783,    98,    99,   738,   784,     0,   101,   102,
     103,   104,   785,   786,   106,   107,   108,     0,   109,   787,
     788,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,   126,   443,   444,   445,   128,   129,   130,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,   139,     0,   459,   460,   461,   462,   463,
     142,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,   145,   472,   473,     0,     0,     0,     0,   146,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,   163,     0,   164,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,   168,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   170,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
     174,   175,   544,   176,   545,   546,   547,   548,   549,     0,
       0,   550,   177,   178,   551,   179,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,   185,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,   190,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,   194,   591,   195,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
     207,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,   216,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,   221,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,   233,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,     0,     0,
       0,     0,     0,    81,    82,   735,    84,    85,    86,   736,
       0,   737,    89,     0,  5468,    92,    93,    94,    95,    96,
      97,     0,    98,    99,   738,     0,     0,   101,   102,   103,
     104,     0,     0,   106,   107,   108,     0,   109,     0,     0,
     739,   740,     0,     0,     0,   741,   742,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
     744,     0,   745,     0,   746,   747,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,   437,     0,
       0,     0,     0,     0,  4678,     0,   438,   439,     0,   440,
     441,   442,     0,   443,   444,   445,   128,   129,     0,   131,
     132,     0,   446,   447,   448,   449,   450,   451,     0,     0,
     452,   453,   749,   134,   454,     0,   455,   456,   457,   458,
     138,     0,     0,     0,   459,   460,   461,   462,   463,     0,
     464,   465,   750,     0,   466,   467,   468,   469,   470,   471,
       0, -1757,   472,   473,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   752,   479,   149,   150,
     480,     0,   481,     0,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   158,   507,   508,   509,   510,
     160,     0,   511,     0,   512,   513,   162,   514,     0,   515,
       0,   516,     0,     0, -1757,   517,   518,   519,   520,     0,
     521,   166,     0,   167,   522,   523,     0,   524,   525,   754,
     526,   527,     0,   528,   529,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539, -1757,   171,     0,
     540,   541,   542,     0,   172,     0,   173,     0,   543,     0,
       0,   544, -1757,   545,   546,   547,   548,   549,     0,     0,
     550,   177, -1757,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     755,   564,   565,   756,   566,   567,   568,   184, -1757,   186,
     569,   570,   571,   572,   573,   574,   575,   187,   188,   576,
       0,   577,   578,     0,   579,     0,   191,   580,   192,   581,
     582,   583,     0,   584,   585,     0,     0,   586,   587,   588,
       0,     0,   589,   590,   193,     0,   591,     0,   196,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   197,   603,   198,   604,   605,   606,     0,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   200,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,     0,   633,   634, -1757,
     635,   636,   637,   638,   639,   209,   640,   641,   642,   643,
     644,   645,   646,   757,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   214,   656,   657,     0,   658,   659,
     217,   660,     0,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   219,   674,     0,   675,
     676,     0,   677,     0,   678,   679,   680,   681,   682,     0,
     683,   222,   223,     0,     0,   685,   686,   224,   687,   225,
       0,   688,   689,   690,   691,   692,   693,   694,   695,     0,
       0,   696,   697,   698,   699,   700,     0,     0,   701,   702,
     703,   704,   705,   758,   232,     0,   706,     0,   707,   708,
     709,   710,     0,     0,   711,     0,     0,   712,   713,   714,
     715,   716,   717,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   759,   718,   719,     0,     0,     0,
       0,     0,     0,    81,    82,   735,    84,    85,    86,   736,
       0,   737,    89,     0,  1811,    92,    93,    94,    95,    96,
      97,     0,    98,    99,   738,     0,     0,   101,   102,   103,
     104,     0,     0,   106,   107,   108,     0,   109,     0,     0,
     739,   740,     0,     0,     0,   741,   742,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
     744,     0,   745,     0,   746,   747,    35,   426,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,   437,     0,
       0,     0,     0,     0,     0,     0,   438,   439,     0,   440,
     441,   442,     0,   443,   444,   445,   128,   129,     0,   131,
     132,     0,   446,   447,   448,   449,   450,   451,     0,     0,
     452,   453,   749,   134,   454,     0,   455,   456,   457,   458,
     138,     0,     0,     0,   459,   460,   461,   462,   463,     0,
     464,   465,   750,     0,   466,   467,   468,   469,   470,   471,
       0,     0,   472,   473,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   752,   479,   149,   150,
     480,     0,   481,     0,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   158,   507,   508,   509,   510,
     160,     0,   511,     0,   512,   513,   162,   514,     0,   515,
       0,   516,     0,     0,     0,   517,   518,   519,   520,     0,
     521,   166,     0,   167,   522,   523,     0,   524,   525,   754,
     526,   527,     0,   528,   529,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   171,     0,
     540,   541,   542,     0,   172,     0,   173,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   177,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     755,   564,   565,   756,   566,   567,   568,   184,     0,   186,
     569,   570,   571,   572,   573,   574,   575,   187,   188,   576,
       0,   577,   578,     0,   579,     0,   191,   580,   192,   581,
     582,   583,     0,   584,   585,     0,     0,   586,   587,   588,
       0,     0,   589,   590,   193,     0,   591,     0,   196,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   197,   603,   198,   604,   605,   606,     0,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   200,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,     0,   633,   634,     0,
     635,   636,   637,   638,   639,   209,   640,   641,   642,   643,
     644,   645,   646,   757,   647,   212,   648,   649,   650,   651,
     652,     0,   654,   655,   214,   656,   657,     0,   658,   659,
     217,   660,     0,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   219,   674,     0,   675,
     676,   220,   677,     0,   678,   679,   680,   681,   682,     0,
     683,   222,   223,     0,     0,   685,   686,   224,   687,   225,
       0,   688,   689,   690,   691,   692,   693,   694,   695,     0,
       0,   696,   697,   698,   699,   700,     0,     0,   701,   702,
     703,   704,   705,  2463,   232,     0,   706,     0,   707,   708,
     709,   710,     0,     0,   711,     0,   234,   712,   713,   714,
     715,   716,   717,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   759,   718,   719,     0,     0,   246,
       0,     0,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,   247,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,   212,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
     220,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,  2463,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,   234,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,     0,     0,   246,     0,
       0,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,   247,    92,    93,    94,    95,    96,    97,     0,
      98,    99,   738,     0,     0,   101,   102,   103,   104,     0,
       0,   106,   107,   108,     0,   109,     0,     0,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,    39,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
       0,   443,   444,   445,   128,   129,     0,   131,   132,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
     749,   134,   454,     0,   455,   456,   457,   458,   138,     0,
       0,     0,   459,   460,   461,   462,   463,     0,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,     0,
     472,   473,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   752,   479,   149,   150,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,     0,
     511,     0,   512,   513,   162,   514,     0,   515,     0,   516,
       0,     0,     0,   517,   518,   519,   520,     0,   521,   166,
       0,   167,   522,   523,     0,   524,   525,   754,   526,   527,
       0,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   171,     0,   540,   541,
     542,     0,   172,     0,   173,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   177,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,   184,     0,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,     0,   577,
     578,     0,   579,     0,   191,   580,   192,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,   193,     0,   591,     0,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   197,
     603,   198,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   214,   656,   657,     0,   658,   659,   217,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,     0,   675,   676,     0,
     677,     0,   678,   679,   680,   681,   682,     0,   683,   222,
     223,     0,     0,   685,   686,   224,   687,   225,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,   758,   232,     0,   706,     0,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   759,   718,   719,     0,     0,     0,     0,     0,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
    3903,  3904,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
      39,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,     0,     0,     0,     0,     0,    81,
      82,   735,    84,    85,    86,   736,     0,   737,    89,     0,
    3904,    92,    93,    94,    95,    96,    97,     0,    98,    99,
     738,     0,     0,   101,   102,   103,   104,     0,     0,   106,
     107,   108,     0,   109,     0,     0,   739,   740,     0,     0,
       0,   741,   742,     0,     0,     0,     0,   743,     0,     0,
       0,     0,     0,     0,     0,     0,   744,     0,   745,     0,
     746,   747,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,     0,     0,     0,     0,     0,
       0,     0,   438,   439,     0,   440,   441,   442,     0,   443,
     444,   445,   128,   129,     0,   131,   132,     0,   446,   447,
     448,   449,   450,   451,     0,     0,   452,   453,   749,   134,
     454,     0,   455,   456,   457,   458,   138,     0,     0,     0,
     459,   460,   461,   462,   463,     0,   464,   465,   750,     0,
     466,   467,   468,   469,   470,   471,     0,     0,   472,   473,
       0,     0,     0,     0,     0,     0,     0,     0,   475,   476,
     477,   478,   752,   479,   149,   150,   480,     0,   481,     0,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   158,   507,   508,   509,   510,   160,     0,   511,     0,
     512,   513,   162,   514,     0,   515,     0,   516,     0,     0,
       0,   517,   518,   519,   520,     0,   521,   166,     0,   167,
     522,   523,     0,   524,   525,   754,   526,   527,     0,   528,
     529,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   171,     0,   540,   541,   542,     0,
     172,     0,   173,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   177,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   755,   564,   565,   756,
     566,   567,   568,   184,     0,   186,   569,   570,   571,   572,
     573,   574,   575,   187,   188,   576,     0,   577,   578,     0,
     579,     0,   191,   580,   192,   581,   582,   583,     0,   584,
     585,     0,     0,   586,   587,   588,     0,     0,   589,   590,
     193,     0,   591,     0,   196,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   197,   603,   198,
     604,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   200,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,     0,   633,   634,     0,   635,   636,   637,   638,
     639,   209,   640,   641,   642,   643,   644,   645,   646,   757,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     214,   656,   657,     0,   658,   659,   217,   660,     0,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   219,   674,     0,   675,   676,     0,   677,     0,
     678,   679,   680,   681,   682,     0,   683,   222,   223,     0,
       0,   685,   686,   224,   687,   225,     0,   688,   689,   690,
     691,   692,   693,   694,   695,     0,     0,   696,   697,   698,
     699,   700,     0,     0,   701,   702,   703,   704,   705,   758,
     232,     0,   706,     0,   707,   708,   709,   710,     0,     0,
     711,     0,     0,   712,   713,   714,   715,   716,   717,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     759,   718,   719,     0,     0,     0,     0,     0,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,  1792,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,     0,     0,     0,     0,     0,    81,    82,   735,
      84,    85,    86,   736,     0,   737,    89,     0,  3427,    92,
      93,    94,    95,    96,    97,     0,    98,    99,   738,     0,
       0,   101,   102,   103,   104,     0,     0,   106,   107,   108,
       0,   109,     0,     0,   739,   740,     0,     0,     0,   741,
     742,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,   744,     0,   745,     0,   746,   747,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,     0,     0,     0,     0,     0,     0,     0,
     438,   439,     0,   440,   441,   442,     0,   443,   444,   445,
     128,   129,     0,   131,   132,     0,   446,   447,   448,   449,
     450,   451,     0,     0,   452,   453,   749,   134,   454,     0,
     455,   456,   457,   458,   138,     0,     0,     0,   459,   460,
     461,   462,   463,     0,   464,   465,   750,     0,   466,   467,
     468,   469,   470,   471,     0,     0,   472,   473,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     752,   479,   149,   150,   480,     0,   481,     0,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   158,
     507,   508,   509,   510,   160,     0,   511,     0,   512,   513,
     162,   514,     0,   515,     0,   516,     0,     0,     0,   517,
     518,   519,   520,     0,   521,   166,     0,   167,   522,   523,
       0,   524,   525,   754,   526,   527,     0,   528,   529,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   171,     0,   540,   541,   542,     0,   172,     0,
     173,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   177,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   755,   564,   565,   756,   566,   567,
     568,   184,     0,   186,   569,   570,   571,   572,   573,   574,
     575,   187,   188,   576,     0,   577,   578,     0,   579,     0,
     191,   580,   192,   581,   582,   583,     0,   584,   585,     0,
       0,   586,   587,   588,     0,     0,   589,   590,   193,     0,
     591,     0,   196,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   197,   603,   198,   604,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   200,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
       0,   633,   634,     0,   635,   636,   637,   638,   639,   209,
     640,   641,   642,   643,   644,   645,   646,   757,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   214,   656,
     657,     0,   658,   659,   217,   660,     0,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     219,   674,     0,   675,   676,     0,   677,     0,   678,   679,
     680,   681,   682,     0,   683,   222,   223,     0,     0,   685,
     686,   224,   687,   225,     0,   688,   689,   690,   691,   692,
     693,   694,   695,     0,     0,   696,   697,   698,   699,   700,
       0,     0,   701,   702,   703,   704,   705,   758,   232,     0,
     706,     0,   707,   708,   709,   710,     0,     0,   711,     0,
       0,   712,   713,   714,   715,   716,   717,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   759,   718,
     719,     0,     0,     0,     0,     0,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,  4657,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
       0,     0,     0,     0,   782,    81,    82,   735,    84,    85,
      86,   736,     0,   737,    89,     0,  5137,    92,    93,    94,
      95,    96,    97,   783,    98,    99,   738,   784,     0,   101,
     102,   103,   104,   785,   786,   106,   107,   108,     0,   109,
     787,   788,   739,   740,     0,     0,     0,   741,   742,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,   744,     0,   745,     0,   746,   747,    35,   426,
       0,     0,    37,     0,    38,    39,     0,     0,     0,  1300,
      40,     0,     0,     0,     0,     0,  1301,  1302,  1303,   427,
     428,   429,   430,   431,   432,   433,   434,   789,   435,   436,
     437,   790,   791,   792,   793,   794,   795,   796,   438,   439,
     797,   440,   441,   442,   126,   443,   444,   445,     0,  1472,
     130,  1473,  1474,   798,   446,   447,   448,   449,   450,   451,
     799,   800,   452,   453,  1475,  1476,   454,   802,   455,   456,
     457,   458,     0,   803,   139,   804,   459,   460,   461,   462,
     463,   142,   464,   465,   750,   806,   466,   467,   468,   469,
     470,   471,   807,   145,   472,   473,     0,   809,   810,   811,
     146,   812,   813,   814,   475,   476,   477,   478,   752,   479,
    1477,  1478,   480,   815,   481,   816,   482,   483,   484,   485,
     486,   487,   817,   488,   489,   490,   491,   818,   819,   492,
     493,  1479,   495,   496,   820,   497,   498,   499,   821,   500,
     501,   502,   822,   503,   504,   505,   506,     0,   507,   508,
     509,   510,     0,   823,   511,   824,   512,   513,  1480,   514,
     825,   515,   826,   516,   163,   827,   164,   517,   518,   519,
     520,   828,   521,     0,   829,     0,   522,   523,   830,   524,
     525,   754,   526,   527,   168,   528,   529,   530,   531,   831,
     532,   533,   534,   535,   536,   537,   538,   832,   539,   170,
       0,     0,   540,   541,   542,  1482,  1483,   835,  1484,   836,
     543,   174,   175,   544,   176,   545,   546,   547,   548,   549,
     837,   838,   550,     0,   178,   551,   179,   839,   552,   553,
     554,   840,   841,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   755,   564,   565,   756,   566,   567,   568,  1485,
     185,  1486,   569,   570,   571,   572,   573,   574,   575,  4397,
       0,   576,   842,   577,   578,   190,   579,   843,     0,   580,
    1487,   581,   582,   583,   844,   584,   585,   845,   846,  4398,
     587,   588,   847,   848,   589,   590,     0,   194,   591,   195,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     849,   601,   602,     0,   603,     0,   604,   605,   606,   850,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
    1488,   617,   618,   619,   620,   851,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   852,   633,
     634,   207,   635,   636,   637,   638,   639,     0,   640,   641,
     642,   643,   644,   645,   646,   757,   647,   853,   648,   649,
     650,   651,   652,   854,   654,   655,  2679,   656,   657,   216,
     658,   659,  1490,   660,   855,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,     0,   674,
     856,   675,   676,   857,   677,   221,   678,   679,   680,   681,
     682,   858,   683,  1491,  1492,     0,   860,   685,   686,     0,
     687,     0,   861,   688,   689,   690,   691,   692,   693,   694,
     695,     0,   863,   696,   697,   698,   699,   700,   864,   865,
     701,   702,   703,   704,   705,     0,  1493,   867,   706,   233,
     707,   708,   709,   710,   868,   869,   711,   870,   871,   712,
     713,   714,   715,   716,   717,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   759,   718,   719,     0,
       0,     0,  1306,  1307,  1308,     0,  4399,  4400,  1311,  1312,
    1313,  1314,   782,    81,    82,   735,    84,    85,    86,   736,
       0,   737,    89,     0,     0,    92,    93,    94,    95,    96,
      97,   783,    98,    99,   738,   784,     0,   101,   102,   103,
     104,   785,   786,   106,   107,   108,     0,   109,   787,   788,
     739,   740,     0,     0,     0,   741,   742,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
     744,     0,   745,     0,   746,   747,    35,   426,     0,     0,
      37,     0,    38,    39,     0,     0,     0,  1300,    40,     0,
       0,     0,     0,     0,  1301,  1302,  1303,   427,   428,   429,
     430,   431,   432,   433,   434,   789,   435,   436,   437,   790,
     791,   792,   793,   794,   795,   796,   438,   439,   797,   440,
     441,   442,   126,   443,   444,   445,     0,  1472,   130,  1473,
    1474,   798,   446,   447,   448,   449,   450,   451,   799,   800,
     452,   453,  1475,  1476,   454,   802,   455,   456,   457,   458,
       0,   803,   139,   804,   459,   460,   461,   462,   463,   142,
     464,   465,   750,   806,   466,   467,   468,   469,   470,   471,
     807,   145,   472,   473,     0,   809,   810,   811,   146,   812,
     813,   814,   475,   476,   477,   478,   752,   479,  1477,  1478,
     480,   815,   481,   816,   482,   483,   484,   485,   486,   487,
     817,   488,   489,   490,   491,   818,   819,   492,   493,  1479,
     495,   496,   820,   497,   498,   499,   821,   500,   501,   502,
     822,   503,   504,   505,   506,     0,   507,   508,   509,   510,
       0,   823,   511,   824,   512,   513,  1480,   514,   825,   515,
     826,   516,   163,   827,   164,   517,   518,   519,   520,   828,
     521,     0,   829,     0,   522,   523,   830,   524,   525,   754,
     526,   527,   168,   528,   529,   530,   531,   831,   532,   533,
     534,   535,   536,   537,   538,   832,   539,   170,     0,     0,
     540,   541,   542,  1482,  1483,   835,  1484,   836,   543,   174,
     175,   544,   176,   545,   546,   547,   548,   549,   837,   838,
     550,     0,   178,   551,   179,   839,   552,   553,   554,   840,
     841,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     755,   564,   565,   756,   566,   567,   568,  1485,   185,  1486,
     569,   570,   571,   572,   573,   574,   575,  4841,     0,   576,
     842,   577,   578,   190,   579,   843,     0,   580,  1487,   581,
     582,   583,   844,   584,   585,   845,   846,  4398,   587,   588,
     847,   848,   589,   590,     0,   194,   591,   195,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   849,   601,
     602,     0,   603,     0,   604,   605,   606,   850,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,  1488,   617,
     618,   619,   620,   851,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   852,   633,   634,   207,
     635,   636,   637,   638,   639,     0,   640,   641,   642,   643,
     644,   645,   646,   757,   647,   853,   648,   649,   650,   651,
     652,   854,   654,   655,  2679,   656,   657,   216,   658,   659,
    1490,   660,   855,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,     0,   674,   856,   675,
     676,   857,   677,   221,   678,   679,   680,   681,   682,   858,
     683,  1491,  1492,     0,   860,   685,   686,     0,   687,     0,
     861,   688,   689,   690,   691,   692,   693,   694,   695,     0,
     863,   696,   697,   698,   699,   700,   864,   865,   701,   702,
     703,   704,   705,     0,  1493,   867,   706,   233,   707,   708,
     709,   710,   868,   869,   711,   870,   871,   712,   713,   714,
     715,   716,   717,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   759,   718,   719,     0,     0,     0,
    1306,  1307,  1308,     0,  4399,  4400,  1311,  1312,  1313,  1314,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,  1300,     0,     0,     0,     0,     0,
       0,  1301,  1302,  1303,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,  1304,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,  1305,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,     0,     0,     0,  1306,  1307,  1308,
       0,  1309,  1310,  1311,  1312,  1313,  1314,    81,    82,   735,
      84,    85,    86,   736,     0,   737,    89,     0,     0,    92,
      93,    94,    95,    96,    97,     0,    98,    99,   738,     0,
       0,   101,   102,   103,   104,     0,     0,   106,   107,   108,
       0,   109,     0,     0,   739,   740,     0,     0,     0,   741,
     742,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,   744,     0,   745,     0,   746,   747,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,  1300,     0,     0,     0,     0,     0,     0,  1301,  1302,
    1303,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,     0,     0,     0,     0,     0,     0,     0,
     438,   439,     0,   440,   441,   442,     0,   443,   444,   445,
     128,   129,     0,   131,   132,     0,   446,   447,   448,   449,
     450,   451,     0,     0,   452,   453,   749,   134,   454,     0,
     455,  1415,   457,   458,   138,     0,     0,     0,   459,   460,
     461,   462,   463,     0,   464,   465,   750,     0,   466,   467,
     468,   469,   470,   471,     0,     0,   472,   473,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     752,   479,   149,   150,   480,     0,   481,     0,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   158,
     507,   508,   509,   510,   160,     0,  1416,     0,   512,   513,
     162,   514,     0,   515,     0,   516,     0,     0,     0,   517,
     518,   519,   520,     0,   521,   166,     0,   167,   522,   523,
       0,   524,   525,   754,   526,   527,     0,   528,   529,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   171,     0,   540,   541,   542,     0,   172,     0,
     173,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   177,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   755,   564,   565,   756,   566,   567,
     568,   184,     0,   186,   569,   570,   571,   572,   573,   574,
     575,   187,   188,   576,     0,   577,   578,     0,   579,     0,
     191,   580,   192,   581,   582,   583,     0,   584,   585,     0,
       0,   586,   587,   588,     0,     0,   589,   590,   193,     0,
     591,     0,   196,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   197,   603,   198,   604,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   200,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
       0,   633,   634,     0,   635,   636,   637,   638,   639,   209,
     640,   641,   642,   643,   644,   645,   646,   757,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   214,   656,
     657,     0,   658,   659,   217,   660,     0,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     219,   674,     0,   675,   676,     0,   677,     0,   678,   679,
     680,   681,   682,     0,   683,   222,   223,     0,     0,   685,
     686,   224,   687,   225,     0,   688,   689,   690,   691,   692,
     693,   694,   695,     0,     0,   696,   697,   698,   699,   700,
       0,     0,   701,   702,   703,   704,   705,   758,   232,     0,
     706,     0,   707,   708,   709,   710,     0,     0,   711,     0,
       0,   712,   713,   714,   715,   716,   717,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   759,   718,
     719,     0,     0,     0,  1306,  1307,  1308,     0,  1309,  1310,
    1311,  1312,  1313,  1314,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,  1300,     0,
       0,     0,     0,     0,     0,  1301,  1302,  1303,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,  1524,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,  1525,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,  1526,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,     0,     0,
       0,  1306,  1307,  1308,     0,  1309,  1310,  1311,  1312,  1313,
    1314,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,     0,
      98,    99,   738,     0,     0,   101,   102,   103,   104,     0,
       0,   106,   107,   108,     0,   109,     0,     0,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,  1300,     0,     0,     0,     0,
       0,     0,  1301,  1302,  1303,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
       0,   443,   444,   445,   128,   129,     0,   131,   132,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
     749,   134,   454,     0,   455,  2153,   457,   458,   138,     0,
       0,     0,   459,   460,   461,   462,   463,     0,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,     0,
     472,   473,     0,     0,     0,     0,     0,     0,     0,     0,
     475,   476,   477,   478,   752,   479,   149,   150,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,     0,
    2154,     0,   512,   513,   162,   514,     0,   515,     0,   516,
       0,     0,     0,   517,   518,   519,   520,     0,   521,   166,
       0,   167,   522,   523,     0,   524,   525,   754,   526,   527,
       0,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   171,     0,   540,   541,
     542,     0,   172,     0,   173,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   177,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,   184,     0,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,     0,   577,
     578,     0,   579,     0,   191,   580,   192,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,   193,     0,   591,     0,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   197,
     603,   198,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   214,   656,   657,     0,   658,   659,   217,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,     0,   675,   676,     0,
     677,     0,   678,   679,   680,   681,   682,     0,   683,   222,
     223,     0,     0,   685,   686,   224,   687,   225,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,   758,   232,     0,   706,     0,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   759,   718,   719,     0,     0,     0,  1306,  1307,
    1308,     0,  1309,  1310,  1311,  1312,  1313,  1314,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,  1300,     0,     0,     0,     0,     0,     0,  1301,
    1302,  1303,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,     0,     0,     0,  1306,  1307,  1308,     0,  1309,
    1310,  1311,  1312,  1313,  1314,    81,    82,   735,    84,    85,
      86,   736,     0,   737,    89,     0,     0,    92,    93,    94,
      95,    96,    97,     0,    98,    99,   738,     0,     0,   101,
     102,   103,   104,     0,     0,   106,   107,   108,     0,   109,
       0,     0,   739,   740,     0,     0,     0,   741,   742,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,   744,     0,   745,     0,   746,   747,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,  1300,
       0,     0,     0,     0,     0,     0,  1301,  1302,  1303,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
     437,     0,     0,     0,     0,     0,     0,     0,   438,   439,
       0,   440,   441,   442,     0,   443,   444,   445,   128,   129,
       0,   131,   132,     0,   446,   447,   448,   449,   450,   451,
       0,     0,   452,   453,   749,   134,   454,     0,   455,  3521,
     457,   458,   138,     0,     0,     0,   459,   460,   461,   462,
     463,     0,   464,   465,   750,     0,   466,   467,   468,   469,
     470,   471,     0,     0,   472,   473,     0,     0,     0,     0,
       0,     0,     0,     0,   475,   476,   477,   478,   752,   479,
     149,   150,   480,     0,   481,     0,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   158,   507,   508,
     509,   510,   160,     0,  3522,     0,   512,   513,   162,   514,
       0,   515,     0,   516,     0,     0,     0,   517,   518,   519,
     520,     0,   521,   166,     0,   167,   522,   523,     0,   524,
     525,   754,   526,   527,     0,   528,   529,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     171,     0,   540,   541,   542,     0,   172,     0,   173,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   177,     0,   551,     0,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   755,   564,   565,   756,   566,   567,   568,   184,
       0,   186,   569,   570,   571,   572,   573,   574,   575,   187,
     188,   576,     0,   577,   578,     0,   579,     0,   191,   580,
     192,   581,   582,   583,     0,   584,   585,     0,     0,   586,
     587,   588,     0,     0,   589,   590,   193,     0,   591,     0,
     196,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   197,   603,   198,   604,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     200,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,     0,   633,
     634,     0,   635,   636,   637,   638,   639,   209,   640,   641,
     642,   643,   644,   645,   646,   757,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   214,   656,   657,     0,
     658,   659,   217,   660,     0,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   219,   674,
       0,   675,   676,     0,   677,     0,   678,   679,   680,   681,
     682,     0,   683,   222,   223,     0,     0,   685,   686,   224,
     687,   225,     0,   688,   689,   690,   691,   692,   693,   694,
     695,     0,     0,   696,   697,   698,   699,   700,     0,     0,
     701,   702,   703,   704,   705,   758,   232,     0,   706,     0,
     707,   708,   709,   710,     0,     0,   711,     0,     0,   712,
     713,   714,   715,   716,   717,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   759,   718,   719,     0,
       0,     0,  1306,  1307,  1308,     0,  1309,  1310,  1311,  1312,
    1313,  1314,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,  1300,     0,     0,     0,
       0,     0,     0,  1301,  1302,  1303,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,  5445,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,     0,     0,     0,  1306,
    1307,  1308,     0,  1309,  1310,  1311,  1312,  1313,  1314,   782,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,   783,    98,
      99,   738,   784,     0,   101,   102,   103,   104,   785,   786,
     106,   107,   108,     0,   109,   787,   788,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   789,   435,   436,   437,   790,   791,   792,   793,
     794,   795,   796,   438,   439,   797,   440,   441,   442,   126,
     443,   444,   445,   128,   129,   130,   131,   132,   798,   446,
     447,   448,   449,   450,   451,   799,   800,   452,   453,   801,
     134,   454,   802,   455,   456,   457,   458,   138,   803,   139,
     804,   459,   460,   461,   462,   463,   142,   464,   465,   805,
     806,   466,   467,   468,   469,   470,   471,   807,   145,   472,
     473,   808,   809,   810,   811,   146,   812,   813,   814,   475,
     476,   477,   478,   752,   479,   149,   150,   480,   815,   481,
     816,   482,   483,   484,   485,   486,   487,   817,   488,   489,
     490,   491,   818,   819,   492,   493,   494,   495,   496,   820,
     497,   498,   499,   821,   500,   501,   502,   822,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,   823,   511,
     824,   512,   513,   162,   514,   825,   515,   826,   516,   163,
     827,   164,   517,   518,   519,   520,   828,   521,   166,   829,
     167,   522,   523,   830,   524,   525,   754,   526,   527,   168,
     528,   529,   530,   531,   831,   532,   533,   534,   535,   536,
     537,   538,   832,   539,   170,   171,   833,   540,   541,   542,
     834,   172,   835,   173,   836,   543,   174,   175,   544,   176,
     545,   546,   547,   548,   549,   837,   838,   550,   177,   178,
     551,   179,   839,   552,   553,   554,   840,   841,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,   185,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,   842,   577,   578,
     190,   579,   843,   191,   580,   192,   581,   582,   583,   844,
     584,   585,   845,   846,   586,   587,   588,   847,   848,   589,
     590,   193,   194,   591,   195,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   849,   601,   602,   197,   603,
     198,   604,   605,   606,   850,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
     851,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   852,   633,   634,   207,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,   853,   648,   649,   650,   651,   652,   854,   654,
     655,   214,   656,   657,   216,   658,   659,   217,   660,   855,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,   856,   675,   676,   857,   677,
     221,   678,   679,   680,   681,   682,   858,   683,   222,   223,
     859,   860,   685,   686,   224,   687,   225,   861,   688,   689,
     690,   691,   692,   693,   694,   695,   862,   863,   696,   697,
     698,   699,   700,   864,   865,   701,   702,   703,   704,   705,
     866,   232,   867,   706,   233,   707,   708,   709,   710,   868,
     869,   711,   870,   871,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,     0,   782,    81,    82,   735,    84,
      85,    86,   736,  2139,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,     0,
    1472,   130,  1473,  1474,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,  1475,  1476,   454,     0,   455,
     456,   457,   458,     0,     0,   139,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,     0,     0,
       0,   146,     0,     0,     0,   475,   476,   477,   478,   752,
     479,  1477,  1478,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,  1479,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,   510,     0,     0,   511,     0,   512,   513,  1480,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,     0,     0,     0,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
    2675,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,  2676,     0,   540,   541,   542,  1482,  1483,     0,  1484,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   178,   551,   179,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
    1485,   185,  1486,   569,   570,   571,   572,   573,   574,   575,
       0,     0,   576,     0,   577,   578,   190,   579,     0,     0,
     580,  1487,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,  2677,   589,   590,  2678,   194,   591,
     195,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,     0,   603,     0,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1488,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,     0,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,  2679,   656,   657,
     216,   658,   659,  1490,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,     0,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,  1491,  1492,     0,     0,   685,   686,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,     0,  1493,  2680,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,   718,   719,
       0,     0,    81,    82,   735,    84,    85,    86,   736,  2681,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,     0,     0,    81,    82,
     735,    84,    85,    86,   736,  1185,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,     0,     0,    81,    82,   735,    84,    85,    86,
     736,  5844,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,   426,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,    40,
       0,     0,     0,     0,     0,     0,     0,     0,   427,  1075,
     429,   430,   431,   432,   433,   434,  1076,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,  1077,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,  1078,   162,   514,     0,
     515,     0,  1079,     0,  1080,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,     0,   528,   529,   530,   531,  1081,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,  1082,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,  1083,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,  1084,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,  1085,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,     0,     0,
       0,     0,     0,     0,     0,  1086,  1087,    81,    82,   735,
      84,    85,    86,   736,     0,   737,    89,     0,     0,    92,
      93,    94,    95,    96,    97,     0,    98,    99,   738,     0,
       0,   101,   102,   103,   104,     0,     0,   106,   107,   108,
       0,   109,     0,     0,   739,   740,     0,     0,     0,   741,
     742,     0,     0,     0,     0,   743,     0,     0,     0,     0,
       0,     0,     0,     0,   744,     0,   745,     0,   746,   747,
      35,   426,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,    40,     0,     0,     0,     0,     0,     0,     0,
       0,   427,  1075,   429,   430,   431,   432,   433,   434,  1076,
     435,   436,   437,     0,     0,     0,     0,     0,     0,     0,
     438,   439,     0,   440,   441,   442,     0,  1109,   444,   445,
     128,   129,     0,   131,   132,     0,   446,   447,   448,   449,
     450,   451,     0,     0,   452,   453,   749,   134,   454,     0,
     455,   456,   457,   458,   138,     0,     0,     0,   459,   460,
     461,   462,   463,     0,   464,   465,   750,     0,   466,   467,
     468,   469,   470,   471,     0,     0,   472,   473,     0,     0,
       0,     0,     0,     0,     0,     0,   475,   476,   477,   478,
     752,   479,   149,   150,   480,     0,   481,     0,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   158,
     507,   508,   509,   510,   160,     0,   511,     0,   512,  1078,
     162,   514,     0,   515,     0,  1110,     0,  1080,     0,   517,
     518,   519,   520,     0,   521,   166,     0,   167,   522,   523,
       0,   524,   525,   754,   526,   527,     0,   528,   529,   530,
     531,  1081,   532,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   171,     0,   540,   541,   542,     0,   172,     0,
     173,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,  1082,     0,     0,   550,   177,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   755,   564,   565,   756,   566,   567,
     568,   184,     0,   186,   569,  1083,   571,   572,   573,   574,
     575,   187,   188,   576,     0,   577,   578,     0,   579,     0,
     191,   580,   192,   581,   582,   583,     0,   584,   585,     0,
       0,   586,   587,   588,     0,     0,   589,   590,   193,     0,
     591,     0,   196,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   197,   603,   198,   604,   605,
     606,     0,  1084,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   200,   617,   618,   619,   620,     0,   621,   622,
     623,  1085,   625,   626,   627,   628,   629,   630,   631,   632,
       0,   633,   634,     0,   635,   636,   637,   638,   639,   209,
     640,   641,   642,   643,   644,   645,   646,   757,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   214,   656,
     657,     0,   658,   659,   217,   660,     0,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     219,   674,     0,   675,   676,     0,   677,     0,   678,   679,
     680,   681,   682,     0,   683,   222,   223,     0,     0,   685,
     686,   224,   687,   225,     0,   688,   689,   690,   691,   692,
     693,   694,   695,     0,     0,   696,   697,   698,   699,   700,
       0,     0,   701,   702,   703,   704,   705,   758,   232,     0,
     706,     0,   707,   708,   709,   710,     0,     0,   711,     0,
       0,   712,   713,   714,   715,   716,   717,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   759,   718,
     719,     0,     0,     0,     0,     0,     0,     0,  1086,  1087,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,   426,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,  1582,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
    1080,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,  1081,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,     0,     0,     0,     0,     0,     0,
       0,  1086,  1087,    81,    82,   735,    84,    85,    86,   736,
       0,   737,    89,     0,     0,    92,    93,    94,    95,    96,
      97,     0,    98,    99,   738,     0,     0,   101,   102,   103,
     104,     0,     0,   106,   107,   108,     0,   109,     0,     0,
     739,   740,     0,     0,     0,   741,   742,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,     0,
     744,     0,   745,     0,   746,   747,    35,   426,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,    40,     0,
       0,     0,     0,     0,     0,     0,     0,   427,   428,   429,
     430,   431,   432,   433,   434,  1587,   435,   436,   437,     0,
       0,     0,     0,     0,     0,     0,   438,   439,     0,   440,
     441,   442,     0,   443,   444,   445,   128,   129,     0,   131,
     132,     0,   446,   447,   448,   449,   450,   451,     0,     0,
     452,   453,   749,   134,   454,     0,   455,   456,   457,   458,
     138,     0,     0,     0,   459,   460,   461,   462,   463,     0,
     464,   465,   750,     0,   466,   467,   468,   469,   470,   471,
       0,     0,   472,   473,     0,     0,     0,     0,     0,     0,
       0,     0,   475,   476,   477,   478,   752,   479,   149,   150,
     480,     0,   481,     0,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   158,   507,   508,   509,   510,
     160,     0,   511,     0,   512,   513,   162,   514,     0,   515,
       0,   516,     0,  1080,     0,   517,   518,   519,   520,     0,
     521,   166,     0,   167,   522,   523,     0,   524,   525,   754,
     526,   527,     0,   528,   529,   530,   531,  1081,   532,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   171,     0,
     540,   541,   542,     0,   172,     0,   173,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   177,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     755,   564,   565,   756,   566,   567,   568,   184,     0,   186,
     569,   570,   571,   572,   573,   574,   575,   187,   188,   576,
       0,   577,   578,     0,   579,     0,   191,   580,   192,   581,
     582,   583,     0,   584,   585,     0,     0,   586,   587,   588,
       0,     0,   589,   590,   193,     0,   591,     0,   196,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   197,   603,   198,   604,   605,   606,     0,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   200,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,     0,   633,   634,     0,
     635,   636,   637,   638,   639,   209,   640,   641,   642,   643,
     644,   645,   646,   757,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   214,   656,   657,     0,   658,   659,
     217,   660,     0,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   219,   674,     0,   675,
     676,     0,   677,     0,   678,   679,   680,   681,   682,     0,
     683,   222,   223,     0,     0,   685,   686,   224,   687,   225,
       0,   688,   689,   690,   691,   692,   693,   694,   695,     0,
       0,   696,   697,   698,   699,   700,     0,     0,   701,   702,
     703,   704,   705,   758,   232,     0,   706,     0,   707,   708,
     709,   710,     0,     0,   711,     0,     0,   712,   713,   714,
     715,   716,   717,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   759,   718,   719,     0,     0,     0,
       0,     0,     0,     0,  1086,  1087,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
     426,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,   753,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,  1763,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
       0,     0,     0,     0,  1155,  1764,    81,    82,   735,    84,
      85,    86,   736,  1156,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,  1157,   453,  1128,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,  1158,     0,  1159,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,  1160,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,  1161,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,  1162,   636,   637,   638,   639,   209,   640,
     641,   642,  1163,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,  1164,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,  1165,   223,     0,     0,  1166,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,  1132,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,  1167,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
      38,    39,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   789,   435,   436,   437,   790,   791,   792,
     793,   794,   795,   796,   438,   439,   797,   440,   441,   442,
     126,   443,   444,   445,   128,   129,   130,   131,   132,   798,
     446,   447,   448,   449,   450,   451,   799,   800,   452,   453,
     801,   134,   454,   802,   455,   456,   457,   458,   138,   803,
     139,   804,   459,   460,   461,   462,   463,   142,   464,   465,
     805,   806,   466,   467,   468,   469,   470,   471,   807,   145,
     472,   473,   808,   809,   810,   811,   146,   812,   813,   814,
     475,   476,   477,   478,   752,   479,   149,   150,   480,   815,
     481,   816,   482,   483,   484,   485,   486,   487,   817,   488,
     489,   490,   491,   818,   819,   492,   493,   494,   495,   496,
     820,   497,   498,   499,   821,   500,   501,   502,   822,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,   823,
     511,   824,   512,   513,   162,   514,   825,   515,   826,   516,
     163,   827,   164,   517,   518,   519,   520,   828,   521,   166,
     829,   167,   522,   523,   830,   524,   525,   754,   526,   527,
     168,   528,   529,   530,   531,   831,   532,   533,   534,   535,
     536,   537,   538,   832,   539,   170,   171,   833,   540,   541,
     542,   834,   172,   835,   173,   836,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,   837,   838,   550,   177,
     178,   551,   179,   839,   552,   553,   554,   840,   841,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,   184,   185,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,   842,   577,
     578,   190,   579,   843,   191,   580,   192,   581,   582,   583,
     844,   584,   585,   845,   846,   586,   587,   588,   847,   848,
     589,   590,   193,   194,   591,   195,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   849,   601,   602,   197,
     603,   198,   604,   605,   606,   850,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,   851,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   852,   633,   634,   207,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,   757,   647,   853,   648,   649,   650,   651,   652,   854,
     654,   655,   214,   656,   657,   216,   658,   659,   217,   660,
     855,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,   856,   675,   676,   857,
     677,   221,   678,   679,   680,   681,   682,   858,   683,   222,
     223,   859,   860,   685,   686,   224,   687,   225,   861,   688,
     689,   690,   691,   692,   693,   694,   695,   862,   863,   696,
     697,   698,   699,   700,   864,   865,   701,   702,   703,   704,
     705,   866,   232,   867,   706,   233,   707,   708,   709,   710,
     868,   869,   711,   870,   871,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   759,   718,   719,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   789,   435,
     436,   437,   790,   791,   792,   793,   794,   795,   796,   438,
     439,   797,   440,   441,   442,   126,   443,   444,   445,   128,
     129,   130,   131,   132,   798,   446,   447,   448,   449,   450,
     451,   799,   800,   452,   453,   801,   134,   454,   802,   455,
     456,   457,   458,   138,   803,   139,   804,   459,   460,   461,
     462,   463,   142,   464,   465,   805,   806,   466,   467,   468,
     469,   470,   471,   807,   145,   472,   473,   808,   809,   810,
     811,   146,   812,   813,   814,   475,   476,   477,   478,   752,
     479,   149,   150,   480,   815,   481,   816,   482,   483,   484,
     485,   486,   487,   817,   488,   489,   490,   491,   818,   819,
     492,   493,   494,   495,   496,   820,   497,   498,   499,   821,
     500,   501,   502,   822,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,   823,   511,   824,   512,   513,   162,
     514,   825,   515,   826,   516,   163,   827,   164,   517,   518,
     519,   520,   828,   521,   166,   829,   167,   522,   523,   830,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
     831,   532,   533,   534,   535,   536,   537,   538,   832,   539,
     170,   171,   833,   540,   541,   542,   834,   172,   835,   173,
     836,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,   837,   838,   550,   177,   178,   551,   179,   839,   552,
     553,   554,   840,   841,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,   185,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,   842,   577,   578,   190,   579,   843,   191,
     580,   192,   581,   582,   583,   844,   584,   585,   845,   846,
     586,   587,   588,   847,   848,   589,   590,   193,   194,   591,
     195,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   849,   601,   602,   197,   603,   198,   604,   605,   606,
     850,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,   851,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   852,
     633,   634,   207,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,   853,   648,
     649,   650,   651,   652,   854,   654,   655,   214,   656,   657,
     216,   658,   659,   217,   660,   855,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,   856,   675,   676,   857,   677,   221,   678,   679,   680,
     681,   682,   858,   683,   222,   223,   859,   860,   685,   686,
     224,   687,   225,   861,   688,   689,   690,   691,   692,   693,
     694,   695,   862,   863,   696,   697,   698,   699,   700,   864,
     865,   701,   702,   703,   704,   705,   866,   232,   867,   706,
     233,   707,   708,   709,   710,   868,   869,   711,   870,   871,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,  3587,
     432,   433,   434,   789,   435,   436,   437,   790,   791,   792,
     793,   794,   795,   796,   438,   439,   797,   440,   441,   442,
     126,   443,   444,   445,   128,   129,   130,   131,   132,   798,
     446,   447,   448,   449,   450,   451,   799,   800,   452,   453,
     801,   134,   454,   802,   455,   456,   457,   458,   138,   803,
     139,   804,   459,   460,   461,   462,   463,   142,   464,   465,
     805,   806,   466,   467,   468,   469,   470,   471,   807,   145,
     472,   473,   808,   809,   810,   811,   146,   812,   813,   814,
     475,   476,   477,   478,   752,   479,   149,   150,   480,   815,
     481,   816,   482,   483,   484,   485,   486,   487,   817,   488,
     489,   490,   491,   818,   819,   492,   493,   494,  3588,   496,
     820,   497,   498,   499,   821,   500,   501,   502,   822,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,   823,
     511,   824,   512,   513,   162,   514,   825,   515,   826,   516,
     163,   827,   164,   517,   518,   519,   520,   828,   521,   166,
     829,   167,   522,   523,   830,   524,   525,   754,   526,   527,
     168,   528,   529,   530,   531,   831,   532,   533,   534,   535,
     536,   537,   538,   832,   539,   170,   171,   833,   540,   541,
     542,   834,   172,   835,   173,   836,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,   837,   838,   550,   177,
     178,   551,   179,   839,   552,   553,   554,   840,   841,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,   184,   185,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,   842,   577,
     578,   190,   579,   843,   191,   580,   192,   581,   582,   583,
     844,   584,   585,   845,   846,   586,   587,   588,   847,   848,
     589,   590,   193,   194,   591,   195,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   849,   601,   602,   197,
     603,   198,   604,   605,   606,   850,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,   851,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   852,   633,   634,   207,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,   757,   647,   853,   648,   649,   650,   651,   652,   854,
    3589,   655,   214,   656,   657,   216,   658,   659,   217,   660,
     855,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,   856,   675,   676,   857,
     677,   221,   678,   679,   680,   681,   682,   858,   683,   222,
     223,   859,   860,   685,   686,   224,   687,   225,   861,   688,
     689,   690,   691,   692,   693,   694,   695,   862,   863,   696,
     697,   698,   699,   700,   864,   865,   701,   702,   703,   704,
     705,   866,   232,   867,   706,   233,   707,   708,   709,   710,
     868,   869,   711,   870,   871,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   759,   718,   719,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,   128,
     129,   130,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,  1660,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,  1663,     0,  1664,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,  1665,  1666,
    1667,  1668,  1669,  1670,  1671,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,  1676,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,  1679,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,  1683,   178,   551,   179,     0,   552,
     553,   554,  1684,  1685,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,   185,   186,   569,   570,   571,   572,   573,   574,   575,
     187,  1688,   576,     0,   577,   578,   190,   579,     0,  1691,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,   194,   591,
     195,  1694,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,  1695,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,  1698,   654,   655,   214,   656,   657,
     216,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,  1700,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
    1703,   687,  1704,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,  1707,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,  1709,  1710,  1711,
    1712,   240,  1713,  1714,  1715,  1716,   245,   759,   718,   719,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,   128,   129,   130,   131,   132,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
     749,   134,   454,     0,   455,   456,   457,   458,   138,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,     0,
     475,   476,   477,   478,   752,   479,   149,   150,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,     0,
     511,     0,   512,   513,   162,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,   166,
       0,   167,   522,   523,     0,   524,   525,   754,   526,   527,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,   171,     0,   540,   541,
     542,     0,   172,     0,   173,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,   177,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,   184,   185,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,     0,   577,
     578,   190,   579,     0,   191,   580,   192,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,   193,   194,   591,   195,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   197,
     603,   198,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   214,   656,   657,   216,   658,   659,   217,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,   222,
     223,     0,     0,   685,   686,   224,   687,   225,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,   758,   232,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   759,   718,   719,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,   128,
     129,   130,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,   139,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,     0,     0,
       0,   146,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,  1465,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,   177,   178,   551,   179,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,   185,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,   190,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,   194,   591,
     195,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
     216,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,   128,   129,   130,   131,   132,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
     749,   134,   454,     0,   455,   456,   457,   458,   138,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,     0,
     475,   476,   477,   478,   752,   479,   149,   150,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,     0,
     511,     0,   512,   513,   162,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,   166,
       0,   167,   522,   523,     0,   524,   525,   754,   526,  1516,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,   171,     0,   540,   541,
     542,     0,   172,     0,   173,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,   177,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,   184,   185,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,     0,   577,
     578,   190,   579,     0,   191,   580,   192,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,   193,   194,   591,   195,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   197,
     603,   198,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   214,   656,   657,   216,   658,   659,   217,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,   222,
     223,     0,     0,   685,   686,   224,   687,   225,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,   758,   232,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   759,   718,   719,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,   128,
     129,   130,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,   139,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,     0,     0,
       0,   146,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,  1530,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,   177,   178,   551,   179,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,   185,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,   190,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,   194,   591,
     195,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
     216,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,   128,   129,   130,   131,   132,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
     749,   134,   454,     0,   455,   456,   457,   458,   138,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,     0,
     475,   476,   477,   478,   752,   479,   149,   150,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,     0,
     511,     0,   512,   513,   162,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,   166,
       0,   167,   522,   523,     0,   524,   525,   754,   526,  1534,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,   171,     0,   540,   541,
     542,     0,   172,     0,   173,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,   177,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,   184,   185,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,     0,   577,
     578,   190,   579,     0,   191,   580,   192,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,   193,   194,   591,   195,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   197,
     603,   198,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   214,   656,   657,   216,   658,   659,   217,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,   222,
     223,     0,     0,   685,   686,   224,   687,   225,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,   758,   232,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   759,   718,   719,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,     0,
    1472,   130,  1473,  1474,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,  1475,  1476,   454,     0,   455,
     456,   457,   458,     0,     0,   139,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,     0,     0,
       0,   146,     0,     0,     0,   475,   476,   477,   478,   752,
     479,  1477,  1478,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,  1479,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,   510,     0,     0,   511,     0,   512,   513,  1480,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,     0,     0,     0,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
    2675,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,  2676,     0,   540,   541,   542,  1482,  1483,     0,  1484,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   178,   551,   179,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
    1485,   185,  1486,   569,   570,   571,   572,   573,   574,   575,
       0,     0,   576,     0,   577,   578,   190,   579,     0,     0,
     580,  1487,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,  2678,   194,   591,
     195,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,     0,   603,     0,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1488,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,     0,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,  2679,   656,   657,
     216,   658,   659,  1490,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,     0,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,  1491,  1492,     0,     0,   685,   686,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,     0,  1493,  2680,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,   718,   719,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,     0,  1472,   130,  1473,  1474,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
    1475,  1476,   454,     0,   455,   456,   457,   458,     0,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,     0,
     475,   476,   477,   478,   752,   479,  1477,  1478,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,  1479,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,     0,   507,   508,   509,   510,     0,     0,
     511,     0,   512,   513,  1480,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,     0,
       0,     0,   522,   523,     0,   524,   525,   754,   526,   527,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,     0,     0,   540,   541,
     542,  1482,  1483,     0,  1484,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,  1485,   185,  1486,   569,   570,
     571,   572,   573,   574,   575,     0,     0,   576,     0,   577,
     578,   190,   579,  2763,     0,   580,  1487,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,     0,   194,   591,   195,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,     0,
     603,     0,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,  1488,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,     0,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,  2679,   656,   657,   216,   658,   659,  1490,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,     0,   674,     0,   675,   676,  4498,
     677,   221,   678,   679,   680,   681,   682,     0,   683,  1491,
    1492,     0,     0,   685,   686,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,     0,  1493,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   759,   718,   719,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,     0,
    1472,   130,  1473,  1474,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,  1475,  1476,   454,     0,   455,
     456,   457,   458,     0,     0,   139,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,     0,     0,
       0,   146,     0,     0,     0,   475,   476,   477,   478,   752,
     479,  1477,  1478,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,  1479,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,   510,     0,     0,   511,     0,   512,   513,  1480,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,     0,     0,     0,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,     0,     0,   540,   541,   542,  1482,  1483,     0,  1484,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   178,   551,   179,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
    1485,   185,  1486,   569,   570,   571,   572,   573,   574,   575,
    2834,     0,   576,     0,   577,   578,   190,   579,     0,     0,
     580,  1487,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,     0,   194,   591,
     195,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,     0,   603,     0,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1488,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,     0,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,  1489,   656,   657,
     216,   658,   659,  1490,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,     0,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,  1491,  1492,     0,     0,   685,   686,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,     0,  1493,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,   718,   719,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,     0,  1472,   130,  1473,  1474,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
    1475,  1476,   454,     0,   455,   456,   457,   458,     0,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,     0,
     475,   476,   477,   478,   752,   479,  1477,  1478,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,  1479,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,     0,   507,   508,   509,   510,     0,     0,
     511,     0,   512,   513,  1480,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,     0,
       0,     0,   522,   523,     0,   524,   525,   754,   526,   527,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,     0,     0,   540,   541,
     542,  1482,  1483,     0,  1484,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,  1485,   185,  1486,   569,   570,
     571,   572,   573,   574,   575,  4304,     0,   576,     0,   577,
     578,   190,   579,     0,     0,   580,  1487,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,     0,   194,   591,   195,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,     0,
     603,     0,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,  1488,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,     0,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,  1489,   656,   657,   216,   658,   659,  1490,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,     0,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,  1491,
    1492,     0,     0,   685,   686,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,     0,  1493,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   759,   718,   719,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,     0,
    1472,   130,  1473,  1474,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,  1475,  1476,   454,     0,   455,
     456,   457,   458,     0,     0,   139,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,     0,     0,
       0,   146,     0,     0,     0,   475,   476,   477,   478,   752,
     479,  1477,  1478,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,  1479,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,   510,     0,     0,   511,     0,   512,   513,  1480,
     514,  5913,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,     0,     0,     0,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,     0,     0,   540,   541,   542,  1482,  1483,     0,  1484,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   178,   551,   179,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
    1485,   185,  1486,   569,   570,   571,   572,   573,   574,   575,
       0,     0,   576,     0,   577,   578,   190,   579,     0,     0,
     580,  1487,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,     0,   194,   591,
     195,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,     0,   603,     0,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1488,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,     0,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,  1489,   656,   657,
     216,   658,   659,  1490,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,     0,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,  1491,  1492,     0,     0,   685,   686,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,     0,  1493,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,   718,   719,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,     0,  1472,   130,  1473,  1474,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
    1475,  1476,   454,     0,   455,   456,   457,   458,     0,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,     0,
     475,   476,   477,   478,   752,   479,  1477,  1478,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,  1479,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,     0,   507,   508,   509,   510,     0,     0,
     511,     0,   512,   513,  1480,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,     0,
       0,     0,   522,   523,     0,   524,   525,   754,   526,  1481,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,     0,     0,   540,   541,
     542,  1482,  1483,     0,  1484,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,  1485,   185,  1486,   569,   570,
     571,   572,   573,   574,   575,     0,     0,   576,     0,   577,
     578,   190,   579,     0,     0,   580,  1487,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,     0,   194,   591,   195,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,     0,
     603,     0,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,  1488,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,     0,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,  1489,   656,   657,   216,   658,   659,  1490,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,     0,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,  1491,
    1492,     0,     0,   685,   686,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,     0,  1493,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   759,   718,   719,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,     0,
    1472,   130,  1473,  1474,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,  1475,  1476,   454,     0,   455,
     456,   457,   458,     0,     0,   139,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,     0,     0,
       0,   146,     0,     0,     0,   475,   476,   477,   478,   752,
     479,  1477,  1478,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,  1479,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,   510,     0,     0,   511,     0,   512,   513,  1480,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,     0,     0,     0,   522,   523,     0,
     524,   525,   754,   526,  1542,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,     0,     0,   540,   541,   542,  1482,  1483,     0,  1484,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   178,   551,   179,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
    1485,   185,  1486,   569,   570,   571,   572,   573,   574,   575,
       0,     0,   576,     0,   577,   578,   190,   579,     0,     0,
     580,  1487,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,     0,   194,   591,
     195,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,     0,   603,     0,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1488,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,     0,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,  1489,   656,   657,
     216,   658,   659,  1490,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,     0,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,  1491,  1492,     0,     0,   685,   686,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,     0,  1493,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,   718,   719,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,     0,  1472,   130,  1473,  1474,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
    1475,  1476,   454,     0,   455,   456,   457,   458,     0,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,     0,
     475,   476,   477,   478,   752,   479,  1477,  1478,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,  1479,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,     0,   507,   508,   509,   510,     0,     0,
     511,     0,   512,   513,  1480,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,     0,
       0,     0,   522,   523,     0,   524,   525,   754,   526,   527,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,     0,     0,   540,   541,
     542,  1482,  1483,     0,  1484,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,  1485,   185,  1486,   569,   570,
     571,   572,   573,   574,   575,     0,     0,   576,     0,   577,
     578,   190,   579,     0,     0,   580,  1487,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,     0,   194,   591,   195,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,     0,
     603,     0,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,  1488,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,     0,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,  1489,   656,   657,   216,   658,   659,  1490,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,     0,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,  1491,
    1492,     0,     0,   685,   686,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,     0,  1493,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   759,   718,   719,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,     0,
    1472,   130,  1473,  1474,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,  1475,  1476,   454,     0,   455,
     456,   457,   458,     0,     0,   139,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,     0,     0,
       0,   146,     0,     0,     0,   475,   476,   477,   478,   752,
     479,  1477,  1478,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,  1479,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,   510,     0,     0,   511,     0,   512,   513,  1480,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,     0,     0,     0,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,     0,     0,   540,   541,   542,  1482,  1483,     0,  1484,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   178,   551,   179,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
    1485,   185,  1486,   569,   570,   571,   572,   573,   574,   575,
       0,     0,   576,     0,   577,   578,   190,   579,     0,     0,
     580,  1487,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,     0,   194,   591,
     195,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,     0,   603,     0,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,  1488,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,     0,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,  2679,   656,   657,
     216,   658,   659,  1490,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,     0,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,  1491,  1492,     0,     0,   685,   686,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,     0,  1493,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,   718,   719,
     782,    81,    82,   735,    84,    85,    86,   736,     0,   737,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   783,
      98,    99,   738,   784,     0,   101,   102,   103,   104,   785,
     786,   106,   107,   108,     0,   109,   787,   788,   739,   740,
       0,     0,     0,   741,   742,     0,     0,     0,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,   744,     0,
     745,     0,   746,   747,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,     0,  1472,   130,  1473,  1474,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
    1475,  1476,   454,     0,   455,   456,   457,   458,     0,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
     750,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,     0,
     475,   476,   477,   478,   752,   479,  1477,  1478,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,  1479,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,     0,   507,   508,   509,   510,     0,     0,
     511,     0,   512,   513,  1480,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,     0,
       0,     0,   522,   523,     0,   524,   525,   754,   526,   527,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,     0,     0,   540,   541,
     542,  1482,  1483,     0,  1484,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   755,   564,
     565,   756,   566,   567,   568,  1485,   185,  1486,   569,   570,
     571,   572,   573,   574,   575,     0,     0,   576,     0,   577,
     578,   190,   579,     0,     0,   580,  1487,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,     0,   194,   591,   195,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,     0,
     603,     0,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,  1488,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,     0,   640,   641,   642,   643,   644,   645,
     646,   757,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,     0,   656,   657,   216,   658,   659,  1490,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,     0,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,  1491,
    1492,     0,     0,   685,   686,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,     0,  1493,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   759,   718,   719,   782,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   783,    98,    99,   738,   784,     0,
     101,   102,   103,   104,   785,   786,   106,   107,   108,     0,
     109,   787,   788,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,     0,
       0,   130,     0,     0,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,     0,     0,   454,     0,   455,
     456,   457,   458,     0,     0,   139,     0,   459,   460,   461,
     462,   463,   142,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,     0,     0,
       0,   146,     0,     0,     0,   475,   476,   477,   478,   752,
     479,     0,     0,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,     0,   507,
     508,   509,   510,     0,     0,   511,     0,   512,   513,     0,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,     0,     0,     0,   522,   523,     0,
     524,   525,   754,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,     0,     0,   540,   541,   542,     0,     0,     0,     0,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   178,   551,   179,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
       0,   185,     0,   569,   570,   571,   572,   573,   574,   575,
       0,     0,   576,     0,   577,   578,   190,   579,     0,     0,
     580,     0,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,     0,   194,   591,
     195,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,     0,   603,     0,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,     0,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,     0,   656,   657,
     216,   658,   659,     0,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,     0,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,     0,     0,     0,     0,   685,   686,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,     0,     0,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   789,   435,   436,   437,   790,   791,   792,   793,
     794,   795,   796,   438,   439,   797,   440,   441,   442,   126,
     443,   444,   445,   128,   129,   130,   131,   132,   798,   446,
     447,   448,   449,   450,   451,   799,   800,   452,   453,     0,
     134,   454,   802,   455,   456,   457,   458,   138,   803,   139,
     804,   459,   460,   461,   462,   463,   142,   464,   465,   805,
     806,   466,   467,   468,   469,   470,   471,   807,   145,   472,
     473,     0,   809,   810,   811,   146,   812,   813,   814,   475,
     476,   477,   478,     0,   479,   149,   150,   480,   815,   481,
     816,   482,   483,   484,   485,   486,   487,   817,   488,   489,
     490,   491,   818,   819,   492,   493,   494,   495,   496,   820,
     497,   498,   499,   821,   500,   501,   502,   822,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,   823,   511,
     824,   512,   513,   162,   514,   825,   515,   826,   516,   163,
     827,   164,   517,   518,   519,   520,   828,   521,   166,   829,
     167,   522,   523,   830,   524,   525,     0,   526,   527,   168,
     528,   529,   530,   531,   831,   532,   533,   534,   535,   536,
     537,   538,   832,   539,   170,   171,     0,   540,   541,   542,
       0,   172,   835,   173,   836,   543,   174,   175,   544,   176,
     545,   546,   547,   548,   549,   837,   838,   550,   177,   178,
     551,   179,   839,   552,   553,   554,   840,   841,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   184,   185,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,   842,   577,   578,
     190,   579,   843,   191,   580,   192,   581,   582,   583,   844,
     584,   585,   845,   846,   586,   587,   588,   847,   848,   589,
     590,   193,   194,   591,   195,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   849,   601,   602,   197,   603,
     198,   604,   605,   606,   850,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
     851,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   852,   633,   634,   207,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
       0,   647,   853,   648,   649,   650,   651,   652,   854,   654,
     655,   214,   656,   657,   216,   658,   659,   217,   660,   855,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,   856,   675,   676,   857,   677,
     221,   678,   679,   680,   681,   682,   858,   683,   222,   223,
       0,   860,   685,   686,   224,   687,   225,   861,   688,   689,
     690,   691,   692,   693,   694,   695,     0,   863,   696,   697,
     698,   699,   700,   864,   865,   701,   702,   703,   704,   705,
       0,   232,   867,   706,   233,   707,   708,   709,   710,   868,
     869,   711,   870,   871,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,  2715,   455,   456,   457,
     458,   138,     0,     0,  2784,   459,   460,   461,   462,   463,
       0,   464,   465,   750,  2716,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,  2785,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,  2718,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,  2786,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,  2719,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,  2720,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
    2715,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,  2716,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,  2785,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,  2718,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,  3796,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,  2719,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,  2720,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,  1143,   433,   434,  1095,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,  1096,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,  1144,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,  1097,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,  1098,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,  1095,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,  1096,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,  3489,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,  1097,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,  1098,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,  2715,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
    2716,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,  2785,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,  2718,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,  2719,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,  2720,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,   426,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   748,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,   751,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,   753,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
    1095,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,  1096,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,  1097,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
    1098,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,   997,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,   426,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   998,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   999,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
     426,     0,     0,    37,     0,     0,    39,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,  1248,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,  2378,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,  2379,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,  2380,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,  2381,   516,     0,
       0,     0,  2382,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,  2383,  2384,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,  2385,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
    2386,   639,   209,   640,   641,   642,  2387,   644,   645,   646,
     757,   647,     0,  2388,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,  2389,   677,
       0,  2390,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
    2391,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,  1096,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,  1097,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,  1098,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,  2367,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,   426,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,  3348,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,  3349,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,  2653,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,  3350,   677,     0,   678,
    3351,   680,  3352,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,  3353,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,   426,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   775,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
     426,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,   753,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,   426,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   943,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,   426,     0,
       0,    37,     0,     0,    39,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
    1338,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,  1339,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,  1178,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,   426,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,  1456,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,  3568,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,  3569,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,  3581,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,  3582,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,   426,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,   426,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,  1003,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,   426,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,  1057,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
     426,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,  1113,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,  1178,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,  1295,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,  1296,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
    1766,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
    1954,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,  1178,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,  2011,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,  2012,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,  2233,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,  2367,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,  2653,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,    39,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,  4678,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,  4692,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,  1125,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,  1127,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,  1128,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,     0,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,  1129,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
    1130,   223,     0,     0,  1131,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,  1132,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,  1172,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,  1128,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,     0,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,  1173,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,  1174,   223,     0,     0,  1175,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,  1132,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,  1191,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,  1320,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,  1330,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
    1333,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,  1349,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,  1400,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,  1406,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,  1422,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
    1425,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,  1427,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,  1470,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,  1536,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,  1538,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
    1548,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,  1551,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,  1554,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,  1777,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,  1157,   453,  1128,   134,  1778,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,     0,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,  1161,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,  1162,   636,   637,   638,   639,   209,   640,   641,   642,
    1163,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,  1770,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,  1165,   223,     0,     0,  1166,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,  1132,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,  1167,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,  1902,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,  1903,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,  1127,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,  1128,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,     0,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,  1132,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,  2180,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,  2218,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,  2220,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,  2293,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
    2295,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,  2297,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,  2419,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,  2618,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,     0,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,  3058,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
    3062,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,  3142,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,  3500,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,  3557,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,   749,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   750,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,  3571,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,   568,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,   222,   223,     0,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,   758,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,   749,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   750,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
    3573,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,   758,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,  3717,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,   749,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   750,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,  3756,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,   568,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
     758,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,   452,   453,   749,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   750,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,  4964,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,   568,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   209,   640,   641,   642,
     643,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,   222,   223,     0,     0,   685,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,   758,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,   717,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,  1157,   453,  1128,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,     0,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,  1161,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,  1162,   636,   637,   638,   639,
     209,   640,   641,   642,  1163,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,  1770,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,  1165,   223,     0,     0,
    1166,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,  1132,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,  1167,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,  1128,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,     0,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,   568,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,  1132,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,  1157,   453,  1128,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,     0,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,  1161,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,  1162,   636,   637,   638,   639,   209,   640,
     641,   642,  1163,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,  1770,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,  2702,   679,   680,
     681,   682,     0,   683,  1165,   223,     0,     0,  1166,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,  1132,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,  1167,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,   735,    84,    85,    86,   736,     0,   737,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   738,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   739,   740,     0,
       0,     0,   741,   742,     0,     0,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,   745,
       0,   746,   747,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,     0,
     443,   444,   445,   128,   129,     0,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,  1157,   453,  1128,
     134,   454,     0,   455,   456,   457,   458,   138,     0,     0,
       0,   459,   460,   461,   462,   463,     0,   464,   465,     0,
       0,   466,   467,   468,   469,   470,   471,     0,     0,   472,
     473,     0,     0,     0,     0,     0,     0,     0,     0,   475,
     476,   477,   478,   752,   479,   149,   150,   480,     0,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,     0,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,     0,
       0,     0,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,   754,   526,   527,     0,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   177,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   755,   564,   565,
     756,   566,   567,  1161,   184,     0,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
       0,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,     0,     0,   586,   587,   588,     0,     0,   589,
     590,   193,     0,   591,     0,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,     0,  1162,   636,   637,
     638,   639,   209,   640,   641,   642,  2767,   644,   645,   646,
     757,   647,     0,   648,   649,   650,   651,  2768,     0,   654,
     655,   214,   656,   657,     0,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
       0,   678,   679,   680,   681,   682,     0,   683,  1165,   223,
       0,     0,  2769,   686,   224,   687,   225,     0,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
    1132,   232,     0,   706,     0,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,  1167,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   759,   718,   719,    81,    82,   735,    84,    85,    86,
     736,     0,   737,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   738,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   739,   740,     0,     0,     0,   741,   742,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,   744,     0,   745,     0,   746,   747,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   435,   436,   437,
       0,     0,     0,     0,     0,     0,     0,   438,   439,     0,
     440,   441,   442,     0,   443,   444,   445,   128,   129,     0,
     131,   132,     0,   446,   447,   448,   449,   450,   451,     0,
       0,  1157,   453,  1128,   134,   454,     0,   455,   456,   457,
     458,   138,     0,     0,     0,   459,   460,   461,   462,   463,
       0,   464,   465,     0,     0,   466,   467,   468,   469,   470,
     471,     0,     0,   472,   473,     0,     0,     0,     0,     0,
       0,     0,     0,   475,   476,   477,   478,   752,   479,   149,
     150,   480,     0,   481,     0,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   158,   507,   508,   509,
     510,   160,     0,   511,     0,   512,   513,   162,   514,     0,
     515,     0,   516,     0,     0,     0,   517,   518,   519,   520,
       0,   521,   166,     0,   167,   522,   523,     0,   524,   525,
     754,   526,   527,     0,   528,   529,   530,   531,     0,   532,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   171,
       0,   540,   541,   542,     0,   172,     0,   173,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   177,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   755,   564,   565,   756,   566,   567,  1161,   184,     0,
     186,   569,   570,   571,   572,   573,   574,   575,   187,   188,
     576,     0,   577,   578,     0,   579,     0,   191,   580,   192,
     581,   582,   583,     0,   584,   585,     0,     0,   586,   587,
     588,     0,     0,   589,   590,   193,     0,   591,     0,   196,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   197,   603,   198,   604,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   200,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,     0,   633,   634,
       0,  1162,   636,   637,   638,   639,   209,   640,   641,   642,
    2844,   644,   645,   646,   757,   647,     0,   648,   649,   650,
     651,  2768,     0,   654,   655,   214,   656,   657,     0,   658,
     659,   217,   660,     0,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   219,   674,     0,
     675,   676,     0,   677,     0,   678,   679,   680,   681,   682,
       0,   683,  1165,   223,     0,     0,  2769,   686,   224,   687,
     225,     0,   688,   689,   690,   691,   692,   693,   694,   695,
       0,     0,   696,   697,   698,   699,   700,     0,     0,   701,
     702,   703,   704,   705,  1132,   232,     0,   706,     0,   707,
     708,   709,   710,     0,     0,   711,     0,     0,   712,   713,
     714,   715,   716,  1167,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   759,   718,   719,    81,    82,
     735,    84,    85,    86,   736,     0,   737,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   738,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   739,   740,     0,     0,     0,
     741,   742,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,   745,     0,   746,
     747,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,     0,   443,   444,
     445,   128,   129,     0,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,  1157,   453,  1128,   134,   454,
       0,   455,   456,   457,   458,   138,     0,     0,     0,   459,
     460,   461,   462,   463,     0,   464,   465,     0,     0,   466,
     467,   468,   469,   470,   471,     0,     0,   472,   473,     0,
       0,     0,     0,     0,     0,     0,     0,   475,   476,   477,
     478,   752,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,     0,     0,     0,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,   754,   526,   527,     0,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   177,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   755,   564,   565,   756,   566,
     567,  1161,   184,     0,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,     0,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
       0,   591,     0,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,     0,  1162,   636,   637,   638,   639,
     209,   640,   641,   642,  2861,   644,   645,   646,   757,   647,
       0,   648,   649,   650,   651,  2768,     0,   654,   655,   214,
     656,   657,     0,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,     0,   678,
     679,   680,   681,   682,     0,   683,  1165,   223,     0,     0,
    2769,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,  1132,   232,
       0,   706,     0,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,  1167,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   759,
     718,   719,    81,    82,   735,    84,    85,    86,   736,     0,
     737,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   738,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   739,
     740,     0,     0,     0,   741,   742,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,   744,
       0,   745,     0,   746,   747,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,     0,   443,   444,   445,   128,   129,     0,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,  1157,
     453,  1128,   134,   454,     0,   455,   456,   457,   458,   138,
       0,     0,     0,   459,   460,   461,   462,   463,     0,   464,
     465,     0,     0,   466,   467,   468,   469,   470,   471,     0,
       0,   472,   473,     0,     0,     0,     0,     0,     0,     0,
       0,   475,   476,   477,   478,   752,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
       0,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,     0,     0,     0,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,   754,   526,
     527,     0,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     177,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   755,
     564,   565,   756,   566,   567,  1161,   184,     0,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,     0,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,     0,     0,   586,   587,   588,     0,
       0,   589,   590,   193,     0,   591,     0,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,     0,  1162,
     636,   637,   638,   639,   209,   640,   641,   642,  1163,   644,
     645,   646,   757,   647,     0,   648,   649,   650,   651,  2768,
       0,   654,   655,   214,   656,   657,     0,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,     0,   678,   679,   680,   681,   682,     0,   683,
    1165,   223,     0,     0,  2769,   686,   224,   687,   225,     0,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,  1132,   232,     0,   706,     0,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,  1167,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   759,   718,   719,    81,    82,   735,    84,
      85,    86,   736,     0,   737,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   738,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   739,   740,     0,     0,     0,   741,   742,
       0,     0,     0,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,   745,     0,   746,   747,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,     0,   443,   444,   445,   128,
     129,     0,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,   749,   134,   454,     0,   455,
     456,   457,   458,   138,     0,     0,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   750,     0,   466,   467,   468,
     469,   470,   471,     0,     0,   472,   473,     0,     0,     0,
       0,     0,     0,     0,     0,   475,   476,   477,   478,   752,
     479,   149,   150,   480,     0,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,     0,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,     0,     0,     0,   517,   518,
     519,   520,     0,   521,   166,     0,   167,     0,   523,     0,
     524,   525,   754,   526,   527,     0,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   177,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   755,   564,   565,   756,   566,   567,   568,
     184,     0,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,     0,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,     0,     0,
     586,   587,   588,     0,     0,   589,   590,   193,     0,   591,
       0,   196,   592,   593,   594,   595,   596,   597,     0,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   209,     0,
     641,   642,   643,   644,   645,   646,   757,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
       0,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,     0,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,     0,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,   758,   232,     0,   706,
       0,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   759,   718,   719,
      81,    82,     0,    84,    85,    86,     0,     0,     0,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,     0,     0,     0,   101,   102,   103,   104,     0,   105,
     106,   107,   108, -2777,   109,   110,   111,     0,     0,     0,
       0,     0,   114,   115,     0,     0,     0,     0,   116,     0,
       0,     0,     0,     0,     0,     0,     0,   117,     0,   118,
       0,   119,   120,    35,     0,  1243,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   126,
       0,     0,     0,   128,   129,   130,   131,   132,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     134,     0,     0,     0,     0,     0,     0,   138,     0,   139,
       0,     0,     0,     0,     0,     0,   142,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   145,     0,
       0,     0,     0,     0,     0,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   149,   150,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   156,     0,     0,     0,     0,     0,
       0,     0,   158,     0,     0,     0,     0,   160,     0,     0,
       0,     0,     0,   162,     0,     0,     0,     0,     0,   163,
       0,   164,     0,     0,     0,     0,     0,     0,   166,     0,
     167,     0,     0,     0,     0,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   170,   171,     0,     0,     0,     0,
       0,   172,     0,   173,     0,     0,   174,   175,     0,   176,
       0,     0,     0,     0,     0,     0,     0,     0,   177,   178,
       0,   179,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   184,   185,   186,     0,     0,     0,
       0,     0,     0,     0,   187,   188,     0,     0,     0,     0,
     190,     0,     0,   191,     0,   192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   193,   194,     0,   195,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,     0,
     198,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   207,     0,     0,     0,
       0,     0,   209,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   214,     0,     0,   216,     0,     0,   217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   219,     0,     0,     0,     0,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,   222,   223,
       0,     0,     0,     0,   224,     0,   225,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,   233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    81,    82,     0,    84,    85,    86,     0,     0,     0,
      89,     0,     0,    92,    93,    94,    95,    96,    97,     0,
      98,    99,     0,     0,     0,   101,   102,   103,   104,     0,
     105,   106,   107,   108,     0,   109,   110,   111,     0,     0,
       0,     0,     0,   114,   115,     0,     0,     0,     0,   116,
       0,     0,     0,     0,     0,     0,     0,     0,   117,     0,
     118,     0,   119,     0,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     126,     0,     0,     0,   128,   129,   130,   131,   132,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   134,     0,     0,     0,     0,     0,     0,   138,     0,
     139,     0,     0,     0,     0,     0,     0,   142,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   145,
       0,     0,     0,     0,     0,     0,   146,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   149,   150,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   156,     0,     0,     0,     0,
       0,     0,     0,   158,     0,     0,     0,     0,   160,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
     163,     0,   164,     0,     0,     0,     0,     0,     0,   166,
       0,   167,     0,     0,     0,     0,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   170,   171,     0,     0,     0,
       0,     0,   172,     0,   173,     0,     0,   174,   175,     0,
     176,     0,     0,     0,     0,     0,     0,     0,     0,   177,
     178,     0,   179,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   184,   185,   186,     0,     0,
       0,     0,     0,     0,     0,   187,   188,     0,     0,     0,
       0,   190,     0,     0,   191,     0,   192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   193,   194,     0,   195,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
       0,   198,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   207,     0,     0,
       0,     0,     0,   209,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   214,     0,     0,   216,     0,     0,   217,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   219,     0,     0,     0,     0,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,   222,
     223,     0,     0,     0,     0,   224,     0,   225,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   232,     0,     0,   233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    81,    82,     0,    84,    85,    86,     0,     0,
       0,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,     0,     0,     0,   101,   102,   103,   104,
       0,   105,   106,   107,   108,     0,   109,   110,   111,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   126,     0,     0,     0,   128,   129,   130,   131,   132,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   134,     0,     0,     0,     0,     0,     0,   138,
       0,   139,     0,     0,     0,     0,     0,     0,   142,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     145,     0,     0,     0,     0,     0,     0,   146,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   149,   150,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   156,     0,     0,     0,
       0,     0,     0,     0,   158,     0,     0,     0,     0,   160,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,   163,     0,   164,     0,     0,     0,     0,     0,     0,
     166,     0,   167,     0,     0,     0,     0,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   170,   171,     0,     0,
       0,     0,     0,   172,     0,   173,     0,     0,   174,   175,
       0,   176,     0,     0,     0,     0,     0,     0,     0,     0,
     177,   178,     0,   179,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   184,   185,   186,     0,
       0,     0,     0,     0,     0,     0,   187,   188,     0,     0,
       0,     0,   190,     0,     0,   191,     0,   192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   193,   194,     0,   195,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,     0,   198,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   207,     0,
       0,     0,     0,     0,   209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   214,     0,     0,   216,     0,     0,   217,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   219,     0,     0,     0,     0,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
     222,   223,     0,     0,     0,     0,   224,     0,   225,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,   233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    81,    82,     0,    84,    85,    86,     0,
       0,     0,    89,     0,     0,    92,    93,    94,    95,    96,
      97,     0,    98,    99,     0,     0,     0,   101,   102,   103,
     104,     0,     0,   106,   107,   108,     0,   109,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   126,     0,     0,     0,   128,   129,   130,   131,
     132,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   134,     0,     0,     0,     0,     0,     0,
     138,     0,   139,     0,     0,     0,     0,     0,     0,   142,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   145,     0,     0,     0,     0,     0,     0,   146,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   149,   150,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   158,     0,     0,     0,     0,
     160,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,   163,     0,   164,     0,     0,     0,     0,     0,
       0,   166,     0,   167,     0,     0,     0,     0,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   170,   171,     0,
       0,     0,     0,     0,   172,     0,   173,     0,     0,   174,
     175,     0,   176,     0,     0,     0,     0,     0,     0,     0,
       0,   177,   178,     0,   179,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   184,   185,   186,
       0,     0,     0,     0,     0,     0,     0,   187,   188,     0,
       0,     0,     0,   190,     0,     0,   191,     0,   192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   193,   194,     0,   195,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,     0,   198,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   207,
       0,     0,     0,     0,     0,   209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   214,     0,     0,   216,     0,     0,
     217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   219,     0,     0,     0,
       0,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,   222,   223,     0,     0,     0,     0,   224,     0,   225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,   233,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   426,     0,     0,    37,     0,
      38,    39,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,   128,   129,   130,   131,   132,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
       0,   134,   454,     0,   455,   456,   457,   458,   138,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,     0,
     475,   476,   477,   478,     0,   479,   149,   150,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,  2343,
     511,     0,   512,   513,   162,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,   166,
       0,   167,   522,   523,     0,   524,   525,     0,   526,   527,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,   171,     0,   540,   541,
     542,     0,   172,     0,   173,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,   177,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   184,   185,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,     0,   577,
     578,   190,   579,     0,   191,   580,   192,   581,   582,   583,
       0,   584,   585,  2344,     0,   586,   587,   588,     0,     0,
     589,   590,   193,   194,   591,   195,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   197,
     603,   198,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,     0,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   214,   656,   657,   216,   658,   659,   217,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,   222,
     223,     0,     0,   685,   686,   224,   687,   225,  2345,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,     0,   232,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   718,   719,     0,    37,     0,     0,     0,
       0,     0,  1859,  1860,  5688,     0,     0,     0,     0,     0,
       0,  5689,     0,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,   123,   124,     0,     0,     0,
       0,     0,   438,   439,     0,   440,   441,   442,   126,   443,
     444,   445,   128,   129,   130,   131,   132,     0,   446,   447,
     448,   449,   450,   451,     0,     0,   452,   453,     0,   134,
     454,     0,   455,   456,   457,   458,   138,     0,   139,     0,
     459,   460,   461,   462,   463,   142,   464,   465,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   145,   472,   473,
       0,     0,     0,     0,   146,     0,     0,     0,   475,   476,
     477,   478,     0,   479,   149,   150,   480,     0,   481,     0,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   158,   507,   508,   509,   510,   160,     0,   511,     0,
     512,   513,   162,   514,     0,   515,     0,   516,   163,     0,
     164,   517,   518,   519,   520,     0,   521,   166,     0,   167,
     522,   523,     0,   524,   525,     0,   526,   527,   168,   528,
     529,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   170,   171,     0,   540,   541,   542,     0,
     172,     0,   173,     0,   543,   174,   175,   544,   176,   545,
     546,   547,   548,   549,     0,     0,   550,   177,   178,   551,
     179,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   184,   185,   186,   569,   570,   571,   572,
     573,   574,   575,   187,   188,   576,     0,   577,   578,   190,
     579,     0,   191,   580,   192,   581,   582,   583,     0,   584,
     585,     0,     0,   586,   587,   588,     0,     0,   589,   590,
     193,   194,   591,   195,   196,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   197,   603,   198,
     604,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   200,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,     0,   633,   634,   207,   635,   636,   637,   638,
     639,   209,   640,   641,   642,   643,   644,   645,   646,     0,
     647,   212,   648,   649,   650,   651,   652,     0,   654,   655,
     214,   656,   657,   216,   658,   659,   217,   660,     0,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   219,   674,     0,   675,   676,   220,   677,   221,
     678,   679,   680,   681,   682,     0,   683,   222,   223,     0,
       0,   685,   686,   224,   687,   225,     0,   688,   689,   690,
     691,   692,   693,   694,   695,     0,     0,   696,   697,   698,
     699,   700,     0,     0,   701,   702,   703,   704,   705,   231,
     232,     0,   706,   233,   707,   708,   709,   710,     0,     0,
     711,     0,   234,   712,   713,   714,   715,   716,   717,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
       0,   718,   719,    35,   426,   246,     0,    37,     0,    38,
      39,     0,     0,     0,     0,    40,     0,     0,     0,   247,
       0,     0,     0,     0,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   435,   436,   437,     0,     0,     0,     0,
       0,     0,     0,   438,   439,     0,   440,   441,   442,   126,
     443,   444,   445,   128,   129,   130,   131,   132,     0,   446,
     447,   448,   449,   450,   451,     0,     0,   452,   453,     0,
     134,   454,     0,   455,   456,   457,   458,   138,     0,   139,
       0,   459,   460,   461,   462,   463,   142,   464,   465,     0,
       0,   466,   467,   468,   469,   470,   471,     0,   145,   472,
     473,     0,     0,     0,     0,   146,     0,     0,     0,   475,
     476,   477,   478,     0,   479,   149,   150,   480,  2551,   481,
       0,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   158,   507,   508,   509,   510,   160,  2343,   511,
       0,   512,   513,   162,   514,     0,   515,     0,   516,   163,
       0,   164,   517,   518,   519,   520,     0,   521,   166,     0,
     167,   522,   523,     0,   524,   525,     0,   526,   527,   168,
     528,   529,   530,   531,     0,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   170,   171,     0,   540,   541,   542,
       0,   172,     0,   173,     0,   543,   174,   175,   544,   176,
     545,   546,   547,   548,   549,     0,     0,   550,   177,   178,
     551,   179,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   184,   185,   186,   569,   570,   571,
     572,   573,   574,   575,   187,   188,   576,     0,   577,   578,
     190,   579,     0,   191,   580,   192,   581,   582,   583,     0,
     584,   585,  2344,     0,   586,   587,   588,     0,     0,   589,
     590,   193,   194,   591,   195,   196,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   197,   603,
     198,   604,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   200,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,   633,   634,   207,   635,   636,   637,
     638,   639,   209,   640,   641,   642,   643,   644,   645,   646,
       0,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   214,   656,   657,   216,   658,   659,   217,   660,     0,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   219,   674,     0,   675,   676,     0,   677,
     221,   678,   679,   680,   681,   682,     0,   683,   222,   223,
       0,     0,   685,   686,   224,   687,   225,  2345,   688,   689,
     690,   691,   692,   693,   694,   695,     0,     0,   696,   697,
     698,   699,   700,     0,     0,   701,   702,   703,   704,   705,
       0,   232,     0,   706,   233,   707,   708,   709,   710,     0,
       0,   711,     0,     0,   712,   713,   714,   715,   716,   717,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   718,   719,     0,     0,     0,     0,     0,    35,
     426,  1859,  1860,    37,     0,    38,    39,     0,     0,     0,
       0,    40,     0,     0,     0,     0,     0,     0,     0,     0,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   435,
     436,   437,     0,     0,     0,     0,     0,     0,     0,   438,
     439,     0,   440,   441,   442,   126,   443,   444,   445,   128,
     129,   130,   131,   132,     0,   446,   447,   448,   449,   450,
     451,     0,     0,   452,   453,     0,   134,   454,     0,   455,
     456,   457,   458,   138,     0,   139,     0,   459,   460,   461,
     462,   463,   142,   464,   465,     0,     0,   466,   467,   468,
     469,   470,   471,     0,   145,   472,   473,     0,     0,     0,
       0,   146,     0,     0,     0,   475,   476,   477,   478,     0,
     479,   149,   150,   480,  2556,   481,     0,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   158,   507,
     508,   509,   510,   160,  2343,   511,     0,   512,   513,   162,
     514,     0,   515,     0,   516,   163,     0,   164,   517,   518,
     519,   520,     0,   521,   166,     0,   167,   522,   523,     0,
     524,   525,     0,   526,   527,   168,   528,   529,   530,   531,
       0,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     170,   171,     0,   540,   541,   542,     0,   172,     0,   173,
       0,   543,   174,   175,   544,   176,   545,   546,   547,   548,
     549,     0,     0,   550,   177,   178,   551,   179,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     184,   185,   186,   569,   570,   571,   572,   573,   574,   575,
     187,   188,   576,     0,   577,   578,   190,   579,     0,   191,
     580,   192,   581,   582,   583,     0,   584,   585,  2344,     0,
     586,   587,   588,     0,     0,   589,   590,   193,   194,   591,
     195,   196,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   197,   603,   198,   604,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   200,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
     633,   634,   207,   635,   636,   637,   638,   639,   209,   640,
     641,   642,   643,   644,   645,   646,     0,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   214,   656,   657,
     216,   658,   659,   217,   660,     0,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   219,
     674,     0,   675,   676,     0,   677,   221,   678,   679,   680,
     681,   682,     0,   683,   222,   223,     0,     0,   685,   686,
     224,   687,   225,  2345,   688,   689,   690,   691,   692,   693,
     694,   695,     0,     0,   696,   697,   698,   699,   700,     0,
       0,   701,   702,   703,   704,   705,     0,   232,     0,   706,
     233,   707,   708,   709,   710,     0,     0,   711,     0,     0,
     712,   713,   714,   715,   716,   717,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   718,   719,
       0,     0,     0,     0,     0,    35,   426,  1859,  1860,    37,
       0,    38,    39,     0,     0,     0,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   435,   436,   437,     0,     0,
       0,     0,     0,     0,     0,   438,   439,     0,   440,   441,
     442,   126,   443,   444,   445,   128,   129,   130,   131,   132,
       0,   446,   447,   448,   449,   450,   451,     0,     0,   452,
     453,     0,   134,   454,     0,   455,   456,   457,   458,   138,
       0,   139,     0,   459,   460,   461,   462,   463,   142,   464,
     465,     0,     0,   466,   467,   468,   469,   470,   471,     0,
     145,   472,   473,     0,     0,     0,     0,   146,     0,     0,
       0,   475,   476,   477,   478,     0,   479,   149,   150,   480,
       0,   481,     0,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   158,   507,   508,   509,   510,   160,
    2343,   511,     0,   512,   513,   162,   514,     0,   515,     0,
     516,   163,     0,   164,   517,   518,   519,   520,     0,   521,
     166,     0,   167,   522,   523,     0,   524,   525,     0,   526,
     527,   168,   528,   529,   530,   531,     0,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   170,   171,     0,   540,
     541,   542,     0,   172,     0,   173,     0,   543,   174,   175,
     544,   176,   545,   546,   547,   548,   549,     0,     0,   550,
     177,   178,   551,   179,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   184,   185,   186,   569,
     570,   571,   572,   573,   574,   575,   187,   188,   576,     0,
     577,   578,   190,   579,     0,   191,   580,   192,   581,   582,
     583,     0,   584,   585,  2344,     0,   586,   587,   588,     0,
       0,   589,   590,   193,   194,   591,   195,   196,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     197,   603,   198,   604,   605,   606,     0,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   200,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,   633,   634,   207,   635,
     636,   637,   638,   639,   209,   640,   641,   642,   643,   644,
     645,   646,     0,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   214,   656,   657,   216,   658,   659,   217,
     660,     0,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   219,   674,     0,   675,   676,
       0,   677,   221,   678,   679,   680,   681,   682,     0,   683,
     222,   223,     0,     0,   685,   686,   224,   687,   225,  2345,
     688,   689,   690,   691,   692,   693,   694,   695,     0,     0,
     696,   697,   698,   699,   700,     0,     0,   701,   702,   703,
     704,   705,     0,   232,     0,   706,   233,   707,   708,   709,
     710,     0,     0,   711,     0,     0,   712,   713,   714,   715,
     716,   717,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   718,   719,     0,     0,    35,   426,
       0,     0,    37,  1859,  1860,    39,     0,     0,     0,     0,
      40,     0,     0,     0,     0,     0,     0,     0,     0,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
     437,     0,     0,     0,     0,     0,     0,     0,   438,   439,
       0,   440,   441,   442,   126,   443,   444,   445,   128,   129,
     130,   131,   132,     0,   446,   447,   448,   449,   450,   451,
       0,     0,   452,   453,     0,   134,   454,     0,   455,   456,
     457,   458,   138,     0,   139,     0,   459,   460,   461,   462,
     463,   142,   464,   465,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   145,   472,   473,     0,     0,     0,     0,
     146,     0,     0,     0,   475,   476,   477,   478,     0,   479,
     149,   150,   480,  3482,   481,     0,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   158,   507,   508,
     509,   510,   160,  2343,   511,     0,   512,   513,   162,   514,
       0,   515,     0,   516,   163,     0,   164,   517,   518,   519,
     520,     0,   521,   166,     0,   167,   522,   523,     0,   524,
     525,     0,   526,   527,   168,   528,   529,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   170,
     171,     0,   540,   541,   542,     0,   172,     0,   173,     0,
     543,   174,   175,   544,   176,   545,   546,   547,   548,   549,
       0,     0,   550,   177,   178,   551,   179,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   184,
     185,   186,   569,   570,   571,   572,   573,   574,   575,   187,
     188,   576,     0,   577,   578,   190,   579,     0,   191,   580,
     192,   581,   582,   583,     0,   584,   585,  2344,     0,   586,
     587,   588,     0,     0,   589,   590,   193,   194,   591,   195,
     196,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   197,   603,   198,   604,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     200,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,     0,   633,
     634,   207,   635,   636,   637,   638,   639,   209,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   214,   656,   657,   216,
     658,   659,   217,   660,     0,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   219,   674,
       0,   675,   676,     0,   677,   221,   678,   679,   680,   681,
     682,     0,   683,   222,   223,     0,     0,   685,   686,   224,
     687,   225,  2345,   688,   689,   690,   691,   692,   693,   694,
     695,     0,     0,   696,   697,   698,   699,   700,     0,     0,
     701,   702,   703,   704,   705,     0,   232,     0,   706,   233,
     707,   708,   709,   710,     0,     0,   711,     0,     0,   712,
     713,   714,   715,   716,   717,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,   718,   719,     0,
       0,    35,   426,     0,     0,    37,  1086,  1087,    39,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   435,   436,   437,     0,     0,     0,     0,     0,     0,
       0,   438,   439,     0,   440,   441,   442,   126,   443,   444,
     445,   128,   129,   130,   131,   132,     0,   446,   447,   448,
     449,   450,   451,     0,     0,   452,   453,     0,   134,   454,
       0,   455,   456,   457,   458,   138,     0,   139,     0,   459,
     460,   461,   462,   463,   142,   464,   465,     0,     0,   466,
     467,   468,   469,   470,   471,     0,   145,   472,   473,     0,
       0,     0,     0,   146,     0,     0,   474,   475,   476,   477,
     478,     0,   479,   149,   150,   480,     0,   481,     0,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     158,   507,   508,   509,   510,   160,     0,   511,     0,   512,
     513,   162,   514,     0,   515,     0,   516,   163,     0,   164,
     517,   518,   519,   520,     0,   521,   166,     0,   167,   522,
     523,     0,   524,   525,     0,   526,   527,   168,   528,   529,
     530,   531,     0,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   170,   171,     0,   540,   541,   542,     0,   172,
       0,   173,     0,   543,   174,   175,   544,   176,   545,   546,
     547,   548,   549,     0,     0,   550,   177,   178,   551,   179,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   184,   185,   186,   569,   570,   571,   572,   573,
     574,   575,   187,   188,   576,     0,   577,   578,   190,   579,
       0,   191,   580,   192,   581,   582,   583,     0,   584,   585,
       0,     0,   586,   587,   588,     0,     0,   589,   590,   193,
     194,   591,   195,   196,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   197,   603,   198,   604,
     605,   606,     0,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   200,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,   633,   634,   207,   635,   636,   637,   638,   639,
     209,   640,   641,   642,   643,   644,   645,   646,     0,   647,
       0,   648,   649,   650,   651,   652,   653,   654,   655,   214,
     656,   657,   216,   658,   659,   217,   660,     0,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   219,   674,     0,   675,   676,     0,   677,   221,   678,
     679,   680,   681,   682,     0,   683,   222,   223,   684,     0,
     685,   686,   224,   687,   225,     0,   688,   689,   690,   691,
     692,   693,   694,   695,     0,     0,   696,   697,   698,   699,
     700,     0,     0,   701,   702,   703,   704,   705,     0,   232,
       0,   706,   233,   707,   708,   709,   710,     0,     0,   711,
       0,     0,   712,   713,   714,   715,   716,   717,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
     718,   719,    35,   426,     0,     0,    37,     0,     0,    39,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,     0,     0,     0,     0,     0,
       0,     0,   438,   439,     0,   440,   441,   442,   126,   443,
     444,   445,   128,   129,   130,   131,   132,     0,   446,   447,
     448,   449,   450,   451,     0,     0,   452,   453,     0,   134,
     454,     0,   455,   456,   457,   458,   138,     0,   139,     0,
     459,   460,   461,   462,   463,   142,   464,   465,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   145,   472,   473,
       0,     0,     0,     0,   146,     0,     0,   474,   475,   476,
     477,   478,     0,   479,   149,   150,   480,     0,   481,     0,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   158,   507,   508,   509,   510,   160,     0,   511,     0,
     512,   513,   162,   514,     0,   515,     0,   516,   163,     0,
     164,   517,   518,   519,   520,     0,   521,   166,     0,   167,
     522,   523,     0,   524,   525,     0,   526,   527,   168,   528,
     529,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   170,   171,     0,   540,   541,   542,     0,
     172,     0,   173,     0,   543,   174,   175,   544,   176,   545,
     546,   547,   548,   549,     0,     0,   550,   177,   178,   551,
     179,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   184,   185,   186,   569,   570,   571,   572,
     573,   574,   575,   187,   188,   576,     0,   577,   578,   190,
     579,     0,   191,   580,   192,   581,   582,   583,     0,   584,
     585,     0,     0,   586,   587,   588,     0,     0,   589,   590,
     193,   194,   591,   195,   196,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   197,   603,   198,
     604,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   200,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,     0,   633,   634,   207,   635,   636,   637,   638,
     639,   209,   640,   641,   642,   643,   644,   645,   646,     0,
     647,     0,   648,   649,   650,   651,   652,   653,   654,   655,
     214,   656,   657,   216,   658,   659,   217,   660,     0,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   219,   674,     0,   675,   676,     0,   677,   221,
     678,   679,   680,   681,   682,     0,   683,   222,   223,     0,
       0,   685,   686,   224,   687,   225,     0,   688,   689,   690,
     691,   692,   693,   694,   695,     0,     0,   696,   697,   698,
     699,   700,     0,     0,   701,   702,   703,   704,   705,     0,
     232,     0,   706,   233,   707,   708,   709,   710,     0,     0,
     711,     0,     0,   712,   713,   714,   715,   716,   717,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   718,   719,     0,    37,     0,     0,    39,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,     0,     0,     0,     0,     0,     0,     0,
     438,   439,     0,   440,   441,   442,   126,   443,   444,   445,
     128,   129,   130,   131,   132,     0,   446,   447,   448,   449,
     450,   451,     0,     0,   452,   453,     0,   134,   454,     0,
     455,   456,   457,   458,   138,     0,   139,     0,   459,   460,
     461,   462,   463,   142,   464,   465,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   145,   472,   473,     0,     0,
       0,     0,   146,     0,     0,     0,   475,   476,   477,   478,
       0,   479,   149,   150,   480,     0,   481,     0,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   158,
     507,   508,   509,   510,   160,  2343,   511,     0,   512,   513,
     162,   514,     0,   515,     0,   516,   163,     0,   164,   517,
     518,   519,   520,     0,   521,   166,     0,   167,   522,   523,
       0,   524,   525,     0,   526,   527,   168,   528,   529,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   170,   171,     0,   540,   541,   542,     0,   172,     0,
     173,     0,   543,   174,   175,   544,   176,   545,   546,   547,
     548,   549,     0,     0,   550,   177,   178,   551,   179,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   184,   185,   186,   569,   570,   571,   572,   573,   574,
     575,   187,   188,   576,     0,   577,   578,   190,   579,     0,
     191,   580,   192,   581,   582,   583,     0,   584,   585,  2344,
       0,   586,   587,   588,     0,     0,   589,   590,   193,   194,
     591,   195,   196,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   197,   603,   198,   604,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   200,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
       0,   633,   634,   207,   635,   636,   637,   638,   639,   209,
     640,   641,   642,   643,   644,   645,   646,     0,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   214,   656,
     657,   216,   658,   659,   217,   660,     0,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     219,   674,     0,   675,   676,     0,   677,   221,   678,   679,
     680,   681,   682,     0,   683,   222,   223,     0,     0,   685,
     686,   224,   687,   225,  2345,   688,   689,   690,   691,   692,
     693,   694,   695,     0,     0,   696,   697,   698,   699,   700,
       0,     0,   701,   702,   703,   704,   705,     0,   232,     0,
     706,   233,   707,   708,   709,   710,     0,     0,   711,     0,
       0,   712,   713,   714,   715,   716,   717,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    35,   718,
     719,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   427,
     428,   429,   430,   431,   432,   433,   434,  1324,   435,   436,
     437,     0,     0,     0,     0,     0,     0,     0,   438,   439,
       0,   440,   441,   442,   126,   443,   444,   445,   128,   129,
     130,   131,   132,     0,   446,   447,   448,   449,   450,   451,
       0,     0,   452,   453,     0,   134,   454,     0,   455,   456,
     457,   458,   138,     0,   139,     0,   459,   460,   461,   462,
     463,   142,   464,   465,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   145,   472,   473,     0,     0,     0,     0,
     146,     0,     0,   474,   475,   476,   477,   478,     0,   479,
     149,   150,   480,     0,   481,     0,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   158,   507,   508,
     509,   510,   160,     0,   511,     0,   512,   513,   162,   514,
       0,   515,     0,   516,   163,     0,   164,   517,   518,   519,
     520,     0,   521,   166,     0,   167,   522,   523,     0,   524,
     525,     0,   526,   527,   168,   528,   529,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   170,
     171,     0,   540,   541,   542,     0,   172,     0,   173,     0,
     543,   174,   175,   544,   176,   545,   546,   547,   548,   549,
       0,     0,   550,   177,   178,   551,   179,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   184,
     185,   186,   569,   570,   571,   572,   573,   574,   575,   187,
     188,   576,     0,   577,   578,   190,   579,     0,   191,   580,
     192,   581,   582,   583,     0,   584,   585,     0,     0,   586,
     587,   588,     0,     0,   589,   590,   193,   194,   591,   195,
     196,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   197,   603,   198,   604,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     200,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,     0,   633,
     634,   207,   635,   636,   637,   638,   639,   209,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,   653,   654,   655,   214,   656,   657,   216,
     658,   659,   217,   660,     0,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   219,   674,
       0,   675,   676,     0,   677,   221,   678,   679,   680,   681,
     682,     0,   683,   222,   223,     0,     0,   685,   686,   224,
     687,   225,     0,   688,   689,   690,   691,   692,   693,   694,
     695,     0,     0,   696,   697,   698,   699,   700,     0,     0,
     701,   702,   703,   704,   705,     0,   232,     0,   706,   233,
     707,   708,   709,   710,     0,     0,   711,     0,     0,   712,
     713,   714,   715,   716,   717,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    35,   718,   719,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   427,   428,   429,
     430,   431,   432,   433,   434,  1345,   435,   436,   437,     0,
       0,     0,     0,     0,     0,     0,   438,   439,     0,   440,
     441,   442,   126,   443,   444,   445,   128,   129,   130,   131,
     132,     0,   446,   447,   448,   449,   450,   451,     0,     0,
     452,   453,     0,   134,   454,     0,   455,   456,   457,   458,
     138,     0,   139,     0,   459,   460,   461,   462,   463,   142,
     464,   465,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   145,   472,   473,     0,     0,     0,     0,   146,     0,
       0,   474,   475,   476,   477,   478,     0,   479,   149,   150,
     480,     0,   481,     0,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   158,   507,   508,   509,   510,
     160,     0,   511,     0,   512,   513,   162,   514,     0,   515,
       0,   516,   163,     0,   164,   517,   518,   519,   520,     0,
     521,   166,     0,   167,   522,   523,     0,   524,   525,     0,
     526,   527,   168,   528,   529,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   170,   171,     0,
     540,   541,   542,     0,   172,     0,   173,     0,   543,   174,
     175,   544,   176,   545,   546,   547,   548,   549,     0,     0,
     550,   177,   178,   551,   179,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,  1346,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   184,   185,   186,
     569,   570,   571,   572,   573,   574,   575,   187,   188,   576,
       0,   577,   578,   190,   579,     0,   191,   580,   192,   581,
     582,   583,     0,   584,   585,     0,     0,   586,   587,   588,
       0,     0,   589,   590,   193,   194,   591,   195,   196,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   197,   603,   198,   604,   605,   606,     0,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   200,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,     0,   633,   634,   207,
     635,   636,   637,   638,   639,   209,   640,   641,   642,   643,
     644,   645,   646,     0,   647,     0,   648,   649,   650,   651,
     652,   653,   654,   655,   214,   656,   657,   216,   658,   659,
     217,   660,     0,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   219,   674,     0,   675,
     676,     0,   677,   221,   678,   679,   680,   681,   682,     0,
     683,   222,   223,     0,     0,   685,   686,   224,   687,   225,
       0,   688,   689,   690,   691,   692,   693,   694,   695,     0,
       0,   696,   697,   698,   699,   700,     0,     0,   701,   702,
     703,   704,   705,     0,   232,     0,   706,   233,   707,   708,
     709,   710,     0,     0,   711,     0,     0,   712,   713,   714,
     715,   716,   717,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   718,   719,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,   128,   129,   130,   131,   132,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
       0,   134,   454,     0,   455,   456,   457,   458,   138,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,   474,
     475,   476,   477,   478,     0,   479,   149,   150,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,     0,
     511,     0,   512,   513,   162,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,   166,
       0,   167,   522,   523,     0,   524,   525,     0,   526,   527,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,   171,     0,   540,   541,
     542,     0,   172,     0,   173,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,   177,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   184,   185,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,     0,   577,
     578,   190,   579,     0,   191,   580,   192,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,   193,   194,   591,   195,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   197,
     603,   198,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,     0,   647,     0,   648,   649,   650,   651,   652,   653,
     654,   655,   214,   656,   657,   216,   658,   659,   217,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,   222,
     223,     0,     0,   685,   686,   224,   687,   225,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,  2930,     0,   701,   702,   703,   704,
     705,     0,   232,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   718,   719,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,     0,     0,     0,     0,     0,
       0,     0,   438,   439,     0,   440,   441,   442,   126,   443,
     444,   445,   128,   129,   130,   131,   132,     0,   446,   447,
     448,   449,   450,   451,     0,     0,   452,   453,     0,   134,
     454,     0,   455,   456,   457,   458,   138,     0,   139,     0,
     459,   460,   461,   462,   463,   142,   464,   465,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   145,   472,   473,
       0,     0,     0,     0,   146,     0,     0,   474,   475,   476,
     477,   478,     0,   479,   149,   150,   480,     0,   481,     0,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   158,   507,   508,   509,   510,   160,     0,   511,     0,
     512,   513,   162,   514,     0,   515,     0,   516,   163,     0,
     164,   517,   518,   519,   520,     0,   521,   166,  3944,   167,
     522,   523,     0,   524,   525,     0,   526,   527,   168,   528,
     529,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   170,   171,     0,   540,   541,   542,     0,
     172,     0,   173,     0,   543,   174,   175,   544,   176,   545,
     546,   547,   548,   549,     0,     0,   550,   177,   178,   551,
     179,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   184,   185,   186,   569,   570,   571,   572,
     573,   574,   575,   187,   188,   576,     0,   577,   578,   190,
     579,     0,   191,   580,   192,   581,   582,   583,     0,   584,
     585,     0,     0,   586,   587,   588,     0,     0,   589,   590,
     193,   194,   591,   195,   196,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   197,   603,   198,
     604,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   200,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,     0,   633,   634,   207,   635,   636,   637,   638,
     639,   209,   640,   641,   642,   643,   644,   645,   646,     0,
     647,     0,   648,   649,   650,   651,   652,   653,   654,   655,
     214,   656,   657,   216,   658,   659,   217,   660,     0,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   219,   674,     0,   675,   676,     0,   677,   221,
     678,   679,   680,   681,   682,     0,   683,   222,   223,     0,
       0,   685,   686,   224,   687,   225,     0,   688,   689,   690,
     691,   692,   693,   694,   695,     0,     0,   696,   697,   698,
     699,   700,     0,     0,   701,   702,   703,   704,   705,     0,
     232,     0,   706,   233,   707,   708,   709,   710,     0,     0,
     711,     0,     0,   712,   713,   714,   715,   716,   717,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   718,   719,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,     0,     0,     0,     0,     0,     0,     0,
     438,   439,     0,   440,   441,   442,   126,   443,   444,   445,
     128,   129,   130,   131,   132,     0,   446,   447,   448,   449,
     450,   451,     0,     0,   452,   453,     0,   134,   454,     0,
     455,   456,   457,   458,   138,     0,   139,     0,   459,   460,
     461,   462,   463,   142,   464,   465,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   145,   472,   473,     0,     0,
       0,     0,   146,     0,     0,   474,   475,   476,   477,   478,
       0,   479,   149,   150,   480,     0,   481,     0,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   158,
     507,   508,   509,   510,   160,     0,   511,     0,   512,   513,
     162,   514,     0,   515,     0,   516,   163,     0,   164,   517,
     518,   519,   520,     0,   521,   166,     0,   167,   522,   523,
       0,   524,   525,     0,   526,   527,   168,   528,   529,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   170,   171,     0,   540,   541,   542,     0,   172,     0,
     173,     0,   543,   174,   175,   544,   176,   545,   546,   547,
     548,   549,     0,     0,   550,   177,   178,   551,   179,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   184,   185,   186,   569,   570,   571,   572,   573,   574,
     575,   187,   188,   576,     0,   577,   578,   190,   579,     0,
     191,   580,   192,   581,   582,   583,     0,   584,   585,     0,
       0,   586,   587,   588,     0,     0,   589,   590,   193,   194,
     591,   195,   196,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   197,   603,   198,   604,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   200,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
       0,   633,   634,   207,   635,   636,   637,   638,   639,   209,
     640,   641,   642,   643,   644,   645,   646,     0,   647,     0,
     648,   649,   650,   651,   652,   653,   654,   655,   214,   656,
     657,   216,   658,   659,   217,   660,     0,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     219,   674,     0,   675,   676,     0,   677,   221,   678,   679,
     680,   681,   682,     0,   683,   222,   223,     0,     0,   685,
     686,   224,   687,   225,     0,   688,   689,   690,   691,   692,
     693,   694,   695,     0,     0,   696,   697,   698,   699,   700,
       0,     0,   701,   702,   703,   704,   705,     0,   232,     0,
     706,   233,   707,   708,   709,   710,     0,     0,   711,     0,
       0,   712,   713,   714,   715,   716,   717,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    35,   718,
     719,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
     437,     0,     0,     0,     0,     0,     0,     0,   438,   439,
       0,   440,   441,   442,   126,   443,   444,   445,   128,   129,
     130,   131,   132,     0,   446,   447,   448,   449,   450,   451,
       0,     0,   452,   453,     0,   134,   454,     0,   455,   456,
     457,   458,   138,     0,   139,     0,   459,   460,   461,   462,
     463,   142,   464,   465,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   145,   472,   473,     0,     0,     0,     0,
     146,     0,     0,   474,   475,   476,   477,   478,     0,   479,
     149,   150,   480,     0,   481,     0,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   158,   507,   508,
     509,   510,   160,     0,   511,     0,   512,   513,   162,   514,
       0,   515,     0,   516,   163,     0,   164,   517,   518,   519,
     520,     0,   521,   166,     0,   167,   522,   523,     0,   524,
     525,     0,   526,   527,   168,   528,   529,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   170,
     171,     0,   540,   541,   542,     0,   172,     0,   173,     0,
     543,   174,   175,   544,   176,   545,   546,   547,   548,   549,
       0,     0,   550,   177,   178,   551,   179,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,  1434,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   184,
     185,   186,   569,   570,   571,   572,   573,   574,   575,   187,
     188,   576,     0,   577,   578,   190,   579,     0,   191,   580,
     192,   581,   582,   583,     0,   584,   585,     0,     0,   586,
     587,   588,     0,     0,   589,   590,   193,   194,   591,   195,
     196,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   197,   603,   198,   604,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     200,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,     0,   633,
     634,   207,   635,   636,   637,   638,   639,   209,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,   653,   654,   655,   214,   656,   657,   216,
     658,   659,   217,   660,     0,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   219,   674,
       0,   675,   676,     0,   677,   221,   678,   679,   680,   681,
     682,     0,   683,   222,   223,     0,     0,   685,   686,   224,
     687,   225,     0,   688,   689,   690,   691,   692,   693,   694,
     695,     0,     0,   696,   697,   698,   699,   700,     0,     0,
     701,   702,   703,   704,   705,     0,   232,     0,   706,   233,
     707,   708,   709,   710,     0,     0,   711,     0,     0,   712,
     713,   714,   715,   716,   717,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    35,   718,   719,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,   437,     0,
       0,     0,     0,     0,     0,     0,   438,   439,     0,   440,
     441,   442,   126,   443,   444,   445,   128,   129,   130,   131,
     132,     0,   446,   447,   448,   449,   450,   451,     0,     0,
     452,   453,     0,   134,   454,     0,   455,   456,   457,   458,
     138,     0,   139,     0,   459,   460,   461,   462,   463,   142,
     464,   465,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   145,   472,   473,     0,     0,     0,     0,   146,     0,
       0,   474,   475,   476,   477,   478,     0,   479,   149,   150,
     480,     0,   481,     0,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   158,   507,   508,   509,   510,
     160,     0,   511,     0,   512,   513,   162,   514,     0,   515,
       0,   516,   163,     0,   164,   517,   518,   519,   520,     0,
     521,   166,     0,   167,   522,   523,     0,   524,   525,     0,
     526,  1519,   168,   528,   529,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   170,   171,     0,
     540,   541,   542,     0,   172,     0,   173,     0,   543,   174,
     175,   544,   176,   545,   546,   547,   548,   549,     0,     0,
     550,   177,   178,   551,   179,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   184,   185,   186,
     569,   570,   571,   572,   573,   574,   575,   187,   188,   576,
       0,   577,   578,   190,   579,     0,   191,   580,   192,   581,
     582,   583,     0,   584,   585,     0,     0,   586,   587,   588,
       0,     0,   589,   590,   193,   194,   591,   195,   196,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   197,   603,   198,   604,   605,   606,     0,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   200,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,     0,   633,   634,   207,
     635,   636,   637,   638,   639,   209,   640,   641,   642,   643,
     644,   645,   646,     0,   647,     0,   648,   649,   650,   651,
     652,   653,   654,   655,   214,   656,   657,   216,   658,   659,
     217,   660,     0,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   219,   674,     0,   675,
     676,     0,   677,   221,   678,   679,   680,   681,   682,     0,
     683,   222,   223,     0,     0,   685,   686,   224,   687,   225,
       0,   688,   689,   690,   691,   692,   693,   694,   695,     0,
       0,   696,   697,   698,   699,   700,     0,     0,   701,   702,
     703,   704,   705,     0,   232,     0,   706,   233,   707,   708,
     709,   710,     0,     0,   711,     0,     0,   712,   713,   714,
     715,   716,   717,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   718,   719,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,   128,   129,   130,   131,   132,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
       0,   134,   454,     0,   455,   456,   457,   458,   138,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,   474,
     475,   476,   477,   478,     0,   479,   149,   150,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,     0,
     511,     0,   512,   513,   162,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,   166,
       0,   167,   522,   523,     0,   524,   525,     0,   526,  1532,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,   171,     0,   540,   541,
     542,     0,   172,     0,   173,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,   177,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   184,   185,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,     0,   577,
     578,   190,   579,     0,   191,   580,   192,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,   193,   194,   591,   195,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   197,
     603,   198,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,     0,   647,     0,   648,   649,   650,   651,   652,   653,
     654,   655,   214,   656,   657,   216,   658,   659,   217,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,   222,
     223,     0,     0,   685,   686,   224,   687,   225,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,     0,   232,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   718,   719,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   435,   436,   437,     0,     0,     0,     0,     0,
       0,     0,   438,   439,     0,   440,   441,   442,   126,   443,
     444,   445,   128,   129,   130,   131,   132,     0,   446,   447,
     448,   449,   450,   451,     0,     0,   452,   453,     0,   134,
     454,     0,   455,   456,   457,   458,   138,     0,   139,     0,
     459,   460,   461,   462,   463,   142,   464,   465,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   145,   472,   473,
       0,     0,     0,     0,   146,     0,     0,   474,   475,   476,
     477,   478,     0,   479,   149,   150,   480,     0,   481,     0,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   158,   507,   508,   509,   510,   160,     0,   511,     0,
     512,   513,   162,   514,     0,   515,     0,   516,   163,     0,
     164,   517,   518,   519,   520,     0,   521,   166,     0,   167,
     522,   523,     0,   524,   525,     0,   526,  1544,   168,   528,
     529,   530,   531,     0,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   170,   171,     0,   540,   541,   542,     0,
     172,     0,   173,     0,   543,   174,   175,   544,   176,   545,
     546,   547,   548,   549,     0,     0,   550,   177,   178,   551,
     179,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,  1545,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   184,   185,   186,   569,   570,   571,   572,
     573,   574,   575,   187,   188,   576,     0,   577,   578,   190,
     579,     0,   191,   580,   192,   581,   582,   583,     0,   584,
     585,     0,     0,   586,   587,   588,     0,     0,   589,   590,
     193,   194,   591,   195,   196,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   197,   603,   198,
     604,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   200,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,     0,   633,   634,   207,   635,   636,   637,   638,
     639,   209,   640,   641,   642,   643,   644,   645,   646,     0,
     647,     0,   648,   649,   650,   651,   652,   653,   654,   655,
     214,   656,   657,   216,   658,   659,   217,   660,     0,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   219,   674,     0,   675,   676,     0,   677,   221,
     678,   679,   680,   681,   682,     0,   683,   222,   223,     0,
       0,   685,   686,   224,   687,   225,     0,   688,   689,   690,
     691,   692,   693,   694,   695,     0,     0,   696,   697,   698,
     699,   700,     0,     0,   701,   702,   703,   704,   705,     0,
     232,     0,   706,   233,   707,   708,   709,   710,     0,     0,
     711,     0,     0,   712,   713,   714,   715,   716,   717,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   718,   719,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     435,   436,   437,   123,   124,     0,     0,     0,     0,     0,
     438,   439,     0,   440,   441,   442,   126,   443,   444,   445,
     128,   129,   130,   131,   132,     0,   446,   447,   448,   449,
     450,   451,     0,     0,   452,   453,     0,   134,   454,     0,
     455,   456,   457,   458,   138,     0,   139,     0,   459,   460,
     461,   462,   463,   142,   464,   465,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   145,   472,   473,     0,     0,
       0,     0,   146,     0,     0,     0,   475,   476,   477,   478,
       0,   479,   149,   150,   480,     0,   481,     0,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   158,
     507,   508,   509,   510,   160,     0,   511,     0,   512,   513,
     162,   514,     0,   515,     0,   516,   163,     0,   164,   517,
     518,   519,   520,     0,   521,   166,     0,   167,   522,   523,
       0,   524,   525,     0,   526,   527,   168,   528,   529,   530,
     531,     0,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   170,   171,     0,   540,   541,   542,     0,   172,     0,
     173,     0,   543,   174,   175,   544,   176,   545,   546,   547,
     548,   549,     0,     0,   550,   177,   178,   551,   179,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   184,   185,   186,   569,   570,   571,   572,   573,   574,
     575,   187,   188,   576,     0,   577,   578,   190,   579,     0,
     191,   580,   192,   581,   582,   583,     0,   584,   585,     0,
       0,   586,   587,   588,     0,     0,   589,   590,   193,   194,
     591,   195,   196,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   197,   603,   198,   604,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   200,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
       0,   633,   634,   207,   635,   636,   637,   638,   639,   209,
     640,   641,   642,   643,   644,   645,   646,     0,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   214,   656,
     657,   216,   658,   659,   217,   660,     0,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     219,   674,     0,   675,   676,     0,   677,   221,   678,   679,
     680,   681,   682,     0,   683,   222,   223,     0,     0,   685,
     686,   224,   687,   225,     0,   688,   689,   690,   691,   692,
     693,   694,   695,     0,     0,   696,   697,   698,   699,   700,
       0,     0,   701,   702,   703,   704,   705,     0,   232,     0,
     706,   233,   707,   708,   709,   710,     0,     0,   711,     0,
       0,   712,   713,   714,   715,   716,   717,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    35,   718,
     719,     0,    37,     0,     0,    39,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   435,   436,
     437,     0,     0,     0,     0,     0,     0,     0,   438,   439,
       0,   440,   441,   442,   126,   443,   444,   445,   128,   129,
     130,   131,   132,     0,   446,   447,   448,   449,   450,   451,
       0,     0,   452,   453,     0,   134,   454,     0,   455,   456,
     457,   458,   138,     0,   139,     0,   459,   460,   461,   462,
     463,   142,   464,   465,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   145,   472,   473,     0,     0,     0,     0,
     146,     0,     0,     0,   475,   476,   477,   478,     0,   479,
     149,   150,   480,  2536,   481,     0,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   158,   507,   508,
     509,   510,   160,     0,   511,     0,   512,   513,   162,   514,
       0,   515,     0,   516,   163,     0,   164,   517,   518,   519,
     520,     0,   521,   166,     0,   167,   522,   523,     0,   524,
     525,     0,   526,   527,   168,   528,   529,   530,   531,     0,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   170,
     171,     0,   540,   541,   542,     0,   172,     0,   173,     0,
     543,   174,   175,   544,   176,   545,   546,   547,   548,   549,
       0,     0,   550,   177,   178,   551,   179,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   184,
     185,   186,   569,   570,   571,   572,   573,   574,   575,   187,
     188,   576,     0,   577,   578,   190,   579,     0,   191,   580,
     192,   581,   582,   583,     0,   584,   585,     0,     0,   586,
     587,   588,     0,     0,   589,   590,   193,   194,   591,   195,
     196,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   197,   603,   198,   604,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     200,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,     0,   633,
     634,   207,   635,   636,   637,   638,   639,   209,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   214,   656,   657,   216,
     658,   659,   217,   660,     0,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   219,   674,
       0,   675,   676,     0,   677,   221,   678,   679,   680,   681,
     682,     0,   683,   222,   223,     0,     0,   685,   686,   224,
     687,   225,     0,   688,   689,   690,   691,   692,   693,   694,
     695,     0,     0,   696,   697,   698,   699,   700,     0,     0,
     701,   702,   703,   704,   705,     0,   232,     0,   706,   233,
     707,   708,   709,   710,     0,     0,   711,     0,     0,   712,
     713,   714,   715,   716,   717,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    35,   718,   719,     0,
      37,     0,     0,    39,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   435,   436,   437,     0,
       0,     0,     0,     0,     0,     0,   438,   439,     0,   440,
     441,   442,   126,   443,   444,   445,   128,   129,   130,   131,
     132,     0,   446,   447,   448,   449,   450,   451,     0,     0,
     452,   453,     0,   134,   454,     0,   455,   456,   457,   458,
     138,     0,   139,     0,   459,   460,   461,   462,   463,   142,
     464,   465,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   145,   472,   473,     0,     0,     0,     0,   146,     0,
       0,     0,   475,   476,   477,   478,     0,   479,   149,   150,
     480,     0,   481,     0,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   158,   507,   508,   509,   510,
     160,     0,   511,     0,   512,   513,   162,   514,     0,   515,
       0,   516,   163,     0,   164,   517,   518,   519,   520,     0,
     521,   166,     0,   167,   522,   523,     0,   524,   525,     0,
     526,   527,   168,   528,   529,   530,   531,     0,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   170,   171,     0,
     540,   541,   542,     0,   172,     0,   173,     0,   543,   174,
     175,   544,   176,   545,   546,   547,   548,   549,     0,     0,
     550,   177,   178,   551,   179,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   184,   185,   186,
     569,   570,   571,   572,   573,   574,   575,   187,   188,   576,
       0,   577,   578,   190,   579,     0,   191,   580,   192,   581,
     582,   583,     0,   584,   585,     0,     0,   586,   587,   588,
       0,     0,   589,   590,   193,   194,   591,   195,   196,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   197,   603,   198,   604,   605,   606,     0,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   200,   617,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,     0,   633,   634,   207,
     635,   636,   637,   638,   639,   209,   640,   641,   642,   643,
     644,   645,   646,     0,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   214,   656,   657,   216,   658,   659,
     217,   660,     0,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   219,   674,     0,   675,
     676,     0,   677,   221,   678,   679,   680,   681,   682,     0,
     683,   222,   223,     0,     0,   685,   686,   224,   687,   225,
       0,   688,   689,   690,   691,   692,   693,   694,   695,     0,
       0,   696,   697,   698,   699,   700,     0,     0,   701,   702,
     703,   704,   705,     0,   232,     0,   706,   233,   707,   708,
     709,   710,     0,     0,   711,     0,     0,   712,   713,   714,
     715,   716,   717,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   718,   719,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   435,   436,   437,     0,     0,     0,
       0,     0,     0,     0,   438,   439,     0,   440,   441,   442,
     126,   443,   444,   445,   128,   129,   130,   131,   132,     0,
     446,   447,   448,   449,   450,   451,     0,     0,   452,   453,
       0,   134,   454,     0,   455,   456,   457,   458,   138,     0,
     139,     0,   459,   460,   461,   462,   463,   142,   464,   465,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   145,
     472,   473,     0,     0,     0,     0,   146,     0,     0,     0,
     475,   476,   477,   478,     0,   479,   149,   150,   480,     0,
     481,     0,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   158,   507,   508,   509,   510,   160,     0,
     511,     0,   512,   513,   162,   514,     0,   515,     0,   516,
     163,     0,   164,   517,   518,   519,   520,     0,   521,   166,
       0,   167,   522,   523,     0,   524,   525,     0,   526,   527,
     168,   528,   529,   530,   531,     0,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   170,   171,     0,   540,   541,
     542,     0,   172,     0,   173,     0,   543,   174,   175,   544,
     176,   545,   546,   547,   548,   549,     0,     0,   550,   177,
     178,   551,   179,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   184,   185,   186,   569,   570,
     571,   572,   573,   574,   575,   187,   188,   576,     0,   577,
     578,   190,   579,     0,   191,   580,   192,   581,   582,   583,
       0,   584,   585,     0,     0,   586,   587,   588,     0,     0,
     589,   590,   193,   194,   591,   195,   196,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   197,
     603,   198,   604,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   200,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,   633,   634,   207,   635,   636,
     637,   638,   639,   209,   640,   641,   642,   643,   644,   645,
     646,     0,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   214,   656,   657,   216,   658,   659,   217,   660,
       0,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   219,   674,     0,   675,   676,     0,
     677,   221,   678,   679,   680,   681,   682,     0,   683,   222,
     223,     0,     0,   685,   686,   224,   687,   225,     0,   688,
     689,   690,   691,   692,   693,   694,   695,     0,     0,   696,
     697,   698,   699,   700,     0,     0,   701,   702,   703,   704,
     705,     0,   232,     0,   706,   233,   707,   708,   709,   710,
       0,     0,   711,     0,     0,   712,   713,   714,   715,   716,
     717,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   718,   719
};

static const yytype_int16 yycheck[] =
{
       2,    73,   148,   247,  1331,  1176,  1576,    88,   903,   206,
    1159,   389,    73,    73,  1051,  1360,   911,    73,  1154,   914,
    1209,    73,   908,   967,  1522,   226,   220,    73,   373,  2063,
     161,  1606,  1237,    79,   389,  1489,  1096,  1097,  1098,  1332,
    1348,  2002,  1102,  1940,   125,   144,  1364,  1280,  2998,  1010,
    1643,  1358,   183,   199,    73,  2333,  1182,  3208,  1492,  1986,
      79,  1979,  1477,  1478,  3070,  1428,   147,   148,   894,  1181,
    2214,    73,  1487,  3561,  1166,  3858,   157,    79,  3363,   165,
      73,    83,  3418,   780,  1124,  2525,  1507,   159,  4206,  1986,
     125,   110,    90,  1298,  3587,  1403,  3589,  2406,  3534,  1407,
    1991,  2424,   100,  3793,  1412,   781,  4150,    73,   110,  3011,
    2918,   947,  3782,  1421,  2897,  1033,  3875,   904,   199,  3878,
     206,   361,   908,  2683,  2684,  3828,   913,  1435,  1256,  1047,
    4206,   133,  1331,  2129,  2095,  2096,  1256,   156,   136,  3184,
     927,  1340,   122,  4248,  1297,   147,  4073,  3427,  4103,  4487,
    1088,  1350,   375,   151,   156,  1062,  4431,  1046,  4470,  2268,
    4471,  4202,   246,  1471,  3392,  5121,   159,  1010,   375,  1322,
    4475,  1190,  4483,  1417,  1327,  2319,   205,   213,   965,  4109,
    1292,   967,   161,   110,   971,  4283,   215,  2519,  3286,  1433,
    1853,  1854,  1855,  2598,  2566,  1918,  1969,   984,  2089,  4474,
    4995,  1162,  1589,   205,   183,  2577,  2600,  1475,  1476,   228,
    4756,   213,  3845,   215,  1031,  5290,  4945,  1034,  1486,  1560,
    1063,  5331,  3460,  4034,  3313,  2116,   228,  1206,  4172,   156,
    5003,  1801,  5202,  1848,  1849,  5137,  2962,  5139,  2964,  2965,
    1206,  5325,  1028,  2969,  2970,  2971,  5343,  2973,  2974,  2975,
      20,  3904,  2025,    29,  1054,  1367,    76,  1672,  1673,     9,
    5573,  1289,    76,  1251,  1252,  4994,    76,    76,  1702,  2042,
    4108,    76,  4110,  1952,  5244,    13,  1509,  1692,   205,    76,
      85,    86,   121,   144,    76,    76,   213,    76,   215,    76,
      13,    76,  5251,  5252,  1322,    98,    85,    86,  4621,  1327,
     997,   228,    70,    13,   129,    76,  4567,  4568,  4569,   381,
    4571,  4572,  4573,  4574,  4575,  1253,  1254,    98,    83,  1162,
     381,   381,    76,    76,    76,   381,    98,    76,    76,   381,
      76,    85,    86,  3431,   888,    76,  1396,    85,    86,    85,
      86,   107,  5548,   389,   425,  1188,   104,    70,    83,    94,
     236,    94,    75,    76,   184,    78,    79,  1200,    81,    79,
      70,    69,    70,    92,   184,    73,   129,    75,    76,    70,
     389,  1576,   189,    81,    75,    76,   191,   112,   424,   159,
      81,   217,   129,  2127,  2128,   111,   189,   389,   381,   231,
     146,   153,  4490,  1661,  1662,    73,   184,   129,  1569,   129,
      70,   129,  1442,  5276,   186,   424,  2446,   129,  1931,   144,
     114,    81,   129,   129,    24,   381,   236,   216,   177,  1687,
    1078,   248,   424,    76,  1082,  1083,  1084,   329,   236,    94,
      28,   343,  3357,   195,  1092,   247,   368,   114,   134,  5752,
     364,   348,    70,   111,    99,   231,   368,    75,    76,   237,
      78,    79,    96,    81,  1817,    73,   368,   274,   203,  1156,
     203,    70,   133,    70,   354,  5575,    75,   151,    75,   156,
     146,   274,    81,   117,    81,  1782,   184,  1795,   402,  1374,
     156,  5882,  5883,  1378,   418,  1380,   436,   216,   104,   313,
      98,  1377,   316,  3418,    98,  5284,  5466,   186,   413,   379,
     146,   105,   284,    98,   402,   464,   500,    98,  5410,   108,
     105,   435,   890,   146,   105,   236,    21,  2626,    83,   228,
     236,    83,   184,   156,   510,   406,   183,   215,     0,   232,
     418,   521,   407,    70,   521,   890,  5742,  5332,   203,   237,
     545,   159,  1368,  1322,    81,   236,   334,   112,  1327,  1568,
     112,   333,   542,   558,   435,   542,   146,  2666,    83,   146,
     435,  2670,   556,   266,   146,    70,   556,   138,   146,   231,
     556,   279,  5885,  1744,   262,  1780,   464,   389,   476,   144,
    1785,  1786,   144,   408,   499,   156,  1757,   733,   734,  1629,
     198,  1377,   243,   301,   193,  2049,  1801,   556,   478,    83,
     372,   217,   426,   684,   366,   236,   556,   419,   390,   163,
    1722,  1529,   236,  4283,   189,   324,  1787,  1788,   404,   364,
     275,   364,   556,    73,   556,   428,  6027,   407,   112,   247,
     236,   275,   556,   329,   556,   288,   538,  1749,  4308,   438,
    5513,  5751,   522,   214,   556,   408,  1584,  5960,   236,   556,
    2173,  1589,   733,   734,   205,   110,   476,   402,   430,   402,
     144,   408,   233,  1981,  5453,  5740,   276,   452,   453,   559,
     556,  1578,   129,  4984,   272,    83,   408,   504,   408,   515,
     408,   498,   684,   464,   210,   500,   408,  1648,   242,   418,
     435,   408,   435,   554,  1612,   498,   468,   558,   470,   780,
     509,   156,  1721,   381,   424,   464,   422,   469,   446,   438,
    1628,   521,   500,  6026,   556,   545,  4643,   556,   476,  1273,
     476,  4209,  5681,   446,   521,   545,  1644,  4682,   922,   101,
     500,  4686,   542,  1576,   559,   461,   446,   505,   558,  4442,
     554,  4671,   556,  2422,   558,   542,   556,   556,   556,  5955,
    2058,   556,  1957,  2061,  6067,   505,  1955,   375,  1558,   556,
     503,  5084,  1967,   381,   556,   556,  5876,   556,  2512,   556,
     435,  5566,  1809,   228,  4464,  4586,  2069,   559,   554,   559,
     550,  4484,  2127,  2128,  2129,   556,  4730,   552,  2032,   476,
     556,  5875,  5889,   461,   348,   511,   559,  5058,  2373,   476,
     476,   505,   556,   556,   556,  1648,   490,   556,   556,   380,
     556,   138,   559,   502,  2013,   556,  1777,   552,  2125,  1063,
    4490,   478,  1841,  2321,   547,   548,  1066,   559,   505,   559,
     476,   559,  4670,   498,  4672,   110,  2080,   559,   559,   547,
     548,   445,   559,   476,   890,  2050,  5816,   548,  2053,  2054,
     445,   163,  5962,   999,   445,   409,  1835,  2784,   556,  5829,
    2013,  5650,  2753,   389,  1209,   522,  5655,   886,   559,  1835,
    2285,   890,  4525,  4526,  4527,  4528,  4529,   547,   548,   951,
    1868,   156,  2380,  5785,   886,  4990,   476,   214,   890,   476,
     951,   951,   894,  2391,   476,   951,  5442,  3680,   476,   951,
      97,   903,   904,  3463,  4392,  3465,   233,  4540,   559,   911,
     519,   913,   914,  4002,  1108,  6025,   997,  3819,   999,   547,
     548,  1579,   493,   498,  1582,   927,  3366,  1585,   559,  1587,
     242,   381,  1590,   542,  1777,   559,  1594,  2828,   547,   548,
     547,   548,  1785,  1786,  1075,  2134,  1077,  2152,  1079,  1977,
     556,   408,  5747,   228,  1085,  4391,  4194,  2953,  1801,   886,
    1059,  5931,    94,   965,   515,   519,    73,  2354,   100,   971,
      69,   559,  2695,  2360,    73,  1198,  1057,  5750,  1109,  1110,
    1061,   179,   984,  6058,   549,   550,   551,   552,  1182,  2330,
    1062,  1198,  3397,   153,  5723,   236,  2264,  2265,  2026,   178,
    2773,  1003,    73,   557,  3398,    73,   560,   216,  1010,  3381,
     177,    73,  2627,  1015,  2629,  2043,  3050,  5746,  1020,  1213,
      73,   260,  1024,  1025,   549,   550,   551,   552,    73,  1031,
     556,  1033,  1034,   405,  3760,   195,   348,    73,   177,  5995,
     189,   238,   189,  5119,  1046,  1047,   418,  5322,   420,  2470,
      24,   153,  1054,   380,   252,    73,   155,   106,   101,  5177,
     236,  1063,  1060,   547,   548,   549,   550,   551,   552,    76,
    1063,   203,  4170,   248,  4510,  1156,  2020,  1158,    73,  1077,
    4308,  1079,  5877,   138,   260,   264,   236,  5163,    73,   177,
     949,  1089,   253,   195,  1288,   142,  3428,   409,  1077,    76,
    1079,  5177,    98,   177,   280,   313,   349,  1191,   207,   481,
     260,  1109,  1110,  5886,   129,   313,  1952,  4453,   316,   213,
     349,  5219,    94,  1158,  1160,   274,    76,   274,  1164,   184,
    1109,  1110,   422,   476,   280,   184,   280,  1183,  2708,   547,
     548,   549,   550,   551,   552,   280,   280,   349,  5075,  2467,
    3068,  1153,  1154,   149,   329,    36,   418,    38,  1160,   354,
    1162,   157,  1164,  2223,  1183,  2336,   493,  2512,  5966,  5967,
     119,  5126,   519,   329,   500,  4100,  5131,    94,  4103,  5134,
    5449,  1183,   280,   100,   278,   240,  1188,   384,  1190,   185,
     184,    94,  5122,    49,  1053,  5968,  2514,   236,  1200,  5972,
    2518,    13,   545,  3536,    75,   304,   366,   519,    76,  4992,
      81,    67,   559,   167,   236,   558,  3256,  3257,   426,    13,
      69,  3261,  3782,   420,    73,  2679,  5531,    76,   426,   438,
     556,   203,   364,  1160,  2020,   476,   498,  1164,  2257,  2388,
    2389,   329,   248,   422,   240,   557,   402,  5585,   560,  1251,
    1252,  6024,  5564,   349,  5565,  5530,  5015,   253,  3298,  3299,
     354,   241,  4750,  5568,   366,   364,   556,  5343,  3377,   265,
     402,  6069,  5583,   348,   381,  4978,   519,   184,   333,   428,
    1282,  4206,   479,   338,   463,   464,   203,  2324,   485,  1148,
     519,   245,  5567,   432,  4787,  6068,   238,   464,   382,   346,
     203,   280,   276,   435,   545,   354,   255,  1336,  1337,   469,
     381,   260,  3872,   381,   329,  6088,  1282,   558,  6091,   381,
     559,   301,   524,   329,   500,   380,   121,   556,   381,   504,
     179,   338,   280,   951,  1336,  1337,   381,   484,  2683,   537,
     280,   396,  2379,  1362,   338,   381,  2383,    80,   297,   498,
    2387,   498,  2464,  2390,    87,    88,    89,   236,  1360,  1361,
    1362,   338,   405,   381,   559,   500,  1368,   469,   467,   519,
     469,  1373,  1374,  2291,  2263,   329,  1378,   556,  1380,   178,
     175,   260,  1384,  5652,   560,   560,   381,  2305,   338,  2560,
     464,   264,   364,   408,  2289,   556,   381,  1399,   492,  5440,
    2318,   280,   500,   252,  2423,  2424,   329,   245,   350,  1336,
    1337,  2430,   236,   559,  2300,   559,  2354,  2436,  2437,  2438,
     435,  2247,  2360,   519,   558,   560,   333,  2316,  2447,  2448,
     402,   886,  5743,  2452,  2341,  1362,   260,   476,   493,  3102,
    2645,  1443,  1444,  1445,  1062,  1063,  5373,   364,  4728,   352,
     236,  5406,   333,    69,   476,   451,   280,    73,   454,  3792,
     130,   252,  2611,   435,   313,   264,  5571,   316,   138,  1449,
     338,  2288,   556,    80,   260,   237,    83,  1721,   273,   554,
      87,    88,    89,   558,   110,   402,  2303,  1489,   468,  2306,
     470,   440,   334,  4499,   280,   156,   545,   349,   504,  2342,
    2444,   394,   238,   406,   407,   554,  1578,   556,   557,   558,
     559,   387,   454,  2299,  2300,   422,   496,  4562,   435,   473,
    1898,   500,   313,   184,   236,  5643,   179,  1529,  4453,   343,
     156,    94,   435,   121,   329,   364,   110,  2665,  5614,   155,
    2867,  5468,   163,  1898,  1625,  2665,  5473,  5474,   260,  5219,
    5333,   186,   500,  5898,   368,  1557,  1558,   179,  1560,   213,
     500,   179,   183,   230,  1804,  2382,  1568,  5643,  2385,  2386,
      69,    70,   422,   402,  1576,   413,   354,   426,   186,   343,
    1198,   504,   343,  1581,  2783,  1583,  2422,   175,  1586,   184,
    1588,   464,   208,  1591,  1592,  1593,   217,  1820,  1821,   252,
    1823,   198,   228,   200,   368,   367,  1604,   368,  2953,  5653,
    1612,   886,  3110,  1820,  1821,    24,  1823,   350,  5308,   512,
    1618,   500,  1620,   422,  1626,    34,  1628,   435,  3662,   424,
     252,   301,   435,  3551,   252,   426,  4419,    69,    98,   163,
     203,    73,  1644,  1837,   298,   435,  1648,   241,   384,   284,
     266,   476,   248,   260,  4380,  4463,   498,  1659,  2444,  4385,
     313,  3984,  2338,   316,   463,   464,  2871,   519,  2867,   286,
    2914,  4454,   333,  5749,  2879,   282,   500,  2882,   188,   441,
     556,   560,  1763,  1764,   258,   273,     7,  1689,   537,    10,
      11,   313,   337,   241,   316,   313,   187,   286,   333,  6044,
      21,    22,    23,  2902,    25,    26,   556,   301,   375,    30,
      31,    32,   329,   184,   500,  1717,  1718,  1719,   242,  1721,
     545,  2847,  2848,  4283,  2567,  2851,   135,   516,  1763,  1764,
     338,  1733,   395,   329,   188,   379,   560,  2936,   198,  1741,
     329,   329,   556,   350,  3740,   238,   343,     2,  4308,   220,
    3746,   559,   184,   301,   370,   390,   559,  4682,  2947,  2948,
    2949,  4686,   310,  3007,  2917,   256,  5810,   362,   364,   559,
     559,   281,   402,   426,   560,  1777,  3084,   398,  1780,   557,
    3924,   559,   253,  1785,  1786,  1866,  3030,  3031,  3032,  3033,
    5278,  5574,   556,  3684,   476,   556,  2857,   442,  3042,  1801,
     394,   390,  1848,  1849,   426,   435,   402,   428,   426,   444,
     543,   544,   545,  5889,   547,   548,   549,   550,   551,   552,
    1822,   438,   510,  3067,  1826,  1827,   364,   281,  1847,  1848,
    1849,  1866,   307,   428,   478,   402,   424,  4146,  3729,  1841,
     189,   226,   505,   464,  5547,  1847,  1848,  1849,  2743,   438,
    2745,  2746,  1898,  5971,   203,  5545,   177,   350,  2744,   226,
    1906,   186,   333,  2781,   231,  2708,  1868,   276,   435,   464,
     260,   239,  5562,  2934,   468,   491,   470,   559,   522,  1898,
    3006,   498,   187,   499,   537,   506,   502,  1906,   404,  5965,
     307,  2085,   238,  3854,   307,  5971,  1898,   435,   519,  1918,
    5051,   333,   496,   556,  1906,   348,   338,  1362,   504,   498,
    1912,   506,  5602,   298,  2740,   537,  1918,   196,   512,  5355,
     468,   542,   470,  3498,   519,   271,  1928,   206,   239,  1931,
    4490,   298,   428,  1935,   556,   556,   543,   544,   545,   213,
     547,   548,   549,   550,   551,   552,   476,   542,   496,  3370,
      94,   256,   226,   363,  6072,   226,   100,   231,  2744,   284,
    1578,   556,  5745,  2660,   334,   335,  5459,  1969,   464,  3174,
       5,   102,   103,  4013,  4014,  4015,  4016,  1979,   345,  4019,
    4020,  4021,  4022,  4023,  4024,  4025,  4026,  4027,  4028,    24,
      96,  1918,   467,  2780,  4944,   186,  6072,   318,   363,    34,
    3060,  1928,  5761,   519,   278,   422,   407,  3026,   333,   422,
     506,   117,   402,   364,  2016,    69,   406,   385,   363,    73,
    5171,   496,  5173,  2025,   298,   435,   542,   298,   377,   559,
     138,   155,   163,  4983,   435,  5725,   144,  1655,  4078,  4079,
    2042,  2456,  1969,   559,  2459,   435,   521,  2049,   156,   417,
     467,   402,   183,   354,   467,   376,  3471,  1675,   428,   203,
     556,  4963,   430,   352,   364,   390,  5351,  3086,  2034,  2856,
     435,   345,   196,  2039,   345,   364,   184,   268,   186,   496,
     354,   556,   206,   496,   435,   364,   217,  1362,  1706,   176,
     435,   158,   406,   307,   464,  5878,   420,   465,  2025,   231,
     135,   155,   402,  1721,   521,   156,   417,   233,   521,  2111,
     242,  4006,   423,   402,   198,  2042,   200,   226,   519,   430,
      83,   435,   231,   402,   425,  2127,  2128,  2129,   260,   519,
     187,   228,   240,   200,  3171,   435,   506,   364,   329,   556,
    4035,   542,   333,   556,  2110,  2147,  2933,   478,  2114,   519,
    4933,  2170,   542,   207,   465,   519,  2158,   481,   559,   560,
     268,  5597,  3202,  3203,   176,   486,  3371,   202,  2170,  5657,
    3359,  2173,   542,  2175,   310,   402,   487,   228,  5961,  5869,
    4906,   144,  4908,  4909,  4910,   422,   556,  2565,  5891,   298,
      76,   522,  2194,   290,  5119,   559,   420,   333,   237,   256,
    2202,  5126,  1820,  1821,  2398,  1823,  5131,   554,   422,  5134,
    2565,   558,  2214,   121,   451,    18,    19,  5553,   492,  2416,
     232,  4255,   511,   464,   311,   333,  5511,   314,  3461,  2231,
     338,   270,    80,   141,    37,    83,   345,    40,  5163,  3258,
     364,   276,  2244,  2170,  3537,  2247,   285,   155,  2250,   333,
     304,  3270,  5177,   467,   266,  2257,   295,   481,  3833,   343,
     886,  2263,   500,  5953,   112,  5216,  4706,   398,  3843,  2341,
    3563,   119,   380,  2275,   398,   418,  3368,   420,   402,   411,
     418,   101,   496,  3302,   554,   164,  2288,  2289,   396,  2291,
    2292,   561,  4253,   468,  4255,   470,   144,   428,   364,   311,
     208,  2303,   314,  2305,  2306,   125,   364,   521,  5259,   310,
     364,   435,   450,  2315,  2316,   463,  2318,  2319,   556,  4246,
    3215,  4465,  3217,  3218,   127,  5813,   428,  3346,  2330,  2415,
    6020,  2333,   398,   464,  2406,  5176,   402,   363,   481,  3538,
    2342,  4232,   556,  5184,   402,  2406,  2406,   519,   402,  2342,
    2406,   499,   406,  2351,  2406,  2353,   159,  5642,   237,  2357,
     364,  2359,   464,   211,  2362,   323,  2192,  6070,  2366,   435,
     307,  4411,   556,   412,  3967,   506,  3320,   435,   186,   510,
    2382,   435,   519,  2385,  2386,   493,  3212,   559,   519,   347,
    2216,   270,  4790,   287,   394,  3740,   199,  4288,   402,  4797,
     146,  3746,   406,  5186,   506,   542,   285,   255,   478,   231,
     156,   542,   260,   467,  3613,   469,   295,   519,  5343,   348,
     554,  2423,  2424,   231,   353,   556,   560,  2429,  2430,   429,
     164,   435,   254,  2435,  2436,  2437,  2438,  5925,   364,  2441,
     542,  2443,   321,  2445,  2446,  2447,  2448,  2449,  2450,   297,
    2452,  3488,  2454,  2455,   556,  4733,  2458,   560,  2477,  3156,
     268,   231,  3825,  1918,   464,   519,  3900,  3901,   559,   348,
    2472,  2473,  2474,  2475,  2476,  2477,   402,   156,  3786,  2481,
     121,  5406,   394,  2485,   254,   422,  2488,   560,   519,  2491,
    2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,   562,  2501,
    2034,   348,   350,   237,   115,  2039,   353,  2509,   519,   435,
    2512,   542,   512,  2710,   390,  2712,  4477,   429,   521,  2565,
     231,   329,   519,  6011,   165,   333,   137,   403,  3371,   560,
     467,   542,   500,   412,  3320,  3779,   270,    69,  5264,   542,
    2026,    73,   333,   254,    39,   542,  2565,   338,   559,   190,
    2477,   285,   464,   556,  3515,   431,  2616,  2043,  2752,   496,
     559,   295,   241,  2565,   563,  2567,   207,  3485,  3486,   344,
     211,  2573,  1847,   348,  4492,  4472,  2110,  2708,  2571,  2660,
    2114,  2627,  5588,  2629,   521,   264,  2588,   321,   468,   519,
     470,   232,   440,   307,   235,  2597,  2598,   388,  1326,   276,
     512,   307,    15,   146,   307,   198,  3392,   200,  2627,   250,
    2629,   559,   542,   156,   555,   563,   107,  1345,   559,   556,
    1348,   500,   301,   135,   136,  2627,    80,  2629,  5553,    83,
     560,   224,  4207,  4208,   554,   126,   556,  5922,   558,   104,
     555,     2,    80,  1918,   559,    83,   556,  2649,   558,    87,
      88,    89,   557,  2847,  2848,   560,  5807,  2851,   112,  5219,
    5443,   325,   326,   327,   328,   119,  2668,  2669,  5451,   107,
    2672,   481,  3515,  5502,   353,  5504,  2695,  2679,   412,  5508,
    5509,  2683,  2684,    69,    70,   176,   382,    73,  2690,  5614,
     144,   342,   540,  2695,  2696,    81,   512,   338,  2700,   547,
     548,   549,   550,   551,   552,   425,  2708,  3269,   422,  3271,
    3272,   557,  3630,   288,   560,  2170,   422,   556,  5643,   422,
     549,   550,   551,  2341,  2726,   559,   560,  2729,  5557,   557,
    3648,   559,   325,   326,   327,   328,  1362,  4055,  2740,   332,
    2742,  2743,    33,  2745,  2746,   338,  2748,   388,   312,   240,
     343,  6036,  3812,   467,   554,   556,   556,   211,  2760,   481,
     362,   467,   481,  2894,   467,   557,   404,   559,  2695,  4803,
    3975,  2773,   263,   557,   310,   559,  4191,   425,  2780,  2781,
     310,   557,   496,   559,   557,  5345,   559,  2789,  2406,   468,
     496,   470,  2811,   496,   160,   519,  2815,   521,   551,  1054,
     161,   255,   481,   556,   264,   558,   260,   521,    80,  2811,
    2812,   561,  3006,  2815,   493,   521,  6101,   496,   521,  2838,
     311,   481,   183,   314,  5749,  3951,   428,  3788,   307,  3790,
     551,   556,  4139,   558,  2836,   556,  2838,   558,   329,   557,
    2842,   559,   556,   297,   282,    70,  2773,  2849,   312,   557,
     556,   559,  2854,   556,  2856,  2857,    69,  2859,  4785,   152,
      73,  4179,   464,  2865,  2482,   547,   548,   549,   550,   551,
      80,   254,   363,    83,   557,   557,   559,    87,    88,    89,
    2899,   512,    95,  2885,  2811,  3803,   125,  3805,  2815,  2891,
     483,   557,   425,   559,  2896,  2170,   350,  2899,   557,   288,
     559,   494,   556,  3940,   506,    85,    86,  2909,  2927,   562,
    3871,  2838,   350,  3012,   102,   103,   407,   519,  5868,    81,
    2922,    80,   418,   419,    83,  2927,   556,  2854,    87,    88,
      89,  2933,  2934,   547,   548,   549,   550,   551,   429,   307,
     542,   555,   155,   422,   348,  3788,  4254,  3790,   125,  2951,
    2952,  2953,   418,   419,   556,  2957,   559,     2,   449,   557,
     557,   559,   559,   557,  5889,   559,   422,   557,    80,   559,
     512,    83,  2899,  2992,   152,    87,    88,    89,   559,   560,
    2982,  2983,  1237,   418,   419,   307,   440,   115,   467,  4008,
    2992,  4224,   104,   418,   419,   208,  3782,  2999,  2616,   510,
    2927,  1256,  4114,   198,   557,   200,   559,  3009,   557,   557,
     559,   559,   558,   557,  3258,   559,   557,   496,   559,   557,
     539,   559,  2477,  4042,  3026,   468,   284,   470,  3871,   224,
     557,  5071,   559,   557,   557,   559,   559,   557,    83,   559,
    5965,   351,   521,  1298,  3046,   348,  5971,   260,  3966,   468,
     557,   470,   559,   266,   422,   557,   351,   559,  3302,   557,
     557,   559,   559,  3065,   231,  2992,  3068,   519,   557,   521,
     559,  4090,   282,  4366,   557,  3156,   559,   556,   348,   557,
    4388,   559,   539,   557,  3086,   559,   540,   557,   557,   559,
     559,  5780,  5781,   547,   548,   549,   550,   551,   552,   467,
     422,   115,   147,  4308,   351,   543,   544,   545,   153,   547,
     548,   549,   550,   551,   552,   557,   557,   559,   559,   519,
     557,   521,   559,   282,   557,   557,   559,   559,   496,   539,
     325,   326,   327,   328,  5904,  5905,   181,   332,   333,   557,
     350,   559,   557,   338,   559,   467,   284,  6072,   343,   235,
    3351,  3352,  3353,   521,   557,   556,   559,   370,   557,   557,
     559,   559,   557,   557,   559,   559,   557,   557,   559,   559,
     282,   549,   559,   107,   496,   557,   557,   559,  3422,  4633,
    3182,   557,   557,   559,   559,   557,    80,  4376,   556,    83,
     125,   350,   126,    87,    88,    89,  3198,   236,  3200,   521,
     413,   557,  2477,   559,   280,   557,  3208,   559,   556,   560,
    3212,    80,  3214,  3215,    83,  3217,  3218,  3219,    87,    88,
      89,   557,   557,   559,   559,  3227,   557,   557,   559,   559,
    3232,   557,   549,   559,   556,   104,   276,   557,   350,   559,
    2695,   557,   176,   559,   557,   557,   559,   559,   557,   462,
     559,   557,   476,   559,  3256,  3257,  3258,   562,  3277,  3261,
     557,   557,   559,   559,  3283,   209,   213,  3269,  3270,  3271,
    3272,   335,   557,   562,   559,  3277,   556,   476,   491,   226,
    3282,  3283,   476,  3285,   231,  3287,   499,   476,   483,   502,
     107,   557,  1918,   559,   476,   125,  3298,  3299,   276,   494,
    3302,   282,  1557,  1558,   557,  1560,   559,   557,   557,   559,
     559,   557,   557,   559,   559,   557,   557,   559,   559,   476,
    3322,  1576,  3324,   557,  3326,   559,   557,   556,   559,   263,
     558,   278,  5372,   543,   544,   545,   556,   547,   548,   549,
     550,   551,   552,  4548,  3346,   557,   557,   559,   559,   523,
    3277,   298,   557,   556,   559,  3357,  3283,   557,   402,   559,
    2815,   557,   260,   559,   428,   557,   557,   559,   559,  3371,
     557,   557,   559,   559,   557,   218,   559,   311,  4953,   558,
     314,  4699,   218,  2838,   543,   544,   545,  3389,   547,   548,
     549,   550,   551,   552,   557,   329,   559,   557,   345,   559,
     464,   557,  3404,   559,   556,   348,  4724,   354,   557,   557,
     559,   559,   557,   282,   559,   557,  3418,   559,   260,   402,
    2695,  1203,  4687,  1205,  4689,   348,   218,   218,   260,   363,
    5327,   543,   544,   545,   218,   547,   548,   549,   550,   551,
     552,   348,   506,    80,  2899,   231,    83,   402,   218,   560,
      87,    88,    89,   186,   500,   519,   350,   296,  3460,   348,
     556,  3463,   342,  3465,   231,   557,   138,   104,  3470,   333,
     333,   107,  2927,   407,   523,   556,   348,   231,   542,   333,
     115,   350,   115,  3485,  3486,   333,   486,  5448,   333,  3491,
     155,   364,   556,   557,   512,   429,   560,  4283,   383,   512,
     231,   561,   218,   218,   556,  4542,  4543,  4544,  4545,  4546,
    3512,   218,   509,  3515,   556,   449,  3518,   376,  4436,  4437,
     556,   218,  4308,   106,  3526,  1780,   556,   523,   218,   218,
    1785,  1786,   559,   218,   218,   218,  2811,  2992,   218,   218,
    2815,   218,   218,   231,  2170,   492,  1801,   218,   218,  3551,
     218,   218,   348,   464,   556,   107,   296,   231,   231,   348,
      76,   556,    76,  2838,   556,   556,   556,   231,  3587,  3588,
    3589,   556,   556,    76,   556,    76,   556,  5617,    76,   556,
     556,   556,   556,  4719,   556,  3587,  3588,  3589,   556,   556,
    4795,   556,   556,   556,   556,   556,   556,   556,   556,   556,
    4619,   520,   556,   556,  1859,  1860,  4914,   554,   556,  3611,
     557,   558,   360,   559,   556,   556,   107,   280,  3620,   559,
    3622,   167,   280,   557,  2899,   282,   107,   296,  3630,   559,
    1885,  1886,   231,   345,   231,   343,   435,   549,   276,   684,
    3258,   426,   559,   183,   499,   282,  3648,    13,   545,   543,
     544,   545,  2927,   547,   548,   549,   550,   551,   552,  1827,
    3587,  3588,  3589,   316,   559,   556,   559,  3861,   556,  5014,
     560,   134,   556,   476,   543,   544,   545,   422,   547,   548,
     549,   550,   551,   552,  3302,   511,  3357,   422,   476,   476,
     558,   298,   422,  1054,   476,   476,   476,   476,   476,   545,
    3846,   476,  1957,    80,  4490,   156,    83,  3325,   422,   218,
     427,  3713,  1967,   350,  1075,   293,  1077,  2992,  1079,   348,
     476,   476,   338,  3341,  1085,  1086,  1087,   192,   499,   476,
     467,   348,   418,  3735,   368,   112,   556,   343,  3740,  3357,
    3886,  4086,   119,   253,  3746,   556,   156,  3418,  1109,  1110,
     476,   476,  3754,   559,   192,   364,   260,  3951,   218,   500,
     192,   500,  3781,   476,   464,  3846,  4710,   144,   464,   178,
     476,   476,   476,   476,   476,   476,   192,   476,   476,  3781,
    3782,   476,    80,   125,   125,    83,  3788,  3847,  3790,    87,
      88,    89,   318,   352,   476,  2050,   387,  3857,  2053,  2054,
    3418,  3803,   368,  3805,  3422,  3886,   368,   467,  3827,   114,
     476,  3813,   114,   559,   112,   476,  5850,   476,   561,   557,
     476,   119,  3277,   282,   476,  3827,  3886,   476,  3283,   476,
     476,   476,   476,   282,   211,   348,  4873,  4874,   282,  4876,
    4084,   282,   282,   282,   476,   282,   144,   282,   282,  3851,
     107,  2477,   282,   348,  3781,   486,   218,    96,   348,  4103,
     218,   333,   556,   184,  4782,   519,   218,   218,   511,  3871,
    3872,   218,   500,   348,  4934,   304,  1237,  5452,   255,   343,
     333,   333,   107,   260,   107,   333,  3888,   231,   288,   424,
     106,  4092,  4093,  4094,  4095,  1256,   558,  2152,   474,   474,
    3827,   556,   476,   948,   554,   556,   543,   544,   545,   476,
     547,   548,   549,   550,   551,   552,    80,   556,   218,    83,
     297,   218,  3924,   500,  4710,   218,   556,   554,   500,  5499,
     218,    13,   476,   559,   342,   337,   515,  1298,   556,   318,
     236,    83,  3944,   318,   559,   474,  4864,   227,   112,  4968,
     245,   556,   133,   556,   476,   119,   545,   255,  5998,   236,
     478,   559,   260,  6003,  3966,  1010,  1011,  3969,   253,   559,
     557,   253,   278,   350,   559,   286,   438,   349,   559,   500,
     144,   107,    33,     9,  3986,   125,  5157,  3989,   557,   557,
    5488,   422,  5490,  3995,   357,   500,   557,   286,   556,   297,
     286,  4003,  3277,  4005,   338,   338,  4008,   476,  3283,  1054,
    4012,  4013,  4014,  4015,  4016,   476,   231,  4019,  4020,  4021,
    4022,  4023,  4024,  4025,  4026,  4027,  4028,   115,   556,  4048,
    4032,  4033,   348,   476,   338,  4037,   348,   444,   296,   333,
    4042,   296,   296,  4961,  4046,   418,  4048,   211,  4050,   348,
     476,   192,   350,   467,   402,   435,  4058,   559,   348,  4061,
     254,  4063,   432,   440,   348,   348,   390,   354,  1113,  2695,
     476,  4073,   476,  4075,  4146,  2330,  4078,  4079,  2333,   557,
     107,  4083,  4084,   282,   288,  4146,  4146,   500,  4090,   500,
    4146,   255,   343,   218,  4146,   386,   260,   231,  4100,   545,
     512,  4103,  1147,   107,   465,   233,   387,   343,   218,   556,
     432,   556,  1157,  4115,   218,   218,  1161,  1162,  1163,  5689,
     217,  4048,  5697,  5698,   343,   519,   500,   333,   107,   288,
     333,   348,   550,   297,   348,   251,   251,   231,   107,   232,
     557,   539,   440,   539,   316,   288,  4524,   231,  5297,   554,
     348,   333,   260,   432,  5325,   260,   557,    95,   557,   260,
    4162,   260,   557,   540,   557,   260,   523,   559,   559,  4524,
     547,   548,   549,   550,   551,   552,  4178,   559,   243,   236,
     556,   519,   315,   348,  4315,  2811,   350,   342,   559,  2815,
     125,   236,  4194,   557,   360,  4326,  1557,  1558,   476,  1560,
     559,   557,  5391,   557,  4206,   236,  1251,  1252,   557,   369,
     556,  1256,  2838,   539,   557,  1576,   476,   557,   557,   332,
     557,   557,   557,   359,   556,  4227,   557,   556,   556,  3847,
     310,   556,   541,   556,  5178,   498,   556,   306,   506,  3857,
     516,   516,   540,   560,  5589,   543,   544,   545,   348,   547,
     548,   549,   550,   551,   552,   125,   559,   348,  4277,   351,
     218,   348,   264,  4282,   556,  4284,   476,  5842,  3886,   476,
     338,   545,   545,  2899,    83,  4277,   440,   272,  2446,   476,
    4282,  4283,  4284,   476,   221,   557,  2454,  5231,  4307,   559,
     557,   556,    80,   333,  5499,    83,   218,   352,   435,   218,
     427,  2927,  5220,   218,   427,  4307,  4308,   427,  4327,   296,
     264,   221,  3587,  3588,  3589,   348,   545,   500,   476,   221,
     298,   559,   370,   370,   112,  4327,  3781,   497,   221,   476,
     476,   119,   451,   308,   308,  5230,   308,   476,   476,   422,
     192,  4343,  2597,  2598,  4346,  5231,   476,   476,   422,   422,
    4277,   422,   161,   333,   476,  4282,   144,  4284,  5377,   476,
     435,   218,  5399,   114,   476,   476,  2992,   476,   557,  5939,
     476,   557,  3827,  5410,   183,   555,   540,   107,   476,  5274,
    4307,  5708,   557,   547,   548,   549,   550,   551,   552,   248,
    2645,   476,  5178,   282,   282,   557,   126,  5416,   559,   231,
    4327,   557,   115,   404,   177,   486,   557,   559,   231,  4411,
    2665,   556,   107,  2668,  2669,   218,   476,   218,   231,  1780,
    2588,  4481,   557,   211,  1785,  1786,   248,   545,   500,  4100,
     500,   555,  4103,  5219,  4436,  4437,    94,   218,  4440,   231,
    1801,   422,   100,   351,  4446,  5231,   176,   432,   216,   556,
     216,  4453,   422,   282,   556,  5492,   422,   422,   422,   209,
     236,   282,   282,  4465,  5483,  5484,  4084,   255,   282,   559,
     282,   282,   260,    83,   282,   282,   282,   554,  4524,   360,
     559,  4541,  4100,   231,   142,  4103,   511,  4489,  4490,   236,
    4492,  4493,  4494,   557,   557,   557,  1857,   556,  1859,  1860,
     516,   557,   332,   557,   236,  4524,  3781,   559,    80,   297,
     556,    83,  1557,  1558,   542,  1560,   559,  1878,   245,   557,
     559,   545,  4524,   557,  1885,  1886,   556,   473,  4146,   409,
     154,  1576,   505,   263,   545,  4206,   486,   231,   196,   107,
     112,   500,   288,   500,   476,   203,   272,   119,   206,  4551,
     125,  4748,  3827,   467,   218,   451,   556,   240,   486,   427,
     476,   221,   350,   476,   476,   476,   422,   476,   422,   557,
     519,   557,   144,   557,   232,  4577,   402,  1622,   125,   556,
     467,   311,   506,   231,   314,   348,   144,  4589,  5625,   218,
     177,   486,  5611,  4048,  5654,   557,  1957,   282,   282,   329,
     282,   282,   267,  1648,   556,   556,  1967,   286,   266,  5628,
     476,   348,   559,  5632,   397,  5634,  2871,  4619,   523,   559,
    4622,   557,   107,   368,  2879,   346,   348,  2882,  4630,  4631,
     559,  4633,   559,   363,   476,  4637,  4638,   486,   556,   211,
    4642,  4643,  5485,    80,   242,   432,  4648,   177,   555,  4651,
    4652,  3277,   440,   556,  4656,   236,  5499,  3283,  4789,   557,
    4662,  4721,  4722,   282,   125,   557,   557,   236,  4799,   517,
     556,   329,  4674,   557,   517,   333,   559,   407,  1723,   557,
    4682,   557,   360,   255,  4686,   343,   557,  1732,   260,  2050,
     285,   556,  2053,  2054,   352,   556,   358,   285,   556,   429,
     355,  1746,   466,   125,  5875,   249,   364,  5651,   473,   343,
     557,   545,   486,   894,   476,   236,   144,  4719,   261,   449,
     519,   266,   903,   254,   338,   297,   254,   338,   545,   125,
     911,  4733,  1777,   914,   467,  1780,  1781,   476,   138,   218,
    1785,  1786,   476,   559,   402,   476,   221,   405,   406,  4751,
     282,   476,   540,   191,    80,   559,  1801,    83,   556,   547,
     548,   549,   550,   551,   552,   238,   557,  4769,  4787,   236,
     184,   107,   500,  4048,   260,   432,   343,   435,   350,   556,
    4782,   500,  4453,   107,   333,  4787,   112,   233,   231,   432,
     217,  2152,   343,   119,   125,   519,   150,   467,   107,   519,
     236,   556,   348,  4805,   269,   231,   280,   236,   557,   351,
     448,   368,   556,   556,   505,   557,   557,   285,   144,   518,
    4822,   556,   156,  1868,   199,  4827,   348,  4282,   557,  4284,
     396,   476,  4834,   556,  1015,  4453,   107,   218,   556,   556,
     218,   557,   556,  1024,   476,   503,  5689,   556,  4850,   556,
    1031,   556,  4307,  1034,   556,   556,   107,   231,   338,   309,
    4787,   264,  4864,  4481,   556,  5651,   556,   432,   440,   557,
     218,   177,  4327,   515,   204,  2236,   107,   557,   486,   545,
     352,    80,   446,   446,    83,   557,   125,   107,    87,    88,
      89,   147,   559,  4895,   467,   556,   505,   556,   253,   500,
    2261,   348,   556,   556,   556,   104,   231,   467,    94,   329,
    2271,   467,  2273,   557,   100,   556,    76,   225,  2279,  3174,
    4922,   523,  2283,  4541,   217,  5820,   556,   113,   556,   255,
     419,   419,   138,   351,   260,   138,  4938,   199,    80,   519,
     519,   556,   504,   556,   505,   107,   236,   559,   435,   467,
     338,   393,   204,   266,   348,   348,   142,   556,   107,  4961,
     107,  3587,  3588,  3589,   351,   351,  4968,   556,   540,  2330,
     432,   297,  2333,   261,   238,   547,   548,   549,   550,   551,
     552,   238,   559,   557,   125,   556,   476,   516,   418,   455,
    5833,   189,   498,    76,   418,  6014,   214,   432,   557,   355,
    5895,  5896,  4277,   557,   556,   403,   556,  4282,   194,  4284,
     196,  4682,  5014,    93,  5016,  4686,   556,   203,   556,   104,
     206,   338,  2067,   559,   350,   559,   217,   476,   236,  2074,
     556,   147,  4307,   418,   356,   446,   446,   519,   519,   556,
     381,   238,   238,  2113,  1294,  3010,   232,  2902,  3371,  5051,
    1786,  2823,  4327,  4257,  3563,  4282,  5833,  2928,  2980,  3773,
    5272,  5687,  5939,  4434,  4682,  5327,  1337,  1336,  4686,  5071,
    4924,  2432,  2433,  5075,  5296,  3161,   107,  3492,  2439,  2440,
     266,  5812,  5177,   282,  5928,  5717,  5716,  5853,  3256,  3257,
    5965,  3496,  4482,  3261,  4467,   126,  5939,  5661,  5100,  5101,
    4425,  3588,  5104,  4721,  4722,  2995,  2995,  4277,  2469,  4450,
    3823,  1332,  4962,  5303,   440,  2989,  3371,  5119,  3835,  5312,
    5941,  6105,  6087,  5289,  5126,  3781,  4489,  5866,  5233,  5131,
    3298,  3299,  5134,  5135,  5471,  2183,  5670,   154,  5236,  5141,
    5142,  3396,  3397,   329,   183,   176,   177,   333,  5342,  4551,
     947,   350,  2197,   184,  5439,  3781,  2201,   343,  5156,  1613,
    6033,  5163,  2229,  5165,  2525,  2227,   352,  2684,  4492,  5171,
    2244,  5173,  5416,  3470,  5320,  5177,  5589,  2299,   364,  2409,
    1011,  1044,  2409,  3716,  2410,  2927,  4307,  1368,  3827,  4327,
    5894,  6075,  4515,  1374,  1177,  4517,  2567,  1378,  2578,  1380,
    4723,  3827,  1200,  1935,  5159,  2342,  5806,  4176,  3144,   240,
    1757,  1571,  6107,  6108,   540,  1808,   402,  5219,  5220,   405,
     406,   547,   548,   549,   550,   551,   552,  3389,  5230,  2614,
    1830,  3404,   263,  1829,  2588,  4118,  2597,  2598,  5798,  5320,
    5636,  5301,  4704,  2613,  1832,  4103,  4671,  4688,  5407,   435,
    5269,  1837,  4100,  5614,  5613,  4177,  4100,  6081,  5912,  6001,
    5788,  5321,  1443,  1444,  1445,    94,  1075,  5269,  1077,  5375,
    1079,   100,  5274,  4050,  5145,  5801,  1085,  5802,  3325,  5339,
     311,  3228,  2957,   314,  2645,  2330,  3323,  2506,  2333,   684,
    3883,  2509,  2649,  3074,  5772,  1849,  1453,   390,   329,  2238,
    1109,  1110,   333,  1056,  2665,  1843,  2624,  2668,  2669,  1254,
    1625,  1274,  1254,   142,  2657,  2665,  3365,   503,  2658,  4183,
    4705,  4184,  4143,  1847,  1760,   423,  3157,  2669,  2371,  1557,
       2,  1088,   363,    -1,  5157,    -1,    -1,    -1,    -1,    -1,
      -1,  5343,  5269,  5345,   543,   544,   545,  2708,   547,   548,
     549,   550,   551,   552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
    5372,  5373,    -1,  5375,   203,  5377,   407,   206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2435,    -1,    -1,    -1,  5396,    -1,    -1,    -1,   429,    -1,
    5402,    -1,    -1,   232,  5406,    -1,    -1,    -1,    -1,    -1,
    5412,    -1,    -1,   107,  5416,    -1,    -1,    -1,   449,    -1,
     451,    -1,  4048,   454,    -1,    -1,    -1,    -1,  1237,    -1,
      -1,  2792,    -1,    -1,   128,    -1,    -1,   266,    -1,    -1,
    5459,    -1,  1251,  1252,    -1,    -1,    -1,  1256,  5119,    -1,
      -1,    -1,    -1,    -1,    -1,  5126,    -1,  5459,    -1,    -1,
    5131,    -1,    -1,  5134,    -1,    -1,  5468,    -1,   162,    -1,
      -1,  5473,  5474,    -1,    -1,    -1,  5478,    -1,    73,    -1,
      -1,  5483,  5484,  5485,    79,    -1,    -1,    -1,    83,  1298,
      -1,    -1,  5163,    -1,    -1,    -1,    -1,  5499,  2543,    -1,
     329,    -1,    -1,  5563,   333,    -1,  5177,    -1,  5126,    -1,
    2871,    -1,  4787,  5131,   343,   110,  5134,    -1,  2879,  5521,
      -1,  2882,    -1,   352,    -1,   556,  5528,  3782,   222,    -1,
      -1,    -1,  5459,  2894,    -1,   364,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   156,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   402,    -1,    -1,   405,   406,    -1,    -1,
    5640,    -1,    -1,    -1,    -1,    -1,    -1,  5589,  5590,    -1,
      -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,  5600,   293,
      -1,    -1,    -1,    -1,  2649,    -1,   435,    -1,    -1,  5611,
      -1,    -1,  5614,    -1,    -1,  5617,    -1,    -1,    -1,    -1,
    2665,    -1,    -1,  2668,  2669,    -1,  5628,    -1,    -1,    -1,
    5632,    -1,  5634,   228,  5636,    -1,    -1,    -1,    -1,   333,
      -1,  5643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4277,    -1,    -1,    -1,    -1,  4282,    -1,  4284,    -1,
    5662,    -1,    -1,  2708,    -1,    -1,    -1,    -1,  5687,    -1,
      -1,   365,  5343,    -1,   503,    -1,    -1,    -1,    -1,    -1,
      -1,  4307,    -1,  5301,    -1,  5687,    -1,  5689,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4327,    -1,  5321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,    -1,   410,    -1,    -1,    -1,
    3975,  5339,  2767,    -1,    -1,   419,    -1,    -1,    -1,    -1,
    5974,    -1,    -1,   427,    -1,  5406,    -1,  5739,  3099,  3100,
      -1,   435,    -1,    -1,    -1,    -1,    -1,  5749,    -1,    -1,
      -1,    -1,    -1,   447,    -1,    -1,    -1,    -1,    -1,    -1,
    5687,    -1,   456,    -1,    -1,    -1,   460,  1576,    -1,    -1,
    5789,    -1,    -1,    -1,    -1,    -1,    -1,  5779,  5780,  5781,
      -1,    -1,    -1,    -1,    -1,   479,  5788,  5789,  5406,    -1,
    5792,    -1,    -1,    -1,   389,    -1,  5798,    -1,  5416,  2844,
      -1,    -1,    -1,    -1,    -1,  5807,    -1,  5867,    -1,    -1,
      -1,    -1,    -1,  3174,  5269,    -1,  2861,    83,  5820,    -1,
     514,    -1,  5894,    -1,   518,    -1,    -1,    -1,    -1,   424,
      -1,  5833,    -1,  5894,  5894,    -1,    -1,    -1,  5894,    -1,
      -1,    -1,  5894,   107,    -1,  4013,  4014,  4015,  4016,    -1,
      -1,  4019,  4020,  4021,  4022,  4023,  4024,  4025,  4026,  4027,
    4028,    -1,  5789,    -1,   128,    -1,    -1,    -1,    -1,    -1,
      -1,  5873,    -1,    -1,    -1,    -1,    -1,  5879,  4046,    -1,
    2925,    -1,  5553,    -1,    -1,    -1,    -1,  5889,    -1,    -1,
      -1,    -1,    -1,  5895,  5896,    -1,  5898,    -1,   162,    -1,
      -1,    -1,  5974,    -1,    -1,    -1,  5908,    -1,    -1,    -1,
    4078,  4079,  5914,  5974,  5974,  2960,    -1,  2962,  5974,  2964,
    2965,    -1,  5974,    -1,  2969,  2970,  2971,    -1,  2973,  2974,
    2975,    -1,    -1,    -1,    -1,  5553,    -1,  5939,    -1,    -1,
      -1,    -1,    -1,  5614,    -1,  5563,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,  5965,    -1,    -1,    -1,    -1,    -1,  5971,
      -1,  1780,  5643,    -1,    -1,    -1,  1785,  1786,    -1,    -1,
      -1,    -1,    -1,    -1,  3029,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1801,   257,  5269,    -1,  5998,    -1,    -1,  6001,
      -1,  6003,    -1,  6075,  6023,  3366,    -1,  6009,  3369,    -1,
    3371,    -1,  6014,    -1,  6075,  6075,  3061,    -1,    -1,  6075,
      -1,  6023,  5640,  6075,   288,    -1,    -1,    -1,  4283,   293,
      -1,    -1,    -1,    -1,    -1,  3396,  3397,    -1,    -1,    -1,
      -1,    -1,  6044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6054,  4308,    -1,  3100,    -1,    -1,    -1,  1868,
      -1,    -1,    -1,  2244,    -1,    -1,  2247,    -1,  6087,   333,
    6072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5749,    -1,
      -1,    -1,    -1,  6085,    -1,  6087,  6105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6023,    -1,    -1,    -1,
      -1,   365,    -1,  6105,    -1,  6107,  6108,  2288,  2289,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    69,    -1,    -1,    -1,
      73,    -1,  2303,    -1,    -1,  2306,    -1,    80,    -1,    -1,
      83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,
      -1,    -1,   406,    -1,  4399,  4400,   410,    -1,  1957,    -1,
      -1,   104,    -1,    -1,   107,   419,    -1,    -1,  1967,   112,
    6087,  4787,    -1,   427,    -1,    -1,   119,    -1,    -1,    -1,
      -1,   435,    -1,    -1,    -1,    -1,    -1,    -1,  6105,    -1,
      -1,    -1,    -1,   447,  5459,    -1,    -1,    -1,    -1,    -1,
      -1,   144,   456,    -1,    -1,    -1,   460,    -1,    -1,    -1,
      -1,  2382,    -1,    -1,  2385,  2386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   479,    80,    -1,  5889,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,  5687,    -1,    -1,  4490,    -1,    -1,    -1,    -1,
     104,  2050,    -1,  4411,  2053,  2054,    -1,    -1,   112,  5867,
     514,    -1,    -1,    -1,   518,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      -1,    -1,    -1,    -1,    -1,   100,  5894,    -1,    -1,    -1,
     144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,   886,    -1,  4548,  5965,   890,    -1,    -1,    -1,    -1,
    5971,    -1,   255,    -1,    -1,    -1,    -1,   260,   903,   904,
      -1,    -1,    -1,    -1,    -1,    -1,   911,   142,   913,   914,
      -1,    -1,    -1,    -1,    -1,    -1,  3371,    -1,    -1,   282,
     283,    -1,   927,    -1,  5789,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2152,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5974,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   194,
     965,   196,    -1,    -1,    -1,    -1,   971,    -1,   203,    -1,
      -1,   206,    -1,   336,    -1,    -1,    -1,    -1,    -1,   984,
      -1,   255,    -1,    -1,    -1,    -1,   260,   350,    -1,    -1,
     353,  6072,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,
      -1,    -1,  5687,    -1,    -1,  1010,    -1,    -1,   282,   283,
      -1,  3782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1024,
    1025,    -1,    -1,   297,    -1,    -1,  1031,    -1,  1033,  1034,
      -1,   266,    -1,    -1,    -1,  3806,    -1,    -1,    -1,    -1,
      -1,  4706,  1047,    -1,  4622,    -1,    80,  6075,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,    -1,  1063,    -1,
    3515,    -1,   336,    -1,    -1,    -1,    -1,    -1,  4733,    -1,
     104,    -1,    -1,    -1,    -1,    -1,   350,   440,   112,   353,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   329,    -1,  4674,    -1,   333,    -1,
      -1,    -1,    -1,    -1,  5789,    -1,    -1,    -1,   343,    -1,
     144,    -1,    -1,    -1,    -1,    -1,    -1,   352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3897,    -1,    -1,   364,
    4795,    -1,    -1,  3904,    -1,    -1,    -1,    -1,  3593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2740,
      -1,    -1,  2743,    -1,  2745,  2746,    -1,  1162,  6023,   128,
      -1,    -1,    -1,    -1,    -1,    -1,   440,   402,    -1,    -1,
     405,   406,    -1,    -1,    -1,    -1,    -1,   540,  1183,    -1,
     543,   544,   545,  1188,   547,   548,   549,   550,   551,   552,
      -1,  3646,    -1,   162,    -1,  1200,    -1,    -1,    -1,    -1,
     435,    -1,    -1,    -1,  3975,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   255,  6087,    -1,    -1,    -1,   260,    -1,   904,    -1,
      -1,    -1,    -1,  5269,    -1,    -1,    -1,   913,    -1,    -1,
    6105,    -1,    -1,    -1,    -1,    -1,  1251,  1252,   282,   283,
      -1,   927,    -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,
    3715,    -1,    -1,   297,    -1,    -1,   540,    -1,   503,   543,
     544,   545,    -1,   547,   548,   549,   550,   551,   552,    -1,
      -1,    -1,    -1,   557,    -1,   559,    -1,    -1,   257,   965,
      -1,    -1,    -1,    -1,    -1,   971,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,  3760,    -1,    -1,   984,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,  3772,  3773,   353,
      -1,    -1,    -1,    94,   293,    -1,    -1,  3782,    -1,   100,
      -1,    -1,    -1,  3788,    -1,  3790,    -1,    -1,  6023,    -1,
      -1,    -1,   113,  1494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1362,    -1,    -1,
     329,    -1,    94,    -1,   333,    -1,  1517,    -1,   100,  1374,
      -1,   142,    -1,  1378,    -1,  1380,  1527,    -1,    -1,    -1,
    1531,  3836,    -1,    -1,  1535,    -1,  1537,    -1,    -1,    -1,
      -1,    -1,  1543,    -1,    -1,   364,   365,    -1,  1549,    -1,
      -1,  1552,  6087,    -1,    -1,    -1,   440,    -1,    -1,  4180,
     142,    -1,    -1,    -1,    -1,  3870,  3871,    -1,    -1,    -1,
    6105,    -1,    -1,  5459,    -1,   196,  2645,    -1,    -1,    -1,
    2649,    -1,   203,   402,    -1,   206,    -1,   406,    -1,    -1,
      -1,   410,    -1,    -1,    -1,    -1,  2665,    -1,    -1,  3904,
     419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,
      -1,   232,    -1,    -1,   196,    -1,   435,    -1,    -1,    -1,
      -1,   203,    -1,    -1,   206,    94,    -1,    -1,   447,    -1,
      -1,   100,  5147,    -1,    -1,    -1,    -1,   456,    -1,  2708,
      -1,   460,    -1,  5071,    -1,   266,    -1,    -1,    -1,    -1,
     232,    -1,    -1,    -1,    -1,    -1,   540,    -1,    -1,   543,
     544,   545,  4283,   547,   548,   549,   550,   551,   552,    -1,
      -1,    -1,    -1,   142,  1529,   559,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,  4308,    -1,    -1,
      -1,    -1,    -1,    -1,  4315,   514,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5219,  4326,    -1,    -1,   329,    -1,
      -1,    -1,   333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1576,   343,    -1,    -1,  1251,  1252,   196,    -1,    -1,
      -1,   352,    -1,    -1,   203,    -1,    -1,   206,    -1,    -1,
      -1,    -1,    -1,   364,    -1,    -1,    -1,   329,    -1,    -1,
      -1,   333,  4057,    -1,    -1,    -1,    -1,  1612,    -1,    -1,
      -1,   343,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
     352,  3212,    -1,  1628,  3215,    -1,  3217,  3218,  4399,  4400,
      -1,   402,   364,    80,   405,   406,    83,    -1,    -1,  1644,
      87,    88,    89,  1648,    -1,    -1,    -1,   266,    -1,    -1,
      -1,  5687,  2871,    -1,    -1,    -1,    -1,   104,    -1,    -1,
    2879,    -1,    -1,  2882,   435,   112,    -1,    -1,    -1,    -1,
     402,    -1,   119,   405,   406,  2894,    -1,    80,    -1,    -1,
      83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,
      -1,   128,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,
      -1,   104,    -1,   435,    -1,    -1,    -1,    -1,    -1,   112,
     329,    -1,    -1,    -1,   333,    -1,   119,    -1,    -1,  4490,
      -1,    -1,    -1,    -1,   343,   162,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   352,    -1,    80,    -1,    -1,    83,    -1,
      -1,   144,    87,    88,    89,   364,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5789,  4525,  4526,  4527,  4528,  4529,   104,
      -1,    -1,    -1,    -1,    -1,    -1,  3357,   112,    -1,    -1,
      -1,   503,  1777,    -1,   119,    -1,    -1,  4548,    -1,    -1,
    1785,  1786,    -1,   402,    -1,   222,   405,   406,    -1,    -1,
      -1,    -1,    -1,    -1,  5372,    -1,  1801,    -1,    -1,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   255,    -1,
      -1,    -1,    -1,   260,    -1,    -1,   435,    -1,  5396,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,  3418,  4283,    -1,
      -1,    -1,    -1,    -1,  5499,   282,   283,    -1,    -1,    -1,
      -1,    -1,  1847,  1848,  1849,    -1,    -1,    -1,    -1,    -1,
     297,    -1,   255,  4308,    -1,    -1,   293,   260,    -1,    -1,
      -1,  4316,    73,  1868,  4319,    -1,  4321,    -1,    79,    -1,
      -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,   282,
     283,    -1,    -1,    -1,   503,    -1,    -1,    -1,    -1,   336,
      -1,    -1,   329,  1898,   297,    -1,   333,    -1,    -1,   110,
      -1,  1906,    -1,   350,    -1,    -1,   353,    -1,    -1,  4364,
     255,    -1,    -1,  1918,    -1,   260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4380,    -1,   364,   365,    -1,
    4385,    -1,    -1,   336,    -1,  4706,    -1,   282,   283,    -1,
      -1,    -1,    -1,    -1,    -1,   156,    -1,   350,    -1,    -1,
     353,    -1,   297,    -1,    -1,  3174,    -1,    -1,    -1,    -1,
      -1,    -1,  4733,    -1,    -1,   402,    -1,    -1,    -1,   406,
      -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   419,    -1,    -1,    -1,    -1,  6023,    -1,    -1,
     427,   336,    -1,   440,   205,    -1,    -1,    -1,   435,    -1,
      -1,    -1,   213,    -1,   215,   350,    -1,    -1,   353,    -1,
     447,    -1,    -1,    -1,    -1,    -1,    -1,   228,  4789,   456,
      -1,    -1,    -1,   460,  4795,    -1,    -1,    -1,  4799,    -1,
    4485,    -1,    -1,    -1,    -1,  4490,    -1,   440,    -1,  5617,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6087,    -1,    -1,  4825,  4826,    -1,    -1,    -1,  4830,
    4831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6105,
    4525,  4526,  4527,  4528,  4529,    -1,    -1,   514,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   540,    -1,   440,   543,   544,   545,    -1,
     547,   548,   549,   550,   551,   552,  2111,    -1,    -1,    -1,
     557,  4566,  4567,  4568,  4569,    -1,  4571,  4572,  4573,  4574,
    4575,    94,    -1,    -1,   128,    -1,    -1,   100,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   540,    -1,    -1,
     543,   544,   545,  2294,   547,   548,   549,   550,   551,   552,
      -1,  2302,  3371,    -1,    -1,    -1,   559,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,  2170,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   389,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2194,
      -1,    -1,  1868,    -1,    -1,   540,    -1,  2202,   543,   544,
     545,    -1,   547,   548,   549,   550,   551,   552,    -1,  2214,
    5788,    -1,   557,   424,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,    -1,    94,
     203,    94,    -1,   206,    -1,   100,    -1,   100,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,
      -1,  4706,  4707,   257,    -1,    -1,    -1,    -1,    -1,   232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,  4733,   142,
      -1,    -1,    -1,  2288,  2289,    -1,  2291,  2292,    -1,   293,
      -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,  2303,    -1,
    2305,  2306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2318,  2319,    -1,    -1,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,   333,
    5908,   196,    -1,   196,    -1,    -1,    -1,  2342,   203,    -1,
     203,   206,   104,   206,    -1,    -1,    -1,    -1,    -1,    -1,
     112,    -1,    -1,    -1,    -1,    -1,   329,   119,  6023,    -1,
     333,   365,    -1,    -1,    -1,    -1,    -1,   232,    -1,   232,
     343,    -1,    -1,    -1,    -1,    -1,  5147,  2382,    -1,   352,
    2385,  2386,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,    94,    -1,    -1,    -1,    -1,    -1,   100,
      -1,   266,   406,   266,   408,    -1,   410,    -1,    -1,    -1,
      -1,    -1,    -1,  2564,    -1,   419,    -1,    -1,    -1,    -1,
    5998,    -1,  6087,   427,    -1,  6003,    -1,    -1,    -1,   402,
      -1,   435,   405,   406,    -1,  2111,    -1,    -1,  4893,  4894,
    6105,   142,    -1,   447,    -1,    -1,    -1,    -1,  5219,    -1,
      -1,  4906,   456,  4908,  4909,  4910,   460,    -1,    -1,    -1,
      -1,    -1,   435,    -1,   329,    -1,   329,    -1,   333,    -1,
     333,    -1,  2477,    -1,    -1,    -1,    -1,    -1,   343,    -1,
     343,    -1,    -1,    -1,    -1,    -1,    -1,   352,    -1,   352,
      -1,    -1,    -1,   255,    -1,   196,    -1,    -1,   260,   364,
      -1,   364,   203,    -1,    -1,   206,    -1,    -1,    -1,  4100,
     514,    -1,  4103,    -1,    -1,    -1,    -1,    -1,  2194,  4974,
     282,   283,    -1,    -1,    -1,    -1,  2202,    -1,    -1,    -1,
     503,   232,    -1,    -1,    -1,   297,    -1,   402,  2214,   402,
     405,   406,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5013,    -1,
    2565,    -1,  2567,  3782,    -1,   266,    -1,    -1,    -1,    -1,
     435,    -1,   435,    -1,   336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,
      -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5058,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4206,  2292,    -1,    -1,    -1,
      -1,    -1,  2627,    -1,  2629,    -1,    -1,    -1,   329,    -1,
      -1,    -1,   333,    -1,    -1,    -1,    -1,    -1,   503,    -1,
     503,    -1,   343,  2319,  2649,    -1,    -1,    -1,    -1,    -1,
      -1,   352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   364,    -1,    -1,    -1,  2672,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   886,    -1,    -1,   440,   890,
      -1,    -1,    -1,    -1,    -1,  2690,    -1,    -1,    -1,    -1,
    2695,  2696,    -1,   904,    -1,  2700,    -1,    -1,    -1,    -1,
      -1,    -1,   913,  2708,   405,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   927,    -1,    -1,    -1,
      -1,  2726,    -1,    -1,    -1,    -1,    -1,    -1,  5499,    -1,
      -1,    -1,    -1,    -1,   435,    -1,    -1,    -1,  2743,    -1,
    2745,  2746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   965,  2760,  3975,    -1,    -1,    80,
     971,    -1,    83,    -1,  5219,    -1,    87,    88,    89,    -1,
      -1,    -1,    -1,   984,    -1,  2780,  2781,    -1,   540,    -1,
      -1,   543,   544,   545,    -1,   547,   548,   549,   550,   551,
     552,   112,    -1,    -1,    -1,   557,    -1,    -1,   119,  1010,
      -1,    -1,   503,    -1,    -1,    -1,  2811,  2812,    -1,  5264,
    2815,    -1,    -1,    -1,  1025,    -1,    -1,    -1,  5273,    -1,
      -1,    -1,  1033,   144,    -1,    -1,    -1,    -1,    -1,  5600,
      -1,  2836,    80,  2838,    -1,    83,  1047,  2842,    -1,    87,
      88,    89,    -1,    -1,  2849,    -1,    -1,    -1,    -1,    -1,
      -1,  2856,  1063,    -1,  2859,    -1,   104,    -1,    -1,    -1,
    2865,    -1,  4453,    -1,   112,    -1,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2885,    -1,    -1,    -1,    -1,    -1,  2891,    -1,    -1,    -1,
      -1,  2896,    -1,    -1,  2899,    -1,   144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2909,    -1,    -1,    -1,  5679,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2922,    -1,    -1,
      -1,    -1,  2927,    -1,    -1,    -1,    -1,    -1,  2933,    -1,
    3081,    -1,    -1,    -1,   255,    -1,    -1,    -1,  3089,   260,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1160,
      -1,  1162,    -1,  1164,    -1,  3106,    -1,    -1,    -1,    -1,
      -1,   282,   283,    -1,    -1,  3116,    -1,    -1,  3119,    -1,
    3121,  3122,  1183,  2649,  3125,    -1,   297,  1188,  3129,    -1,
    3131,    -1,    -1,  3134,    -1,    -1,    -1,  2992,    -1,  1200,
      -1,    -1,    -1,    -1,    80,    -1,  2672,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,    -1,    -1,   255,    -1,    -1,
      -1,    -1,   260,    -1,  2690,   336,    -1,    -1,   104,    -1,
    2696,    -1,    -1,    -1,  2700,    -1,   112,    -1,    -1,   350,
      -1,    -1,    -1,   119,   282,   283,    -1,    -1,    -1,    -1,
    1251,  1252,    -1,    -1,  5499,    -1,    -1,    -1,  5503,   297,
    2726,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,  3210,
      -1,    -1,    -1,    -1,  4283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2760,    -1,    -1,    -1,   336,  4308,
      -1,  4682,    -1,    -1,    -1,  4686,  4315,    -1,    -1,    -1,
      -1,    -1,   350,    -1,  2780,   353,    -1,  4326,    -1,    -1,
      -1,    -1,   128,    -1,    -1,    -1,    -1,    -1,    -1,   440,
      -1,    -1,    -1,    -1,    -1,  1336,  1337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2812,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,    -1,   162,    87,    88,    89,
      -1,  1362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2836,    -1,    -1,    -1,   104,    -1,  2842,    -1,    -1,   255,
      -1,    -1,   112,  2849,   260,    -1,    -1,  3182,    -1,   119,
    2856,    -1,    -1,  2859,    -1,    -1,    -1,    -1,    -1,  2865,
      -1,    -1,   440,    -1,    -1,  3200,   282,   283,    -1,    -1,
      -1,    -1,    -1,  3208,   144,    -1,   222,    -1,    -1,  2885,
    3215,   297,  3217,  3218,    -1,  2891,    -1,    -1,    -1,   540,
    2896,    -1,   543,   544,   545,    -1,   547,   548,   549,   550,
     551,   552,    -1,  2909,  5689,    -1,    -1,    -1,  5693,    -1,
    5695,   257,    -1,    -1,  5699,  5700,  2922,    -1,    -1,    -1,
     336,    -1,  6023,    -1,    -1,    -1,    -1,  2933,    -1,    -1,
      -1,    -1,    -1,    -1,   350,    -1,    -1,   353,    -1,    -1,
      -1,  4490,  3277,    -1,    -1,    -1,    -1,   293,  3283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   540,    -1,    -1,   543,   544,   545,    -1,   547,
     548,   549,   550,   551,   552,    -1,    -1,    -1,    -1,   557,
      -1,    -1,    -1,   329,    -1,   255,  6087,   333,  1529,    -1,
     260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4548,
      -1,    -1,    -1,    -1,  6105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   282,   283,    -1,    -1,    -1,  4938,   364,   365,
    3501,    -1,    -1,    -1,   440,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1576,  3371,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,   402,    -1,    -1,    -1,
     406,    -1,    -1,    -1,   410,    -1,   336,    -1,    -1,   104,
      -1,  1612,    -1,   419,    -1,    -1,    -1,   112,    -1,    -1,
     350,   427,    -1,   353,   119,    -1,    -1,  1628,    -1,   435,
      -1,  3572,    -1,  3574,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   447,    -1,  1644,    -1,    -1,    -1,  1648,    -1,   144,
     456,    -1,    -1,    -1,   460,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   540,    -1,    -1,   543,   544,   545,
      -1,   547,   548,   549,   550,   551,   552,    -1,    -1,    -1,
      -1,   557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3485,  3486,    -1,    -1,  5939,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   514,    -1,
     440,    -1,    -1,    -1,    -1,    -1,  3182,  3512,    -1,    -1,
    3515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3200,    -1,    -1,    -1,  5119,    -1,
      -1,    -1,  3208,    -1,    -1,  5126,    -1,    -1,    -1,    -1,
    5131,    -1,    -1,  5134,  5135,    -1,    -1,    -1,    -1,    -1,
     255,    -1,    -1,    -1,    -1,   260,    -1,    -1,    -1,    -1,
      -1,  3712,    -1,    -1,    -1,    -1,  1777,  3718,  6023,    -1,
    4789,    -1,  5163,    -1,  1785,  1786,  4795,   282,   283,    -1,
    4799,    -1,  3587,  3588,  3589,    -1,  5177,    -1,    -1,    -1,
    1801,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     540,    -1,    -1,   543,   544,   545,  3611,   547,   548,   549,
     550,   551,   552,    -1,    -1,    -1,    -1,   557,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3630,    -1,    -1,    -1,    -1,
      -1,   336,  6087,    -1,    -1,    -1,  1847,  1848,  1849,  5230,
      -1,    -1,    -1,  3648,    -1,   350,    -1,    -1,   353,    -1,
    6105,    -1,    -1,    -1,    -1,    -1,    -1,  1868,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,  5274,    -1,    -1,    -1,  1898,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1906,    -1,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,    -1,  1918,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,  1928,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3735,    -1,    -1,    -1,    -1,   440,    -1,   144,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,  5343,    -1,    -1,    -1,    -1,    -1,  1969,    -1,
      -1,  3912,   104,  3914,    83,  3916,    -1,    -1,    -1,    -1,
     112,    -1,    -1,    -1,    -1,    -1,  3781,   119,    -1,    -1,
      -1,    -1,    -1,  3788,    -1,  3790,    -1,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,  3803,    -1,
    3805,    -1,   144,    -1,  1020,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2025,  5406,    -1,  3968,    -1,    -1,
      -1,    -1,  3827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1046,  2042,    -1,    -1,    -1,   540,  3512,   156,   543,   544,
     545,    -1,   547,   548,   549,   550,   551,   552,   255,    -1,
      -1,    -1,   557,   260,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3871,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,
     297,    -1,    -1,    -1,   213,    -1,   215,    -1,    -1,    80,
    2111,    -1,    83,    -1,    -1,    -1,    87,    88,    89,   228,
      -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,   260,  3924,
      -1,    -1,    -1,   104,    -1,    -1,    -1,    -1,    -1,   336,
      -1,   112,    -1,    -1,    -1,  3611,    -1,  5528,   119,  3944,
     282,   283,    -1,   350,    -1,    -1,   353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,  2170,
      -1,  3966,  5553,   144,  3969,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2194,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2202,    -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,
    5219,    -1,    -1,  2214,    -1,    -1,    -1,    -1,   350,    -1,
      -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5614,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4048,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5643,    -1,    -1,    -1,    -1,    -1,    -1,  3735,
      -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,   260,
    2291,  2292,    -1,    -1,    -1,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,  2305,    -1,    -1,    -1,   440,    -1,
     119,   282,   283,    -1,    -1,    -1,    -1,  2318,  2319,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   297,    83,    -1,    -1,
      -1,    -1,    88,    -1,    90,   144,    -1,    -1,    -1,    -1,
      -1,  2342,    -1,   540,   100,    -1,   543,   544,   545,    -1,
     547,   548,   549,   550,   551,   552,    -1,    -1,    -1,    -1,
     557,    -1,    -1,    -1,    -1,   336,    -1,  1373,  5749,   125,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1384,   350,
     136,    -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   147,   148,  1399,    -1,   151,    -1,    -1,    -1,    -1,
      -1,   157,    -1,    -1,    -1,   161,    -1,    -1,   540,    -1,
      -1,   543,   544,   545,    -1,   547,   548,   549,   550,   551,
     552,    -1,    -1,    -1,    -1,   557,    -1,   183,    -1,    -1,
      -1,    -1,  4227,    -1,    -1,    -1,    -1,    -1,    -1,  5820,
      -1,    -1,    -1,   199,    -1,    -1,   255,    -1,    -1,    -1,
      -1,   260,    -1,    -1,    -1,    -1,    -1,    -1,  3924,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,
      -1,    -1,    -1,   282,   283,    -1,  2477,    -1,  3944,    -1,
      -1,    -1,  4277,    -1,    -1,    -1,    -1,  4282,   297,  4284,
    5499,    -1,  5873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3969,    -1,    -1,    -1,    -1,  5889,    -1,
      -1,    -1,  4307,    -1,  5895,  5896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
      -1,    -1,  4327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   350,    -1,    -1,   353,    -1,    -1,    -1,  4343,    -1,
      -1,  4346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2565,    -1,  2567,   163,    -1,   540,
      -1,    -1,   543,   544,   545,    -1,   547,   548,   549,   550,
     551,   552,    -1,    -1,  5965,    -1,   557,    -1,    -1,    -1,
    5971,  5600,    -1,    -1,    -1,  4536,    -1,    -1,  4539,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
    1626,    -1,    -1,    -1,    -1,    -1,  2627,    -1,  2629,    -1,
     226,   440,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
     236,  4436,  4437,    -1,    -1,    -1,   242,    -1,  2649,   245,
      -1,  4446,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
    4465,  2672,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,    -1,  2690,
      -1,  6072,    -1,    -1,  2695,  2696,    -1,    -1,    -1,  2700,
      -1,    -1,   298,    -1,  6085,    -1,    -1,  2708,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2726,  6107,  6108,    -1,  4524,
      -1,   540,    -1,    -1,   543,   544,   545,    -1,   547,   548,
     549,   550,   551,   552,    -1,    -1,    -1,    -1,   557,   345,
      -1,    -1,   348,    -1,    -1,    -1,  4551,    -1,   354,  2760,
      -1,  4227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2773,    -1,    -1,    -1,    -1,   886,    -1,  2780,
    2781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   904,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   913,    -1,    -1,    -1,    -1,    -1,
    2811,  2812,    -1,   409,  2815,    -1,    -1,    -1,   927,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4767,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2836,    -1,  2838,    -1,    -1,
      -1,  2842,    -1,    -1,    -1,    -1,    -1,    -1,  2849,    -1,
      -1,    -1,    -1,  2854,    -1,  2856,   965,    -1,  2859,    -1,
      -1,    -1,   971,    -1,  2865,  4806,  4807,    -1,   464,    -1,
      -1,    -1,    -1,    -1,    -1,   984,    -1,  4343,    -1,    -1,
    4346,    -1,    -1,    -1,  2885,    -1,    -1,    -1,    -1,    -1,
    2891,    -1,    -1,    -1,    -1,  2896,   492,    -1,  2899,    -1,
      -1,  1010,    -1,    -1,    -1,    -1,    -1,    -1,  2909,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1025,    -1,    -1,    -1,
     516,  2922,   518,   519,  1033,    -1,  2927,    -1,   684,   895,
     896,    -1,  2933,   899,    -1,    -1,    -1,    -1,  1047,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   919,  1063,  4896,  4897,    -1,   554,    -1,
     926,   557,   558,    -1,   560,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   733,   734,    -1,
    4446,    -1,    -1,    -1,    -1,    -1,    -1,  4782,   954,    -1,
     956,  2992,  4787,    -1,   960,    -1,    -1,    -1,    -1,  4465,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   974,    -1,
    2016,    -1,    -1,    -1,    -1,   981,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   780,    -1,    -1,  4822,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1160,    -1,  1162,    -1,  1164,    -1,    80,    -1,    -1,
      83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,  4864,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1188,
      -1,   104,  5023,    -1,    -1,  4551,    -1,    -1,    -1,   112,
      -1,  1200,    -1,  5034,  5035,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5050,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2147,  1251,  1252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2158,    -1,    -1,    -1,    80,    -1,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,  4961,    -1,    -1,  2175,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     104,  3182,    -1,    -1,    -1,    -1,    -1,    -1,   112,    -1,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,  3200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3208,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     144,    -1,    -1,    -1,    -1,  2231,    -1,  1336,  1337,    -1,
      -1,    -1,   255,    -1,    -1,    -1,    -1,   260,    -1,    -1,
     996,   997,    -1,   999,  2250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1362,    -1,    -1,  5051,  2263,    -1,   282,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2275,
      -1,    -1,    -1,    -1,   297,    -1,  3277,    -1,    -1,    -1,
      -1,    -1,  3283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1057,    -1,    -1,  1060,  1061,    -1,    -1,    -1,  2315,
    2316,    -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,  1075,
      -1,  1077,    -1,  1079,    -1,    -1,    -1,   350,    -1,  1085,
     353,   255,    -1,  1089,    -1,    -1,   260,    -1,  1304,  1305,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1109,  1110,    -1,  4822,    -1,   282,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4834,    -1,
    3371,    -1,    -1,   297,    -1,    -1,  5171,    -1,  5173,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1156,    -1,  1158,    -1,  1370,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,    -1,    -1,   440,    -1,  1385,
    1529,    -1,    -1,    -1,    -1,  5220,   350,  5368,    -1,   353,
      -1,    -1,    -1,    80,    -1,  5230,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,  1415,
    1416,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,  2472,  1576,    -1,    -1,
      -1,    -1,   119,    -1,  5269,  1441,    -1,    -1,    -1,  5274,
      -1,  1237,    -1,    -1,  3485,  3486,    -1,   163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1251,  1252,   144,    -1,  1255,
    5441,    -1,    -1,  1612,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3512,    -1,    -1,  3515,    -1,   440,   540,    -1,  1628,
     543,   544,   545,    -1,   547,   548,   549,   550,   551,   552,
      -1,    -1,    -1,    -1,   557,  1644,    -1,   213,    -1,  1648,
      -1,    -1,  1298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     226,    -1,    -1,  5494,    -1,   231,    -1,    -1,  1524,  1525,
     236,    -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,   245,
      -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5051,  3587,  3588,  3589,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,   255,    -1,
    3611,    -1,    -1,   260,    -1,    -1,   540,    -1,    -1,   543,
     544,   545,   298,   547,   548,   549,   550,   551,   552,  3630,
      -1,    -1,    -1,   557,    -1,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3648,    -1,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5459,    -1,    -1,    -1,  1777,   345,
      -1,    -1,   348,    -1,    -1,    -1,  1785,  1786,   354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,
    5485,    -1,  1801,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   350,  5499,  5171,   353,  5173,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   409,  3735,    -1,  2742,    -1,  1847,    -1,
      -1,    -1,  2748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1868,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3781,    -1,    -1,  2789,    -1,    -1,    -1,  3788,   464,  3790,
      -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3803,    -1,  3805,    -1,    -1,    -1,    -1,  1918,
      -1,    -1,    -1,    -1,    -1,    -1,   492,    -1,    -1,  1928,
    1576,    -1,    -1,    -1,    -1,  1581,  3827,  1583,    -1,    -1,
    1586,    -1,  1588,    -1,    -1,  1591,  1592,  1593,    -1,    -1,
     516,  1597,   518,   519,    -1,    -1,    -1,    -1,  1604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1969,    -1,  1618,    -1,  1620,    -1,    -1,    -1,   163,  1625,
    3871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   554,    -1,
      -1,   557,   558,    -1,   560,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5687,   540,  5689,    -1,   543,   544,   545,    -1,
     547,   548,   549,   550,   551,   552,    80,    -1,    -1,    83,
     557,    -1,    -1,    87,    88,    89,  2025,    -1,   213,    -1,
      -1,    -1,    -1,  3924,    -1,    -1,    -1,    -1,    -1,    -1,
     104,   226,    -1,  2042,    -1,    -1,   231,    -1,   112,    -1,
      -1,   236,    -1,  3944,    -1,   119,    -1,   242,    -1,    80,
     245,    -1,    83,    -1,   249,    -1,    87,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,  3966,    -1,    -1,  3969,    -1,
     144,    -1,    -1,   104,    -1,    -1,    -1,  2983,    -1,    -1,
      -1,   112,  5923,   278,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,  5789,    -1,  1752,    -1,    -1,    -1,
      -1,    -1,  2111,   298,    -1,    -1,  1972,  1763,  1764,    -1,
      -1,    -1,  5807,   144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1780,  5820,    -1,    -1,    -1,  1785,
    1786,  1997,    80,    -1,    -1,    83,    -1,    -1,  5833,    87,
      88,    89,    -1,    -1,    -1,  1801,    -1,  4048,    -1,    -1,
     345,    -1,    -1,   348,    -1,    -1,   104,    -1,    -1,   354,
      -1,  2170,    -1,    -1,   112,    -1,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   255,    -1,    -1,    -1,  2194,   260,    -1,    -1,    -1,
      -1,    -1,    -1,  2202,    -1,    -1,   144,    -1,    -1,    -1,
    5895,  5896,    -1,    -1,  2070,  2214,    -1,    -1,   282,   283,
    1866,    -1,  1868,    -1,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1878,   297,   255,    -1,    -1,    -1,    -1,   260,
      -1,  2097,  2098,  2099,  2100,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5939,    -1,    -1,    -1,    -1,    -1,
      -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,    -1,   297,    -1,    -1,   464,
      -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,   353,
      -1,    -1,  2291,  2292,    -1,    -1,    -1,  2153,  2154,    -1,
      -1,    -1,  3198,    -1,    -1,    -1,  2305,   492,    -1,    -1,
      -1,  1957,    -1,  2169,    -1,   336,    -1,   255,  3214,  2318,
    2319,  1967,   260,  3219,    -1,    -1,    -1,    -1,    -1,   350,
      -1,   516,   353,   518,   519,    -1,  4227,    -1,  6023,    -1,
      -1,    -1,    -1,  2342,   282,   283,    -1,    -1,  2204,  2205,
    2206,  2207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   554,
      -1,    -1,   557,   558,    -1,   560,   440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4277,    -1,    -1,    -1,
      -1,  4282,    -1,  4284,    -1,    -1,    -1,    -1,   336,    -1,
      -1,    -1,  6087,    -1,  2050,    -1,    -1,  2053,  2054,    -1,
      -1,    -1,   350,    -1,    -1,   353,  4307,    -1,    -1,   440,
    6105,    -1,  6107,  6108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4327,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5807,  4343,    -1,    -1,  4346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2322,    -1,    -1,    -1,
      -1,    -1,  2328,    -1,    -1,    -1,   540,    -1,  2477,   543,
     544,   545,    -1,   547,   548,   549,   550,   551,   552,    -1,
      -1,    -1,    -1,   557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   440,    -1,    -1,    -1,  2152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   540,
      -1,    -1,   543,   544,   545,    -1,   547,   548,   549,   550,
     551,   552,    -1,    -1,    -1,    -1,   557,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4436,  4437,    -1,    -1,   110,
      -1,    -1,    -1,    -1,    -1,  4446,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,  2567,    87,
      88,    89,   133,    -1,  4465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   156,    -1,    -1,    -1,  1020,
      -1,   119,   540,    -1,    -1,   543,   544,   545,    -1,   547,
     548,   549,   550,   551,   552,    -1,    -1,    -1,    -1,   557,
      -1,    -1,  3518,    -1,  2480,  1046,   144,    -1,    -1,    -1,
    3526,    80,    -1,  4524,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,
    2649,    -1,   213,    -1,   215,   104,    -1,    -1,    -1,    -1,
    4551,    -1,    -1,   112,    -1,    -1,    -1,   228,    -1,    -1,
     119,    -1,    -1,  2672,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2690,    -1,    -1,    -1,   144,  2695,  2696,    -1,    -1,
      -1,  2700,    -1,    -1,    -1,  2351,    -1,  2353,    -1,  2708,
      -1,  2357,    -1,  2359,    -1,    -1,  2362,    -1,    -1,    -1,
    2366,    -1,    -1,    -1,  3620,  2371,  3622,  2726,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,
      -1,    -1,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2760,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2773,    -1,    -1,    -1,    -1,   297,
      -1,  2780,  2781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,    -1,
      -1,   260,  2811,  2812,    -1,    -1,  2815,  3713,   336,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,   282,   283,   353,    -1,  2836,    -1,  2838,
      -1,    -1,    -1,  2842,    -1,    -1,    -1,    -1,   297,    -1,
    2849,    -1,    -1,    -1,    -1,  2854,    -1,  2856,  3754,    -1,
    2859,    -1,  2508,    -1,    -1,    -1,  2865,    -1,    -1,  2515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2525,
      -1,    -1,    -1,    -1,    -1,    -1,  2885,   336,    -1,    -1,
      -1,  4782,  2891,  2749,    -1,    -1,  4787,  2896,    -1,    -1,
    2899,   350,    -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,
    2909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   440,  2922,    -1,    -1,    -1,    -1,  2927,    -1,
      80,  4822,    -1,    83,  2933,    -1,    -1,    87,    88,    89,
      -1,    -1,    -1,  4834,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1373,    -1,   104,  3851,    -1,    -1,    -1,    -1,
      -1,    -1,   112,  1384,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,  4864,    -1,    -1,    80,    -1,  1399,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,
      -1,   440,  3888,  2992,   144,    -1,    -1,    -1,    -1,  2645,
     104,    -1,    -1,  2649,    -1,    -1,    -1,    -1,   112,  2655,
      -1,  2657,    -1,    -1,  2660,   119,    -1,    -1,    -1,    -1,
      -1,  2877,   540,    -1,  2880,   543,   544,   545,    -1,   547,
     548,   549,   550,   551,   552,    -1,    -1,    -1,    -1,   557,
     144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2708,    -1,    -1,    -1,    -1,    -1,  1489,    -1,
    4961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   540,    -1,  3989,   543,   544,   545,    -1,   547,   548,
     549,   550,   551,   552,    -1,   255,    80,  2963,   557,    83,
     260,    -1,    -1,    87,    88,    89,  4012,    -1,    -1,    -1,
    2976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2984,    -1,
     104,    -1,   282,   283,   108,    -1,    -1,    -1,   112,    -1,
      -1,  4037,    -1,    -1,    -1,   119,    -1,   297,    -1,    -1,
      -1,   255,    -1,    -1,    -1,    -1,   260,    -1,    -1,    -1,
    5051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3025,
     144,    -1,    -1,    -1,    -1,    -1,    -1,  4073,   282,   283,
      -1,    -1,    -1,  3182,    -1,    -1,   336,    -1,    -1,    -1,
      -1,    -1,    -1,   297,    -1,    -1,    -1,  3053,    -1,    -1,
     350,  3200,    -1,   353,    -1,  1626,    -1,    -1,    -1,  3208,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,
      -1,    -1,    -1,    -1,    -1,  2871,    -1,    -1,    -1,    -1,
      -1,    -1,   336,  2879,    -1,    -1,  2882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,  2894,   353,
      -1,    -1,    -1,    -1,    -1,    -1,  3112,    -1,  3114,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3277,    -1,
    5171,   255,  5173,    -1,  3283,    -1,   260,    -1,    -1,    -1,
     440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   297,    -1,   886,    -1,    -1,    -1,  5220,
      -1,    -1,    -1,   894,    -1,    -1,   440,    -1,    -1,    -1,
      -1,    -1,   903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     911,    -1,    -1,   914,    -1,    -1,    -1,  3213,    -1,  1780,
      -1,    -1,   336,    -1,  3220,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3371,    -1,    -1,    -1,   350,    -1,  5269,   353,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     540,    -1,    -1,   543,   544,   545,    -1,   547,   548,   549,
     550,   551,   552,    -1,    -1,    -1,    -1,   557,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   540,    -1,    -1,   543,
     544,   545,    -1,   547,   548,   549,   550,   551,   552,    -1,
      -1,   555,    -1,    -1,  1015,    -1,    -1,    -1,    -1,  1020,
      -1,    -1,    -1,  1024,    -1,    -1,   440,    -1,    -1,    -1,
    1031,    -1,    -1,  1034,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1046,  3485,  3486,    -1,    -1,
      -1,  1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3156,  3157,    -1,  3512,    -1,    -1,  3515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,  3174,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1979,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   540,    -1,  5459,   543,
     544,   545,    -1,   547,   548,   549,   550,   551,   552,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3587,  3588,
    3589,    -1,  1153,  1154,  5485,  2016,    -1,    -1,    -1,  1160,
      -1,    -1,    -1,  1164,    -1,    -1,    -1,    -1,  5499,    -1,
      -1,    -1,  3611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2049,  1190,
      -1,  3630,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3648,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    35,    -1,    -1,  3521,  3522,    -1,    41,    42,
      -1,    -1,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    75,    76,    -1,    -1,    -1,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3366,    -1,    -1,    -1,    -1,  3371,  2147,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3735,  2158,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4643,    -1,    -1,
      -1,    -1,    -1,    -1,  2175,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1336,  1337,    -1,    -1,    -1,
      -1,    -1,  3781,    -1,    -1,    -1,    -1,    -1,    -1,  3788,
      -1,  3790,    -1,    -1,    -1,    -1,  5687,    -1,  5689,  1360,
    1361,  1362,    -1,    -1,  3803,    -1,  3805,  1368,    -1,    -1,
    2231,    -1,  1373,  1374,    -1,    -1,    -1,  1378,    -1,  1380,
      -1,    -1,    -1,  1384,    -1,    -1,    -1,    -1,  3827,  2250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,  1399,    -1,
      -1,    -1,  2263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2275,    -1,   229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3871,  4769,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,  1443,  1444,  1445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2315,  2316,    -1,    -1,  5789,    -1,
    3756,    -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,  4805,
      -1,    -1,    -1,    -1,    -1,    -1,  5807,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3924,    -1,    -1,  1489,    -1,
      -1,  4827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     313,    -1,  5833,   316,    -1,  3944,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,  3966,    -1,    -1,
    3969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4895,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1568,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,    -1,  5939,  4048,
      -1,  2472,    -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,
     104,    -1,    -1,    -1,    -1,  1626,    -1,    -1,   112,    -1,
      -1,  3927,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1659,    -1,
     144,    -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   492,
    5016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1689,    -1,
      -1,    -1,  6023,    -1,   507,    -1,  3782,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1717,  1718,  1719,    -1,
    1721,    -1,    -1,    -1,   537,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   545,    -1,   547,   548,   549,   550,   551,  5075,
    1741,   554,   555,   556,    -1,    -1,    -1,   231,   561,   562,
      -1,    -1,   236,    -1,    -1,    -1,  6087,    -1,    -1,    -1,
    3846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   255,    -1,    -1,  6105,    -1,   260,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,
    3886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,  2679,    -1,
      -1,  1822,  2683,  2684,    -1,  1826,  1827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4277,    -1,
    1841,    -1,    -1,  4282,    -1,  4284,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,  4307,   353,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2742,    -1,    -1,    -1,    -1,    -1,  2748,  4327,  3975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4343,    -1,    80,  4346,    -1,    83,
      -1,  1912,    -1,    87,    88,    89,    -1,  1918,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1928,  2789,    -1,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,    -1,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1969,    -1,
     144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1979,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4436,  4437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4446,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2016,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2025,    -1,  4465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5373,    -1,    -1,
      -1,  2042,    -1,    -1,    -1,    -1,    -1,    -1,  2049,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   540,    -1,    -1,   543,
     544,   545,    -1,   547,   548,   549,   550,   551,   552,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5412,    -1,    -1,    -1,
      -1,   255,    -1,    -1,    -1,    -1,   260,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4183,  4394,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,
      -1,    -1,  4551,  4409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2983,   297,    -1,    -1,  2127,  2128,  2129,    -1,
      -1,    -1,  5468,    -1,    -1,    -1,    -1,  5473,  5474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2147,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2158,    -1,    -1,
      -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,  2170,
      -1,    -1,    -1,    -1,  2175,    -1,   350,    -1,    -1,   353,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4283,    -1,    -1,
      -1,    -1,    -1,   377,  3065,    -1,    -1,  3068,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4308,    -1,    -1,    -1,    -1,    -1,    -1,  4315,
    2231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4326,    -1,    -1,  2244,    -1,    -1,  2247,    -1,    -1,  2250,
      -1,    -1,    -1,    -1,  5590,    -1,  2257,    -1,    -1,    -1,
      -1,    -1,  2263,    -1,    -1,    -1,   440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2275,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   457,    -1,    -1,    -1,  2288,  2289,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2303,    -1,    -1,  2306,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2315,  2316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3198,    -1,    -1,
      -1,    -1,    -1,  4782,    -1,    -1,    -1,    -1,  4787,    -1,
      -1,    -1,    -1,  3214,    -1,    -1,    -1,    -1,  3219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   540,    -1,    -1,   543,
     544,   545,    -1,   547,   548,   549,   550,   551,   552,    -1,
      -1,  2382,    -1,  4822,  2385,  2386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2423,  2424,    -1,  4864,    -1,    -1,  2429,  2430,
      -1,    -1,    -1,    -1,    -1,  2436,  2437,  2438,    -1,    -1,
    2441,    -1,  2443,    -1,  2445,  2446,  2447,  2448,  2449,  2450,
      -1,  2452,    -1,  2454,  2455,    -1,  5792,  2458,    -1,    -1,
      -1,    -1,  4548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2472,  2473,  2474,  2475,  2476,  2477,    -1,    -1,    -1,
    2481,    -1,    -1,    -1,  2485,    -1,    -1,  2488,    -1,    -1,
    2491,  2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,    -1,
    2501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2509,    -1,
      -1,  2512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2573,    -1,    -1,    -1,    -1,    -1,    -1,  4875,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2588,    -1,    -1,
      -1,    -1,     5,    -1,  4890,    -1,  2597,  2598,    -1,  3460,
      -1,    -1,  3463,    -1,  3465,    -1,    -1,    -1,    -1,  3470,
      -1,    24,  5051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4706,    34,    35,    -1,    -1,    -1,    39,    -1,    41,    42,
      -1,    -1,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,  3518,    71,    -1,
      73,    -1,    75,    76,    -1,  3526,    -1,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2679,    -1,
      -1,    -1,  2683,  2684,    -1,  4981,    -1,    -1,    -1,    -1,
    3551,    -1,    80,    -1,  2695,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,  4789,    -1,    -1,    -1,    -1,    -1,  4795,
      -1,    -1,    -1,  4799,    -1,    -1,   104,    -1,    -1,    -1,
      -1,    -1,   135,    -1,   112,    -1,    -1,    -1,  2729,    -1,
      -1,   119,  5171,    -1,  5173,    -1,    -1,    -1,    -1,  2740,
      -1,  2742,  2743,    -1,  2745,  2746,    -1,  2748,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,  3620,
      -1,  3622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5220,    -1,    -1,    -1,    -1,    -1,    -1,  2789,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2811,    -1,    -1,    -1,  2815,    -1,   229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5269,    -1,    -1,    -1,    -1,    -1,    -1,  2838,    -1,   252,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    83,  3713,  2854,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,   276,    -1,    -1,    -1,   255,    -1,    -1,
      -1,    -1,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,    -1,    -1,  5179,    -1,  5181,    -1,   119,    -1,    -1,
      -1,    -1,    -1,  3754,   282,   283,    -1,    -1,  2899,    -1,
     313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3782,    -1,    -1,    -1,   338,  2927,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,
    2951,  2952,  2953,    -1,    -1,    -1,  2957,    -1,    -1,    -1,
      -1,    -1,   350,    -1,    -1,   353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2982,  2983,    -1,    -1,    -1,    -1,   375,    -1,    -1,
    3851,  2992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3872,    -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,
    5459,    -1,    -1,   255,    -1,  3026,    -1,  3888,   260,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5341,  5485,    -1,    -1,    -1,
     282,   283,   440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5499,    -1,    -1,   476,  3065,   297,    -1,  3068,    -1,    -1,
    5156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   492,
      -1,    -1,    -1,    -1,    -1,  3086,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,
      -1,    -1,    -1,    -1,   537,    -1,    -1,    -1,  3989,    -1,
      -1,    -1,   545,  5219,   547,   548,   549,   550,   551,    -1,
      -1,   554,   555,   556,   557,    -1,   559,   560,   561,   562,
     563,  4012,   540,    -1,    -1,   543,   544,   545,    -1,   547,
     548,   549,   550,   551,   552,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4037,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5489,    -1,  5491,    -1,  3198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,
      -1,  3212,  4073,  3214,  3215,    -1,  3217,  3218,  3219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3227,    -1,    -1,    -1,
      -1,  3232,    -1,    -1,  5320,    -1,    -1,    -1,    92,    -1,
      -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,  5687,    -1,
    5689,    -1,    -1,    -1,    -1,  3256,  3257,  3258,    -1,    -1,
    3261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3269,  3270,
    3271,  3272,    -1,    -1,    -1,    -1,  3277,    -1,   132,    -1,
      -1,  3282,  3283,    -1,  3285,    -1,  3287,    -1,    -1,    -1,
      -1,   145,    -1,    -1,    -1,    -1,    -1,  3298,  3299,    -1,
      -1,  3302,    -1,    -1,    -1,    -1,   160,    -1,   540,    -1,
      -1,   543,   544,   545,    -1,   547,   548,   549,   550,   551,
     552,  3322,    -1,  3324,   178,  3326,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4194,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3346,    -1,   201,    -1,    -1,
    5789,    -1,    -1,    -1,    -1,    -1,  3357,    -1,   212,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,  5807,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,
      -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,  3389,    -1,
      -1,   245,    -1,    -1,  5833,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3404,    -1,    -1,    -1,    -1,    -1,    -1,
     264,    -1,    -1,  5499,    -1,    -1,    -1,  3418,    -1,    -1,
      -1,    -1,  4283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4308,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,  3460,
      -1,    -1,  3463,    -1,  3465,    -1,    -1,    -1,    -1,  3470,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3491,    -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,
    5939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,
      -1,    -1,    -1,    -1,  5600,    -1,    -1,  3518,    -1,   373,
      -1,    -1,    -1,    -1,    -1,  3526,    -1,    -1,    -1,   383,
     384,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,  5835,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
      -1,    -1,   416,    -1,    -1,    -1,   420,    -1,   422,    -1,
      -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,   432,  4440,
      -1,    -1,    -1,    -1,  6023,    -1,  3587,  3588,  3589,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   451,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
     464,    -1,    -1,   467,    -1,    -1,    -1,   471,    -1,  3620,
      -1,  3622,    -1,    -1,    -1,   479,    -1,   481,    -1,  4490,
      -1,  4492,   486,    -1,    -1,    -1,    -1,  5933,     5,    -1,
      -1,    -1,    -1,    -1,    -1,   499,    -1,    -1,  6087,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6105,    34,    35,    -1,
    5966,  5967,    -1,    -1,    41,    42,    -1,    -1,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    75,    76,
      -1,    -1,  3713,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3740,
      -1,    -1,    -1,    -1,    -1,  3746,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3754,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,  4633,  6069,    -1,    -1,    -1,    -1,    -1,    -1,
    3781,  3782,  4643,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   104,    -1,    -1,   107,    -1,    -1,    -1,    -1,
     112,    -1,    -1,    -1,    -1,    -1,  3827,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,
    3851,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3872,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,   252,    -1,  3888,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,    -1,    -1,  4769,   276,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,
      -1,    -1,    -1,    -1,  4805,    -1,   313,    -1,    -1,   316,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   255,    -1,    -1,  4827,    -1,   260,    -1,
      -1,   338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3986,    -1,    -1,  3989,    -1,
     282,   283,    -1,    -1,  3995,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4003,    -1,  4005,   297,    -1,  4008,    -1,    -1,
      -1,  4012,  4013,  4014,  4015,  4016,    -1,    -1,  4019,  4020,
    4021,  4022,  4023,  4024,  4025,  4026,  4027,  4028,    -1,    -1,
      -1,  4032,  4033,    -1,  4895,    -1,  4037,    -1,    -1,    -1,
      -1,  4042,    -1,    -1,   336,  4046,    -1,  4048,   255,  4050,
      -1,    -1,    -1,   260,    -1,    -1,    -1,  4058,   350,   426,
    4061,   353,  4063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4073,    -1,  4075,   282,   283,  4078,  4079,    -1,
      -1,    -1,  4083,  4084,    -1,    -1,    -1,    -1,    -1,  4090,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,  4100,
      -1,    83,  4103,    -1,    -1,    87,    88,    89,    -1,   476,
      -1,    -1,    -1,    -1,  4115,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   104,    -1,    -1,   492,    -1,    -1,    -1,   336,
     112,    -1,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
     507,    -1,    -1,   350,    -1,    -1,   353,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,  5016,    -1,    -1,    -1,    -1,
      -1,  4162,   144,    -1,   371,    -1,    -1,    -1,    -1,    -1,
     537,    -1,    -1,    -1,    -1,    -1,    -1,  4178,   545,    -1,
     547,   548,   549,   550,   551,    -1,    -1,   554,   555,   556,
     557,    -1,    -1,  4194,   561,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,  4206,    -1,    87,    88,    89,
      -1,    -1,    -1,    -1,  5075,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   104,    -1,    -1,   107,    -1,    -1,
      -1,    -1,   112,   440,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   540,    -1,
      -1,   543,   544,   545,   236,   547,   548,   549,   550,   551,
     552,    -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   255,    -1,    -1,  4277,    -1,   260,    -1,
      -1,  4282,  4283,  4284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,    -1,    -1,    -1,  4307,  4308,     3,    -1,
      -1,    -1,    -1,     8,    -1,   297,    -1,    12,    -1,    14,
      -1,    16,    17,    -1,    -1,    -1,  4327,    -1,    -1,    -1,
      -1,    -1,    27,   540,    -1,    -1,   543,   544,   545,    -1,
     547,   548,   549,   550,   551,   552,    -1,    -1,    43,    44,
      -1,    -1,    -1,    -1,   336,    -1,    -1,    -1,  5219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,
      -1,   353,    -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,
     260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,
      -1,    -1,   282,   283,    -1,   100,    -1,   102,   103,    -1,
    4411,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   127,    -1,    -1,    -1,    -1,    -1,    -1,  4440,
      -1,    -1,    -1,    -1,   139,    -1,   141,   142,    -1,    -1,
      -1,    -1,  4453,   148,    -1,   150,   336,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,   163,    -1,
     350,    -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,  5345,   180,    -1,    -1,   183,  4490,
      -1,  4492,  4493,  4494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,    -1,   199,    -1,    -1,    -1,   203,    -1,
      -1,    -1,  5373,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,   219,    -1,    -1,    -1,    -1,    -1,
      -1,   226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,
      -1,  5412,    -1,    -1,    -1,    -1,    -1,    -1,   540,    -1,
     440,   543,   544,   545,   259,   547,   548,   549,   550,   551,
     552,    -1,    -1,    -1,    -1,    -1,  4577,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4589,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,   300,    -1,  5468,    -1,    -1,
     305,    -1,  5473,  5474,    -1,    -1,    -1,    -1,  4619,    -1,
      -1,  4622,   317,    -1,    -1,    -1,    -1,    -1,    -1,  4630,
    4631,    -1,  4633,    -1,    -1,    -1,  4637,  4638,    -1,    -1,
     335,  4642,  4643,    -1,    -1,    -1,    -1,  4648,    -1,    -1,
    4651,  4652,    -1,    -1,    -1,  4656,    -1,    -1,    -1,    -1,
     540,  4662,    -1,   543,   544,   545,    -1,   547,   548,   549,
     550,   551,   552,  4674,    -1,   133,    -1,    -1,    -1,    -1,
      -1,  4682,    -1,   378,    -1,  4686,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,
      -1,    -1,    -1,   398,   399,    -1,   401,   165,    -1,    -1,
      -1,   406,    -1,    -1,    -1,    -1,   411,    -1,  4719,   414,
      -1,    -1,   180,    -1,    -1,    -1,   421,    -1,    -1,  5590,
      -1,   189,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,
     435,    -1,    -1,    -1,   439,    -1,   204,    -1,   206,    -1,
    4751,    -1,   210,    -1,   449,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,  4769,   464,
      -1,   229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4787,    -1,    -1,   484,
      -1,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     495,    -1,    -1,    -1,  4805,    -1,   501,    80,    -1,    -1,
      83,   506,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   519,    -1,  4827,    -1,    -1,    -1,
      -1,   104,    -1,    -1,   107,    -1,    -1,    -1,    -1,   112,
      -1,    -1,    -1,    -1,    -1,    -1,   119,   542,    -1,  4850,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   556,    -1,    -1,    -1,   560,    -1,    -1,    -1,    -1,
      -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,  4895,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,
      -1,  4922,    -1,    -1,    -1,   112,    -1,    -1,    -1,    -1,
      -1,  5792,   119,    -1,    -1,    -1,    -1,  4938,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   255,    -1,    -1,    -1,    -1,   260,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,   282,
     283,    -1,    -1,  5014,    -1,  5016,    -1,    -1,    34,    35,
      -1,    -1,    -1,    -1,   297,    41,    42,    -1,    -1,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    75,
      76,    -1,    -1,   336,    -1,    81,    -1,    -1,   255,    -1,
    5071,    -1,    -1,   260,  5075,    -1,    -1,   350,    -1,    -1,
     353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,  5100,
    5101,    -1,    -1,  5104,    -1,    -1,    -1,    -1,    -1,    -1,
     297,    -1,    -1,    -1,    80,    -1,    -1,    83,  5119,   135,
      -1,    87,    88,    89,    -1,  5126,    -1,    -1,    -1,    -1,
    5131,    -1,    -1,  5134,  5135,    -1,    -1,    -1,   104,    -1,
    5141,  5142,    -1,    -1,    -1,    -1,   112,    -1,    -1,   336,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5163,   350,  5165,    -1,   353,   440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5177,    -1,   144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   229,    -1,    -1,    -1,    -1,  5219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5230,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,
     276,    -1,    -1,    -1,    -1,    -1,    -1,   540,  5269,    -1,
     543,   544,   545,  5274,   547,   548,   549,   550,   551,   552,
      -1,    -1,    -1,    -1,    -1,   472,    -1,    -1,    -1,   255,
      -1,    -1,    -1,    -1,   260,    -1,    -1,   313,    -1,    -1,
     316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,    -1,   338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5343,    -1,  5345,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   540,    -1,    -1,   543,   544,   545,    -1,
     547,   548,   549,   550,   551,   552,    -1,    -1,    -1,    -1,
     336,  5372,  5373,    -1,  5375,    -1,  5377,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,    -1,    -1,   353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5396,    -1,    -1,    -1,    -1,
      -1,  5402,    -1,    -1,    -1,  5406,    -1,    -1,    -1,    -1,
     426,  5412,    -1,    -1,    -1,  5416,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   894,   895,   896,    -1,
      -1,   899,    -1,    -1,    -1,   903,    -1,   905,    -1,    -1,
     908,    -1,    -1,   911,    -1,    -1,   914,    -1,  5459,   917,
     476,   919,    -1,    -1,   922,    -1,    -1,  5468,   926,    -1,
     928,    -1,  5473,  5474,   440,    -1,   492,  5478,    -1,    -1,
      -1,    -1,  5483,  5484,    -1,    -1,    -1,    -1,   946,    -1,
      -1,   507,    -1,    -1,   952,    -1,   954,    -1,   956,    -1,
      -1,    -1,   960,    -1,    -1,    -1,    -1,    -1,    -1,   967,
      -1,    -1,    -1,    -1,   972,    -1,   974,    -1,    -1,    -1,
    5521,   537,    -1,   981,    -1,    -1,    -1,  5528,    -1,   545,
      -1,   547,   548,   549,   550,   551,    -1,    -1,   554,   555,
     556,   557,    -1,    -1,    -1,   561,    -1,    -1,    -1,    -1,
      -1,    -1,  5553,    -1,    -1,    -1,    -1,  1015,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1024,    -1,    -1,    -1,
    1028,    -1,    -1,  1031,   540,    -1,  1034,   543,   544,   545,
      -1,   547,   548,   549,   550,   551,   552,    80,  5589,  5590,
      83,    -1,  1050,    -1,    87,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5611,   104,    -1,  5614,   107,    -1,  5617,    -1,    -1,   112,
      -1,    -1,    -1,    -1,    -1,    -1,   119,  5628,    -1,    -1,
      -1,  5632,    -1,  5634,    -1,  5636,    -1,    -1,    -1,    -1,
      -1,    -1,  5643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1108,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5662,    -1,    -1,    -1,    80,    -1,  1125,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5687,    -1,    -1,   104,
      -1,    -1,    -1,    -1,    -1,  1153,  1154,   112,    -1,    -1,
      -1,  1159,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1178,    -1,    -1,    -1,  1182,    -1,    -1,    -1,    -1,   144,
      -1,    -1,  1190,    -1,    -1,    -1,    -1,    -1,  5739,    -1,
      -1,    -1,    -1,  1201,    -1,    -1,    -1,    -1,  5749,    -1,
      -1,    -1,    -1,    -1,    -1,  1213,    -1,    -1,    -1,    -1,
      -1,    -1,   255,    -1,    -1,    -1,    -1,   260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5779,  5780,
    5781,    -1,    -1,    -1,    -1,    -1,    -1,  5788,  5789,   282,
     283,  5792,    -1,    -1,    -1,    -1,    -1,  5798,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5820,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     255,  1299,    -1,   336,    -1,   260,  1304,  1305,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,
     353,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,
      -1,    -1,  5873,    -1,    -1,    -1,    -1,    -1,  5879,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,  5889,    -1,
      -1,    -1,    -1,    -1,  5895,  5896,    -1,  5898,    -1,    -1,
      -1,    -1,  1360,  1361,    -1,    -1,    -1,  5908,    -1,    -1,
    1368,    -1,  1370,    -1,    -1,    -1,  1374,    -1,    -1,  1377,
    1378,   336,  1380,    -1,    -1,    -1,    -1,  1385,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,  1409,    -1,    -1,    -1,    -1,    -1,  1415,  1416,    -1,
      -1,    -1,    -1,    -1,  5965,    -1,    -1,    -1,    -1,    -1,
    5971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1437,
    1438,  1439,    -1,  1441,    -1,  1443,  1444,  1445,    -1,    -1,
      -1,    -1,  1450,    -1,    -1,    -1,    -1,  5998,    -1,    -1,
      -1,    -1,  6003,    -1,    -1,    -1,    -1,    -1,  6009,    -1,
      -1,    -1,    -1,  6014,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6023,    -1,    -1,   440,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6044,    -1,    -1,    -1,   540,    -1,    -1,
     543,   544,   545,  6054,   547,   548,   549,   550,   551,   552,
      -1,    -1,    -1,    -1,  1522,    -1,  1524,  1525,    -1,    -1,
      -1,  6072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6085,    -1,  6087,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6105,    -1,  6107,  6108,    -1,    -1,
    1568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   540,    -1,    -1,   543,   544,
     545,    -1,   547,   548,   549,   550,   551,   552,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1606,  1607,
      -1,    -1,    -1,  1611,    -1,  1613,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1634,    -1,    -1,    -1,
      -1,    -1,  1640,    -1,    -1,  1643,    -1,    -1,  1646,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1659,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,  1717,
    1718,  1719,    -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    35,  1741,    -1,    -1,    -1,    -1,    41,    42,
      -1,    -1,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    75,    76,    -1,    -1,    -1,    -1,    81,    -1,
      -1,    -1,    -1,    -1,  1792,    -1,    -1,    -1,    92,    -1,
      -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1822,    -1,    -1,    -1,  1826,  1827,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   132,  1837,
    1838,  1839,   135,  1841,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   145,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   156,    -1,    -1,    -1,   160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,   212,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,   233,
      -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,    -1,    -1,  1964,    -1,    -1,    -1,
     264,    -1,    -1,    -1,  1972,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   276,    -1,    -1,    -1,  1985,  1986,    -1,
      -1,    -1,    -1,    -1,    -1,   289,  1994,    -1,    -1,  1997,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,
     313,    -1,  2020,   316,  2022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,  2045,    -1,    -1,
    2048,    -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2070,   905,    -1,    -1,    -1,    -1,    -1,   373,
      -1,    -1,    -1,    -1,    -1,   917,    -1,  2085,    -1,   383,
     384,    -1,    -1,   387,    -1,    -1,   928,    -1,    -1,  2097,
    2098,  2099,  2100,  2101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   946,    -1,    -1,  2115,    -1,   413,
     952,    -1,   416,    -1,    -1,    -1,   420,    -1,   422,  2127,
    2128,  2129,    -1,   426,    -1,   429,    -1,    -1,   432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2153,  2154,   451,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
     464,  2169,    -1,   467,    -1,    -1,    -1,   471,    -1,    -1,
      -1,    -1,    -1,   476,    -1,   479,    -1,   481,    -1,    -1,
    2188,    -1,   486,    -1,    -1,    -1,    -1,    -1,    -1,   492,
      -1,    -1,    -1,    -1,    -1,    -1,  2204,  2205,  2206,  2207,
      -1,    -1,    -1,    -1,   507,    -1,    -1,    -1,   512,  2217,
      -1,    -1,    -1,    -1,    -1,    -1,  2224,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   537,    -1,  2244,    -1,    -1,  2247,
      -1,    -1,   545,    -1,   547,   548,   549,   550,   551,  2257,
      -1,   554,   555,   556,    -1,    -1,    -1,    -1,   561,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2288,  2289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2299,  2300,    -1,    -1,  2303,    -1,    -1,  2306,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2321,  2322,    -1,    -1,  1159,    -1,    -1,
    2328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2339,    -1,    -1,    -1,    -1,  1178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1201,
      -1,    -1,    -1,    -1,    -1,  2373,    -1,    -1,    -1,    -1,
      -1,    -1,  2380,    -1,  2382,    -1,    -1,  2385,  2386,    -1,
    2388,  2389,    -1,  2391,    -1,    -1,    -1,    -1,    -1,    -1,
    2398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2408,    -1,    -1,    -1,    -1,    -1,    -1,  2415,  2416,    -1,
      -1,  2419,    -1,    -1,    -1,  2423,  2424,    -1,    -1,    -1,
      -1,  2429,  2430,    -1,    -1,    -1,    -1,    -1,  2436,  2437,
    2438,    -1,    -1,  2441,    -1,  2443,  2444,  2445,  2446,  2447,
    2448,  2449,  2450,    -1,  2452,    -1,  2454,  2455,    -1,    -1,
    2458,    -1,    -1,    -1,    -1,    -1,    -1,  1299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2473,  2474,  2475,  2476,    -1,
      -1,    -1,  2480,  2481,    -1,    -1,    -1,  2485,    -1,    -1,
    2488,    -1,    -1,  2491,  2492,  2493,  2494,  2495,  2496,  2497,
    2498,  2499,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,
    2508,  2509,    -1,    -1,  2512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2566,    -1,
      -1,    -1,    -1,    -1,    -1,  2573,    -1,  1409,    -1,  2577,
    2578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2597,
    2598,    -1,    -1,    -1,    -1,  1437,  1438,  1439,    -1,    -1,
      -1,    -1,    -1,  2611,    -1,    -1,    -1,    -1,    -1,    -1,
    2618,    -1,  2620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,
      -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2710,    -1,  2712,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   132,
      -1,    -1,  2740,    -1,    -1,  2743,  2744,  2745,  2746,    -1,
      -1,  2749,   145,    -1,  2752,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1611,
      92,    -1,    -1,    -1,    -1,   178,  2784,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2792,  2793,    -1,   109,    -1,    -1,
      -1,  2799,  1634,    -1,    -1,    -1,    -1,    -1,   201,    -1,
    2808,  1643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
     132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,  2827,
      -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,
     233,    -1,    -1,    -1,   156,   238,    -1,    -1,   160,  2847,
    2848,    -1,    -1,  2851,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,    -1,    -1,    -1,
      -1,   264,   184,    -1,    -1,    -1,    -1,    -1,    -1,  2877,
      -1,    -1,  2880,    -1,    -1,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,    -1,  2903,  2904,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,
    2918,   233,  2920,  2921,    -1,    -1,    -1,    -1,    -1,   241,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   264,  2951,  2952,  2953,    -1,   350,    -1,  2957,
    1792,    -1,    -1,    -1,    -1,  2963,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2976,    -1,
      -1,    -1,    -1,    -1,  2982,    -1,  2984,    -1,    -1,   301,
     383,   384,    -1,    -1,   387,    -1,    -1,    -1,   310,    -1,
    2998,    -1,    -1,    -1,    -1,  3003,  1838,    -1,  3006,    -1,
      -1,    -1,  3010,    -1,    -1,  3013,    -1,    -1,    -1,    -1,
     413,    -1,    -1,   416,    -1,    -1,    -1,  3025,  3026,   422,
      -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,   350,   432,
      -1,   353,    -1,    -1,    -1,  3043,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3053,    -1,  3055,   451,    -1,
      -1,   373,    -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,   464,    -1,    -1,   467,   387,  3074,    -1,   471,    -1,
      -1,    -1,   394,    -1,    -1,    -1,   479,    -1,  3086,    -1,
      -1,    -1,    -1,   486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   413,  3100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,    -1,  3110,    -1,  3112,    -1,  3114,   429,    -1,   512,
     432,    -1,    -1,    -1,    92,    -1,    -1,    -1,    -1,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   451,
      -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,    -1,
      -1,    -1,   464,  1985,    -1,   467,   468,    -1,   470,   471,
      -1,    -1,  1994,  3161,    -1,    -1,    -1,    -1,    -1,   481,
      -1,    -1,    -1,    -1,   486,    -1,    -1,   145,   146,    -1,
      -1,   493,    -1,    -1,   496,    -1,    -1,   499,    -1,    -1,
    2022,    -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,    -1,    -1,  2045,  3212,  3213,  2048,  3215,    -1,  3217,
    3218,    -1,  3220,    -1,    -1,    -1,    -1,    -1,    -1,  3227,
      -1,    -1,    -1,   201,  3232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,  3256,  3257,
    3258,    -1,    -1,  3261,    -1,   233,    -1,    -1,    -1,  2101,
     238,  3269,  3270,  3271,  3272,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2115,  3282,    -1,    -1,  3285,    -1,  3287,
      -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,    -1,    97,
    3298,  3299,    -1,    -1,  3302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2145,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   289,  3320,    -1,  3322,    -1,  3324,    -1,  3326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   310,    -1,    -1,    -1,    -1,   145,  3346,    -1,
      -1,    -1,  3350,    -1,    -1,    -1,  2188,    -1,    -1,  3357,
      -1,    -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,    -1,    -1,  3381,    -1,  2217,   184,    -1,    -1,    -1,
      -1,  3389,  2224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   201,    -1,    -1,  3404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   383,   384,    -1,    -1,   387,
    3418,    -1,    -1,   221,  3422,    -1,    -1,  3425,    94,  3427,
      -1,    -1,    -1,    -1,   100,   233,    -1,    -1,    -1,    -1,
     238,   107,    -1,    -1,    -1,   413,    -1,   245,   416,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,
     126,   429,    -1,    -1,   432,    -1,   264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,    -1,    -1,   451,    -1,    -1,    -1,    -1,    -1,    -1,
     458,   289,    -1,  3491,    -1,    -1,   464,    -1,    -1,   467,
    3498,    -1,    -1,   471,    -1,    -1,    -1,  2339,    -1,    -1,
     176,    -1,   310,    -1,    -1,    -1,    -1,    -1,   486,    -1,
      -1,    -1,    -1,  3521,  3522,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,
     206,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,    -1,    -1,    -1,  2388,  2389,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   373,  2408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   383,   384,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,    -1,    -1,
     266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,   416,    -1,
      -1,    -1,   420,    94,   422,    -1,    -1,    -1,    -1,   100,
    3628,   429,    -1,    -1,   432,    -1,   107,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,   314,    -1,
      -1,    -1,    -1,   451,    -1,   126,    -1,    -1,    -1,    -1,
     458,    -1,    -1,   329,    -1,   463,   464,   333,    -1,   467,
      -1,   142,    -1,   471,    -1,    -1,  2508,   343,    -1,    -1,
      -1,    -1,    -1,   481,    -1,    -1,   352,    -1,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,   364,    -1,
      -1,   499,  2534,    -1,    -1,   176,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,
      -1,    -1,   203,    -1,  2566,   206,   402,    -1,    -1,   405,
     406,   407,  3740,    -1,    -1,  2577,  2578,    -1,  3746,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3756,    -1,
      -1,   232,    -1,   429,    -1,    -1,    -1,    -1,    -1,   435,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2611,
      -1,    -1,    -1,   449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   263,    -1,    -1,   266,  3794,  3795,  3796,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3811,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3833,  3834,   503,    -1,    -1,
     311,    -1,    -1,   314,    -1,  3843,  3844,  3845,    -1,    -1,
      -1,  3849,    -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,
      -1,    -1,   333,  3861,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   363,   364,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3904,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3927,
      -1,   402,    -1,    -1,   405,   406,   407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3951,    -1,    -1,    -1,    -1,   429,    -1,
      -1,  2793,    -1,    -1,   435,    -1,  3964,    -1,    -1,  3967,
      -1,    -1,    -1,    -1,    -1,    -1,  2808,    -1,   449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3986,    -1,
      -1,    -1,    -1,    -1,    -1,  2827,    -1,  3995,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4003,    -1,  4005,    -1,    -1,
    4008,    -1,    -1,    -1,    -1,  4013,  4014,  4015,  4016,    -1,
      -1,  4019,  4020,  4021,  4022,  4023,  4024,  4025,  4026,  4027,
    4028,    -1,   503,    -1,  4032,  4033,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4042,    -1,    -1,    -1,  4046,    -1,
      -1,    -1,  4050,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4058,    -1,    -1,  4061,    -1,  4063,    -1,    -1,    -1,    -1,
      -1,  2903,  2904,    -1,    -1,    -1,    -1,  4075,    -1,    -1,
    4078,  4079,    -1,    -1,    -1,  4083,  4084,    -1,    -1,    -1,
    4088,    -1,  4090,    -1,    -1,    -1,    -1,    -1,    -1,  4097,
    4098,  4099,  4100,    -1,    -1,  4103,  4104,    -1,    -1,    -1,
    4108,  4109,  4110,    -1,    -1,    -1,    -1,  4115,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4162,    -1,    -1,    -1,    -1,    -1,
      -1,  3003,    -1,    -1,    -1,    -1,    -1,    -1,  4176,    -1,
    4178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4206,  4207,
    4208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4361,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,    -1,   215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4394,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4407,
      -1,  4409,    -1,  4411,    -1,    -1,    -1,    -1,    -1,    -1,
    4418,    -1,    -1,    -1,    -1,    -1,  4424,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4449,    -1,    -1,    -1,  4453,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4472,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4493,  4494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3350,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4525,  4526,  4527,
    4528,  4529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,  3381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4577,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4619,    -1,    -1,  4622,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4630,  4631,    -1,    -1,    -1,    -1,    -1,  4637,
    4638,    -1,    -1,    -1,  4642,    -1,    -1,    -1,    -1,    -1,
    4648,    -1,    -1,  4651,  4652,    -1,    -1,    -1,  4656,  4657,
      -1,    -1,    -1,    -1,  4662,  4663,  4664,  4665,  4666,    -1,
      -1,    -1,  4670,  4671,  4672,    -1,  4674,  4675,    -1,    -1,
    4678,    -1,    -1,    -1,  4682,    -1,    -1,    -1,  4686,    -1,
      -1,    -1,    -1,    -1,  4692,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4719,    -1,    -1,    -1,  4723,    -1,    -1,    -1,    -1,
    4728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4748,    -1,    -1,  4751,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4785,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3628,    -1,    -1,    -1,
      -1,    -1,  4800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4875,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4890,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4922,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4938,    -1,    -1,    -1,    -1,    -1,  4944,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4953,    -1,    -1,    -1,    -1,
      -1,    -1,  3794,  3795,  3796,    -1,    -1,    -1,    -1,    -1,
    4968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3811,
      -1,    -1,    -1,  4981,    -1,  4983,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3844,  3845,    -1,    -1,    -1,  3849,    -1,    -1,
    5018,    -1,    -1,  5021,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   894,    -1,    -1,    -1,    -1,    -1,  1020,    -1,    -1,
     903,    -1,    -1,  5071,    -1,    -1,    -1,    -1,   911,    -1,
      -1,   914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1046,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5100,  5101,    -1,    -1,  5104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5119,    -1,    -1,  5122,    -1,    -1,    -1,  5126,    -1,
      -1,    -1,  3964,  5131,    -1,  3967,  5134,  5135,    -1,  5137,
      -1,  5139,    -1,  5141,  5142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5163,    -1,  5165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5177,
    5178,  5179,  1015,  5181,    -1,    -1,    -1,  1020,    -1,    -1,
      -1,  1024,    -1,    -1,    -1,    -1,    -1,    -1,  1031,    -1,
      -1,  1034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1046,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5230,  5231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4097,  4098,  4099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5274,    -1,    -1,  5277,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5289,    -1,    -1,  5292,    -1,    -1,    -1,    -1,  5297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5306,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1153,  1154,    -1,    -1,    -1,  5323,    -1,  1160,    -1,  5327,
      -1,  1164,  5330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5341,  5342,  5343,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1190,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5372,    -1,    -1,  5375,    -1,  5377,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5396,    -1,
      -1,    -1,    -1,    -1,  5402,    -1,    -1,    -1,  5406,    -1,
      -1,    -1,  5410,    -1,    -1,    -1,    -1,    -1,  5416,    -1,
    1373,    -1,    -1,    -1,    -1,    -1,    -1,  5425,    -1,    -1,
      -1,  1384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1399,    -1,    -1,    -1,
      -1,    -1,  5450,    -1,  5452,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5478,    -1,    -1,    -1,    -1,  5483,  5484,    -1,    -1,    -1,
    5488,  5489,  5490,  5491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1336,  1337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5521,    -1,    -1,    -1,  1360,  1361,    -1,
    5528,    -1,    -1,    -1,    -1,  1368,  1489,    -1,    -1,    -1,
    1373,  1374,    -1,    -1,    -1,  1378,    -1,  1380,    -1,    -1,
      -1,  1384,  5550,    -1,    -1,  5553,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1399,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4407,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1443,  1444,  1445,  5611,    -1,    -1,  5614,  4449,    -1,  5617,
      -1,    -1,    -1,  5621,    -1,    -1,    -1,    -1,    -1,    -1,
    5628,    -1,    -1,    -1,  5632,    -1,  5634,    -1,  5636,    -1,
      -1,    -1,    -1,    -1,    -1,  5643,    -1,    -1,    -1,    -1,
    4482,    -1,    -1,  5651,    -1,    -1,  1489,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5662,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1626,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5697,
    5698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4540,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5728,    -1,    -1,    -1,    -1,  1568,    -1,  5735,    -1,    -1,
      -1,  5739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5749,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5772,    -1,    -1,    -1,    -1,    -1,
      -1,  5779,  5780,  5781,    -1,    -1,    -1,  5785,    -1,    -1,
    5788,    -1,    -1,  1626,    -1,    -1,    -1,    -1,    -1,    -1,
    5798,    -1,    -1,  5801,    -1,    -1,    -1,    -1,  5806,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5820,    -1,    -1,    -1,  1659,    -1,    -1,    -1,
      -1,  4663,  4664,  4665,  4666,    -1,    -1,  5835,    -1,    -1,
      -1,    -1,    -1,    -1,  5842,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1689,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5868,    -1,    -1,    -1,    -1,  5873,    -1,    -1,    -1,    -1,
      -1,  5879,    -1,    -1,  1717,  1718,  1719,    -1,  1721,    -1,
      -1,  5889,    -1,    -1,    -1,    -1,    -1,  5895,  5896,    -1,
    5898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1741,    -1,
    5908,    -1,    -1,    -1,  5912,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5933,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1912,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5965,  5966,  5967,
      -1,    -1,    -1,  5971,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1822,
      -1,    -1,    -1,  1826,  1827,    -1,    -1,    -1,    -1,    -1,
    5998,    -1,    -1,    -1,    -1,  6003,    -1,    -1,  1841,    -1,
      -1,  6009,    -1,    -1,    -1,    -1,  6014,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1979,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6044,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6054,    -1,    -1,    -1,
      -1,    -1,    -1,  2016,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6069,    -1,    -1,  6072,    -1,    -1,    -1,    -1,  1912,
      -1,    -1,    -1,  6081,    -1,    -1,    -1,  6085,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1928,  2049,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6107,
    6108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1969,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1979,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2016,    -1,    -1,  5018,    -1,    -1,    -1,
      -1,    -1,  2025,    -1,  2147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2158,    -1,    -1,    -1,  2042,
      -1,    -1,    -1,    -1,    -1,    -1,  2049,    -1,    -1,    -1,
      -1,    -1,  2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2127,  2128,  2129,  2250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2263,    -1,    -1,    -1,  2147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2275,    -1,    -1,  2158,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2315,  2316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2244,    -1,    -1,  2247,    -1,    -1,  2250,    -1,    -1,
      -1,    -1,    -1,    -1,  2257,    -1,    -1,    -1,    -1,    -1,
    2263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2275,    -1,    -1,  5277,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2288,  2289,    -1,    -1,    -1,
    5292,    -1,    -1,    -1,    -1,  5297,    -1,    -1,    -1,    -1,
    2303,    -1,    -1,  2306,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2315,  2316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2472,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2382,
      -1,    -1,  2385,  2386,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2423,  2424,    -1,    -1,    -1,    -1,  2429,  2430,    -1,    -1,
      -1,    -1,    -1,  2436,  2437,  2438,    -1,    -1,  2441,    -1,
    2443,    -1,  2445,  2446,  2447,  2448,  2449,  2450,  5450,  2452,
      -1,  2454,  2455,    -1,    -1,  2458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2472,
    2473,  2474,  2475,  2476,    -1,    -1,    -1,    -1,  2481,    -1,
      -1,    -1,  2485,    -1,    -1,  2488,    -1,    -1,  2491,  2492,
    2493,  2494,  2495,  2496,  2497,  2498,  2499,    -1,  2501,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2509,    -1,    -1,  2512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5550,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2679,    -1,    -1,    -1,
    2683,  2684,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2588,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2597,  2598,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,
      -1,    -1,    -1,    -1,    -1,  2748,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2789,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2679,    -1,    -1,    -1,
    2683,  2684,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2729,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2740,    -1,  2742,
    2743,    -1,  2745,  2746,    -1,  2748,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2789,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3065,    -1,    -1,  3068,    -1,    -1,  2951,  2952,
    2953,    -1,    -1,    -1,  2957,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2982,
    2983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3026,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3065,    -1,    -1,  3068,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3086,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3214,    -1,    -1,    -1,    -1,  3219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1046,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3212,
      -1,  3214,  3215,    -1,  3217,  3218,  3219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3227,    -1,    -1,    -1,    -1,  3232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3256,  3257,  3258,    -1,    -1,  3261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3269,  3270,  3271,  3272,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3282,
      -1,    -1,  3285,    -1,  3287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3298,  3299,    -1,    -1,  3302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3322,
      -1,  3324,    -1,  3326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3460,    -1,    -1,
    3463,    -1,  3465,  3346,    -1,    -1,    -1,  3470,    -1,    -1,
      -1,    -1,    -1,    -1,  3357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3389,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3518,    -1,    -1,    -1,    -1,
      -1,  3404,    -1,  3526,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3551,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3460,    -1,    -1,
    3463,    -1,  3465,    -1,    -1,    -1,    -1,  3470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3491,    -1,
      -1,    -1,    -1,  1373,    -1,    -1,    -1,  3620,    -1,  3622,
      -1,    -1,    -1,    -1,  1384,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3518,    -1,    -1,    -1,  1399,
      -1,    -1,    -1,  3526,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3551,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1489,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3620,    -1,  3622,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3782,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3851,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3740,    -1,    -1,
      -1,    -1,    -1,  3746,    -1,    -1,  1626,    -1,    -1,  3872,
      -1,  3754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3888,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3782,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3851,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3989,    -1,    -1,  3872,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3888,    -1,    -1,    -1,  4012,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4037,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3986,    -1,    -1,  3989,    -1,    -1,    -1,
      -1,    -1,  3995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4003,    -1,  4005,    -1,    -1,  4008,    -1,    -1,    -1,  4012,
    4013,  4014,  4015,  4016,    -1,    -1,  4019,  4020,  4021,  4022,
    4023,  4024,  4025,  4026,  4027,  4028,    -1,    -1,    -1,  4032,
    4033,    -1,  1912,    -1,  4037,    -1,    -1,    -1,    -1,  4042,
      -1,    -1,    -1,  4046,    -1,    -1,    -1,  4050,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4058,    -1,    -1,  4061,    -1,
    4063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4073,  4194,  4075,    -1,    -1,  4078,  4079,    -1,    -1,    -1,
    4083,  4084,    -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4100,    -1,  1979,
    4103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2016,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4162,
    4283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2049,
      -1,    -1,    -1,    -1,    -1,  4178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4308,    -1,    -1,    -1,    -1,
      -1,  4194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4206,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2127,  2128,  2129,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2158,    -1,
    4283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4308,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4490,    -1,  4492,
    2250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2263,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2275,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4411,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2315,  2316,  4440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4490,    -1,  4492,
    4493,  4494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4577,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4589,    -1,    -1,    -1,
      -1,    -1,  2472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4619,    -1,    -1,  4622,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4630,  4631,    -1,
    4633,    -1,  2512,    -1,  4637,  4638,    -1,    -1,    -1,  4642,
    4643,    -1,    -1,    -1,    -1,  4648,  4769,    -1,  4651,  4652,
      -1,    -1,    -1,  4656,    -1,    -1,    -1,    -1,    -1,  4662,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4682,
      -1,    -1,  4805,  4686,    -1,    -1,    -1,    -1,    -1,   894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   903,    -1,
      -1,    -1,    -1,    -1,  4827,    -1,   911,    -1,    -1,   914,
      -1,    -1,    -1,    -1,    -1,    -1,  4719,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4751,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4769,    -1,    -1,    -1,
      -1,    -1,  4895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2679,
      -1,    -1,  4805,  2683,  2684,    -1,    -1,    -1,    -1,    -1,
    1015,    -1,    -1,    -1,    -1,  1020,    -1,    -1,    -1,  1024,
      -1,    -1,    -1,    -1,  4827,    -1,  1031,    -1,    -1,  1034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1046,    -1,    -1,    -1,    -1,    -1,  4850,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,  2748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4895,  5016,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2789,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4922,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4938,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1153,  1154,
      -1,    -1,  5075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4968,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1190,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5014,    -1,  5016,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5071,    -1,
      -1,    -1,  5075,  2953,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5219,  5100,  5101,    -1,
      -1,  5104,    -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5119,    -1,    -1,    -1,
      -1,    -1,    -1,  5126,    -1,    -1,    -1,    -1,  5131,    -1,
      -1,  5134,  5135,    -1,    -1,    -1,    -1,    -1,  5141,  5142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1360,  1361,    -1,    -1,    -1,
    5163,    -1,  5165,  1368,    -1,    -1,    -1,    -1,  1373,  1374,
      -1,    -1,    -1,  1378,  5177,  1380,    -1,    -1,    -1,  1384,
      -1,    -1,    -1,    -1,    -1,  3065,    -1,    -1,  3068,    -1,
      -1,    -1,    -1,    -1,  1399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5219,    -1,    -1,    -1,
      -1,    -1,  5345,    -1,    -1,    -1,    -1,  5230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1443,  1444,
    1445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1489,    -1,    -1,    -1,    -1,  5412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3198,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3214,    -1,    -1,    -1,    -1,  3219,
    5343,    -1,  5345,    -1,    -1,  5468,    -1,    -1,    -1,    -1,
    5473,  5474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1568,    -1,    -1,    -1,    -1,    -1,  5372,
    5373,    -1,  5375,    -1,  5377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5396,    -1,    -1,    -1,    -1,    -1,  5402,
      -1,    -1,    -1,  5406,    -1,    -1,    -1,    -1,    -1,  5412,
      -1,    -1,    -1,  5416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1659,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5468,    -1,  5590,    -1,    -1,
    5473,  5474,    -1,    -1,    -1,  5478,    -1,    -1,    -1,    -1,
    5483,  5484,    -1,    -1,  1689,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1717,  1718,  1719,    -1,  1721,    -1,  5521,    -1,
      -1,    -1,    -1,    -1,    -1,  5528,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1741,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5553,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3460,    -1,    -1,  3463,    -1,  3465,  5589,  5590,    -1,    -1,
    3470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5611,    -1,
      -1,  5614,    -1,    -1,  5617,    -1,    -1,  1822,    -1,    -1,
      -1,  1826,  1827,    -1,    -1,  5628,    -1,    -1,    -1,  5632,
      -1,  5634,    -1,  5636,    -1,    -1,  1841,    -1,  3518,    -1,
    5643,    -1,    -1,    -1,    -1,    -1,  3526,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5662,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5792,
      -1,  3551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1912,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5739,    -1,    -1,    -1,
    3620,    -1,  3622,    -1,    -1,    -1,  5749,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1979,    -1,  5779,  5780,  5781,    -1,
      -1,    -1,    -1,    -1,    -1,  5788,    -1,    -1,    -1,  5792,
      -1,    -1,    -1,    -1,    -1,  5798,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2016,    -1,    -1,    -1,    -1,    -1,  5820,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3713,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2049,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3740,    -1,    -1,    -1,    -1,    -1,  3746,    -1,    -1,    -1,
    5873,    -1,    -1,    -1,  3754,    -1,  5879,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5889,    -1,    -1,    -1,
      -1,    -1,  5895,  5896,    -1,  5898,    -1,    -1,    -1,    -1,
      -1,    -1,  3782,    -1,    -1,  5908,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2127,  2128,  2129,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2158,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5965,    -1,    -1,    -1,    -1,    -1,  5971,    -1,
    2175,  3851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3872,    -1,    -1,  5998,    -1,    -1,    -1,    -1,
    6003,    -1,    -1,    -1,    -1,    -1,  6009,    -1,  3888,    -1,
      -1,  6014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2244,
      -1,  6044,  2247,    -1,    -1,  2250,    -1,    -1,    -1,    -1,
      -1,  6054,  2257,    -1,    -1,    -1,    -1,    -1,  2263,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6072,
    2275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6085,  2288,  2289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2303,    -1,
      -1,  2306,    -1,    -1,  6107,  6108,    -1,    -1,    -1,  3989,
    2315,  2316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4037,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2382,    -1,    -1,
    2385,  2386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4073,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2423,  2424,
      -1,    -1,    -1,    -1,  2429,  2430,    -1,    -1,    -1,    -1,
      -1,  2436,  2437,  2438,    -1,    -1,  2441,    -1,  2443,    -1,
    2445,  2446,  2447,  2448,  2449,  2450,    -1,  2452,    -1,  2454,
    2455,    -1,    -1,  2458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2472,  2473,  2474,
    2475,  2476,    -1,    -1,    -1,    -1,  2481,    -1,    -1,    -1,
    2485,    -1,    -1,  2488,    -1,    -1,  2491,  2492,  2493,  2494,
    2495,  2496,  2497,  2498,  2499,    -1,  2501,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2509,    -1,    -1,  2512,    -1,    -1,
      -1,    -1,    -1,    -1,  4194,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,    -1,
       9,    10,    11,    -1,    -1,    -1,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    -1,    -1,
      -1,    30,    31,    32,    33,    -1,    35,    36,    37,    38,
      -1,    40,    41,    42,    -1,    -1,    -1,    -1,  2573,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2588,    63,    -1,    65,    -1,    67,    -1,
      69,    -1,  2597,  2598,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4308,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,   145,    -1,    -1,    -1,
      -1,    -1,    -1,   152,  2679,    -1,    -1,    -1,  2683,  2684,
      -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2729,    -1,    -1,    -1,    -1,    -1,
      -1,   210,    -1,    -1,    -1,  2740,    -1,  2742,  2743,   218,
    2745,  2746,    -1,  2748,   223,    -1,    -1,    -1,    -1,    -1,
     229,    -1,    -1,    -1,    -1,    -1,   235,    -1,   237,    -1,
    4440,    -1,    -1,    -1,    -1,   244,    -1,   246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2789,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   277,    -1,
     279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,    -1,
    4490,    -1,  4492,    -1,    -1,   294,   295,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   320,   321,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,   331,    -1,    -1,    -1,    -1,   336,    -1,    -1,
     339,    -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,   358,
      -1,   360,   361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   374,    -1,   376,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   412,    -1,    -1,    -1,    -1,    -1,   418,
      -1,    -1,    -1,    -1,    -1,    -1,  2951,  2952,  2953,    -1,
      -1,    -1,  2957,  4633,    -1,    -1,    -1,    -1,   437,    -1,
      -1,   440,    -1,  4643,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2982,  2983,    -1,
     459,    -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   474,   475,    -1,    -1,    -1,
      -1,   480,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3026,    -1,    -1,    -1,    -1,    -1,    -1,   507,    -1,
      -1,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,    -1,    -1,
    3065,    -1,    -1,  3068,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3086,    -1,    -1,   563,    -1,    -1,    -1,    -1,  4769,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4805,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3212,    -1,  3214,
    3215,    -1,  3217,  3218,  3219,  4895,    -1,    -1,    -1,    -1,
      -1,    -1,  3227,    -1,    -1,    -1,    -1,  3232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3256,  3257,  3258,    -1,    -1,  3261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3269,  3270,  3271,  3272,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3282,    -1,    -1,
    3285,    -1,  3287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3298,  3299,    -1,    -1,  3302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3322,    -1,  3324,
      -1,  3326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5014,    -1,  5016,    -1,    -1,    -1,
      -1,  3346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3389,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5075,    -1,    -1,    -1,  3404,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3460,    -1,    -1,  3463,    -1,
    3465,    -1,    -1,    -1,    -1,  3470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      88,    -1,    -1,  3518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5219,
      -1,    -1,    -1,    -1,    -1,    -1,  3551,   125,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   157,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3620,    -1,  3622,    -1,    -1,
      -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5345,    -1,    -1,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5373,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3713,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5412,    -1,    -1,  3740,    -1,    -1,    -1,    -1,
      -1,  3746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3754,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3782,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5468,    -1,
      -1,    -1,    -1,  5473,  5474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3851,   425,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3872,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3888,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5589,
    5590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3986,    -1,    -1,  3989,    -1,    -1,    -1,    -1,    -1,
    3995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4003,    -1,
    4005,    -1,    -1,  4008,    -1,    -1,    -1,  4012,  4013,  4014,
    4015,  4016,    -1,    -1,  4019,  4020,  4021,  4022,  4023,  4024,
    4025,  4026,  4027,  4028,    -1,    -1,    -1,  4032,  4033,    -1,
      -1,    -1,  4037,    -1,    -1,    -1,    -1,  4042,    -1,    -1,
      -1,  4046,    -1,    -1,    -1,  4050,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4058,    -1,    -1,  4061,    -1,  4063,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4073,    -1,
    4075,    -1,    -1,  4078,  4079,    -1,    -1,    -1,  4083,  4084,
      -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4100,    -1,    -1,  4103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   684,    -1,    -1,    -1,
    4115,    -1,  5792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   733,   734,  4162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4178,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4194,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4206,   780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4308,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   897,
      -1,    -1,    -1,   901,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   909,    -1,    -1,   912,    -1,    -1,   915,   916,    -1,
     918,    -1,   920,    -1,    -1,   923,    -1,   925,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   946,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     958,    -1,    -1,    -1,   962,    -1,    -1,    -1,    -1,    -1,
      -1,   969,   970,    -1,    -1,   973,    -1,   975,   976,    -1,
      -1,    -1,   980,    -1,    -1,    -1,  4411,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   997,
      -1,   999,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,
      -1,  1019,    -1,    -1,    -1,    -1,    -1,    -1,  4453,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1040,    -1,  1042,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1051,  1052,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1061,    -1,  4490,    -1,  4492,  4493,  4494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4577,    -1,    -1,    -1,    -1,    -1,  1156,    -1,
    1158,    -1,    -1,    -1,  4589,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1191,  4619,    -1,    -1,  4622,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4630,  4631,    -1,  4633,    -1,
      -1,    -1,  4637,  4638,    -1,    -1,    -1,  4642,  4643,    -1,
      -1,    -1,    -1,  4648,    -1,    -1,  4651,  4652,    -1,    -1,
      -1,  4656,    -1,    -1,    -1,    -1,    -1,  4662,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4682,    -1,    -1,
      -1,  4686,    -1,    -1,    -1,    -1,    -1,  1265,    -1,    -1,
    1268,    -1,  1270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1285,    -1,    -1,
      -1,    -1,  1020,    -1,  4719,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1046,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4769,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1351,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1371,    -1,    -1,    -1,    -1,    -1,    -1,
    4805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1386,    -1,
    1388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1397,
      -1,    -1,  4827,    -1,  1402,    -1,    -1,  1405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4850,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1446,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4922,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4938,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5014,
      -1,  5016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1615,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1635,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1373,  5071,    -1,    -1,    -1,
    5075,    -1,    -1,    -1,    -1,    -1,  1384,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1399,    -1,    -1,    -1,  5100,  5101,    -1,    -1,  5104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5119,    -1,    -1,    -1,    -1,    -1,
      -1,  5126,    -1,    -1,    -1,    -1,  5131,    -1,    -1,  5134,
    5135,    -1,    -1,    -1,    -1,    -1,  5141,  5142,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5163,    -1,
    5165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1489,    -1,    -1,    -1,  1763,  1764,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5219,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5230,    -1,    -1,    -1,    -1,
    1808,  1809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5274,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1866,    -1,
      -1,    -1,    -1,  1871,    -1,    -1,  1874,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1882,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1626,    -1,
      -1,  1899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5343,    -1,
    5345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5372,  5373,    -1,
    5375,    -1,  5377,    -1,    -1,  1953,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5396,    -1,    -1,    -1,    -1,    -1,  5402,    -1,    -1,
      -1,  5406,    -1,    -1,    -1,    -1,    -1,  5412,    -1,    -1,
      -1,  5416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2021,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5468,    -1,    -1,    -1,    -1,  5473,  5474,
      -1,    -1,    -1,  5478,    -1,    -1,    -1,    -1,  5483,  5484,
      -1,    -1,  1153,  1154,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5521,    -1,    -1,    -1,
      -1,    -1,    -1,  5528,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5553,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5589,  5590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2179,    -1,    -1,  1912,    -1,  5611,    -1,    -1,  5614,
      -1,    -1,  5617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5628,    -1,    -1,    -1,  5632,    -1,  5634,
      -1,  5636,    -1,    -1,    -1,    -1,    -1,    -1,  5643,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2226,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5662,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1979,    -1,  2251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1360,
    1361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2016,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2308,    -1,  2310,    -1,  5739,    -1,    -1,    -1,    -1,    -1,
      -1,  2049,    -1,    -1,  5749,    -1,  2324,  2325,    -1,  2327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5779,  5780,  5781,    -1,    -1,    -1,
      -1,    -1,    -1,  5788,    -1,    -1,    -1,  5792,    -1,  2367,
      -1,    -1,    -1,  5798,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2379,    -1,    -1,    -1,  2383,    -1,    -1,    -1,  2387,
      -1,    -1,  2390,    -1,    -1,  5820,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2175,  5873,    -1,
      -1,    -1,    -1,    -1,  5879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5889,    -1,    -1,    -1,    -1,    -1,
    5895,  5896,    -1,  5898,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5908,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2515,    -1,    -1,
      -1,    -1,  2250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2263,    -1,    -1,    -1,    -1,
    5965,    -1,    -1,    -1,    -1,    -1,  5971,  2275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1659,    -1,
      -1,    -1,    -1,  5998,    -1,    -1,    -1,    -1,  6003,    -1,
      -1,    -1,    -1,    -1,  6009,    -1,    -1,  2315,  2316,  6014,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1689,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6044,
      -1,    -1,    -1,    -1,    -1,    -1,  1717,  1718,  1719,  6054,
    1721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6072,    -1,    -1,
    1741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6085,    -1,  2660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2673,  2674,    -1,    -1,    -1,
      -1,    -1,  6107,  6108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2692,  2693,    -1,    -1,    -1,  2697,
    2698,    -1,    -1,  2701,  2702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2716,    -1,
      -1,    -1,    -1,    -1,    -1,  2723,    -1,    -1,    -1,  2727,
    2728,  1822,    -1,  2731,  2732,  1826,  1827,    -1,    -1,    -1,
    2738,    -1,    -1,    -1,  2472,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2762,    -1,    -1,    -1,    -1,  2767,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2782,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2791,    -1,    -1,  2794,    -1,  2796,  2797,
    2798,    -1,    -1,    -1,    -1,  2803,  2804,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,    -1,    -1,
    2818,    -1,    -1,    -1,  2822,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2832,  2833,    -1,    -1,    -1,  2837,
      -1,    -1,    -1,    -1,    -1,  2843,  2844,    -1,    -1,    -1,
      -1,    -1,  2850,    -1,    -1,  2853,    -1,    -1,    -1,    -1,
      -1,    -1,  2860,  2861,    -1,    -1,    -1,    -1,  2866,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2878,    -1,    -1,  2881,    -1,    -1,    -1,    -1,  2886,    -1,
      -1,    -1,    -1,    -1,  2892,  2893,    -1,    -1,    -1,    -1,
    2898,    -1,    -1,  2901,    -1,    -1,    -1,  2905,  2906,  2907,
    2908,    -1,  2910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2923,  2924,    -1,  2926,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2937,
    2938,  2939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2679,    -1,    -1,  1020,  2683,  2684,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2993,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,
    2748,    -1,    -1,  3021,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2127,  2128,  2129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3073,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3113,    -1,  3115,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3156,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1399,    -1,    -1,    -1,  3065,  2429,    -1,
    3068,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2441,    -1,  2443,    -1,  2445,    -1,    -1,  2448,  2449,  2450,
      -1,    -1,    -1,    -1,  2455,    -1,    -1,  2458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2473,  2474,  2475,  2476,    -1,    -1,    -1,    -1,
    2481,    -1,    -1,    -1,  2485,    -1,    -1,  2488,    -1,    -1,
    2491,  2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,    -1,
    2501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2509,    -1,
      -1,  2512,    -1,  1489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2573,    -1,    -1,    -1,  3214,    -1,    -1,    -1,
    3488,  3219,    -1,    -1,    -1,  3493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2597,  2598,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3513,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3530,    -1,    -1,    -1,  3534,    -1,    -1,    -1,
      -1,  3539,  3540,  3541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3575,  3576,  3577,
    3578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3612,    -1,  3614,  3615,  3616,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2729,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3727,
      -1,    -1,  3460,    -1,    -1,  3463,    -1,  3465,  3736,    -1,
      -1,    -1,  3470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3761,  3762,    -1,    -1,    -1,  3766,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3518,  3789,    -1,    -1,    -1,    -1,    -1,    -1,  3526,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3551,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3841,    -1,    -1,  1912,    -1,  3846,    -1,
    1020,    -1,    -1,    -1,  3852,    -1,    -1,    -1,    -1,    -1,
    2951,  2952,  2953,    -1,    -1,    -1,  2957,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1046,    -1,    -1,    -1,
      -1,    -1,  3880,    -1,    -1,  3883,    -1,    -1,  3886,    -1,
      -1,  2982,  3620,    -1,  3622,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1020,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1979,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3921,    -1,  3923,    -1,    -1,    -1,    -1,
    1046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3965,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2049,    -1,  3713,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3754,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3782,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1020,    -1,    -1,    -1,    -1,    -1,
      -1,  2147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2175,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3851,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3227,    -1,    -1,    -1,
      -1,  3232,    -1,    -1,  3872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3888,    -1,    -1,    -1,    -1,  2231,    -1,  3258,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3269,    -1,
    3271,  3272,    -1,    -1,  2250,    -1,    -1,    -1,    -1,    -1,
      -1,  3282,    -1,    -1,  3285,    -1,  3287,  2263,    -1,    -1,
      -1,    -1,    -1,  1373,    -1,    -1,    -1,    -1,    -1,  2275,
      -1,    -1,  4210,    -1,  1384,  4213,    -1,  4215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1399,
    4228,  3322,    -1,  3324,    -1,  3326,    -1,    -1,    -1,    -1,
      -1,    -1,  4240,    -1,    -1,    -1,  4244,    -1,    -1,  2315,
    2316,    -1,    -1,    -1,    -1,    -1,    -1,  1373,    -1,    -1,
      -1,  3989,    -1,    -1,  4262,    -1,    -1,    -1,  1384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4280,  1399,  4012,    -1,    -1,  4285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3389,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4037,
      -1,    -1,  4310,  3404,    -1,    -1,  4314,    -1,    -1,  1489,
      -1,    -1,    -1,    -1,  4322,  4323,  4324,  4325,    -1,    -1,
      -1,    -1,    -1,  4331,  4332,  4333,  4334,    -1,    -1,    -1,
    4338,  4339,    -1,    -1,    -1,  4073,  4344,  4345,    -1,  4347,
    4348,  4349,  4350,  4351,  4352,  4353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4363,    -1,    -1,    -1,  4367,
    4368,  4369,  4370,  1489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4391,    -1,    -1,    -1,    -1,    -1,    -1,
    3491,    -1,    -1,    -1,    -1,    -1,  2472,    -1,    -1,    -1,
      -1,    -1,  4410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1399,    -1,    -1,  1626,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4194,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1626,    -1,  4510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4532,    -1,  4534,    -1,    -1,    -1,
      -1,    -1,    -1,  1489,  4542,  4543,  4544,  4545,  4546,    -1,
      -1,    -1,    -1,    -1,    -1,  4283,    -1,  4555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2679,    -1,    -1,    -1,  2683,  2684,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3740,
      -1,    -1,    -1,    -1,    -1,  3746,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,
    1626,    -1,  2748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2789,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4490,    -1,  4492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4770,  4771,  4772,    -1,    -1,    -1,  4776,  4777,
    4778,  4779,    -1,    -1,    -1,  4783,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1912,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1979,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4817,
    4818,  4819,  4820,  4821,    -1,  4823,  4824,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4835,  4836,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2016,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1979,    -1,    -1,    -1,  4865,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4873,  4874,    -1,  4876,  2049,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3986,    -1,    -1,    -1,    -1,
    2016,    -1,    -1,    -1,  3995,  4633,    -1,    -1,    -1,    -1,
      -1,    -1,  4003,    -1,  4005,  4643,    -1,  2983,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2049,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4032,  4033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4050,
      -1,    -1,    -1,    -1,    -1,    -1,  1912,  4058,    -1,  4967,
    4061,    -1,  4063,    -1,    -1,    -1,    -1,  2147,    -1,    -1,
      -1,    -1,    -1,    -1,  4075,    -1,    -1,    -1,  2158,    -1,
      -1,    -1,  4083,  4084,    -1,    -1,    -1,    -1,    -1,  3065,
      -1,    -1,  3068,    -1,    -1,  2175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4115,    -1,    -1,    -1,    -1,    -1,
      -1,  2147,    -1,  1979,    -1,    -1,    -1,    -1,    -1,  5037,
      -1,  4769,  2158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2175,
      -1,  2231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2016,  4162,    -1,    -1,    -1,    -1,    -1,  4805,    -1,    -1,
    2250,    -1,    -1,    -1,    -1,    -1,    -1,  4178,    -1,    -1,
      -1,    -1,    -1,  2263,    -1,    -1,    -1,    -1,    -1,  4827,
      -1,    -1,    -1,  2049,    -1,  2275,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5124,    -1,    -1,    -1,
      -1,    -1,  3198,    -1,  2250,    -1,    -1,    -1,    -1,    -1,
      -1,  5139,    -1,    -1,    -1,  2315,  2316,  2263,  3214,    -1,
      -1,    -1,    -1,  3219,    -1,    -1,    -1,    -1,    -1,  2275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4895,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2315,
    2316,  2147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5221,    -1,    -1,    -1,    -1,    -1,  2175,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5240,    -1,    -1,    -1,    -1,  5245,  5246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5255,    -1,    -1,
      -1,    -1,    -1,    -1,  5262,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2231,    -1,    -1,  5016,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5298,  5299,  2472,    -1,  2250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2263,    -1,    -1,
    5318,    -1,  5320,    -1,    -1,    -1,    -1,    -1,    -1,  2275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5075,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2472,  5355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5366,  2315,
    2316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3460,    -1,    -1,  3463,    -1,  3465,
      -1,  5399,  4493,  4494,  3470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3518,    -1,    -1,    -1,    -1,  5455,    -1,    -1,
    3526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3551,  4577,    -1,    -1,    -1,
      -1,  5219,    -1,    -1,  5492,    -1,    -1,    -1,  4589,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2679,
      -1,    -1,    -1,  2683,  2684,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2472,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5532,    -1,    -1,    -1,    -1,  4630,
    4631,    -1,    -1,    -1,    -1,    -1,  4637,  4638,    -1,    -1,
      -1,  4642,    -1,    -1,  3620,    -1,  3622,  4648,    -1,    -1,
    4651,  4652,    -1,  2679,    -1,  4656,    -1,  2683,  2684,    -1,
      -1,  4662,  2742,    -1,    -1,    -1,    -1,    -1,  2748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5597,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5345,    -1,  2789,
      -1,    -1,    -1,    -1,    -1,    -1,  2742,  5625,  4719,    -1,
      -1,    -1,  2748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5373,    -1,  3713,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4751,  5659,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2789,    -1,    -1,  5674,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5412,    -1,    -1,    -1,  3754,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3782,    -1,    -1,    -1,
    5718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2679,    -1,  5733,    -1,  2683,  2684,    -1,
    5468,    -1,    -1,    -1,    -1,  5473,  5474,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4850,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3851,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,
      -1,    -1,  2748,    -1,    -1,    -1,  3872,    -1,    -1,    -1,
      -1,    -1,    -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5819,  3888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2789,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5590,    -1,    -1,  5863,    -1,  2983,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3065,    -1,    -1,  3068,    -1,
      -1,  1733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3989,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4012,    -1,    -1,  3065,
      -1,    -1,  3068,    -1,  5952,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4037,    -1,  1805,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4073,    -1,  5100,
    5101,    -1,    -1,  5104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3198,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,
      -1,    -1,    -1,    -1,  3214,    -1,    -1,    -1,    -1,  3219,
    5141,  5142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5792,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5165,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3214,    -1,
      -1,    -1,    -1,  3219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3065,
      -1,    -1,  3068,    -1,    -1,    -1,    -1,    -1,  4194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3214,    -1,
      -1,    -1,    -1,  3219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5375,    -1,    -1,    -1,    -1,    -1,
    3460,    -1,    -1,  3463,    -1,  3465,    -1,    -1,    -1,    -1,
    3470,  2133,    -1,    -1,    -1,  2137,    -1,    -1,    -1,    -1,
      -1,  5402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5416,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3460,    -1,    -1,  3463,  3518,  3465,
      -1,    -1,    -1,    -1,  3470,    -1,  3526,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,
      -1,  3551,    -1,    -1,    -1,    -1,    -1,  5478,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4490,    -1,  4492,    -1,    -1,    -1,
    5521,    -1,    -1,    -1,    -1,  3551,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3620,    -1,  3622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3620,    -1,  3622,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3460,    -1,    -1,  3463,    -1,  3465,
      -1,    -1,    -1,    -1,  3470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3713,    -1,  5636,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4633,    -1,    -1,
      -1,  5662,  3518,    -1,    -1,    -1,    -1,  4643,    -1,    -1,
    3526,    -1,    -1,    -1,  3754,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2427,    -1,  3713,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3551,    -1,    -1,    -1,    -1,
    2442,    -1,  3782,    -1,  2446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2460,  2461,
    2462,    -1,    -1,  2465,    -1,    -1,    -1,    -1,  3754,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5739,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3782,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3620,  2507,  3622,    -1,    -1,    -1,
      -1,  3851,    -1,    -1,    -1,    -1,    -1,    -1,  5779,  5780,
    5781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3872,  4769,    -1,    -1,    -1,  5798,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3888,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3851,    -1,    -1,    -1,  4805,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2584,    -1,    -1,    -1,  3872,    -1,    -1,    -1,
      -1,  4827,    -1,    -1,  2596,    -1,    -1,  3713,    -1,  2601,
      -1,    -1,  3888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5879,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5898,  3754,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3989,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4895,
      -1,    -1,    -1,    -1,    -1,    -1,  3782,    -1,    -1,    -1,
      -1,    -1,  4012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4037,    -1,    -1,
      -1,    -1,    -1,  3989,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4012,    -1,    -1,    -1,
      -1,    -1,    -1,  4073,    -1,  3851,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6009,    -1,
      -1,  4037,    -1,    -1,    -1,    -1,  3872,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5016,    -1,    -1,  6044,    -1,    -1,    -1,  4073,    -1,    -1,
      -1,    -1,    -1,  6054,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5075,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4194,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3989,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4012,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4073,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4308,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5345,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4490,    -1,  4492,    -1,  4440,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4490,    -1,  4492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3230,    -1,
      -1,    -1,  5468,    -1,    -1,    -1,    -1,  5473,  5474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3250,  3251,
      -1,  3253,    -1,    -1,  3256,  3257,    -1,  3259,    -1,  3261,
      -1,    -1,    -1,  3265,    -1,    -1,  3268,    -1,    -1,    -1,
      -1,  3273,    -1,    -1,    -1,    -1,    -1,  3279,    -1,    -1,
      -1,    -1,  3284,    -1,    -1,    -1,    -1,    -1,    -1,  3291,
    3292,  3293,  3294,  4633,    -1,    -1,  3298,  3299,    -1,  3301,
      -1,    -1,    -1,  4643,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3319,    -1,  3321,
      -1,    -1,    -1,    -1,  4440,    -1,  3328,  3329,  3330,  3331,
    3332,  3333,  3334,  3335,  3336,  3337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4633,    -1,    -1,
      -1,    -1,    -1,    -1,  5590,    -1,    -1,  4643,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4490,    -1,  4492,    -1,    -1,    -1,
    3382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4769,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4805,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4769,    -1,    -1,    -1,  4827,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4633,    -1,  4805,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4643,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4895,  5792,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4895,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4769,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5016,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4805,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5016,    -1,    -1,    -1,    -1,  5075,    -1,    -1,    -1,    -1,
      -1,    -1,  3744,  3745,    -1,    -1,    -1,  3749,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3777,    -1,    -1,    -1,  4895,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5075,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5219,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5016,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5075,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3985,    -1,    -1,    -1,    -1,    -1,  3991,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5345,    -1,  4009,  4010,    -1,
      -1,  4013,  4014,  4015,  4016,    -1,    -1,  4019,  4020,  4021,
    4022,  4023,  4024,  4025,  4026,  4027,  4028,  4029,    -1,    -1,
      -1,    -1,    -1,  5373,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4051,
      -1,    -1,  4054,    -1,  4056,    -1,    -1,  4059,  4060,  5345,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5412,    -1,    -1,  4077,  4078,  4079,  4080,    -1,
    4082,    -1,    -1,    -1,    -1,    -1,    -1,  5373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5412,    -1,  5468,    -1,
      -1,    -1,    -1,  5473,  5474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5468,    -1,    -1,    -1,    -1,  5473,  5474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5345,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5590,    -1,    -1,    -1,    -1,    -1,    -1,  5373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5590,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5468,    -1,    -1,    -1,    -1,  5473,  5474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4411,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5590,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5792,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4578,    -1,    -1,    -1,
    4582,    -1,  4584,  4585,    -1,    -1,    -1,    -1,    -1,  4591,
    4592,  4593,  4594,    -1,    -1,    -1,    -1,  4599,  4600,  4601,
    4602,  4603,  4604,  4605,  4606,  4607,  4608,  4609,  4610,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4636,    -1,    -1,  4639,    -1,  4641,
      -1,    -1,    -1,    -1,  4646,    -1,    -1,  4649,  4650,    -1,
      -1,  4653,  4654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     6,     7,    -1,     9,    10,
      11,    -1,    -1,    -1,    15,    -1,  5792,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    -1,    -1,    -1,    30,
      31,    32,    33,    -1,    35,    36,    37,    38,  4700,    40,
      41,    42,    -1,    -1,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,  4718,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    -1,    69,  4731,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,   145,    -1,    -1,    -1,    -1,    -1,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
     171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,
      -1,    -1,   223,    -1,    -1,    -1,    -1,    -1,   229,    -1,
      -1,    -1,    -1,    -1,   235,    -1,   237,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,   246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4925,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,   277,    -1,   279,    -1,
      -1,   282,   283,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,   295,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,
     321,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
     331,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,
     341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5011,
    5012,    -1,    -1,    -1,    -1,    -1,   357,   358,    -1,   360,
     361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   374,    -1,   376,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5064,    -1,    -1,    -1,    -1,    -1,  5070,  5071,
      -1,   412,    -1,    -1,    -1,    -1,    -1,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5088,    -1,  5090,    -1,
      -1,    -1,  5094,  5095,  5096,    -1,   437,  5099,    -1,   440,
    5102,  5103,   443,    -1,    -1,  5107,    -1,    -1,    -1,  5111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,   475,    -1,    -1,    -1,    -1,   480,
      -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,    -1,    -1,   510,
      -1,    -1,    -1,  5175,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,
       6,     7,    -1,     9,    10,    11,    -1,    -1,    -1,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    -1,   563,    -1,    30,    31,    32,    33,    -1,    35,
      36,    37,    38,    39,    40,    41,    42,    -1,    -1,  5241,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    71,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     136,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,   145,
      -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,
      -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,  5371,
    5372,    -1,    -1,    -1,    -1,   181,   182,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5386,  5387,  5388,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   218,    -1,    -1,    -1,    -1,   223,    -1,    -1,
      -1,  5423,  5424,   229,    -1,    -1,    -1,    -1,    -1,   235,
      -1,   237,    -1,    -1,    -1,    -1,  5438,    -1,   244,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,   331,    -1,    -1,    -1,    -1,
     336,    -1,    -1,   339,    -1,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   357,   358,    -1,   360,   361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,
     376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5604,    -1,    -1,    -1,   412,    -1,    -1,    -1,
      -1,    -1,   418,    -1,    -1,  5617,    -1,    -1,  5620,    -1,
      -1,    -1,  5624,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    -1,    -1,   440,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
      -1,  5673,    -1,    -1,   480,    -1,   482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,    -1,    -1,   510,    -1,    -1,    -1,  5710,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5786,    -1,  5788,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5818,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5901,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5998,    -1,    -1,    -1,
      -1,  6003,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,  6050,    -1,
      -1,  6053,    54,  6055,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,    -1,     3,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
     562,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,    -1,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,    -1,
      -1,   115,    -1,    -1,   118,   119,   120,   121,   122,   123,
      -1,    -1,    -1,   127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,   139,    -1,   141,   142,   143,
      -1,   145,    -1,    -1,   148,    -1,   150,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,   163,
     164,    -1,    -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,
      -1,    -1,    -1,    -1,   178,    -1,   180,   181,   182,   183,
      -1,    -1,    -1,    -1,    -1,   189,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   197,    -1,   199,    -1,    -1,    -1,   203,
      -1,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,    -1,
      -1,    -1,    -1,   217,   218,   219,    -1,    -1,    -1,   223,
      -1,    -1,   226,    -1,    -1,   229,    -1,    -1,    -1,    -1,
      -1,   235,    -1,   237,    -1,    -1,    -1,    -1,   242,    -1,
     244,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   255,    -1,    -1,    -1,   259,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
     274,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,   297,    -1,   299,   300,    -1,    -1,    -1,
      -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   317,    -1,    -1,   320,   321,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,   331,    -1,    -1,
      -1,   335,   336,    -1,    -1,   339,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,   358,    -1,   360,   361,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     374,    -1,   376,    -1,   378,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   391,   392,    -1,
      -1,    -1,    -1,    -1,   398,   399,    -1,   401,    -1,    -1,
      -1,    -1,   406,    -1,    -1,    -1,    -1,   411,   412,    -1,
     414,    -1,    -1,    -1,   418,    -1,    -1,   421,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,
      -1,   435,    -1,   437,    -1,   439,   440,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,   449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,
     464,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,   475,    -1,    -1,    -1,    -1,   480,    -1,   482,    -1,
     484,    -1,   486,    -1,    -1,    -1,    -1,    -1,   492,    -1,
      -1,   495,    -1,    -1,   498,    -1,    -1,   501,    -1,    -1,
      -1,    -1,   506,   507,    -1,    -1,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   519,    -1,    -1,    -1,    -1,
      -1,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,    -1,    -1,    -1,    -1,    -1,   542,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,   556,    14,    15,    -1,   560,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,    -1,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,    -1,   187,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,    -1,   234,   235,    -1,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,    -1,    -1,   350,
     351,   352,    -1,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,    -1,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,   499,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
      -1,    -1,    -1,    -1,    -1,    -1,   547,   548,   549,    -1,
      -1,    -1,    -1,    -1,    -1,   556,   557,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,    -1,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,   235,    -1,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,   499,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,   510,   511,   512,   513,   514,    -1,    -1,   517,
      -1,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,    -1,   542,    -1,    -1,    -1,    -1,   547,
     548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   556,   557,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,   106,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,   499,    -1,   501,   502,   503,   504,
     505,   506,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,    -1,    -1,    -1,    -1,
      -1,    -1,   547,   548,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   556,   557,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,    -1,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,   235,    -1,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,   499,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,   510,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,    -1,
      -1,    -1,    -1,    -1,    -1,   547,   548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   556,   557,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,
     109,   110,    -1,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,    -1,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,    -1,   187,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,    -1,   234,   235,    -1,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,    -1,
      -1,   350,   351,   352,    -1,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,   493,   494,   495,   496,   497,   498,
     499,    -1,   501,   502,   503,   504,   505,   506,   507,    -1,
     509,   510,   511,   512,   513,   514,    -1,    -1,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   556,   557,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,    -1,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,   235,
      -1,   237,   238,   239,   240,   241,    -1,   243,    -1,    -1,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,    -1,   332,    -1,   334,   335,
     336,   337,    -1,    -1,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,    -1,   375,
      -1,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,    -1,   481,    -1,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
      -1,   507,   508,   509,   510,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   537,   538,   539,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,   557,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,    -1,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,   235,
      -1,   237,   238,   239,   240,   241,    -1,   243,    -1,    -1,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,    -1,   332,    -1,   334,   335,
     336,   337,    -1,    -1,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,    -1,   375,
      -1,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,    -1,   481,    -1,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
      -1,   507,   508,   509,   510,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   537,   538,   539,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,   557,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
     106,    -1,    -1,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,    -1,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,   235,
      -1,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,   510,   511,   512,   513,   514,    -1,
      -1,   517,    -1,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,    -1,   542,    -1,    -1,    -1,
      -1,   547,   548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     556,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,   106,    -1,    -1,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,   166,    -1,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,   499,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,   510,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,    -1,    -1,    -1,
      -1,    -1,    -1,   547,   548,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   556,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,    -1,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,   235,    -1,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,   499,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,   510,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,    -1,
      -1,    -1,    -1,    -1,    -1,   547,   548,    -1,    -1,    -1,
      -1,    -1,   554,   555,   556,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,   499,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,   549,
      -1,    -1,    -1,    -1,    -1,    -1,   556,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,    -1,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,   235,    -1,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,   499,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,   510,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,    -1,    -1,    -1,    -1,    -1,    -1,   547,
     548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   556,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
     106,    -1,    -1,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,    -1,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,   235,
      -1,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,    -1,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,    -1,    -1,    -1,    -1,    -1,
      -1,   547,   548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     556,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,   106,    -1,    -1,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,   166,    -1,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,   499,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,   510,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,    -1,    -1,    -1,
      -1,    -1,    -1,   547,   548,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   556,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,   235,    -1,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,   499,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,   510,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,    -1,
      -1,    -1,    -1,    -1,    -1,   547,   548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   556,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,   499,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   556,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,   235,    -1,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,   499,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,   510,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,    -1,    -1,    -1,    -1,    -1,    -1,   547,
     548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   556,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
     106,    -1,    -1,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,    -1,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,   235,
      -1,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,   510,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,    -1,    -1,    -1,    -1,    -1,
      -1,   547,   548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     556,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,   106,    -1,    -1,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,   166,    -1,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,   235,    -1,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,   493,
     494,   495,   496,   497,   498,   499,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,   510,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,    -1,    -1,    -1,
      -1,    -1,    -1,   547,   548,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   556,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,    -1,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,   235,    -1,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,   499,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,   510,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,    -1,
      -1,    -1,    -1,    -1,    -1,   547,   548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   556,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,   499,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   556,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,    -1,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,   235,    -1,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,   499,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,   510,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,    -1,    -1,    -1,    -1,    -1,    -1,   547,
     548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   556,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
     106,    -1,    -1,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,   235,
      -1,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,   510,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,    -1,    -1,    -1,    -1,    -1,
      -1,   547,   548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     556,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,   106,    -1,    -1,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,   166,    -1,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,   235,    -1,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,   510,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   547,   548,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   556,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,    -1,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,   235,    -1,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,   510,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   547,   548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   556,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      -1,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   556,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,    -1,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,   235,    -1,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,   510,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,
     548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   556,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    -1,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
     106,    -1,    -1,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,    -1,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,   235,
      -1,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,   510,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     556,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    -1,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,
      -1,    -1,   109,   110,    -1,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
      -1,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,    -1,   185,    -1,
     187,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,    -1,   234,   235,    -1,
     237,   238,   239,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,    -1,   501,   502,   503,   504,   505,   506,
     507,    -1,   509,   510,   511,   512,   513,   514,    -1,    -1,
     517,    -1,    -1,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   556,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    -1,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,    -1,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,   235,    -1,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,   510,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   556,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,
     109,   110,    -1,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,    -1,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,    -1,   187,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,    -1,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,    -1,   234,   235,    -1,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,    -1,
      -1,   350,   351,   352,    -1,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,   493,   494,   495,   496,   497,   498,
     499,    -1,   501,   502,   503,   504,   505,   506,   507,    -1,
     509,   510,   511,   512,   513,   514,    -1,    -1,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   556,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,    -1,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,    -1,   132,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
      -1,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,    -1,   185,    -1,
     187,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,   229,   230,    -1,   232,    -1,   234,   235,    -1,
     237,   238,   239,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,    -1,   349,   350,   351,   352,    -1,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,    -1,
      -1,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,    -1,   501,   502,   503,   504,   505,   506,
     507,    -1,   509,   510,   511,   512,   513,   514,    -1,    -1,
     517,    -1,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,    -1,    -1,   542,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   556,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,   132,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,    -1,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,   235,    -1,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,   349,   350,   351,   352,    -1,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,   510,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   556,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,    -1,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,    -1,   132,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,    -1,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,    -1,   185,    -1,   187,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
     229,   230,    -1,   232,    -1,   234,   235,    -1,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,    -1,
      -1,   350,   351,   352,    -1,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,    -1,    -1,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,    -1,   501,   502,   503,   504,   505,   506,   507,    -1,
     509,   510,   511,   512,   513,   514,    -1,    -1,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   556,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,   132,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   556,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
      -1,   132,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,    -1,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,    -1,   185,    -1,   187,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,   229,   230,
      -1,   232,    -1,   234,   235,    -1,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,    -1,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,    -1,    -1,   350,
     351,   352,    -1,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,    -1,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,    -1,    -1,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,    -1,
     501,   502,   503,   504,   505,   506,   507,    -1,   509,   510,
     511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   556,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,    -1,    -1,    -1,    -1,   171,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,   235,    -1,   237,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,   510,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   556,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,   107,    -1,   109,   110,    -1,   112,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,    -1,    -1,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,    -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,    -1,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,    -1,   185,    -1,   187,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,   229,   230,    -1,   232,
      -1,   234,    -1,    -1,   237,   238,   239,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,    -1,    -1,   350,   351,   352,
      -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,    -1,   429,   430,   431,   432,
     433,    -1,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,    -1,    -1,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,    -1,   501,   502,
     503,   504,   505,   506,   507,    -1,   509,    -1,   511,   512,
     513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,    -1,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   557,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,    -1,    -1,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,    -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,    -1,   157,   158,   159,   160,   161,   162,
      -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,    -1,   185,    -1,   187,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,   229,   230,    -1,   232,
      -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,    -1,    -1,   350,   351,   352,
      -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,    -1,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,    -1,    -1,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,    -1,   501,   502,
     503,   504,   505,   506,   507,    -1,   509,    -1,   511,   512,
     513,   514,    -1,    -1,   517,    -1,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,    -1,    -1,   542,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,   556,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,    -1,    -1,   542,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   556,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
      -1,    -1,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,    -1,
     165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
      -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,   357,    -1,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,    -1,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,   506,   507,    -1,   509,    -1,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
     555,   556,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     556,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,    -1,    -1,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,    -1,
     157,   158,   159,   160,   161,   162,    -1,    -1,   165,   166,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,    -1,   185,    -1,
     187,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,
      -1,   238,   239,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,
     357,    -1,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,    -1,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,    -1,   429,   430,   431,   432,   433,    -1,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,    -1,   465,    -1,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,    -1,
      -1,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,    -1,   501,   502,   503,   504,   505,   506,
     507,    -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,
     517,    -1,    -1,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   556,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   556,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,    -1,   112,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,    -1,    -1,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,    -1,    -1,    -1,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,    -1,   157,   158,
     159,   160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,    -1,   185,    -1,   187,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
     229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,    -1,
      -1,   350,   351,   352,    -1,    -1,   355,   356,   357,    -1,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,    -1,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,    -1,
     429,   430,   431,   432,   433,    -1,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,    -1,    -1,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,    -1,   501,   502,   503,   504,   505,   506,   507,    -1,
     509,    -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   556,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   556,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,    80,
      81,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,    -1,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,    -1,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   537,   538,   539,    -1,
      -1,    -1,   543,   544,   545,    -1,   547,   548,   549,   550,
     551,   552,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    -1,    -1,    80,    81,    -1,
      -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,   222,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,    -1,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   537,   538,   539,    -1,    -1,    -1,
     543,   544,   545,    -1,   547,   548,   549,   550,   551,   552,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,    -1,    -1,    -1,   543,   544,   545,
      -1,   547,   548,   549,   550,   551,   552,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,    -1,   112,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,    -1,    -1,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,    -1,    -1,    -1,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,    -1,   157,   158,
     159,   160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,    -1,   185,    -1,   187,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
     229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,    -1,
      -1,   350,   351,   352,    -1,    -1,   355,   356,   357,    -1,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,    -1,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,    -1,
     429,   430,   431,   432,   433,    -1,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,    -1,    -1,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,    -1,   501,   502,   503,   504,   505,   506,   507,    -1,
     509,    -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,    -1,    -1,    -1,   543,   544,   545,    -1,   547,   548,
     549,   550,   551,   552,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,    -1,    -1,
      -1,   543,   544,   545,    -1,   547,   548,   549,   550,   551,
     552,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
      -1,    -1,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,    -1,
     165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
      -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,   357,    -1,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,    -1,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,   506,   507,    -1,   509,    -1,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,    -1,    -1,    -1,   543,   544,
     545,    -1,   547,   548,   549,   550,   551,   552,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,    -1,    -1,    -1,   543,   544,   545,    -1,   547,
     548,   549,   550,   551,   552,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
      -1,   112,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
      -1,    -1,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,    -1,    -1,    -1,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,    -1,   157,   158,   159,   160,
     161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,    -1,   185,    -1,   187,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,   229,   230,
      -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,    -1,    -1,   350,
     351,   352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,    -1,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,    -1,   429,   430,
     431,   432,   433,    -1,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,    -1,    -1,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,    -1,   509,    -1,
     511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,    -1,
      -1,    -1,   543,   544,   545,    -1,   547,   548,   549,   550,
     551,   552,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,    -1,    -1,    -1,   543,
     544,   545,    -1,   547,   548,   549,   550,   551,   552,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,   549,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,    -1,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,    -1,    -1,    -1,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,    -1,   332,    -1,   334,   335,   336,   337,    -1,    -1,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,    -1,   375,    -1,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
      -1,   481,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,    -1,   507,   508,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   537,   538,   539,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,   549,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,   549,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,   549,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,   236,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   547,   548,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,    -1,   112,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,    -1,    -1,   133,   134,   135,   136,   137,    -1,
     139,   140,   141,   142,   143,    -1,    -1,    -1,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,    -1,   157,   158,
     159,   160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,    -1,   185,    -1,   187,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
     229,   230,    -1,   232,    -1,   234,    -1,   236,    -1,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,    -1,
      -1,   350,   351,   352,    -1,    -1,   355,   356,   357,    -1,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,    -1,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,    -1,
     429,   430,   431,   432,   433,    -1,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,    -1,    -1,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,    -1,   501,   502,   503,   504,   505,   506,   507,    -1,
     509,    -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
     236,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   547,   548,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,    -1,    -1,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,    -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,    -1,   157,   158,   159,   160,   161,   162,
      -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,    -1,   185,    -1,   187,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,   229,   230,    -1,   232,
      -1,   234,    -1,   236,    -1,   238,   239,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,    -1,    -1,   350,   351,   352,
      -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,    -1,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,    -1,   429,   430,   431,   432,
     433,    -1,   435,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,    -1,    -1,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,    -1,   501,   502,
     503,   504,   505,   506,   507,    -1,   509,    -1,   511,   512,
     513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   547,   548,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
      -1,    -1,    -1,    -1,     4,   545,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      75,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,   132,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,   506,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,   506,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,   506,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,    -1,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,    -1,    -1,    -1,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,    -1,   332,    -1,   334,   335,   336,   337,    -1,    -1,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,    -1,   375,    -1,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
      -1,   481,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,    -1,   507,   508,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   537,   538,   539,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,    -1,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,    -1,
      -1,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,    -1,   332,    -1,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,    -1,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,    -1,
     375,    -1,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,    -1,   481,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,    -1,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   537,   538,   539,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,    -1,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,    -1,    -1,    -1,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,    -1,   334,   335,   336,   337,    -1,    -1,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,    -1,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,    -1,   375,    -1,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
      -1,   481,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,    -1,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   537,   538,   539,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,    -1,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,    -1,
      -1,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,    -1,   334,
     335,   336,   337,    -1,    -1,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,    -1,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,    -1,
     375,    -1,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,    -1,   481,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,    -1,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   537,   538,   539,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,    -1,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,    -1,    -1,    -1,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,    -1,   332,    -1,   334,   335,   336,   337,    -1,    -1,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,    -1,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,    -1,   375,    -1,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
      -1,   481,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,    -1,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   537,   538,   539,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,    -1,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,    -1,
      -1,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,    -1,   332,    -1,   334,
     335,   336,   337,    -1,    -1,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,    -1,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,    -1,
     375,    -1,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,    -1,   481,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,    -1,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   537,   538,   539,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,    -1,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,    -1,    -1,    -1,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,    -1,   332,    -1,   334,   335,   336,   337,    -1,    -1,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,    -1,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,    -1,   375,    -1,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
      -1,   481,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,    -1,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   537,   538,   539,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,    -1,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,    -1,
      -1,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,    -1,   332,    -1,   334,
     335,   336,   337,    -1,    -1,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,    -1,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,    -1,
     375,    -1,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,    -1,   481,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,    -1,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   537,   538,   539,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,    -1,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,    -1,    -1,    -1,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,    -1,   332,    -1,   334,   335,   336,   337,    -1,    -1,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,    -1,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,    -1,   375,    -1,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
      -1,   481,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,    -1,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   537,   538,   539,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
     135,   136,   137,    -1,   139,   140,   141,   142,    -1,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,    -1,
      -1,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,    -1,   332,    -1,   334,
     335,   336,   337,    -1,    -1,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,    -1,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,    -1,
     375,    -1,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,    -1,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,    -1,   481,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,    -1,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   537,   538,   539,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,    -1,
      -1,   121,    -1,    -1,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,    -1,    -1,   137,    -1,   139,
     140,   141,   142,    -1,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,    -1,    -1,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,    -1,   225,    -1,   227,   228,    -1,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,    -1,    -1,    -1,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,    -1,    -1,    -1,    -1,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,   323,   324,   325,   326,   327,   328,   329,
      -1,    -1,   332,    -1,   334,   335,   336,   337,    -1,    -1,
     340,    -1,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,    -1,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,    -1,   375,    -1,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,    -1,   438,   439,
     440,   441,   442,    -1,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,    -1,    -1,    -1,    -1,   478,   479,
      -1,   481,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,    -1,    -1,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
      -1,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    -1,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,    -1,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,   493,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,   349,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,   349,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,   349,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    72,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,   107,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,   107,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,    -1,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,    -1,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,    -1,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,    -1,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,   107,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,    -1,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,    -1,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,    -1,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,    -1,
      -1,   147,   148,   149,   150,   151,    -1,   153,   154,    -1,
      -1,   157,   158,   159,   160,   161,   162,    -1,    -1,   165,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,    -1,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,    -1,
      -1,    -1,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,    -1,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,    -1,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,    -1,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
     112,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,    -1,
      -1,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,    -1,    -1,    -1,   147,   148,   149,   150,   151,
      -1,   153,   154,    -1,    -1,   157,   158,   159,   160,   161,
     162,    -1,    -1,   165,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,    -1,   185,    -1,   187,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,    -1,
     232,    -1,   234,    -1,    -1,    -1,   238,   239,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,    -1,    -1,   350,   351,
     352,    -1,    -1,   355,   356,   357,    -1,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
      -1,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,    -1,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,    -1,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,    -1,    -1,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,    -1,   509,    -1,   511,
     512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,   135,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,    -1,    -1,   147,
     148,   149,   150,   151,    -1,   153,   154,    -1,    -1,   157,
     158,   159,   160,   161,   162,    -1,    -1,   165,   166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,    -1,    -1,    -1,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
      -1,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,    -1,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,    -1,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,    -1,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
      -1,   509,    -1,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,    -1,    -1,   147,   148,   149,   150,   151,    -1,   153,
     154,    -1,    -1,   157,   158,   159,   160,   161,   162,    -1,
      -1,   165,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,    -1,    -1,    -1,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,    -1,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,    -1,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,    -1,   509,    -1,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,    -1,    -1,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,    -1,   157,   158,   159,
     160,   161,   162,    -1,    -1,   165,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,    -1,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,    -1,    -1,    -1,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,    -1,   248,    -1,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,    -1,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,    -1,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,    -1,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,   506,   507,    -1,   509,
      -1,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
       6,     7,    -1,     9,    10,    11,    -1,    -1,    -1,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    -1,    -1,    -1,    30,    31,    32,    33,    -1,    35,
      36,    37,    38,    39,    40,    41,    42,    -1,    -1,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    71,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     136,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,   145,
      -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,
      -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   218,    -1,    -1,    -1,    -1,   223,    -1,    -1,
      -1,    -1,    -1,   229,    -1,    -1,    -1,    -1,    -1,   235,
      -1,   237,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,   331,    -1,    -1,    -1,    -1,
     336,    -1,    -1,   339,    -1,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   357,   358,    -1,   360,   361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,
     376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,    -1,
      -1,    -1,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    -1,    -1,   440,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
      -1,    -1,    -1,    -1,   480,    -1,   482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,    -1,    -1,   510,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     6,     7,    -1,     9,    10,    11,    -1,    -1,    -1,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    -1,    -1,    -1,    30,    31,    32,    33,    -1,
      35,    36,    37,    38,    -1,    40,    41,    42,    -1,    -1,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    -1,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
     145,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   218,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,    -1,    -1,
     235,    -1,   237,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,   331,    -1,    -1,    -1,
      -1,   336,    -1,    -1,   339,    -1,   341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   357,   358,    -1,   360,   361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,
      -1,   376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,
      -1,    -1,    -1,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   437,    -1,    -1,   440,    -1,    -1,   443,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
     475,    -1,    -1,    -1,    -1,   480,    -1,   482,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   507,    -1,    -1,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     6,     7,    -1,     9,    10,    11,    -1,    -1,
      -1,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    -1,    -1,    -1,    30,    31,    32,    33,
      -1,    35,    36,    37,    38,    -1,    40,    41,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     164,    -1,    -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,    -1,   223,
      -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,    -1,
      -1,   235,    -1,   237,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,   331,    -1,    -1,
      -1,    -1,   336,    -1,    -1,   339,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,   358,    -1,   360,   361,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     374,    -1,   376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,
      -1,    -1,    -1,    -1,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   437,    -1,    -1,   440,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,   475,    -1,    -1,    -1,    -1,   480,    -1,   482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,    -1,    -1,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     6,     7,    -1,     9,    10,    11,    -1,
      -1,    -1,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    -1,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,   171,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,    -1,
     223,    -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,    -1,
      -1,    -1,   235,    -1,   237,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,
      -1,    -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,
     283,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,   331,    -1,
      -1,    -1,    -1,   336,    -1,    -1,   339,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,   358,    -1,   360,   361,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   374,    -1,   376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,
      -1,    -1,    -1,    -1,    -1,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   437,    -1,    -1,   440,    -1,    -1,
     443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,   475,    -1,    -1,    -1,    -1,   480,    -1,   482,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,    -1,    -1,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
      -1,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
      -1,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,    -1,   350,   351,   352,    -1,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,    -1,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    69,   538,   539,    -1,    73,    -1,    -1,    -1,
      -1,    -1,   547,   548,   549,    -1,    -1,    -1,    -1,    -1,
      -1,   556,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,   109,   110,    -1,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,    -1,    -1,   133,   134,    -1,   136,
     137,    -1,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,   150,   151,   152,   153,   154,    -1,    -1,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
      -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,    -1,   185,    -1,
     187,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,   229,   230,    -1,   232,    -1,   234,   235,    -1,
     237,   238,   239,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,   433,    -1,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,    -1,
      -1,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,    -1,   501,   502,   503,   504,   505,   506,
     507,    -1,   509,   510,   511,   512,   513,   514,    -1,    -1,
     517,    -1,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,   538,   539,    69,    70,   542,    -1,    73,    -1,    75,
      76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,   556,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,    -1,    -1,   133,   134,    -1,
     136,   137,    -1,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,    -1,
      -1,   157,   158,   159,   160,   161,   162,    -1,   164,   165,
     166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
      -1,   187,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,    -1,   234,   235,
      -1,   237,   238,   239,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,    -1,   350,   351,   352,    -1,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,   433,    -1,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,    -1,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,    -1,   501,   502,   503,   504,   505,
      -1,   507,    -1,   509,   510,   511,   512,   513,   514,    -1,
      -1,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    -1,   538,   539,    -1,    -1,    -1,    -1,    -1,    69,
      70,   547,   548,    73,    -1,    75,    76,    -1,    -1,    -1,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,    -1,    -1,   133,   134,    -1,   136,   137,    -1,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,    -1,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,
      -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,    -1,   187,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,    -1,   232,    -1,   234,   235,    -1,   237,   238,   239,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,    -1,
     350,   351,   352,    -1,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,   433,    -1,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,    -1,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,   504,   505,    -1,   507,    -1,   509,
     510,   511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    -1,   538,   539,
      -1,    -1,    -1,    -1,    -1,    69,    70,   547,   548,    73,
      -1,    75,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,    -1,    -1,   133,
     134,    -1,   136,   137,    -1,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,   150,   151,   152,   153,
     154,    -1,    -1,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,
      -1,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
      -1,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,    -1,
     234,   235,    -1,   237,   238,   239,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,    -1,   253,
     254,   255,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,    -1,   350,   351,   352,    -1,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,    -1,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,    -1,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,    -1,   501,   502,   503,
     504,   505,    -1,   507,    -1,   509,   510,   511,   512,   513,
     514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,    -1,   538,   539,    -1,    -1,    69,    70,
      -1,    -1,    73,   547,   548,    76,    -1,    -1,    -1,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
      -1,    -1,   133,   134,    -1,   136,   137,    -1,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,    -1,    -1,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,    -1,
     171,    -1,    -1,    -1,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,    -1,   187,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,    -1,   234,   235,    -1,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,    -1,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,    -1,   350,
     351,   352,    -1,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,   433,    -1,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,
     501,   502,   503,   504,   505,    -1,   507,    -1,   509,   510,
     511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,   538,   539,    -1,
      -1,    69,    70,    -1,    -1,    73,   547,   548,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,    -1,    -1,   133,   134,    -1,   136,   137,
      -1,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,   150,   151,   152,   153,   154,    -1,    -1,   157,
     158,   159,   160,   161,   162,    -1,   164,   165,   166,    -1,
      -1,    -1,    -1,   171,    -1,    -1,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,    -1,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,   229,   230,    -1,   232,    -1,   234,   235,    -1,   237,
     238,   239,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,    -1,   253,   254,   255,   256,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
      -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,    -1,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,   505,    -1,   507,
      -1,   509,   510,   511,   512,   513,   514,    -1,    -1,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,    -1,
     538,   539,    69,    70,    -1,    -1,    73,    -1,    -1,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,    -1,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,    -1,    -1,   133,   134,    -1,   136,
     137,    -1,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,   150,   151,   152,   153,   154,    -1,    -1,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
      -1,    -1,    -1,    -1,   171,    -1,    -1,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,    -1,   185,    -1,
     187,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,   229,   230,    -1,   232,    -1,   234,   235,    -1,
     237,   238,   239,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,    -1,
      -1,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,    -1,   501,   502,   503,   504,   505,    -1,
     507,    -1,   509,   510,   511,   512,   513,   514,    -1,    -1,
     517,    -1,    -1,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      69,   538,   539,    -1,    73,    -1,    -1,    76,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,    -1,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,    -1,    -1,   133,   134,    -1,   136,   137,    -1,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,    -1,    -1,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,    -1,    -1,
      -1,    -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,    -1,   185,    -1,   187,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,    -1,   234,   235,    -1,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
      -1,   350,   351,   352,    -1,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,    -1,
     429,   430,   431,   432,   433,    -1,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,    -1,   501,   502,   503,   504,   505,    -1,   507,    -1,
     509,   510,   511,   512,   513,   514,    -1,    -1,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,    69,   538,
     539,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
      -1,    -1,   133,   134,    -1,   136,   137,    -1,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,    -1,    -1,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,    -1,
     171,    -1,    -1,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,    -1,   185,    -1,   187,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,   229,   230,
      -1,   232,    -1,   234,   235,    -1,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,    -1,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,    -1,    -1,   350,
     351,   352,    -1,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,    -1,    -1,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,
     501,   502,   503,   504,   505,    -1,   507,    -1,   509,   510,
     511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    69,   538,   539,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,    -1,    -1,
     133,   134,    -1,   136,   137,    -1,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,   150,   151,   152,
     153,   154,    -1,    -1,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,   166,    -1,    -1,    -1,    -1,   171,    -1,
      -1,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,    -1,   185,    -1,   187,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,   229,   230,    -1,   232,
      -1,   234,   235,    -1,   237,   238,   239,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,    -1,    -1,   350,   351,   352,
      -1,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,    -1,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,    -1,    -1,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,    -1,   501,   502,
     503,   504,   505,    -1,   507,    -1,   509,   510,   511,   512,
     513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    69,   538,   539,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
      -1,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
      -1,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,    -1,   501,   502,   503,   504,
     505,    -1,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    69,   538,   539,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,    -1,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,    -1,    -1,   133,   134,    -1,   136,
     137,    -1,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,   150,   151,   152,   153,   154,    -1,    -1,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
      -1,    -1,    -1,    -1,   171,    -1,    -1,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,    -1,   185,    -1,
     187,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,   229,   230,    -1,   232,    -1,   234,   235,    -1,
     237,   238,   239,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,    -1,
      -1,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,    -1,   501,   502,   503,   504,   505,    -1,
     507,    -1,   509,   510,   511,   512,   513,   514,    -1,    -1,
     517,    -1,    -1,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      69,   538,   539,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,    -1,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,    -1,    -1,   133,   134,    -1,   136,   137,    -1,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,    -1,    -1,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,    -1,    -1,
      -1,    -1,   171,    -1,    -1,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,    -1,   185,    -1,   187,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
     229,   230,    -1,   232,    -1,   234,   235,    -1,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,    -1,
      -1,   350,   351,   352,    -1,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,    -1,    -1,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,    -1,   501,   502,   503,   504,   505,    -1,   507,    -1,
     509,   510,   511,   512,   513,   514,    -1,    -1,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,    69,   538,
     539,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
      -1,    -1,   133,   134,    -1,   136,   137,    -1,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,    -1,    -1,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,    -1,
     171,    -1,    -1,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,    -1,   185,    -1,   187,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,   229,   230,
      -1,   232,    -1,   234,   235,    -1,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,    -1,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,    -1,    -1,   350,
     351,   352,    -1,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,    -1,    -1,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,
     501,   502,   503,   504,   505,    -1,   507,    -1,   509,   510,
     511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    69,   538,   539,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,    -1,    -1,
     133,   134,    -1,   136,   137,    -1,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,   150,   151,   152,
     153,   154,    -1,    -1,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,   166,    -1,    -1,    -1,    -1,   171,    -1,
      -1,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,    -1,   185,    -1,   187,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,   229,   230,    -1,   232,
      -1,   234,   235,    -1,   237,   238,   239,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,    -1,    -1,   350,   351,   352,
      -1,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,    -1,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,    -1,    -1,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,    -1,   501,   502,
     503,   504,   505,    -1,   507,    -1,   509,   510,   511,   512,
     513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    69,   538,   539,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
      -1,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
      -1,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,    -1,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    69,   538,   539,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,    -1,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,    -1,    -1,   133,   134,    -1,   136,
     137,    -1,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,   150,   151,   152,   153,   154,    -1,    -1,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
      -1,    -1,    -1,    -1,   171,    -1,    -1,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,    -1,   185,    -1,
     187,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,   229,   230,    -1,   232,    -1,   234,   235,    -1,
     237,   238,   239,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,    -1,    -1,   350,   351,   352,    -1,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,    -1,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,    -1,
      -1,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,    -1,   501,   502,   503,   504,   505,    -1,
     507,    -1,   509,   510,   511,   512,   513,   514,    -1,    -1,
     517,    -1,    -1,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      69,   538,   539,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
     109,   110,    -1,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,    -1,    -1,   133,   134,    -1,   136,   137,    -1,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,    -1,    -1,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,    -1,    -1,
      -1,    -1,   171,    -1,    -1,    -1,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,    -1,   185,    -1,   187,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
     229,   230,    -1,   232,    -1,   234,   235,    -1,   237,   238,
     239,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,    -1,
      -1,   350,   351,   352,    -1,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,    -1,
     429,   430,   431,   432,   433,    -1,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,    -1,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,    -1,    -1,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,    -1,   501,   502,   503,   504,   505,    -1,   507,    -1,
     509,   510,   511,   512,   513,   514,    -1,    -1,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,    69,   538,
     539,    -1,    73,    -1,    -1,    76,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
      -1,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
      -1,    -1,   133,   134,    -1,   136,   137,    -1,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,    -1,    -1,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,    -1,    -1,    -1,    -1,
     171,    -1,    -1,    -1,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,    -1,   187,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,   229,   230,
      -1,   232,    -1,   234,   235,    -1,   237,   238,   239,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,    -1,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,    -1,    -1,   350,
     351,   352,    -1,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,   433,    -1,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
      -1,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,    -1,    -1,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,
     501,   502,   503,   504,   505,    -1,   507,    -1,   509,   510,
     511,   512,   513,   514,    -1,    -1,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    69,   538,   539,    -1,
      73,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,    -1,    -1,
     133,   134,    -1,   136,   137,    -1,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,   150,   151,   152,
     153,   154,    -1,    -1,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,   166,    -1,    -1,    -1,    -1,   171,    -1,
      -1,    -1,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,    -1,   185,    -1,   187,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,   229,   230,    -1,   232,
      -1,   234,   235,    -1,   237,   238,   239,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,    -1,    -1,   350,   351,   352,
      -1,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,    -1,   429,   430,   431,   432,
     433,    -1,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,    -1,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,    -1,    -1,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,    -1,   501,   502,
     503,   504,   505,    -1,   507,    -1,   509,   510,   511,   512,
     513,   514,    -1,    -1,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    69,   538,   539,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,    -1,    -1,   133,   134,
      -1,   136,   137,    -1,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
      -1,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,   166,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,    -1,
     185,    -1,   187,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,   229,   230,    -1,   232,    -1,   234,
     235,    -1,   237,   238,   239,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,    -1,    -1,   350,   351,   352,    -1,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,    -1,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,    -1,    -1,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,    -1,   501,   502,   503,   504,
     505,    -1,   507,    -1,   509,   510,   511,   512,   513,   514,
      -1,    -1,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    -1,   538,   539
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   565,  1222,     0,     5,    24,    34,    35,    39,    41,
      42,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    71,    73,    75,    76,
      81,   135,   210,   229,   252,   276,   313,   316,   338,   426,
     476,   492,   507,   537,   545,   547,   548,   549,   550,   551,
     554,   555,   556,   557,   559,   560,   561,   562,   563,  1212,
    1223,  1252,  1254,  1345,  1355,  1356,  1358,  1364,  1365,  1253,
       3,     6,     7,     8,     9,    10,    11,    12,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    25,    26,
      27,    30,    31,    32,    33,    35,    36,    37,    38,    40,
      41,    42,    43,    44,    48,    49,    54,    63,    65,    67,
      68,    90,   100,   102,   103,   112,   115,   118,   119,   120,
     121,   122,   123,   127,   136,   139,   141,   142,   143,   145,
     148,   150,   152,   161,   163,   164,   171,   178,   180,   181,
     182,   183,   197,   199,   203,   209,   210,   217,   218,   219,
     223,   226,   229,   235,   237,   242,   244,   246,   255,   259,
     270,   271,   277,   279,   282,   283,   285,   294,   295,   297,
     299,   300,   305,   317,   320,   321,   322,   330,   331,   335,
     336,   339,   341,   357,   358,   360,   361,   374,   376,   378,
     391,   392,   398,   399,   401,   406,   411,   412,   414,   418,
     421,   427,   428,   435,   437,   439,   440,   443,   449,   459,
     464,   466,   474,   475,   480,   482,   484,   486,   492,   495,
     501,   506,   507,   510,   519,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   542,   556,   566,   567,
     568,   574,   575,   577,   578,   579,   580,   582,   586,   598,
     603,   604,   607,   608,   609,   628,   631,   632,   647,   691,
     692,   695,   698,   699,   700,   708,   715,   717,   718,   721,
     724,   725,   729,   738,   742,   743,   744,   747,   749,   750,
     751,   752,   760,   762,   782,   786,   788,   789,   799,   801,
     808,   809,   812,   813,   814,   815,   816,   825,   827,   829,
     832,   836,   837,   845,   846,   849,   854,   868,   895,   898,
     899,   900,   905,   908,   910,   912,   914,   915,   920,   921,
     924,   926,   927,   931,   932,   933,   936,   937,   940,   941,
     942,   949,   951,   952,   953,   959,   961,   962,   968,   969,
     970,   973,   974,   975,   976,   978,   979,   981,   982,   984,
     985,   987,   999,  1005,  1008,  1010,  1019,  1021,  1026,  1031,
    1035,  1036,  1037,  1038,  1039,  1040,  1044,  1079,  1219,  1220,
    1224,  1227,  1228,  1245,  1246,  1247,  1248,  1259,  1261,  1265,
    1266,  1267,  1268,  1269,  1271,  1273,  1275,  1276,  1277,  1278,
    1280,  1285,  1286,  1290,  1291,  1300,  1302,  1303,  1304,  1307,
    1312,  1315,  1320,  1322,  1323,  1326,  1328,  1331,  1340,  1358,
    1366,    71,  1248,  1256,  1257,    13,    70,    90,    91,    92,
      93,    94,    95,    96,    97,    99,   100,   101,   109,   110,
     112,   113,   114,   116,   117,   118,   125,   126,   127,   128,
     129,   130,   133,   134,   137,   139,   140,   141,   142,   147,
     148,   149,   150,   151,   153,   154,   157,   158,   159,   160,
     161,   162,   165,   166,   174,   175,   176,   177,   178,   180,
     183,   185,   187,   188,   189,   190,   191,   192,   194,   195,
     196,   197,   200,   201,   202,   203,   204,   206,   207,   208,
     210,   211,   212,   214,   215,   216,   217,   219,   220,   221,
     222,   225,   227,   228,   230,   232,   234,   238,   239,   240,
     241,   243,   247,   248,   250,   251,   253,   254,   256,   257,
     258,   259,   261,   262,   263,   264,   265,   266,   267,   269,
     273,   274,   275,   281,   284,   286,   287,   288,   289,   290,
     293,   296,   299,   300,   301,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   314,   315,   317,   318,   319,   323,
     324,   325,   326,   327,   328,   329,   332,   334,   335,   337,
     340,   342,   343,   344,   346,   347,   350,   351,   352,   355,
     356,   359,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   372,   373,   375,   377,   378,   379,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   392,   393,   394,
     395,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   410,   411,   413,   414,   415,   416,   417,
     419,   420,   421,   422,   423,   424,   425,   427,   429,   430,
     431,   432,   433,   434,   435,   436,   438,   439,   441,   442,
     444,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   460,   462,   463,   465,   467,   468,
     469,   470,   471,   473,   476,   478,   479,   481,   484,   485,
     486,   487,   488,   489,   490,   491,   494,   495,   496,   497,
     498,   501,   502,   503,   504,   505,   509,   511,   512,   513,
     514,   517,   520,   521,   522,   523,   524,   525,   538,   539,
    1214,  1215,  1217,  1218,  1219,  1220,  1238,  1239,  1350,  1352,
    1356,  1358,    28,   272,  1301,     8,    12,    14,    27,    43,
      44,    48,    49,    54,    63,    65,    67,    68,    98,   135,
     155,   167,   179,   184,   252,   313,   316,   426,   506,   537,
    1207,  1218,  1219,  1240,  1287,  1288,  1330,  1331,  1332,  1336,
    1341,  1342,  1343,  1352,  1358,    98,  1032,  1207,  1240,  1349,
      13,  1032,     5,    24,    28,    34,    35,    41,    42,    98,
     102,   103,   104,   105,   106,   107,   108,   111,   124,   131,
     132,   135,   138,   144,   146,   155,   156,   163,   167,   168,
     169,   170,   172,   173,   174,   184,   186,   193,   198,   199,
     205,   209,   213,   224,   226,   231,   233,   236,   242,   245,
     249,   260,   268,   272,   276,   278,   280,   291,   292,   298,
     302,   303,   333,   338,   345,   348,   349,   353,   354,   371,
     380,   396,   409,   428,   434,   445,   461,   464,   472,   476,
     477,   483,   492,   493,   499,   500,   506,   508,   515,   516,
     518,   519,  1218,  1221,  1332,  1333,  1334,  1338,  1339,  1340,
    1341,  1343,    24,    34,   135,   276,  1327,    36,    38,   333,
    1260,   478,   522,   954,    97,   145,   160,   178,   184,   201,
     212,   221,   233,   238,   245,   264,   289,   310,   350,   373,
     383,   384,   387,   413,   416,   420,   422,   429,   432,   451,
     458,   463,   464,   467,   471,   481,   486,   499,   512,   714,
    1288,   183,   954,  1138,  1210,  1220,  1330,  1333,  1336,  1337,
    1341,  1342,  1358,    98,  1032,   510,   992,   348,   379,   954,
     121,   556,   639,    92,   109,   132,   145,   156,   178,   184,
     201,   212,   221,   233,   241,   245,   301,   350,   353,   373,
     387,   413,   422,   432,   451,   458,   467,   468,   470,   471,
     481,   486,   493,   496,   499,   648,   697,   804,   855,   869,
    1207,  1229,  1230,  1231,  1240,  1356,  1358,    13,    98,   378,
    1207,  1240,  1244,   450,  1032,    98,   372,   430,   468,   470,
     288,   906,   907,  1356,    92,    97,   132,   145,   160,   178,
     201,   212,   221,   233,   238,   245,   264,   310,   350,   363,
     373,   384,   387,   413,   416,   420,   422,   429,   432,   451,
     458,   464,   467,   471,   479,   481,   486,   499,   512,   714,
     817,   819,   820,   954,   562,  1270,  1334,   256,  1244,   163,
     183,   217,   510,   556,   695,   698,   987,  1000,  1008,  1010,
    1019,  1026,  1031,  1035,  1224,    91,    98,   116,   228,   234,
     236,   260,   290,   324,   381,   400,   547,   548,   833,   834,
    1032,  1212,  1213,  1350,  1352,    98,   163,   396,   428,   838,
     839,   840,  1336,   233,  1336,  1209,  1356,   464,  1047,   116,
     234,   833,  1336,   478,  1244,   363,   310,   178,   264,   422,
     463,   464,   556,   916,   917,   421,  1336,    98,   135,   433,
     474,   478,   506,   590,   599,   600,  1218,  1219,  1330,  1335,
    1341,  1343,  1358,    95,   242,   838,   839,   379,   954,  1336,
     287,    98,   198,  1049,  1050,     4,    13,   133,   155,   157,
     301,   319,   413,   422,   433,   474,   478,   525,   587,   588,
     589,   590,    98,   433,   474,   478,   590,   478,   349,  1090,
    1205,  1336,  1047,  1324,  1334,   549,  1336,   237,   556,   993,
     556,   394,  1041,  1042,  1207,  1041,  1036,  1037,  1040,   560,
     556,   992,   213,   278,   354,   492,  1051,  1052,  1036,  1038,
    1039,   189,   274,   498,   559,   118,   566,  1268,  1271,  1267,
    1263,   560,  1272,  1274,     5,    24,    34,   135,   202,   276,
    1279,   179,   252,   313,   316,   426,   537,   556,  1133,  1134,
    1251,  1255,  1345,    71,  1248,  1207,  1240,  1359,   184,  1229,
      20,   500,   550,  1244,  1244,  1359,   500,  1292,  1293,  1294,
      24,   276,   276,  1338,    18,    19,    37,    40,   127,   159,
     199,  1329,  1329,    15,  1268,   104,   958,   885,  1210,   822,
    1336,   822,  1207,   382,   822,   481,  1207,   177,   464,   873,
    1210,  1220,  1336,  1214,  1215,    98,   254,  1205,   342,   512,
      80,    87,    88,    89,   140,   225,   543,   544,   545,   547,
     548,   549,   550,   551,   552,   902,   904,  1168,  1169,  1336,
     254,  1207,   873,  1207,    98,  1214,  1215,   873,  1207,  1207,
     254,  1205,  1207,   254,   822,  1207,   406,   435,    98,   254,
    1090,  1207,   425,  1207,   822,    98,   308,  1214,  1215,   254,
    1205,   288,    33,   186,   284,   333,   390,   955,   956,   957,
     556,   554,   558,  1196,  1198,  1205,  1207,  1336,    97,   132,
     146,   156,   178,   201,   238,   264,   289,   350,   384,   413,
     416,   458,   467,   479,   486,   817,   818,   819,   820,  1356,
     958,  1007,  1010,  1019,  1026,  1035,  1205,   312,   822,   556,
     254,   822,   481,  1207,   822,   481,   254,  1207,   177,   464,
     468,   470,  1214,   468,   470,   140,   225,   902,   404,  1207,
    1207,  1214,   254,   583,  1336,   254,  1207,   254,   822,  1207,
    1207,   425,  1207,   822,   308,  1214,   394,   429,   464,   512,
     310,   160,   264,    97,   238,   384,   420,   479,   485,   709,
      80,  1232,  1233,   561,  1352,  1359,    98,  1244,  1358,  1033,
     597,  1217,  1356,   907,   312,   254,   885,   886,   254,   911,
     254,  1207,   120,   122,   123,   135,   136,   181,   182,   202,
     229,   254,   276,   277,   279,   320,   322,   341,   391,   437,
     443,   474,   475,   507,   824,  1112,  1114,  1116,  1118,  1120,
    1122,  1123,  1124,  1126,  1127,  1128,  1130,  1131,  1330,  1337,
    1341,  1342,  1358,   481,   177,   464,   254,   872,   873,   254,
    1215,  1216,   152,   512,   140,   225,   254,   903,   904,   125,
     254,   872,   254,  1216,   254,   872,   254,  1207,   254,  1207,
     425,   911,   254,   824,   254,   308,  1216,   288,   254,   821,
     822,   254,  1206,  1207,   254,  1207,   958,   556,   562,  1360,
    1361,  1362,  1363,  1365,  1270,    69,  1240,  1289,   556,  1009,
     648,  1032,  1000,   987,  1001,  1002,  1003,  1217,   992,  1213,
     834,   835,    98,   834,  1032,  1213,   835,    98,   834,  1032,
    1213,   835,   835,   835,  1213,  1212,  1212,   280,   500,  1294,
    1295,  1369,  1371,  1032,   835,   382,   556,   556,   668,   668,
     668,   348,   476,   559,   668,   422,  1090,  1091,   834,  1032,
     834,  1032,   559,   950,  1356,   236,   556,  1006,   125,   512,
     510,   918,   919,   152,   856,   856,  1336,   115,   539,   284,
     558,   351,   351,   348,   236,  1356,   476,   958,   231,   830,
     348,    78,    79,    80,    82,   106,   120,   122,   123,   131,
     132,   135,   136,   143,   145,   168,   169,   170,   171,   172,
     173,   174,   181,   182,   184,   218,   223,   224,   229,   244,
     246,   277,   279,   294,   302,   303,   320,   322,   331,   333,
     338,   339,   341,   350,   361,   374,   391,   418,   434,   443,
     459,   474,   475,   480,   482,   483,   493,   499,   507,   527,
     528,   529,   530,   532,   533,   534,   535,   540,   547,   548,
     549,   556,  1036,  1115,  1118,  1121,  1122,  1123,  1125,  1126,
    1127,  1130,  1131,  1135,  1137,  1138,  1139,  1141,  1164,  1165,
    1166,  1170,  1190,  1195,  1202,  1203,  1210,  1211,  1212,  1336,
    1348,  1350,  1352,  1353,  1354,  1355,  1356,  1201,  1202,   476,
     545,  1359,  1356,   476,   545,  1288,    98,   605,  1204,  1205,
     433,   587,   184,   596,  1356,   597,  1356,   115,   137,   587,
     539,   444,   956,   351,   236,   476,   545,   115,   539,   284,
    1369,   957,   556,  1205,   549,  1198,  1091,  1340,   986,   987,
     988,   989,  1217,   235,   994,  1135,  1173,  1041,   559,   556,
     995,   557,   557,   986,   996,   997,   998,  1205,    98,   198,
    1048,  1048,   125,  1048,   226,   231,   298,   345,  1055,  1057,
    1058,  1073,  1075,  1076,  1077,  1051,  1052,   236,   280,  1090,
    1092,   556,   560,  1262,   549,  1281,  1282,  1284,   562,   562,
      24,   276,   276,   476,   476,   476,   476,   556,   476,   547,
     548,   706,  1213,  1249,  1355,   209,   107,  1236,   125,  1239,
    1239,   280,  1294,  1296,   280,  1294,  1295,  1296,   505,  1305,
    1306,  1352,    13,    79,   446,   547,   548,  1212,  1297,  1298,
    1299,  1348,  1350,  1354,  1355,  1356,  1357,   276,   282,   476,
    1207,  1207,     6,   159,  1207,  1329,  1284,   134,   329,   364,
     402,   435,   556,   883,   364,   398,   402,   435,   558,   823,
     364,   402,   435,   155,   207,   304,   364,   402,   435,   467,
     469,   519,   598,   601,   963,   964,   965,   966,  1358,   850,
      94,   203,   364,   402,   435,   503,   614,  1207,    94,   203,
     435,   498,   581,   523,   254,  1090,   128,   162,   222,   257,
     293,   329,   333,   364,   365,   402,   410,   419,   427,   435,
     447,   456,   460,   514,   598,   602,   888,   896,   925,   556,
     870,  1198,   402,   581,   260,   218,    94,   100,   113,   142,
     196,   203,   206,   232,   266,   329,   333,   343,   352,   364,
     402,   405,   406,   435,   503,   610,   612,   613,   732,   925,
     706,    98,   254,  1205,   822,   822,   556,   901,   364,   435,
     558,   218,   348,   364,   402,   435,   896,   925,    94,   203,
     364,   402,   435,   260,   576,   402,   519,   542,   569,   576,
     364,   402,   435,   896,   925,   348,   364,   402,   218,   107,
     126,   176,   263,   311,   314,   329,   363,   402,   407,   429,
     435,   449,   610,   703,   704,   364,   402,   511,   732,   740,
     218,   364,   402,   435,   155,   196,   206,   364,   398,   402,
     435,   600,   588,   590,   260,   218,   113,   194,   329,   402,
     435,   610,   611,   364,   402,   406,   435,   153,   195,   366,
     469,   348,    94,   100,   203,   364,   402,   435,   629,   630,
     576,   231,   402,   569,   576,   218,   402,   435,   610,  1207,
     560,   296,   186,   349,   524,   559,   955,    98,   198,   508,
     549,   557,   878,  1135,  1174,  1175,  1337,  1135,  1197,   549,
    1208,  1338,  1196,   500,   983,   348,   885,   556,   822,  1207,
    1112,   873,   342,   140,   225,   904,   873,   873,   231,  1112,
     822,  1207,  1207,   557,   668,  1207,   138,  1112,   333,   236,
     556,   790,  1207,   569,   107,   977,  1207,   333,   569,   523,
     254,  1205,   569,   822,   822,   790,   496,   648,   348,   231,
     934,   935,   569,   333,   115,   584,   333,   486,   739,   333,
     995,   155,   364,   716,   153,   195,   366,   469,    96,   117,
     275,   763,   107,   790,   231,   254,   569,   512,   254,  1205,
     254,   693,  1205,  1205,   512,   822,   856,  1210,  1210,  1210,
    1207,   231,   714,    72,  1234,  1336,   561,  1235,  1232,   121,
     175,   273,   329,   424,   218,   129,   408,   559,   615,   218,
     556,   218,   569,   509,  1129,  1129,  1129,   556,  1117,  1117,
     376,   556,  1119,   218,   135,   136,  1129,  1117,  1114,   521,
     542,   556,  1132,   556,  1132,   559,   615,   106,  1113,   556,
     179,   316,   537,   556,  1133,   823,  1117,   523,   218,   559,
     615,   218,   559,   254,   821,   254,   822,   254,   822,   218,
     559,   615,  1216,   218,   615,   218,   218,   615,   218,   615,
     218,   153,   195,   366,   469,   231,   218,   615,   218,   231,
     254,   218,   559,   615,   218,   559,   615,   218,   348,   557,
    1361,  1362,  1360,   559,   563,  1173,  1293,  1368,  1369,   464,
    1033,   557,   559,   224,   348,   483,   594,   597,   706,  1004,
    1000,   835,  1032,   835,  1032,  1371,  1372,   835,  1032,   835,
    1032,  1372,   835,  1032,  1032,  1032,   835,    13,   446,  1344,
    1347,  1352,  1032,   556,   669,   670,  1336,   669,    98,   178,
     201,   233,   238,   288,   289,   384,   416,   422,   429,   464,
     467,   486,   841,  1204,  1216,   840,  1207,   260,   559,  1022,
    1032,  1032,  1356,  1289,  1112,  1176,   107,  1216,   856,   557,
     559,  1205,  1207,   296,  1336,   231,   231,   841,  1216,   421,
    1336,   597,   348,   556,   554,  1036,  1177,  1135,  1194,   556,
     556,   231,   556,   556,  1036,   556,   556,   556,   556,   556,
     556,   556,  1135,   556,   556,   556,   556,   556,   556,   556,
     556,  1036,   556,   556,   556,   556,   556,   556,   556,   556,
    1135,  1135,  1135,   506,  1036,  1135,  1173,  1198,  1356,   556,
    1356,    80,    83,    87,    88,    89,   104,   107,   112,   119,
     144,   255,   260,   282,   283,   297,   336,   350,   353,   440,
     540,   543,   544,   545,   547,   548,   549,   550,   551,   552,
    1168,  1170,  1172,  1358,   520,  1151,   360,  1135,   280,   559,
    1045,  1369,   556,  1356,  1198,    21,  1351,  1352,  1199,  1045,
     344,   348,  1321,  1321,     9,   505,  1308,  1309,  1311,  1288,
    1288,   187,   256,   606,   559,   137,   184,   597,   107,   184,
     301,   595,   706,  1131,  1356,  1358,  1356,   158,   200,  1147,
     167,   184,   591,   592,   594,   706,   184,   591,  1369,  1369,
     296,  1205,   159,   407,   826,   282,   557,   559,   594,   706,
     990,   992,   557,   559,  1042,  1206,   107,   557,   559,   995,
    1038,  1038,  1053,  1054,  1135,  1038,   228,   324,  1064,   286,
     329,   390,   438,   498,    98,  1059,  1135,   547,   548,  1060,
    1061,  1135,  1137,  1073,  1074,  1058,  1057,  1055,  1056,   231,
    1076,   343,  1078,  1055,  1073,  1092,  1011,  1205,   107,  1336,
     435,  1173,  1281,   549,   559,   560,  1339,  1258,  1261,  1258,
     276,   179,   252,   313,  1134,   313,  1134,  1134,   316,  1212,
     313,   316,   426,  1355,  1355,   559,  1250,   183,  1288,   499,
    1237,  1239,  1207,   446,  1212,  1310,  1352,   559,   545,  1207,
      13,  1212,  1355,  1212,  1355,   559,  1268,  1207,   556,   556,
    1340,   134,   476,   476,   422,   260,   271,   354,   357,   437,
     508,   549,   876,   877,   878,   880,   882,   884,  1112,  1337,
     476,   511,   476,   422,  1208,   558,   476,   476,   422,   298,
     476,   476,   467,   587,   364,   963,   965,   545,   967,   231,
     242,   260,   411,   851,   852,   138,   156,   214,   233,   380,
     493,   665,   666,   156,   184,   333,   476,   156,   476,   184,
     333,   422,   156,   196,   206,   364,   402,   787,   422,   722,
      97,   132,   201,   238,   350,   384,   416,   479,   486,   817,
     818,  1207,   218,   402,   435,   610,   348,   706,   427,   293,
     476,  1336,   476,   338,   706,   188,   281,   422,   433,   478,
     589,   822,   408,   435,   888,   897,   192,   557,   871,   876,
     476,   499,   467,  1205,   146,   214,   254,   655,   665,  1336,
     146,   156,   922,   368,   348,   418,   420,   481,   156,   922,
     101,   405,   418,   420,   481,   418,  1205,   232,   266,   343,
     822,   556,   476,   476,   253,   556,   619,   307,   467,   496,
     521,   619,   156,   559,   192,   364,   260,   218,   402,   435,
     610,   925,   500,   500,   330,  1112,   476,   422,   556,   902,
    1207,  1205,   476,   476,   422,   897,   192,   464,   464,   476,
     476,   464,   790,   178,   435,   601,   476,   571,   601,   476,
     476,   422,   897,   192,  1205,   476,   476,  1205,  1114,   706,
     125,   705,   706,   706,   176,   311,   314,   125,   476,   569,
     318,   422,   569,   329,   704,   476,   476,   338,  1356,   732,
     822,   476,   476,   422,   451,  1356,   476,   387,   476,   387,
     790,   467,  1090,   368,   368,   156,   476,   922,   422,   476,
     476,   619,   619,   822,   822,   822,   822,  1205,   114,   505,
     114,   114,   476,   114,   476,   505,   422,   556,   559,   601,
     499,   748,  1215,   476,   571,   601,  1205,   476,   922,   422,
     364,   402,   390,   403,   431,   593,   955,  1174,  1174,  1175,
     557,    85,    86,   559,  1051,  1052,   555,   561,  1207,  1205,
     282,  1112,   282,   348,   282,   282,   706,   822,   822,   282,
     282,   282,  1112,   282,   282,   282,   348,   476,   236,   476,
     633,   486,   556,   107,   218,   822,   791,   792,  1338,    96,
     963,  1112,   348,   218,   719,  1207,   333,   368,   556,   570,
     804,   500,   394,   512,  1205,    98,   464,   519,   892,   570,
     218,  1215,   163,   242,   585,   647,   699,   762,   836,   854,
     959,   218,  1356,   740,   741,   218,   348,  1356,  1215,   304,
     822,   822,   822,   822,   343,   189,   274,   484,   498,   764,
     765,   210,   389,   556,   748,   333,   570,  1205,   333,   701,
     703,   333,   107,   343,   368,   556,   668,   668,   254,   696,
    1205,   231,   254,   857,  1207,   556,   794,   883,   556,   874,
     874,   107,  1112,   288,   558,  1212,  1235,   519,   521,  1034,
     424,   886,   885,  1112,  1207,   556,   556,  1173,  1212,   824,
    1129,  1129,   106,  1113,   474,   474,  1212,  1212,  1112,   554,
     554,  1212,   476,   476,  1212,  1117,   872,   873,  1216,  1215,
     218,   615,   218,   500,   218,   500,   903,   904,   615,   872,
    1216,   872,  1207,  1207,  1112,   824,  1216,   748,   218,   821,
     822,  1206,  1207,  1207,   822,   557,   563,  1363,   557,  1369,
    1370,  1293,   254,  1205,   175,  1000,  1002,  1032,  1032,  1372,
    1032,  1032,  1372,  1032,  1032,  1207,    13,   559,  1351,   669,
     557,   559,   557,   239,   385,   417,   430,   465,  1206,   821,
     177,   432,   872,  1206,   342,   872,   872,  1206,  1204,  1204,
    1206,   821,   476,   519,   847,   213,   298,   745,   746,    92,
     216,   418,   438,  1023,  1090,   337,  1024,   557,   559,  1007,
     476,  1205,   916,   917,   919,   839,   838,   839,   236,   243,
     848,  1336,    97,   146,   201,   238,   289,   384,   416,   486,
     817,   818,  1173,   555,  1173,  1177,  1178,   515,  1191,  1192,
    1135,  1173,   556,  1212,  1212,   179,   252,   313,   316,   426,
     537,  1179,  1180,  1356,  1358,  1173,  1173,  1173,  1212,  1212,
    1135,  1135,   902,  1135,  1182,   418,   547,   548,   556,  1136,
    1137,  1170,  1184,   557,  1173,  1135,  1173,  1185,  1135,   124,
     236,   292,   477,  1135,  1173,  1188,  1173,   318,  1137,  1135,
    1145,  1146,  1147,   318,  1135,  1147,   557,   559,  1212,  1133,
    1112,  1135,  1135,  1135,  1135,  1338,   474,   111,   461,  1200,
     822,  1135,   556,  1036,  1189,   198,   200,   224,   325,   326,
     327,   328,   332,   333,   338,   343,   483,   494,  1181,  1135,
     556,  1135,   476,   119,   255,   260,   297,   440,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,    98,   105,
     445,  1167,   245,   227,  1152,   418,   556,  1164,   241,   301,
     464,   468,   470,   496,  1046,  1205,  1203,   236,  1080,  1174,
    1207,  1352,  1196,  1080,  1310,   559,   545,  1205,   478,   556,
    1356,   559,  1369,   557,   253,   253,   615,  1268,   998,   988,
     987,   991,  1135,   557,   310,   333,  1043,   998,   996,   559,
     108,   193,   500,   866,   418,   419,   547,   548,  1061,  1063,
    1137,   438,   286,   349,   559,  1062,  1212,  1355,  1062,   418,
     419,  1063,  1204,   337,   442,  1025,  1074,  1056,   500,  1020,
     184,   362,   556,  1012,  1035,   107,  1336,   556,  1027,  1028,
    1029,  1336,   557,   560,  1282,  1113,   563,  1261,   563,   557,
     706,   557,    33,  1238,  1313,  1314,  1352,  1306,  1311,  1359,
    1297,  1113,  1346,  1362,  1346,  1113,  1215,  1207,  1207,   357,
     125,  1337,   557,   878,   880,   877,   880,  1337,   354,   557,
     559,   823,  1215,  1207,  1207,  1208,  1215,  1207,  1207,  1215,
    1207,  1207,   184,   594,  1213,   413,   499,   838,   422,   242,
     838,   556,  1207,   500,   858,   286,   286,   500,   556,   690,
     254,  1207,   338,  1215,  1207,  1207,  1135,   338,  1207,  1207,
     101,   405,   476,   476,  1207,   476,   723,   885,   556,  1112,
     873,   140,   225,   904,   873,   873,   231,  1112,   822,  1207,
     248,   329,   364,   402,   504,   726,   727,   728,  1090,   476,
     922,   422,   338,   188,   281,  1215,  1207,   348,  1207,   348,
     557,   559,  1214,  1216,  1207,   402,   610,   254,   655,   333,
    1112,  1207,  1212,  1336,  1205,  1207,   296,  1207,    98,   499,
    1207,   254,  1207,   254,  1336,   420,   481,   420,   481,   296,
    1207,    98,   499,  1207,   296,   418,  1205,    94,   203,   435,
     733,   734,   735,   736,  1338,  1215,  1207,   184,   237,   334,
     500,   618,   621,   622,  1338,  1207,   142,   346,  1207,   613,
     348,   476,   467,  1205,   476,   922,   422,   192,  1207,  1207,
     559,   557,   559,  1215,  1207,   928,   929,  1338,   348,   402,
     476,   756,  1215,  1207,  1207,   348,  1091,  1091,  1215,  1207,
    1091,  1207,  1214,   155,   208,   266,   370,   491,   499,   502,
     572,  1358,  1215,  1207,  1207,   348,   402,  1215,  1207,   402,
     435,   610,   703,   706,   822,  1207,   706,   822,  1207,   706,
    1215,  1207,   435,  1215,  1207,  1207,  1213,  1215,   892,  1207,
     938,   939,  1338,  1207,   402,   435,   610,   611,  1205,  1205,
    1207,  1207,  1207,  1207,  1215,  1207,    94,   100,   203,   364,
     402,   435,   364,   402,   435,   790,   402,   435,   402,   435,
     402,   925,  1104,  1336,   254,   800,  1336,   254,  1336,  1215,
    1207,  1207,  1356,  1207,   928,    94,   630,   432,  1214,   402,
     435,   610,  1207,  1207,  1207,   476,   476,   151,   490,   390,
     559,  1051,  1051,  1051,  1135,  1135,   508,  1175,   557,  1135,
    1197,   338,   828,  1356,   107,   828,   201,   822,   828,   828,
     282,   500,   500,   828,   828,   828,   288,   828,   828,   828,
     822,   386,   634,   634,   264,   464,   761,  1135,  1112,   822,
     557,   559,   545,   764,   657,  1338,  1207,   129,   236,   422,
     511,   720,   727,   728,   218,   343,   297,   649,   651,   653,
     655,   662,   665,    95,   260,   413,   462,   572,   573,   231,
    1207,   512,  1205,   107,   757,   465,  1091,   790,   583,  1336,
     584,   353,   648,  1207,   233,   822,  1173,   387,  1356,   790,
     790,   790,   790,   343,   348,   353,   556,   790,  1102,  1103,
    1104,   432,   218,   556,   218,   218,   217,  1225,   822,   343,
     649,  1336,   500,   685,   519,   620,   333,   107,   668,  1356,
     333,   348,   795,   796,  1358,   790,   557,   875,   876,   881,
     107,   288,   410,   479,   518,   887,   888,   889,   887,   348,
     288,  1207,  1234,   550,   251,   251,   231,   615,   107,   569,
     232,   971,   972,  1173,   557,   557,   615,   554,   539,   539,
     557,   557,  1212,   555,   556,  1212,  1336,  1356,  1367,   557,
     557,   615,   821,   822,  1207,   822,  1207,   615,   615,   615,
     615,   288,   615,   432,   231,   615,   615,   348,   615,   333,
    1034,  1359,  1347,   557,   670,   260,   260,   260,   260,   260,
     523,  1206,   706,   707,   245,   842,   843,  1215,    95,   848,
     476,   556,   236,   216,   438,   216,   438,   418,   498,   315,
    1112,  1215,   519,   694,   856,   856,   236,   348,   842,   125,
     615,   885,   822,  1112,   873,   342,   873,   873,  1112,   822,
    1207,   557,   555,   555,   559,  1135,   205,  1192,  1193,   107,
     557,  1135,   557,   557,   557,   236,   557,   557,   557,   557,
     557,   557,   559,   559,   557,   371,  1183,   557,   556,  1136,
    1136,  1173,    83,    87,    88,    89,   260,   282,   350,   543,
     544,   545,   547,   548,   549,   550,   551,   552,  1170,  1136,
     557,   557,   231,   236,  1186,  1187,   557,   107,  1188,  1173,
    1188,  1188,   236,   557,   557,  1338,   369,  1149,   107,   557,
     559,  1135,  1338,   559,  1135,  1199,  1135,   557,   539,  1136,
    1136,   211,  1173,   236,   198,   200,   224,   332,   338,   343,
     483,   494,  1181,   556,   332,   211,   902,  1135,   461,  1200,
    1135,  1189,  1135,   476,   556,  1036,   556,   556,   359,  1156,
     556,  1173,   468,   470,   468,   470,  1205,  1047,  1047,  1047,
     291,   419,   536,   556,  1036,  1081,  1082,  1083,  1090,  1095,
    1105,  1138,  1140,  1141,  1336,   516,  1100,  1051,  1100,     7,
      10,    11,    21,    22,    23,    25,    26,    30,    31,    32,
     177,   318,   376,   486,  1316,  1317,  1319,  1309,  1310,   956,
    1212,  1133,   592,  1113,   998,   310,   556,  1054,   350,  1168,
    1171,   541,   867,  1212,  1355,  1063,   349,   519,   498,  1060,
     306,  1081,   516,  1101,   506,   463,   499,  1013,  1014,  1015,
    1336,   348,  1016,  1336,  1029,  1030,   559,  1080,   545,  1199,
     561,  1264,   560,   559,   545,    29,  1325,   557,   557,   560,
     884,   823,   880,   880,   125,   882,   551,  1216,  1216,   348,
    1206,   351,   348,  1135,   666,  1207,   556,   556,   556,   690,
     264,   669,   780,   218,   615,   476,  1215,  1207,   597,  1112,
     822,   822,  1112,   710,  1207,   248,   504,   476,   476,   710,
     726,   732,   402,   435,   610,  1207,  1207,  1207,   272,   338,
     221,   876,   363,   435,   476,   333,   218,   352,   730,   780,
     435,    94,   203,   406,   407,   435,   614,   623,   624,   732,
     923,   427,   218,   615,   218,   615,  1207,  1207,  1207,  1207,
     427,   427,   296,   735,   736,   735,   557,   559,   737,  1356,
     264,   557,   559,   545,   558,   221,  1215,  1207,   402,   435,
     610,  1207,  1207,  1207,   348,   364,   402,   435,    94,   203,
     364,   402,   435,  1112,   330,  1112,   557,   559,   545,  1205,
     476,  1216,   500,   753,   221,   298,   370,   338,  1356,   370,
    1216,   497,   221,   476,   476,   422,   451,   559,   892,   363,
     435,   156,   476,   922,   422,   184,   231,   625,   476,   476,
     308,   308,   308,   476,   476,   422,   476,   476,   422,   476,
     422,   476,   422,   476,   192,   615,  1112,   333,  1356,   435,
     923,   218,   615,   476,   476,   557,  1207,   476,   922,   422,
     476,  1215,  1207,   557,   557,   557,  1175,   555,  1112,   822,
     282,   828,  1207,  1207,  1207,   282,   452,   453,   635,  1356,
     635,   248,   557,   557,   236,   790,   792,   330,   350,   547,
     548,   706,   793,   880,  1171,  1221,  1356,   348,   138,   144,
     156,   184,   186,   240,   268,   333,   338,   380,   396,   493,
     658,   659,   661,   217,   515,   569,   597,  1207,   597,   730,
    1205,  1205,  1205,   557,   559,  1216,   245,   413,  1216,  1212,
     486,  1205,   668,  1358,   231,   758,   115,   584,   404,   464,
     739,   177,   995,   236,   938,   620,   669,  1205,   765,   797,
     798,  1356,   557,   559,  1207,   231,   669,  1205,   693,  1205,
    1244,  1035,   556,   650,  1205,   557,  1207,   519,   521,   686,
     619,   107,   218,  1035,   685,   476,   218,  1090,   557,   559,
     545,   557,   559,   184,   545,   890,  1356,   597,   464,   879,
     880,   231,   891,   889,   189,   274,   428,   498,   947,  1207,
     248,  1230,  1035,  1244,  1112,   556,   557,   559,   557,  1212,
    1132,  1132,   555,  1367,   556,   547,   548,   549,   550,   551,
     555,   615,   500,   615,   500,   615,  1207,  1207,   748,   822,
     218,   231,   422,   422,   422,   422,   422,  1206,   559,  1215,
     519,   559,   844,   351,  1091,   432,   216,   216,   177,   329,
    1205,  1207,  1216,   841,   615,  1215,   282,   282,   282,   282,
     706,   282,   282,   282,   282,   282,  1177,   472,  1135,   209,
    1112,   557,  1135,  1181,  1135,  1135,  1186,   557,  1173,   559,
    1112,  1136,  1136,  1136,  1136,   198,   200,   333,   343,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1135,
    1135,  1187,  1186,  1112,   557,   557,   557,  1173,   557,   559,
     125,  1137,  1150,   557,  1338,  1146,   377,   457,  1148,   557,
     559,   511,  1142,   107,   557,  1356,  1135,   104,   104,  1135,
     557,  1135,   236,   556,   332,  1176,  1135,   557,   211,  1136,
    1136,   211,   211,  1135,  1135,  1052,   516,   556,  1157,  1336,
     557,  1173,   559,  1047,  1047,  1047,  1047,  1205,  1205,  1205,
    1036,  1095,  1105,   236,   556,  1036,  1082,  1083,   107,  1084,
    1085,  1336,   559,   164,   237,   270,   285,   295,   321,   412,
    1087,  1085,   107,  1084,  1086,  1336,  1085,   542,  1099,  1198,
    1135,   245,  1065,   557,  1065,   559,   545,   557,  1325,  1007,
     556,   867,   228,   290,   349,   519,   473,   167,  1135,   409,
    1018,   505,   557,   559,  1199,   154,  1018,   557,   559,  1028,
    1101,  1135,  1212,   545,  1283,  1314,  1319,   557,   551,   884,
     486,   239,   417,   423,   430,   465,   487,   853,   231,   853,
     557,   556,   673,   674,   861,  1140,  1336,   669,   669,   780,
    1207,   557,   186,   268,   329,   333,   781,  1207,  1207,   107,
     500,   500,   288,   823,  1215,  1207,   476,   922,   422,   476,
     272,  1207,   125,   467,  1207,   218,   655,   556,   657,   451,
     240,   220,   253,   333,   619,   569,   177,   240,   333,   451,
     454,   619,   704,   435,   624,   486,  1207,  1336,   427,   734,
    1207,   622,   793,  1338,  1207,   363,   435,   476,   922,   422,
     476,   221,   476,   476,   422,   238,   350,   454,   802,   803,
     238,   350,   810,   811,   476,   476,   422,   557,   557,   557,
     929,   330,   706,   880,   930,  1171,  1221,  1356,   402,  1207,
     556,   519,   754,  1207,  1213,  1356,  1356,  1356,  1207,  1207,
    1207,  1207,  1213,   939,   125,   467,  1207,  1207,  1207,  1207,
     506,  1207,  1207,   231,   231,   404,   231,   254,  1215,  1207,
    1207,  1215,  1207,  1207,  1207,  1207,  1207,  1207,  1207,   348,
     144,   616,   218,    96,   117,   486,  1336,  1207,  1356,   732,
    1207,  1207,  1207,  1207,  1051,   557,   282,   828,   282,   282,
     282,   828,   569,   500,   640,   641,   710,   780,   519,   521,
     822,  1205,   556,   822,  1207,  1136,   101,   125,   660,   187,
     256,   186,   338,   286,  1205,   892,   238,   384,   776,   783,
     784,  1336,   719,   368,   556,   650,   663,   267,   680,   653,
    1216,  1216,  1112,   556,   620,    98,   189,   274,   428,   498,
     759,   476,   755,  1215,   254,  1205,   741,   523,   348,  1081,
     892,   397,   766,   557,   559,  1104,   730,   748,   557,   701,
     107,   343,   368,   556,  1009,   694,   652,   654,   656,   665,
    1336,   368,   681,   682,   650,   680,   619,   346,   348,   687,
    1035,   696,   694,   620,  1356,  1207,   858,   796,  1358,   793,
     881,  1135,  1135,   559,   556,   887,   486,   559,   476,   556,
     710,    80,  1241,   557,   971,   972,   555,   557,  1268,  1367,
    1367,  1367,  1367,  1367,  1207,  1207,   615,   432,   615,  1206,
    1206,  1206,  1206,  1206,   706,   242,   843,   557,  1207,   177,
     848,   236,   338,   831,  1356,   831,   831,   831,   282,   831,
     831,   831,   831,   831,  1135,   557,   557,   557,  1187,   557,
    1135,   236,   198,   200,   343,   556,   557,   526,  1144,  1173,
     395,   505,   125,  1150,  1137,   517,   517,   557,  1135,   329,
    1135,   559,  1143,  1114,  1135,  1135,  1135,  1176,   557,  1135,
     104,   104,  1135,  1135,   211,   557,   557,  1135,  1158,  1336,
     557,  1135,  1205,  1205,  1205,  1205,  1085,  1086,  1085,   556,
     531,  1137,   557,  1336,   556,  1082,   285,   358,  1088,  1082,
    1088,   285,  1087,  1088,   285,   466,  1093,   556,  1336,   556,
     355,   125,   249,  1072,  1356,  1072,  1317,   548,  1310,  1318,
    1355,  1356,  1356,   557,   902,   473,   343,  1202,  1035,   362,
    1035,  1015,   348,   556,  1017,   545,  1029,  1018,  1363,   486,
     557,   476,   838,   236,   780,  1135,   557,   559,   519,   144,
     860,   864,   860,   557,   557,   261,   671,   187,   256,   266,
     186,   502,   615,  1112,  1207,  1207,  1207,  1207,  1207,  1207,
    1207,  1216,  1207,   655,   731,   735,  1213,   660,   254,   254,
     338,   706,   660,   338,  1213,  1336,  1112,   615,   615,   545,
     125,   467,  1207,  1207,  1207,  1207,  1207,  1215,  1207,  1207,
    1212,  1212,  1112,   559,  1212,  1212,   559,  1215,  1207,  1207,
     476,  1135,   138,  1216,  1207,   476,   476,   236,   260,   519,
    1206,  1206,   822,  1206,   218,   221,   822,  1356,  1356,  1112,
     615,   615,   476,   557,   282,   828,   828,   828,   828,   556,
     636,   637,   569,   191,   238,   271,   238,   236,   779,  1135,
     333,   659,   184,   107,   892,   668,   500,   689,  1210,   104,
     217,   260,   343,   649,   625,   215,   262,   556,   432,   500,
     669,   107,  1216,   753,   584,   333,   556,   233,  1207,  1173,
     323,   347,   767,   768,   769,   231,   772,  1356,   432,   620,
     217,  1226,   822,   343,   649,   694,   557,   559,   519,   657,
     125,   685,   625,   681,   150,   467,   688,   519,   960,   107,
     688,   236,   348,   556,  1356,   878,   893,   894,  1337,  1112,
     231,  1205,   236,   476,   913,   269,   711,  1242,  1336,   615,
     557,   557,   615,   615,  1207,   351,   280,   615,   842,   831,
     557,  1136,   236,   556,  1176,   556,   557,   559,   557,  1150,
     557,   505,   448,   557,   557,   557,  1135,  1135,  1135,   557,
     368,  1159,   557,  1096,  1097,  1140,   556,  1149,  1084,   556,
    1206,  1082,   348,   500,  1089,  1082,   285,  1082,  1210,  1103,
     556,  1103,  1336,   166,   246,   415,   556,  1066,  1067,  1068,
    1069,  1070,  1071,  1135,  1135,   518,  1153,  1153,  1212,  1355,
     557,  1032,  1370,  1013,   156,   859,   861,   199,  1135,   842,
     348,   842,   557,   671,   674,   350,   902,   822,   822,   865,
     396,   671,   556,   892,   557,   476,   435,  1024,   557,   559,
     107,   218,   218,   616,   793,  1216,  1207,   476,   556,   873,
     902,   904,   803,   556,   556,   811,  1207,   557,   556,   435,
    1024,  1207,  1207,   556,   556,   556,   519,   542,   980,   404,
     980,   980,   231,  1207,   616,  1207,   828,   642,   643,  1338,
     121,   165,   190,   207,   211,   232,   235,   250,   338,   388,
     638,   636,  1356,   873,   107,   909,   909,  1205,   780,   557,
     253,   556,   689,   309,   672,   264,   556,   784,   776,   556,
    1205,   557,   432,    98,   149,   157,   185,   240,   253,   265,
     451,   454,   664,   664,  1204,  1207,  1207,   557,  1035,   754,
     218,   177,   730,   236,   768,   418,   464,   770,   204,   773,
     515,   775,  1207,   107,  1244,  1035,   650,  1205,   557,  1368,
     654,   352,  1336,   686,   681,   685,   189,   203,   377,  1207,
     130,   138,   301,  1035,   822,  1090,   859,   880,   557,   559,
     486,  1100,   446,   446,   557,   710,   329,   504,   712,   713,
     545,  1243,  1207,   615,  1136,  1176,   557,  1145,  1173,   329,
     538,   125,  1051,   557,   559,   107,  1098,   184,  1110,  1111,
    1136,   147,  1206,   557,  1135,   556,  1082,  1089,   556,   557,
    1103,   557,   556,   436,   556,   557,   559,  1154,  1155,  1336,
     505,  1207,   557,   559,   334,   498,   844,   853,   615,   860,
     892,   556,   619,   866,  1205,   892,   669,   689,  1207,   467,
     735,   253,   500,   617,   435,  1024,  1207,  1176,   231,   806,
     806,  1176,  1176,  1135,   467,  1173,  1173,   626,   627,  1217,
     821,   822,   821,   822,  1206,   615,   557,   559,   549,   556,
     594,   644,   706,   977,  1356,   977,   333,   338,   388,   977,
     977,  1100,   909,   110,   258,   231,   329,   667,   556,   702,
    1135,   237,   367,   441,   348,   676,   677,   678,   467,   557,
    1210,    76,   785,   650,   680,  1207,   557,   730,   225,   805,
     620,   960,  1205,   523,  1081,   977,   418,   450,   774,   556,
     217,   730,  1035,  1009,   694,   681,   650,   680,   657,   556,
     687,   685,   686,   419,   419,   138,   351,   138,   694,   858,
     557,   887,   893,  1112,   199,   519,   519,   504,   710,  1212,
    1350,  1358,    80,   730,   557,   557,   557,   505,  1173,   247,
     389,   419,  1160,  1099,  1096,   556,  1136,   557,   559,   107,
    1106,  1107,  1336,   557,  1206,  1173,   557,  1173,   556,  1173,
    1067,   559,   107,  1035,  1100,   861,   435,   236,   689,   902,
     866,   867,   668,   689,   557,   780,  1207,   702,  1135,   467,
     557,   354,   425,   393,   807,   807,   557,   557,   557,  1207,
     557,   557,   557,   559,  1212,   980,   643,   594,   645,   646,
    1356,  1356,   338,   669,   549,   669,  1356,  1356,   204,   266,
     703,   557,   189,   498,   348,   678,   348,   677,  1207,   556,
     557,   559,   625,   432,   730,   822,   107,   107,   556,  1207,
     771,  1336,  1135,   776,   960,   694,   685,   625,   681,   556,
     683,   684,  1140,  1336,   688,   686,   687,   351,   351,   556,
     261,   862,    99,   275,   948,   238,   238,  1242,   119,   167,
     489,  1135,  1161,  1162,  1161,  1161,   557,  1103,   559,  1111,
    1338,   557,   559,   231,  1112,   557,   557,   557,  1066,   557,
    1155,  1157,  1027,   842,   516,   675,   557,   867,   672,   780,
    1024,  1207,   873,   125,  1024,   476,   626,   822,   557,   559,
     669,   418,   557,   455,   129,   329,   408,   435,   679,   679,
     557,    76,   432,  1207,   802,  1035,   730,   557,  1210,  1368,
     686,   681,   685,  1135,   557,   559,   864,   864,   687,   688,
     859,   556,   620,   334,   556,   943,   945,   949,  1010,  1019,
    1026,  1035,   873,   873,  1162,   418,   230,   375,   230,   375,
     214,  1163,  1163,  1163,   557,  1137,  1107,   355,   184,   333,
     338,  1108,  1109,  1358,   403,  1094,   557,  1100,   615,   556,
     780,   676,  1024,   822,   556,   646,   775,    93,   184,   338,
    1207,   730,   960,   556,   687,   685,   686,   557,   684,   822,
     865,   865,   688,   557,   861,   863,   688,   944,   945,   946,
    1036,  1037,   559,   559,   104,   167,   245,   329,   473,  1149,
    1136,   338,  1109,  1136,   556,  1135,   780,  1173,   217,   730,
     777,   778,  1212,  1338,  1355,  1356,   688,   686,   687,   864,
     862,   557,   559,  1100,   557,   560,   476,   236,  1162,   418,
     356,   147,  1135,   557,   557,   776,   557,   559,   687,   688,
     865,   620,   861,   946,   446,   446,  1106,   557,  1210,   778,
     688,   688,   519,   519,   557,   556,  1100,   238,   238,   777,
     873,   873,   557
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   564,   565,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   566,   566,   566,   567,   568,   569,   569,
     569,   570,   570,   571,   571,   572,   572,   572,   572,   572,
     572,   572,   572,   572,   573,   573,   573,   573,   573,   573,
     574,   575,   575,   576,   576,   577,   577,   577,   577,   578,
     578,   578,   578,   578,   578,   579,   580,   581,   581,   582,
     582,   582,   582,   583,   583,   584,   584,   585,   585,   585,
     585,   585,   585,   586,   586,   586,   587,   587,   587,   588,
     588,   588,   588,   589,   589,   589,   589,   589,   589,   589,
     589,   589,   589,   589,   590,   590,   591,   591,   592,   592,
     593,   593,   593,   593,   594,   594,   594,   594,   595,   595,
     595,   595,   595,   595,   595,   596,   596,   596,   597,   597,
     598,   599,   599,   599,   599,   600,   600,   601,   601,   602,
     602,   603,   603,   603,   603,   603,   604,   605,   605,   606,
     606,   607,   608,   608,   608,   608,   608,   609,   609,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   610,   610,
     611,   611,   612,   613,   613,   613,   613,   613,   613,   613,
     613,   613,   613,   613,   613,   613,   613,   613,   613,   613,
     613,   613,   613,   613,   613,   613,   613,   613,   613,   613,
     613,   613,   613,   613,   613,   613,   613,   613,   613,   613,
     613,   613,   613,   613,   613,   613,   613,   613,   613,   613,
     613,   613,   613,   613,   613,   613,   613,   613,   613,   613,
     613,   614,   614,   615,   615,   615,   616,   616,   617,   617,
     618,   618,   618,   618,   619,   620,   620,   621,   621,   622,
     622,   622,   622,   623,   623,   624,   624,   624,   624,   625,
     625,   625,   625,   626,   627,   627,   628,   629,   629,   630,
     630,   630,   630,   631,   631,   632,   632,   633,   633,   634,
     634,   635,   635,   635,   636,   636,   637,   637,   638,   638,
     638,   638,   638,   638,   638,   638,   638,   638,   638,   638,
     638,   639,   639,   640,   640,   641,   641,   642,   642,   643,
     644,   644,   644,   644,   644,   645,   645,   646,   647,   647,
     647,   647,   647,   647,   648,   648,   648,   648,   648,   648,
     648,   648,   649,   649,   650,   650,   651,   651,   652,   652,
     653,   653,   653,   654,   654,   655,   656,   656,   657,   657,
     658,   658,   658,   658,   659,   659,   659,   659,   659,   659,
     659,   659,   659,   660,   660,   661,   661,   661,   661,   662,
     663,   663,   663,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   665,   665,   666,   666,   666,   666,   666,   666,
     666,   667,   667,   668,   668,   669,   669,   670,   671,   671,
     672,   672,   672,   672,   673,   673,   674,   674,   675,   675,
     676,   676,   676,   676,   676,   677,   678,   679,   679,   679,
     679,   679,   680,   680,   681,   681,   682,   683,   683,   684,
     684,   684,   685,   685,   686,   686,   686,   687,   687,   687,
     687,   688,   688,   689,   689,   690,   691,   691,   692,   692,
     693,   694,   694,   694,   695,   695,   696,   697,   697,   698,
     699,   699,   700,   700,   701,   701,   702,   702,   703,   703,
     704,   704,   704,   704,   704,   704,   704,   704,   704,   704,
     704,   704,   704,   704,   705,   705,   706,   706,   706,   706,
     707,   707,   708,   708,   709,   709,   710,   710,   711,   711,
     712,   712,   713,   713,   714,   714,   715,   716,   716,   717,
     717,   718,   718,   719,   719,   720,   720,   720,   720,   721,
     722,   722,   723,   724,   724,   724,   724,   724,   724,   724,
     724,   724,   724,   724,   724,   724,   725,   726,   726,   726,
     726,   727,   727,   728,   728,   729,   729,   730,   730,   731,
     731,   732,   733,   733,   734,   734,   734,   734,   735,   736,
     737,   738,   738,   739,   739,   740,   740,   741,   741,   742,
     742,   742,   743,   743,   743,   743,   744,   745,   745,   746,
     746,   747,   747,   748,   748,   749,   749,   750,   751,   752,
     753,   753,   754,   754,   755,   755,   756,   756,   757,   757,
     758,   758,   759,   759,   759,   759,   759,   760,   761,   761,
     762,   762,   763,   763,   763,   764,   764,   765,   765,   765,
     765,   765,   766,   766,   767,   767,   768,   769,   769,   770,
     770,   771,   772,   772,   773,   773,   774,   774,   775,   775,
     776,   776,   777,   777,   777,   778,   778,   778,   778,   779,
     779,   780,   780,   781,   781,   781,   781,   781,   781,   782,
     782,   783,   783,   784,   785,   785,   786,   787,   787,   787,
     787,   788,   789,   789,   789,   789,   789,   789,   789,   789,
     789,   789,   789,   789,   789,   789,   789,   789,   790,   791,
     791,   792,   792,   793,   793,   793,   793,   793,   793,   794,
     795,   795,   796,   797,   797,   798,   798,   799,   799,   799,
     799,   800,   800,   801,   802,   802,   803,   803,   803,   803,
     803,   804,   804,   805,   805,   806,   806,   806,   807,   807,
     808,   809,   809,   810,   810,   811,   811,   812,   812,   813,
     813,   814,   815,   816,   816,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   817,   817,   817,   817,   817,
     817,   817,   817,   817,   817,   817,   817,   817,   818,   818,
     818,   818,   818,   819,   819,   819,   819,   819,   819,   819,
     819,   820,   820,   820,   821,   821,   822,   822,   823,   823,
     824,   824,   825,   826,   826,   826,   827,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   828,   828,   829,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   830,   830,   831,   831,
     832,   832,   832,   832,   832,   832,   832,   832,   832,   832,
     832,   833,   833,   833,   833,   833,   833,   833,   833,   833,
     833,   833,   833,   833,   833,   834,   834,   835,   835,   836,
     837,   837,   838,   838,   838,   838,   838,   839,   839,   840,
     840,   840,   840,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   841,
     841,   841,   841,   842,   842,   843,   843,   844,   844,   845,
     846,   846,   847,   847,   848,   848,   849,   850,   850,   851,
     851,   851,   852,   852,   852,   853,   853,   853,   853,   853,
     853,   854,   854,   855,   855,   856,   856,   857,   857,   858,
     858,   859,   859,   860,   860,   861,   861,   861,   862,   862,
     863,   863,   864,   864,   865,   865,   866,   866,   866,   867,
     867,   867,   868,   868,   868,   868,   869,   869,   870,   870,
     871,   871,   872,   872,   873,   873,   873,   873,   874,   874,
     875,   875,   876,   876,   876,   876,   876,   877,   877,   877,
     877,   877,   878,   879,   880,   880,   880,   881,   881,   881,
     882,   883,   883,   883,   883,   884,   884,   885,   886,   886,
     887,   887,   888,   888,   888,   888,   888,   888,   888,   888,
     888,   888,   888,   888,   888,   888,   888,   888,   888,   889,
     889,   889,   889,   889,   890,   890,   891,   891,   892,   892,
     893,   894,   894,   895,   895,   895,   896,   896,   897,   897,
     898,   898,   898,   898,   898,   898,   899,   899,   900,   900,
     901,   901,   901,   901,   902,   902,   903,   903,   904,   905,
     906,   906,   907,   907,   908,   908,   908,   909,   909,   909,
     910,   911,   911,   912,   913,   913,   913,   913,   914,   915,
     915,   915,   915,   916,   916,   917,   917,   917,   918,   918,
     919,   920,   920,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   922,   922,
     923,   923,   924,   924,   924,   924,   924,   924,   925,   925,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   927,   928,   928,
     929,   929,   930,   930,   930,   930,   930,   931,   932,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   933,   934,   934,   935,   935,   936,   936,   936,
     936,   937,   938,   938,   939,   940,   940,   940,   940,   940,
     940,   941,   941,   942,   943,   943,   943,   944,   944,   945,
     945,   945,   945,   945,   946,   946,   947,   947,   947,   947,
     948,   948,   948,   949,   950,   950,   951,   952,   952,   953,
     953,   953,   953,   953,   953,   953,   953,   953,   953,   953,
     953,   953,   953,   954,   954,   954,   955,   955,   955,   955,
     955,   956,   956,   956,   957,   957,   958,   958,   958,   959,
     959,   959,   959,   960,   960,   960,   960,   961,   962,   963,
     963,   964,   964,   965,   965,   965,   966,   966,   966,   966,
     966,   966,   966,   967,   967,   968,   968,   968,   969,   970,
     970,   970,   970,   971,   971,   972,   973,   974,   974,   975,
     976,   976,   976,   976,   976,   976,   976,   977,   977,   978,
     979,   979,   979,   979,   979,   979,   980,   980,   981,   982,
     982,   982,   983,   983,   984,   984,   985,   985,   986,   986,
     987,   987,   988,   989,   989,   990,   990,   990,   991,   991,
     992,   992,   993,   993,   994,   994,   995,   995,   996,   997,
     997,   998,   998,   999,   999,   999,   999,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1001,  1001,  1002,  1003,
    1003,  1004,  1004,  1004,  1005,  1005,  1006,  1006,  1007,  1007,
    1007,  1007,  1008,  1008,  1008,  1009,  1009,  1010,  1011,  1011,
    1012,  1012,  1012,  1012,  1012,  1013,  1013,  1014,  1014,  1015,
    1016,  1016,  1016,  1017,  1017,  1017,  1018,  1018,  1019,  1020,
    1020,  1021,  1022,  1022,  1023,  1023,  1023,  1023,  1023,  1023,
    1023,  1023,  1024,  1024,  1025,  1025,  1025,  1026,  1027,  1027,
    1028,  1028,  1029,  1030,  1030,  1031,  1032,  1032,  1033,  1033,
    1033,  1033,  1033,  1034,  1034,  1034,  1035,  1035,  1036,  1036,
    1037,  1037,  1037,  1037,  1037,  1037,  1037,  1037,  1038,  1038,
    1039,  1039,  1039,  1039,  1039,  1039,  1039,  1040,  1040,  1040,
    1041,  1041,  1042,  1043,  1043,  1043,  1044,  1044,  1045,  1045,
    1045,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1047,  1047,  1048,  1048,  1048,  1049,  1049,  1050,  1050,  1051,
    1051,  1052,  1053,  1053,  1054,  1054,  1055,  1055,  1055,  1055,
    1056,  1056,  1057,  1057,  1057,  1057,  1057,  1057,  1058,  1058,
    1059,  1059,  1060,  1061,  1061,  1061,  1062,  1062,  1063,  1063,
    1064,  1064,  1065,  1065,  1066,  1066,  1067,  1067,  1067,  1067,
    1067,  1068,  1069,  1070,  1071,  1072,  1072,  1073,  1073,  1074,
    1074,  1075,  1075,  1076,  1077,  1077,  1077,  1077,  1078,  1078,
    1079,  1079,  1080,  1080,  1081,  1081,  1082,  1082,  1082,  1082,
    1082,  1082,  1082,  1082,  1082,  1082,  1083,  1083,  1083,  1083,
    1083,  1083,  1084,  1084,  1084,  1084,  1085,  1085,  1086,  1086,
    1086,  1086,  1086,  1087,  1087,  1087,  1087,  1088,  1088,  1089,
    1089,  1090,  1090,  1090,  1090,  1091,  1091,  1092,  1092,  1092,
    1093,  1094,  1094,  1095,  1095,  1096,  1097,  1097,  1098,  1098,
    1099,  1099,  1100,  1100,  1101,  1101,  1101,  1102,  1102,  1103,
    1103,  1104,  1105,  1105,  1106,  1106,  1107,  1107,  1107,  1108,
    1108,  1109,  1109,  1109,  1109,  1110,  1110,  1111,  1111,  1112,
    1112,  1112,  1112,  1112,  1112,  1113,  1113,  1113,  1114,  1114,
    1114,  1114,  1114,  1114,  1114,  1115,  1115,  1115,  1115,  1116,
    1116,  1117,  1117,  1118,  1118,  1118,  1118,  1118,  1118,  1118,
    1118,  1118,  1118,  1118,  1119,  1119,  1120,  1120,  1121,  1121,
    1122,  1123,  1124,  1124,  1125,  1125,  1126,  1127,  1128,  1128,
    1128,  1128,  1128,  1128,  1129,  1129,  1130,  1130,  1130,  1130,
    1131,  1132,  1132,  1132,  1133,  1133,  1133,  1133,  1133,  1133,
    1133,  1133,  1133,  1133,  1133,  1133,  1133,  1133,  1134,  1134,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1139,  1139,  1140,  1140,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1142,  1142,  1143,  1143,  1143,  1143,  1144,  1145,
    1145,  1146,  1146,  1147,  1147,  1148,  1148,  1148,  1149,  1149,
    1149,  1149,  1150,  1150,  1151,  1151,  1152,  1152,  1153,  1153,
    1154,  1154,  1155,  1156,  1156,  1156,  1157,  1158,  1158,  1159,
    1159,  1160,  1160,  1160,  1160,  1161,  1161,  1162,  1162,  1162,
    1162,  1162,  1163,  1163,  1163,  1163,  1163,  1164,  1164,  1164,
    1165,  1165,  1166,  1167,  1167,  1167,  1168,  1168,  1169,  1169,
    1169,  1169,  1169,  1169,  1169,  1169,  1169,  1169,  1169,  1169,
    1170,  1170,  1171,  1171,  1172,  1172,  1172,  1172,  1172,  1172,
    1173,  1173,  1174,  1174,  1175,  1175,  1175,  1176,  1176,  1177,
    1177,  1177,  1178,  1178,  1179,  1179,  1180,  1180,  1180,  1180,
    1180,  1180,  1180,  1180,  1181,  1181,  1181,  1181,  1182,  1182,
    1183,  1184,  1184,  1185,  1185,  1185,  1185,  1185,  1185,  1186,
    1187,  1188,  1188,  1188,  1189,  1189,  1190,  1191,  1191,  1192,
    1193,  1193,  1194,  1194,  1195,  1195,  1196,  1196,  1196,  1196,
    1197,  1197,  1198,  1198,  1199,  1199,  1200,  1200,  1201,  1201,
    1202,  1202,  1203,  1203,  1203,  1203,  1204,  1204,  1205,  1205,
    1206,  1206,  1207,  1208,  1209,  1210,  1210,  1211,  1211,  1211,
    1211,  1211,  1211,  1211,  1211,  1211,  1211,  1211,  1211,  1211,
    1211,  1211,  1212,  1213,  1213,  1213,  1213,  1214,  1215,  1215,
    1215,  1216,  1216,  1217,  1217,  1217,  1217,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1220,  1220,  1220,  1220,  1220,
    1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,
    1220,  1220,  1220,  1220,  1220,  1220,  1220,  1220,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1222,  1222,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1225,  1224,  1226,  1224,  1227,  1228,  1228,
    1228,  1228,  1229,  1229,  1229,  1229,  1230,  1230,  1231,  1232,
    1233,  1233,  1234,  1234,  1234,  1235,  1235,  1236,  1236,  1237,
    1237,  1238,  1238,  1238,  1238,  1239,  1239,  1239,  1240,  1241,
    1241,  1242,  1242,  1243,  1243,  1243,  1243,  1244,  1244,  1245,
    1246,  1247,  1248,  1248,  1249,  1250,  1250,  1251,  1251,  1251,
    1251,  1251,  1253,  1252,  1254,  1255,  1256,  1256,  1257,  1257,
    1257,  1257,  1258,  1258,  1260,  1259,  1262,  1261,  1263,  1261,
    1261,  1264,  1264,  1265,  1265,  1265,  1266,  1266,  1266,  1266,
    1267,  1267,  1268,  1268,  1268,  1268,  1268,  1268,  1269,  1269,
    1269,  1270,  1272,  1271,  1273,  1274,  1273,  1275,  1275,  1276,
    1276,  1277,  1277,  1278,  1278,  1278,  1278,  1278,  1278,  1278,
    1278,  1278,  1279,  1279,  1279,  1279,  1279,  1279,  1279,  1279,
    1279,  1279,  1280,  1280,  1281,  1281,  1282,  1283,  1283,  1284,
    1284,  1284,  1285,  1286,  1287,  1287,  1287,  1287,  1288,  1288,
    1288,  1289,  1289,  1290,  1290,  1291,  1292,  1292,  1293,  1293,
    1294,  1294,  1295,  1295,  1296,  1297,  1297,  1298,  1298,  1298,
    1299,  1299,  1299,  1299,  1299,  1299,  1299,  1299,  1299,  1300,
    1300,  1300,  1300,  1300,  1301,  1301,  1302,  1303,  1304,  1305,
    1305,  1306,  1307,  1308,  1308,  1309,  1310,  1310,  1311,  1312,
    1313,  1313,  1314,  1315,  1316,  1316,  1317,  1318,  1318,  1318,
    1318,  1318,  1319,  1319,  1319,  1319,  1319,  1319,  1319,  1319,
    1319,  1319,  1319,  1319,  1319,  1319,  1319,  1320,  1320,  1321,
    1321,  1322,  1322,  1322,  1324,  1323,  1325,  1325,  1327,  1326,
    1328,  1328,  1328,  1329,  1329,  1329,  1329,  1329,  1329,  1329,
    1329,  1329,  1329,  1330,  1330,  1331,  1331,  1331,  1331,  1331,
    1331,  1331,  1331,  1331,  1331,  1331,  1331,  1331,  1331,  1331,
    1331,  1331,  1331,  1331,  1331,  1331,  1331,  1332,  1332,  1332,
    1332,  1332,  1332,  1333,  1333,  1333,  1333,  1333,  1333,  1333,
    1334,  1335,  1335,  1335,  1335,  1335,  1335,  1335,  1335,  1336,
    1336,  1336,  1336,  1336,  1336,  1336,  1337,  1337,  1337,  1337,
    1337,  1337,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1339,  1339,  1339,  1339,  1339,  1340,  1340,
    1340,  1340,  1341,  1341,  1341,  1341,  1341,  1341,  1341,  1342,
    1342,  1342,  1343,  1343,  1343,  1343,  1343,  1343,  1344,  1344,
    1345,  1346,  1346,  1347,  1347,  1348,  1349,  1350,  1351,  1351,
    1351,  1352,  1353,  1354,  1355,  1356,  1357,  1358,  1358,  1359,
    1359,  1360,  1360,  1360,  1361,  1361,  1362,  1362,  1363,  1363,
    1364,  1364,  1364,  1364,  1364,  1365,  1365,  1365,  1365,  1365,
    1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,
    1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,
    1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,
    1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,
    1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,  1365,
    1365,  1366,  1366,  1366,  1366,  1367,  1367,  1367,  1367,  1367,
    1367,  1367,  1367,  1367,  1367,  1368,  1368,  1368,  1368,  1369,
    1369,  1370,  1370,  1371,  1371,  1372,  1372
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     1,     0,     2,     0,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     2,     5,     1,     3,
       3,     3,     3,     1,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     5,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     1,     2,     3,     2,     1,     1,     2,     1,     2,
       1,     3,     4,     5,     4,     2,     4,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     4,     6,     4,
       6,    10,    13,     4,     6,     4,    10,    13,     4,     6,
       4,     6,     5,     7,    11,    14,     5,     7,     1,     3,
       4,     3,     3,     2,     5,     3,     6,     4,     6,     6,
       5,     7,     6,     6,     5,     5,     6,     9,     4,     5,
       7,     6,     4,     8,     4,     2,     4,     3,     6,     4,
       3,     3,     3,     2,     2,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     3,     4,     4,     4,     5,
       1,     3,     2,     1,     1,     0,     2,     0,     2,     0,
       1,     1,     1,     3,     3,     2,     0,     1,     3,     3,
       1,     5,     3,     1,     2,     1,     3,     2,     3,     6,
       6,    10,     1,     2,     1,     3,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     9,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       3,     3,     1,     1,     3,     3,     3,     3,     4,     3,
       2,     1,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    13,    16,
      12,    15,    14,    17,     1,     1,     2,     2,     2,     2,
       1,     0,     1,     0,     3,     0,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     4,     2,     4,     2,     0,
       3,     1,     1,     2,     2,     1,     3,     4,     5,     2,
       5,     7,     5,     1,     2,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     8,     3,     9,     4,    10,
      11,     2,     0,     3,     0,     1,     3,     1,     4,     0,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       2,     2,     4,     0,     1,     0,     6,     1,     3,     3,
       3,     5,     2,     0,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     8,    11,     6,     8,
       6,     2,     3,     0,     8,    11,     5,     1,     0,     6,
       5,     8,     4,     6,     1,     0,     3,     0,     1,     2,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     0,     1,     2,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     1,     5,
       2,     0,     2,     6,     6,     6,    10,     6,     6,     6,
       9,     9,     6,     6,     9,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     7,     6,     4,     0,     1,
       3,     4,     1,     3,     1,     2,     2,     2,     2,     1,
       1,    10,    13,     2,     0,     2,     2,     1,     0,     5,
       4,     4,    11,    14,    12,    15,    11,     2,     1,     4,
       0,     8,    11,     1,     1,     7,     9,     8,    10,     8,
       4,     0,     5,     0,     2,     0,     2,     0,     2,     0,
       2,     0,     1,     1,     1,     1,     1,     8,     1,     1,
      16,    20,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     2,     0,     1,     2,     4,     1,     1,     1,
       1,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     2,
       0,     0,     2,     2,     1,     2,     2,     2,     2,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     6,     5,     4,     4,     3,     7,     8,     6,
       6,     6,     6,     6,     4,     7,     5,     8,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     3,     3,     1,     0,     1,     3,     7,     9,     9,
       8,     3,     0,    13,     1,     3,     5,     5,     3,     6,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     6,     4,     6,     8,     4,
       6,     4,     6,     5,     7,     1,     1,     1,     2,     1,
       2,     1,     1,     1,     3,     3,     3,     3,     1,     1,
       1,     1,     1,     2,     2,     1,     3,     2,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     2,     2,     3,
       1,     3,     5,     2,     2,     0,     6,     6,     6,     6,
       6,     6,     6,     6,     8,     9,     8,     6,     6,     9,
       9,     9,     7,    10,     1,     1,     8,     8,     8,     8,
       8,     8,     8,     9,     8,     8,     2,     0,     1,     1,
       2,     2,     3,     4,     5,     4,     5,     3,     4,     3,
       4,     1,     2,     3,     3,     3,     3,     4,     4,     3,
       3,     4,     4,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     2,     2,     3,     2,     2,     2,     5,     5,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,     1,
       1,    15,    18,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     4,     5,     2,     2,     4,     4,     0,
       1,     3,     2,     0,     1,     0,     1,     1,     0,     2,
       2,     0,     8,    11,     6,     6,     2,     0,     3,     2,
       1,     3,     1,     3,     2,     1,     1,     2,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     3,     3,     5,     6,     1,     3,     2,     1,     3,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     1,     2,     2,     2,     2,     1,     2,     2,
       2,     2,     1,     1,     1,     3,     3,     5,     2,     0,
       2,     1,     3,     5,     5,     5,     1,     2,     1,     0,
       4,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       3,     5,     5,     5,     1,     3,     1,     3,     2,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,    10,    11,    11,     5,     5,     8,     4,
       4,     7,     7,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     5,     6,     6,     6,     6,     6,     8,     8,
       6,     6,     7,     9,     9,     8,    10,     6,     6,     6,
       6,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     8,    10,     9,
      11,     8,    10,     9,    11,     8,     8,     7,     6,     6,
       6,     6,     8,     8,     8,     8,     6,     9,     1,     0,
       2,     0,     8,     8,     8,    10,     9,     8,     1,     0,
       6,     6,     6,     6,     6,     6,     6,     9,     9,     6,
       6,     6,     8,     6,     8,     8,     8,     8,     6,     8,
       6,     8,     7,     9,     7,     9,     6,     7,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     7,     6,     6,
       6,     6,     6,     6,     7,     7,     6,     9,     9,     6,
       6,     6,     6,     6,     6,     8,     8,     8,     6,     7,
       6,     6,     5,     1,     0,     3,     3,     5,     6,     6,
       6,     8,     1,     3,     1,     5,     5,     6,     7,     4,
       4,     4,     6,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     3,     2,     0,     2,     2,     2,     3,
       3,     3,     3,     3,     3,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     2,     3,     0,     9,
      11,    12,    14,     3,     4,     4,     0,     2,     5,     1,
       0,     1,     2,     3,     3,     3,     1,     2,     1,     1,
       1,     1,     1,     1,     0,     5,     4,     6,     4,     3,
       5,     7,     9,     1,     3,     1,     5,     4,     4,     6,
       4,     6,     6,     5,     7,     9,     6,     1,     0,     6,
      11,    11,    11,    13,     9,    11,     1,     1,    10,     4,
       2,     5,     2,     0,     6,     5,     3,     5,     1,     3,
       1,     1,     2,     1,     1,     1,     1,     0,     1,     0,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     1,
       3,     1,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     0,     5,     4,     3,     0,     1,     1,
       1,     1,     4,    10,    13,     3,     0,     7,     1,     3,
       1,     4,     4,     7,     2,     1,     1,     1,     3,     2,
       8,     5,     0,     4,     3,     0,     3,     0,     7,     2,
       0,     5,     3,     0,     2,     2,     2,     3,     1,     3,
       1,     2,     1,     0,     1,     2,     0,     8,     1,     3,
       3,     5,     2,     1,     3,     7,     1,     1,     0,     3,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     9,     1,     2,     4,     4,     4,     2,     2,     3,
       1,     3,     7,     1,     2,     0,     1,     0,     2,     1,
       0,     3,     3,     4,     4,     4,     4,     3,     2,     1,
       1,     0,     1,     1,     0,     1,     5,     1,     0,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     6,     4,     5,     2,     3,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     3,     0,     1,     3,     1,     1,     1,     1,
       1,     2,     4,     4,     5,     2,     0,     1,     3,     1,
       0,     1,     2,     3,     2,     4,     2,     3,     2,     0,
       4,     5,     2,     0,     1,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     1,     0,     1,     4,
       5,     4,     0,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       6,     4,     0,     2,     6,     2,     1,     3,     4,     0,
       2,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     7,    12,     1,     3,     2,     3,     3,     1,
       2,     2,     2,     2,     1,     1,     3,     3,     2,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     4,     1,     2,     2,
       1,     3,     3,     2,     1,     0,     5,     2,     5,     2,
       1,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     0,     1,     4,
       1,     3,     3,     5,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     3,     4,     4,     5,     1,     1,     3,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     5,     6,     6,
       7,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     2,     1,     1,     4,     3,     5,     6,
       8,     6,     6,     4,     4,     1,     1,     1,     5,     1,
       1,     4,     1,     4,     1,     4,     1,     4,     1,     1,
       1,     1,     1,     1,     6,     4,     4,     6,     4,     4,
       4,     6,     5,     5,     5,     4,     6,     4,     4,     4,
       4,     5,     7,     7,     9,     5,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     3,
       3,     4,     2,     2,     5,     0,     5,     0,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     3,     3,     3,     0,     1,     4,     2,     2,     2,
       2,     2,     3,     2,     2,     3,     0,     4,     3,     5,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     1,     4,     1,     4,     1,     2,     1,     2,
       1,     3,     1,     3,     1,     3,     3,     1,     3,     3,
       3,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     0,     1,     2,     0,     2,     1,     0,     1,     0,
       1,     3,     3,     2,     1,     1,     1,     3,     1,     2,
       1,     3,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     2,     6,     2,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     2,     4,     3,     2,     1,     1,
       1,     1,     1,     0,     8,     0,    11,     2,     5,     3,
       2,     2,     3,     7,     1,     1,     1,     0,     2,     2,
       1,     0,     1,     3,     1,     2,     0,     2,     0,     2,
       0,     1,     3,     4,     3,     1,     1,     1,     1,     2,
       0,     2,     4,     0,     2,     2,     2,     1,     1,     7,
       3,     1,     1,     1,     1,     2,     0,     1,     3,     3,
       3,     3,     0,     4,     5,     5,     0,     1,     1,     1,
       2,     2,     1,     2,     0,     7,     0,     5,     0,     4,
       2,     2,     0,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     5,     2,     1,     3,     2,
       2,     3,     0,     5,     1,     0,     5,     2,     2,     1,
       1,     1,     2,     2,     3,     1,     2,     2,     3,     3,
       4,     2,     1,     2,     1,     1,     2,     2,     3,     1,
       1,     1,     1,     0,     1,     3,     5,     0,     2,     0,
       1,     2,     3,     2,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     2,     2,     3,     0,     1,     2,     1,
       4,     3,     4,     3,     2,     1,     3,     1,     1,     1,
       1,     2,     2,     1,     2,     2,     1,     1,     1,     4,
       4,     4,     4,     4,     1,     0,     3,     3,     4,     1,
       3,     3,     4,     1,     3,     3,     1,     1,     1,     6,
       1,     3,     3,     6,     1,     3,     3,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     4,     1,
       1,     4,     4,     3,     0,     7,     1,     0,     0,     7,
       3,     4,     3,     1,     1,     1,     2,     3,     5,     2,
       2,     5,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     0,     1,     2,     1,     2,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     1,     2,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     3,     2,     3,     1,     3,     3,     3,     3,
       3,     3,     1,     1,     4,     0,     2,     2,     1,     2,
       1,     0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyo, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &yyvsp[(yyi + 1) - (yynrhs)]
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return (YYSIZE_T) (yystpcpy (yyres, yystr) - yyres);
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
                    yysize = yysize1;
                  else
                    return 2;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
      yysize = yysize1;
    else
      return 2;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yynewstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  *yyssp = (yytype_int16) yystate;

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = (YYSIZE_T) (yyssp - yyss + 1);

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
# undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1615 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34363 "preproc.c" /* yacc.c:1652  */
    break;

  case 4:
#line 1617 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34369 "preproc.c" /* yacc.c:1652  */
    break;

  case 5:
#line 1619 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34375 "preproc.c" /* yacc.c:1652  */
    break;

  case 6:
#line 1621 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34381 "preproc.c" /* yacc.c:1652  */
    break;

  case 7:
#line 1623 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34387 "preproc.c" /* yacc.c:1652  */
    break;

  case 8:
#line 1625 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34393 "preproc.c" /* yacc.c:1652  */
    break;

  case 9:
#line 1627 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34399 "preproc.c" /* yacc.c:1652  */
    break;

  case 10:
#line 1629 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34405 "preproc.c" /* yacc.c:1652  */
    break;

  case 11:
#line 1631 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34411 "preproc.c" /* yacc.c:1652  */
    break;

  case 12:
#line 1633 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34417 "preproc.c" /* yacc.c:1652  */
    break;

  case 13:
#line 1635 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34423 "preproc.c" /* yacc.c:1652  */
    break;

  case 14:
#line 1637 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34429 "preproc.c" /* yacc.c:1652  */
    break;

  case 15:
#line 1639 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34435 "preproc.c" /* yacc.c:1652  */
    break;

  case 16:
#line 1641 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34441 "preproc.c" /* yacc.c:1652  */
    break;

  case 17:
#line 1643 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34447 "preproc.c" /* yacc.c:1652  */
    break;

  case 18:
#line 1645 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34453 "preproc.c" /* yacc.c:1652  */
    break;

  case 19:
#line 1647 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34459 "preproc.c" /* yacc.c:1652  */
    break;

  case 20:
#line 1649 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34465 "preproc.c" /* yacc.c:1652  */
    break;

  case 21:
#line 1651 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34471 "preproc.c" /* yacc.c:1652  */
    break;

  case 22:
#line 1653 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34477 "preproc.c" /* yacc.c:1652  */
    break;

  case 23:
#line 1655 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34483 "preproc.c" /* yacc.c:1652  */
    break;

  case 24:
#line 1657 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34489 "preproc.c" /* yacc.c:1652  */
    break;

  case 25:
#line 1659 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34495 "preproc.c" /* yacc.c:1652  */
    break;

  case 26:
#line 1661 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34501 "preproc.c" /* yacc.c:1652  */
    break;

  case 27:
#line 1663 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34507 "preproc.c" /* yacc.c:1652  */
    break;

  case 28:
#line 1665 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34513 "preproc.c" /* yacc.c:1652  */
    break;

  case 29:
#line 1667 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34519 "preproc.c" /* yacc.c:1652  */
    break;

  case 30:
#line 1669 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34525 "preproc.c" /* yacc.c:1652  */
    break;

  case 31:
#line 1671 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34531 "preproc.c" /* yacc.c:1652  */
    break;

  case 32:
#line 1673 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34537 "preproc.c" /* yacc.c:1652  */
    break;

  case 33:
#line 1675 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34543 "preproc.c" /* yacc.c:1652  */
    break;

  case 34:
#line 1677 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34549 "preproc.c" /* yacc.c:1652  */
    break;

  case 35:
#line 1679 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34555 "preproc.c" /* yacc.c:1652  */
    break;

  case 36:
#line 1681 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34561 "preproc.c" /* yacc.c:1652  */
    break;

  case 37:
#line 1683 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34567 "preproc.c" /* yacc.c:1652  */
    break;

  case 38:
#line 1685 "preproc.y" /* yacc.c:1652  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 34589 "preproc.c" /* yacc.c:1652  */
    break;

  case 39:
#line 1703 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34595 "preproc.c" /* yacc.c:1652  */
    break;

  case 40:
#line 1705 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34601 "preproc.c" /* yacc.c:1652  */
    break;

  case 41:
#line 1707 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34607 "preproc.c" /* yacc.c:1652  */
    break;

  case 42:
#line 1709 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34613 "preproc.c" /* yacc.c:1652  */
    break;

  case 43:
#line 1711 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34619 "preproc.c" /* yacc.c:1652  */
    break;

  case 44:
#line 1713 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34625 "preproc.c" /* yacc.c:1652  */
    break;

  case 45:
#line 1715 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34631 "preproc.c" /* yacc.c:1652  */
    break;

  case 46:
#line 1717 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34637 "preproc.c" /* yacc.c:1652  */
    break;

  case 47:
#line 1719 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34643 "preproc.c" /* yacc.c:1652  */
    break;

  case 48:
#line 1721 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34649 "preproc.c" /* yacc.c:1652  */
    break;

  case 49:
#line 1723 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34655 "preproc.c" /* yacc.c:1652  */
    break;

  case 50:
#line 1725 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34661 "preproc.c" /* yacc.c:1652  */
    break;

  case 51:
#line 1727 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34667 "preproc.c" /* yacc.c:1652  */
    break;

  case 52:
#line 1729 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34673 "preproc.c" /* yacc.c:1652  */
    break;

  case 53:
#line 1731 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34679 "preproc.c" /* yacc.c:1652  */
    break;

  case 54:
#line 1733 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34685 "preproc.c" /* yacc.c:1652  */
    break;

  case 55:
#line 1735 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34691 "preproc.c" /* yacc.c:1652  */
    break;

  case 56:
#line 1737 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34697 "preproc.c" /* yacc.c:1652  */
    break;

  case 57:
#line 1739 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34703 "preproc.c" /* yacc.c:1652  */
    break;

  case 58:
#line 1741 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34709 "preproc.c" /* yacc.c:1652  */
    break;

  case 59:
#line 1743 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34715 "preproc.c" /* yacc.c:1652  */
    break;

  case 60:
#line 1745 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34721 "preproc.c" /* yacc.c:1652  */
    break;

  case 61:
#line 1747 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34727 "preproc.c" /* yacc.c:1652  */
    break;

  case 62:
#line 1749 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34733 "preproc.c" /* yacc.c:1652  */
    break;

  case 63:
#line 1751 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34739 "preproc.c" /* yacc.c:1652  */
    break;

  case 64:
#line 1753 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34745 "preproc.c" /* yacc.c:1652  */
    break;

  case 65:
#line 1755 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34751 "preproc.c" /* yacc.c:1652  */
    break;

  case 66:
#line 1757 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34757 "preproc.c" /* yacc.c:1652  */
    break;

  case 67:
#line 1759 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34763 "preproc.c" /* yacc.c:1652  */
    break;

  case 68:
#line 1761 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34769 "preproc.c" /* yacc.c:1652  */
    break;

  case 69:
#line 1763 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34775 "preproc.c" /* yacc.c:1652  */
    break;

  case 70:
#line 1765 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34781 "preproc.c" /* yacc.c:1652  */
    break;

  case 71:
#line 1767 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34787 "preproc.c" /* yacc.c:1652  */
    break;

  case 72:
#line 1769 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34793 "preproc.c" /* yacc.c:1652  */
    break;

  case 73:
#line 1771 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34799 "preproc.c" /* yacc.c:1652  */
    break;

  case 74:
#line 1773 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34805 "preproc.c" /* yacc.c:1652  */
    break;

  case 75:
#line 1775 "preproc.y" /* yacc.c:1652  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 34813 "preproc.c" /* yacc.c:1652  */
    break;

  case 76:
#line 1779 "preproc.y" /* yacc.c:1652  */
    { output_simple_statement((yyvsp[0].str), (strncmp((yyvsp[0].str), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0); }
#line 34819 "preproc.c" /* yacc.c:1652  */
    break;

  case 77:
#line 1781 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34825 "preproc.c" /* yacc.c:1652  */
    break;

  case 78:
#line 1783 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34831 "preproc.c" /* yacc.c:1652  */
    break;

  case 79:
#line 1785 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 34837 "preproc.c" /* yacc.c:1652  */
    break;

  case 80:
#line 1787 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34843 "preproc.c" /* yacc.c:1652  */
    break;

  case 81:
#line 1789 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34849 "preproc.c" /* yacc.c:1652  */
    break;

  case 82:
#line 1791 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34855 "preproc.c" /* yacc.c:1652  */
    break;

  case 83:
#line 1793 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34861 "preproc.c" /* yacc.c:1652  */
    break;

  case 84:
#line 1795 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34867 "preproc.c" /* yacc.c:1652  */
    break;

  case 85:
#line 1797 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34873 "preproc.c" /* yacc.c:1652  */
    break;

  case 86:
#line 1799 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34879 "preproc.c" /* yacc.c:1652  */
    break;

  case 87:
#line 1801 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34885 "preproc.c" /* yacc.c:1652  */
    break;

  case 88:
#line 1803 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34891 "preproc.c" /* yacc.c:1652  */
    break;

  case 89:
#line 1805 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34897 "preproc.c" /* yacc.c:1652  */
    break;

  case 90:
#line 1807 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34903 "preproc.c" /* yacc.c:1652  */
    break;

  case 91:
#line 1809 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34909 "preproc.c" /* yacc.c:1652  */
    break;

  case 92:
#line 1811 "preproc.y" /* yacc.c:1652  */
    {
		if ((yyvsp[0].exec).type == NULL || strlen((yyvsp[0].exec).type) == 0)
			output_statement((yyvsp[0].exec).name, 1, ECPGst_execute);
		else
		{
			if ((yyvsp[0].exec).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].exec).name), &no_indicator);
			else
			{
				/* case of ecpg_ident or CSTRING */
				char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
				char *str = mm_strdup((yyvsp[0].exec).name + 1);

				/* It must be cut off double quotation because new_variable() double-quotes. */
				str[strlen(str) - 1] = '\0';
				sprintf(length, "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(3, mm_strdup("execute"), mm_strdup("$0"), (yyvsp[0].exec).type), 0, ECPGst_exec_with_exprlist);
		}
	}
#line 34936 "preproc.c" /* yacc.c:1652  */
    break;

  case 93:
#line 1834 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34942 "preproc.c" /* yacc.c:1652  */
    break;

  case 94:
#line 1836 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 34948 "preproc.c" /* yacc.c:1652  */
    break;

  case 95:
#line 1838 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34954 "preproc.c" /* yacc.c:1652  */
    break;

  case 96:
#line 1840 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34960 "preproc.c" /* yacc.c:1652  */
    break;

  case 97:
#line 1842 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34966 "preproc.c" /* yacc.c:1652  */
    break;

  case 98:
#line 1844 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34972 "preproc.c" /* yacc.c:1652  */
    break;

  case 99:
#line 1846 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34978 "preproc.c" /* yacc.c:1652  */
    break;

  case 100:
#line 1848 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34984 "preproc.c" /* yacc.c:1652  */
    break;

  case 101:
#line 1850 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34990 "preproc.c" /* yacc.c:1652  */
    break;

  case 102:
#line 1852 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34996 "preproc.c" /* yacc.c:1652  */
    break;

  case 103:
#line 1854 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35002 "preproc.c" /* yacc.c:1652  */
    break;

  case 104:
#line 1856 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35008 "preproc.c" /* yacc.c:1652  */
    break;

  case 105:
#line 1858 "preproc.y" /* yacc.c:1652  */
    {
		if ((yyvsp[0].prep).type == NULL)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else if (strlen((yyvsp[0].prep).type) == 0)
		{
			char *stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].prep).stmt, mm_strdup("\""));
			output_prepare_statement((yyvsp[0].prep).name, stmt);
		}
		else
		{
			if ((yyvsp[0].prep).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].prep).name), &no_indicator);
			else
			{
				char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
				char *str = mm_strdup((yyvsp[0].prep).name + 1);

				/* It must be cut off double quotation because new_variable() double-quotes. */
				str[strlen(str) - 1] = '\0';
				sprintf(length, "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(5, mm_strdup("prepare"), mm_strdup("$0"), (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_prepare);
		}
	}
#line 35039 "preproc.c" /* yacc.c:1652  */
    break;

  case 106:
#line 1885 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35045 "preproc.c" /* yacc.c:1652  */
    break;

  case 107:
#line 1887 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35051 "preproc.c" /* yacc.c:1652  */
    break;

  case 108:
#line 1889 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35057 "preproc.c" /* yacc.c:1652  */
    break;

  case 109:
#line 1891 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35063 "preproc.c" /* yacc.c:1652  */
    break;

  case 110:
#line 1893 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35069 "preproc.c" /* yacc.c:1652  */
    break;

  case 111:
#line 1895 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35075 "preproc.c" /* yacc.c:1652  */
    break;

  case 112:
#line 1897 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35081 "preproc.c" /* yacc.c:1652  */
    break;

  case 113:
#line 1899 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35087 "preproc.c" /* yacc.c:1652  */
    break;

  case 114:
#line 1901 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35093 "preproc.c" /* yacc.c:1652  */
    break;

  case 115:
#line 1903 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35099 "preproc.c" /* yacc.c:1652  */
    break;

  case 116:
#line 1905 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 35105 "preproc.c" /* yacc.c:1652  */
    break;

  case 117:
#line 1907 "preproc.y" /* yacc.c:1652  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 35115 "preproc.c" /* yacc.c:1652  */
    break;

  case 118:
#line 1913 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35121 "preproc.c" /* yacc.c:1652  */
    break;

  case 119:
#line 1915 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35127 "preproc.c" /* yacc.c:1652  */
    break;

  case 120:
#line 1917 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 35133 "preproc.c" /* yacc.c:1652  */
    break;

  case 121:
#line 1919 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35139 "preproc.c" /* yacc.c:1652  */
    break;

  case 122:
#line 1921 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35145 "preproc.c" /* yacc.c:1652  */
    break;

  case 123:
#line 1923 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35151 "preproc.c" /* yacc.c:1652  */
    break;

  case 124:
#line 1925 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35157 "preproc.c" /* yacc.c:1652  */
    break;

  case 125:
#line 1927 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 35163 "preproc.c" /* yacc.c:1652  */
    break;

  case 126:
#line 1929 "preproc.y" /* yacc.c:1652  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 35173 "preproc.c" /* yacc.c:1652  */
    break;

  case 127:
#line 1935 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 35187 "preproc.c" /* yacc.c:1652  */
    break;

  case 128:
#line 1945 "preproc.y" /* yacc.c:1652  */
    {
		 output_simple_statement((yyvsp[0].str), (strncmp((yyvsp[0].str), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0);
	}
#line 35195 "preproc.c" /* yacc.c:1652  */
    break;

  case 129:
#line 1949 "preproc.y" /* yacc.c:1652  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 35205 "preproc.c" /* yacc.c:1652  */
    break;

  case 130:
#line 1955 "preproc.y" /* yacc.c:1652  */
    {
		output_simple_statement((yyvsp[0].str), 0);
	}
#line 35213 "preproc.c" /* yacc.c:1652  */
    break;

  case 131:
#line 1959 "preproc.y" /* yacc.c:1652  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 35227 "preproc.c" /* yacc.c:1652  */
    break;

  case 132:
#line 1969 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 35241 "preproc.c" /* yacc.c:1652  */
    break;

  case 133:
#line 1978 "preproc.y" /* yacc.c:1652  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 35247 "preproc.c" /* yacc.c:1652  */
    break;

  case 134:
#line 1980 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 35265 "preproc.c" /* yacc.c:1652  */
    break;

  case 135:
#line 1994 "preproc.y" /* yacc.c:1652  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 35276 "preproc.c" /* yacc.c:1652  */
    break;

  case 136:
#line 2001 "preproc.y" /* yacc.c:1652  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 35286 "preproc.c" /* yacc.c:1652  */
    break;

  case 137:
#line 2007 "preproc.y" /* yacc.c:1652  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 35301 "preproc.c" /* yacc.c:1652  */
    break;

  case 138:
#line 2018 "preproc.y" /* yacc.c:1652  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 35311 "preproc.c" /* yacc.c:1652  */
    break;

  case 139:
#line 2024 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 35324 "preproc.c" /* yacc.c:1652  */
    break;

  case 140:
#line 2033 "preproc.y" /* yacc.c:1652  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 35335 "preproc.c" /* yacc.c:1652  */
    break;

  case 141:
#line 2040 "preproc.y" /* yacc.c:1652  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 35345 "preproc.c" /* yacc.c:1652  */
    break;

  case 142:
#line 2046 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 35358 "preproc.c" /* yacc.c:1652  */
    break;

  case 143:
#line 2055 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str), 0);
	}
#line 35369 "preproc.c" /* yacc.c:1652  */
    break;

  case 144:
#line 2062 "preproc.y" /* yacc.c:1652  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str), 0);
	}
#line 35380 "preproc.c" /* yacc.c:1652  */
    break;

  case 145:
#line 2069 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 35386 "preproc.c" /* yacc.c:1652  */
    break;

  case 146:
#line 2075 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("call"),(yyvsp[0].str));
}
#line 35394 "preproc.c" /* yacc.c:1652  */
    break;

  case 147:
#line 2083 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35402 "preproc.c" /* yacc.c:1652  */
    break;

  case 148:
#line 2091 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 35410 "preproc.c" /* yacc.c:1652  */
    break;

  case 149:
#line 2095 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 35418 "preproc.c" /* yacc.c:1652  */
    break;

  case 150:
#line 2099 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35425 "preproc.c" /* yacc.c:1652  */
    break;

  case 151:
#line 2106 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35433 "preproc.c" /* yacc.c:1652  */
    break;

  case 152:
#line 2110 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35440 "preproc.c" /* yacc.c:1652  */
    break;

  case 153:
#line 2117 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35448 "preproc.c" /* yacc.c:1652  */
    break;

  case 154:
#line 2121 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35455 "preproc.c" /* yacc.c:1652  */
    break;

  case 155:
#line 2128 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 35463 "preproc.c" /* yacc.c:1652  */
    break;

  case 156:
#line 2132 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 35471 "preproc.c" /* yacc.c:1652  */
    break;

  case 157:
#line 2136 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 35479 "preproc.c" /* yacc.c:1652  */
    break;

  case 158:
#line 2140 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 35488 "preproc.c" /* yacc.c:1652  */
    break;

  case 159:
#line 2145 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 35496 "preproc.c" /* yacc.c:1652  */
    break;

  case 160:
#line 2149 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 35504 "preproc.c" /* yacc.c:1652  */
    break;

  case 161:
#line 2153 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 35512 "preproc.c" /* yacc.c:1652  */
    break;

  case 162:
#line 2157 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 35520 "preproc.c" /* yacc.c:1652  */
    break;

  case 163:
#line 2161 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35528 "preproc.c" /* yacc.c:1652  */
    break;

  case 164:
#line 2169 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35536 "preproc.c" /* yacc.c:1652  */
    break;

  case 165:
#line 2173 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 35544 "preproc.c" /* yacc.c:1652  */
    break;

  case 166:
#line 2177 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 35552 "preproc.c" /* yacc.c:1652  */
    break;

  case 167:
#line 2181 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 35560 "preproc.c" /* yacc.c:1652  */
    break;

  case 168:
#line 2185 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 35568 "preproc.c" /* yacc.c:1652  */
    break;

  case 169:
#line 2189 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 35576 "preproc.c" /* yacc.c:1652  */
    break;

  case 170:
#line 2197 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35584 "preproc.c" /* yacc.c:1652  */
    break;

  case 171:
#line 2205 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35592 "preproc.c" /* yacc.c:1652  */
    break;

  case 172:
#line 2209 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35600 "preproc.c" /* yacc.c:1652  */
    break;

  case 173:
#line 2217 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35607 "preproc.c" /* yacc.c:1652  */
    break;

  case 174:
#line 2220 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 35615 "preproc.c" /* yacc.c:1652  */
    break;

  case 175:
#line 2228 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35623 "preproc.c" /* yacc.c:1652  */
    break;

  case 176:
#line 2232 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35631 "preproc.c" /* yacc.c:1652  */
    break;

  case 177:
#line 2236 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35639 "preproc.c" /* yacc.c:1652  */
    break;

  case 178:
#line 2240 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35647 "preproc.c" /* yacc.c:1652  */
    break;

  case 179:
#line 2248 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 35655 "preproc.c" /* yacc.c:1652  */
    break;

  case 180:
#line 2252 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 35663 "preproc.c" /* yacc.c:1652  */
    break;

  case 181:
#line 2256 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 35671 "preproc.c" /* yacc.c:1652  */
    break;

  case 182:
#line 2260 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 35679 "preproc.c" /* yacc.c:1652  */
    break;

  case 183:
#line 2264 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 35687 "preproc.c" /* yacc.c:1652  */
    break;

  case 184:
#line 2268 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 35695 "preproc.c" /* yacc.c:1652  */
    break;

  case 185:
#line 2276 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35703 "preproc.c" /* yacc.c:1652  */
    break;

  case 186:
#line 2284 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 35711 "preproc.c" /* yacc.c:1652  */
    break;

  case 187:
#line 2292 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 35719 "preproc.c" /* yacc.c:1652  */
    break;

  case 188:
#line 2296 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 35727 "preproc.c" /* yacc.c:1652  */
    break;

  case 189:
#line 2304 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35735 "preproc.c" /* yacc.c:1652  */
    break;

  case 190:
#line 2308 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35743 "preproc.c" /* yacc.c:1652  */
    break;

  case 191:
#line 2312 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35752 "preproc.c" /* yacc.c:1652  */
    break;

  case 192:
#line 2317 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35761 "preproc.c" /* yacc.c:1652  */
    break;

  case 193:
#line 2326 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35769 "preproc.c" /* yacc.c:1652  */
    break;

  case 194:
#line 2330 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35776 "preproc.c" /* yacc.c:1652  */
    break;

  case 195:
#line 2337 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35784 "preproc.c" /* yacc.c:1652  */
    break;

  case 196:
#line 2341 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 35791 "preproc.c" /* yacc.c:1652  */
    break;

  case 197:
#line 2348 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35799 "preproc.c" /* yacc.c:1652  */
    break;

  case 198:
#line 2352 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35807 "preproc.c" /* yacc.c:1652  */
    break;

  case 199:
#line 2356 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35815 "preproc.c" /* yacc.c:1652  */
    break;

  case 200:
#line 2360 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35823 "preproc.c" /* yacc.c:1652  */
    break;

  case 201:
#line 2364 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35831 "preproc.c" /* yacc.c:1652  */
    break;

  case 202:
#line 2368 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35839 "preproc.c" /* yacc.c:1652  */
    break;

  case 203:
#line 2376 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35847 "preproc.c" /* yacc.c:1652  */
    break;

  case 204:
#line 2380 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 35855 "preproc.c" /* yacc.c:1652  */
    break;

  case 205:
#line 2384 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 35863 "preproc.c" /* yacc.c:1652  */
    break;

  case 206:
#line 2392 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 35871 "preproc.c" /* yacc.c:1652  */
    break;

  case 207:
#line 2396 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 35879 "preproc.c" /* yacc.c:1652  */
    break;

  case 208:
#line 2400 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35887 "preproc.c" /* yacc.c:1652  */
    break;

  case 209:
#line 2408 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35895 "preproc.c" /* yacc.c:1652  */
    break;

  case 210:
#line 2412 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35903 "preproc.c" /* yacc.c:1652  */
    break;

  case 211:
#line 2416 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 35911 "preproc.c" /* yacc.c:1652  */
    break;

  case 212:
#line 2420 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 35919 "preproc.c" /* yacc.c:1652  */
    break;

  case 213:
#line 2428 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35927 "preproc.c" /* yacc.c:1652  */
    break;

  case 214:
#line 2432 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 35935 "preproc.c" /* yacc.c:1652  */
    break;

  case 215:
#line 2436 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 35943 "preproc.c" /* yacc.c:1652  */
    break;

  case 216:
#line 2440 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 35952 "preproc.c" /* yacc.c:1652  */
    break;

  case 217:
#line 2445 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35960 "preproc.c" /* yacc.c:1652  */
    break;

  case 218:
#line 2449 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 35968 "preproc.c" /* yacc.c:1652  */
    break;

  case 219:
#line 2453 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 35976 "preproc.c" /* yacc.c:1652  */
    break;

  case 220:
#line 2457 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 35984 "preproc.c" /* yacc.c:1652  */
    break;

  case 221:
#line 2461 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 35992 "preproc.c" /* yacc.c:1652  */
    break;

  case 222:
#line 2465 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 36000 "preproc.c" /* yacc.c:1652  */
    break;

  case 223:
#line 2469 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 36008 "preproc.c" /* yacc.c:1652  */
    break;

  case 224:
#line 2477 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36016 "preproc.c" /* yacc.c:1652  */
    break;

  case 225:
#line 2481 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 36024 "preproc.c" /* yacc.c:1652  */
    break;

  case 226:
#line 2489 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36032 "preproc.c" /* yacc.c:1652  */
    break;

  case 227:
#line 2493 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36040 "preproc.c" /* yacc.c:1652  */
    break;

  case 228:
#line 2501 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36048 "preproc.c" /* yacc.c:1652  */
    break;

  case 229:
#line 2505 "preproc.y" /* yacc.c:1652  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 36062 "preproc.c" /* yacc.c:1652  */
    break;

  case 230:
#line 2519 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 36070 "preproc.c" /* yacc.c:1652  */
    break;

  case 231:
#line 2523 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 36078 "preproc.c" /* yacc.c:1652  */
    break;

  case 232:
#line 2527 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 36086 "preproc.c" /* yacc.c:1652  */
    break;

  case 233:
#line 2531 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 36094 "preproc.c" /* yacc.c:1652  */
    break;

  case 234:
#line 2539 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 36102 "preproc.c" /* yacc.c:1652  */
    break;

  case 235:
#line 2543 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 36110 "preproc.c" /* yacc.c:1652  */
    break;

  case 236:
#line 2547 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 36118 "preproc.c" /* yacc.c:1652  */
    break;

  case 237:
#line 2551 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36126 "preproc.c" /* yacc.c:1652  */
    break;

  case 238:
#line 2559 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36134 "preproc.c" /* yacc.c:1652  */
    break;

  case 239:
#line 2563 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36142 "preproc.c" /* yacc.c:1652  */
    break;

  case 240:
#line 2567 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36150 "preproc.c" /* yacc.c:1652  */
    break;

  case 241:
#line 2571 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36158 "preproc.c" /* yacc.c:1652  */
    break;

  case 242:
#line 2575 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36166 "preproc.c" /* yacc.c:1652  */
    break;

  case 243:
#line 2579 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 36174 "preproc.c" /* yacc.c:1652  */
    break;

  case 244:
#line 2583 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 36182 "preproc.c" /* yacc.c:1652  */
    break;

  case 245:
#line 2591 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36190 "preproc.c" /* yacc.c:1652  */
    break;

  case 246:
#line 2595 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 36198 "preproc.c" /* yacc.c:1652  */
    break;

  case 247:
#line 2599 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 36205 "preproc.c" /* yacc.c:1652  */
    break;

  case 248:
#line 2606 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36213 "preproc.c" /* yacc.c:1652  */
    break;

  case 249:
#line 2610 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36221 "preproc.c" /* yacc.c:1652  */
    break;

  case 250:
#line 2618 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 36229 "preproc.c" /* yacc.c:1652  */
    break;

  case 251:
#line 2626 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36237 "preproc.c" /* yacc.c:1652  */
    break;

  case 252:
#line 2630 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 36245 "preproc.c" /* yacc.c:1652  */
    break;

  case 253:
#line 2634 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 36253 "preproc.c" /* yacc.c:1652  */
    break;

  case 254:
#line 2638 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 36261 "preproc.c" /* yacc.c:1652  */
    break;

  case 255:
#line 2646 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36269 "preproc.c" /* yacc.c:1652  */
    break;

  case 256:
#line 2650 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36277 "preproc.c" /* yacc.c:1652  */
    break;

  case 257:
#line 2658 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 36285 "preproc.c" /* yacc.c:1652  */
    break;

  case 258:
#line 2662 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36293 "preproc.c" /* yacc.c:1652  */
    break;

  case 259:
#line 2670 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 36301 "preproc.c" /* yacc.c:1652  */
    break;

  case 260:
#line 2674 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36309 "preproc.c" /* yacc.c:1652  */
    break;

  case 261:
#line 2682 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 36317 "preproc.c" /* yacc.c:1652  */
    break;

  case 262:
#line 2686 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 36325 "preproc.c" /* yacc.c:1652  */
    break;

  case 263:
#line 2690 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 36333 "preproc.c" /* yacc.c:1652  */
    break;

  case 264:
#line 2694 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 36341 "preproc.c" /* yacc.c:1652  */
    break;

  case 265:
#line 2698 "preproc.y" /* yacc.c:1652  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 36350 "preproc.c" /* yacc.c:1652  */
    break;

  case 266:
#line 2707 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36358 "preproc.c" /* yacc.c:1652  */
    break;

  case 267:
#line 2715 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36366 "preproc.c" /* yacc.c:1652  */
    break;

  case 268:
#line 2719 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36374 "preproc.c" /* yacc.c:1652  */
    break;

  case 269:
#line 2727 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 36382 "preproc.c" /* yacc.c:1652  */
    break;

  case 270:
#line 2731 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 36390 "preproc.c" /* yacc.c:1652  */
    break;

  case 271:
#line 2739 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 36398 "preproc.c" /* yacc.c:1652  */
    break;

  case 272:
#line 2747 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 36406 "preproc.c" /* yacc.c:1652  */
    break;

  case 273:
#line 2751 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 36414 "preproc.c" /* yacc.c:1652  */
    break;

  case 274:
#line 2755 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 36422 "preproc.c" /* yacc.c:1652  */
    break;

  case 275:
#line 2759 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 36430 "preproc.c" /* yacc.c:1652  */
    break;

  case 276:
#line 2763 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 36438 "preproc.c" /* yacc.c:1652  */
    break;

  case 277:
#line 2771 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36446 "preproc.c" /* yacc.c:1652  */
    break;

  case 278:
#line 2775 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36454 "preproc.c" /* yacc.c:1652  */
    break;

  case 279:
#line 2779 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36462 "preproc.c" /* yacc.c:1652  */
    break;

  case 280:
#line 2783 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36470 "preproc.c" /* yacc.c:1652  */
    break;

  case 281:
#line 2787 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36478 "preproc.c" /* yacc.c:1652  */
    break;

  case 282:
#line 2791 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36486 "preproc.c" /* yacc.c:1652  */
    break;

  case 283:
#line 2795 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36494 "preproc.c" /* yacc.c:1652  */
    break;

  case 284:
#line 2799 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36502 "preproc.c" /* yacc.c:1652  */
    break;

  case 285:
#line 2803 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36510 "preproc.c" /* yacc.c:1652  */
    break;

  case 286:
#line 2807 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36518 "preproc.c" /* yacc.c:1652  */
    break;

  case 287:
#line 2811 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36526 "preproc.c" /* yacc.c:1652  */
    break;

  case 288:
#line 2815 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36534 "preproc.c" /* yacc.c:1652  */
    break;

  case 289:
#line 2819 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36542 "preproc.c" /* yacc.c:1652  */
    break;

  case 290:
#line 2823 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36550 "preproc.c" /* yacc.c:1652  */
    break;

  case 291:
#line 2827 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36558 "preproc.c" /* yacc.c:1652  */
    break;

  case 292:
#line 2831 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36566 "preproc.c" /* yacc.c:1652  */
    break;

  case 293:
#line 2835 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36574 "preproc.c" /* yacc.c:1652  */
    break;

  case 294:
#line 2839 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36582 "preproc.c" /* yacc.c:1652  */
    break;

  case 295:
#line 2843 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36590 "preproc.c" /* yacc.c:1652  */
    break;

  case 296:
#line 2847 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36598 "preproc.c" /* yacc.c:1652  */
    break;

  case 297:
#line 2851 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36606 "preproc.c" /* yacc.c:1652  */
    break;

  case 298:
#line 2859 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36614 "preproc.c" /* yacc.c:1652  */
    break;

  case 299:
#line 2863 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36622 "preproc.c" /* yacc.c:1652  */
    break;

  case 300:
#line 2871 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36630 "preproc.c" /* yacc.c:1652  */
    break;

  case 301:
#line 2875 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("detach partition"),(yyvsp[0].str));
}
#line 36638 "preproc.c" /* yacc.c:1652  */
    break;

  case 302:
#line 2883 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("attach partition"),(yyvsp[0].str));
}
#line 36646 "preproc.c" /* yacc.c:1652  */
    break;

  case 303:
#line 2891 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 36654 "preproc.c" /* yacc.c:1652  */
    break;

  case 304:
#line 2895 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 36662 "preproc.c" /* yacc.c:1652  */
    break;

  case 305:
#line 2899 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 36670 "preproc.c" /* yacc.c:1652  */
    break;

  case 306:
#line 2903 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 36678 "preproc.c" /* yacc.c:1652  */
    break;

  case 307:
#line 2907 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36686 "preproc.c" /* yacc.c:1652  */
    break;

  case 308:
#line 2911 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 36694 "preproc.c" /* yacc.c:1652  */
    break;

  case 309:
#line 2915 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 36702 "preproc.c" /* yacc.c:1652  */
    break;

  case 310:
#line 2919 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop expression"));
}
#line 36710 "preproc.c" /* yacc.c:1652  */
    break;

  case 311:
#line 2923 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop expression if exists"));
}
#line 36718 "preproc.c" /* yacc.c:1652  */
    break;

  case 312:
#line 2927 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 36726 "preproc.c" /* yacc.c:1652  */
    break;

  case 313:
#line 2931 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 36734 "preproc.c" /* yacc.c:1652  */
    break;

  case 314:
#line 2935 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 36742 "preproc.c" /* yacc.c:1652  */
    break;

  case 315:
#line 2939 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 36750 "preproc.c" /* yacc.c:1652  */
    break;

  case 316:
#line 2943 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 36758 "preproc.c" /* yacc.c:1652  */
    break;

  case 317:
#line 2947 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 36766 "preproc.c" /* yacc.c:1652  */
    break;

  case 318:
#line 2951 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36774 "preproc.c" /* yacc.c:1652  */
    break;

  case 319:
#line 2955 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 36782 "preproc.c" /* yacc.c:1652  */
    break;

  case 320:
#line 2959 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 36790 "preproc.c" /* yacc.c:1652  */
    break;

  case 321:
#line 2963 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36798 "preproc.c" /* yacc.c:1652  */
    break;

  case 322:
#line 2967 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36806 "preproc.c" /* yacc.c:1652  */
    break;

  case 323:
#line 2971 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36814 "preproc.c" /* yacc.c:1652  */
    break;

  case 324:
#line 2975 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36822 "preproc.c" /* yacc.c:1652  */
    break;

  case 325:
#line 2979 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 36830 "preproc.c" /* yacc.c:1652  */
    break;

  case 326:
#line 2983 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36838 "preproc.c" /* yacc.c:1652  */
    break;

  case 327:
#line 2987 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 36846 "preproc.c" /* yacc.c:1652  */
    break;

  case 328:
#line 2991 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36854 "preproc.c" /* yacc.c:1652  */
    break;

  case 329:
#line 2995 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36862 "preproc.c" /* yacc.c:1652  */
    break;

  case 330:
#line 2999 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 36870 "preproc.c" /* yacc.c:1652  */
    break;

  case 331:
#line 3003 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 36878 "preproc.c" /* yacc.c:1652  */
    break;

  case 332:
#line 3007 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 36886 "preproc.c" /* yacc.c:1652  */
    break;

  case 333:
#line 3011 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 36894 "preproc.c" /* yacc.c:1652  */
    break;

  case 334:
#line 3015 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 36902 "preproc.c" /* yacc.c:1652  */
    break;

  case 335:
#line 3019 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 36910 "preproc.c" /* yacc.c:1652  */
    break;

  case 336:
#line 3023 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 36918 "preproc.c" /* yacc.c:1652  */
    break;

  case 337:
#line 3027 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 36926 "preproc.c" /* yacc.c:1652  */
    break;

  case 338:
#line 3031 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 36934 "preproc.c" /* yacc.c:1652  */
    break;

  case 339:
#line 3035 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 36942 "preproc.c" /* yacc.c:1652  */
    break;

  case 340:
#line 3039 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 36950 "preproc.c" /* yacc.c:1652  */
    break;

  case 341:
#line 3043 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 36958 "preproc.c" /* yacc.c:1652  */
    break;

  case 342:
#line 3047 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 36966 "preproc.c" /* yacc.c:1652  */
    break;

  case 343:
#line 3051 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 36974 "preproc.c" /* yacc.c:1652  */
    break;

  case 344:
#line 3055 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 36982 "preproc.c" /* yacc.c:1652  */
    break;

  case 345:
#line 3059 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 36990 "preproc.c" /* yacc.c:1652  */
    break;

  case 346:
#line 3063 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 36998 "preproc.c" /* yacc.c:1652  */
    break;

  case 347:
#line 3067 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 37006 "preproc.c" /* yacc.c:1652  */
    break;

  case 348:
#line 3071 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 37014 "preproc.c" /* yacc.c:1652  */
    break;

  case 349:
#line 3075 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 37022 "preproc.c" /* yacc.c:1652  */
    break;

  case 350:
#line 3079 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 37030 "preproc.c" /* yacc.c:1652  */
    break;

  case 351:
#line 3083 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37038 "preproc.c" /* yacc.c:1652  */
    break;

  case 352:
#line 3087 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 37046 "preproc.c" /* yacc.c:1652  */
    break;

  case 353:
#line 3091 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 37054 "preproc.c" /* yacc.c:1652  */
    break;

  case 354:
#line 3095 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 37062 "preproc.c" /* yacc.c:1652  */
    break;

  case 355:
#line 3099 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 37070 "preproc.c" /* yacc.c:1652  */
    break;

  case 356:
#line 3103 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 37078 "preproc.c" /* yacc.c:1652  */
    break;

  case 357:
#line 3107 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 37086 "preproc.c" /* yacc.c:1652  */
    break;

  case 358:
#line 3111 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 37094 "preproc.c" /* yacc.c:1652  */
    break;

  case 359:
#line 3115 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 37102 "preproc.c" /* yacc.c:1652  */
    break;

  case 360:
#line 3119 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37110 "preproc.c" /* yacc.c:1652  */
    break;

  case 361:
#line 3127 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 37118 "preproc.c" /* yacc.c:1652  */
    break;

  case 362:
#line 3131 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 37126 "preproc.c" /* yacc.c:1652  */
    break;

  case 363:
#line 3139 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 37134 "preproc.c" /* yacc.c:1652  */
    break;

  case 364:
#line 3143 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 37142 "preproc.c" /* yacc.c:1652  */
    break;

  case 365:
#line 3147 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37149 "preproc.c" /* yacc.c:1652  */
    break;

  case 366:
#line 3154 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 37157 "preproc.c" /* yacc.c:1652  */
    break;

  case 367:
#line 3158 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37164 "preproc.c" /* yacc.c:1652  */
    break;

  case 368:
#line 3165 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 37172 "preproc.c" /* yacc.c:1652  */
    break;

  case 369:
#line 3169 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37179 "preproc.c" /* yacc.c:1652  */
    break;

  case 370:
#line 3176 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 37187 "preproc.c" /* yacc.c:1652  */
    break;

  case 371:
#line 3180 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 37195 "preproc.c" /* yacc.c:1652  */
    break;

  case 372:
#line 3184 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 37203 "preproc.c" /* yacc.c:1652  */
    break;

  case 373:
#line 3188 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 37211 "preproc.c" /* yacc.c:1652  */
    break;

  case 374:
#line 3196 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37219 "preproc.c" /* yacc.c:1652  */
    break;

  case 375:
#line 3204 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 37227 "preproc.c" /* yacc.c:1652  */
    break;

  case 376:
#line 3208 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37234 "preproc.c" /* yacc.c:1652  */
    break;

  case 377:
#line 3215 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37242 "preproc.c" /* yacc.c:1652  */
    break;

  case 378:
#line 3219 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37250 "preproc.c" /* yacc.c:1652  */
    break;

  case 379:
#line 3227 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 37258 "preproc.c" /* yacc.c:1652  */
    break;

  case 380:
#line 3231 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37266 "preproc.c" /* yacc.c:1652  */
    break;

  case 381:
#line 3235 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 37274 "preproc.c" /* yacc.c:1652  */
    break;

  case 382:
#line 3239 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 37282 "preproc.c" /* yacc.c:1652  */
    break;

  case 383:
#line 3247 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37290 "preproc.c" /* yacc.c:1652  */
    break;

  case 384:
#line 3251 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37298 "preproc.c" /* yacc.c:1652  */
    break;

  case 385:
#line 3259 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 37306 "preproc.c" /* yacc.c:1652  */
    break;

  case 386:
#line 3263 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37314 "preproc.c" /* yacc.c:1652  */
    break;

  case 387:
#line 3267 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 37322 "preproc.c" /* yacc.c:1652  */
    break;

  case 388:
#line 3271 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 37330 "preproc.c" /* yacc.c:1652  */
    break;

  case 389:
#line 3279 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values with ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37338 "preproc.c" /* yacc.c:1652  */
    break;

  case 390:
#line 3283 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37346 "preproc.c" /* yacc.c:1652  */
    break;

  case 391:
#line 3287 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37354 "preproc.c" /* yacc.c:1652  */
    break;

  case 392:
#line 3291 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 37362 "preproc.c" /* yacc.c:1652  */
    break;

  case 393:
#line 3299 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37370 "preproc.c" /* yacc.c:1652  */
    break;

  case 394:
#line 3307 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37378 "preproc.c" /* yacc.c:1652  */
    break;

  case 395:
#line 3311 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37386 "preproc.c" /* yacc.c:1652  */
    break;

  case 396:
#line 3319 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37394 "preproc.c" /* yacc.c:1652  */
    break;

  case 397:
#line 3327 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37402 "preproc.c" /* yacc.c:1652  */
    break;

  case 398:
#line 3331 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37410 "preproc.c" /* yacc.c:1652  */
    break;

  case 399:
#line 3339 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37418 "preproc.c" /* yacc.c:1652  */
    break;

  case 400:
#line 3343 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37426 "preproc.c" /* yacc.c:1652  */
    break;

  case 401:
#line 3347 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37434 "preproc.c" /* yacc.c:1652  */
    break;

  case 402:
#line 3351 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37442 "preproc.c" /* yacc.c:1652  */
    break;

  case 403:
#line 3359 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 37451 "preproc.c" /* yacc.c:1652  */
    break;

  case 404:
#line 3364 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 37459 "preproc.c" /* yacc.c:1652  */
    break;

  case 405:
#line 3372 "preproc.y" /* yacc.c:1652  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37471 "preproc.c" /* yacc.c:1652  */
    break;

  case 406:
#line 3380 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37479 "preproc.c" /* yacc.c:1652  */
    break;

  case 407:
#line 3388 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 37487 "preproc.c" /* yacc.c:1652  */
    break;

  case 408:
#line 3392 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 37495 "preproc.c" /* yacc.c:1652  */
    break;

  case 409:
#line 3400 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 37503 "preproc.c" /* yacc.c:1652  */
    break;

  case 410:
#line 3404 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37510 "preproc.c" /* yacc.c:1652  */
    break;

  case 411:
#line 3411 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37518 "preproc.c" /* yacc.c:1652  */
    break;

  case 412:
#line 3415 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 37526 "preproc.c" /* yacc.c:1652  */
    break;

  case 413:
#line 3419 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 37534 "preproc.c" /* yacc.c:1652  */
    break;

  case 414:
#line 3427 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37542 "preproc.c" /* yacc.c:1652  */
    break;

  case 415:
#line 3431 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37550 "preproc.c" /* yacc.c:1652  */
    break;

  case 416:
#line 3439 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37558 "preproc.c" /* yacc.c:1652  */
    break;

  case 417:
#line 3443 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37565 "preproc.c" /* yacc.c:1652  */
    break;

  case 418:
#line 3450 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 37573 "preproc.c" /* yacc.c:1652  */
    break;

  case 419:
#line 3454 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 37581 "preproc.c" /* yacc.c:1652  */
    break;

  case 420:
#line 3458 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37589 "preproc.c" /* yacc.c:1652  */
    break;

  case 421:
#line 3462 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37597 "preproc.c" /* yacc.c:1652  */
    break;

  case 422:
#line 3466 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 37605 "preproc.c" /* yacc.c:1652  */
    break;

  case 423:
#line 3470 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 37613 "preproc.c" /* yacc.c:1652  */
    break;

  case 424:
#line 3474 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37621 "preproc.c" /* yacc.c:1652  */
    break;

  case 425:
#line 3478 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37629 "preproc.c" /* yacc.c:1652  */
    break;

  case 426:
#line 3482 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 37637 "preproc.c" /* yacc.c:1652  */
    break;

  case 427:
#line 3486 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 37645 "preproc.c" /* yacc.c:1652  */
    break;

  case 428:
#line 3490 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 37653 "preproc.c" /* yacc.c:1652  */
    break;

  case 429:
#line 3494 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 37661 "preproc.c" /* yacc.c:1652  */
    break;

  case 430:
#line 3498 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 37669 "preproc.c" /* yacc.c:1652  */
    break;

  case 431:
#line 3506 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 37677 "preproc.c" /* yacc.c:1652  */
    break;

  case 432:
#line 3510 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37684 "preproc.c" /* yacc.c:1652  */
    break;

  case 433:
#line 3517 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 37692 "preproc.c" /* yacc.c:1652  */
    break;

  case 434:
#line 3521 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37699 "preproc.c" /* yacc.c:1652  */
    break;

  case 435:
#line 3528 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 37707 "preproc.c" /* yacc.c:1652  */
    break;

  case 436:
#line 3532 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37714 "preproc.c" /* yacc.c:1652  */
    break;

  case 437:
#line 3539 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37722 "preproc.c" /* yacc.c:1652  */
    break;

  case 438:
#line 3543 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37730 "preproc.c" /* yacc.c:1652  */
    break;

  case 439:
#line 3551 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37738 "preproc.c" /* yacc.c:1652  */
    break;

  case 440:
#line 3559 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37746 "preproc.c" /* yacc.c:1652  */
    break;

  case 441:
#line 3563 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37754 "preproc.c" /* yacc.c:1652  */
    break;

  case 442:
#line 3567 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 37762 "preproc.c" /* yacc.c:1652  */
    break;

  case 443:
#line 3571 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37770 "preproc.c" /* yacc.c:1652  */
    break;

  case 444:
#line 3575 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37777 "preproc.c" /* yacc.c:1652  */
    break;

  case 445:
#line 3582 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37785 "preproc.c" /* yacc.c:1652  */
    break;

  case 446:
#line 3586 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37793 "preproc.c" /* yacc.c:1652  */
    break;

  case 447:
#line 3594 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37801 "preproc.c" /* yacc.c:1652  */
    break;

  case 448:
#line 3602 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("("),(yyvsp[-7].str),mm_strdup(")"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37809 "preproc.c" /* yacc.c:1652  */
    break;

  case 449:
#line 3606 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("("),(yyvsp[-7].str),mm_strdup(")"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37817 "preproc.c" /* yacc.c:1652  */
    break;

  case 450:
#line 3610 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37825 "preproc.c" /* yacc.c:1652  */
    break;

  case 451:
#line 3614 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37833 "preproc.c" /* yacc.c:1652  */
    break;

  case 452:
#line 3618 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table"),(yyvsp[-10].str),mm_strdup("partition of"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37841 "preproc.c" /* yacc.c:1652  */
    break;

  case 453:
#line 3622 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("table if not exists"),(yyvsp[-10].str),mm_strdup("partition of"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37849 "preproc.c" /* yacc.c:1652  */
    break;

  case 454:
#line 3630 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 37857 "preproc.c" /* yacc.c:1652  */
    break;

  case 455:
#line 3634 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 37865 "preproc.c" /* yacc.c:1652  */
    break;

  case 456:
#line 3638 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 37873 "preproc.c" /* yacc.c:1652  */
    break;

  case 457:
#line 3642 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 37881 "preproc.c" /* yacc.c:1652  */
    break;

  case 458:
#line 3646 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 37889 "preproc.c" /* yacc.c:1652  */
    break;

  case 459:
#line 3650 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 37897 "preproc.c" /* yacc.c:1652  */
    break;

  case 460:
#line 3654 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 37905 "preproc.c" /* yacc.c:1652  */
    break;

  case 461:
#line 3658 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37912 "preproc.c" /* yacc.c:1652  */
    break;

  case 462:
#line 3665 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37920 "preproc.c" /* yacc.c:1652  */
    break;

  case 463:
#line 3669 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37927 "preproc.c" /* yacc.c:1652  */
    break;

  case 464:
#line 3676 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37935 "preproc.c" /* yacc.c:1652  */
    break;

  case 465:
#line 3680 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 37942 "preproc.c" /* yacc.c:1652  */
    break;

  case 466:
#line 3687 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37950 "preproc.c" /* yacc.c:1652  */
    break;

  case 467:
#line 3691 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37958 "preproc.c" /* yacc.c:1652  */
    break;

  case 468:
#line 3699 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37966 "preproc.c" /* yacc.c:1652  */
    break;

  case 469:
#line 3703 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37974 "preproc.c" /* yacc.c:1652  */
    break;

  case 470:
#line 3711 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37982 "preproc.c" /* yacc.c:1652  */
    break;

  case 471:
#line 3715 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37990 "preproc.c" /* yacc.c:1652  */
    break;

  case 472:
#line 3719 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37998 "preproc.c" /* yacc.c:1652  */
    break;

  case 473:
#line 3727 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38006 "preproc.c" /* yacc.c:1652  */
    break;

  case 474:
#line 3731 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38014 "preproc.c" /* yacc.c:1652  */
    break;

  case 475:
#line 3739 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38022 "preproc.c" /* yacc.c:1652  */
    break;

  case 476:
#line 3747 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38030 "preproc.c" /* yacc.c:1652  */
    break;

  case 477:
#line 3751 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 38038 "preproc.c" /* yacc.c:1652  */
    break;

  case 478:
#line 3759 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38046 "preproc.c" /* yacc.c:1652  */
    break;

  case 479:
#line 3763 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38053 "preproc.c" /* yacc.c:1652  */
    break;

  case 480:
#line 3770 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38061 "preproc.c" /* yacc.c:1652  */
    break;

  case 481:
#line 3774 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38069 "preproc.c" /* yacc.c:1652  */
    break;

  case 482:
#line 3778 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38077 "preproc.c" /* yacc.c:1652  */
    break;

  case 483:
#line 3782 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 38085 "preproc.c" /* yacc.c:1652  */
    break;

  case 484:
#line 3790 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 38093 "preproc.c" /* yacc.c:1652  */
    break;

  case 485:
#line 3794 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 38101 "preproc.c" /* yacc.c:1652  */
    break;

  case 486:
#line 3798 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38109 "preproc.c" /* yacc.c:1652  */
    break;

  case 487:
#line 3802 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38117 "preproc.c" /* yacc.c:1652  */
    break;

  case 488:
#line 3806 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38125 "preproc.c" /* yacc.c:1652  */
    break;

  case 489:
#line 3810 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 38133 "preproc.c" /* yacc.c:1652  */
    break;

  case 490:
#line 3814 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 38141 "preproc.c" /* yacc.c:1652  */
    break;

  case 491:
#line 3818 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("generated"),(yyvsp[-5].str),mm_strdup("as ("),(yyvsp[-2].str),mm_strdup(") stored"));
}
#line 38149 "preproc.c" /* yacc.c:1652  */
    break;

  case 492:
#line 3822 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38157 "preproc.c" /* yacc.c:1652  */
    break;

  case 493:
#line 3830 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 38165 "preproc.c" /* yacc.c:1652  */
    break;

  case 494:
#line 3834 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 38173 "preproc.c" /* yacc.c:1652  */
    break;

  case 495:
#line 3842 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 38181 "preproc.c" /* yacc.c:1652  */
    break;

  case 496:
#line 3846 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 38189 "preproc.c" /* yacc.c:1652  */
    break;

  case 497:
#line 3850 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 38197 "preproc.c" /* yacc.c:1652  */
    break;

  case 498:
#line 3854 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 38205 "preproc.c" /* yacc.c:1652  */
    break;

  case 499:
#line 3862 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38213 "preproc.c" /* yacc.c:1652  */
    break;

  case 500:
#line 3870 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 38221 "preproc.c" /* yacc.c:1652  */
    break;

  case 501:
#line 3874 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 38229 "preproc.c" /* yacc.c:1652  */
    break;

  case 502:
#line 3878 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38236 "preproc.c" /* yacc.c:1652  */
    break;

  case 503:
#line 3885 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 38244 "preproc.c" /* yacc.c:1652  */
    break;

  case 504:
#line 3889 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 38252 "preproc.c" /* yacc.c:1652  */
    break;

  case 505:
#line 3893 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 38260 "preproc.c" /* yacc.c:1652  */
    break;

  case 506:
#line 3897 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 38268 "preproc.c" /* yacc.c:1652  */
    break;

  case 507:
#line 3901 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 38276 "preproc.c" /* yacc.c:1652  */
    break;

  case 508:
#line 3905 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 38284 "preproc.c" /* yacc.c:1652  */
    break;

  case 509:
#line 3909 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 38292 "preproc.c" /* yacc.c:1652  */
    break;

  case 510:
#line 3913 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 38300 "preproc.c" /* yacc.c:1652  */
    break;

  case 511:
#line 3917 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38308 "preproc.c" /* yacc.c:1652  */
    break;

  case 512:
#line 3925 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38316 "preproc.c" /* yacc.c:1652  */
    break;

  case 513:
#line 3929 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38324 "preproc.c" /* yacc.c:1652  */
    break;

  case 514:
#line 3937 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38332 "preproc.c" /* yacc.c:1652  */
    break;

  case 515:
#line 3941 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("unique ("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38340 "preproc.c" /* yacc.c:1652  */
    break;

  case 516:
#line 3945 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38348 "preproc.c" /* yacc.c:1652  */
    break;

  case 517:
#line 3949 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("primary key ("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38356 "preproc.c" /* yacc.c:1652  */
    break;

  case 518:
#line 3953 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38364 "preproc.c" /* yacc.c:1652  */
    break;

  case 519:
#line 3957 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("exclude"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38372 "preproc.c" /* yacc.c:1652  */
    break;

  case 520:
#line 3961 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38380 "preproc.c" /* yacc.c:1652  */
    break;

  case 521:
#line 3969 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 38388 "preproc.c" /* yacc.c:1652  */
    break;

  case 522:
#line 3973 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38395 "preproc.c" /* yacc.c:1652  */
    break;

  case 523:
#line 3980 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38403 "preproc.c" /* yacc.c:1652  */
    break;

  case 524:
#line 3984 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38410 "preproc.c" /* yacc.c:1652  */
    break;

  case 525:
#line 3991 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38418 "preproc.c" /* yacc.c:1652  */
    break;

  case 526:
#line 3995 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38426 "preproc.c" /* yacc.c:1652  */
    break;

  case 527:
#line 4003 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38434 "preproc.c" /* yacc.c:1652  */
    break;

  case 528:
#line 4011 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38442 "preproc.c" /* yacc.c:1652  */
    break;

  case 529:
#line 4015 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38449 "preproc.c" /* yacc.c:1652  */
    break;

  case 530:
#line 4022 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 38457 "preproc.c" /* yacc.c:1652  */
    break;

  case 531:
#line 4026 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 38466 "preproc.c" /* yacc.c:1652  */
    break;

  case 532:
#line 4031 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 38474 "preproc.c" /* yacc.c:1652  */
    break;

  case 533:
#line 4035 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38481 "preproc.c" /* yacc.c:1652  */
    break;

  case 534:
#line 4042 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38489 "preproc.c" /* yacc.c:1652  */
    break;

  case 535:
#line 4046 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38497 "preproc.c" /* yacc.c:1652  */
    break;

  case 536:
#line 4054 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 38505 "preproc.c" /* yacc.c:1652  */
    break;

  case 537:
#line 4058 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38513 "preproc.c" /* yacc.c:1652  */
    break;

  case 538:
#line 4066 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38521 "preproc.c" /* yacc.c:1652  */
    break;

  case 539:
#line 4070 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38528 "preproc.c" /* yacc.c:1652  */
    break;

  case 540:
#line 4077 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38536 "preproc.c" /* yacc.c:1652  */
    break;

  case 541:
#line 4081 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38544 "preproc.c" /* yacc.c:1652  */
    break;

  case 542:
#line 4085 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38552 "preproc.c" /* yacc.c:1652  */
    break;

  case 543:
#line 4089 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38560 "preproc.c" /* yacc.c:1652  */
    break;

  case 544:
#line 4093 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38567 "preproc.c" /* yacc.c:1652  */
    break;

  case 545:
#line 4100 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 38575 "preproc.c" /* yacc.c:1652  */
    break;

  case 546:
#line 4108 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 38583 "preproc.c" /* yacc.c:1652  */
    break;

  case 547:
#line 4116 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 38591 "preproc.c" /* yacc.c:1652  */
    break;

  case 548:
#line 4120 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 38599 "preproc.c" /* yacc.c:1652  */
    break;

  case 549:
#line 4124 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 38607 "preproc.c" /* yacc.c:1652  */
    break;

  case 550:
#line 4128 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 38615 "preproc.c" /* yacc.c:1652  */
    break;

  case 551:
#line 4132 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 38623 "preproc.c" /* yacc.c:1652  */
    break;

  case 552:
#line 4140 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38631 "preproc.c" /* yacc.c:1652  */
    break;

  case 553:
#line 4144 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38638 "preproc.c" /* yacc.c:1652  */
    break;

  case 554:
#line 4151 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38646 "preproc.c" /* yacc.c:1652  */
    break;

  case 555:
#line 4155 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38653 "preproc.c" /* yacc.c:1652  */
    break;

  case 556:
#line 4162 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38661 "preproc.c" /* yacc.c:1652  */
    break;

  case 557:
#line 4170 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38669 "preproc.c" /* yacc.c:1652  */
    break;

  case 558:
#line 4174 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38677 "preproc.c" /* yacc.c:1652  */
    break;

  case 559:
#line 4182 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38685 "preproc.c" /* yacc.c:1652  */
    break;

  case 560:
#line 4186 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38693 "preproc.c" /* yacc.c:1652  */
    break;

  case 561:
#line 4190 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38701 "preproc.c" /* yacc.c:1652  */
    break;

  case 562:
#line 4198 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38709 "preproc.c" /* yacc.c:1652  */
    break;

  case 563:
#line 4202 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38716 "preproc.c" /* yacc.c:1652  */
    break;

  case 564:
#line 4209 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 38724 "preproc.c" /* yacc.c:1652  */
    break;

  case 565:
#line 4213 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 38732 "preproc.c" /* yacc.c:1652  */
    break;

  case 566:
#line 4217 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38739 "preproc.c" /* yacc.c:1652  */
    break;

  case 567:
#line 4224 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 38747 "preproc.c" /* yacc.c:1652  */
    break;

  case 568:
#line 4228 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 38755 "preproc.c" /* yacc.c:1652  */
    break;

  case 569:
#line 4232 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 38763 "preproc.c" /* yacc.c:1652  */
    break;

  case 570:
#line 4236 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38770 "preproc.c" /* yacc.c:1652  */
    break;

  case 571:
#line 4243 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38778 "preproc.c" /* yacc.c:1652  */
    break;

  case 572:
#line 4247 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38785 "preproc.c" /* yacc.c:1652  */
    break;

  case 573:
#line 4254 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 38793 "preproc.c" /* yacc.c:1652  */
    break;

  case 574:
#line 4258 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38800 "preproc.c" /* yacc.c:1652  */
    break;

  case 575:
#line 4265 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 38808 "preproc.c" /* yacc.c:1652  */
    break;

  case 576:
#line 4273 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38816 "preproc.c" /* yacc.c:1652  */
    break;

  case 577:
#line 4277 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38824 "preproc.c" /* yacc.c:1652  */
    break;

  case 578:
#line 4285 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 38832 "preproc.c" /* yacc.c:1652  */
    break;

  case 579:
#line 4289 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics if exists"),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 38840 "preproc.c" /* yacc.c:1652  */
    break;

  case 580:
#line 4297 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38848 "preproc.c" /* yacc.c:1652  */
    break;

  case 581:
#line 4305 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 38856 "preproc.c" /* yacc.c:1652  */
    break;

  case 582:
#line 4309 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 38864 "preproc.c" /* yacc.c:1652  */
    break;

  case 583:
#line 4313 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38871 "preproc.c" /* yacc.c:1652  */
    break;

  case 584:
#line 4320 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38879 "preproc.c" /* yacc.c:1652  */
    break;

  case 585:
#line 4324 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38887 "preproc.c" /* yacc.c:1652  */
    break;

  case 586:
#line 4332 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38895 "preproc.c" /* yacc.c:1652  */
    break;

  case 587:
#line 4340 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 38903 "preproc.c" /* yacc.c:1652  */
    break;

  case 588:
#line 4344 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38910 "preproc.c" /* yacc.c:1652  */
    break;

  case 589:
#line 4351 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38918 "preproc.c" /* yacc.c:1652  */
    break;

  case 590:
#line 4359 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38926 "preproc.c" /* yacc.c:1652  */
    break;

  case 591:
#line 4363 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38934 "preproc.c" /* yacc.c:1652  */
    break;

  case 592:
#line 4371 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38942 "preproc.c" /* yacc.c:1652  */
    break;

  case 593:
#line 4375 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38950 "preproc.c" /* yacc.c:1652  */
    break;

  case 594:
#line 4383 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38958 "preproc.c" /* yacc.c:1652  */
    break;

  case 595:
#line 4387 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38965 "preproc.c" /* yacc.c:1652  */
    break;

  case 596:
#line 4394 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38973 "preproc.c" /* yacc.c:1652  */
    break;

  case 597:
#line 4398 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 38980 "preproc.c" /* yacc.c:1652  */
    break;

  case 598:
#line 4405 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38988 "preproc.c" /* yacc.c:1652  */
    break;

  case 599:
#line 4409 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38996 "preproc.c" /* yacc.c:1652  */
    break;

  case 600:
#line 4417 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39004 "preproc.c" /* yacc.c:1652  */
    break;

  case 601:
#line 4421 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 39012 "preproc.c" /* yacc.c:1652  */
    break;

  case 602:
#line 4425 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 39020 "preproc.c" /* yacc.c:1652  */
    break;

  case 603:
#line 4429 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 39028 "preproc.c" /* yacc.c:1652  */
    break;

  case 604:
#line 4433 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39036 "preproc.c" /* yacc.c:1652  */
    break;

  case 605:
#line 4437 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 39044 "preproc.c" /* yacc.c:1652  */
    break;

  case 606:
#line 4441 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 39052 "preproc.c" /* yacc.c:1652  */
    break;

  case 607:
#line 4445 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 39060 "preproc.c" /* yacc.c:1652  */
    break;

  case 608:
#line 4449 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 39068 "preproc.c" /* yacc.c:1652  */
    break;

  case 609:
#line 4453 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 39076 "preproc.c" /* yacc.c:1652  */
    break;

  case 610:
#line 4457 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 39084 "preproc.c" /* yacc.c:1652  */
    break;

  case 611:
#line 4461 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39092 "preproc.c" /* yacc.c:1652  */
    break;

  case 612:
#line 4465 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 39100 "preproc.c" /* yacc.c:1652  */
    break;

  case 613:
#line 4469 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39108 "preproc.c" /* yacc.c:1652  */
    break;

  case 614:
#line 4477 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 39116 "preproc.c" /* yacc.c:1652  */
    break;

  case 615:
#line 4481 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39123 "preproc.c" /* yacc.c:1652  */
    break;

  case 616:
#line 4488 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39131 "preproc.c" /* yacc.c:1652  */
    break;

  case 617:
#line 4492 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 39139 "preproc.c" /* yacc.c:1652  */
    break;

  case 618:
#line 4496 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 39147 "preproc.c" /* yacc.c:1652  */
    break;

  case 619:
#line 4500 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39155 "preproc.c" /* yacc.c:1652  */
    break;

  case 620:
#line 4508 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39163 "preproc.c" /* yacc.c:1652  */
    break;

  case 621:
#line 4512 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39171 "preproc.c" /* yacc.c:1652  */
    break;

  case 622:
#line 4520 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 39179 "preproc.c" /* yacc.c:1652  */
    break;

  case 623:
#line 4524 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39187 "preproc.c" /* yacc.c:1652  */
    break;

  case 624:
#line 4532 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 39195 "preproc.c" /* yacc.c:1652  */
    break;

  case 625:
#line 4536 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39202 "preproc.c" /* yacc.c:1652  */
    break;

  case 626:
#line 4543 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39210 "preproc.c" /* yacc.c:1652  */
    break;

  case 627:
#line 4547 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39218 "preproc.c" /* yacc.c:1652  */
    break;

  case 628:
#line 4555 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 39226 "preproc.c" /* yacc.c:1652  */
    break;

  case 629:
#line 4559 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39233 "preproc.c" /* yacc.c:1652  */
    break;

  case 630:
#line 4566 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 39241 "preproc.c" /* yacc.c:1652  */
    break;

  case 631:
#line 4570 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 39249 "preproc.c" /* yacc.c:1652  */
    break;

  case 632:
#line 4578 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39257 "preproc.c" /* yacc.c:1652  */
    break;

  case 633:
#line 4582 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39264 "preproc.c" /* yacc.c:1652  */
    break;

  case 634:
#line 4589 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 39272 "preproc.c" /* yacc.c:1652  */
    break;

  case 635:
#line 4593 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39279 "preproc.c" /* yacc.c:1652  */
    break;

  case 636:
#line 4600 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39287 "preproc.c" /* yacc.c:1652  */
    break;

  case 637:
#line 4608 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 39295 "preproc.c" /* yacc.c:1652  */
    break;

  case 638:
#line 4612 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39302 "preproc.c" /* yacc.c:1652  */
    break;

  case 639:
#line 4619 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 39310 "preproc.c" /* yacc.c:1652  */
    break;

  case 640:
#line 4623 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 39318 "preproc.c" /* yacc.c:1652  */
    break;

  case 641:
#line 4631 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39326 "preproc.c" /* yacc.c:1652  */
    break;

  case 642:
#line 4635 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39334 "preproc.c" /* yacc.c:1652  */
    break;

  case 643:
#line 4643 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39342 "preproc.c" /* yacc.c:1652  */
    break;

  case 644:
#line 4647 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39349 "preproc.c" /* yacc.c:1652  */
    break;

  case 645:
#line 4654 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 39357 "preproc.c" /* yacc.c:1652  */
    break;

  case 646:
#line 4658 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 39365 "preproc.c" /* yacc.c:1652  */
    break;

  case 647:
#line 4662 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 39374 "preproc.c" /* yacc.c:1652  */
    break;

  case 648:
#line 4667 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 39382 "preproc.c" /* yacc.c:1652  */
    break;

  case 649:
#line 4675 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 39390 "preproc.c" /* yacc.c:1652  */
    break;

  case 650:
#line 4683 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39398 "preproc.c" /* yacc.c:1652  */
    break;

  case 651:
#line 4687 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39405 "preproc.c" /* yacc.c:1652  */
    break;

  case 652:
#line 4694 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 39413 "preproc.c" /* yacc.c:1652  */
    break;

  case 653:
#line 4702 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39421 "preproc.c" /* yacc.c:1652  */
    break;

  case 654:
#line 4706 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39429 "preproc.c" /* yacc.c:1652  */
    break;

  case 655:
#line 4710 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 39437 "preproc.c" /* yacc.c:1652  */
    break;

  case 656:
#line 4714 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39445 "preproc.c" /* yacc.c:1652  */
    break;

  case 657:
#line 4718 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 39453 "preproc.c" /* yacc.c:1652  */
    break;

  case 658:
#line 4722 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 39461 "preproc.c" /* yacc.c:1652  */
    break;

  case 659:
#line 4726 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 39469 "preproc.c" /* yacc.c:1652  */
    break;

  case 660:
#line 4730 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 39477 "preproc.c" /* yacc.c:1652  */
    break;

  case 661:
#line 4734 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 39485 "preproc.c" /* yacc.c:1652  */
    break;

  case 662:
#line 4738 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("procedure"),(yyvsp[0].str));
}
#line 39493 "preproc.c" /* yacc.c:1652  */
    break;

  case 663:
#line 4742 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("routine"),(yyvsp[0].str));
}
#line 39501 "preproc.c" /* yacc.c:1652  */
    break;

  case 664:
#line 4746 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 39509 "preproc.c" /* yacc.c:1652  */
    break;

  case 665:
#line 4750 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 39517 "preproc.c" /* yacc.c:1652  */
    break;

  case 666:
#line 4758 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39525 "preproc.c" /* yacc.c:1652  */
    break;

  case 667:
#line 4766 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 39533 "preproc.c" /* yacc.c:1652  */
    break;

  case 668:
#line 4770 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 39541 "preproc.c" /* yacc.c:1652  */
    break;

  case 669:
#line 4774 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 39549 "preproc.c" /* yacc.c:1652  */
    break;

  case 670:
#line 4778 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 39557 "preproc.c" /* yacc.c:1652  */
    break;

  case 671:
#line 4786 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39565 "preproc.c" /* yacc.c:1652  */
    break;

  case 672:
#line 4790 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39573 "preproc.c" /* yacc.c:1652  */
    break;

  case 673:
#line 4798 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39581 "preproc.c" /* yacc.c:1652  */
    break;

  case 674:
#line 4802 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39588 "preproc.c" /* yacc.c:1652  */
    break;

  case 675:
#line 4809 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39596 "preproc.c" /* yacc.c:1652  */
    break;

  case 676:
#line 4813 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39604 "preproc.c" /* yacc.c:1652  */
    break;

  case 677:
#line 4821 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39612 "preproc.c" /* yacc.c:1652  */
    break;

  case 678:
#line 4825 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39619 "preproc.c" /* yacc.c:1652  */
    break;

  case 679:
#line 4832 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39627 "preproc.c" /* yacc.c:1652  */
    break;

  case 680:
#line 4836 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39635 "preproc.c" /* yacc.c:1652  */
    break;

  case 681:
#line 4844 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39643 "preproc.c" /* yacc.c:1652  */
    break;

  case 682:
#line 4852 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39651 "preproc.c" /* yacc.c:1652  */
    break;

  case 683:
#line 4856 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39659 "preproc.c" /* yacc.c:1652  */
    break;

  case 684:
#line 4864 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39667 "preproc.c" /* yacc.c:1652  */
    break;

  case 685:
#line 4868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 39675 "preproc.c" /* yacc.c:1652  */
    break;

  case 686:
#line 4872 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 39683 "preproc.c" /* yacc.c:1652  */
    break;

  case 687:
#line 4876 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 39691 "preproc.c" /* yacc.c:1652  */
    break;

  case 688:
#line 4884 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39699 "preproc.c" /* yacc.c:1652  */
    break;

  case 689:
#line 4892 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39707 "preproc.c" /* yacc.c:1652  */
    break;

  case 690:
#line 4900 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39715 "preproc.c" /* yacc.c:1652  */
    break;

  case 691:
#line 4908 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39723 "preproc.c" /* yacc.c:1652  */
    break;

  case 692:
#line 4912 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39731 "preproc.c" /* yacc.c:1652  */
    break;

  case 693:
#line 4920 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 39739 "preproc.c" /* yacc.c:1652  */
    break;

  case 694:
#line 4924 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39746 "preproc.c" /* yacc.c:1652  */
    break;

  case 695:
#line 4931 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 39754 "preproc.c" /* yacc.c:1652  */
    break;

  case 696:
#line 4935 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 39762 "preproc.c" /* yacc.c:1652  */
    break;

  case 697:
#line 4943 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39770 "preproc.c" /* yacc.c:1652  */
    break;

  case 698:
#line 4947 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39777 "preproc.c" /* yacc.c:1652  */
    break;

  case 699:
#line 4954 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39785 "preproc.c" /* yacc.c:1652  */
    break;

  case 700:
#line 4958 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39793 "preproc.c" /* yacc.c:1652  */
    break;

  case 701:
#line 4962 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39801 "preproc.c" /* yacc.c:1652  */
    break;

  case 702:
#line 4970 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39809 "preproc.c" /* yacc.c:1652  */
    break;

  case 703:
#line 4974 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39817 "preproc.c" /* yacc.c:1652  */
    break;

  case 704:
#line 4978 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39825 "preproc.c" /* yacc.c:1652  */
    break;

  case 705:
#line 4982 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39833 "preproc.c" /* yacc.c:1652  */
    break;

  case 706:
#line 4990 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39841 "preproc.c" /* yacc.c:1652  */
    break;

  case 707:
#line 4998 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 39849 "preproc.c" /* yacc.c:1652  */
    break;

  case 708:
#line 5002 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 39857 "preproc.c" /* yacc.c:1652  */
    break;

  case 709:
#line 5010 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39865 "preproc.c" /* yacc.c:1652  */
    break;

  case 710:
#line 5014 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39872 "preproc.c" /* yacc.c:1652  */
    break;

  case 711:
#line 5021 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39880 "preproc.c" /* yacc.c:1652  */
    break;

  case 712:
#line 5025 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39888 "preproc.c" /* yacc.c:1652  */
    break;

  case 713:
#line 5033 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39896 "preproc.c" /* yacc.c:1652  */
    break;

  case 714:
#line 5037 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 39904 "preproc.c" /* yacc.c:1652  */
    break;

  case 715:
#line 5045 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 39912 "preproc.c" /* yacc.c:1652  */
    break;

  case 716:
#line 5049 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 39920 "preproc.c" /* yacc.c:1652  */
    break;

  case 717:
#line 5057 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39928 "preproc.c" /* yacc.c:1652  */
    break;

  case 718:
#line 5065 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39936 "preproc.c" /* yacc.c:1652  */
    break;

  case 719:
#line 5073 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39944 "preproc.c" /* yacc.c:1652  */
    break;

  case 720:
#line 5081 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39952 "preproc.c" /* yacc.c:1652  */
    break;

  case 721:
#line 5085 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39959 "preproc.c" /* yacc.c:1652  */
    break;

  case 722:
#line 5092 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39967 "preproc.c" /* yacc.c:1652  */
    break;

  case 723:
#line 5096 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39974 "preproc.c" /* yacc.c:1652  */
    break;

  case 724:
#line 5103 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 39982 "preproc.c" /* yacc.c:1652  */
    break;

  case 725:
#line 5107 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 39989 "preproc.c" /* yacc.c:1652  */
    break;

  case 726:
#line 5114 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 39997 "preproc.c" /* yacc.c:1652  */
    break;

  case 727:
#line 5118 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40004 "preproc.c" /* yacc.c:1652  */
    break;

  case 728:
#line 5125 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 40012 "preproc.c" /* yacc.c:1652  */
    break;

  case 729:
#line 5129 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40019 "preproc.c" /* yacc.c:1652  */
    break;

  case 730:
#line 5136 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 40027 "preproc.c" /* yacc.c:1652  */
    break;

  case 731:
#line 5140 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40034 "preproc.c" /* yacc.c:1652  */
    break;

  case 732:
#line 5147 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40042 "preproc.c" /* yacc.c:1652  */
    break;

  case 733:
#line 5151 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 40050 "preproc.c" /* yacc.c:1652  */
    break;

  case 734:
#line 5155 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 40058 "preproc.c" /* yacc.c:1652  */
    break;

  case 735:
#line 5159 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 40066 "preproc.c" /* yacc.c:1652  */
    break;

  case 736:
#line 5163 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 40074 "preproc.c" /* yacc.c:1652  */
    break;

  case 737:
#line 5171 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),mm_strdup("handler"),(yyvsp[0].str));
}
#line 40082 "preproc.c" /* yacc.c:1652  */
    break;

  case 738:
#line 5179 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 40090 "preproc.c" /* yacc.c:1652  */
    break;

  case 739:
#line 5183 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 40098 "preproc.c" /* yacc.c:1652  */
    break;

  case 740:
#line 5191 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40106 "preproc.c" /* yacc.c:1652  */
    break;

  case 741:
#line 5195 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(16,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40114 "preproc.c" /* yacc.c:1652  */
    break;

  case 742:
#line 5203 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 40122 "preproc.c" /* yacc.c:1652  */
    break;

  case 743:
#line 5207 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 40130 "preproc.c" /* yacc.c:1652  */
    break;

  case 744:
#line 5211 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 40138 "preproc.c" /* yacc.c:1652  */
    break;

  case 745:
#line 5219 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40146 "preproc.c" /* yacc.c:1652  */
    break;

  case 746:
#line 5223 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 40154 "preproc.c" /* yacc.c:1652  */
    break;

  case 747:
#line 5231 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 40162 "preproc.c" /* yacc.c:1652  */
    break;

  case 748:
#line 5235 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 40170 "preproc.c" /* yacc.c:1652  */
    break;

  case 749:
#line 5239 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 40178 "preproc.c" /* yacc.c:1652  */
    break;

  case 750:
#line 5243 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 40186 "preproc.c" /* yacc.c:1652  */
    break;

  case 751:
#line 5247 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 40194 "preproc.c" /* yacc.c:1652  */
    break;

  case 752:
#line 5255 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 40202 "preproc.c" /* yacc.c:1652  */
    break;

  case 753:
#line 5259 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40209 "preproc.c" /* yacc.c:1652  */
    break;

  case 754:
#line 5266 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40217 "preproc.c" /* yacc.c:1652  */
    break;

  case 755:
#line 5270 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40225 "preproc.c" /* yacc.c:1652  */
    break;

  case 756:
#line 5278 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40233 "preproc.c" /* yacc.c:1652  */
    break;

  case 757:
#line 5286 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 40241 "preproc.c" /* yacc.c:1652  */
    break;

  case 758:
#line 5290 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 40249 "preproc.c" /* yacc.c:1652  */
    break;

  case 759:
#line 5298 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 40257 "preproc.c" /* yacc.c:1652  */
    break;

  case 760:
#line 5302 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 40265 "preproc.c" /* yacc.c:1652  */
    break;

  case 761:
#line 5310 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40273 "preproc.c" /* yacc.c:1652  */
    break;

  case 762:
#line 5318 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40281 "preproc.c" /* yacc.c:1652  */
    break;

  case 763:
#line 5322 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40288 "preproc.c" /* yacc.c:1652  */
    break;

  case 764:
#line 5329 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 40296 "preproc.c" /* yacc.c:1652  */
    break;

  case 765:
#line 5333 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40303 "preproc.c" /* yacc.c:1652  */
    break;

  case 766:
#line 5340 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 40311 "preproc.c" /* yacc.c:1652  */
    break;

  case 767:
#line 5344 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 40319 "preproc.c" /* yacc.c:1652  */
    break;

  case 768:
#line 5352 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40327 "preproc.c" /* yacc.c:1652  */
    break;

  case 769:
#line 5356 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40334 "preproc.c" /* yacc.c:1652  */
    break;

  case 770:
#line 5363 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 40342 "preproc.c" /* yacc.c:1652  */
    break;

  case 771:
#line 5367 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 40350 "preproc.c" /* yacc.c:1652  */
    break;

  case 772:
#line 5375 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40358 "preproc.c" /* yacc.c:1652  */
    break;

  case 773:
#line 5379 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40366 "preproc.c" /* yacc.c:1652  */
    break;

  case 774:
#line 5383 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40373 "preproc.c" /* yacc.c:1652  */
    break;

  case 775:
#line 5390 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40381 "preproc.c" /* yacc.c:1652  */
    break;

  case 776:
#line 5394 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40389 "preproc.c" /* yacc.c:1652  */
    break;

  case 777:
#line 5398 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40397 "preproc.c" /* yacc.c:1652  */
    break;

  case 778:
#line 5402 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40405 "preproc.c" /* yacc.c:1652  */
    break;

  case 779:
#line 5410 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 40413 "preproc.c" /* yacc.c:1652  */
    break;

  case 780:
#line 5414 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40420 "preproc.c" /* yacc.c:1652  */
    break;

  case 781:
#line 5421 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40427 "preproc.c" /* yacc.c:1652  */
    break;

  case 782:
#line 5424 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40435 "preproc.c" /* yacc.c:1652  */
    break;

  case 783:
#line 5432 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 40443 "preproc.c" /* yacc.c:1652  */
    break;

  case 784:
#line 5436 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 40451 "preproc.c" /* yacc.c:1652  */
    break;

  case 785:
#line 5440 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 40459 "preproc.c" /* yacc.c:1652  */
    break;

  case 786:
#line 5444 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 40467 "preproc.c" /* yacc.c:1652  */
    break;

  case 787:
#line 5448 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 40475 "preproc.c" /* yacc.c:1652  */
    break;

  case 788:
#line 5452 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 40483 "preproc.c" /* yacc.c:1652  */
    break;

  case 789:
#line 5460 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 40491 "preproc.c" /* yacc.c:1652  */
    break;

  case 790:
#line 5464 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 40499 "preproc.c" /* yacc.c:1652  */
    break;

  case 791:
#line 5472 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40507 "preproc.c" /* yacc.c:1652  */
    break;

  case 792:
#line 5476 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40515 "preproc.c" /* yacc.c:1652  */
    break;

  case 793:
#line 5484 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40523 "preproc.c" /* yacc.c:1652  */
    break;

  case 794:
#line 5492 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 40531 "preproc.c" /* yacc.c:1652  */
    break;

  case 795:
#line 5496 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 40539 "preproc.c" /* yacc.c:1652  */
    break;

  case 796:
#line 5504 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40547 "preproc.c" /* yacc.c:1652  */
    break;

  case 797:
#line 5512 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 40555 "preproc.c" /* yacc.c:1652  */
    break;

  case 798:
#line 5516 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 40563 "preproc.c" /* yacc.c:1652  */
    break;

  case 799:
#line 5520 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 40571 "preproc.c" /* yacc.c:1652  */
    break;

  case 800:
#line 5524 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 40579 "preproc.c" /* yacc.c:1652  */
    break;

  case 801:
#line 5532 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40588 "preproc.c" /* yacc.c:1652  */
    break;

  case 802:
#line 5541 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40596 "preproc.c" /* yacc.c:1652  */
    break;

  case 803:
#line 5545 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40604 "preproc.c" /* yacc.c:1652  */
    break;

  case 804:
#line 5549 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40612 "preproc.c" /* yacc.c:1652  */
    break;

  case 805:
#line 5553 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40620 "preproc.c" /* yacc.c:1652  */
    break;

  case 806:
#line 5557 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 40628 "preproc.c" /* yacc.c:1652  */
    break;

  case 807:
#line 5561 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40636 "preproc.c" /* yacc.c:1652  */
    break;

  case 808:
#line 5565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40644 "preproc.c" /* yacc.c:1652  */
    break;

  case 809:
#line 5569 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 40652 "preproc.c" /* yacc.c:1652  */
    break;

  case 810:
#line 5573 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40660 "preproc.c" /* yacc.c:1652  */
    break;

  case 811:
#line 5577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40668 "preproc.c" /* yacc.c:1652  */
    break;

  case 812:
#line 5581 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40676 "preproc.c" /* yacc.c:1652  */
    break;

  case 813:
#line 5585 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40684 "preproc.c" /* yacc.c:1652  */
    break;

  case 814:
#line 5589 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40692 "preproc.c" /* yacc.c:1652  */
    break;

  case 815:
#line 5593 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40700 "preproc.c" /* yacc.c:1652  */
    break;

  case 816:
#line 5597 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 40708 "preproc.c" /* yacc.c:1652  */
    break;

  case 817:
#line 5601 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 40716 "preproc.c" /* yacc.c:1652  */
    break;

  case 818:
#line 5609 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40724 "preproc.c" /* yacc.c:1652  */
    break;

  case 819:
#line 5617 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40732 "preproc.c" /* yacc.c:1652  */
    break;

  case 820:
#line 5621 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40740 "preproc.c" /* yacc.c:1652  */
    break;

  case 821:
#line 5629 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40748 "preproc.c" /* yacc.c:1652  */
    break;

  case 822:
#line 5633 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40756 "preproc.c" /* yacc.c:1652  */
    break;

  case 823:
#line 5641 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40764 "preproc.c" /* yacc.c:1652  */
    break;

  case 824:
#line 5645 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40772 "preproc.c" /* yacc.c:1652  */
    break;

  case 825:
#line 5649 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40780 "preproc.c" /* yacc.c:1652  */
    break;

  case 826:
#line 5653 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40788 "preproc.c" /* yacc.c:1652  */
    break;

  case 827:
#line 5657 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40796 "preproc.c" /* yacc.c:1652  */
    break;

  case 828:
#line 5661 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 40804 "preproc.c" /* yacc.c:1652  */
    break;

  case 829:
#line 5669 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40812 "preproc.c" /* yacc.c:1652  */
    break;

  case 830:
#line 5677 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40820 "preproc.c" /* yacc.c:1652  */
    break;

  case 831:
#line 5681 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40828 "preproc.c" /* yacc.c:1652  */
    break;

  case 832:
#line 5689 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40836 "preproc.c" /* yacc.c:1652  */
    break;

  case 833:
#line 5697 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40844 "preproc.c" /* yacc.c:1652  */
    break;

  case 834:
#line 5701 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40851 "preproc.c" /* yacc.c:1652  */
    break;

  case 835:
#line 5708 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40859 "preproc.c" /* yacc.c:1652  */
    break;

  case 836:
#line 5712 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40867 "preproc.c" /* yacc.c:1652  */
    break;

  case 837:
#line 5720 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40875 "preproc.c" /* yacc.c:1652  */
    break;

  case 838:
#line 5724 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 40883 "preproc.c" /* yacc.c:1652  */
    break;

  case 839:
#line 5728 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 40891 "preproc.c" /* yacc.c:1652  */
    break;

  case 840:
#line 5732 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40899 "preproc.c" /* yacc.c:1652  */
    break;

  case 841:
#line 5740 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 40907 "preproc.c" /* yacc.c:1652  */
    break;

  case 842:
#line 5744 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40914 "preproc.c" /* yacc.c:1652  */
    break;

  case 843:
#line 5751 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40922 "preproc.c" /* yacc.c:1652  */
    break;

  case 844:
#line 5759 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40930 "preproc.c" /* yacc.c:1652  */
    break;

  case 845:
#line 5763 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40938 "preproc.c" /* yacc.c:1652  */
    break;

  case 846:
#line 5771 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40946 "preproc.c" /* yacc.c:1652  */
    break;

  case 847:
#line 5775 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40954 "preproc.c" /* yacc.c:1652  */
    break;

  case 848:
#line 5779 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40962 "preproc.c" /* yacc.c:1652  */
    break;

  case 849:
#line 5783 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40970 "preproc.c" /* yacc.c:1652  */
    break;

  case 850:
#line 5787 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 40978 "preproc.c" /* yacc.c:1652  */
    break;

  case 851:
#line 5795 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 40986 "preproc.c" /* yacc.c:1652  */
    break;

  case 852:
#line 5799 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 40993 "preproc.c" /* yacc.c:1652  */
    break;

  case 853:
#line 5806 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 41001 "preproc.c" /* yacc.c:1652  */
    break;

  case 854:
#line 5810 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41008 "preproc.c" /* yacc.c:1652  */
    break;

  case 855:
#line 5817 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 41016 "preproc.c" /* yacc.c:1652  */
    break;

  case 856:
#line 5821 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 41024 "preproc.c" /* yacc.c:1652  */
    break;

  case 857:
#line 5825 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41031 "preproc.c" /* yacc.c:1652  */
    break;

  case 858:
#line 5832 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 41040 "preproc.c" /* yacc.c:1652  */
    break;

  case 859:
#line 5837 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41047 "preproc.c" /* yacc.c:1652  */
    break;

  case 860:
#line 5844 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 41055 "preproc.c" /* yacc.c:1652  */
    break;

  case 861:
#line 5852 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 41063 "preproc.c" /* yacc.c:1652  */
    break;

  case 862:
#line 5856 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 41071 "preproc.c" /* yacc.c:1652  */
    break;

  case 863:
#line 5864 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41079 "preproc.c" /* yacc.c:1652  */
    break;

  case 864:
#line 5868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41087 "preproc.c" /* yacc.c:1652  */
    break;

  case 865:
#line 5876 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41095 "preproc.c" /* yacc.c:1652  */
    break;

  case 866:
#line 5880 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41103 "preproc.c" /* yacc.c:1652  */
    break;

  case 867:
#line 5888 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41111 "preproc.c" /* yacc.c:1652  */
    break;

  case 868:
#line 5892 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41119 "preproc.c" /* yacc.c:1652  */
    break;

  case 869:
#line 5900 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41127 "preproc.c" /* yacc.c:1652  */
    break;

  case 870:
#line 5904 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41135 "preproc.c" /* yacc.c:1652  */
    break;

  case 871:
#line 5912 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41143 "preproc.c" /* yacc.c:1652  */
    break;

  case 872:
#line 5920 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 41151 "preproc.c" /* yacc.c:1652  */
    break;

  case 873:
#line 5928 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41159 "preproc.c" /* yacc.c:1652  */
    break;

  case 874:
#line 5932 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41167 "preproc.c" /* yacc.c:1652  */
    break;

  case 875:
#line 5936 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41175 "preproc.c" /* yacc.c:1652  */
    break;

  case 876:
#line 5940 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41183 "preproc.c" /* yacc.c:1652  */
    break;

  case 877:
#line 5944 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41191 "preproc.c" /* yacc.c:1652  */
    break;

  case 878:
#line 5948 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41199 "preproc.c" /* yacc.c:1652  */
    break;

  case 879:
#line 5952 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41207 "preproc.c" /* yacc.c:1652  */
    break;

  case 880:
#line 5956 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41215 "preproc.c" /* yacc.c:1652  */
    break;

  case 881:
#line 5960 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41223 "preproc.c" /* yacc.c:1652  */
    break;

  case 882:
#line 5964 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41231 "preproc.c" /* yacc.c:1652  */
    break;

  case 883:
#line 5968 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41239 "preproc.c" /* yacc.c:1652  */
    break;

  case 884:
#line 5972 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41247 "preproc.c" /* yacc.c:1652  */
    break;

  case 885:
#line 5980 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 41255 "preproc.c" /* yacc.c:1652  */
    break;

  case 886:
#line 5984 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 41263 "preproc.c" /* yacc.c:1652  */
    break;

  case 887:
#line 5988 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 41271 "preproc.c" /* yacc.c:1652  */
    break;

  case 888:
#line 5992 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 41279 "preproc.c" /* yacc.c:1652  */
    break;

  case 889:
#line 5996 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 41287 "preproc.c" /* yacc.c:1652  */
    break;

  case 890:
#line 6000 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 41295 "preproc.c" /* yacc.c:1652  */
    break;

  case 891:
#line 6004 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 41303 "preproc.c" /* yacc.c:1652  */
    break;

  case 892:
#line 6008 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 41311 "preproc.c" /* yacc.c:1652  */
    break;

  case 893:
#line 6012 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 41319 "preproc.c" /* yacc.c:1652  */
    break;

  case 894:
#line 6016 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 41327 "preproc.c" /* yacc.c:1652  */
    break;

  case 895:
#line 6020 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 41335 "preproc.c" /* yacc.c:1652  */
    break;

  case 896:
#line 6024 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 41343 "preproc.c" /* yacc.c:1652  */
    break;

  case 897:
#line 6028 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 41351 "preproc.c" /* yacc.c:1652  */
    break;

  case 898:
#line 6036 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41359 "preproc.c" /* yacc.c:1652  */
    break;

  case 899:
#line 6040 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 41367 "preproc.c" /* yacc.c:1652  */
    break;

  case 900:
#line 6044 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 41375 "preproc.c" /* yacc.c:1652  */
    break;

  case 901:
#line 6048 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 41383 "preproc.c" /* yacc.c:1652  */
    break;

  case 902:
#line 6052 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41391 "preproc.c" /* yacc.c:1652  */
    break;

  case 903:
#line 6060 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 41399 "preproc.c" /* yacc.c:1652  */
    break;

  case 904:
#line 6064 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 41407 "preproc.c" /* yacc.c:1652  */
    break;

  case 905:
#line 6068 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 41415 "preproc.c" /* yacc.c:1652  */
    break;

  case 906:
#line 6072 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 41423 "preproc.c" /* yacc.c:1652  */
    break;

  case 907:
#line 6076 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 41431 "preproc.c" /* yacc.c:1652  */
    break;

  case 908:
#line 6080 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 41439 "preproc.c" /* yacc.c:1652  */
    break;

  case 909:
#line 6084 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 41447 "preproc.c" /* yacc.c:1652  */
    break;

  case 910:
#line 6088 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 41455 "preproc.c" /* yacc.c:1652  */
    break;

  case 911:
#line 6096 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 41463 "preproc.c" /* yacc.c:1652  */
    break;

  case 912:
#line 6100 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 41471 "preproc.c" /* yacc.c:1652  */
    break;

  case 913:
#line 6104 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 41479 "preproc.c" /* yacc.c:1652  */
    break;

  case 914:
#line 6112 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41487 "preproc.c" /* yacc.c:1652  */
    break;

  case 915:
#line 6116 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41495 "preproc.c" /* yacc.c:1652  */
    break;

  case 916:
#line 6124 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41503 "preproc.c" /* yacc.c:1652  */
    break;

  case 917:
#line 6128 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41511 "preproc.c" /* yacc.c:1652  */
    break;

  case 918:
#line 6136 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 41519 "preproc.c" /* yacc.c:1652  */
    break;

  case 919:
#line 6140 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 41527 "preproc.c" /* yacc.c:1652  */
    break;

  case 920:
#line 6148 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41535 "preproc.c" /* yacc.c:1652  */
    break;

  case 921:
#line 6152 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41543 "preproc.c" /* yacc.c:1652  */
    break;

  case 922:
#line 6160 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41551 "preproc.c" /* yacc.c:1652  */
    break;

  case 923:
#line 6168 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 41559 "preproc.c" /* yacc.c:1652  */
    break;

  case 924:
#line 6172 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 41567 "preproc.c" /* yacc.c:1652  */
    break;

  case 925:
#line 6176 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41574 "preproc.c" /* yacc.c:1652  */
    break;

  case 926:
#line 6183 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41582 "preproc.c" /* yacc.c:1652  */
    break;

  case 927:
#line 6187 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on column"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41590 "preproc.c" /* yacc.c:1652  */
    break;

  case 928:
#line 6191 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41598 "preproc.c" /* yacc.c:1652  */
    break;

  case 929:
#line 6195 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41606 "preproc.c" /* yacc.c:1652  */
    break;

  case 930:
#line 6199 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41614 "preproc.c" /* yacc.c:1652  */
    break;

  case 931:
#line 6203 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41622 "preproc.c" /* yacc.c:1652  */
    break;

  case 932:
#line 6207 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41630 "preproc.c" /* yacc.c:1652  */
    break;

  case 933:
#line 6211 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41638 "preproc.c" /* yacc.c:1652  */
    break;

  case 934:
#line 6215 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41646 "preproc.c" /* yacc.c:1652  */
    break;

  case 935:
#line 6219 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41654 "preproc.c" /* yacc.c:1652  */
    break;

  case 936:
#line 6223 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("comment on"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41662 "preproc.c" /* yacc.c:1652  */
    break;

  case 937:
#line 6227 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41670 "preproc.c" /* yacc.c:1652  */
    break;

  case 938:
#line 6231 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41678 "preproc.c" /* yacc.c:1652  */
    break;

  case 939:
#line 6235 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41686 "preproc.c" /* yacc.c:1652  */
    break;

  case 940:
#line 6239 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41694 "preproc.c" /* yacc.c:1652  */
    break;

  case 941:
#line 6243 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41702 "preproc.c" /* yacc.c:1652  */
    break;

  case 942:
#line 6247 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41710 "preproc.c" /* yacc.c:1652  */
    break;

  case 943:
#line 6251 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 41718 "preproc.c" /* yacc.c:1652  */
    break;

  case 944:
#line 6259 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41726 "preproc.c" /* yacc.c:1652  */
    break;

  case 945:
#line 6263 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 41734 "preproc.c" /* yacc.c:1652  */
    break;

  case 946:
#line 6271 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41742 "preproc.c" /* yacc.c:1652  */
    break;

  case 947:
#line 6275 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on column"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41750 "preproc.c" /* yacc.c:1652  */
    break;

  case 948:
#line 6279 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41758 "preproc.c" /* yacc.c:1652  */
    break;

  case 949:
#line 6283 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41766 "preproc.c" /* yacc.c:1652  */
    break;

  case 950:
#line 6287 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41774 "preproc.c" /* yacc.c:1652  */
    break;

  case 951:
#line 6291 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41782 "preproc.c" /* yacc.c:1652  */
    break;

  case 952:
#line 6295 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41790 "preproc.c" /* yacc.c:1652  */
    break;

  case 953:
#line 6299 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41798 "preproc.c" /* yacc.c:1652  */
    break;

  case 954:
#line 6303 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41806 "preproc.c" /* yacc.c:1652  */
    break;

  case 955:
#line 6307 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41814 "preproc.c" /* yacc.c:1652  */
    break;

  case 956:
#line 6315 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 41822 "preproc.c" /* yacc.c:1652  */
    break;

  case 957:
#line 6319 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 41829 "preproc.c" /* yacc.c:1652  */
    break;

  case 958:
#line 6326 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41837 "preproc.c" /* yacc.c:1652  */
    break;

  case 959:
#line 6330 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 41845 "preproc.c" /* yacc.c:1652  */
    break;

  case 960:
#line 6338 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 41853 "preproc.c" /* yacc.c:1652  */
    break;

  case 961:
#line 6342 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 41861 "preproc.c" /* yacc.c:1652  */
    break;

  case 962:
#line 6346 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 41869 "preproc.c" /* yacc.c:1652  */
    break;

  case 963:
#line 6350 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 41879 "preproc.c" /* yacc.c:1652  */
    break;

  case 964:
#line 6356 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 41889 "preproc.c" /* yacc.c:1652  */
    break;

  case 965:
#line 6362 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 41899 "preproc.c" /* yacc.c:1652  */
    break;

  case 966:
#line 6368 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 41909 "preproc.c" /* yacc.c:1652  */
    break;

  case 967:
#line 6374 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 41919 "preproc.c" /* yacc.c:1652  */
    break;

  case 968:
#line 6380 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 41929 "preproc.c" /* yacc.c:1652  */
    break;

  case 969:
#line 6386 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 41939 "preproc.c" /* yacc.c:1652  */
    break;

  case 970:
#line 6392 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 41949 "preproc.c" /* yacc.c:1652  */
    break;

  case 971:
#line 6402 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 41964 "preproc.c" /* yacc.c:1652  */
    break;

  case 972:
#line 6413 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41979 "preproc.c" /* yacc.c:1652  */
    break;

  case 973:
#line 6424 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41994 "preproc.c" /* yacc.c:1652  */
    break;

  case 974:
#line 6435 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42009 "preproc.c" /* yacc.c:1652  */
    break;

  case 975:
#line 6446 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42024 "preproc.c" /* yacc.c:1652  */
    break;

  case 976:
#line 6457 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42039 "preproc.c" /* yacc.c:1652  */
    break;

  case 977:
#line 6468 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42059 "preproc.c" /* yacc.c:1652  */
    break;

  case 978:
#line 6484 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42079 "preproc.c" /* yacc.c:1652  */
    break;

  case 979:
#line 6500 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42099 "preproc.c" /* yacc.c:1652  */
    break;

  case 980:
#line 6516 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42114 "preproc.c" /* yacc.c:1652  */
    break;

  case 981:
#line 6527 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42134 "preproc.c" /* yacc.c:1652  */
    break;

  case 982:
#line 6543 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42149 "preproc.c" /* yacc.c:1652  */
    break;

  case 983:
#line 6554 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42169 "preproc.c" /* yacc.c:1652  */
    break;

  case 984:
#line 6570 "preproc.y" /* yacc.c:1652  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42184 "preproc.c" /* yacc.c:1652  */
    break;

  case 985:
#line 6585 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 42192 "preproc.c" /* yacc.c:1652  */
    break;

  case 986:
#line 6589 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 42200 "preproc.c" /* yacc.c:1652  */
    break;

  case 987:
#line 6597 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42208 "preproc.c" /* yacc.c:1652  */
    break;

  case 988:
#line 6601 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42215 "preproc.c" /* yacc.c:1652  */
    break;

  case 989:
#line 6608 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42223 "preproc.c" /* yacc.c:1652  */
    break;

  case 990:
#line 6616 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42231 "preproc.c" /* yacc.c:1652  */
    break;

  case 991:
#line 6620 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42239 "preproc.c" /* yacc.c:1652  */
    break;

  case 992:
#line 6628 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42247 "preproc.c" /* yacc.c:1652  */
    break;

  case 993:
#line 6632 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42255 "preproc.c" /* yacc.c:1652  */
    break;

  case 994:
#line 6636 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 42263 "preproc.c" /* yacc.c:1652  */
    break;

  case 995:
#line 6640 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42271 "preproc.c" /* yacc.c:1652  */
    break;

  case 996:
#line 6644 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42279 "preproc.c" /* yacc.c:1652  */
    break;

  case 997:
#line 6652 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42287 "preproc.c" /* yacc.c:1652  */
    break;

  case 998:
#line 6656 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42295 "preproc.c" /* yacc.c:1652  */
    break;

  case 999:
#line 6664 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 42303 "preproc.c" /* yacc.c:1652  */
    break;

  case 1000:
#line 6668 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 42311 "preproc.c" /* yacc.c:1652  */
    break;

  case 1001:
#line 6672 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 42319 "preproc.c" /* yacc.c:1652  */
    break;

  case 1002:
#line 6676 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42327 "preproc.c" /* yacc.c:1652  */
    break;

  case 1003:
#line 6684 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42335 "preproc.c" /* yacc.c:1652  */
    break;

  case 1004:
#line 6688 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42343 "preproc.c" /* yacc.c:1652  */
    break;

  case 1005:
#line 6692 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 42351 "preproc.c" /* yacc.c:1652  */
    break;

  case 1006:
#line 6696 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 42359 "preproc.c" /* yacc.c:1652  */
    break;

  case 1007:
#line 6700 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 42367 "preproc.c" /* yacc.c:1652  */
    break;

  case 1008:
#line 6704 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 42375 "preproc.c" /* yacc.c:1652  */
    break;

  case 1009:
#line 6708 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("procedure"),(yyvsp[0].str));
}
#line 42383 "preproc.c" /* yacc.c:1652  */
    break;

  case 1010:
#line 6712 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("routine"),(yyvsp[0].str));
}
#line 42391 "preproc.c" /* yacc.c:1652  */
    break;

  case 1011:
#line 6716 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 42399 "preproc.c" /* yacc.c:1652  */
    break;

  case 1012:
#line 6720 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 42407 "preproc.c" /* yacc.c:1652  */
    break;

  case 1013:
#line 6724 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 42415 "preproc.c" /* yacc.c:1652  */
    break;

  case 1014:
#line 6728 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 42423 "preproc.c" /* yacc.c:1652  */
    break;

  case 1015:
#line 6732 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 42431 "preproc.c" /* yacc.c:1652  */
    break;

  case 1016:
#line 6736 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 42439 "preproc.c" /* yacc.c:1652  */
    break;

  case 1017:
#line 6740 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 42447 "preproc.c" /* yacc.c:1652  */
    break;

  case 1018:
#line 6744 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 42455 "preproc.c" /* yacc.c:1652  */
    break;

  case 1019:
#line 6748 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 42463 "preproc.c" /* yacc.c:1652  */
    break;

  case 1020:
#line 6752 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 42471 "preproc.c" /* yacc.c:1652  */
    break;

  case 1021:
#line 6756 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all procedures in schema"),(yyvsp[0].str));
}
#line 42479 "preproc.c" /* yacc.c:1652  */
    break;

  case 1022:
#line 6760 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all routines in schema"),(yyvsp[0].str));
}
#line 42487 "preproc.c" /* yacc.c:1652  */
    break;

  case 1023:
#line 6768 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42495 "preproc.c" /* yacc.c:1652  */
    break;

  case 1024:
#line 6772 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42503 "preproc.c" /* yacc.c:1652  */
    break;

  case 1025:
#line 6780 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42511 "preproc.c" /* yacc.c:1652  */
    break;

  case 1026:
#line 6784 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 42519 "preproc.c" /* yacc.c:1652  */
    break;

  case 1027:
#line 6792 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 42527 "preproc.c" /* yacc.c:1652  */
    break;

  case 1028:
#line 6796 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42534 "preproc.c" /* yacc.c:1652  */
    break;

  case 1029:
#line 6803 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42542 "preproc.c" /* yacc.c:1652  */
    break;

  case 1030:
#line 6811 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42550 "preproc.c" /* yacc.c:1652  */
    break;

  case 1031:
#line 6815 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42558 "preproc.c" /* yacc.c:1652  */
    break;

  case 1032:
#line 6823 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 42566 "preproc.c" /* yacc.c:1652  */
    break;

  case 1033:
#line 6827 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42573 "preproc.c" /* yacc.c:1652  */
    break;

  case 1034:
#line 6834 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 42581 "preproc.c" /* yacc.c:1652  */
    break;

  case 1035:
#line 6838 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42588 "preproc.c" /* yacc.c:1652  */
    break;

  case 1036:
#line 6845 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42596 "preproc.c" /* yacc.c:1652  */
    break;

  case 1037:
#line 6853 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42604 "preproc.c" /* yacc.c:1652  */
    break;

  case 1038:
#line 6857 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42611 "preproc.c" /* yacc.c:1652  */
    break;

  case 1039:
#line 6864 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 42619 "preproc.c" /* yacc.c:1652  */
    break;

  case 1040:
#line 6868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 42627 "preproc.c" /* yacc.c:1652  */
    break;

  case 1041:
#line 6872 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 42635 "preproc.c" /* yacc.c:1652  */
    break;

  case 1042:
#line 6880 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42643 "preproc.c" /* yacc.c:1652  */
    break;

  case 1043:
#line 6884 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42651 "preproc.c" /* yacc.c:1652  */
    break;

  case 1044:
#line 6888 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42659 "preproc.c" /* yacc.c:1652  */
    break;

  case 1045:
#line 6896 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 42667 "preproc.c" /* yacc.c:1652  */
    break;

  case 1046:
#line 6900 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 42675 "preproc.c" /* yacc.c:1652  */
    break;

  case 1047:
#line 6904 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 42683 "preproc.c" /* yacc.c:1652  */
    break;

  case 1048:
#line 6908 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 42691 "preproc.c" /* yacc.c:1652  */
    break;

  case 1049:
#line 6912 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 42699 "preproc.c" /* yacc.c:1652  */
    break;

  case 1050:
#line 6916 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 42707 "preproc.c" /* yacc.c:1652  */
    break;

  case 1051:
#line 6924 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("index"),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42715 "preproc.c" /* yacc.c:1652  */
    break;

  case 1052:
#line 6928 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(16,mm_strdup("create"),(yyvsp[-16].str),mm_strdup("index"),(yyvsp[-14].str),mm_strdup("if not exists"),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42723 "preproc.c" /* yacc.c:1652  */
    break;

  case 1053:
#line 6936 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 42731 "preproc.c" /* yacc.c:1652  */
    break;

  case 1054:
#line 6940 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42738 "preproc.c" /* yacc.c:1652  */
    break;

  case 1055:
#line 6947 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 42746 "preproc.c" /* yacc.c:1652  */
    break;

  case 1056:
#line 6951 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42753 "preproc.c" /* yacc.c:1652  */
    break;

  case 1057:
#line 6958 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42761 "preproc.c" /* yacc.c:1652  */
    break;

  case 1058:
#line 6962 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42768 "preproc.c" /* yacc.c:1652  */
    break;

  case 1059:
#line 6969 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42776 "preproc.c" /* yacc.c:1652  */
    break;

  case 1060:
#line 6973 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42783 "preproc.c" /* yacc.c:1652  */
    break;

  case 1061:
#line 6980 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42791 "preproc.c" /* yacc.c:1652  */
    break;

  case 1062:
#line 6984 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42799 "preproc.c" /* yacc.c:1652  */
    break;

  case 1063:
#line 6992 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42807 "preproc.c" /* yacc.c:1652  */
    break;

  case 1064:
#line 6996 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42815 "preproc.c" /* yacc.c:1652  */
    break;

  case 1065:
#line 7004 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42823 "preproc.c" /* yacc.c:1652  */
    break;

  case 1066:
#line 7008 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42831 "preproc.c" /* yacc.c:1652  */
    break;

  case 1067:
#line 7012 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42839 "preproc.c" /* yacc.c:1652  */
    break;

  case 1068:
#line 7020 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42847 "preproc.c" /* yacc.c:1652  */
    break;

  case 1069:
#line 7024 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42854 "preproc.c" /* yacc.c:1652  */
    break;

  case 1070:
#line 7031 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42862 "preproc.c" /* yacc.c:1652  */
    break;

  case 1071:
#line 7035 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42870 "preproc.c" /* yacc.c:1652  */
    break;

  case 1072:
#line 7043 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 42878 "preproc.c" /* yacc.c:1652  */
    break;

  case 1073:
#line 7047 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42885 "preproc.c" /* yacc.c:1652  */
    break;

  case 1074:
#line 7054 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42893 "preproc.c" /* yacc.c:1652  */
    break;

  case 1075:
#line 7058 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42900 "preproc.c" /* yacc.c:1652  */
    break;

  case 1076:
#line 7065 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 42908 "preproc.c" /* yacc.c:1652  */
    break;

  case 1077:
#line 7069 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 42916 "preproc.c" /* yacc.c:1652  */
    break;

  case 1078:
#line 7073 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42923 "preproc.c" /* yacc.c:1652  */
    break;

  case 1079:
#line 7080 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 42931 "preproc.c" /* yacc.c:1652  */
    break;

  case 1080:
#line 7084 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 42939 "preproc.c" /* yacc.c:1652  */
    break;

  case 1081:
#line 7088 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42946 "preproc.c" /* yacc.c:1652  */
    break;

  case 1082:
#line 7095 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("function"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("returns"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42954 "preproc.c" /* yacc.c:1652  */
    break;

  case 1083:
#line 7099 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("function"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("returns table ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42962 "preproc.c" /* yacc.c:1652  */
    break;

  case 1084:
#line 7103 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42970 "preproc.c" /* yacc.c:1652  */
    break;

  case 1085:
#line 7107 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("procedure"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42978 "preproc.c" /* yacc.c:1652  */
    break;

  case 1086:
#line 7115 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 42986 "preproc.c" /* yacc.c:1652  */
    break;

  case 1087:
#line 7119 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 42993 "preproc.c" /* yacc.c:1652  */
    break;

  case 1088:
#line 7126 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43001 "preproc.c" /* yacc.c:1652  */
    break;

  case 1089:
#line 7130 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 43009 "preproc.c" /* yacc.c:1652  */
    break;

  case 1090:
#line 7138 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43017 "preproc.c" /* yacc.c:1652  */
    break;

  case 1091:
#line 7142 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43025 "preproc.c" /* yacc.c:1652  */
    break;

  case 1092:
#line 7150 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43033 "preproc.c" /* yacc.c:1652  */
    break;

  case 1093:
#line 7154 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43041 "preproc.c" /* yacc.c:1652  */
    break;

  case 1094:
#line 7162 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43049 "preproc.c" /* yacc.c:1652  */
    break;

  case 1095:
#line 7166 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43057 "preproc.c" /* yacc.c:1652  */
    break;

  case 1096:
#line 7170 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43065 "preproc.c" /* yacc.c:1652  */
    break;

  case 1097:
#line 7174 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43073 "preproc.c" /* yacc.c:1652  */
    break;

  case 1098:
#line 7182 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43081 "preproc.c" /* yacc.c:1652  */
    break;

  case 1099:
#line 7186 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 43089 "preproc.c" /* yacc.c:1652  */
    break;

  case 1100:
#line 7194 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43097 "preproc.c" /* yacc.c:1652  */
    break;

  case 1101:
#line 7198 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43105 "preproc.c" /* yacc.c:1652  */
    break;

  case 1102:
#line 7206 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43113 "preproc.c" /* yacc.c:1652  */
    break;

  case 1103:
#line 7210 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43121 "preproc.c" /* yacc.c:1652  */
    break;

  case 1104:
#line 7214 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43129 "preproc.c" /* yacc.c:1652  */
    break;

  case 1105:
#line 7218 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43137 "preproc.c" /* yacc.c:1652  */
    break;

  case 1106:
#line 7222 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43145 "preproc.c" /* yacc.c:1652  */
    break;

  case 1107:
#line 7230 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 43153 "preproc.c" /* yacc.c:1652  */
    break;

  case 1108:
#line 7234 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 43161 "preproc.c" /* yacc.c:1652  */
    break;

  case 1109:
#line 7238 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 43169 "preproc.c" /* yacc.c:1652  */
    break;

  case 1110:
#line 7242 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 43177 "preproc.c" /* yacc.c:1652  */
    break;

  case 1111:
#line 7246 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 43185 "preproc.c" /* yacc.c:1652  */
    break;

  case 1112:
#line 7254 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43193 "preproc.c" /* yacc.c:1652  */
    break;

  case 1113:
#line 7262 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43201 "preproc.c" /* yacc.c:1652  */
    break;

  case 1114:
#line 7270 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43209 "preproc.c" /* yacc.c:1652  */
    break;

  case 1115:
#line 7274 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 43217 "preproc.c" /* yacc.c:1652  */
    break;

  case 1116:
#line 7278 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 43225 "preproc.c" /* yacc.c:1652  */
    break;

  case 1117:
#line 7286 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43233 "preproc.c" /* yacc.c:1652  */
    break;

  case 1118:
#line 7290 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 43241 "preproc.c" /* yacc.c:1652  */
    break;

  case 1119:
#line 7294 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 43249 "preproc.c" /* yacc.c:1652  */
    break;

  case 1120:
#line 7302 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 43258 "preproc.c" /* yacc.c:1652  */
    break;

  case 1121:
#line 7311 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 43266 "preproc.c" /* yacc.c:1652  */
    break;

  case 1122:
#line 7315 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43274 "preproc.c" /* yacc.c:1652  */
    break;

  case 1123:
#line 7319 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43282 "preproc.c" /* yacc.c:1652  */
    break;

  case 1124:
#line 7323 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43290 "preproc.c" /* yacc.c:1652  */
    break;

  case 1125:
#line 7331 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43298 "preproc.c" /* yacc.c:1652  */
    break;

  case 1126:
#line 7335 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43306 "preproc.c" /* yacc.c:1652  */
    break;

  case 1127:
#line 7343 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43314 "preproc.c" /* yacc.c:1652  */
    break;

  case 1128:
#line 7351 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43322 "preproc.c" /* yacc.c:1652  */
    break;

  case 1129:
#line 7355 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43330 "preproc.c" /* yacc.c:1652  */
    break;

  case 1130:
#line 7363 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43338 "preproc.c" /* yacc.c:1652  */
    break;

  case 1131:
#line 7367 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43346 "preproc.c" /* yacc.c:1652  */
    break;

  case 1132:
#line 7375 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 43354 "preproc.c" /* yacc.c:1652  */
    break;

  case 1133:
#line 7379 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 43362 "preproc.c" /* yacc.c:1652  */
    break;

  case 1134:
#line 7383 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 43370 "preproc.c" /* yacc.c:1652  */
    break;

  case 1135:
#line 7387 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 43378 "preproc.c" /* yacc.c:1652  */
    break;

  case 1136:
#line 7391 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 43386 "preproc.c" /* yacc.c:1652  */
    break;

  case 1137:
#line 7395 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 43394 "preproc.c" /* yacc.c:1652  */
    break;

  case 1138:
#line 7399 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 43402 "preproc.c" /* yacc.c:1652  */
    break;

  case 1139:
#line 7403 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 43410 "preproc.c" /* yacc.c:1652  */
    break;

  case 1140:
#line 7407 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 43418 "preproc.c" /* yacc.c:1652  */
    break;

  case 1141:
#line 7411 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 43426 "preproc.c" /* yacc.c:1652  */
    break;

  case 1142:
#line 7415 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 43434 "preproc.c" /* yacc.c:1652  */
    break;

  case 1143:
#line 7419 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 43442 "preproc.c" /* yacc.c:1652  */
    break;

  case 1144:
#line 7423 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 43450 "preproc.c" /* yacc.c:1652  */
    break;

  case 1145:
#line 7427 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 43458 "preproc.c" /* yacc.c:1652  */
    break;

  case 1146:
#line 7431 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("support"),(yyvsp[0].str));
}
#line 43466 "preproc.c" /* yacc.c:1652  */
    break;

  case 1147:
#line 7435 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43474 "preproc.c" /* yacc.c:1652  */
    break;

  case 1148:
#line 7439 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 43482 "preproc.c" /* yacc.c:1652  */
    break;

  case 1149:
#line 7447 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43490 "preproc.c" /* yacc.c:1652  */
    break;

  case 1150:
#line 7451 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 43498 "preproc.c" /* yacc.c:1652  */
    break;

  case 1151:
#line 7455 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 43506 "preproc.c" /* yacc.c:1652  */
    break;

  case 1152:
#line 7459 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 43514 "preproc.c" /* yacc.c:1652  */
    break;

  case 1153:
#line 7463 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43522 "preproc.c" /* yacc.c:1652  */
    break;

  case 1154:
#line 7471 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43530 "preproc.c" /* yacc.c:1652  */
    break;

  case 1155:
#line 7475 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43538 "preproc.c" /* yacc.c:1652  */
    break;

  case 1156:
#line 7483 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 43546 "preproc.c" /* yacc.c:1652  */
    break;

  case 1157:
#line 7487 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 43554 "preproc.c" /* yacc.c:1652  */
    break;

  case 1158:
#line 7495 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 43562 "preproc.c" /* yacc.c:1652  */
    break;

  case 1159:
#line 7499 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43569 "preproc.c" /* yacc.c:1652  */
    break;

  case 1160:
#line 7506 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43577 "preproc.c" /* yacc.c:1652  */
    break;

  case 1161:
#line 7514 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43585 "preproc.c" /* yacc.c:1652  */
    break;

  case 1162:
#line 7518 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43593 "preproc.c" /* yacc.c:1652  */
    break;

  case 1163:
#line 7526 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43601 "preproc.c" /* yacc.c:1652  */
    break;

  case 1164:
#line 7530 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43609 "preproc.c" /* yacc.c:1652  */
    break;

  case 1165:
#line 7534 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43617 "preproc.c" /* yacc.c:1652  */
    break;

  case 1166:
#line 7542 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43625 "preproc.c" /* yacc.c:1652  */
    break;

  case 1167:
#line 7546 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43633 "preproc.c" /* yacc.c:1652  */
    break;

  case 1168:
#line 7554 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43641 "preproc.c" /* yacc.c:1652  */
    break;

  case 1169:
#line 7558 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43648 "preproc.c" /* yacc.c:1652  */
    break;

  case 1170:
#line 7565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43656 "preproc.c" /* yacc.c:1652  */
    break;

  case 1171:
#line 7569 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43664 "preproc.c" /* yacc.c:1652  */
    break;

  case 1172:
#line 7573 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43672 "preproc.c" /* yacc.c:1652  */
    break;

  case 1173:
#line 7577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43680 "preproc.c" /* yacc.c:1652  */
    break;

  case 1174:
#line 7581 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43688 "preproc.c" /* yacc.c:1652  */
    break;

  case 1175:
#line 7585 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43696 "preproc.c" /* yacc.c:1652  */
    break;

  case 1176:
#line 7593 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43704 "preproc.c" /* yacc.c:1652  */
    break;

  case 1177:
#line 7597 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43712 "preproc.c" /* yacc.c:1652  */
    break;

  case 1178:
#line 7605 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43720 "preproc.c" /* yacc.c:1652  */
    break;

  case 1179:
#line 7609 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43728 "preproc.c" /* yacc.c:1652  */
    break;

  case 1180:
#line 7617 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43736 "preproc.c" /* yacc.c:1652  */
    break;

  case 1181:
#line 7621 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43744 "preproc.c" /* yacc.c:1652  */
    break;

  case 1182:
#line 7625 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43752 "preproc.c" /* yacc.c:1652  */
    break;

  case 1183:
#line 7629 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 43760 "preproc.c" /* yacc.c:1652  */
    break;

  case 1184:
#line 7637 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43768 "preproc.c" /* yacc.c:1652  */
    break;

  case 1185:
#line 7641 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 43776 "preproc.c" /* yacc.c:1652  */
    break;

  case 1186:
#line 7649 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43784 "preproc.c" /* yacc.c:1652  */
    break;

  case 1187:
#line 7653 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43792 "preproc.c" /* yacc.c:1652  */
    break;

  case 1188:
#line 7661 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43800 "preproc.c" /* yacc.c:1652  */
    break;

  case 1189:
#line 7669 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 43808 "preproc.c" /* yacc.c:1652  */
    break;

  case 1190:
#line 7677 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43816 "preproc.c" /* yacc.c:1652  */
    break;

  case 1191:
#line 7681 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43824 "preproc.c" /* yacc.c:1652  */
    break;

  case 1192:
#line 7689 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43832 "preproc.c" /* yacc.c:1652  */
    break;

  case 1193:
#line 7693 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 43840 "preproc.c" /* yacc.c:1652  */
    break;

  case 1194:
#line 7701 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43848 "preproc.c" /* yacc.c:1652  */
    break;

  case 1195:
#line 7705 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 43856 "preproc.c" /* yacc.c:1652  */
    break;

  case 1196:
#line 7709 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 43864 "preproc.c" /* yacc.c:1652  */
    break;

  case 1197:
#line 7717 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 43872 "preproc.c" /* yacc.c:1652  */
    break;

  case 1198:
#line 7721 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 43880 "preproc.c" /* yacc.c:1652  */
    break;

  case 1199:
#line 7725 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43887 "preproc.c" /* yacc.c:1652  */
    break;

  case 1200:
#line 7732 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43895 "preproc.c" /* yacc.c:1652  */
    break;

  case 1201:
#line 7740 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 43903 "preproc.c" /* yacc.c:1652  */
    break;

  case 1202:
#line 7744 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 43910 "preproc.c" /* yacc.c:1652  */
    break;

  case 1203:
#line 7751 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43918 "preproc.c" /* yacc.c:1652  */
    break;

  case 1204:
#line 7759 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 43926 "preproc.c" /* yacc.c:1652  */
    break;

  case 1205:
#line 7763 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 43934 "preproc.c" /* yacc.c:1652  */
    break;

  case 1206:
#line 7767 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 43942 "preproc.c" /* yacc.c:1652  */
    break;

  case 1207:
#line 7771 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 43950 "preproc.c" /* yacc.c:1652  */
    break;

  case 1208:
#line 7779 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43958 "preproc.c" /* yacc.c:1652  */
    break;

  case 1209:
#line 7787 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43966 "preproc.c" /* yacc.c:1652  */
    break;

  case 1210:
#line 7791 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43974 "preproc.c" /* yacc.c:1652  */
    break;

  case 1211:
#line 7795 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("reindex ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43982 "preproc.c" /* yacc.c:1652  */
    break;

  case 1212:
#line 7799 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("reindex ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43990 "preproc.c" /* yacc.c:1652  */
    break;

  case 1213:
#line 7807 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 43998 "preproc.c" /* yacc.c:1652  */
    break;

  case 1214:
#line 7811 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 44006 "preproc.c" /* yacc.c:1652  */
    break;

  case 1215:
#line 7819 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 44014 "preproc.c" /* yacc.c:1652  */
    break;

  case 1216:
#line 7823 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 44022 "preproc.c" /* yacc.c:1652  */
    break;

  case 1217:
#line 7827 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 44030 "preproc.c" /* yacc.c:1652  */
    break;

  case 1218:
#line 7835 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44038 "preproc.c" /* yacc.c:1652  */
    break;

  case 1219:
#line 7839 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44046 "preproc.c" /* yacc.c:1652  */
    break;

  case 1220:
#line 7847 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44054 "preproc.c" /* yacc.c:1652  */
    break;

  case 1221:
#line 7855 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 44062 "preproc.c" /* yacc.c:1652  */
    break;

  case 1222:
#line 7859 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 44070 "preproc.c" /* yacc.c:1652  */
    break;

  case 1223:
#line 7867 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44078 "preproc.c" /* yacc.c:1652  */
    break;

  case 1224:
#line 7871 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44086 "preproc.c" /* yacc.c:1652  */
    break;

  case 1225:
#line 7875 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44094 "preproc.c" /* yacc.c:1652  */
    break;

  case 1226:
#line 7879 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44102 "preproc.c" /* yacc.c:1652  */
    break;

  case 1227:
#line 7883 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44110 "preproc.c" /* yacc.c:1652  */
    break;

  case 1228:
#line 7887 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44118 "preproc.c" /* yacc.c:1652  */
    break;

  case 1229:
#line 7891 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44126 "preproc.c" /* yacc.c:1652  */
    break;

  case 1230:
#line 7895 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44134 "preproc.c" /* yacc.c:1652  */
    break;

  case 1231:
#line 7899 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44142 "preproc.c" /* yacc.c:1652  */
    break;

  case 1232:
#line 7903 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44150 "preproc.c" /* yacc.c:1652  */
    break;

  case 1233:
#line 7907 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44158 "preproc.c" /* yacc.c:1652  */
    break;

  case 1234:
#line 7911 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44166 "preproc.c" /* yacc.c:1652  */
    break;

  case 1235:
#line 7915 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44174 "preproc.c" /* yacc.c:1652  */
    break;

  case 1236:
#line 7919 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44182 "preproc.c" /* yacc.c:1652  */
    break;

  case 1237:
#line 7923 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44190 "preproc.c" /* yacc.c:1652  */
    break;

  case 1238:
#line 7927 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44198 "preproc.c" /* yacc.c:1652  */
    break;

  case 1239:
#line 7931 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44206 "preproc.c" /* yacc.c:1652  */
    break;

  case 1240:
#line 7935 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44214 "preproc.c" /* yacc.c:1652  */
    break;

  case 1241:
#line 7939 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44222 "preproc.c" /* yacc.c:1652  */
    break;

  case 1242:
#line 7943 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44230 "preproc.c" /* yacc.c:1652  */
    break;

  case 1243:
#line 7947 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44238 "preproc.c" /* yacc.c:1652  */
    break;

  case 1244:
#line 7951 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44246 "preproc.c" /* yacc.c:1652  */
    break;

  case 1245:
#line 7955 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44254 "preproc.c" /* yacc.c:1652  */
    break;

  case 1246:
#line 7959 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44262 "preproc.c" /* yacc.c:1652  */
    break;

  case 1247:
#line 7963 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44270 "preproc.c" /* yacc.c:1652  */
    break;

  case 1248:
#line 7967 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44278 "preproc.c" /* yacc.c:1652  */
    break;

  case 1249:
#line 7971 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44286 "preproc.c" /* yacc.c:1652  */
    break;

  case 1250:
#line 7975 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44294 "preproc.c" /* yacc.c:1652  */
    break;

  case 1251:
#line 7979 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44302 "preproc.c" /* yacc.c:1652  */
    break;

  case 1252:
#line 7983 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44310 "preproc.c" /* yacc.c:1652  */
    break;

  case 1253:
#line 7987 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44318 "preproc.c" /* yacc.c:1652  */
    break;

  case 1254:
#line 7991 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44326 "preproc.c" /* yacc.c:1652  */
    break;

  case 1255:
#line 7995 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44334 "preproc.c" /* yacc.c:1652  */
    break;

  case 1256:
#line 7999 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44342 "preproc.c" /* yacc.c:1652  */
    break;

  case 1257:
#line 8003 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44350 "preproc.c" /* yacc.c:1652  */
    break;

  case 1258:
#line 8007 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44358 "preproc.c" /* yacc.c:1652  */
    break;

  case 1259:
#line 8011 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44366 "preproc.c" /* yacc.c:1652  */
    break;

  case 1260:
#line 8015 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44374 "preproc.c" /* yacc.c:1652  */
    break;

  case 1261:
#line 8019 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44382 "preproc.c" /* yacc.c:1652  */
    break;

  case 1262:
#line 8023 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44390 "preproc.c" /* yacc.c:1652  */
    break;

  case 1263:
#line 8027 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44398 "preproc.c" /* yacc.c:1652  */
    break;

  case 1264:
#line 8031 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44406 "preproc.c" /* yacc.c:1652  */
    break;

  case 1265:
#line 8035 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44414 "preproc.c" /* yacc.c:1652  */
    break;

  case 1266:
#line 8039 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44422 "preproc.c" /* yacc.c:1652  */
    break;

  case 1267:
#line 8043 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44430 "preproc.c" /* yacc.c:1652  */
    break;

  case 1268:
#line 8047 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44438 "preproc.c" /* yacc.c:1652  */
    break;

  case 1269:
#line 8051 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44446 "preproc.c" /* yacc.c:1652  */
    break;

  case 1270:
#line 8055 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44454 "preproc.c" /* yacc.c:1652  */
    break;

  case 1271:
#line 8059 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44462 "preproc.c" /* yacc.c:1652  */
    break;

  case 1272:
#line 8063 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44470 "preproc.c" /* yacc.c:1652  */
    break;

  case 1273:
#line 8067 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44478 "preproc.c" /* yacc.c:1652  */
    break;

  case 1274:
#line 8071 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44486 "preproc.c" /* yacc.c:1652  */
    break;

  case 1275:
#line 8075 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44494 "preproc.c" /* yacc.c:1652  */
    break;

  case 1276:
#line 8079 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44502 "preproc.c" /* yacc.c:1652  */
    break;

  case 1277:
#line 8083 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44510 "preproc.c" /* yacc.c:1652  */
    break;

  case 1278:
#line 8091 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 44518 "preproc.c" /* yacc.c:1652  */
    break;

  case 1279:
#line 8095 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 44525 "preproc.c" /* yacc.c:1652  */
    break;

  case 1280:
#line 8102 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 44533 "preproc.c" /* yacc.c:1652  */
    break;

  case 1281:
#line 8106 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 44540 "preproc.c" /* yacc.c:1652  */
    break;

  case 1282:
#line 8113 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44548 "preproc.c" /* yacc.c:1652  */
    break;

  case 1283:
#line 8117 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter procedure"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44556 "preproc.c" /* yacc.c:1652  */
    break;

  case 1284:
#line 8121 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter routine"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44564 "preproc.c" /* yacc.c:1652  */
    break;

  case 1285:
#line 8125 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44572 "preproc.c" /* yacc.c:1652  */
    break;

  case 1286:
#line 8129 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44580 "preproc.c" /* yacc.c:1652  */
    break;

  case 1287:
#line 8133 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44588 "preproc.c" /* yacc.c:1652  */
    break;

  case 1288:
#line 8141 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 44596 "preproc.c" /* yacc.c:1652  */
    break;

  case 1289:
#line 8145 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 44603 "preproc.c" /* yacc.c:1652  */
    break;

  case 1290:
#line 8152 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44611 "preproc.c" /* yacc.c:1652  */
    break;

  case 1291:
#line 8156 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44619 "preproc.c" /* yacc.c:1652  */
    break;

  case 1292:
#line 8160 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44627 "preproc.c" /* yacc.c:1652  */
    break;

  case 1293:
#line 8164 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44635 "preproc.c" /* yacc.c:1652  */
    break;

  case 1294:
#line 8168 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44643 "preproc.c" /* yacc.c:1652  */
    break;

  case 1295:
#line 8172 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44651 "preproc.c" /* yacc.c:1652  */
    break;

  case 1296:
#line 8176 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44659 "preproc.c" /* yacc.c:1652  */
    break;

  case 1297:
#line 8180 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44667 "preproc.c" /* yacc.c:1652  */
    break;

  case 1298:
#line 8184 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44675 "preproc.c" /* yacc.c:1652  */
    break;

  case 1299:
#line 8188 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44683 "preproc.c" /* yacc.c:1652  */
    break;

  case 1300:
#line 8192 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44691 "preproc.c" /* yacc.c:1652  */
    break;

  case 1301:
#line 8196 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44699 "preproc.c" /* yacc.c:1652  */
    break;

  case 1302:
#line 8200 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44707 "preproc.c" /* yacc.c:1652  */
    break;

  case 1303:
#line 8204 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44715 "preproc.c" /* yacc.c:1652  */
    break;

  case 1304:
#line 8208 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44723 "preproc.c" /* yacc.c:1652  */
    break;

  case 1305:
#line 8212 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44731 "preproc.c" /* yacc.c:1652  */
    break;

  case 1306:
#line 8216 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44739 "preproc.c" /* yacc.c:1652  */
    break;

  case 1307:
#line 8220 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44747 "preproc.c" /* yacc.c:1652  */
    break;

  case 1308:
#line 8224 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44755 "preproc.c" /* yacc.c:1652  */
    break;

  case 1309:
#line 8228 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44763 "preproc.c" /* yacc.c:1652  */
    break;

  case 1310:
#line 8232 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44771 "preproc.c" /* yacc.c:1652  */
    break;

  case 1311:
#line 8236 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44779 "preproc.c" /* yacc.c:1652  */
    break;

  case 1312:
#line 8240 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44787 "preproc.c" /* yacc.c:1652  */
    break;

  case 1313:
#line 8244 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44795 "preproc.c" /* yacc.c:1652  */
    break;

  case 1314:
#line 8248 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44803 "preproc.c" /* yacc.c:1652  */
    break;

  case 1315:
#line 8252 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44811 "preproc.c" /* yacc.c:1652  */
    break;

  case 1316:
#line 8256 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44819 "preproc.c" /* yacc.c:1652  */
    break;

  case 1317:
#line 8264 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44827 "preproc.c" /* yacc.c:1652  */
    break;

  case 1318:
#line 8272 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44835 "preproc.c" /* yacc.c:1652  */
    break;

  case 1319:
#line 8276 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44843 "preproc.c" /* yacc.c:1652  */
    break;

  case 1320:
#line 8284 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 44851 "preproc.c" /* yacc.c:1652  */
    break;

  case 1321:
#line 8288 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44859 "preproc.c" /* yacc.c:1652  */
    break;

  case 1322:
#line 8296 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44867 "preproc.c" /* yacc.c:1652  */
    break;

  case 1323:
#line 8300 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44875 "preproc.c" /* yacc.c:1652  */
    break;

  case 1324:
#line 8304 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44883 "preproc.c" /* yacc.c:1652  */
    break;

  case 1325:
#line 8308 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44891 "preproc.c" /* yacc.c:1652  */
    break;

  case 1326:
#line 8312 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44899 "preproc.c" /* yacc.c:1652  */
    break;

  case 1327:
#line 8320 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44907 "preproc.c" /* yacc.c:1652  */
    break;

  case 1328:
#line 8328 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44915 "preproc.c" /* yacc.c:1652  */
    break;

  case 1329:
#line 8332 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44923 "preproc.c" /* yacc.c:1652  */
    break;

  case 1330:
#line 8336 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44931 "preproc.c" /* yacc.c:1652  */
    break;

  case 1331:
#line 8340 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44939 "preproc.c" /* yacc.c:1652  */
    break;

  case 1332:
#line 8344 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44947 "preproc.c" /* yacc.c:1652  */
    break;

  case 1333:
#line 8348 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44955 "preproc.c" /* yacc.c:1652  */
    break;

  case 1334:
#line 8352 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44963 "preproc.c" /* yacc.c:1652  */
    break;

  case 1335:
#line 8356 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44971 "preproc.c" /* yacc.c:1652  */
    break;

  case 1336:
#line 8360 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44979 "preproc.c" /* yacc.c:1652  */
    break;

  case 1337:
#line 8364 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44987 "preproc.c" /* yacc.c:1652  */
    break;

  case 1338:
#line 8368 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44995 "preproc.c" /* yacc.c:1652  */
    break;

  case 1339:
#line 8372 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45003 "preproc.c" /* yacc.c:1652  */
    break;

  case 1340:
#line 8376 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45011 "preproc.c" /* yacc.c:1652  */
    break;

  case 1341:
#line 8380 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45019 "preproc.c" /* yacc.c:1652  */
    break;

  case 1342:
#line 8384 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45027 "preproc.c" /* yacc.c:1652  */
    break;

  case 1343:
#line 8388 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45035 "preproc.c" /* yacc.c:1652  */
    break;

  case 1344:
#line 8392 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45043 "preproc.c" /* yacc.c:1652  */
    break;

  case 1345:
#line 8396 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45051 "preproc.c" /* yacc.c:1652  */
    break;

  case 1346:
#line 8400 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45059 "preproc.c" /* yacc.c:1652  */
    break;

  case 1347:
#line 8404 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45067 "preproc.c" /* yacc.c:1652  */
    break;

  case 1348:
#line 8408 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45075 "preproc.c" /* yacc.c:1652  */
    break;

  case 1349:
#line 8412 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45083 "preproc.c" /* yacc.c:1652  */
    break;

  case 1350:
#line 8416 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45091 "preproc.c" /* yacc.c:1652  */
    break;

  case 1351:
#line 8420 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45099 "preproc.c" /* yacc.c:1652  */
    break;

  case 1352:
#line 8428 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45107 "preproc.c" /* yacc.c:1652  */
    break;

  case 1353:
#line 8436 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45115 "preproc.c" /* yacc.c:1652  */
    break;

  case 1354:
#line 8440 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45122 "preproc.c" /* yacc.c:1652  */
    break;

  case 1355:
#line 8447 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for table"),(yyvsp[0].str));
}
#line 45130 "preproc.c" /* yacc.c:1652  */
    break;

  case 1356:
#line 8451 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for all tables");
}
#line 45138 "preproc.c" /* yacc.c:1652  */
    break;

  case 1357:
#line 8459 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 45146 "preproc.c" /* yacc.c:1652  */
    break;

  case 1358:
#line 8463 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("add table"),(yyvsp[0].str));
}
#line 45154 "preproc.c" /* yacc.c:1652  */
    break;

  case 1359:
#line 8467 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("set table"),(yyvsp[0].str));
}
#line 45162 "preproc.c" /* yacc.c:1652  */
    break;

  case 1360:
#line 8471 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("drop table"),(yyvsp[0].str));
}
#line 45170 "preproc.c" /* yacc.c:1652  */
    break;

  case 1361:
#line 8479 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45178 "preproc.c" /* yacc.c:1652  */
    break;

  case 1362:
#line 8487 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45186 "preproc.c" /* yacc.c:1652  */
    break;

  case 1363:
#line 8491 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45194 "preproc.c" /* yacc.c:1652  */
    break;

  case 1364:
#line 8499 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45202 "preproc.c" /* yacc.c:1652  */
    break;

  case 1365:
#line 8507 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 45210 "preproc.c" /* yacc.c:1652  */
    break;

  case 1366:
#line 8511 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 45218 "preproc.c" /* yacc.c:1652  */
    break;

  case 1367:
#line 8515 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 45226 "preproc.c" /* yacc.c:1652  */
    break;

  case 1368:
#line 8519 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45234 "preproc.c" /* yacc.c:1652  */
    break;

  case 1369:
#line 8523 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 45242 "preproc.c" /* yacc.c:1652  */
    break;

  case 1370:
#line 8527 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 45250 "preproc.c" /* yacc.c:1652  */
    break;

  case 1371:
#line 8535 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45258 "preproc.c" /* yacc.c:1652  */
    break;

  case 1372:
#line 8539 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45266 "preproc.c" /* yacc.c:1652  */
    break;

  case 1373:
#line 8547 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45274 "preproc.c" /* yacc.c:1652  */
    break;

  case 1374:
#line 8555 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 45282 "preproc.c" /* yacc.c:1652  */
    break;

  case 1375:
#line 8559 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45290 "preproc.c" /* yacc.c:1652  */
    break;

  case 1376:
#line 8563 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45298 "preproc.c" /* yacc.c:1652  */
    break;

  case 1377:
#line 8571 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 45306 "preproc.c" /* yacc.c:1652  */
    break;

  case 1378:
#line 8575 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45314 "preproc.c" /* yacc.c:1652  */
    break;

  case 1379:
#line 8583 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45322 "preproc.c" /* yacc.c:1652  */
    break;

  case 1380:
#line 8587 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45330 "preproc.c" /* yacc.c:1652  */
    break;

  case 1381:
#line 8591 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45338 "preproc.c" /* yacc.c:1652  */
    break;

  case 1382:
#line 8595 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45346 "preproc.c" /* yacc.c:1652  */
    break;

  case 1383:
#line 8599 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45354 "preproc.c" /* yacc.c:1652  */
    break;

  case 1384:
#line 8607 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45362 "preproc.c" /* yacc.c:1652  */
    break;

  case 1385:
#line 8611 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45369 "preproc.c" /* yacc.c:1652  */
    break;

  case 1386:
#line 8618 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 45377 "preproc.c" /* yacc.c:1652  */
    break;

  case 1387:
#line 8622 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45385 "preproc.c" /* yacc.c:1652  */
    break;

  case 1388:
#line 8626 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 45393 "preproc.c" /* yacc.c:1652  */
    break;

  case 1389:
#line 8630 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 45401 "preproc.c" /* yacc.c:1652  */
    break;

  case 1390:
#line 8638 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 45409 "preproc.c" /* yacc.c:1652  */
    break;

  case 1391:
#line 8642 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 45417 "preproc.c" /* yacc.c:1652  */
    break;

  case 1392:
#line 8646 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45424 "preproc.c" /* yacc.c:1652  */
    break;

  case 1393:
#line 8653 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45432 "preproc.c" /* yacc.c:1652  */
    break;

  case 1394:
#line 8661 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 45440 "preproc.c" /* yacc.c:1652  */
    break;

  case 1395:
#line 8665 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45447 "preproc.c" /* yacc.c:1652  */
    break;

  case 1396:
#line 8672 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 45455 "preproc.c" /* yacc.c:1652  */
    break;

  case 1397:
#line 8680 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 45463 "preproc.c" /* yacc.c:1652  */
    break;

  case 1398:
#line 8684 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 45471 "preproc.c" /* yacc.c:1652  */
    break;

  case 1399:
#line 8692 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("abort"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45479 "preproc.c" /* yacc.c:1652  */
    break;

  case 1400:
#line 8696 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45487 "preproc.c" /* yacc.c:1652  */
    break;

  case 1401:
#line 8700 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 45495 "preproc.c" /* yacc.c:1652  */
    break;

  case 1402:
#line 8704 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("commit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45503 "preproc.c" /* yacc.c:1652  */
    break;

  case 1403:
#line 8708 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("end"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45511 "preproc.c" /* yacc.c:1652  */
    break;

  case 1404:
#line 8712 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollback"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45519 "preproc.c" /* yacc.c:1652  */
    break;

  case 1405:
#line 8716 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 45527 "preproc.c" /* yacc.c:1652  */
    break;

  case 1406:
#line 8720 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 45535 "preproc.c" /* yacc.c:1652  */
    break;

  case 1407:
#line 8724 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 45543 "preproc.c" /* yacc.c:1652  */
    break;

  case 1408:
#line 8728 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 45551 "preproc.c" /* yacc.c:1652  */
    break;

  case 1409:
#line 8732 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 45559 "preproc.c" /* yacc.c:1652  */
    break;

  case 1410:
#line 8736 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 45567 "preproc.c" /* yacc.c:1652  */
    break;

  case 1411:
#line 8740 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 45575 "preproc.c" /* yacc.c:1652  */
    break;

  case 1412:
#line 8744 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 45583 "preproc.c" /* yacc.c:1652  */
    break;

  case 1413:
#line 8752 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 45591 "preproc.c" /* yacc.c:1652  */
    break;

  case 1414:
#line 8756 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 45599 "preproc.c" /* yacc.c:1652  */
    break;

  case 1415:
#line 8760 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45606 "preproc.c" /* yacc.c:1652  */
    break;

  case 1416:
#line 8767 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 45614 "preproc.c" /* yacc.c:1652  */
    break;

  case 1417:
#line 8771 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 45622 "preproc.c" /* yacc.c:1652  */
    break;

  case 1418:
#line 8775 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 45630 "preproc.c" /* yacc.c:1652  */
    break;

  case 1419:
#line 8779 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 45638 "preproc.c" /* yacc.c:1652  */
    break;

  case 1420:
#line 8783 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 45646 "preproc.c" /* yacc.c:1652  */
    break;

  case 1421:
#line 8791 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45654 "preproc.c" /* yacc.c:1652  */
    break;

  case 1422:
#line 8795 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45662 "preproc.c" /* yacc.c:1652  */
    break;

  case 1423:
#line 8799 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45670 "preproc.c" /* yacc.c:1652  */
    break;

  case 1424:
#line 8807 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45678 "preproc.c" /* yacc.c:1652  */
    break;

  case 1425:
#line 8811 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45685 "preproc.c" /* yacc.c:1652  */
    break;

  case 1426:
#line 8818 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("and chain");
}
#line 45693 "preproc.c" /* yacc.c:1652  */
    break;

  case 1427:
#line 8822 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("and no chain");
}
#line 45701 "preproc.c" /* yacc.c:1652  */
    break;

  case 1428:
#line 8826 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45708 "preproc.c" /* yacc.c:1652  */
    break;

  case 1429:
#line 8833 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45716 "preproc.c" /* yacc.c:1652  */
    break;

  case 1430:
#line 8837 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45724 "preproc.c" /* yacc.c:1652  */
    break;

  case 1431:
#line 8841 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45733 "preproc.c" /* yacc.c:1652  */
    break;

  case 1432:
#line 8846 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45742 "preproc.c" /* yacc.c:1652  */
    break;

  case 1433:
#line 8855 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 45750 "preproc.c" /* yacc.c:1652  */
    break;

  case 1434:
#line 8859 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 45758 "preproc.c" /* yacc.c:1652  */
    break;

  case 1435:
#line 8863 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 45766 "preproc.c" /* yacc.c:1652  */
    break;

  case 1436:
#line 8867 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45773 "preproc.c" /* yacc.c:1652  */
    break;

  case 1437:
#line 8874 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 45781 "preproc.c" /* yacc.c:1652  */
    break;

  case 1438:
#line 8882 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45789 "preproc.c" /* yacc.c:1652  */
    break;

  case 1439:
#line 8890 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45797 "preproc.c" /* yacc.c:1652  */
    break;

  case 1440:
#line 8894 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45804 "preproc.c" /* yacc.c:1652  */
    break;

  case 1441:
#line 8901 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45812 "preproc.c" /* yacc.c:1652  */
    break;

  case 1442:
#line 8905 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45820 "preproc.c" /* yacc.c:1652  */
    break;

  case 1443:
#line 8913 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45828 "preproc.c" /* yacc.c:1652  */
    break;

  case 1444:
#line 8917 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45836 "preproc.c" /* yacc.c:1652  */
    break;

  case 1445:
#line 8921 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 45844 "preproc.c" /* yacc.c:1652  */
    break;

  case 1446:
#line 8929 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45852 "preproc.c" /* yacc.c:1652  */
    break;

  case 1447:
#line 8933 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 45860 "preproc.c" /* yacc.c:1652  */
    break;

  case 1448:
#line 8937 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 45868 "preproc.c" /* yacc.c:1652  */
    break;

  case 1449:
#line 8941 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 45876 "preproc.c" /* yacc.c:1652  */
    break;

  case 1450:
#line 8945 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 45884 "preproc.c" /* yacc.c:1652  */
    break;

  case 1451:
#line 8949 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 45892 "preproc.c" /* yacc.c:1652  */
    break;

  case 1452:
#line 8953 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 45900 "preproc.c" /* yacc.c:1652  */
    break;

  case 1453:
#line 8961 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 45908 "preproc.c" /* yacc.c:1652  */
    break;

  case 1454:
#line 8965 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 45915 "preproc.c" /* yacc.c:1652  */
    break;

  case 1455:
#line 8972 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 45923 "preproc.c" /* yacc.c:1652  */
    break;

  case 1456:
#line 8976 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45931 "preproc.c" /* yacc.c:1652  */
    break;

  case 1457:
#line 8980 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 45939 "preproc.c" /* yacc.c:1652  */
    break;

  case 1458:
#line 8988 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45947 "preproc.c" /* yacc.c:1652  */
    break;

  case 1459:
#line 8996 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 45955 "preproc.c" /* yacc.c:1652  */
    break;

  case 1460:
#line 9000 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 45963 "preproc.c" /* yacc.c:1652  */
    break;

  case 1461:
#line 9004 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop database"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45971 "preproc.c" /* yacc.c:1652  */
    break;

  case 1462:
#line 9008 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop database if exists"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45979 "preproc.c" /* yacc.c:1652  */
    break;

  case 1463:
#line 9016 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45987 "preproc.c" /* yacc.c:1652  */
    break;

  case 1464:
#line 9020 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45995 "preproc.c" /* yacc.c:1652  */
    break;

  case 1465:
#line 9028 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 46003 "preproc.c" /* yacc.c:1652  */
    break;

  case 1466:
#line 9036 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 46011 "preproc.c" /* yacc.c:1652  */
    break;

  case 1467:
#line 9044 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 46019 "preproc.c" /* yacc.c:1652  */
    break;

  case 1468:
#line 9048 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 46027 "preproc.c" /* yacc.c:1652  */
    break;

  case 1469:
#line 9056 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46035 "preproc.c" /* yacc.c:1652  */
    break;

  case 1470:
#line 9064 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46043 "preproc.c" /* yacc.c:1652  */
    break;

  case 1471:
#line 9068 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 46051 "preproc.c" /* yacc.c:1652  */
    break;

  case 1472:
#line 9072 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 46059 "preproc.c" /* yacc.c:1652  */
    break;

  case 1473:
#line 9076 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 46067 "preproc.c" /* yacc.c:1652  */
    break;

  case 1474:
#line 9080 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46075 "preproc.c" /* yacc.c:1652  */
    break;

  case 1475:
#line 9084 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46083 "preproc.c" /* yacc.c:1652  */
    break;

  case 1476:
#line 9088 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 46091 "preproc.c" /* yacc.c:1652  */
    break;

  case 1477:
#line 9096 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 46099 "preproc.c" /* yacc.c:1652  */
    break;

  case 1478:
#line 9100 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46106 "preproc.c" /* yacc.c:1652  */
    break;

  case 1479:
#line 9107 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46114 "preproc.c" /* yacc.c:1652  */
    break;

  case 1480:
#line 9115 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46122 "preproc.c" /* yacc.c:1652  */
    break;

  case 1481:
#line 9119 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46130 "preproc.c" /* yacc.c:1652  */
    break;

  case 1482:
#line 9123 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46138 "preproc.c" /* yacc.c:1652  */
    break;

  case 1483:
#line 9127 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46146 "preproc.c" /* yacc.c:1652  */
    break;

  case 1484:
#line 9131 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 46154 "preproc.c" /* yacc.c:1652  */
    break;

  case 1485:
#line 9135 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 46162 "preproc.c" /* yacc.c:1652  */
    break;

  case 1486:
#line 9143 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 46170 "preproc.c" /* yacc.c:1652  */
    break;

  case 1487:
#line 9147 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 46178 "preproc.c" /* yacc.c:1652  */
    break;

  case 1488:
#line 9155 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46186 "preproc.c" /* yacc.c:1652  */
    break;

  case 1489:
#line 9163 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46194 "preproc.c" /* yacc.c:1652  */
    break;

  case 1490:
#line 9167 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 46202 "preproc.c" /* yacc.c:1652  */
    break;

  case 1491:
#line 9171 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 46210 "preproc.c" /* yacc.c:1652  */
    break;

  case 1492:
#line 9179 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 46218 "preproc.c" /* yacc.c:1652  */
    break;

  case 1493:
#line 9183 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46225 "preproc.c" /* yacc.c:1652  */
    break;

  case 1494:
#line 9190 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("vacuum"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46233 "preproc.c" /* yacc.c:1652  */
    break;

  case 1495:
#line 9194 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46241 "preproc.c" /* yacc.c:1652  */
    break;

  case 1496:
#line 9202 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46249 "preproc.c" /* yacc.c:1652  */
    break;

  case 1497:
#line 9206 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46257 "preproc.c" /* yacc.c:1652  */
    break;

  case 1498:
#line 9214 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46265 "preproc.c" /* yacc.c:1652  */
    break;

  case 1499:
#line 9218 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46273 "preproc.c" /* yacc.c:1652  */
    break;

  case 1500:
#line 9226 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 46281 "preproc.c" /* yacc.c:1652  */
    break;

  case 1501:
#line 9230 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 46289 "preproc.c" /* yacc.c:1652  */
    break;

  case 1502:
#line 9238 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46297 "preproc.c" /* yacc.c:1652  */
    break;

  case 1503:
#line 9246 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46305 "preproc.c" /* yacc.c:1652  */
    break;

  case 1504:
#line 9250 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46313 "preproc.c" /* yacc.c:1652  */
    break;

  case 1505:
#line 9258 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46321 "preproc.c" /* yacc.c:1652  */
    break;

  case 1506:
#line 9262 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46329 "preproc.c" /* yacc.c:1652  */
    break;

  case 1507:
#line 9266 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46336 "preproc.c" /* yacc.c:1652  */
    break;

  case 1508:
#line 9273 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46344 "preproc.c" /* yacc.c:1652  */
    break;

  case 1509:
#line 9277 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46351 "preproc.c" /* yacc.c:1652  */
    break;

  case 1510:
#line 9284 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 46359 "preproc.c" /* yacc.c:1652  */
    break;

  case 1511:
#line 9288 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46366 "preproc.c" /* yacc.c:1652  */
    break;

  case 1512:
#line 9295 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 46374 "preproc.c" /* yacc.c:1652  */
    break;

  case 1513:
#line 9299 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46381 "preproc.c" /* yacc.c:1652  */
    break;

  case 1514:
#line 9306 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 46389 "preproc.c" /* yacc.c:1652  */
    break;

  case 1515:
#line 9310 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46396 "preproc.c" /* yacc.c:1652  */
    break;

  case 1516:
#line 9317 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46404 "preproc.c" /* yacc.c:1652  */
    break;

  case 1517:
#line 9321 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46411 "preproc.c" /* yacc.c:1652  */
    break;

  case 1518:
#line 9328 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46419 "preproc.c" /* yacc.c:1652  */
    break;

  case 1519:
#line 9336 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46427 "preproc.c" /* yacc.c:1652  */
    break;

  case 1520:
#line 9340 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46435 "preproc.c" /* yacc.c:1652  */
    break;

  case 1521:
#line 9348 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46443 "preproc.c" /* yacc.c:1652  */
    break;

  case 1522:
#line 9352 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46450 "preproc.c" /* yacc.c:1652  */
    break;

  case 1523:
#line 9359 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 46458 "preproc.c" /* yacc.c:1652  */
    break;

  case 1524:
#line 9363 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46466 "preproc.c" /* yacc.c:1652  */
    break;

  case 1525:
#line 9367 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 46474 "preproc.c" /* yacc.c:1652  */
    break;

  case 1526:
#line 9371 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46482 "preproc.c" /* yacc.c:1652  */
    break;

  case 1527:
#line 9379 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46490 "preproc.c" /* yacc.c:1652  */
    break;

  case 1528:
#line 9383 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46498 "preproc.c" /* yacc.c:1652  */
    break;

  case 1529:
#line 9387 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46506 "preproc.c" /* yacc.c:1652  */
    break;

  case 1530:
#line 9391 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46514 "preproc.c" /* yacc.c:1652  */
    break;

  case 1531:
#line 9395 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46522 "preproc.c" /* yacc.c:1652  */
    break;

  case 1532:
#line 9399 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46530 "preproc.c" /* yacc.c:1652  */
    break;

  case 1533:
#line 9403 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46538 "preproc.c" /* yacc.c:1652  */
    break;

  case 1534:
#line 9407 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46546 "preproc.c" /* yacc.c:1652  */
    break;

  case 1535:
#line 9411 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.str) = (yyvsp[0].exec).name;
	}
#line 46554 "preproc.c" /* yacc.c:1652  */
    break;

  case 1536:
#line 9419 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46562 "preproc.c" /* yacc.c:1652  */
    break;

  case 1537:
#line 9423 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46570 "preproc.c" /* yacc.c:1652  */
    break;

  case 1538:
#line 9431 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46578 "preproc.c" /* yacc.c:1652  */
    break;

  case 1539:
#line 9439 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46586 "preproc.c" /* yacc.c:1652  */
    break;

  case 1540:
#line 9443 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46594 "preproc.c" /* yacc.c:1652  */
    break;

  case 1541:
#line 9451 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46602 "preproc.c" /* yacc.c:1652  */
    break;

  case 1542:
#line 9455 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46610 "preproc.c" /* yacc.c:1652  */
    break;

  case 1543:
#line 9459 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46617 "preproc.c" /* yacc.c:1652  */
    break;

  case 1544:
#line 9466 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 46627 "preproc.c" /* yacc.c:1652  */
    break;

  case 1545:
#line 9472 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 46637 "preproc.c" /* yacc.c:1652  */
    break;

  case 1546:
#line 9482 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46645 "preproc.c" /* yacc.c:1652  */
    break;

  case 1547:
#line 9486 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46652 "preproc.c" /* yacc.c:1652  */
    break;

  case 1548:
#line 9493 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46660 "preproc.c" /* yacc.c:1652  */
    break;

  case 1549:
#line 9497 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46668 "preproc.c" /* yacc.c:1652  */
    break;

  case 1550:
#line 9501 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46676 "preproc.c" /* yacc.c:1652  */
    break;

  case 1551:
#line 9505 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46684 "preproc.c" /* yacc.c:1652  */
    break;

  case 1552:
#line 9513 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.exec).name = (yyvsp[-2].str);
		(yyval.exec).type = (yyvsp[-1].str);
	}
#line 46693 "preproc.c" /* yacc.c:1652  */
    break;

  case 1553:
#line 9518 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.exec).name = cat_str(8,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("as execute"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str));
	}
#line 46701 "preproc.c" /* yacc.c:1652  */
    break;

  case 1554:
#line 9522 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.exec).name = cat_str(8,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("as execute"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str));
	}
#line 46709 "preproc.c" /* yacc.c:1652  */
    break;

  case 1555:
#line 9530 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46717 "preproc.c" /* yacc.c:1652  */
    break;

  case 1556:
#line 9534 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46724 "preproc.c" /* yacc.c:1652  */
    break;

  case 1557:
#line 9541 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46732 "preproc.c" /* yacc.c:1652  */
    break;

  case 1558:
#line 9549 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46740 "preproc.c" /* yacc.c:1652  */
    break;

  case 1559:
#line 9553 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46748 "preproc.c" /* yacc.c:1652  */
    break;

  case 1560:
#line 9561 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46756 "preproc.c" /* yacc.c:1652  */
    break;

  case 1561:
#line 9565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 46764 "preproc.c" /* yacc.c:1652  */
    break;

  case 1562:
#line 9569 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46772 "preproc.c" /* yacc.c:1652  */
    break;

  case 1563:
#line 9573 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 46780 "preproc.c" /* yacc.c:1652  */
    break;

  case 1564:
#line 9577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 46788 "preproc.c" /* yacc.c:1652  */
    break;

  case 1565:
#line 9585 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 46796 "preproc.c" /* yacc.c:1652  */
    break;

  case 1566:
#line 9589 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 46804 "preproc.c" /* yacc.c:1652  */
    break;

  case 1567:
#line 9597 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46812 "preproc.c" /* yacc.c:1652  */
    break;

  case 1568:
#line 9601 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46820 "preproc.c" /* yacc.c:1652  */
    break;

  case 1569:
#line 9609 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46828 "preproc.c" /* yacc.c:1652  */
    break;

  case 1570:
#line 9617 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46836 "preproc.c" /* yacc.c:1652  */
    break;

  case 1571:
#line 9621 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 46844 "preproc.c" /* yacc.c:1652  */
    break;

  case 1572:
#line 9625 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46851 "preproc.c" /* yacc.c:1652  */
    break;

  case 1573:
#line 9632 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46859 "preproc.c" /* yacc.c:1652  */
    break;

  case 1574:
#line 9636 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 46867 "preproc.c" /* yacc.c:1652  */
    break;

  case 1575:
#line 9640 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46874 "preproc.c" /* yacc.c:1652  */
    break;

  case 1576:
#line 9647 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 46882 "preproc.c" /* yacc.c:1652  */
    break;

  case 1577:
#line 9651 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46889 "preproc.c" /* yacc.c:1652  */
    break;

  case 1578:
#line 9658 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46897 "preproc.c" /* yacc.c:1652  */
    break;

  case 1579:
#line 9666 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 46905 "preproc.c" /* yacc.c:1652  */
    break;

  case 1580:
#line 9670 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46912 "preproc.c" /* yacc.c:1652  */
    break;

  case 1581:
#line 9677 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46920 "preproc.c" /* yacc.c:1652  */
    break;

  case 1582:
#line 9685 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 46928 "preproc.c" /* yacc.c:1652  */
    break;

  case 1583:
#line 9689 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 46935 "preproc.c" /* yacc.c:1652  */
    break;

  case 1584:
#line 9696 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 46943 "preproc.c" /* yacc.c:1652  */
    break;

  case 1585:
#line 9700 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 46951 "preproc.c" /* yacc.c:1652  */
    break;

  case 1586:
#line 9704 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 46959 "preproc.c" /* yacc.c:1652  */
    break;

  case 1587:
#line 9708 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 46967 "preproc.c" /* yacc.c:1652  */
    break;

  case 1588:
#line 9712 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 46975 "preproc.c" /* yacc.c:1652  */
    break;

  case 1589:
#line 9716 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 46983 "preproc.c" /* yacc.c:1652  */
    break;

  case 1590:
#line 9720 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 46991 "preproc.c" /* yacc.c:1652  */
    break;

  case 1591:
#line 9724 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 46999 "preproc.c" /* yacc.c:1652  */
    break;

  case 1592:
#line 9732 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 47007 "preproc.c" /* yacc.c:1652  */
    break;

  case 1593:
#line 9736 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47014 "preproc.c" /* yacc.c:1652  */
    break;

  case 1594:
#line 9743 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 47022 "preproc.c" /* yacc.c:1652  */
    break;

  case 1595:
#line 9747 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 47030 "preproc.c" /* yacc.c:1652  */
    break;

  case 1596:
#line 9751 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47037 "preproc.c" /* yacc.c:1652  */
    break;

  case 1597:
#line 9758 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47045 "preproc.c" /* yacc.c:1652  */
    break;

  case 1598:
#line 9766 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47053 "preproc.c" /* yacc.c:1652  */
    break;

  case 1599:
#line 9770 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47061 "preproc.c" /* yacc.c:1652  */
    break;

  case 1600:
#line 9778 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47069 "preproc.c" /* yacc.c:1652  */
    break;

  case 1601:
#line 9782 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 47077 "preproc.c" /* yacc.c:1652  */
    break;

  case 1602:
#line 9790 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47085 "preproc.c" /* yacc.c:1652  */
    break;

  case 1603:
#line 9798 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47093 "preproc.c" /* yacc.c:1652  */
    break;

  case 1604:
#line 9802 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47101 "preproc.c" /* yacc.c:1652  */
    break;

  case 1605:
#line 9810 "preproc.y" /* yacc.c:1652  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 47149 "preproc.c" /* yacc.c:1652  */
    break;

  case 1606:
#line 9858 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47157 "preproc.c" /* yacc.c:1652  */
    break;

  case 1607:
#line 9862 "preproc.y" /* yacc.c:1652  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 47169 "preproc.c" /* yacc.c:1652  */
    break;

  case 1608:
#line 9874 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47176 "preproc.c" /* yacc.c:1652  */
    break;

  case 1609:
#line 9877 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 47184 "preproc.c" /* yacc.c:1652  */
    break;

  case 1610:
#line 9881 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 47192 "preproc.c" /* yacc.c:1652  */
    break;

  case 1611:
#line 9885 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 47200 "preproc.c" /* yacc.c:1652  */
    break;

  case 1612:
#line 9889 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 47208 "preproc.c" /* yacc.c:1652  */
    break;

  case 1613:
#line 9897 "preproc.y" /* yacc.c:1652  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 47219 "preproc.c" /* yacc.c:1652  */
    break;

  case 1614:
#line 9904 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 47227 "preproc.c" /* yacc.c:1652  */
    break;

  case 1615:
#line 9908 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 47235 "preproc.c" /* yacc.c:1652  */
    break;

  case 1616:
#line 9916 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47243 "preproc.c" /* yacc.c:1652  */
    break;

  case 1617:
#line 9920 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47251 "preproc.c" /* yacc.c:1652  */
    break;

  case 1618:
#line 9928 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47259 "preproc.c" /* yacc.c:1652  */
    break;

  case 1619:
#line 9932 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47267 "preproc.c" /* yacc.c:1652  */
    break;

  case 1620:
#line 9940 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47275 "preproc.c" /* yacc.c:1652  */
    break;

  case 1621:
#line 9944 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47283 "preproc.c" /* yacc.c:1652  */
    break;

  case 1622:
#line 9948 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47291 "preproc.c" /* yacc.c:1652  */
    break;

  case 1623:
#line 9952 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47299 "preproc.c" /* yacc.c:1652  */
    break;

  case 1624:
#line 9956 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47307 "preproc.c" /* yacc.c:1652  */
    break;

  case 1625:
#line 9960 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47315 "preproc.c" /* yacc.c:1652  */
    break;

  case 1626:
#line 9964 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47323 "preproc.c" /* yacc.c:1652  */
    break;

  case 1627:
#line 9968 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47331 "preproc.c" /* yacc.c:1652  */
    break;

  case 1628:
#line 9976 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47339 "preproc.c" /* yacc.c:1652  */
    break;

  case 1629:
#line 9980 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47347 "preproc.c" /* yacc.c:1652  */
    break;

  case 1630:
#line 9988 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47355 "preproc.c" /* yacc.c:1652  */
    break;

  case 1631:
#line 9992 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47363 "preproc.c" /* yacc.c:1652  */
    break;

  case 1632:
#line 9996 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47371 "preproc.c" /* yacc.c:1652  */
    break;

  case 1633:
#line 10000 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 47379 "preproc.c" /* yacc.c:1652  */
    break;

  case 1634:
#line 10004 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47387 "preproc.c" /* yacc.c:1652  */
    break;

  case 1635:
#line 10008 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47395 "preproc.c" /* yacc.c:1652  */
    break;

  case 1636:
#line 10012 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47403 "preproc.c" /* yacc.c:1652  */
    break;

  case 1637:
#line 10020 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 47411 "preproc.c" /* yacc.c:1652  */
    break;

  case 1638:
#line 10024 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 47419 "preproc.c" /* yacc.c:1652  */
    break;

  case 1639:
#line 10028 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 47427 "preproc.c" /* yacc.c:1652  */
    break;

  case 1640:
#line 10036 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47435 "preproc.c" /* yacc.c:1652  */
    break;

  case 1641:
#line 10040 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47443 "preproc.c" /* yacc.c:1652  */
    break;

  case 1642:
#line 10048 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47451 "preproc.c" /* yacc.c:1652  */
    break;

  case 1643:
#line 10056 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 47459 "preproc.c" /* yacc.c:1652  */
    break;

  case 1644:
#line 10060 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not materialized");
}
#line 47467 "preproc.c" /* yacc.c:1652  */
    break;

  case 1645:
#line 10064 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47474 "preproc.c" /* yacc.c:1652  */
    break;

  case 1646:
#line 10071 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47482 "preproc.c" /* yacc.c:1652  */
    break;

  case 1647:
#line 10075 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47489 "preproc.c" /* yacc.c:1652  */
    break;

  case 1648:
#line 10082 "preproc.y" /* yacc.c:1652  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 47498 "preproc.c" /* yacc.c:1652  */
    break;

  case 1649:
#line 10086 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 47504 "preproc.c" /* yacc.c:1652  */
    break;

  case 1650:
#line 10088 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47511 "preproc.c" /* yacc.c:1652  */
    break;

  case 1651:
#line 10095 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47519 "preproc.c" /* yacc.c:1652  */
    break;

  case 1652:
#line 10099 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47527 "preproc.c" /* yacc.c:1652  */
    break;

  case 1653:
#line 10103 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47535 "preproc.c" /* yacc.c:1652  */
    break;

  case 1654:
#line 10107 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47543 "preproc.c" /* yacc.c:1652  */
    break;

  case 1655:
#line 10111 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47551 "preproc.c" /* yacc.c:1652  */
    break;

  case 1656:
#line 10115 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47559 "preproc.c" /* yacc.c:1652  */
    break;

  case 1657:
#line 10119 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47567 "preproc.c" /* yacc.c:1652  */
    break;

  case 1658:
#line 10123 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 47575 "preproc.c" /* yacc.c:1652  */
    break;

  case 1659:
#line 10127 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47583 "preproc.c" /* yacc.c:1652  */
    break;

  case 1660:
#line 10135 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 47591 "preproc.c" /* yacc.c:1652  */
    break;

  case 1661:
#line 10139 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47598 "preproc.c" /* yacc.c:1652  */
    break;

  case 1662:
#line 10146 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47606 "preproc.c" /* yacc.c:1652  */
    break;

  case 1663:
#line 10150 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 47614 "preproc.c" /* yacc.c:1652  */
    break;

  case 1664:
#line 10154 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47621 "preproc.c" /* yacc.c:1652  */
    break;

  case 1665:
#line 10161 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 47629 "preproc.c" /* yacc.c:1652  */
    break;

  case 1666:
#line 10165 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47637 "preproc.c" /* yacc.c:1652  */
    break;

  case 1667:
#line 10173 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47645 "preproc.c" /* yacc.c:1652  */
    break;

  case 1668:
#line 10177 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47652 "preproc.c" /* yacc.c:1652  */
    break;

  case 1669:
#line 10184 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47660 "preproc.c" /* yacc.c:1652  */
    break;

  case 1670:
#line 10188 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47667 "preproc.c" /* yacc.c:1652  */
    break;

  case 1671:
#line 10195 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 47675 "preproc.c" /* yacc.c:1652  */
    break;

  case 1672:
#line 10203 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47683 "preproc.c" /* yacc.c:1652  */
    break;

  case 1673:
#line 10207 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47691 "preproc.c" /* yacc.c:1652  */
    break;

  case 1674:
#line 10215 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47699 "preproc.c" /* yacc.c:1652  */
    break;

  case 1675:
#line 10219 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47707 "preproc.c" /* yacc.c:1652  */
    break;

  case 1676:
#line 10227 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47715 "preproc.c" /* yacc.c:1652  */
    break;

  case 1677:
#line 10231 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47723 "preproc.c" /* yacc.c:1652  */
    break;

  case 1678:
#line 10235 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47731 "preproc.c" /* yacc.c:1652  */
    break;

  case 1679:
#line 10239 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47739 "preproc.c" /* yacc.c:1652  */
    break;

  case 1680:
#line 10247 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47747 "preproc.c" /* yacc.c:1652  */
    break;

  case 1681:
#line 10251 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47754 "preproc.c" /* yacc.c:1652  */
    break;

  case 1682:
#line 10258 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 47762 "preproc.c" /* yacc.c:1652  */
    break;

  case 1683:
#line 10262 "preproc.y" /* yacc.c:1652  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 47771 "preproc.c" /* yacc.c:1652  */
    break;

  case 1684:
#line 10267 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 47779 "preproc.c" /* yacc.c:1652  */
    break;

  case 1685:
#line 10271 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("with ties"));
}
#line 47787 "preproc.c" /* yacc.c:1652  */
    break;

  case 1686:
#line 10275 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 47795 "preproc.c" /* yacc.c:1652  */
    break;

  case 1687:
#line 10279 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("with ties"));
}
#line 47803 "preproc.c" /* yacc.c:1652  */
    break;

  case 1688:
#line 10287 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 47811 "preproc.c" /* yacc.c:1652  */
    break;

  case 1689:
#line 10291 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47819 "preproc.c" /* yacc.c:1652  */
    break;

  case 1690:
#line 10299 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47827 "preproc.c" /* yacc.c:1652  */
    break;

  case 1691:
#line 10303 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47835 "preproc.c" /* yacc.c:1652  */
    break;

  case 1692:
#line 10311 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47843 "preproc.c" /* yacc.c:1652  */
    break;

  case 1693:
#line 10319 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47851 "preproc.c" /* yacc.c:1652  */
    break;

  case 1694:
#line 10323 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47859 "preproc.c" /* yacc.c:1652  */
    break;

  case 1695:
#line 10327 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47867 "preproc.c" /* yacc.c:1652  */
    break;

  case 1696:
#line 10335 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47875 "preproc.c" /* yacc.c:1652  */
    break;

  case 1697:
#line 10339 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47883 "preproc.c" /* yacc.c:1652  */
    break;

  case 1698:
#line 10347 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 47891 "preproc.c" /* yacc.c:1652  */
    break;

  case 1699:
#line 10351 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 47899 "preproc.c" /* yacc.c:1652  */
    break;

  case 1700:
#line 10359 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 47907 "preproc.c" /* yacc.c:1652  */
    break;

  case 1701:
#line 10363 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 47915 "preproc.c" /* yacc.c:1652  */
    break;

  case 1702:
#line 10371 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 47923 "preproc.c" /* yacc.c:1652  */
    break;

  case 1703:
#line 10375 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 47930 "preproc.c" /* yacc.c:1652  */
    break;

  case 1704:
#line 10382 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47938 "preproc.c" /* yacc.c:1652  */
    break;

  case 1705:
#line 10386 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47946 "preproc.c" /* yacc.c:1652  */
    break;

  case 1706:
#line 10394 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47954 "preproc.c" /* yacc.c:1652  */
    break;

  case 1707:
#line 10398 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47962 "preproc.c" /* yacc.c:1652  */
    break;

  case 1708:
#line 10402 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47970 "preproc.c" /* yacc.c:1652  */
    break;

  case 1709:
#line 10406 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47978 "preproc.c" /* yacc.c:1652  */
    break;

  case 1710:
#line 10410 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47986 "preproc.c" /* yacc.c:1652  */
    break;

  case 1711:
#line 10418 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 47994 "preproc.c" /* yacc.c:1652  */
    break;

  case 1712:
#line 10426 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48002 "preproc.c" /* yacc.c:1652  */
    break;

  case 1713:
#line 10434 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48010 "preproc.c" /* yacc.c:1652  */
    break;

  case 1714:
#line 10442 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48018 "preproc.c" /* yacc.c:1652  */
    break;

  case 1715:
#line 10450 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 48026 "preproc.c" /* yacc.c:1652  */
    break;

  case 1716:
#line 10454 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48033 "preproc.c" /* yacc.c:1652  */
    break;

  case 1717:
#line 10461 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48041 "preproc.c" /* yacc.c:1652  */
    break;

  case 1718:
#line 10465 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 48049 "preproc.c" /* yacc.c:1652  */
    break;

  case 1719:
#line 10473 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48057 "preproc.c" /* yacc.c:1652  */
    break;

  case 1720:
#line 10477 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48064 "preproc.c" /* yacc.c:1652  */
    break;

  case 1721:
#line 10484 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48072 "preproc.c" /* yacc.c:1652  */
    break;

  case 1722:
#line 10488 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48080 "preproc.c" /* yacc.c:1652  */
    break;

  case 1723:
#line 10496 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48088 "preproc.c" /* yacc.c:1652  */
    break;

  case 1724:
#line 10504 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 48096 "preproc.c" /* yacc.c:1652  */
    break;

  case 1725:
#line 10508 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 48104 "preproc.c" /* yacc.c:1652  */
    break;

  case 1726:
#line 10512 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 48112 "preproc.c" /* yacc.c:1652  */
    break;

  case 1727:
#line 10516 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 48120 "preproc.c" /* yacc.c:1652  */
    break;

  case 1728:
#line 10524 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 48128 "preproc.c" /* yacc.c:1652  */
    break;

  case 1729:
#line 10528 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48135 "preproc.c" /* yacc.c:1652  */
    break;

  case 1730:
#line 10535 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48143 "preproc.c" /* yacc.c:1652  */
    break;

  case 1731:
#line 10539 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48151 "preproc.c" /* yacc.c:1652  */
    break;

  case 1732:
#line 10547 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 48159 "preproc.c" /* yacc.c:1652  */
    break;

  case 1733:
#line 10551 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48166 "preproc.c" /* yacc.c:1652  */
    break;

  case 1734:
#line 10558 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48174 "preproc.c" /* yacc.c:1652  */
    break;

  case 1735:
#line 10562 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48182 "preproc.c" /* yacc.c:1652  */
    break;

  case 1736:
#line 10570 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48190 "preproc.c" /* yacc.c:1652  */
    break;

  case 1737:
#line 10574 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48198 "preproc.c" /* yacc.c:1652  */
    break;

  case 1738:
#line 10578 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48206 "preproc.c" /* yacc.c:1652  */
    break;

  case 1739:
#line 10582 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48214 "preproc.c" /* yacc.c:1652  */
    break;

  case 1740:
#line 10586 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48222 "preproc.c" /* yacc.c:1652  */
    break;

  case 1741:
#line 10590 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48230 "preproc.c" /* yacc.c:1652  */
    break;

  case 1742:
#line 10594 "preproc.y" /* yacc.c:1652  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48241 "preproc.c" /* yacc.c:1652  */
    break;

  case 1743:
#line 10601 "preproc.y" /* yacc.c:1652  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48252 "preproc.c" /* yacc.c:1652  */
    break;

  case 1744:
#line 10608 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48260 "preproc.c" /* yacc.c:1652  */
    break;

  case 1745:
#line 10612 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48268 "preproc.c" /* yacc.c:1652  */
    break;

  case 1746:
#line 10620 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48276 "preproc.c" /* yacc.c:1652  */
    break;

  case 1747:
#line 10624 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 48284 "preproc.c" /* yacc.c:1652  */
    break;

  case 1748:
#line 10628 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48292 "preproc.c" /* yacc.c:1652  */
    break;

  case 1749:
#line 10632 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48300 "preproc.c" /* yacc.c:1652  */
    break;

  case 1750:
#line 10636 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 48308 "preproc.c" /* yacc.c:1652  */
    break;

  case 1751:
#line 10640 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 48316 "preproc.c" /* yacc.c:1652  */
    break;

  case 1752:
#line 10648 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48324 "preproc.c" /* yacc.c:1652  */
    break;

  case 1753:
#line 10652 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 48332 "preproc.c" /* yacc.c:1652  */
    break;

  case 1754:
#line 10656 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48340 "preproc.c" /* yacc.c:1652  */
    break;

  case 1755:
#line 10660 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48348 "preproc.c" /* yacc.c:1652  */
    break;

  case 1756:
#line 10668 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48356 "preproc.c" /* yacc.c:1652  */
    break;

  case 1757:
#line 10672 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48363 "preproc.c" /* yacc.c:1652  */
    break;

  case 1758:
#line 10679 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48371 "preproc.c" /* yacc.c:1652  */
    break;

  case 1759:
#line 10683 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48379 "preproc.c" /* yacc.c:1652  */
    break;

  case 1760:
#line 10687 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48387 "preproc.c" /* yacc.c:1652  */
    break;

  case 1761:
#line 10691 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48395 "preproc.c" /* yacc.c:1652  */
    break;

  case 1762:
#line 10695 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48402 "preproc.c" /* yacc.c:1652  */
    break;

  case 1763:
#line 10702 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 48410 "preproc.c" /* yacc.c:1652  */
    break;

  case 1764:
#line 10706 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 48418 "preproc.c" /* yacc.c:1652  */
    break;

  case 1765:
#line 10710 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 48426 "preproc.c" /* yacc.c:1652  */
    break;

  case 1766:
#line 10714 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 48434 "preproc.c" /* yacc.c:1652  */
    break;

  case 1767:
#line 10722 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 48442 "preproc.c" /* yacc.c:1652  */
    break;

  case 1768:
#line 10726 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48449 "preproc.c" /* yacc.c:1652  */
    break;

  case 1769:
#line 10733 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48457 "preproc.c" /* yacc.c:1652  */
    break;

  case 1770:
#line 10737 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 48465 "preproc.c" /* yacc.c:1652  */
    break;

  case 1771:
#line 10745 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48473 "preproc.c" /* yacc.c:1652  */
    break;

  case 1772:
#line 10749 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 48481 "preproc.c" /* yacc.c:1652  */
    break;

  case 1773:
#line 10753 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 48489 "preproc.c" /* yacc.c:1652  */
    break;

  case 1774:
#line 10757 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48497 "preproc.c" /* yacc.c:1652  */
    break;

  case 1775:
#line 10765 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48505 "preproc.c" /* yacc.c:1652  */
    break;

  case 1776:
#line 10769 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48513 "preproc.c" /* yacc.c:1652  */
    break;

  case 1777:
#line 10777 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48521 "preproc.c" /* yacc.c:1652  */
    break;

  case 1778:
#line 10781 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48529 "preproc.c" /* yacc.c:1652  */
    break;

  case 1779:
#line 10785 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48537 "preproc.c" /* yacc.c:1652  */
    break;

  case 1780:
#line 10793 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48545 "preproc.c" /* yacc.c:1652  */
    break;

  case 1781:
#line 10801 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48553 "preproc.c" /* yacc.c:1652  */
    break;

  case 1782:
#line 10805 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48560 "preproc.c" /* yacc.c:1652  */
    break;

  case 1783:
#line 10812 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48568 "preproc.c" /* yacc.c:1652  */
    break;

  case 1784:
#line 10816 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48576 "preproc.c" /* yacc.c:1652  */
    break;

  case 1785:
#line 10824 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48584 "preproc.c" /* yacc.c:1652  */
    break;

  case 1786:
#line 10832 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48592 "preproc.c" /* yacc.c:1652  */
    break;

  case 1787:
#line 10836 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48600 "preproc.c" /* yacc.c:1652  */
    break;

  case 1788:
#line 10844 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48608 "preproc.c" /* yacc.c:1652  */
    break;

  case 1789:
#line 10848 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48615 "preproc.c" /* yacc.c:1652  */
    break;

  case 1790:
#line 10855 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 48623 "preproc.c" /* yacc.c:1652  */
    break;

  case 1791:
#line 10859 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48630 "preproc.c" /* yacc.c:1652  */
    break;

  case 1792:
#line 10866 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 48638 "preproc.c" /* yacc.c:1652  */
    break;

  case 1793:
#line 10870 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48645 "preproc.c" /* yacc.c:1652  */
    break;

  case 1794:
#line 10877 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 48653 "preproc.c" /* yacc.c:1652  */
    break;

  case 1795:
#line 10881 "preproc.y" /* yacc.c:1652  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 48662 "preproc.c" /* yacc.c:1652  */
    break;

  case 1796:
#line 10886 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48669 "preproc.c" /* yacc.c:1652  */
    break;

  case 1797:
#line 10893 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48677 "preproc.c" /* yacc.c:1652  */
    break;

  case 1798:
#line 10897 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 48684 "preproc.c" /* yacc.c:1652  */
    break;

  case 1799:
#line 10904 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48692 "preproc.c" /* yacc.c:1652  */
    break;

  case 1800:
#line 10908 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48700 "preproc.c" /* yacc.c:1652  */
    break;

  case 1801:
#line 10916 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48708 "preproc.c" /* yacc.c:1652  */
    break;

  case 1802:
#line 10924 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48716 "preproc.c" /* yacc.c:1652  */
    break;

  case 1803:
#line 10928 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48724 "preproc.c" /* yacc.c:1652  */
    break;

  case 1804:
#line 10936 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48732 "preproc.c" /* yacc.c:1652  */
    break;

  case 1805:
#line 10940 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48740 "preproc.c" /* yacc.c:1652  */
    break;

  case 1806:
#line 10948 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48748 "preproc.c" /* yacc.c:1652  */
    break;

  case 1807:
#line 10952 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48756 "preproc.c" /* yacc.c:1652  */
    break;

  case 1808:
#line 10956 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 48764 "preproc.c" /* yacc.c:1652  */
    break;

  case 1809:
#line 10964 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48772 "preproc.c" /* yacc.c:1652  */
    break;

  case 1810:
#line 10968 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48780 "preproc.c" /* yacc.c:1652  */
    break;

  case 1811:
#line 10976 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48788 "preproc.c" /* yacc.c:1652  */
    break;

  case 1812:
#line 10980 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 48796 "preproc.c" /* yacc.c:1652  */
    break;

  case 1813:
#line 10984 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 48804 "preproc.c" /* yacc.c:1652  */
    break;

  case 1814:
#line 10988 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 48812 "preproc.c" /* yacc.c:1652  */
    break;

  case 1815:
#line 10996 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48820 "preproc.c" /* yacc.c:1652  */
    break;

  case 1816:
#line 11000 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48828 "preproc.c" /* yacc.c:1652  */
    break;

  case 1817:
#line 11008 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48836 "preproc.c" /* yacc.c:1652  */
    break;

  case 1818:
#line 11012 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 48844 "preproc.c" /* yacc.c:1652  */
    break;

  case 1819:
#line 11020 "preproc.y" /* yacc.c:1652  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 48850 "preproc.c" /* yacc.c:1652  */
    break;

  case 1820:
#line 11022 "preproc.y" /* yacc.c:1652  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 48856 "preproc.c" /* yacc.c:1652  */
    break;

  case 1821:
#line 11024 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 48864 "preproc.c" /* yacc.c:1652  */
    break;

  case 1822:
#line 11028 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 48872 "preproc.c" /* yacc.c:1652  */
    break;

  case 1823:
#line 11032 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 48880 "preproc.c" /* yacc.c:1652  */
    break;

  case 1824:
#line 11036 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 48888 "preproc.c" /* yacc.c:1652  */
    break;

  case 1825:
#line 11044 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 48902 "preproc.c" /* yacc.c:1652  */
    break;

  case 1826:
#line 11054 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 48916 "preproc.c" /* yacc.c:1652  */
    break;

  case 1827:
#line 11064 "preproc.y" /* yacc.c:1652  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 48926 "preproc.c" /* yacc.c:1652  */
    break;

  case 1828:
#line 11074 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48934 "preproc.c" /* yacc.c:1652  */
    break;

  case 1829:
#line 11078 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48942 "preproc.c" /* yacc.c:1652  */
    break;

  case 1830:
#line 11082 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48950 "preproc.c" /* yacc.c:1652  */
    break;

  case 1831:
#line 11086 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48958 "preproc.c" /* yacc.c:1652  */
    break;

  case 1832:
#line 11090 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48966 "preproc.c" /* yacc.c:1652  */
    break;

  case 1833:
#line 11094 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48974 "preproc.c" /* yacc.c:1652  */
    break;

  case 1834:
#line 11098 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48982 "preproc.c" /* yacc.c:1652  */
    break;

  case 1835:
#line 11106 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48990 "preproc.c" /* yacc.c:1652  */
    break;

  case 1836:
#line 11110 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48998 "preproc.c" /* yacc.c:1652  */
    break;

  case 1837:
#line 11114 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49006 "preproc.c" /* yacc.c:1652  */
    break;

  case 1838:
#line 11118 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49014 "preproc.c" /* yacc.c:1652  */
    break;

  case 1839:
#line 11126 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49022 "preproc.c" /* yacc.c:1652  */
    break;

  case 1840:
#line 11130 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49030 "preproc.c" /* yacc.c:1652  */
    break;

  case 1841:
#line 11138 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49038 "preproc.c" /* yacc.c:1652  */
    break;

  case 1842:
#line 11142 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 49045 "preproc.c" /* yacc.c:1652  */
    break;

  case 1843:
#line 11149 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 49053 "preproc.c" /* yacc.c:1652  */
    break;

  case 1844:
#line 11153 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 49061 "preproc.c" /* yacc.c:1652  */
    break;

  case 1845:
#line 11157 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 49069 "preproc.c" /* yacc.c:1652  */
    break;

  case 1846:
#line 11161 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 49077 "preproc.c" /* yacc.c:1652  */
    break;

  case 1847:
#line 11165 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 49085 "preproc.c" /* yacc.c:1652  */
    break;

  case 1848:
#line 11169 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 49093 "preproc.c" /* yacc.c:1652  */
    break;

  case 1849:
#line 11173 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 49101 "preproc.c" /* yacc.c:1652  */
    break;

  case 1850:
#line 11177 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 49109 "preproc.c" /* yacc.c:1652  */
    break;

  case 1851:
#line 11181 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 49117 "preproc.c" /* yacc.c:1652  */
    break;

  case 1852:
#line 11185 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 49125 "preproc.c" /* yacc.c:1652  */
    break;

  case 1853:
#line 11189 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 49133 "preproc.c" /* yacc.c:1652  */
    break;

  case 1854:
#line 11197 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49141 "preproc.c" /* yacc.c:1652  */
    break;

  case 1855:
#line 11201 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 49148 "preproc.c" /* yacc.c:1652  */
    break;

  case 1856:
#line 11208 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49156 "preproc.c" /* yacc.c:1652  */
    break;

  case 1857:
#line 11212 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49164 "preproc.c" /* yacc.c:1652  */
    break;

  case 1858:
#line 11220 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49172 "preproc.c" /* yacc.c:1652  */
    break;

  case 1859:
#line 11224 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49180 "preproc.c" /* yacc.c:1652  */
    break;

  case 1860:
#line 11232 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49188 "preproc.c" /* yacc.c:1652  */
    break;

  case 1861:
#line 11240 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 49196 "preproc.c" /* yacc.c:1652  */
    break;

  case 1862:
#line 11248 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49204 "preproc.c" /* yacc.c:1652  */
    break;

  case 1863:
#line 11252 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49212 "preproc.c" /* yacc.c:1652  */
    break;

  case 1864:
#line 11260 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49220 "preproc.c" /* yacc.c:1652  */
    break;

  case 1865:
#line 11264 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49228 "preproc.c" /* yacc.c:1652  */
    break;

  case 1866:
#line 11272 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49236 "preproc.c" /* yacc.c:1652  */
    break;

  case 1867:
#line 11280 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49244 "preproc.c" /* yacc.c:1652  */
    break;

  case 1868:
#line 11288 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 49252 "preproc.c" /* yacc.c:1652  */
    break;

  case 1869:
#line 11292 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 49260 "preproc.c" /* yacc.c:1652  */
    break;

  case 1870:
#line 11296 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 49268 "preproc.c" /* yacc.c:1652  */
    break;

  case 1871:
#line 11300 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 49276 "preproc.c" /* yacc.c:1652  */
    break;

  case 1872:
#line 11304 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 49284 "preproc.c" /* yacc.c:1652  */
    break;

  case 1873:
#line 11308 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 49292 "preproc.c" /* yacc.c:1652  */
    break;

  case 1874:
#line 11316 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 49300 "preproc.c" /* yacc.c:1652  */
    break;

  case 1875:
#line 11320 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 49307 "preproc.c" /* yacc.c:1652  */
    break;

  case 1876:
#line 11327 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49315 "preproc.c" /* yacc.c:1652  */
    break;

  case 1877:
#line 11331 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 49323 "preproc.c" /* yacc.c:1652  */
    break;

  case 1878:
#line 11335 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49331 "preproc.c" /* yacc.c:1652  */
    break;

  case 1879:
#line 11339 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 49339 "preproc.c" /* yacc.c:1652  */
    break;

  case 1880:
#line 11347 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 49347 "preproc.c" /* yacc.c:1652  */
    break;

  case 1881:
#line 11355 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 49355 "preproc.c" /* yacc.c:1652  */
    break;

  case 1882:
#line 11359 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 49363 "preproc.c" /* yacc.c:1652  */
    break;

  case 1883:
#line 11363 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 49370 "preproc.c" /* yacc.c:1652  */
    break;

  case 1884:
#line 11370 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 49378 "preproc.c" /* yacc.c:1652  */
    break;

  case 1885:
#line 11374 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 49386 "preproc.c" /* yacc.c:1652  */
    break;

  case 1886:
#line 11378 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 49394 "preproc.c" /* yacc.c:1652  */
    break;

  case 1887:
#line 11382 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 49402 "preproc.c" /* yacc.c:1652  */
    break;

  case 1888:
#line 11386 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 49410 "preproc.c" /* yacc.c:1652  */
    break;

  case 1889:
#line 11390 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49418 "preproc.c" /* yacc.c:1652  */
    break;

  case 1890:
#line 11394 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 49426 "preproc.c" /* yacc.c:1652  */
    break;

  case 1891:
#line 11398 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 49434 "preproc.c" /* yacc.c:1652  */
    break;

  case 1892:
#line 11402 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 49442 "preproc.c" /* yacc.c:1652  */
    break;

  case 1893:
#line 11406 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 49450 "preproc.c" /* yacc.c:1652  */
    break;

  case 1894:
#line 11410 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 49458 "preproc.c" /* yacc.c:1652  */
    break;

  case 1895:
#line 11414 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 49466 "preproc.c" /* yacc.c:1652  */
    break;

  case 1896:
#line 11418 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 49474 "preproc.c" /* yacc.c:1652  */
    break;

  case 1897:
#line 11422 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 49481 "preproc.c" /* yacc.c:1652  */
    break;

  case 1898:
#line 11429 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 49489 "preproc.c" /* yacc.c:1652  */
    break;

  case 1899:
#line 11433 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49497 "preproc.c" /* yacc.c:1652  */
    break;

  case 1900:
#line 11441 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49505 "preproc.c" /* yacc.c:1652  */
    break;

  case 1901:
#line 11445 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 49513 "preproc.c" /* yacc.c:1652  */
    break;

  case 1902:
#line 11449 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 49521 "preproc.c" /* yacc.c:1652  */
    break;

  case 1903:
#line 11453 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 49529 "preproc.c" /* yacc.c:1652  */
    break;

  case 1904:
#line 11457 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 49537 "preproc.c" /* yacc.c:1652  */
    break;

  case 1905:
#line 11461 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 49545 "preproc.c" /* yacc.c:1652  */
    break;

  case 1906:
#line 11465 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 49553 "preproc.c" /* yacc.c:1652  */
    break;

  case 1907:
#line 11469 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 49561 "preproc.c" /* yacc.c:1652  */
    break;

  case 1908:
#line 11473 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 49569 "preproc.c" /* yacc.c:1652  */
    break;

  case 1909:
#line 11477 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 49577 "preproc.c" /* yacc.c:1652  */
    break;

  case 1910:
#line 11481 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 49585 "preproc.c" /* yacc.c:1652  */
    break;

  case 1911:
#line 11485 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 49593 "preproc.c" /* yacc.c:1652  */
    break;

  case 1912:
#line 11489 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 49601 "preproc.c" /* yacc.c:1652  */
    break;

  case 1913:
#line 11493 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 49609 "preproc.c" /* yacc.c:1652  */
    break;

  case 1914:
#line 11497 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 49617 "preproc.c" /* yacc.c:1652  */
    break;

  case 1915:
#line 11501 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 49625 "preproc.c" /* yacc.c:1652  */
    break;

  case 1916:
#line 11505 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 49633 "preproc.c" /* yacc.c:1652  */
    break;

  case 1917:
#line 11509 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 49641 "preproc.c" /* yacc.c:1652  */
    break;

  case 1918:
#line 11513 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49649 "preproc.c" /* yacc.c:1652  */
    break;

  case 1919:
#line 11517 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49657 "preproc.c" /* yacc.c:1652  */
    break;

  case 1920:
#line 11521 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49665 "preproc.c" /* yacc.c:1652  */
    break;

  case 1921:
#line 11525 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49673 "preproc.c" /* yacc.c:1652  */
    break;

  case 1922:
#line 11529 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 49681 "preproc.c" /* yacc.c:1652  */
    break;

  case 1923:
#line 11533 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 49689 "preproc.c" /* yacc.c:1652  */
    break;

  case 1924:
#line 11537 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 49697 "preproc.c" /* yacc.c:1652  */
    break;

  case 1925:
#line 11541 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 49705 "preproc.c" /* yacc.c:1652  */
    break;

  case 1926:
#line 11545 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49713 "preproc.c" /* yacc.c:1652  */
    break;

  case 1927:
#line 11549 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 49721 "preproc.c" /* yacc.c:1652  */
    break;

  case 1928:
#line 11553 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49729 "preproc.c" /* yacc.c:1652  */
    break;

  case 1929:
#line 11557 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 49737 "preproc.c" /* yacc.c:1652  */
    break;

  case 1930:
#line 11561 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49745 "preproc.c" /* yacc.c:1652  */
    break;

  case 1931:
#line 11565 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 49753 "preproc.c" /* yacc.c:1652  */
    break;

  case 1932:
#line 11569 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49761 "preproc.c" /* yacc.c:1652  */
    break;

  case 1933:
#line 11573 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 49769 "preproc.c" /* yacc.c:1652  */
    break;

  case 1934:
#line 11577 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49777 "preproc.c" /* yacc.c:1652  */
    break;

  case 1935:
#line 11581 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 49785 "preproc.c" /* yacc.c:1652  */
    break;

  case 1936:
#line 11585 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49793 "preproc.c" /* yacc.c:1652  */
    break;

  case 1937:
#line 11589 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 49801 "preproc.c" /* yacc.c:1652  */
    break;

  case 1938:
#line 11593 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 49809 "preproc.c" /* yacc.c:1652  */
    break;

  case 1939:
#line 11597 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 49817 "preproc.c" /* yacc.c:1652  */
    break;

  case 1940:
#line 11601 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 49825 "preproc.c" /* yacc.c:1652  */
    break;

  case 1941:
#line 11605 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 49833 "preproc.c" /* yacc.c:1652  */
    break;

  case 1942:
#line 11609 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 49841 "preproc.c" /* yacc.c:1652  */
    break;

  case 1943:
#line 11613 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 49849 "preproc.c" /* yacc.c:1652  */
    break;

  case 1944:
#line 11617 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 49857 "preproc.c" /* yacc.c:1652  */
    break;

  case 1945:
#line 11621 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 49865 "preproc.c" /* yacc.c:1652  */
    break;

  case 1946:
#line 11625 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 49873 "preproc.c" /* yacc.c:1652  */
    break;

  case 1947:
#line 11629 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 49881 "preproc.c" /* yacc.c:1652  */
    break;

  case 1948:
#line 11633 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 49889 "preproc.c" /* yacc.c:1652  */
    break;

  case 1949:
#line 11637 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 49897 "preproc.c" /* yacc.c:1652  */
    break;

  case 1950:
#line 11641 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49905 "preproc.c" /* yacc.c:1652  */
    break;

  case 1951:
#line 11645 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49913 "preproc.c" /* yacc.c:1652  */
    break;

  case 1952:
#line 11649 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49921 "preproc.c" /* yacc.c:1652  */
    break;

  case 1953:
#line 11653 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49929 "preproc.c" /* yacc.c:1652  */
    break;

  case 1954:
#line 11657 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49937 "preproc.c" /* yacc.c:1652  */
    break;

  case 1955:
#line 11661 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49945 "preproc.c" /* yacc.c:1652  */
    break;

  case 1956:
#line 11665 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 49953 "preproc.c" /* yacc.c:1652  */
    break;

  case 1957:
#line 11669 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 49961 "preproc.c" /* yacc.c:1652  */
    break;

  case 1958:
#line 11673 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49969 "preproc.c" /* yacc.c:1652  */
    break;

  case 1959:
#line 11677 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49977 "preproc.c" /* yacc.c:1652  */
    break;

  case 1960:
#line 11681 "preproc.y" /* yacc.c:1652  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 49986 "preproc.c" /* yacc.c:1652  */
    break;

  case 1961:
#line 11686 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 49994 "preproc.c" /* yacc.c:1652  */
    break;

  case 1962:
#line 11690 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 50002 "preproc.c" /* yacc.c:1652  */
    break;

  case 1963:
#line 11694 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is normalized"));
}
#line 50010 "preproc.c" /* yacc.c:1652  */
    break;

  case 1964:
#line 11698 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("is"),(yyvsp[-1].str),mm_strdup("normalized"));
}
#line 50018 "preproc.c" /* yacc.c:1652  */
    break;

  case 1965:
#line 11702 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not normalized"));
}
#line 50026 "preproc.c" /* yacc.c:1652  */
    break;

  case 1966:
#line 11706 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("is not"),(yyvsp[-1].str),mm_strdup("normalized"));
}
#line 50034 "preproc.c" /* yacc.c:1652  */
    break;

  case 1967:
#line 11710 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 50042 "preproc.c" /* yacc.c:1652  */
    break;

  case 1968:
#line 11718 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50050 "preproc.c" /* yacc.c:1652  */
    break;

  case 1969:
#line 11722 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 50058 "preproc.c" /* yacc.c:1652  */
    break;

  case 1970:
#line 11726 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 50066 "preproc.c" /* yacc.c:1652  */
    break;

  case 1971:
#line 11730 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 50074 "preproc.c" /* yacc.c:1652  */
    break;

  case 1972:
#line 11734 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 50082 "preproc.c" /* yacc.c:1652  */
    break;

  case 1973:
#line 11738 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 50090 "preproc.c" /* yacc.c:1652  */
    break;

  case 1974:
#line 11742 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 50098 "preproc.c" /* yacc.c:1652  */
    break;

  case 1975:
#line 11746 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 50106 "preproc.c" /* yacc.c:1652  */
    break;

  case 1976:
#line 11750 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 50114 "preproc.c" /* yacc.c:1652  */
    break;

  case 1977:
#line 11754 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 50122 "preproc.c" /* yacc.c:1652  */
    break;

  case 1978:
#line 11758 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 50130 "preproc.c" /* yacc.c:1652  */
    break;

  case 1979:
#line 11762 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 50138 "preproc.c" /* yacc.c:1652  */
    break;

  case 1980:
#line 11766 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 50146 "preproc.c" /* yacc.c:1652  */
    break;

  case 1981:
#line 11770 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 50154 "preproc.c" /* yacc.c:1652  */
    break;

  case 1982:
#line 11774 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 50162 "preproc.c" /* yacc.c:1652  */
    break;

  case 1983:
#line 11778 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 50170 "preproc.c" /* yacc.c:1652  */
    break;

  case 1984:
#line 11782 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50178 "preproc.c" /* yacc.c:1652  */
    break;

  case 1985:
#line 11786 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50186 "preproc.c" /* yacc.c:1652  */
    break;

  case 1986:
#line 11790 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50194 "preproc.c" /* yacc.c:1652  */
    break;

  case 1987:
#line 11794 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 50202 "preproc.c" /* yacc.c:1652  */
    break;

  case 1988:
#line 11798 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 50210 "preproc.c" /* yacc.c:1652  */
    break;

  case 1989:
#line 11802 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50218 "preproc.c" /* yacc.c:1652  */
    break;

  case 1990:
#line 11806 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50226 "preproc.c" /* yacc.c:1652  */
    break;

  case 1991:
#line 11810 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 50234 "preproc.c" /* yacc.c:1652  */
    break;

  case 1992:
#line 11814 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 50242 "preproc.c" /* yacc.c:1652  */
    break;

  case 1993:
#line 11822 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50250 "preproc.c" /* yacc.c:1652  */
    break;

  case 1994:
#line 11826 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50258 "preproc.c" /* yacc.c:1652  */
    break;

  case 1995:
#line 11830 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50266 "preproc.c" /* yacc.c:1652  */
    break;

  case 1996:
#line 11834 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 50274 "preproc.c" /* yacc.c:1652  */
    break;

  case 1997:
#line 11838 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50282 "preproc.c" /* yacc.c:1652  */
    break;

  case 1998:
#line 11842 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50290 "preproc.c" /* yacc.c:1652  */
    break;

  case 1999:
#line 11846 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50298 "preproc.c" /* yacc.c:1652  */
    break;

  case 2000:
#line 11850 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50306 "preproc.c" /* yacc.c:1652  */
    break;

  case 2001:
#line 11854 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 50314 "preproc.c" /* yacc.c:1652  */
    break;

  case 2002:
#line 11858 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 50322 "preproc.c" /* yacc.c:1652  */
    break;

  case 2003:
#line 11862 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 50330 "preproc.c" /* yacc.c:1652  */
    break;

  case 2004:
#line 11866 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50338 "preproc.c" /* yacc.c:1652  */
    break;

  case 2005:
#line 11870 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50346 "preproc.c" /* yacc.c:1652  */
    break;

  case 2006:
#line 11874 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50354 "preproc.c" /* yacc.c:1652  */
    break;

  case 2007:
#line 11882 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 50362 "preproc.c" /* yacc.c:1652  */
    break;

  case 2008:
#line 11886 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50370 "preproc.c" /* yacc.c:1652  */
    break;

  case 2009:
#line 11890 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50378 "preproc.c" /* yacc.c:1652  */
    break;

  case 2010:
#line 11894 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50386 "preproc.c" /* yacc.c:1652  */
    break;

  case 2011:
#line 11898 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50394 "preproc.c" /* yacc.c:1652  */
    break;

  case 2012:
#line 11902 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50402 "preproc.c" /* yacc.c:1652  */
    break;

  case 2013:
#line 11906 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 50410 "preproc.c" /* yacc.c:1652  */
    break;

  case 2014:
#line 11914 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50418 "preproc.c" /* yacc.c:1652  */
    break;

  case 2015:
#line 11918 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50426 "preproc.c" /* yacc.c:1652  */
    break;

  case 2016:
#line 11926 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50434 "preproc.c" /* yacc.c:1652  */
    break;

  case 2017:
#line 11930 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50442 "preproc.c" /* yacc.c:1652  */
    break;

  case 2018:
#line 11938 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50450 "preproc.c" /* yacc.c:1652  */
    break;

  case 2019:
#line 11942 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 50458 "preproc.c" /* yacc.c:1652  */
    break;

  case 2020:
#line 11946 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 50466 "preproc.c" /* yacc.c:1652  */
    break;

  case 2021:
#line 11950 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50474 "preproc.c" /* yacc.c:1652  */
    break;

  case 2022:
#line 11954 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 50482 "preproc.c" /* yacc.c:1652  */
    break;

  case 2023:
#line 11958 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50490 "preproc.c" /* yacc.c:1652  */
    break;

  case 2024:
#line 11962 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 50498 "preproc.c" /* yacc.c:1652  */
    break;

  case 2025:
#line 11966 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50506 "preproc.c" /* yacc.c:1652  */
    break;

  case 2026:
#line 11970 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 50514 "preproc.c" /* yacc.c:1652  */
    break;

  case 2027:
#line 11974 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50522 "preproc.c" /* yacc.c:1652  */
    break;

  case 2028:
#line 11978 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 50530 "preproc.c" /* yacc.c:1652  */
    break;

  case 2029:
#line 11982 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50538 "preproc.c" /* yacc.c:1652  */
    break;

  case 2030:
#line 11986 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50546 "preproc.c" /* yacc.c:1652  */
    break;

  case 2031:
#line 11990 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50554 "preproc.c" /* yacc.c:1652  */
    break;

  case 2032:
#line 11994 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 50562 "preproc.c" /* yacc.c:1652  */
    break;

  case 2033:
#line 11998 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 50570 "preproc.c" /* yacc.c:1652  */
    break;

  case 2034:
#line 12002 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50578 "preproc.c" /* yacc.c:1652  */
    break;

  case 2035:
#line 12006 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50586 "preproc.c" /* yacc.c:1652  */
    break;

  case 2036:
#line 12010 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("normalize ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50594 "preproc.c" /* yacc.c:1652  */
    break;

  case 2037:
#line 12014 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("normalize ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50602 "preproc.c" /* yacc.c:1652  */
    break;

  case 2038:
#line 12018 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50610 "preproc.c" /* yacc.c:1652  */
    break;

  case 2039:
#line 12022 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50618 "preproc.c" /* yacc.c:1652  */
    break;

  case 2040:
#line 12026 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50626 "preproc.c" /* yacc.c:1652  */
    break;

  case 2041:
#line 12030 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50634 "preproc.c" /* yacc.c:1652  */
    break;

  case 2042:
#line 12034 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50642 "preproc.c" /* yacc.c:1652  */
    break;

  case 2043:
#line 12038 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50650 "preproc.c" /* yacc.c:1652  */
    break;

  case 2044:
#line 12042 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50658 "preproc.c" /* yacc.c:1652  */
    break;

  case 2045:
#line 12046 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50666 "preproc.c" /* yacc.c:1652  */
    break;

  case 2046:
#line 12050 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50674 "preproc.c" /* yacc.c:1652  */
    break;

  case 2047:
#line 12054 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50682 "preproc.c" /* yacc.c:1652  */
    break;

  case 2048:
#line 12058 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50690 "preproc.c" /* yacc.c:1652  */
    break;

  case 2049:
#line 12062 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50698 "preproc.c" /* yacc.c:1652  */
    break;

  case 2050:
#line 12066 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50706 "preproc.c" /* yacc.c:1652  */
    break;

  case 2051:
#line 12070 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50714 "preproc.c" /* yacc.c:1652  */
    break;

  case 2052:
#line 12074 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50722 "preproc.c" /* yacc.c:1652  */
    break;

  case 2053:
#line 12078 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50730 "preproc.c" /* yacc.c:1652  */
    break;

  case 2054:
#line 12082 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50738 "preproc.c" /* yacc.c:1652  */
    break;

  case 2055:
#line 12086 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50746 "preproc.c" /* yacc.c:1652  */
    break;

  case 2056:
#line 12090 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50754 "preproc.c" /* yacc.c:1652  */
    break;

  case 2057:
#line 12094 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50762 "preproc.c" /* yacc.c:1652  */
    break;

  case 2058:
#line 12098 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50770 "preproc.c" /* yacc.c:1652  */
    break;

  case 2059:
#line 12102 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50778 "preproc.c" /* yacc.c:1652  */
    break;

  case 2060:
#line 12106 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50786 "preproc.c" /* yacc.c:1652  */
    break;

  case 2061:
#line 12110 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50794 "preproc.c" /* yacc.c:1652  */
    break;

  case 2062:
#line 12118 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 50802 "preproc.c" /* yacc.c:1652  */
    break;

  case 2063:
#line 12122 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 50810 "preproc.c" /* yacc.c:1652  */
    break;

  case 2064:
#line 12130 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 50818 "preproc.c" /* yacc.c:1652  */
    break;

  case 2065:
#line 12134 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 50826 "preproc.c" /* yacc.c:1652  */
    break;

  case 2066:
#line 12138 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 50834 "preproc.c" /* yacc.c:1652  */
    break;

  case 2067:
#line 12142 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 50841 "preproc.c" /* yacc.c:1652  */
    break;

  case 2068:
#line 12149 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50849 "preproc.c" /* yacc.c:1652  */
    break;

  case 2069:
#line 12157 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50857 "preproc.c" /* yacc.c:1652  */
    break;

  case 2070:
#line 12161 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50865 "preproc.c" /* yacc.c:1652  */
    break;

  case 2071:
#line 12169 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 50873 "preproc.c" /* yacc.c:1652  */
    break;

  case 2072:
#line 12173 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50881 "preproc.c" /* yacc.c:1652  */
    break;

  case 2073:
#line 12181 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 50889 "preproc.c" /* yacc.c:1652  */
    break;

  case 2074:
#line 12185 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 50897 "preproc.c" /* yacc.c:1652  */
    break;

  case 2075:
#line 12193 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 50905 "preproc.c" /* yacc.c:1652  */
    break;

  case 2076:
#line 12197 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 50913 "preproc.c" /* yacc.c:1652  */
    break;

  case 2077:
#line 12201 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 50920 "preproc.c" /* yacc.c:1652  */
    break;

  case 2078:
#line 12208 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 50928 "preproc.c" /* yacc.c:1652  */
    break;

  case 2079:
#line 12212 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50936 "preproc.c" /* yacc.c:1652  */
    break;

  case 2080:
#line 12216 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50944 "preproc.c" /* yacc.c:1652  */
    break;

  case 2081:
#line 12220 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("passing"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50952 "preproc.c" /* yacc.c:1652  */
    break;

  case 2082:
#line 12228 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("by ref");
}
#line 50960 "preproc.c" /* yacc.c:1652  */
    break;

  case 2083:
#line 12232 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("by value");
}
#line 50968 "preproc.c" /* yacc.c:1652  */
    break;

  case 2084:
#line 12240 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50976 "preproc.c" /* yacc.c:1652  */
    break;

  case 2085:
#line 12244 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 50983 "preproc.c" /* yacc.c:1652  */
    break;

  case 2086:
#line 12251 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50991 "preproc.c" /* yacc.c:1652  */
    break;

  case 2087:
#line 12255 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 50998 "preproc.c" /* yacc.c:1652  */
    break;

  case 2088:
#line 12262 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 51006 "preproc.c" /* yacc.c:1652  */
    break;

  case 2089:
#line 12266 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51013 "preproc.c" /* yacc.c:1652  */
    break;

  case 2090:
#line 12273 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51021 "preproc.c" /* yacc.c:1652  */
    break;

  case 2091:
#line 12277 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51029 "preproc.c" /* yacc.c:1652  */
    break;

  case 2092:
#line 12285 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 51037 "preproc.c" /* yacc.c:1652  */
    break;

  case 2093:
#line 12293 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 51045 "preproc.c" /* yacc.c:1652  */
    break;

  case 2094:
#line 12297 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 51053 "preproc.c" /* yacc.c:1652  */
    break;

  case 2095:
#line 12301 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51060 "preproc.c" /* yacc.c:1652  */
    break;

  case 2096:
#line 12308 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51068 "preproc.c" /* yacc.c:1652  */
    break;

  case 2097:
#line 12316 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51076 "preproc.c" /* yacc.c:1652  */
    break;

  case 2098:
#line 12320 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51083 "preproc.c" /* yacc.c:1652  */
    break;

  case 2099:
#line 12327 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 51091 "preproc.c" /* yacc.c:1652  */
    break;

  case 2100:
#line 12331 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51098 "preproc.c" /* yacc.c:1652  */
    break;

  case 2101:
#line 12338 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("range"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51106 "preproc.c" /* yacc.c:1652  */
    break;

  case 2102:
#line 12342 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rows"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51114 "preproc.c" /* yacc.c:1652  */
    break;

  case 2103:
#line 12346 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("groups"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51122 "preproc.c" /* yacc.c:1652  */
    break;

  case 2104:
#line 12350 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51129 "preproc.c" /* yacc.c:1652  */
    break;

  case 2105:
#line 12357 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51137 "preproc.c" /* yacc.c:1652  */
    break;

  case 2106:
#line 12361 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 51145 "preproc.c" /* yacc.c:1652  */
    break;

  case 2107:
#line 12369 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 51153 "preproc.c" /* yacc.c:1652  */
    break;

  case 2108:
#line 12373 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 51161 "preproc.c" /* yacc.c:1652  */
    break;

  case 2109:
#line 12377 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 51169 "preproc.c" /* yacc.c:1652  */
    break;

  case 2110:
#line 12381 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 51177 "preproc.c" /* yacc.c:1652  */
    break;

  case 2111:
#line 12385 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 51185 "preproc.c" /* yacc.c:1652  */
    break;

  case 2112:
#line 12393 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exclude current row");
}
#line 51193 "preproc.c" /* yacc.c:1652  */
    break;

  case 2113:
#line 12397 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exclude group");
}
#line 51201 "preproc.c" /* yacc.c:1652  */
    break;

  case 2114:
#line 12401 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exclude ties");
}
#line 51209 "preproc.c" /* yacc.c:1652  */
    break;

  case 2115:
#line 12405 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exclude no others");
}
#line 51217 "preproc.c" /* yacc.c:1652  */
    break;

  case 2116:
#line 12409 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51224 "preproc.c" /* yacc.c:1652  */
    break;

  case 2117:
#line 12416 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51232 "preproc.c" /* yacc.c:1652  */
    break;

  case 2118:
#line 12420 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 51240 "preproc.c" /* yacc.c:1652  */
    break;

  case 2119:
#line 12424 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51248 "preproc.c" /* yacc.c:1652  */
    break;

  case 2120:
#line 12432 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51256 "preproc.c" /* yacc.c:1652  */
    break;

  case 2121:
#line 12436 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 51264 "preproc.c" /* yacc.c:1652  */
    break;

  case 2122:
#line 12444 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51272 "preproc.c" /* yacc.c:1652  */
    break;

  case 2123:
#line 12452 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 51280 "preproc.c" /* yacc.c:1652  */
    break;

  case 2124:
#line 12456 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 51288 "preproc.c" /* yacc.c:1652  */
    break;

  case 2125:
#line 12460 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 51296 "preproc.c" /* yacc.c:1652  */
    break;

  case 2126:
#line 12468 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51304 "preproc.c" /* yacc.c:1652  */
    break;

  case 2127:
#line 12472 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51312 "preproc.c" /* yacc.c:1652  */
    break;

  case 2128:
#line 12480 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 51320 "preproc.c" /* yacc.c:1652  */
    break;

  case 2129:
#line 12484 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 51328 "preproc.c" /* yacc.c:1652  */
    break;

  case 2130:
#line 12488 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 51336 "preproc.c" /* yacc.c:1652  */
    break;

  case 2131:
#line 12492 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 51344 "preproc.c" /* yacc.c:1652  */
    break;

  case 2132:
#line 12496 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 51352 "preproc.c" /* yacc.c:1652  */
    break;

  case 2133:
#line 12500 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 51360 "preproc.c" /* yacc.c:1652  */
    break;

  case 2134:
#line 12504 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 51368 "preproc.c" /* yacc.c:1652  */
    break;

  case 2135:
#line 12508 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 51376 "preproc.c" /* yacc.c:1652  */
    break;

  case 2136:
#line 12512 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 51384 "preproc.c" /* yacc.c:1652  */
    break;

  case 2137:
#line 12516 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 51392 "preproc.c" /* yacc.c:1652  */
    break;

  case 2138:
#line 12520 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 51400 "preproc.c" /* yacc.c:1652  */
    break;

  case 2139:
#line 12524 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 51408 "preproc.c" /* yacc.c:1652  */
    break;

  case 2140:
#line 12532 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51416 "preproc.c" /* yacc.c:1652  */
    break;

  case 2141:
#line 12536 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51424 "preproc.c" /* yacc.c:1652  */
    break;

  case 2142:
#line 12544 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51432 "preproc.c" /* yacc.c:1652  */
    break;

  case 2143:
#line 12548 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51440 "preproc.c" /* yacc.c:1652  */
    break;

  case 2144:
#line 12556 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51448 "preproc.c" /* yacc.c:1652  */
    break;

  case 2145:
#line 12560 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51456 "preproc.c" /* yacc.c:1652  */
    break;

  case 2146:
#line 12564 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 51464 "preproc.c" /* yacc.c:1652  */
    break;

  case 2147:
#line 12568 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 51472 "preproc.c" /* yacc.c:1652  */
    break;

  case 2148:
#line 12572 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 51480 "preproc.c" /* yacc.c:1652  */
    break;

  case 2149:
#line 12576 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 51488 "preproc.c" /* yacc.c:1652  */
    break;

  case 2150:
#line 12584 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51496 "preproc.c" /* yacc.c:1652  */
    break;

  case 2151:
#line 12588 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51504 "preproc.c" /* yacc.c:1652  */
    break;

  case 2152:
#line 12596 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51512 "preproc.c" /* yacc.c:1652  */
    break;

  case 2153:
#line 12600 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51520 "preproc.c" /* yacc.c:1652  */
    break;

  case 2154:
#line 12608 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51528 "preproc.c" /* yacc.c:1652  */
    break;

  case 2155:
#line 12612 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 51536 "preproc.c" /* yacc.c:1652  */
    break;

  case 2156:
#line 12616 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 51544 "preproc.c" /* yacc.c:1652  */
    break;

  case 2157:
#line 12624 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51552 "preproc.c" /* yacc.c:1652  */
    break;

  case 2158:
#line 12628 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51560 "preproc.c" /* yacc.c:1652  */
    break;

  case 2159:
#line 12636 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51568 "preproc.c" /* yacc.c:1652  */
    break;

  case 2160:
#line 12640 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51576 "preproc.c" /* yacc.c:1652  */
    break;

  case 2161:
#line 12644 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 51584 "preproc.c" /* yacc.c:1652  */
    break;

  case 2162:
#line 12652 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51592 "preproc.c" /* yacc.c:1652  */
    break;

  case 2163:
#line 12656 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51600 "preproc.c" /* yacc.c:1652  */
    break;

  case 2164:
#line 12664 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 51608 "preproc.c" /* yacc.c:1652  */
    break;

  case 2165:
#line 12668 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51615 "preproc.c" /* yacc.c:1652  */
    break;

  case 2166:
#line 12675 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51623 "preproc.c" /* yacc.c:1652  */
    break;

  case 2167:
#line 12679 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 51631 "preproc.c" /* yacc.c:1652  */
    break;

  case 2168:
#line 12683 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 51639 "preproc.c" /* yacc.c:1652  */
    break;

  case 2169:
#line 12687 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 51647 "preproc.c" /* yacc.c:1652  */
    break;

  case 2170:
#line 12691 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 51655 "preproc.c" /* yacc.c:1652  */
    break;

  case 2171:
#line 12695 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 51663 "preproc.c" /* yacc.c:1652  */
    break;

  case 2172:
#line 12699 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 51671 "preproc.c" /* yacc.c:1652  */
    break;

  case 2173:
#line 12703 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51679 "preproc.c" /* yacc.c:1652  */
    break;

  case 2174:
#line 12711 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 51687 "preproc.c" /* yacc.c:1652  */
    break;

  case 2175:
#line 12715 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 51695 "preproc.c" /* yacc.c:1652  */
    break;

  case 2176:
#line 12719 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 51703 "preproc.c" /* yacc.c:1652  */
    break;

  case 2177:
#line 12723 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 51711 "preproc.c" /* yacc.c:1652  */
    break;

  case 2178:
#line 12731 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51719 "preproc.c" /* yacc.c:1652  */
    break;

  case 2179:
#line 12735 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51727 "preproc.c" /* yacc.c:1652  */
    break;

  case 2180:
#line 12743 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 51735 "preproc.c" /* yacc.c:1652  */
    break;

  case 2181:
#line 12751 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 51743 "preproc.c" /* yacc.c:1652  */
    break;

  case 2182:
#line 12755 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51750 "preproc.c" /* yacc.c:1652  */
    break;

  case 2183:
#line 12762 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51758 "preproc.c" /* yacc.c:1652  */
    break;

  case 2184:
#line 12766 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51766 "preproc.c" /* yacc.c:1652  */
    break;

  case 2185:
#line 12770 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51774 "preproc.c" /* yacc.c:1652  */
    break;

  case 2186:
#line 12774 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51782 "preproc.c" /* yacc.c:1652  */
    break;

  case 2187:
#line 12778 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51790 "preproc.c" /* yacc.c:1652  */
    break;

  case 2188:
#line 12782 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51797 "preproc.c" /* yacc.c:1652  */
    break;

  case 2189:
#line 12789 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 51805 "preproc.c" /* yacc.c:1652  */
    break;

  case 2190:
#line 12797 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 51813 "preproc.c" /* yacc.c:1652  */
    break;

  case 2191:
#line 12805 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 51821 "preproc.c" /* yacc.c:1652  */
    break;

  case 2192:
#line 12809 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 51829 "preproc.c" /* yacc.c:1652  */
    break;

  case 2193:
#line 12813 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51837 "preproc.c" /* yacc.c:1652  */
    break;

  case 2194:
#line 12821 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51845 "preproc.c" /* yacc.c:1652  */
    break;

  case 2195:
#line 12825 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51853 "preproc.c" /* yacc.c:1652  */
    break;

  case 2196:
#line 12833 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 51861 "preproc.c" /* yacc.c:1652  */
    break;

  case 2197:
#line 12841 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51869 "preproc.c" /* yacc.c:1652  */
    break;

  case 2198:
#line 12845 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51877 "preproc.c" /* yacc.c:1652  */
    break;

  case 2199:
#line 12853 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 51885 "preproc.c" /* yacc.c:1652  */
    break;

  case 2200:
#line 12861 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 51893 "preproc.c" /* yacc.c:1652  */
    break;

  case 2201:
#line 12865 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51900 "preproc.c" /* yacc.c:1652  */
    break;

  case 2202:
#line 12872 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51908 "preproc.c" /* yacc.c:1652  */
    break;

  case 2203:
#line 12876 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51915 "preproc.c" /* yacc.c:1652  */
    break;

  case 2204:
#line 12883 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51923 "preproc.c" /* yacc.c:1652  */
    break;

  case 2205:
#line 12887 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51931 "preproc.c" /* yacc.c:1652  */
    break;

  case 2206:
#line 12895 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 51939 "preproc.c" /* yacc.c:1652  */
    break;

  case 2207:
#line 12899 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 51947 "preproc.c" /* yacc.c:1652  */
    break;

  case 2208:
#line 12903 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51955 "preproc.c" /* yacc.c:1652  */
    break;

  case 2209:
#line 12907 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51963 "preproc.c" /* yacc.c:1652  */
    break;

  case 2210:
#line 12915 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51971 "preproc.c" /* yacc.c:1652  */
    break;

  case 2211:
#line 12919 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 51978 "preproc.c" /* yacc.c:1652  */
    break;

  case 2212:
#line 12926 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51986 "preproc.c" /* yacc.c:1652  */
    break;

  case 2213:
#line 12930 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51994 "preproc.c" /* yacc.c:1652  */
    break;

  case 2214:
#line 12938 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 52001 "preproc.c" /* yacc.c:1652  */
    break;

  case 2215:
#line 12941 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52009 "preproc.c" /* yacc.c:1652  */
    break;

  case 2216:
#line 12949 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 52017 "preproc.c" /* yacc.c:1652  */
    break;

  case 2217:
#line 12953 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 52024 "preproc.c" /* yacc.c:1652  */
    break;

  case 2218:
#line 12960 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52032 "preproc.c" /* yacc.c:1652  */
    break;

  case 2219:
#line 12964 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str)=EMPTY; }
#line 52039 "preproc.c" /* yacc.c:1652  */
    break;

  case 2220:
#line 12971 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52047 "preproc.c" /* yacc.c:1652  */
    break;

  case 2221:
#line 12975 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52055 "preproc.c" /* yacc.c:1652  */
    break;

  case 2222:
#line 12983 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 52063 "preproc.c" /* yacc.c:1652  */
    break;

  case 2223:
#line 12987 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52071 "preproc.c" /* yacc.c:1652  */
    break;

  case 2224:
#line 12991 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52079 "preproc.c" /* yacc.c:1652  */
    break;

  case 2225:
#line 12995 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 52087 "preproc.c" /* yacc.c:1652  */
    break;

  case 2226:
#line 13003 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52095 "preproc.c" /* yacc.c:1652  */
    break;

  case 2227:
#line 13007 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52103 "preproc.c" /* yacc.c:1652  */
    break;

  case 2228:
#line 13015 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52111 "preproc.c" /* yacc.c:1652  */
    break;

  case 2229:
#line 13019 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52119 "preproc.c" /* yacc.c:1652  */
    break;

  case 2230:
#line 13027 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52127 "preproc.c" /* yacc.c:1652  */
    break;

  case 2231:
#line 13031 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52135 "preproc.c" /* yacc.c:1652  */
    break;

  case 2232:
#line 13039 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52143 "preproc.c" /* yacc.c:1652  */
    break;

  case 2233:
#line 13047 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52151 "preproc.c" /* yacc.c:1652  */
    break;

  case 2234:
#line 13055 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52159 "preproc.c" /* yacc.c:1652  */
    break;

  case 2235:
#line 13063 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52167 "preproc.c" /* yacc.c:1652  */
    break;

  case 2236:
#line 13067 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52175 "preproc.c" /* yacc.c:1652  */
    break;

  case 2237:
#line 13075 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52183 "preproc.c" /* yacc.c:1652  */
    break;

  case 2238:
#line 13079 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52191 "preproc.c" /* yacc.c:1652  */
    break;

  case 2239:
#line 13083 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52199 "preproc.c" /* yacc.c:1652  */
    break;

  case 2240:
#line 13087 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52207 "preproc.c" /* yacc.c:1652  */
    break;

  case 2241:
#line 13091 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 52215 "preproc.c" /* yacc.c:1652  */
    break;

  case 2242:
#line 13095 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52223 "preproc.c" /* yacc.c:1652  */
    break;

  case 2243:
#line 13099 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52231 "preproc.c" /* yacc.c:1652  */
    break;

  case 2244:
#line 13103 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52239 "preproc.c" /* yacc.c:1652  */
    break;

  case 2245:
#line 13107 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52247 "preproc.c" /* yacc.c:1652  */
    break;

  case 2246:
#line 13111 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52255 "preproc.c" /* yacc.c:1652  */
    break;

  case 2247:
#line 13115 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 52263 "preproc.c" /* yacc.c:1652  */
    break;

  case 2248:
#line 13119 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 52271 "preproc.c" /* yacc.c:1652  */
    break;

  case 2249:
#line 13123 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 52279 "preproc.c" /* yacc.c:1652  */
    break;

  case 2250:
#line 13126 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52285 "preproc.c" /* yacc.c:1652  */
    break;

  case 2251:
#line 13127 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52291 "preproc.c" /* yacc.c:1652  */
    break;

  case 2252:
#line 13133 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 52297 "preproc.c" /* yacc.c:1652  */
    break;

  case 2253:
#line 13139 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52305 "preproc.c" /* yacc.c:1652  */
    break;

  case 2254:
#line 13142 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52311 "preproc.c" /* yacc.c:1652  */
    break;

  case 2255:
#line 13144 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 52319 "preproc.c" /* yacc.c:1652  */
    break;

  case 2256:
#line 13148 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 52327 "preproc.c" /* yacc.c:1652  */
    break;

  case 2257:
#line 13156 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52335 "preproc.c" /* yacc.c:1652  */
    break;

  case 2258:
#line 13164 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52343 "preproc.c" /* yacc.c:1652  */
    break;

  case 2259:
#line 13168 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 52351 "preproc.c" /* yacc.c:1652  */
    break;

  case 2260:
#line 13172 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 52359 "preproc.c" /* yacc.c:1652  */
    break;

  case 2261:
#line 13180 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52367 "preproc.c" /* yacc.c:1652  */
    break;

  case 2262:
#line 13184 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52375 "preproc.c" /* yacc.c:1652  */
    break;

  case 2263:
#line 13192 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52383 "preproc.c" /* yacc.c:1652  */
    break;

  case 2264:
#line 13196 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52391 "preproc.c" /* yacc.c:1652  */
    break;

  case 2265:
#line 13200 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52399 "preproc.c" /* yacc.c:1652  */
    break;

  case 2266:
#line 13204 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52407 "preproc.c" /* yacc.c:1652  */
    break;

  case 2267:
#line 13212 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 52415 "preproc.c" /* yacc.c:1652  */
    break;

  case 2268:
#line 13216 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 52423 "preproc.c" /* yacc.c:1652  */
    break;

  case 2269:
#line 13220 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 52431 "preproc.c" /* yacc.c:1652  */
    break;

  case 2270:
#line 13224 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 52439 "preproc.c" /* yacc.c:1652  */
    break;

  case 2271:
#line 13228 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 52447 "preproc.c" /* yacc.c:1652  */
    break;

  case 2272:
#line 13232 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 52455 "preproc.c" /* yacc.c:1652  */
    break;

  case 2273:
#line 13236 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 52463 "preproc.c" /* yacc.c:1652  */
    break;

  case 2274:
#line 13240 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 52471 "preproc.c" /* yacc.c:1652  */
    break;

  case 2275:
#line 13244 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 52479 "preproc.c" /* yacc.c:1652  */
    break;

  case 2276:
#line 13248 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 52487 "preproc.c" /* yacc.c:1652  */
    break;

  case 2277:
#line 13252 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 52495 "preproc.c" /* yacc.c:1652  */
    break;

  case 2278:
#line 13256 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 52503 "preproc.c" /* yacc.c:1652  */
    break;

  case 2279:
#line 13260 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 52511 "preproc.c" /* yacc.c:1652  */
    break;

  case 2280:
#line 13264 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 52519 "preproc.c" /* yacc.c:1652  */
    break;

  case 2281:
#line 13268 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 52527 "preproc.c" /* yacc.c:1652  */
    break;

  case 2282:
#line 13272 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 52535 "preproc.c" /* yacc.c:1652  */
    break;

  case 2283:
#line 13276 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 52543 "preproc.c" /* yacc.c:1652  */
    break;

  case 2284:
#line 13280 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 52551 "preproc.c" /* yacc.c:1652  */
    break;

  case 2285:
#line 13284 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 52559 "preproc.c" /* yacc.c:1652  */
    break;

  case 2286:
#line 13288 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 52567 "preproc.c" /* yacc.c:1652  */
    break;

  case 2287:
#line 13292 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 52575 "preproc.c" /* yacc.c:1652  */
    break;

  case 2288:
#line 13296 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("call");
}
#line 52583 "preproc.c" /* yacc.c:1652  */
    break;

  case 2289:
#line 13300 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 52591 "preproc.c" /* yacc.c:1652  */
    break;

  case 2290:
#line 13304 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 52599 "preproc.c" /* yacc.c:1652  */
    break;

  case 2291:
#line 13308 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 52607 "preproc.c" /* yacc.c:1652  */
    break;

  case 2292:
#line 13312 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 52615 "preproc.c" /* yacc.c:1652  */
    break;

  case 2293:
#line 13316 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 52623 "preproc.c" /* yacc.c:1652  */
    break;

  case 2294:
#line 13320 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 52631 "preproc.c" /* yacc.c:1652  */
    break;

  case 2295:
#line 13324 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 52639 "preproc.c" /* yacc.c:1652  */
    break;

  case 2296:
#line 13328 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 52647 "preproc.c" /* yacc.c:1652  */
    break;

  case 2297:
#line 13332 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 52655 "preproc.c" /* yacc.c:1652  */
    break;

  case 2298:
#line 13336 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 52663 "preproc.c" /* yacc.c:1652  */
    break;

  case 2299:
#line 13340 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 52671 "preproc.c" /* yacc.c:1652  */
    break;

  case 2300:
#line 13344 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 52679 "preproc.c" /* yacc.c:1652  */
    break;

  case 2301:
#line 13348 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 52687 "preproc.c" /* yacc.c:1652  */
    break;

  case 2302:
#line 13352 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 52695 "preproc.c" /* yacc.c:1652  */
    break;

  case 2303:
#line 13356 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 52703 "preproc.c" /* yacc.c:1652  */
    break;

  case 2304:
#line 13360 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 52711 "preproc.c" /* yacc.c:1652  */
    break;

  case 2305:
#line 13364 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 52719 "preproc.c" /* yacc.c:1652  */
    break;

  case 2306:
#line 13368 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 52727 "preproc.c" /* yacc.c:1652  */
    break;

  case 2307:
#line 13372 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 52735 "preproc.c" /* yacc.c:1652  */
    break;

  case 2308:
#line 13376 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 52743 "preproc.c" /* yacc.c:1652  */
    break;

  case 2309:
#line 13380 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 52751 "preproc.c" /* yacc.c:1652  */
    break;

  case 2310:
#line 13384 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 52759 "preproc.c" /* yacc.c:1652  */
    break;

  case 2311:
#line 13388 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 52767 "preproc.c" /* yacc.c:1652  */
    break;

  case 2312:
#line 13392 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 52775 "preproc.c" /* yacc.c:1652  */
    break;

  case 2313:
#line 13396 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 52783 "preproc.c" /* yacc.c:1652  */
    break;

  case 2314:
#line 13400 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 52791 "preproc.c" /* yacc.c:1652  */
    break;

  case 2315:
#line 13404 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 52799 "preproc.c" /* yacc.c:1652  */
    break;

  case 2316:
#line 13408 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 52807 "preproc.c" /* yacc.c:1652  */
    break;

  case 2317:
#line 13412 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 52815 "preproc.c" /* yacc.c:1652  */
    break;

  case 2318:
#line 13416 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 52823 "preproc.c" /* yacc.c:1652  */
    break;

  case 2319:
#line 13420 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 52831 "preproc.c" /* yacc.c:1652  */
    break;

  case 2320:
#line 13424 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 52839 "preproc.c" /* yacc.c:1652  */
    break;

  case 2321:
#line 13428 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 52847 "preproc.c" /* yacc.c:1652  */
    break;

  case 2322:
#line 13432 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 52855 "preproc.c" /* yacc.c:1652  */
    break;

  case 2323:
#line 13436 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 52863 "preproc.c" /* yacc.c:1652  */
    break;

  case 2324:
#line 13440 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 52871 "preproc.c" /* yacc.c:1652  */
    break;

  case 2325:
#line 13444 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 52879 "preproc.c" /* yacc.c:1652  */
    break;

  case 2326:
#line 13448 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 52887 "preproc.c" /* yacc.c:1652  */
    break;

  case 2327:
#line 13452 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 52895 "preproc.c" /* yacc.c:1652  */
    break;

  case 2328:
#line 13456 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 52903 "preproc.c" /* yacc.c:1652  */
    break;

  case 2329:
#line 13460 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 52911 "preproc.c" /* yacc.c:1652  */
    break;

  case 2330:
#line 13464 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 52919 "preproc.c" /* yacc.c:1652  */
    break;

  case 2331:
#line 13468 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 52927 "preproc.c" /* yacc.c:1652  */
    break;

  case 2332:
#line 13472 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 52935 "preproc.c" /* yacc.c:1652  */
    break;

  case 2333:
#line 13476 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 52943 "preproc.c" /* yacc.c:1652  */
    break;

  case 2334:
#line 13480 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 52951 "preproc.c" /* yacc.c:1652  */
    break;

  case 2335:
#line 13484 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 52959 "preproc.c" /* yacc.c:1652  */
    break;

  case 2336:
#line 13488 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 52967 "preproc.c" /* yacc.c:1652  */
    break;

  case 2337:
#line 13492 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 52975 "preproc.c" /* yacc.c:1652  */
    break;

  case 2338:
#line 13496 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 52983 "preproc.c" /* yacc.c:1652  */
    break;

  case 2339:
#line 13500 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 52991 "preproc.c" /* yacc.c:1652  */
    break;

  case 2340:
#line 13504 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 52999 "preproc.c" /* yacc.c:1652  */
    break;

  case 2341:
#line 13508 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 53007 "preproc.c" /* yacc.c:1652  */
    break;

  case 2342:
#line 13512 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 53015 "preproc.c" /* yacc.c:1652  */
    break;

  case 2343:
#line 13516 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 53023 "preproc.c" /* yacc.c:1652  */
    break;

  case 2344:
#line 13520 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 53031 "preproc.c" /* yacc.c:1652  */
    break;

  case 2345:
#line 13524 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 53039 "preproc.c" /* yacc.c:1652  */
    break;

  case 2346:
#line 13528 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 53047 "preproc.c" /* yacc.c:1652  */
    break;

  case 2347:
#line 13532 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("expression");
}
#line 53055 "preproc.c" /* yacc.c:1652  */
    break;

  case 2348:
#line 13536 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 53063 "preproc.c" /* yacc.c:1652  */
    break;

  case 2349:
#line 13540 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 53071 "preproc.c" /* yacc.c:1652  */
    break;

  case 2350:
#line 13544 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 53079 "preproc.c" /* yacc.c:1652  */
    break;

  case 2351:
#line 13548 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 53087 "preproc.c" /* yacc.c:1652  */
    break;

  case 2352:
#line 13552 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 53095 "preproc.c" /* yacc.c:1652  */
    break;

  case 2353:
#line 13556 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 53103 "preproc.c" /* yacc.c:1652  */
    break;

  case 2354:
#line 13560 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 53111 "preproc.c" /* yacc.c:1652  */
    break;

  case 2355:
#line 13564 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 53119 "preproc.c" /* yacc.c:1652  */
    break;

  case 2356:
#line 13568 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 53127 "preproc.c" /* yacc.c:1652  */
    break;

  case 2357:
#line 13572 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 53135 "preproc.c" /* yacc.c:1652  */
    break;

  case 2358:
#line 13576 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 53143 "preproc.c" /* yacc.c:1652  */
    break;

  case 2359:
#line 13580 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 53151 "preproc.c" /* yacc.c:1652  */
    break;

  case 2360:
#line 13584 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 53159 "preproc.c" /* yacc.c:1652  */
    break;

  case 2361:
#line 13588 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("groups");
}
#line 53167 "preproc.c" /* yacc.c:1652  */
    break;

  case 2362:
#line 13592 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 53175 "preproc.c" /* yacc.c:1652  */
    break;

  case 2363:
#line 13596 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 53183 "preproc.c" /* yacc.c:1652  */
    break;

  case 2364:
#line 13600 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 53191 "preproc.c" /* yacc.c:1652  */
    break;

  case 2365:
#line 13604 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 53199 "preproc.c" /* yacc.c:1652  */
    break;

  case 2366:
#line 13608 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 53207 "preproc.c" /* yacc.c:1652  */
    break;

  case 2367:
#line 13612 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 53215 "preproc.c" /* yacc.c:1652  */
    break;

  case 2368:
#line 13616 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 53223 "preproc.c" /* yacc.c:1652  */
    break;

  case 2369:
#line 13620 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 53231 "preproc.c" /* yacc.c:1652  */
    break;

  case 2370:
#line 13624 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 53239 "preproc.c" /* yacc.c:1652  */
    break;

  case 2371:
#line 13628 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("include");
}
#line 53247 "preproc.c" /* yacc.c:1652  */
    break;

  case 2372:
#line 13632 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 53255 "preproc.c" /* yacc.c:1652  */
    break;

  case 2373:
#line 13636 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 53263 "preproc.c" /* yacc.c:1652  */
    break;

  case 2374:
#line 13640 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 53271 "preproc.c" /* yacc.c:1652  */
    break;

  case 2375:
#line 13644 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 53279 "preproc.c" /* yacc.c:1652  */
    break;

  case 2376:
#line 13648 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 53287 "preproc.c" /* yacc.c:1652  */
    break;

  case 2377:
#line 13652 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 53295 "preproc.c" /* yacc.c:1652  */
    break;

  case 2378:
#line 13656 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 53303 "preproc.c" /* yacc.c:1652  */
    break;

  case 2379:
#line 13660 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 53311 "preproc.c" /* yacc.c:1652  */
    break;

  case 2380:
#line 13664 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 53319 "preproc.c" /* yacc.c:1652  */
    break;

  case 2381:
#line 13668 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 53327 "preproc.c" /* yacc.c:1652  */
    break;

  case 2382:
#line 13672 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 53335 "preproc.c" /* yacc.c:1652  */
    break;

  case 2383:
#line 13676 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 53343 "preproc.c" /* yacc.c:1652  */
    break;

  case 2384:
#line 13680 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 53351 "preproc.c" /* yacc.c:1652  */
    break;

  case 2385:
#line 13684 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 53359 "preproc.c" /* yacc.c:1652  */
    break;

  case 2386:
#line 13688 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 53367 "preproc.c" /* yacc.c:1652  */
    break;

  case 2387:
#line 13692 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 53375 "preproc.c" /* yacc.c:1652  */
    break;

  case 2388:
#line 13696 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 53383 "preproc.c" /* yacc.c:1652  */
    break;

  case 2389:
#line 13700 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 53391 "preproc.c" /* yacc.c:1652  */
    break;

  case 2390:
#line 13704 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 53399 "preproc.c" /* yacc.c:1652  */
    break;

  case 2391:
#line 13708 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 53407 "preproc.c" /* yacc.c:1652  */
    break;

  case 2392:
#line 13712 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 53415 "preproc.c" /* yacc.c:1652  */
    break;

  case 2393:
#line 13716 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 53423 "preproc.c" /* yacc.c:1652  */
    break;

  case 2394:
#line 13720 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 53431 "preproc.c" /* yacc.c:1652  */
    break;

  case 2395:
#line 13724 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 53439 "preproc.c" /* yacc.c:1652  */
    break;

  case 2396:
#line 13728 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 53447 "preproc.c" /* yacc.c:1652  */
    break;

  case 2397:
#line 13732 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 53455 "preproc.c" /* yacc.c:1652  */
    break;

  case 2398:
#line 13736 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 53463 "preproc.c" /* yacc.c:1652  */
    break;

  case 2399:
#line 13740 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 53471 "preproc.c" /* yacc.c:1652  */
    break;

  case 2400:
#line 13744 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 53479 "preproc.c" /* yacc.c:1652  */
    break;

  case 2401:
#line 13748 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 53487 "preproc.c" /* yacc.c:1652  */
    break;

  case 2402:
#line 13752 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 53495 "preproc.c" /* yacc.c:1652  */
    break;

  case 2403:
#line 13756 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 53503 "preproc.c" /* yacc.c:1652  */
    break;

  case 2404:
#line 13760 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 53511 "preproc.c" /* yacc.c:1652  */
    break;

  case 2405:
#line 13764 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 53519 "preproc.c" /* yacc.c:1652  */
    break;

  case 2406:
#line 13768 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 53527 "preproc.c" /* yacc.c:1652  */
    break;

  case 2407:
#line 13772 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 53535 "preproc.c" /* yacc.c:1652  */
    break;

  case 2408:
#line 13776 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 53543 "preproc.c" /* yacc.c:1652  */
    break;

  case 2409:
#line 13780 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 53551 "preproc.c" /* yacc.c:1652  */
    break;

  case 2410:
#line 13784 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 53559 "preproc.c" /* yacc.c:1652  */
    break;

  case 2411:
#line 13788 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 53567 "preproc.c" /* yacc.c:1652  */
    break;

  case 2412:
#line 13792 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 53575 "preproc.c" /* yacc.c:1652  */
    break;

  case 2413:
#line 13796 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 53583 "preproc.c" /* yacc.c:1652  */
    break;

  case 2414:
#line 13800 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 53591 "preproc.c" /* yacc.c:1652  */
    break;

  case 2415:
#line 13804 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("normalized");
}
#line 53599 "preproc.c" /* yacc.c:1652  */
    break;

  case 2416:
#line 13808 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 53607 "preproc.c" /* yacc.c:1652  */
    break;

  case 2417:
#line 13812 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 53615 "preproc.c" /* yacc.c:1652  */
    break;

  case 2418:
#line 13816 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 53623 "preproc.c" /* yacc.c:1652  */
    break;

  case 2419:
#line 13820 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 53631 "preproc.c" /* yacc.c:1652  */
    break;

  case 2420:
#line 13824 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 53639 "preproc.c" /* yacc.c:1652  */
    break;

  case 2421:
#line 13828 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 53647 "preproc.c" /* yacc.c:1652  */
    break;

  case 2422:
#line 13832 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 53655 "preproc.c" /* yacc.c:1652  */
    break;

  case 2423:
#line 13836 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 53663 "preproc.c" /* yacc.c:1652  */
    break;

  case 2424:
#line 13840 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 53671 "preproc.c" /* yacc.c:1652  */
    break;

  case 2425:
#line 13844 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 53679 "preproc.c" /* yacc.c:1652  */
    break;

  case 2426:
#line 13848 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 53687 "preproc.c" /* yacc.c:1652  */
    break;

  case 2427:
#line 13852 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 53695 "preproc.c" /* yacc.c:1652  */
    break;

  case 2428:
#line 13856 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 53703 "preproc.c" /* yacc.c:1652  */
    break;

  case 2429:
#line 13860 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("others");
}
#line 53711 "preproc.c" /* yacc.c:1652  */
    break;

  case 2430:
#line 13864 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 53719 "preproc.c" /* yacc.c:1652  */
    break;

  case 2431:
#line 13868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 53727 "preproc.c" /* yacc.c:1652  */
    break;

  case 2432:
#line 13872 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 53735 "preproc.c" /* yacc.c:1652  */
    break;

  case 2433:
#line 13876 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 53743 "preproc.c" /* yacc.c:1652  */
    break;

  case 2434:
#line 13880 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 53751 "preproc.c" /* yacc.c:1652  */
    break;

  case 2435:
#line 13884 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 53759 "preproc.c" /* yacc.c:1652  */
    break;

  case 2436:
#line 13888 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 53767 "preproc.c" /* yacc.c:1652  */
    break;

  case 2437:
#line 13892 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 53775 "preproc.c" /* yacc.c:1652  */
    break;

  case 2438:
#line 13896 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 53783 "preproc.c" /* yacc.c:1652  */
    break;

  case 2439:
#line 13900 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 53791 "preproc.c" /* yacc.c:1652  */
    break;

  case 2440:
#line 13904 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 53799 "preproc.c" /* yacc.c:1652  */
    break;

  case 2441:
#line 13908 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 53807 "preproc.c" /* yacc.c:1652  */
    break;

  case 2442:
#line 13912 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 53815 "preproc.c" /* yacc.c:1652  */
    break;

  case 2443:
#line 13916 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 53823 "preproc.c" /* yacc.c:1652  */
    break;

  case 2444:
#line 13920 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 53831 "preproc.c" /* yacc.c:1652  */
    break;

  case 2445:
#line 13924 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 53839 "preproc.c" /* yacc.c:1652  */
    break;

  case 2446:
#line 13928 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 53847 "preproc.c" /* yacc.c:1652  */
    break;

  case 2447:
#line 13932 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 53855 "preproc.c" /* yacc.c:1652  */
    break;

  case 2448:
#line 13936 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 53863 "preproc.c" /* yacc.c:1652  */
    break;

  case 2449:
#line 13940 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 53871 "preproc.c" /* yacc.c:1652  */
    break;

  case 2450:
#line 13944 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("procedures");
}
#line 53879 "preproc.c" /* yacc.c:1652  */
    break;

  case 2451:
#line 13948 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 53887 "preproc.c" /* yacc.c:1652  */
    break;

  case 2452:
#line 13952 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 53895 "preproc.c" /* yacc.c:1652  */
    break;

  case 2453:
#line 13956 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 53903 "preproc.c" /* yacc.c:1652  */
    break;

  case 2454:
#line 13960 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 53911 "preproc.c" /* yacc.c:1652  */
    break;

  case 2455:
#line 13964 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 53919 "preproc.c" /* yacc.c:1652  */
    break;

  case 2456:
#line 13968 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 53927 "preproc.c" /* yacc.c:1652  */
    break;

  case 2457:
#line 13972 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 53935 "preproc.c" /* yacc.c:1652  */
    break;

  case 2458:
#line 13976 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 53943 "preproc.c" /* yacc.c:1652  */
    break;

  case 2459:
#line 13980 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 53951 "preproc.c" /* yacc.c:1652  */
    break;

  case 2460:
#line 13984 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 53959 "preproc.c" /* yacc.c:1652  */
    break;

  case 2461:
#line 13988 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 53967 "preproc.c" /* yacc.c:1652  */
    break;

  case 2462:
#line 13992 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 53975 "preproc.c" /* yacc.c:1652  */
    break;

  case 2463:
#line 13996 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 53983 "preproc.c" /* yacc.c:1652  */
    break;

  case 2464:
#line 14000 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 53991 "preproc.c" /* yacc.c:1652  */
    break;

  case 2465:
#line 14004 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 53999 "preproc.c" /* yacc.c:1652  */
    break;

  case 2466:
#line 14008 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 54007 "preproc.c" /* yacc.c:1652  */
    break;

  case 2467:
#line 14012 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 54015 "preproc.c" /* yacc.c:1652  */
    break;

  case 2468:
#line 14016 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 54023 "preproc.c" /* yacc.c:1652  */
    break;

  case 2469:
#line 14020 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 54031 "preproc.c" /* yacc.c:1652  */
    break;

  case 2470:
#line 14024 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 54039 "preproc.c" /* yacc.c:1652  */
    break;

  case 2471:
#line 14028 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 54047 "preproc.c" /* yacc.c:1652  */
    break;

  case 2472:
#line 14032 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 54055 "preproc.c" /* yacc.c:1652  */
    break;

  case 2473:
#line 14036 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 54063 "preproc.c" /* yacc.c:1652  */
    break;

  case 2474:
#line 14040 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 54071 "preproc.c" /* yacc.c:1652  */
    break;

  case 2475:
#line 14044 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 54079 "preproc.c" /* yacc.c:1652  */
    break;

  case 2476:
#line 14048 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 54087 "preproc.c" /* yacc.c:1652  */
    break;

  case 2477:
#line 14052 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("routine");
}
#line 54095 "preproc.c" /* yacc.c:1652  */
    break;

  case 2478:
#line 14056 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 54103 "preproc.c" /* yacc.c:1652  */
    break;

  case 2479:
#line 14060 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 54111 "preproc.c" /* yacc.c:1652  */
    break;

  case 2480:
#line 14064 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 54119 "preproc.c" /* yacc.c:1652  */
    break;

  case 2481:
#line 14068 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 54127 "preproc.c" /* yacc.c:1652  */
    break;

  case 2482:
#line 14072 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 54135 "preproc.c" /* yacc.c:1652  */
    break;

  case 2483:
#line 14076 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 54143 "preproc.c" /* yacc.c:1652  */
    break;

  case 2484:
#line 14080 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 54151 "preproc.c" /* yacc.c:1652  */
    break;

  case 2485:
#line 14084 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 54159 "preproc.c" /* yacc.c:1652  */
    break;

  case 2486:
#line 14088 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 54167 "preproc.c" /* yacc.c:1652  */
    break;

  case 2487:
#line 14092 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 54175 "preproc.c" /* yacc.c:1652  */
    break;

  case 2488:
#line 14096 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 54183 "preproc.c" /* yacc.c:1652  */
    break;

  case 2489:
#line 14100 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 54191 "preproc.c" /* yacc.c:1652  */
    break;

  case 2490:
#line 14104 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 54199 "preproc.c" /* yacc.c:1652  */
    break;

  case 2491:
#line 14108 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 54207 "preproc.c" /* yacc.c:1652  */
    break;

  case 2492:
#line 14112 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 54215 "preproc.c" /* yacc.c:1652  */
    break;

  case 2493:
#line 14116 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 54223 "preproc.c" /* yacc.c:1652  */
    break;

  case 2494:
#line 14120 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 54231 "preproc.c" /* yacc.c:1652  */
    break;

  case 2495:
#line 14124 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 54239 "preproc.c" /* yacc.c:1652  */
    break;

  case 2496:
#line 14128 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 54247 "preproc.c" /* yacc.c:1652  */
    break;

  case 2497:
#line 14132 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 54255 "preproc.c" /* yacc.c:1652  */
    break;

  case 2498:
#line 14136 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 54263 "preproc.c" /* yacc.c:1652  */
    break;

  case 2499:
#line 14140 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 54271 "preproc.c" /* yacc.c:1652  */
    break;

  case 2500:
#line 14144 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 54279 "preproc.c" /* yacc.c:1652  */
    break;

  case 2501:
#line 14148 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 54287 "preproc.c" /* yacc.c:1652  */
    break;

  case 2502:
#line 14152 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 54295 "preproc.c" /* yacc.c:1652  */
    break;

  case 2503:
#line 14156 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 54303 "preproc.c" /* yacc.c:1652  */
    break;

  case 2504:
#line 14160 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 54311 "preproc.c" /* yacc.c:1652  */
    break;

  case 2505:
#line 14164 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 54319 "preproc.c" /* yacc.c:1652  */
    break;

  case 2506:
#line 14168 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 54327 "preproc.c" /* yacc.c:1652  */
    break;

  case 2507:
#line 14172 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 54335 "preproc.c" /* yacc.c:1652  */
    break;

  case 2508:
#line 14176 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("stored");
}
#line 54343 "preproc.c" /* yacc.c:1652  */
    break;

  case 2509:
#line 14180 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 54351 "preproc.c" /* yacc.c:1652  */
    break;

  case 2510:
#line 14184 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 54359 "preproc.c" /* yacc.c:1652  */
    break;

  case 2511:
#line 14188 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 54367 "preproc.c" /* yacc.c:1652  */
    break;

  case 2512:
#line 14192 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("support");
}
#line 54375 "preproc.c" /* yacc.c:1652  */
    break;

  case 2513:
#line 14196 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 54383 "preproc.c" /* yacc.c:1652  */
    break;

  case 2514:
#line 14200 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 54391 "preproc.c" /* yacc.c:1652  */
    break;

  case 2515:
#line 14204 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 54399 "preproc.c" /* yacc.c:1652  */
    break;

  case 2516:
#line 14208 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 54407 "preproc.c" /* yacc.c:1652  */
    break;

  case 2517:
#line 14212 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 54415 "preproc.c" /* yacc.c:1652  */
    break;

  case 2518:
#line 14216 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 54423 "preproc.c" /* yacc.c:1652  */
    break;

  case 2519:
#line 14220 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 54431 "preproc.c" /* yacc.c:1652  */
    break;

  case 2520:
#line 14224 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 54439 "preproc.c" /* yacc.c:1652  */
    break;

  case 2521:
#line 14228 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("ties");
}
#line 54447 "preproc.c" /* yacc.c:1652  */
    break;

  case 2522:
#line 14232 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 54455 "preproc.c" /* yacc.c:1652  */
    break;

  case 2523:
#line 14236 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 54463 "preproc.c" /* yacc.c:1652  */
    break;

  case 2524:
#line 14240 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 54471 "preproc.c" /* yacc.c:1652  */
    break;

  case 2525:
#line 14244 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 54479 "preproc.c" /* yacc.c:1652  */
    break;

  case 2526:
#line 14248 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 54487 "preproc.c" /* yacc.c:1652  */
    break;

  case 2527:
#line 14252 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 54495 "preproc.c" /* yacc.c:1652  */
    break;

  case 2528:
#line 14256 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 54503 "preproc.c" /* yacc.c:1652  */
    break;

  case 2529:
#line 14260 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("uescape");
}
#line 54511 "preproc.c" /* yacc.c:1652  */
    break;

  case 2530:
#line 14264 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 54519 "preproc.c" /* yacc.c:1652  */
    break;

  case 2531:
#line 14268 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 54527 "preproc.c" /* yacc.c:1652  */
    break;

  case 2532:
#line 14272 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 54535 "preproc.c" /* yacc.c:1652  */
    break;

  case 2533:
#line 14276 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 54543 "preproc.c" /* yacc.c:1652  */
    break;

  case 2534:
#line 14280 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 54551 "preproc.c" /* yacc.c:1652  */
    break;

  case 2535:
#line 14284 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 54559 "preproc.c" /* yacc.c:1652  */
    break;

  case 2536:
#line 14288 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 54567 "preproc.c" /* yacc.c:1652  */
    break;

  case 2537:
#line 14292 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 54575 "preproc.c" /* yacc.c:1652  */
    break;

  case 2538:
#line 14296 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 54583 "preproc.c" /* yacc.c:1652  */
    break;

  case 2539:
#line 14300 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 54591 "preproc.c" /* yacc.c:1652  */
    break;

  case 2540:
#line 14304 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 54599 "preproc.c" /* yacc.c:1652  */
    break;

  case 2541:
#line 14308 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 54607 "preproc.c" /* yacc.c:1652  */
    break;

  case 2542:
#line 14312 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 54615 "preproc.c" /* yacc.c:1652  */
    break;

  case 2543:
#line 14316 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 54623 "preproc.c" /* yacc.c:1652  */
    break;

  case 2544:
#line 14320 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 54631 "preproc.c" /* yacc.c:1652  */
    break;

  case 2545:
#line 14324 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 54639 "preproc.c" /* yacc.c:1652  */
    break;

  case 2546:
#line 14328 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 54647 "preproc.c" /* yacc.c:1652  */
    break;

  case 2547:
#line 14332 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 54655 "preproc.c" /* yacc.c:1652  */
    break;

  case 2548:
#line 14336 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 54663 "preproc.c" /* yacc.c:1652  */
    break;

  case 2549:
#line 14340 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 54671 "preproc.c" /* yacc.c:1652  */
    break;

  case 2550:
#line 14344 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 54679 "preproc.c" /* yacc.c:1652  */
    break;

  case 2551:
#line 14348 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 54687 "preproc.c" /* yacc.c:1652  */
    break;

  case 2552:
#line 14352 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 54695 "preproc.c" /* yacc.c:1652  */
    break;

  case 2553:
#line 14356 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 54703 "preproc.c" /* yacc.c:1652  */
    break;

  case 2554:
#line 14360 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 54711 "preproc.c" /* yacc.c:1652  */
    break;

  case 2555:
#line 14364 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 54719 "preproc.c" /* yacc.c:1652  */
    break;

  case 2556:
#line 14368 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 54727 "preproc.c" /* yacc.c:1652  */
    break;

  case 2557:
#line 14376 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 54735 "preproc.c" /* yacc.c:1652  */
    break;

  case 2558:
#line 14380 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 54743 "preproc.c" /* yacc.c:1652  */
    break;

  case 2559:
#line 14384 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 54751 "preproc.c" /* yacc.c:1652  */
    break;

  case 2560:
#line 14388 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 54759 "preproc.c" /* yacc.c:1652  */
    break;

  case 2561:
#line 14392 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 54767 "preproc.c" /* yacc.c:1652  */
    break;

  case 2562:
#line 14396 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 54775 "preproc.c" /* yacc.c:1652  */
    break;

  case 2563:
#line 14400 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 54783 "preproc.c" /* yacc.c:1652  */
    break;

  case 2564:
#line 14404 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 54791 "preproc.c" /* yacc.c:1652  */
    break;

  case 2565:
#line 14408 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 54799 "preproc.c" /* yacc.c:1652  */
    break;

  case 2566:
#line 14412 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 54807 "preproc.c" /* yacc.c:1652  */
    break;

  case 2567:
#line 14416 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 54815 "preproc.c" /* yacc.c:1652  */
    break;

  case 2568:
#line 14420 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 54823 "preproc.c" /* yacc.c:1652  */
    break;

  case 2569:
#line 14424 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 54831 "preproc.c" /* yacc.c:1652  */
    break;

  case 2570:
#line 14428 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 54839 "preproc.c" /* yacc.c:1652  */
    break;

  case 2571:
#line 14432 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 54847 "preproc.c" /* yacc.c:1652  */
    break;

  case 2572:
#line 14436 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 54855 "preproc.c" /* yacc.c:1652  */
    break;

  case 2573:
#line 14440 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 54863 "preproc.c" /* yacc.c:1652  */
    break;

  case 2574:
#line 14444 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 54871 "preproc.c" /* yacc.c:1652  */
    break;

  case 2575:
#line 14448 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 54879 "preproc.c" /* yacc.c:1652  */
    break;

  case 2576:
#line 14452 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 54887 "preproc.c" /* yacc.c:1652  */
    break;

  case 2577:
#line 14456 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("normalize");
}
#line 54895 "preproc.c" /* yacc.c:1652  */
    break;

  case 2578:
#line 14460 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 54903 "preproc.c" /* yacc.c:1652  */
    break;

  case 2579:
#line 14464 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 54911 "preproc.c" /* yacc.c:1652  */
    break;

  case 2580:
#line 14468 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 54919 "preproc.c" /* yacc.c:1652  */
    break;

  case 2581:
#line 14472 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 54927 "preproc.c" /* yacc.c:1652  */
    break;

  case 2582:
#line 14476 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 54935 "preproc.c" /* yacc.c:1652  */
    break;

  case 2583:
#line 14480 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 54943 "preproc.c" /* yacc.c:1652  */
    break;

  case 2584:
#line 14484 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 54951 "preproc.c" /* yacc.c:1652  */
    break;

  case 2585:
#line 14488 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 54959 "preproc.c" /* yacc.c:1652  */
    break;

  case 2586:
#line 14492 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 54967 "preproc.c" /* yacc.c:1652  */
    break;

  case 2587:
#line 14496 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 54975 "preproc.c" /* yacc.c:1652  */
    break;

  case 2588:
#line 14500 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 54983 "preproc.c" /* yacc.c:1652  */
    break;

  case 2589:
#line 14504 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 54991 "preproc.c" /* yacc.c:1652  */
    break;

  case 2590:
#line 14508 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 54999 "preproc.c" /* yacc.c:1652  */
    break;

  case 2591:
#line 14512 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 55007 "preproc.c" /* yacc.c:1652  */
    break;

  case 2592:
#line 14516 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 55015 "preproc.c" /* yacc.c:1652  */
    break;

  case 2593:
#line 14520 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 55023 "preproc.c" /* yacc.c:1652  */
    break;

  case 2594:
#line 14524 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 55031 "preproc.c" /* yacc.c:1652  */
    break;

  case 2595:
#line 14528 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 55039 "preproc.c" /* yacc.c:1652  */
    break;

  case 2596:
#line 14532 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 55047 "preproc.c" /* yacc.c:1652  */
    break;

  case 2597:
#line 14536 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 55055 "preproc.c" /* yacc.c:1652  */
    break;

  case 2598:
#line 14540 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 55063 "preproc.c" /* yacc.c:1652  */
    break;

  case 2599:
#line 14544 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 55071 "preproc.c" /* yacc.c:1652  */
    break;

  case 2600:
#line 14548 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 55079 "preproc.c" /* yacc.c:1652  */
    break;

  case 2601:
#line 14552 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 55087 "preproc.c" /* yacc.c:1652  */
    break;

  case 2602:
#line 14556 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 55095 "preproc.c" /* yacc.c:1652  */
    break;

  case 2603:
#line 14560 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 55103 "preproc.c" /* yacc.c:1652  */
    break;

  case 2604:
#line 14564 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 55111 "preproc.c" /* yacc.c:1652  */
    break;

  case 2605:
#line 14572 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 55119 "preproc.c" /* yacc.c:1652  */
    break;

  case 2606:
#line 14576 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 55127 "preproc.c" /* yacc.c:1652  */
    break;

  case 2607:
#line 14580 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 55135 "preproc.c" /* yacc.c:1652  */
    break;

  case 2608:
#line 14584 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 55143 "preproc.c" /* yacc.c:1652  */
    break;

  case 2609:
#line 14588 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 55151 "preproc.c" /* yacc.c:1652  */
    break;

  case 2610:
#line 14592 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 55159 "preproc.c" /* yacc.c:1652  */
    break;

  case 2611:
#line 14596 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 55167 "preproc.c" /* yacc.c:1652  */
    break;

  case 2612:
#line 14600 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 55175 "preproc.c" /* yacc.c:1652  */
    break;

  case 2613:
#line 14604 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 55183 "preproc.c" /* yacc.c:1652  */
    break;

  case 2614:
#line 14608 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 55191 "preproc.c" /* yacc.c:1652  */
    break;

  case 2615:
#line 14612 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 55199 "preproc.c" /* yacc.c:1652  */
    break;

  case 2616:
#line 14616 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 55207 "preproc.c" /* yacc.c:1652  */
    break;

  case 2617:
#line 14620 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 55215 "preproc.c" /* yacc.c:1652  */
    break;

  case 2618:
#line 14624 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 55223 "preproc.c" /* yacc.c:1652  */
    break;

  case 2619:
#line 14628 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 55231 "preproc.c" /* yacc.c:1652  */
    break;

  case 2620:
#line 14632 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 55239 "preproc.c" /* yacc.c:1652  */
    break;

  case 2621:
#line 14636 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 55247 "preproc.c" /* yacc.c:1652  */
    break;

  case 2622:
#line 14640 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 55255 "preproc.c" /* yacc.c:1652  */
    break;

  case 2623:
#line 14644 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 55263 "preproc.c" /* yacc.c:1652  */
    break;

  case 2624:
#line 14648 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 55271 "preproc.c" /* yacc.c:1652  */
    break;

  case 2625:
#line 14652 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 55279 "preproc.c" /* yacc.c:1652  */
    break;

  case 2626:
#line 14656 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 55287 "preproc.c" /* yacc.c:1652  */
    break;

  case 2627:
#line 14660 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 55295 "preproc.c" /* yacc.c:1652  */
    break;

  case 2628:
#line 14668 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 55303 "preproc.c" /* yacc.c:1652  */
    break;

  case 2629:
#line 14672 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 55311 "preproc.c" /* yacc.c:1652  */
    break;

  case 2630:
#line 14676 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 55319 "preproc.c" /* yacc.c:1652  */
    break;

  case 2631:
#line 14680 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 55327 "preproc.c" /* yacc.c:1652  */
    break;

  case 2632:
#line 14684 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 55335 "preproc.c" /* yacc.c:1652  */
    break;

  case 2633:
#line 14688 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 55343 "preproc.c" /* yacc.c:1652  */
    break;

  case 2634:
#line 14692 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 55351 "preproc.c" /* yacc.c:1652  */
    break;

  case 2635:
#line 14696 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 55359 "preproc.c" /* yacc.c:1652  */
    break;

  case 2636:
#line 14700 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 55367 "preproc.c" /* yacc.c:1652  */
    break;

  case 2637:
#line 14704 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 55375 "preproc.c" /* yacc.c:1652  */
    break;

  case 2638:
#line 14708 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 55383 "preproc.c" /* yacc.c:1652  */
    break;

  case 2639:
#line 14712 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 55391 "preproc.c" /* yacc.c:1652  */
    break;

  case 2640:
#line 14716 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 55399 "preproc.c" /* yacc.c:1652  */
    break;

  case 2641:
#line 14720 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 55407 "preproc.c" /* yacc.c:1652  */
    break;

  case 2642:
#line 14724 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 55415 "preproc.c" /* yacc.c:1652  */
    break;

  case 2643:
#line 14728 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 55423 "preproc.c" /* yacc.c:1652  */
    break;

  case 2644:
#line 14732 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 55431 "preproc.c" /* yacc.c:1652  */
    break;

  case 2645:
#line 14736 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 55439 "preproc.c" /* yacc.c:1652  */
    break;

  case 2646:
#line 14740 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 55447 "preproc.c" /* yacc.c:1652  */
    break;

  case 2647:
#line 14744 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 55455 "preproc.c" /* yacc.c:1652  */
    break;

  case 2648:
#line 14748 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 55463 "preproc.c" /* yacc.c:1652  */
    break;

  case 2649:
#line 14752 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 55471 "preproc.c" /* yacc.c:1652  */
    break;

  case 2650:
#line 14756 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 55479 "preproc.c" /* yacc.c:1652  */
    break;

  case 2651:
#line 14760 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 55487 "preproc.c" /* yacc.c:1652  */
    break;

  case 2652:
#line 14764 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 55495 "preproc.c" /* yacc.c:1652  */
    break;

  case 2653:
#line 14768 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 55503 "preproc.c" /* yacc.c:1652  */
    break;

  case 2654:
#line 14772 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 55511 "preproc.c" /* yacc.c:1652  */
    break;

  case 2655:
#line 14776 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 55519 "preproc.c" /* yacc.c:1652  */
    break;

  case 2656:
#line 14780 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 55527 "preproc.c" /* yacc.c:1652  */
    break;

  case 2657:
#line 14784 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 55535 "preproc.c" /* yacc.c:1652  */
    break;

  case 2658:
#line 14788 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 55543 "preproc.c" /* yacc.c:1652  */
    break;

  case 2659:
#line 14792 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 55551 "preproc.c" /* yacc.c:1652  */
    break;

  case 2660:
#line 14796 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 55559 "preproc.c" /* yacc.c:1652  */
    break;

  case 2661:
#line 14800 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 55567 "preproc.c" /* yacc.c:1652  */
    break;

  case 2662:
#line 14804 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 55575 "preproc.c" /* yacc.c:1652  */
    break;

  case 2663:
#line 14808 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 55583 "preproc.c" /* yacc.c:1652  */
    break;

  case 2664:
#line 14812 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 55591 "preproc.c" /* yacc.c:1652  */
    break;

  case 2665:
#line 14816 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 55599 "preproc.c" /* yacc.c:1652  */
    break;

  case 2666:
#line 14820 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 55607 "preproc.c" /* yacc.c:1652  */
    break;

  case 2667:
#line 14824 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 55615 "preproc.c" /* yacc.c:1652  */
    break;

  case 2668:
#line 14828 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 55623 "preproc.c" /* yacc.c:1652  */
    break;

  case 2669:
#line 14832 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 55631 "preproc.c" /* yacc.c:1652  */
    break;

  case 2670:
#line 14836 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 55639 "preproc.c" /* yacc.c:1652  */
    break;

  case 2671:
#line 14840 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 55647 "preproc.c" /* yacc.c:1652  */
    break;

  case 2672:
#line 14844 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 55655 "preproc.c" /* yacc.c:1652  */
    break;

  case 2673:
#line 14848 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 55663 "preproc.c" /* yacc.c:1652  */
    break;

  case 2674:
#line 14852 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 55671 "preproc.c" /* yacc.c:1652  */
    break;

  case 2675:
#line 14856 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 55679 "preproc.c" /* yacc.c:1652  */
    break;

  case 2676:
#line 14860 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 55687 "preproc.c" /* yacc.c:1652  */
    break;

  case 2677:
#line 14864 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 55695 "preproc.c" /* yacc.c:1652  */
    break;

  case 2678:
#line 14868 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 55703 "preproc.c" /* yacc.c:1652  */
    break;

  case 2679:
#line 14872 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 55711 "preproc.c" /* yacc.c:1652  */
    break;

  case 2680:
#line 14876 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 55719 "preproc.c" /* yacc.c:1652  */
    break;

  case 2681:
#line 14880 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 55727 "preproc.c" /* yacc.c:1652  */
    break;

  case 2682:
#line 14884 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 55735 "preproc.c" /* yacc.c:1652  */
    break;

  case 2683:
#line 14888 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 55743 "preproc.c" /* yacc.c:1652  */
    break;

  case 2684:
#line 14892 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 55751 "preproc.c" /* yacc.c:1652  */
    break;

  case 2685:
#line 14896 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 55759 "preproc.c" /* yacc.c:1652  */
    break;

  case 2686:
#line 14900 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 55767 "preproc.c" /* yacc.c:1652  */
    break;

  case 2687:
#line 14904 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 55775 "preproc.c" /* yacc.c:1652  */
    break;

  case 2688:
#line 14908 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 55783 "preproc.c" /* yacc.c:1652  */
    break;

  case 2689:
#line 14912 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 55791 "preproc.c" /* yacc.c:1652  */
    break;

  case 2690:
#line 14916 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 55799 "preproc.c" /* yacc.c:1652  */
    break;

  case 2691:
#line 14920 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 55807 "preproc.c" /* yacc.c:1652  */
    break;

  case 2692:
#line 14924 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 55815 "preproc.c" /* yacc.c:1652  */
    break;

  case 2693:
#line 14928 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 55823 "preproc.c" /* yacc.c:1652  */
    break;

  case 2694:
#line 14932 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 55831 "preproc.c" /* yacc.c:1652  */
    break;

  case 2695:
#line 14936 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 55839 "preproc.c" /* yacc.c:1652  */
    break;

  case 2696:
#line 14940 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 55847 "preproc.c" /* yacc.c:1652  */
    break;

  case 2697:
#line 14944 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 55855 "preproc.c" /* yacc.c:1652  */
    break;

  case 2698:
#line 14948 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 55863 "preproc.c" /* yacc.c:1652  */
    break;

  case 2699:
#line 14952 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 55871 "preproc.c" /* yacc.c:1652  */
    break;

  case 2700:
#line 14956 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 55879 "preproc.c" /* yacc.c:1652  */
    break;

  case 2701:
#line 14960 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 55887 "preproc.c" /* yacc.c:1652  */
    break;

  case 2702:
#line 14964 "preproc.y" /* yacc.c:1652  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 55895 "preproc.c" /* yacc.c:1652  */
    break;

  case 2705:
#line 14977 "preproc.y" /* yacc.c:1652  */
    { connection = NULL; }
#line 55901 "preproc.c" /* yacc.c:1652  */
    break;

  case 2707:
#line 14980 "preproc.y" /* yacc.c:1652  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 55911 "preproc.c" /* yacc.c:1652  */
    break;

  case 2709:
#line 14986 "preproc.y" /* yacc.c:1652  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 55917 "preproc.c" /* yacc.c:1652  */
    break;

  case 2710:
#line 14987 "preproc.y" /* yacc.c:1652  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 55923 "preproc.c" /* yacc.c:1652  */
    break;

  case 2711:
#line 14988 "preproc.y" /* yacc.c:1652  */
    { braces_open++; fputs("{", base_yyout); }
#line 55929 "preproc.c" /* yacc.c:1652  */
    break;

  case 2712:
#line 14990 "preproc.y" /* yacc.c:1652  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 55944 "preproc.c" /* yacc.c:1652  */
    break;

  case 2713:
#line 15002 "preproc.y" /* yacc.c:1652  */
    {FoundInto = 0;}
#line 55950 "preproc.c" /* yacc.c:1652  */
    break;

  case 2714:
#line 15003 "preproc.y" /* yacc.c:1652  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 55961 "preproc.c" /* yacc.c:1652  */
    break;

  case 2715:
#line 15009 "preproc.y" /* yacc.c:1652  */
    {FoundInto = 0;}
#line 55967 "preproc.c" /* yacc.c:1652  */
    break;

  case 2716:
#line 15010 "preproc.y" /* yacc.c:1652  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-9].str), mm_strdup("table if not exists"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 55978 "preproc.c" /* yacc.c:1652  */
    break;

  case 2717:
#line 15019 "preproc.y" /* yacc.c:1652  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 55992 "preproc.c" /* yacc.c:1652  */
    break;

  case 2718:
#line 15034 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 55998 "preproc.c" /* yacc.c:1652  */
    break;

  case 2719:
#line 15036 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 56004 "preproc.c" /* yacc.c:1652  */
    break;

  case 2720:
#line 15039 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 56010 "preproc.c" /* yacc.c:1652  */
    break;

  case 2721:
#line 15041 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 56016 "preproc.c" /* yacc.c:1652  */
    break;

  case 2722:
#line 15045 "preproc.y" /* yacc.c:1652  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 56032 "preproc.c" /* yacc.c:1652  */
    break;

  case 2723:
#line 15057 "preproc.y" /* yacc.c:1652  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 56052 "preproc.c" /* yacc.c:1652  */
    break;

  case 2724:
#line 15073 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 56060 "preproc.c" /* yacc.c:1652  */
    break;

  case 2725:
#line 15077 "preproc.y" /* yacc.c:1652  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 56073 "preproc.c" /* yacc.c:1652  */
    break;

  case 2726:
#line 15087 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56079 "preproc.c" /* yacc.c:1652  */
    break;

  case 2727:
#line 15088 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 56085 "preproc.c" /* yacc.c:1652  */
    break;

  case 2728:
#line 15092 "preproc.y" /* yacc.c:1652  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 56099 "preproc.c" /* yacc.c:1652  */
    break;

  case 2729:
#line 15104 "preproc.y" /* yacc.c:1652  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 56110 "preproc.c" /* yacc.c:1652  */
    break;

  case 2730:
#line 15112 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56116 "preproc.c" /* yacc.c:1652  */
    break;

  case 2731:
#line 15113 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 56122 "preproc.c" /* yacc.c:1652  */
    break;

  case 2732:
#line 15116 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56128 "preproc.c" /* yacc.c:1652  */
    break;

  case 2733:
#line 15117 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 56134 "preproc.c" /* yacc.c:1652  */
    break;

  case 2734:
#line 15118 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 56140 "preproc.c" /* yacc.c:1652  */
    break;

  case 2735:
#line 15121 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 56146 "preproc.c" /* yacc.c:1652  */
    break;

  case 2736:
#line 15122 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 56152 "preproc.c" /* yacc.c:1652  */
    break;

  case 2737:
#line 15125 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56158 "preproc.c" /* yacc.c:1652  */
    break;

  case 2738:
#line 15126 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 56164 "preproc.c" /* yacc.c:1652  */
    break;

  case 2739:
#line 15129 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56170 "preproc.c" /* yacc.c:1652  */
    break;

  case 2740:
#line 15130 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 56176 "preproc.c" /* yacc.c:1652  */
    break;

  case 2741:
#line 15134 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 56182 "preproc.c" /* yacc.c:1652  */
    break;

  case 2742:
#line 15136 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 56188 "preproc.c" /* yacc.c:1652  */
    break;

  case 2743:
#line 15138 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 56194 "preproc.c" /* yacc.c:1652  */
    break;

  case 2744:
#line 15140 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 56200 "preproc.c" /* yacc.c:1652  */
    break;

  case 2745:
#line 15144 "preproc.y" /* yacc.c:1652  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 56211 "preproc.c" /* yacc.c:1652  */
    break;

  case 2746:
#line 15151 "preproc.y" /* yacc.c:1652  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 56222 "preproc.c" /* yacc.c:1652  */
    break;

  case 2747:
#line 15158 "preproc.y" /* yacc.c:1652  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 56240 "preproc.c" /* yacc.c:1652  */
    break;

  case 2748:
#line 15174 "preproc.y" /* yacc.c:1652  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 56276 "preproc.c" /* yacc.c:1652  */
    break;

  case 2749:
#line 15208 "preproc.y" /* yacc.c:1652  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 56290 "preproc.c" /* yacc.c:1652  */
    break;

  case 2750:
#line 15217 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 56296 "preproc.c" /* yacc.c:1652  */
    break;

  case 2751:
#line 15221 "preproc.y" /* yacc.c:1652  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 56304 "preproc.c" /* yacc.c:1652  */
    break;

  case 2752:
#line 15225 "preproc.y" /* yacc.c:1652  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 56318 "preproc.c" /* yacc.c:1652  */
    break;

  case 2753:
#line 15237 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 56324 "preproc.c" /* yacc.c:1652  */
    break;

  case 2754:
#line 15239 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 56330 "preproc.c" /* yacc.c:1652  */
    break;

  case 2755:
#line 15241 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 56336 "preproc.c" /* yacc.c:1652  */
    break;

  case 2756:
#line 15243 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 56342 "preproc.c" /* yacc.c:1652  */
    break;

  case 2757:
#line 15247 "preproc.y" /* yacc.c:1652  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 56360 "preproc.c" /* yacc.c:1652  */
    break;

  case 2758:
#line 15260 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56366 "preproc.c" /* yacc.c:1652  */
    break;

  case 2759:
#line 15268 "preproc.y" /* yacc.c:1652  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			(yyval.str) = cat_str(2, adjust_outofscope_cursor_vars(this),
					comment);
		}
#line 56425 "preproc.c" /* yacc.c:1652  */
    break;

  case 2760:
#line 15325 "preproc.y" /* yacc.c:1652  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 56435 "preproc.c" /* yacc.c:1652  */
    break;

  case 2762:
#line 15335 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56441 "preproc.c" /* yacc.c:1652  */
    break;

  case 2763:
#line 15336 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56447 "preproc.c" /* yacc.c:1652  */
    break;

  case 2764:
#line 15339 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56453 "preproc.c" /* yacc.c:1652  */
    break;

  case 2765:
#line 15341 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56459 "preproc.c" /* yacc.c:1652  */
    break;

  case 2766:
#line 15342 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 56465 "preproc.c" /* yacc.c:1652  */
    break;

  case 2767:
#line 15345 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56471 "preproc.c" /* yacc.c:1652  */
    break;

  case 2768:
#line 15346 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 56477 "preproc.c" /* yacc.c:1652  */
    break;

  case 2769:
#line 15347 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 56483 "preproc.c" /* yacc.c:1652  */
    break;

  case 2770:
#line 15348 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 56489 "preproc.c" /* yacc.c:1652  */
    break;

  case 2771:
#line 15349 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 56495 "preproc.c" /* yacc.c:1652  */
    break;

  case 2772:
#line 15356 "preproc.y" /* yacc.c:1652  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 56501 "preproc.c" /* yacc.c:1652  */
    break;

  case 2773:
#line 15358 "preproc.y" /* yacc.c:1652  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 56511 "preproc.c" /* yacc.c:1652  */
    break;

  case 2774:
#line 15365 "preproc.y" /* yacc.c:1652  */
    {}
#line 56517 "preproc.c" /* yacc.c:1652  */
    break;

  case 2775:
#line 15367 "preproc.y" /* yacc.c:1652  */
    {}
#line 56523 "preproc.c" /* yacc.c:1652  */
    break;

  case 2776:
#line 15369 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 56529 "preproc.c" /* yacc.c:1652  */
    break;

  case 2777:
#line 15370 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56535 "preproc.c" /* yacc.c:1652  */
    break;

  case 2778:
#line 15373 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56541 "preproc.c" /* yacc.c:1652  */
    break;

  case 2779:
#line 15374 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56547 "preproc.c" /* yacc.c:1652  */
    break;

  case 2780:
#line 15375 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56553 "preproc.c" /* yacc.c:1652  */
    break;

  case 2781:
#line 15376 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56559 "preproc.c" /* yacc.c:1652  */
    break;

  case 2782:
#line 15379 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56565 "preproc.c" /* yacc.c:1652  */
    break;

  case 2783:
#line 15380 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56571 "preproc.c" /* yacc.c:1652  */
    break;

  case 2784:
#line 15384 "preproc.y" /* yacc.c:1652  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 56581 "preproc.c" /* yacc.c:1652  */
    break;

  case 2785:
#line 15390 "preproc.y" /* yacc.c:1652  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 56593 "preproc.c" /* yacc.c:1652  */
    break;

  case 2786:
#line 15400 "preproc.y" /* yacc.c:1652  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 56607 "preproc.c" /* yacc.c:1652  */
    break;

  case 2787:
#line 15410 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 56615 "preproc.c" /* yacc.c:1652  */
    break;

  case 2788:
#line 15414 "preproc.y" /* yacc.c:1652  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 56629 "preproc.c" /* yacc.c:1652  */
    break;

  case 2789:
#line 15424 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 56637 "preproc.c" /* yacc.c:1652  */
    break;

  case 2790:
#line 15428 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 56645 "preproc.c" /* yacc.c:1652  */
    break;

  case 2791:
#line 15433 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 56651 "preproc.c" /* yacc.c:1652  */
    break;

  case 2792:
#line 15434 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 56657 "preproc.c" /* yacc.c:1652  */
    break;

  case 2793:
#line 15438 "preproc.y" /* yacc.c:1652  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56663 "preproc.c" /* yacc.c:1652  */
    break;

  case 2794:
#line 15439 "preproc.y" /* yacc.c:1652  */
    {(yyval.str) = (yyvsp[0].str); }
#line 56669 "preproc.c" /* yacc.c:1652  */
    break;

  case 2795:
#line 15440 "preproc.y" /* yacc.c:1652  */
    {(yyval.str) = (yyvsp[0].str); }
#line 56675 "preproc.c" /* yacc.c:1652  */
    break;

  case 2796:
#line 15443 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56681 "preproc.c" /* yacc.c:1652  */
    break;

  case 2797:
#line 15444 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("static"); }
#line 56687 "preproc.c" /* yacc.c:1652  */
    break;

  case 2798:
#line 15445 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("register"); }
#line 56693 "preproc.c" /* yacc.c:1652  */
    break;

  case 2799:
#line 15446 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56699 "preproc.c" /* yacc.c:1652  */
    break;

  case 2800:
#line 15449 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("const"); }
#line 56705 "preproc.c" /* yacc.c:1652  */
    break;

  case 2801:
#line 15450 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56711 "preproc.c" /* yacc.c:1652  */
    break;

  case 2802:
#line 15454 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 56723 "preproc.c" /* yacc.c:1652  */
    break;

  case 2803:
#line 15462 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 56744 "preproc.c" /* yacc.c:1652  */
    break;

  case 2804:
#line 15479 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 56756 "preproc.c" /* yacc.c:1652  */
    break;

  case 2805:
#line 15487 "preproc.y" /* yacc.c:1652  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 56783 "preproc.c" /* yacc.c:1652  */
    break;

  case 2806:
#line 15510 "preproc.y" /* yacc.c:1652  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "bytea") == 0)
			{
				(yyval.type).type_enum = ECPGt_bytea;
				(yyval.type).type_str = EMPTY;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar || this->type->type_enum == ECPGt_bytea) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 56901 "preproc.c" /* yacc.c:1652  */
    break;

  case 2807:
#line 15624 "preproc.y" /* yacc.c:1652  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 56937 "preproc.c" /* yacc.c:1652  */
    break;

  case 2808:
#line 15658 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 56943 "preproc.c" /* yacc.c:1652  */
    break;

  case 2809:
#line 15660 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 56949 "preproc.c" /* yacc.c:1652  */
    break;

  case 2810:
#line 15662 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 56955 "preproc.c" /* yacc.c:1652  */
    break;

  case 2811:
#line 15666 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 56961 "preproc.c" /* yacc.c:1652  */
    break;

  case 2812:
#line 15669 "preproc.y" /* yacc.c:1652  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 56972 "preproc.c" /* yacc.c:1652  */
    break;

  case 2813:
#line 15676 "preproc.y" /* yacc.c:1652  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 57018 "preproc.c" /* yacc.c:1652  */
    break;

  case 2814:
#line 15719 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57024 "preproc.c" /* yacc.c:1652  */
    break;

  case 2815:
#line 15721 "preproc.y" /* yacc.c:1652  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 57034 "preproc.c" /* yacc.c:1652  */
    break;

  case 2816:
#line 15727 "preproc.y" /* yacc.c:1652  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 57045 "preproc.c" /* yacc.c:1652  */
    break;

  case 2817:
#line 15736 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 57055 "preproc.c" /* yacc.c:1652  */
    break;

  case 2818:
#line 15742 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 57064 "preproc.c" /* yacc.c:1652  */
    break;

  case 2819:
#line 15749 "preproc.y" /* yacc.c:1652  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 57073 "preproc.c" /* yacc.c:1652  */
    break;

  case 2820:
#line 15754 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 57081 "preproc.c" /* yacc.c:1652  */
    break;

  case 2821:
#line 15759 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 57087 "preproc.c" /* yacc.c:1652  */
    break;

  case 2822:
#line 15760 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 57093 "preproc.c" /* yacc.c:1652  */
    break;

  case 2823:
#line 15763 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 57099 "preproc.c" /* yacc.c:1652  */
    break;

  case 2824:
#line 15764 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 57105 "preproc.c" /* yacc.c:1652  */
    break;

  case 2825:
#line 15765 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 57111 "preproc.c" /* yacc.c:1652  */
    break;

  case 2826:
#line 15766 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 57117 "preproc.c" /* yacc.c:1652  */
    break;

  case 2827:
#line 15767 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 57123 "preproc.c" /* yacc.c:1652  */
    break;

  case 2828:
#line 15768 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 57129 "preproc.c" /* yacc.c:1652  */
    break;

  case 2829:
#line 15769 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 57135 "preproc.c" /* yacc.c:1652  */
    break;

  case 2830:
#line 15770 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 57141 "preproc.c" /* yacc.c:1652  */
    break;

  case 2831:
#line 15771 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 57147 "preproc.c" /* yacc.c:1652  */
    break;

  case 2832:
#line 15774 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_short; }
#line 57153 "preproc.c" /* yacc.c:1652  */
    break;

  case 2833:
#line 15775 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_short; }
#line 57159 "preproc.c" /* yacc.c:1652  */
    break;

  case 2834:
#line 15776 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_int; }
#line 57165 "preproc.c" /* yacc.c:1652  */
    break;

  case 2835:
#line 15777 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_long; }
#line 57171 "preproc.c" /* yacc.c:1652  */
    break;

  case 2836:
#line 15778 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_long; }
#line 57177 "preproc.c" /* yacc.c:1652  */
    break;

  case 2837:
#line 15779 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_long_long; }
#line 57183 "preproc.c" /* yacc.c:1652  */
    break;

  case 2838:
#line 15780 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_long_long; }
#line 57189 "preproc.c" /* yacc.c:1652  */
    break;

  case 2839:
#line 15781 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 57195 "preproc.c" /* yacc.c:1652  */
    break;

  case 2840:
#line 15782 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_char; }
#line 57201 "preproc.c" /* yacc.c:1652  */
    break;

  case 2841:
#line 15783 "preproc.y" /* yacc.c:1652  */
    { (yyval.type_enum) = ECPGt_double; }
#line 57207 "preproc.c" /* yacc.c:1652  */
    break;

  case 2844:
#line 15791 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57213 "preproc.c" /* yacc.c:1652  */
    break;

  case 2845:
#line 15793 "preproc.y" /* yacc.c:1652  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar || actual_type[struct_level].type_enum == ECPGt_bytea)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 57224 "preproc.c" /* yacc.c:1652  */
    break;

  case 2846:
#line 15802 "preproc.y" /* yacc.c:1652  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;
			int *varlen_type_counter;
			char *struct_name;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);
			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
				case ECPGt_bytea:
					if (actual_type[struct_level].type_enum == ECPGt_varchar)
					{
						varlen_type_counter = &varchar_counter;
						struct_name = " struct varchar_";
					}
					else
					{
						varlen_type_counter = &bytea_counter;
						struct_name = " struct bytea_";
					}
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", *varlen_type_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(struct_name), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(struct_name), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					(*varlen_type_counter)++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 57325 "preproc.c" /* yacc.c:1652  */
    break;

  case 2847:
#line 15901 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 57331 "preproc.c" /* yacc.c:1652  */
    break;

  case 2848:
#line 15903 "preproc.y" /* yacc.c:1652  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 57340 "preproc.c" /* yacc.c:1652  */
    break;

  case 2849:
#line 15909 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 57346 "preproc.c" /* yacc.c:1652  */
    break;

  case 2850:
#line 15910 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("*"); }
#line 57352 "preproc.c" /* yacc.c:1652  */
    break;

  case 2851:
#line 15911 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("**"); }
#line 57358 "preproc.c" /* yacc.c:1652  */
    break;

  case 2852:
#line 15918 "preproc.y" /* yacc.c:1652  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 57367 "preproc.c" /* yacc.c:1652  */
    break;

  case 2853:
#line 15926 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57373 "preproc.c" /* yacc.c:1652  */
    break;

  case 2854:
#line 15929 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57379 "preproc.c" /* yacc.c:1652  */
    break;

  case 2855:
#line 15930 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 57385 "preproc.c" /* yacc.c:1652  */
    break;

  case 2856:
#line 15931 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 57391 "preproc.c" /* yacc.c:1652  */
    break;

  case 2857:
#line 15932 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 57397 "preproc.c" /* yacc.c:1652  */
    break;

  case 2858:
#line 15935 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 57403 "preproc.c" /* yacc.c:1652  */
    break;

  case 2859:
#line 15936 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 57409 "preproc.c" /* yacc.c:1652  */
    break;

  case 2860:
#line 15937 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57415 "preproc.c" /* yacc.c:1652  */
    break;

  case 2861:
#line 15941 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57421 "preproc.c" /* yacc.c:1652  */
    break;

  case 2862:
#line 15943 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 57427 "preproc.c" /* yacc.c:1652  */
    break;

  case 2863:
#line 15950 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57433 "preproc.c" /* yacc.c:1652  */
    break;

  case 2864:
#line 15951 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("all"); }
#line 57439 "preproc.c" /* yacc.c:1652  */
    break;

  case 2865:
#line 15958 "preproc.y" /* yacc.c:1652  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 57449 "preproc.c" /* yacc.c:1652  */
    break;

  case 2866:
#line 15965 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 57455 "preproc.c" /* yacc.c:1652  */
    break;

  case 2867:
#line 15966 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57461 "preproc.c" /* yacc.c:1652  */
    break;

  case 2868:
#line 15969 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 57467 "preproc.c" /* yacc.c:1652  */
    break;

  case 2869:
#line 15970 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57473 "preproc.c" /* yacc.c:1652  */
    break;

  case 2870:
#line 15974 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 57482 "preproc.c" /* yacc.c:1652  */
    break;

  case 2871:
#line 15979 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 57491 "preproc.c" /* yacc.c:1652  */
    break;

  case 2872:
#line 15986 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 57500 "preproc.c" /* yacc.c:1652  */
    break;

  case 2873:
#line 15991 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 57509 "preproc.c" /* yacc.c:1652  */
    break;

  case 2874:
#line 15998 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 57518 "preproc.c" /* yacc.c:1652  */
    break;

  case 2877:
#line 16007 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 57529 "preproc.c" /* yacc.c:1652  */
    break;

  case 2878:
#line 16013 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 57535 "preproc.c" /* yacc.c:1652  */
    break;

  case 2879:
#line 16014 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 57541 "preproc.c" /* yacc.c:1652  */
    break;

  case 2880:
#line 16017 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57547 "preproc.c" /* yacc.c:1652  */
    break;

  case 2881:
#line 16018 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 57553 "preproc.c" /* yacc.c:1652  */
    break;

  case 2882:
#line 16019 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 57559 "preproc.c" /* yacc.c:1652  */
    break;

  case 2883:
#line 16020 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57565 "preproc.c" /* yacc.c:1652  */
    break;

  case 2884:
#line 16021 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 57571 "preproc.c" /* yacc.c:1652  */
    break;

  case 2885:
#line 16022 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 57577 "preproc.c" /* yacc.c:1652  */
    break;

  case 2886:
#line 16023 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57583 "preproc.c" /* yacc.c:1652  */
    break;

  case 2887:
#line 16024 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57589 "preproc.c" /* yacc.c:1652  */
    break;

  case 2888:
#line 16025 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57595 "preproc.c" /* yacc.c:1652  */
    break;

  case 2889:
#line 16032 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 57606 "preproc.c" /* yacc.c:1652  */
    break;

  case 2890:
#line 16039 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 57622 "preproc.c" /* yacc.c:1652  */
    break;

  case 2891:
#line 16051 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 57632 "preproc.c" /* yacc.c:1652  */
    break;

  case 2892:
#line 16057 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 57643 "preproc.c" /* yacc.c:1652  */
    break;

  case 2893:
#line 16064 "preproc.y" /* yacc.c:1652  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 57653 "preproc.c" /* yacc.c:1652  */
    break;

  case 2894:
#line 16071 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("output"); }
#line 57659 "preproc.c" /* yacc.c:1652  */
    break;

  case 2895:
#line 16072 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 57665 "preproc.c" /* yacc.c:1652  */
    break;

  case 2896:
#line 16085 "preproc.y" /* yacc.c:1652  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57674 "preproc.c" /* yacc.c:1652  */
    break;

  case 2897:
#line 16096 "preproc.y" /* yacc.c:1652  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57683 "preproc.c" /* yacc.c:1652  */
    break;

  case 2898:
#line 16107 "preproc.y" /* yacc.c:1652  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 57689 "preproc.c" /* yacc.c:1652  */
    break;

  case 2901:
#line 16115 "preproc.y" /* yacc.c:1652  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 57695 "preproc.c" /* yacc.c:1652  */
    break;

  case 2902:
#line 16120 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 57701 "preproc.c" /* yacc.c:1652  */
    break;

  case 2905:
#line 16128 "preproc.y" /* yacc.c:1652  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 57709 "preproc.c" /* yacc.c:1652  */
    break;

  case 2906:
#line 16134 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57721 "preproc.c" /* yacc.c:1652  */
    break;

  case 2907:
#line 16142 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 57729 "preproc.c" /* yacc.c:1652  */
    break;

  case 2908:
#line 16147 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 57735 "preproc.c" /* yacc.c:1652  */
    break;

  case 2909:
#line 16155 "preproc.y" /* yacc.c:1652  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 57741 "preproc.c" /* yacc.c:1652  */
    break;

  case 2912:
#line 16162 "preproc.y" /* yacc.c:1652  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 57747 "preproc.c" /* yacc.c:1652  */
    break;

  case 2913:
#line 16166 "preproc.y" /* yacc.c:1652  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 57753 "preproc.c" /* yacc.c:1652  */
    break;

  case 2916:
#line 16174 "preproc.y" /* yacc.c:1652  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 57761 "preproc.c" /* yacc.c:1652  */
    break;

  case 2917:
#line 16180 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57773 "preproc.c" /* yacc.c:1652  */
    break;

  case 2918:
#line 16189 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 57781 "preproc.c" /* yacc.c:1652  */
    break;

  case 2919:
#line 16194 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 57794 "preproc.c" /* yacc.c:1652  */
    break;

  case 2920:
#line 16204 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 57807 "preproc.c" /* yacc.c:1652  */
    break;

  case 2921:
#line 16214 "preproc.y" /* yacc.c:1652  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 57821 "preproc.c" /* yacc.c:1652  */
    break;

  case 2922:
#line 16225 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 57827 "preproc.c" /* yacc.c:1652  */
    break;

  case 2923:
#line 16226 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 57833 "preproc.c" /* yacc.c:1652  */
    break;

  case 2924:
#line 16227 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 57839 "preproc.c" /* yacc.c:1652  */
    break;

  case 2925:
#line 16228 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 57845 "preproc.c" /* yacc.c:1652  */
    break;

  case 2926:
#line 16229 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 57851 "preproc.c" /* yacc.c:1652  */
    break;

  case 2927:
#line 16230 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 57857 "preproc.c" /* yacc.c:1652  */
    break;

  case 2928:
#line 16231 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 57863 "preproc.c" /* yacc.c:1652  */
    break;

  case 2929:
#line 16232 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 57869 "preproc.c" /* yacc.c:1652  */
    break;

  case 2930:
#line 16233 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 57875 "preproc.c" /* yacc.c:1652  */
    break;

  case 2931:
#line 16234 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 57881 "preproc.c" /* yacc.c:1652  */
    break;

  case 2932:
#line 16235 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 57887 "preproc.c" /* yacc.c:1652  */
    break;

  case 2933:
#line 16236 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 57893 "preproc.c" /* yacc.c:1652  */
    break;

  case 2934:
#line 16237 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 57899 "preproc.c" /* yacc.c:1652  */
    break;

  case 2935:
#line 16238 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 57905 "preproc.c" /* yacc.c:1652  */
    break;

  case 2936:
#line 16239 "preproc.y" /* yacc.c:1652  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 57911 "preproc.c" /* yacc.c:1652  */
    break;

  case 2937:
#line 16246 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57917 "preproc.c" /* yacc.c:1652  */
    break;

  case 2938:
#line 16247 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57923 "preproc.c" /* yacc.c:1652  */
    break;

  case 2939:
#line 16250 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("on"); }
#line 57929 "preproc.c" /* yacc.c:1652  */
    break;

  case 2940:
#line 16251 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("off"); }
#line 57935 "preproc.c" /* yacc.c:1652  */
    break;

  case 2941:
#line 16258 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57941 "preproc.c" /* yacc.c:1652  */
    break;

  case 2942:
#line 16259 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57947 "preproc.c" /* yacc.c:1652  */
    break;

  case 2943:
#line 16260 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57953 "preproc.c" /* yacc.c:1652  */
    break;

  case 2944:
#line 16267 "preproc.y" /* yacc.c:1652  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 57963 "preproc.c" /* yacc.c:1652  */
    break;

  case 2945:
#line 16273 "preproc.y" /* yacc.c:1652  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 57976 "preproc.c" /* yacc.c:1652  */
    break;

  case 2946:
#line 16283 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("reference"); }
#line 57982 "preproc.c" /* yacc.c:1652  */
    break;

  case 2947:
#line 16284 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 57988 "preproc.c" /* yacc.c:1652  */
    break;

  case 2948:
#line 16291 "preproc.y" /* yacc.c:1652  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 57998 "preproc.c" /* yacc.c:1652  */
    break;

  case 2949:
#line 16297 "preproc.y" /* yacc.c:1652  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
					case ECPGt_bytea:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 58061 "preproc.c" /* yacc.c:1652  */
    break;

  case 2950:
#line 16362 "preproc.y" /* yacc.c:1652  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 58071 "preproc.c" /* yacc.c:1652  */
    break;

  case 2951:
#line 16368 "preproc.y" /* yacc.c:1652  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 58081 "preproc.c" /* yacc.c:1652  */
    break;

  case 2952:
#line 16374 "preproc.y" /* yacc.c:1652  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 58091 "preproc.c" /* yacc.c:1652  */
    break;

  case 2953:
#line 16382 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 58101 "preproc.c" /* yacc.c:1652  */
    break;

  case 2954:
#line 16388 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 58111 "preproc.c" /* yacc.c:1652  */
    break;

  case 2955:
#line 16394 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 58121 "preproc.c" /* yacc.c:1652  */
    break;

  case 2956:
#line 16400 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 58131 "preproc.c" /* yacc.c:1652  */
    break;

  case 2957:
#line 16406 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 58141 "preproc.c" /* yacc.c:1652  */
    break;

  case 2958:
#line 16412 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 58151 "preproc.c" /* yacc.c:1652  */
    break;

  case 2959:
#line 16418 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 58161 "preproc.c" /* yacc.c:1652  */
    break;

  case 2960:
#line 16424 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_CONTINUE;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 58171 "preproc.c" /* yacc.c:1652  */
    break;

  case 2961:
#line 16430 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 58181 "preproc.c" /* yacc.c:1652  */
    break;

  case 2962:
#line 16436 "preproc.y" /* yacc.c:1652  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 58191 "preproc.c" /* yacc.c:1652  */
    break;

  case 2963:
#line 16446 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58197 "preproc.c" /* yacc.c:1652  */
    break;

  case 2964:
#line 16447 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58203 "preproc.c" /* yacc.c:1652  */
    break;

  case 2965:
#line 16450 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("break"); }
#line 58209 "preproc.c" /* yacc.c:1652  */
    break;

  case 2966:
#line 16451 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 58215 "preproc.c" /* yacc.c:1652  */
    break;

  case 2967:
#line 16452 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("count"); }
#line 58221 "preproc.c" /* yacc.c:1652  */
    break;

  case 2968:
#line 16453 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 58227 "preproc.c" /* yacc.c:1652  */
    break;

  case 2969:
#line 16454 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 58233 "preproc.c" /* yacc.c:1652  */
    break;

  case 2970:
#line 16455 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("found"); }
#line 58239 "preproc.c" /* yacc.c:1652  */
    break;

  case 2971:
#line 16456 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("go"); }
#line 58245 "preproc.c" /* yacc.c:1652  */
    break;

  case 2972:
#line 16457 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("goto"); }
#line 58251 "preproc.c" /* yacc.c:1652  */
    break;

  case 2973:
#line 16458 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("identified"); }
#line 58257 "preproc.c" /* yacc.c:1652  */
    break;

  case 2974:
#line 16459 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 58263 "preproc.c" /* yacc.c:1652  */
    break;

  case 2975:
#line 16460 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 58269 "preproc.c" /* yacc.c:1652  */
    break;

  case 2976:
#line 16461 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("length"); }
#line 58275 "preproc.c" /* yacc.c:1652  */
    break;

  case 2977:
#line 16462 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 58281 "preproc.c" /* yacc.c:1652  */
    break;

  case 2978:
#line 16463 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 58287 "preproc.c" /* yacc.c:1652  */
    break;

  case 2979:
#line 16464 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 58293 "preproc.c" /* yacc.c:1652  */
    break;

  case 2980:
#line 16465 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 58299 "preproc.c" /* yacc.c:1652  */
    break;

  case 2981:
#line 16466 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("scale"); }
#line 58305 "preproc.c" /* yacc.c:1652  */
    break;

  case 2982:
#line 16467 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("section"); }
#line 58311 "preproc.c" /* yacc.c:1652  */
    break;

  case 2983:
#line 16468 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 58317 "preproc.c" /* yacc.c:1652  */
    break;

  case 2984:
#line 16469 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 58323 "preproc.c" /* yacc.c:1652  */
    break;

  case 2985:
#line 16470 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 58329 "preproc.c" /* yacc.c:1652  */
    break;

  case 2986:
#line 16471 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("stop"); }
#line 58335 "preproc.c" /* yacc.c:1652  */
    break;

  case 2987:
#line 16474 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("connect"); }
#line 58341 "preproc.c" /* yacc.c:1652  */
    break;

  case 2988:
#line 16475 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("describe"); }
#line 58347 "preproc.c" /* yacc.c:1652  */
    break;

  case 2989:
#line 16476 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 58353 "preproc.c" /* yacc.c:1652  */
    break;

  case 2990:
#line 16477 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("open"); }
#line 58359 "preproc.c" /* yacc.c:1652  */
    break;

  case 2991:
#line 16478 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("var"); }
#line 58365 "preproc.c" /* yacc.c:1652  */
    break;

  case 2992:
#line 16479 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 58371 "preproc.c" /* yacc.c:1652  */
    break;

  case 2993:
#line 16483 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("bool"); }
#line 58377 "preproc.c" /* yacc.c:1652  */
    break;

  case 2994:
#line 16484 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("long"); }
#line 58383 "preproc.c" /* yacc.c:1652  */
    break;

  case 2995:
#line 16485 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("output"); }
#line 58389 "preproc.c" /* yacc.c:1652  */
    break;

  case 2996:
#line 16486 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("short"); }
#line 58395 "preproc.c" /* yacc.c:1652  */
    break;

  case 2997:
#line 16487 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("struct"); }
#line 58401 "preproc.c" /* yacc.c:1652  */
    break;

  case 2998:
#line 16488 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("signed"); }
#line 58407 "preproc.c" /* yacc.c:1652  */
    break;

  case 2999:
#line 16489 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 58413 "preproc.c" /* yacc.c:1652  */
    break;

  case 3000:
#line 16492 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58419 "preproc.c" /* yacc.c:1652  */
    break;

  case 3001:
#line 16495 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58425 "preproc.c" /* yacc.c:1652  */
    break;

  case 3002:
#line 16496 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58431 "preproc.c" /* yacc.c:1652  */
    break;

  case 3003:
#line 16497 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58437 "preproc.c" /* yacc.c:1652  */
    break;

  case 3004:
#line 16498 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58443 "preproc.c" /* yacc.c:1652  */
    break;

  case 3005:
#line 16499 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58449 "preproc.c" /* yacc.c:1652  */
    break;

  case 3006:
#line 16500 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58455 "preproc.c" /* yacc.c:1652  */
    break;

  case 3007:
#line 16501 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("char"); }
#line 58461 "preproc.c" /* yacc.c:1652  */
    break;

  case 3008:
#line 16502 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("values"); }
#line 58467 "preproc.c" /* yacc.c:1652  */
    break;

  case 3009:
#line 16515 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58473 "preproc.c" /* yacc.c:1652  */
    break;

  case 3010:
#line 16516 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58479 "preproc.c" /* yacc.c:1652  */
    break;

  case 3011:
#line 16517 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58485 "preproc.c" /* yacc.c:1652  */
    break;

  case 3012:
#line 16518 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58491 "preproc.c" /* yacc.c:1652  */
    break;

  case 3013:
#line 16519 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58497 "preproc.c" /* yacc.c:1652  */
    break;

  case 3014:
#line 16520 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("char"); }
#line 58503 "preproc.c" /* yacc.c:1652  */
    break;

  case 3015:
#line 16521 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("values"); }
#line 58509 "preproc.c" /* yacc.c:1652  */
    break;

  case 3016:
#line 16526 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58515 "preproc.c" /* yacc.c:1652  */
    break;

  case 3017:
#line 16527 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58521 "preproc.c" /* yacc.c:1652  */
    break;

  case 3018:
#line 16528 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58527 "preproc.c" /* yacc.c:1652  */
    break;

  case 3019:
#line 16529 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58533 "preproc.c" /* yacc.c:1652  */
    break;

  case 3020:
#line 16530 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58539 "preproc.c" /* yacc.c:1652  */
    break;

  case 3021:
#line 16531 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58545 "preproc.c" /* yacc.c:1652  */
    break;

  case 3022:
#line 16537 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58551 "preproc.c" /* yacc.c:1652  */
    break;

  case 3023:
#line 16538 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58557 "preproc.c" /* yacc.c:1652  */
    break;

  case 3024:
#line 16539 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("char"); }
#line 58563 "preproc.c" /* yacc.c:1652  */
    break;

  case 3025:
#line 16540 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("current"); }
#line 58569 "preproc.c" /* yacc.c:1652  */
    break;

  case 3026:
#line 16541 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("input"); }
#line 58575 "preproc.c" /* yacc.c:1652  */
    break;

  case 3027:
#line 16542 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("int"); }
#line 58581 "preproc.c" /* yacc.c:1652  */
    break;

  case 3028:
#line 16543 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("to"); }
#line 58587 "preproc.c" /* yacc.c:1652  */
    break;

  case 3029:
#line 16544 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("union"); }
#line 58593 "preproc.c" /* yacc.c:1652  */
    break;

  case 3030:
#line 16545 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("values"); }
#line 58599 "preproc.c" /* yacc.c:1652  */
    break;

  case 3031:
#line 16546 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58605 "preproc.c" /* yacc.c:1652  */
    break;

  case 3032:
#line 16547 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58611 "preproc.c" /* yacc.c:1652  */
    break;

  case 3033:
#line 16550 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58617 "preproc.c" /* yacc.c:1652  */
    break;

  case 3034:
#line 16551 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58623 "preproc.c" /* yacc.c:1652  */
    break;

  case 3035:
#line 16552 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58629 "preproc.c" /* yacc.c:1652  */
    break;

  case 3036:
#line 16553 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58635 "preproc.c" /* yacc.c:1652  */
    break;

  case 3037:
#line 16554 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("connection"); }
#line 58641 "preproc.c" /* yacc.c:1652  */
    break;

  case 3038:
#line 16557 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58647 "preproc.c" /* yacc.c:1652  */
    break;

  case 3039:
#line 16558 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58653 "preproc.c" /* yacc.c:1652  */
    break;

  case 3040:
#line 16559 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58659 "preproc.c" /* yacc.c:1652  */
    break;

  case 3041:
#line 16560 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58665 "preproc.c" /* yacc.c:1652  */
    break;

  case 3042:
#line 16563 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("auto"); }
#line 58671 "preproc.c" /* yacc.c:1652  */
    break;

  case 3043:
#line 16564 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("const"); }
#line 58677 "preproc.c" /* yacc.c:1652  */
    break;

  case 3044:
#line 16565 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("extern"); }
#line 58683 "preproc.c" /* yacc.c:1652  */
    break;

  case 3045:
#line 16566 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("register"); }
#line 58689 "preproc.c" /* yacc.c:1652  */
    break;

  case 3046:
#line 16567 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("static"); }
#line 58695 "preproc.c" /* yacc.c:1652  */
    break;

  case 3047:
#line 16568 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 58701 "preproc.c" /* yacc.c:1652  */
    break;

  case 3048:
#line 16569 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 58707 "preproc.c" /* yacc.c:1652  */
    break;

  case 3049:
#line 16586 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58713 "preproc.c" /* yacc.c:1652  */
    break;

  case 3050:
#line 16587 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58719 "preproc.c" /* yacc.c:1652  */
    break;

  case 3051:
#line 16588 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("connection"); }
#line 58725 "preproc.c" /* yacc.c:1652  */
    break;

  case 3052:
#line 16591 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("day"); }
#line 58731 "preproc.c" /* yacc.c:1652  */
    break;

  case 3053:
#line 16592 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("hour"); }
#line 58737 "preproc.c" /* yacc.c:1652  */
    break;

  case 3054:
#line 16593 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("minute"); }
#line 58743 "preproc.c" /* yacc.c:1652  */
    break;

  case 3055:
#line 16594 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("month"); }
#line 58749 "preproc.c" /* yacc.c:1652  */
    break;

  case 3056:
#line 16595 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("second"); }
#line 58755 "preproc.c" /* yacc.c:1652  */
    break;

  case 3057:
#line 16596 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("year"); }
#line 58761 "preproc.c" /* yacc.c:1652  */
    break;

  case 3060:
#line 16603 "preproc.y" /* yacc.c:1652  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 58770 "preproc.c" /* yacc.c:1652  */
    break;

  case 3061:
#line 16609 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 58776 "preproc.c" /* yacc.c:1652  */
    break;

  case 3062:
#line 16610 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58782 "preproc.c" /* yacc.c:1652  */
    break;

  case 3063:
#line 16614 "preproc.y" /* yacc.c:1652  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 58788 "preproc.c" /* yacc.c:1652  */
    break;

  case 3064:
#line 16616 "preproc.y" /* yacc.c:1652  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 58794 "preproc.c" /* yacc.c:1652  */
    break;

  case 3065:
#line 16621 "preproc.y" /* yacc.c:1652  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 58806 "preproc.c" /* yacc.c:1652  */
    break;

  case 3066:
#line 16631 "preproc.y" /* yacc.c:1652  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 58819 "preproc.c" /* yacc.c:1652  */
    break;

  case 3067:
#line 16642 "preproc.y" /* yacc.c:1652  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 58828 "preproc.c" /* yacc.c:1652  */
    break;

  case 3068:
#line 16648 "preproc.y" /* yacc.c:1652  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 58834 "preproc.c" /* yacc.c:1652  */
    break;

  case 3069:
#line 16649 "preproc.y" /* yacc.c:1652  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 58840 "preproc.c" /* yacc.c:1652  */
    break;

  case 3070:
#line 16650 "preproc.y" /* yacc.c:1652  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 58846 "preproc.c" /* yacc.c:1652  */
    break;

  case 3071:
#line 16654 "preproc.y" /* yacc.c:1652  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 58881 "preproc.c" /* yacc.c:1652  */
    break;

  case 3072:
#line 16686 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 58887 "preproc.c" /* yacc.c:1652  */
    break;

  case 3073:
#line 16688 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 58893 "preproc.c" /* yacc.c:1652  */
    break;

  case 3074:
#line 16690 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 58899 "preproc.c" /* yacc.c:1652  */
    break;

  case 3075:
#line 16692 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58905 "preproc.c" /* yacc.c:1652  */
    break;

  case 3076:
#line 16694 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 58911 "preproc.c" /* yacc.c:1652  */
    break;

  case 3077:
#line 16696 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58917 "preproc.c" /* yacc.c:1652  */
    break;

  case 3078:
#line 16697 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 58923 "preproc.c" /* yacc.c:1652  */
    break;

  case 3079:
#line 16701 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 58929 "preproc.c" /* yacc.c:1652  */
    break;

  case 3080:
#line 16703 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 58935 "preproc.c" /* yacc.c:1652  */
    break;

  case 3081:
#line 16710 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58941 "preproc.c" /* yacc.c:1652  */
    break;

  case 3082:
#line 16711 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("()"); }
#line 58947 "preproc.c" /* yacc.c:1652  */
    break;

  case 3083:
#line 16713 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 58953 "preproc.c" /* yacc.c:1652  */
    break;

  case 3084:
#line 16716 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58959 "preproc.c" /* yacc.c:1652  */
    break;

  case 3085:
#line 16718 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 58965 "preproc.c" /* yacc.c:1652  */
    break;

  case 3086:
#line 16721 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58971 "preproc.c" /* yacc.c:1652  */
    break;

  case 3087:
#line 16722 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 58977 "preproc.c" /* yacc.c:1652  */
    break;

  case 3088:
#line 16725 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58983 "preproc.c" /* yacc.c:1652  */
    break;

  case 3089:
#line 16726 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 58989 "preproc.c" /* yacc.c:1652  */
    break;

  case 3090:
#line 16729 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58995 "preproc.c" /* yacc.c:1652  */
    break;

  case 3091:
#line 16730 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("("); }
#line 59001 "preproc.c" /* yacc.c:1652  */
    break;

  case 3092:
#line 16731 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(")"); }
#line 59007 "preproc.c" /* yacc.c:1652  */
    break;

  case 3093:
#line 16732 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(","); }
#line 59013 "preproc.c" /* yacc.c:1652  */
    break;

  case 3094:
#line 16733 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(";"); }
#line 59019 "preproc.c" /* yacc.c:1652  */
    break;

  case 3095:
#line 16736 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59025 "preproc.c" /* yacc.c:1652  */
    break;

  case 3096:
#line 16737 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59031 "preproc.c" /* yacc.c:1652  */
    break;

  case 3097:
#line 16738 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59037 "preproc.c" /* yacc.c:1652  */
    break;

  case 3098:
#line 16739 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59043 "preproc.c" /* yacc.c:1652  */
    break;

  case 3099:
#line 16740 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("*"); }
#line 59049 "preproc.c" /* yacc.c:1652  */
    break;

  case 3100:
#line 16741 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("+"); }
#line 59055 "preproc.c" /* yacc.c:1652  */
    break;

  case 3101:
#line 16742 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("-"); }
#line 59061 "preproc.c" /* yacc.c:1652  */
    break;

  case 3102:
#line 16743 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("/"); }
#line 59067 "preproc.c" /* yacc.c:1652  */
    break;

  case 3103:
#line 16744 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("%"); }
#line 59073 "preproc.c" /* yacc.c:1652  */
    break;

  case 3104:
#line 16745 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 59079 "preproc.c" /* yacc.c:1652  */
    break;

  case 3105:
#line 16746 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("+="); }
#line 59085 "preproc.c" /* yacc.c:1652  */
    break;

  case 3106:
#line 16747 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("&&"); }
#line 59091 "preproc.c" /* yacc.c:1652  */
    break;

  case 3107:
#line 16748 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = make_name(); }
#line 59097 "preproc.c" /* yacc.c:1652  */
    break;

  case 3108:
#line 16749 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("auto"); }
#line 59103 "preproc.c" /* yacc.c:1652  */
    break;

  case 3109:
#line 16750 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("const"); }
#line 59109 "preproc.c" /* yacc.c:1652  */
    break;

  case 3110:
#line 16751 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("--"); }
#line 59115 "preproc.c" /* yacc.c:1652  */
    break;

  case 3111:
#line 16752 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("/="); }
#line 59121 "preproc.c" /* yacc.c:1652  */
    break;

  case 3112:
#line 16753 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(".*"); }
#line 59127 "preproc.c" /* yacc.c:1652  */
    break;

  case 3113:
#line 16754 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("=="); }
#line 59133 "preproc.c" /* yacc.c:1652  */
    break;

  case 3114:
#line 16755 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("extern"); }
#line 59139 "preproc.c" /* yacc.c:1652  */
    break;

  case 3115:
#line 16756 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("++"); }
#line 59145 "preproc.c" /* yacc.c:1652  */
    break;

  case 3116:
#line 16757 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("<<"); }
#line 59151 "preproc.c" /* yacc.c:1652  */
    break;

  case 3117:
#line 16758 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("->"); }
#line 59157 "preproc.c" /* yacc.c:1652  */
    break;

  case 3118:
#line 16759 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("->*"); }
#line 59163 "preproc.c" /* yacc.c:1652  */
    break;

  case 3119:
#line 16760 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("%="); }
#line 59169 "preproc.c" /* yacc.c:1652  */
    break;

  case 3120:
#line 16761 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("*="); }
#line 59175 "preproc.c" /* yacc.c:1652  */
    break;

  case 3121:
#line 16762 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("!="); }
#line 59181 "preproc.c" /* yacc.c:1652  */
    break;

  case 3122:
#line 16763 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("||"); }
#line 59187 "preproc.c" /* yacc.c:1652  */
    break;

  case 3123:
#line 16764 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("register"); }
#line 59193 "preproc.c" /* yacc.c:1652  */
    break;

  case 3124:
#line 16765 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(">>"); }
#line 59199 "preproc.c" /* yacc.c:1652  */
    break;

  case 3125:
#line 16766 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("static"); }
#line 59205 "preproc.c" /* yacc.c:1652  */
    break;

  case 3126:
#line 16767 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("-="); }
#line 59211 "preproc.c" /* yacc.c:1652  */
    break;

  case 3127:
#line 16768 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 59217 "preproc.c" /* yacc.c:1652  */
    break;

  case 3128:
#line 16769 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 59223 "preproc.c" /* yacc.c:1652  */
    break;

  case 3129:
#line 16770 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("bool"); }
#line 59229 "preproc.c" /* yacc.c:1652  */
    break;

  case 3130:
#line 16771 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("enum"); }
#line 59235 "preproc.c" /* yacc.c:1652  */
    break;

  case 3131:
#line 16772 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("hour"); }
#line 59241 "preproc.c" /* yacc.c:1652  */
    break;

  case 3132:
#line 16773 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("int"); }
#line 59247 "preproc.c" /* yacc.c:1652  */
    break;

  case 3133:
#line 16774 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("long"); }
#line 59253 "preproc.c" /* yacc.c:1652  */
    break;

  case 3134:
#line 16775 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("minute"); }
#line 59259 "preproc.c" /* yacc.c:1652  */
    break;

  case 3135:
#line 16776 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("month"); }
#line 59265 "preproc.c" /* yacc.c:1652  */
    break;

  case 3136:
#line 16777 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("second"); }
#line 59271 "preproc.c" /* yacc.c:1652  */
    break;

  case 3137:
#line 16778 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("short"); }
#line 59277 "preproc.c" /* yacc.c:1652  */
    break;

  case 3138:
#line 16779 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("signed"); }
#line 59283 "preproc.c" /* yacc.c:1652  */
    break;

  case 3139:
#line 16780 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("struct"); }
#line 59289 "preproc.c" /* yacc.c:1652  */
    break;

  case 3140:
#line 16781 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 59295 "preproc.c" /* yacc.c:1652  */
    break;

  case 3141:
#line 16782 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("year"); }
#line 59301 "preproc.c" /* yacc.c:1652  */
    break;

  case 3142:
#line 16783 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("char"); }
#line 59307 "preproc.c" /* yacc.c:1652  */
    break;

  case 3143:
#line 16784 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("float"); }
#line 59313 "preproc.c" /* yacc.c:1652  */
    break;

  case 3144:
#line 16785 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("to"); }
#line 59319 "preproc.c" /* yacc.c:1652  */
    break;

  case 3145:
#line 16786 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("union"); }
#line 59325 "preproc.c" /* yacc.c:1652  */
    break;

  case 3146:
#line 16787 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 59331 "preproc.c" /* yacc.c:1652  */
    break;

  case 3147:
#line 16788 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("["); }
#line 59337 "preproc.c" /* yacc.c:1652  */
    break;

  case 3148:
#line 16789 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("]"); }
#line 59343 "preproc.c" /* yacc.c:1652  */
    break;

  case 3149:
#line 16790 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("="); }
#line 59349 "preproc.c" /* yacc.c:1652  */
    break;

  case 3150:
#line 16791 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup(":"); }
#line 59355 "preproc.c" /* yacc.c:1652  */
    break;

  case 3151:
#line 16794 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59361 "preproc.c" /* yacc.c:1652  */
    break;

  case 3152:
#line 16795 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59367 "preproc.c" /* yacc.c:1652  */
    break;

  case 3153:
#line 16796 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("all"); }
#line 59373 "preproc.c" /* yacc.c:1652  */
    break;

  case 3154:
#line 16797 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = mm_strdup("all"); }
#line 59379 "preproc.c" /* yacc.c:1652  */
    break;

  case 3155:
#line 16800 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59385 "preproc.c" /* yacc.c:1652  */
    break;

  case 3156:
#line 16801 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 59391 "preproc.c" /* yacc.c:1652  */
    break;

  case 3157:
#line 16802 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 59397 "preproc.c" /* yacc.c:1652  */
    break;

  case 3158:
#line 16803 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 59403 "preproc.c" /* yacc.c:1652  */
    break;

  case 3159:
#line 16804 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 59409 "preproc.c" /* yacc.c:1652  */
    break;

  case 3160:
#line 16805 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 59415 "preproc.c" /* yacc.c:1652  */
    break;

  case 3161:
#line 16806 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 59421 "preproc.c" /* yacc.c:1652  */
    break;

  case 3162:
#line 16807 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59427 "preproc.c" /* yacc.c:1652  */
    break;

  case 3163:
#line 16808 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59433 "preproc.c" /* yacc.c:1652  */
    break;

  case 3164:
#line 16809 "preproc.y" /* yacc.c:1652  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 59443 "preproc.c" /* yacc.c:1652  */
    break;

  case 3165:
#line 16816 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 59449 "preproc.c" /* yacc.c:1652  */
    break;

  case 3166:
#line 16817 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 59455 "preproc.c" /* yacc.c:1652  */
    break;

  case 3167:
#line 16818 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 59461 "preproc.c" /* yacc.c:1652  */
    break;

  case 3168:
#line 16819 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 59467 "preproc.c" /* yacc.c:1652  */
    break;

  case 3169:
#line 16822 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 59473 "preproc.c" /* yacc.c:1652  */
    break;

  case 3170:
#line 16823 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59479 "preproc.c" /* yacc.c:1652  */
    break;

  case 3171:
#line 16826 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 59485 "preproc.c" /* yacc.c:1652  */
    break;

  case 3172:
#line 16827 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59491 "preproc.c" /* yacc.c:1652  */
    break;

  case 3173:
#line 16830 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59497 "preproc.c" /* yacc.c:1652  */
    break;

  case 3174:
#line 16832 "preproc.y" /* yacc.c:1652  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 59510 "preproc.c" /* yacc.c:1652  */
    break;

  case 3175:
#line 16842 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = EMPTY; }
#line 59516 "preproc.c" /* yacc.c:1652  */
    break;

  case 3176:
#line 16843 "preproc.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59522 "preproc.c" /* yacc.c:1652  */
    break;


#line 59526 "preproc.c" /* yacc.c:1652  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 16846 "preproc.y" /* yacc.c:1918  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
